#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 925
#define LARGE_STATE_COUNT 351
#define SYMBOL_COUNT 204
#define ALIAS_COUNT 4
#define TOKEN_COUNT 91
#define EXTERNAL_TOKEN_COUNT 47
#define FIELD_COUNT 1
#define MAX_ALIAS_SEQUENCE_LENGTH 13
#define PRODUCTION_ID_COUNT 14

enum ts_symbol_identifiers {
  sym__backslash_escape = 1,
  sym_entity_reference = 2,
  sym_numeric_character_reference = 3,
  anon_sym_LBRACK = 4,
  anon_sym_RBRACK = 5,
  anon_sym_LT = 6,
  anon_sym_GT = 7,
  anon_sym_BANG = 8,
  anon_sym_DQUOTE = 9,
  anon_sym_POUND = 10,
  anon_sym_DOLLAR = 11,
  anon_sym_PERCENT = 12,
  anon_sym_AMP = 13,
  anon_sym_SQUOTE = 14,
  anon_sym_STAR = 15,
  anon_sym_PLUS = 16,
  anon_sym_COMMA = 17,
  anon_sym_DASH = 18,
  anon_sym_DOT = 19,
  anon_sym_SLASH = 20,
  anon_sym_COLON = 21,
  anon_sym_SEMI = 22,
  anon_sym_EQ = 23,
  anon_sym_QMARK = 24,
  anon_sym_AT = 25,
  anon_sym_BSLASH = 26,
  anon_sym_CARET = 27,
  anon_sym__ = 28,
  anon_sym_BQUOTE = 29,
  anon_sym_LBRACE = 30,
  anon_sym_PIPE = 31,
  anon_sym_RBRACE = 32,
  anon_sym_TILDE = 33,
  anon_sym_LPAREN = 34,
  anon_sym_RPAREN = 35,
  sym__newline_token = 36,
  anon_sym_DASH_DASH_GT = 37,
  anon_sym_QMARK_GT = 38,
  anon_sym_RBRACK_RBRACK_GT = 39,
  aux_sym__word_token1 = 40,
  aux_sym__word_token2 = 41,
  aux_sym__word_token3 = 42,
  sym__whitespace = 43,
  sym__line_ending = 44,
  sym__soft_line_ending = 45,
  sym__block_close = 46,
  sym_block_continuation = 47,
  sym__block_quote_start = 48,
  sym__indented_chunk_start = 49,
  sym_atx_h1_marker = 50,
  sym_atx_h2_marker = 51,
  sym_atx_h3_marker = 52,
  sym_atx_h4_marker = 53,
  sym_atx_h5_marker = 54,
  sym_atx_h6_marker = 55,
  sym_setext_h1_underline = 56,
  sym_setext_h2_underline = 57,
  sym__thematic_break = 58,
  sym__list_marker_minus = 59,
  sym__list_marker_plus = 60,
  sym__list_marker_star = 61,
  sym__list_marker_parenthesis = 62,
  sym__list_marker_dot = 63,
  sym__list_marker_minus_dont_interrupt = 64,
  sym__list_marker_plus_dont_interrupt = 65,
  sym__list_marker_star_dont_interrupt = 66,
  sym__list_marker_parenthesis_dont_interrupt = 67,
  sym__list_marker_dot_dont_interrupt = 68,
  sym__fenced_code_block_start_backtick = 69,
  sym__fenced_code_block_start_tilde = 70,
  sym__blank_line_start = 71,
  sym__fenced_code_block_end_backtick = 72,
  sym__fenced_code_block_end_tilde = 73,
  sym__html_block_1_start = 74,
  sym__html_block_1_end = 75,
  sym__html_block_2_start = 76,
  sym__html_block_3_start = 77,
  sym__html_block_4_start = 78,
  sym__html_block_5_start = 79,
  sym__html_block_6_start = 80,
  sym__html_block_7_start = 81,
  sym__close_block = 82,
  sym__no_indented_chunk = 83,
  sym__error = 84,
  sym__trigger_error = 85,
  sym__eof = 86,
  sym_minus_metadata = 87,
  sym_plus_metadata = 88,
  sym__pipe_table_start = 89,
  sym__pipe_table_line_ending = 90,
  sym_document = 91,
  sym_backslash_escape = 92,
  sym_link_label = 93,
  sym_link_destination = 94,
  sym__link_destination_parenthesis = 95,
  sym__text_no_angle = 96,
  sym_link_title = 97,
  sym__last_token_punctuation = 98,
  sym__block = 99,
  sym__block_not_section = 100,
  sym_section = 101,
  sym__section1 = 102,
  sym__section2 = 103,
  sym__section3 = 104,
  sym__section4 = 105,
  sym__section5 = 106,
  sym__section6 = 107,
  sym_thematic_break = 108,
  sym__atx_heading1 = 109,
  sym__atx_heading2 = 110,
  sym__atx_heading3 = 111,
  sym__atx_heading4 = 112,
  sym__atx_heading5 = 113,
  sym__atx_heading6 = 114,
  sym__atx_heading_content = 115,
  sym__setext_heading1 = 116,
  sym__setext_heading2 = 117,
  sym_indented_code_block = 118,
  sym__indented_chunk = 119,
  sym_fenced_code_block = 120,
  sym_code_fence_content = 121,
  sym_info_string = 122,
  sym_language = 123,
  sym_html_block = 124,
  sym__html_block_1 = 125,
  sym__html_block_2 = 126,
  sym__html_block_3 = 127,
  sym__html_block_4 = 128,
  sym__html_block_5 = 129,
  sym__html_block_6 = 130,
  sym__html_block_7 = 131,
  sym_link_reference_definition = 132,
  sym__text_inline_no_link = 133,
  sym_paragraph = 134,
  sym__blank_line = 135,
  sym_block_quote = 136,
  sym_list = 137,
  sym__list_plus = 138,
  sym__list_minus = 139,
  sym__list_star = 140,
  sym__list_dot = 141,
  sym__list_parenthesis = 142,
  sym_list_marker_plus = 143,
  sym_list_marker_minus = 144,
  sym_list_marker_star = 145,
  sym_list_marker_dot = 146,
  sym_list_marker_parenthesis = 147,
  sym__list_item_plus = 148,
  sym__list_item_minus = 149,
  sym__list_item_star = 150,
  sym__list_item_dot = 151,
  sym__list_item_parenthesis = 152,
  sym__list_item_content = 153,
  sym__newline = 154,
  sym__soft_line_break = 155,
  sym__line = 156,
  sym__word = 157,
  sym_task_list_marker_checked = 158,
  sym_task_list_marker_unchecked = 159,
  sym_pipe_table = 160,
  sym__pipe_table_newline = 161,
  sym_pipe_table_delimiter_row = 162,
  sym_pipe_table_delimiter_cell = 163,
  sym_pipe_table_row = 164,
  sym_pipe_table_cell = 165,
  aux_sym_document_repeat1 = 166,
  aux_sym_document_repeat2 = 167,
  aux_sym_link_label_repeat1 = 168,
  aux_sym_link_destination_repeat1 = 169,
  aux_sym_link_destination_repeat2 = 170,
  aux_sym_link_title_repeat1 = 171,
  aux_sym_link_title_repeat2 = 172,
  aux_sym_link_title_repeat3 = 173,
  aux_sym__section1_repeat1 = 174,
  aux_sym__section2_repeat1 = 175,
  aux_sym__section3_repeat1 = 176,
  aux_sym__section4_repeat1 = 177,
  aux_sym__section5_repeat1 = 178,
  aux_sym_indented_code_block_repeat1 = 179,
  aux_sym__indented_chunk_repeat1 = 180,
  aux_sym_code_fence_content_repeat1 = 181,
  aux_sym_info_string_repeat1 = 182,
  aux_sym_info_string_repeat2 = 183,
  aux_sym_language_repeat1 = 184,
  aux_sym__html_block_1_repeat1 = 185,
  aux_sym__html_block_2_repeat1 = 186,
  aux_sym__html_block_3_repeat1 = 187,
  aux_sym__html_block_4_repeat1 = 188,
  aux_sym__html_block_5_repeat1 = 189,
  aux_sym__html_block_6_repeat1 = 190,
  aux_sym_paragraph_repeat1 = 191,
  aux_sym_block_quote_repeat1 = 192,
  aux_sym__list_plus_repeat1 = 193,
  aux_sym__list_minus_repeat1 = 194,
  aux_sym__list_star_repeat1 = 195,
  aux_sym__list_dot_repeat1 = 196,
  aux_sym__list_parenthesis_repeat1 = 197,
  aux_sym__line_repeat1 = 198,
  aux_sym_pipe_table_repeat1 = 199,
  aux_sym_pipe_table_delimiter_row_repeat1 = 200,
  aux_sym_pipe_table_delimiter_cell_repeat1 = 201,
  aux_sym_pipe_table_row_repeat1 = 202,
  aux_sym_pipe_table_cell_repeat1 = 203,
  alias_sym_inline = 204,
  alias_sym_pipe_table_align_left = 205,
  alias_sym_pipe_table_align_right = 206,
  alias_sym_pipe_table_header = 207,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__backslash_escape] = "_backslash_escape",
  [sym_entity_reference] = "entity_reference",
  [sym_numeric_character_reference] = "numeric_character_reference",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_BANG] = "!",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_PERCENT] = "%",
  [anon_sym_AMP] = "&",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_STAR] = "*",
  [anon_sym_PLUS] = "+",
  [anon_sym_COMMA] = ",",
  [anon_sym_DASH] = "-",
  [anon_sym_DOT] = ".",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym_EQ] = "=",
  [anon_sym_QMARK] = "\?",
  [anon_sym_AT] = "@",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_CARET] = "^",
  [anon_sym__] = "_",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LBRACE] = "{",
  [anon_sym_PIPE] = "|",
  [anon_sym_RBRACE] = "}",
  [anon_sym_TILDE] = "~",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [sym__newline_token] = "_newline_token",
  [anon_sym_DASH_DASH_GT] = "-->",
  [anon_sym_QMARK_GT] = "\?>",
  [anon_sym_RBRACK_RBRACK_GT] = "]]>",
  [aux_sym__word_token1] = "_word_token1",
  [aux_sym__word_token2] = "_word_token2",
  [aux_sym__word_token3] = "_word_token3",
  [sym__whitespace] = "_whitespace",
  [sym__line_ending] = "_line_ending",
  [sym__soft_line_ending] = "_soft_line_ending",
  [sym__block_close] = "_block_close",
  [sym_block_continuation] = "block_continuation",
  [sym__block_quote_start] = "block_quote_marker",
  [sym__indented_chunk_start] = "_indented_chunk_start",
  [sym_atx_h1_marker] = "atx_h1_marker",
  [sym_atx_h2_marker] = "atx_h2_marker",
  [sym_atx_h3_marker] = "atx_h3_marker",
  [sym_atx_h4_marker] = "atx_h4_marker",
  [sym_atx_h5_marker] = "atx_h5_marker",
  [sym_atx_h6_marker] = "atx_h6_marker",
  [sym_setext_h1_underline] = "setext_h1_underline",
  [sym_setext_h2_underline] = "setext_h2_underline",
  [sym__thematic_break] = "_thematic_break",
  [sym__list_marker_minus] = "_list_marker_minus",
  [sym__list_marker_plus] = "_list_marker_plus",
  [sym__list_marker_star] = "_list_marker_star",
  [sym__list_marker_parenthesis] = "_list_marker_parenthesis",
  [sym__list_marker_dot] = "_list_marker_dot",
  [sym__list_marker_minus_dont_interrupt] = "_list_marker_minus_dont_interrupt",
  [sym__list_marker_plus_dont_interrupt] = "_list_marker_plus_dont_interrupt",
  [sym__list_marker_star_dont_interrupt] = "_list_marker_star_dont_interrupt",
  [sym__list_marker_parenthesis_dont_interrupt] = "_list_marker_parenthesis_dont_interrupt",
  [sym__list_marker_dot_dont_interrupt] = "_list_marker_dot_dont_interrupt",
  [sym__fenced_code_block_start_backtick] = "fenced_code_block_delimiter",
  [sym__fenced_code_block_start_tilde] = "fenced_code_block_delimiter",
  [sym__blank_line_start] = "_blank_line_start",
  [sym__fenced_code_block_end_backtick] = "fenced_code_block_delimiter",
  [sym__fenced_code_block_end_tilde] = "fenced_code_block_delimiter",
  [sym__html_block_1_start] = "_html_block_1_start",
  [sym__html_block_1_end] = "_html_block_1_end",
  [sym__html_block_2_start] = "_html_block_2_start",
  [sym__html_block_3_start] = "_html_block_3_start",
  [sym__html_block_4_start] = "_html_block_4_start",
  [sym__html_block_5_start] = "_html_block_5_start",
  [sym__html_block_6_start] = "_html_block_6_start",
  [sym__html_block_7_start] = "_html_block_7_start",
  [sym__close_block] = "_close_block",
  [sym__no_indented_chunk] = "_no_indented_chunk",
  [sym__error] = "_error",
  [sym__trigger_error] = "_trigger_error",
  [sym__eof] = "_eof",
  [sym_minus_metadata] = "minus_metadata",
  [sym_plus_metadata] = "plus_metadata",
  [sym__pipe_table_start] = "_pipe_table_start",
  [sym__pipe_table_line_ending] = "_pipe_table_line_ending",
  [sym_document] = "document",
  [sym_backslash_escape] = "backslash_escape",
  [sym_link_label] = "link_label",
  [sym_link_destination] = "link_destination",
  [sym__link_destination_parenthesis] = "_link_destination_parenthesis",
  [sym__text_no_angle] = "_text_no_angle",
  [sym_link_title] = "link_title",
  [sym__last_token_punctuation] = "_last_token_punctuation",
  [sym__block] = "_block",
  [sym__block_not_section] = "_block_not_section",
  [sym_section] = "section",
  [sym__section1] = "_section1",
  [sym__section2] = "_section2",
  [sym__section3] = "_section3",
  [sym__section4] = "_section4",
  [sym__section5] = "_section5",
  [sym__section6] = "_section6",
  [sym_thematic_break] = "thematic_break",
  [sym__atx_heading1] = "atx_heading",
  [sym__atx_heading2] = "atx_heading",
  [sym__atx_heading3] = "atx_heading",
  [sym__atx_heading4] = "atx_heading",
  [sym__atx_heading5] = "atx_heading",
  [sym__atx_heading6] = "atx_heading",
  [sym__atx_heading_content] = "_atx_heading_content",
  [sym__setext_heading1] = "setext_heading",
  [sym__setext_heading2] = "setext_heading",
  [sym_indented_code_block] = "indented_code_block",
  [sym__indented_chunk] = "_indented_chunk",
  [sym_fenced_code_block] = "fenced_code_block",
  [sym_code_fence_content] = "code_fence_content",
  [sym_info_string] = "info_string",
  [sym_language] = "language",
  [sym_html_block] = "html_block",
  [sym__html_block_1] = "_html_block_1",
  [sym__html_block_2] = "_html_block_2",
  [sym__html_block_3] = "_html_block_3",
  [sym__html_block_4] = "_html_block_4",
  [sym__html_block_5] = "_html_block_5",
  [sym__html_block_6] = "_html_block_6",
  [sym__html_block_7] = "_html_block_7",
  [sym_link_reference_definition] = "link_reference_definition",
  [sym__text_inline_no_link] = "_text_inline_no_link",
  [sym_paragraph] = "paragraph",
  [sym__blank_line] = "_blank_line",
  [sym_block_quote] = "block_quote",
  [sym_list] = "list",
  [sym__list_plus] = "_list_plus",
  [sym__list_minus] = "_list_minus",
  [sym__list_star] = "_list_star",
  [sym__list_dot] = "_list_dot",
  [sym__list_parenthesis] = "_list_parenthesis",
  [sym_list_marker_plus] = "list_marker_plus",
  [sym_list_marker_minus] = "list_marker_minus",
  [sym_list_marker_star] = "list_marker_star",
  [sym_list_marker_dot] = "list_marker_dot",
  [sym_list_marker_parenthesis] = "list_marker_parenthesis",
  [sym__list_item_plus] = "list_item",
  [sym__list_item_minus] = "list_item",
  [sym__list_item_star] = "list_item",
  [sym__list_item_dot] = "list_item",
  [sym__list_item_parenthesis] = "list_item",
  [sym__list_item_content] = "_list_item_content",
  [sym__newline] = "_newline",
  [sym__soft_line_break] = "_soft_line_break",
  [sym__line] = "_line",
  [sym__word] = "_word",
  [sym_task_list_marker_checked] = "task_list_marker_checked",
  [sym_task_list_marker_unchecked] = "task_list_marker_unchecked",
  [sym_pipe_table] = "pipe_table",
  [sym__pipe_table_newline] = "_pipe_table_newline",
  [sym_pipe_table_delimiter_row] = "pipe_table_delimiter_row",
  [sym_pipe_table_delimiter_cell] = "pipe_table_delimiter_cell",
  [sym_pipe_table_row] = "pipe_table_row",
  [sym_pipe_table_cell] = "pipe_table_cell",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_document_repeat2] = "document_repeat2",
  [aux_sym_link_label_repeat1] = "link_label_repeat1",
  [aux_sym_link_destination_repeat1] = "link_destination_repeat1",
  [aux_sym_link_destination_repeat2] = "link_destination_repeat2",
  [aux_sym_link_title_repeat1] = "link_title_repeat1",
  [aux_sym_link_title_repeat2] = "link_title_repeat2",
  [aux_sym_link_title_repeat3] = "link_title_repeat3",
  [aux_sym__section1_repeat1] = "_section1_repeat1",
  [aux_sym__section2_repeat1] = "_section2_repeat1",
  [aux_sym__section3_repeat1] = "_section3_repeat1",
  [aux_sym__section4_repeat1] = "_section4_repeat1",
  [aux_sym__section5_repeat1] = "_section5_repeat1",
  [aux_sym_indented_code_block_repeat1] = "indented_code_block_repeat1",
  [aux_sym__indented_chunk_repeat1] = "_indented_chunk_repeat1",
  [aux_sym_code_fence_content_repeat1] = "code_fence_content_repeat1",
  [aux_sym_info_string_repeat1] = "info_string_repeat1",
  [aux_sym_info_string_repeat2] = "info_string_repeat2",
  [aux_sym_language_repeat1] = "language_repeat1",
  [aux_sym__html_block_1_repeat1] = "_html_block_1_repeat1",
  [aux_sym__html_block_2_repeat1] = "_html_block_2_repeat1",
  [aux_sym__html_block_3_repeat1] = "_html_block_3_repeat1",
  [aux_sym__html_block_4_repeat1] = "_html_block_4_repeat1",
  [aux_sym__html_block_5_repeat1] = "_html_block_5_repeat1",
  [aux_sym__html_block_6_repeat1] = "_html_block_6_repeat1",
  [aux_sym_paragraph_repeat1] = "paragraph_repeat1",
  [aux_sym_block_quote_repeat1] = "block_quote_repeat1",
  [aux_sym__list_plus_repeat1] = "_list_plus_repeat1",
  [aux_sym__list_minus_repeat1] = "_list_minus_repeat1",
  [aux_sym__list_star_repeat1] = "_list_star_repeat1",
  [aux_sym__list_dot_repeat1] = "_list_dot_repeat1",
  [aux_sym__list_parenthesis_repeat1] = "_list_parenthesis_repeat1",
  [aux_sym__line_repeat1] = "_line_repeat1",
  [aux_sym_pipe_table_repeat1] = "pipe_table_repeat1",
  [aux_sym_pipe_table_delimiter_row_repeat1] = "pipe_table_delimiter_row_repeat1",
  [aux_sym_pipe_table_delimiter_cell_repeat1] = "pipe_table_delimiter_cell_repeat1",
  [aux_sym_pipe_table_row_repeat1] = "pipe_table_row_repeat1",
  [aux_sym_pipe_table_cell_repeat1] = "pipe_table_cell_repeat1",
  [alias_sym_inline] = "inline",
  [alias_sym_pipe_table_align_left] = "pipe_table_align_left",
  [alias_sym_pipe_table_align_right] = "pipe_table_align_right",
  [alias_sym_pipe_table_header] = "pipe_table_header",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__backslash_escape] = sym__backslash_escape,
  [sym_entity_reference] = sym_entity_reference,
  [sym_numeric_character_reference] = sym_numeric_character_reference,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym__] = anon_sym__,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [sym__newline_token] = sym__newline_token,
  [anon_sym_DASH_DASH_GT] = anon_sym_DASH_DASH_GT,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [anon_sym_RBRACK_RBRACK_GT] = anon_sym_RBRACK_RBRACK_GT,
  [aux_sym__word_token1] = aux_sym__word_token1,
  [aux_sym__word_token2] = aux_sym__word_token2,
  [aux_sym__word_token3] = aux_sym__word_token3,
  [sym__whitespace] = sym__whitespace,
  [sym__line_ending] = sym__line_ending,
  [sym__soft_line_ending] = sym__soft_line_ending,
  [sym__block_close] = sym__block_close,
  [sym_block_continuation] = sym_block_continuation,
  [sym__block_quote_start] = sym__block_quote_start,
  [sym__indented_chunk_start] = sym__indented_chunk_start,
  [sym_atx_h1_marker] = sym_atx_h1_marker,
  [sym_atx_h2_marker] = sym_atx_h2_marker,
  [sym_atx_h3_marker] = sym_atx_h3_marker,
  [sym_atx_h4_marker] = sym_atx_h4_marker,
  [sym_atx_h5_marker] = sym_atx_h5_marker,
  [sym_atx_h6_marker] = sym_atx_h6_marker,
  [sym_setext_h1_underline] = sym_setext_h1_underline,
  [sym_setext_h2_underline] = sym_setext_h2_underline,
  [sym__thematic_break] = sym__thematic_break,
  [sym__list_marker_minus] = sym__list_marker_minus,
  [sym__list_marker_plus] = sym__list_marker_plus,
  [sym__list_marker_star] = sym__list_marker_star,
  [sym__list_marker_parenthesis] = sym__list_marker_parenthesis,
  [sym__list_marker_dot] = sym__list_marker_dot,
  [sym__list_marker_minus_dont_interrupt] = sym__list_marker_minus_dont_interrupt,
  [sym__list_marker_plus_dont_interrupt] = sym__list_marker_plus_dont_interrupt,
  [sym__list_marker_star_dont_interrupt] = sym__list_marker_star_dont_interrupt,
  [sym__list_marker_parenthesis_dont_interrupt] = sym__list_marker_parenthesis_dont_interrupt,
  [sym__list_marker_dot_dont_interrupt] = sym__list_marker_dot_dont_interrupt,
  [sym__fenced_code_block_start_backtick] = sym__fenced_code_block_start_backtick,
  [sym__fenced_code_block_start_tilde] = sym__fenced_code_block_start_backtick,
  [sym__blank_line_start] = sym__blank_line_start,
  [sym__fenced_code_block_end_backtick] = sym__fenced_code_block_start_backtick,
  [sym__fenced_code_block_end_tilde] = sym__fenced_code_block_start_backtick,
  [sym__html_block_1_start] = sym__html_block_1_start,
  [sym__html_block_1_end] = sym__html_block_1_end,
  [sym__html_block_2_start] = sym__html_block_2_start,
  [sym__html_block_3_start] = sym__html_block_3_start,
  [sym__html_block_4_start] = sym__html_block_4_start,
  [sym__html_block_5_start] = sym__html_block_5_start,
  [sym__html_block_6_start] = sym__html_block_6_start,
  [sym__html_block_7_start] = sym__html_block_7_start,
  [sym__close_block] = sym__close_block,
  [sym__no_indented_chunk] = sym__no_indented_chunk,
  [sym__error] = sym__error,
  [sym__trigger_error] = sym__trigger_error,
  [sym__eof] = sym__eof,
  [sym_minus_metadata] = sym_minus_metadata,
  [sym_plus_metadata] = sym_plus_metadata,
  [sym__pipe_table_start] = sym__pipe_table_start,
  [sym__pipe_table_line_ending] = sym__pipe_table_line_ending,
  [sym_document] = sym_document,
  [sym_backslash_escape] = sym_backslash_escape,
  [sym_link_label] = sym_link_label,
  [sym_link_destination] = sym_link_destination,
  [sym__link_destination_parenthesis] = sym__link_destination_parenthesis,
  [sym__text_no_angle] = sym__text_no_angle,
  [sym_link_title] = sym_link_title,
  [sym__last_token_punctuation] = sym__last_token_punctuation,
  [sym__block] = sym__block,
  [sym__block_not_section] = sym__block_not_section,
  [sym_section] = sym_section,
  [sym__section1] = sym__section1,
  [sym__section2] = sym__section2,
  [sym__section3] = sym__section3,
  [sym__section4] = sym__section4,
  [sym__section5] = sym__section5,
  [sym__section6] = sym__section6,
  [sym_thematic_break] = sym_thematic_break,
  [sym__atx_heading1] = sym__atx_heading1,
  [sym__atx_heading2] = sym__atx_heading1,
  [sym__atx_heading3] = sym__atx_heading1,
  [sym__atx_heading4] = sym__atx_heading1,
  [sym__atx_heading5] = sym__atx_heading1,
  [sym__atx_heading6] = sym__atx_heading1,
  [sym__atx_heading_content] = sym__atx_heading_content,
  [sym__setext_heading1] = sym__setext_heading1,
  [sym__setext_heading2] = sym__setext_heading1,
  [sym_indented_code_block] = sym_indented_code_block,
  [sym__indented_chunk] = sym__indented_chunk,
  [sym_fenced_code_block] = sym_fenced_code_block,
  [sym_code_fence_content] = sym_code_fence_content,
  [sym_info_string] = sym_info_string,
  [sym_language] = sym_language,
  [sym_html_block] = sym_html_block,
  [sym__html_block_1] = sym__html_block_1,
  [sym__html_block_2] = sym__html_block_2,
  [sym__html_block_3] = sym__html_block_3,
  [sym__html_block_4] = sym__html_block_4,
  [sym__html_block_5] = sym__html_block_5,
  [sym__html_block_6] = sym__html_block_6,
  [sym__html_block_7] = sym__html_block_7,
  [sym_link_reference_definition] = sym_link_reference_definition,
  [sym__text_inline_no_link] = sym__text_inline_no_link,
  [sym_paragraph] = sym_paragraph,
  [sym__blank_line] = sym__blank_line,
  [sym_block_quote] = sym_block_quote,
  [sym_list] = sym_list,
  [sym__list_plus] = sym__list_plus,
  [sym__list_minus] = sym__list_minus,
  [sym__list_star] = sym__list_star,
  [sym__list_dot] = sym__list_dot,
  [sym__list_parenthesis] = sym__list_parenthesis,
  [sym_list_marker_plus] = sym_list_marker_plus,
  [sym_list_marker_minus] = sym_list_marker_minus,
  [sym_list_marker_star] = sym_list_marker_star,
  [sym_list_marker_dot] = sym_list_marker_dot,
  [sym_list_marker_parenthesis] = sym_list_marker_parenthesis,
  [sym__list_item_plus] = sym__list_item_plus,
  [sym__list_item_minus] = sym__list_item_plus,
  [sym__list_item_star] = sym__list_item_plus,
  [sym__list_item_dot] = sym__list_item_plus,
  [sym__list_item_parenthesis] = sym__list_item_plus,
  [sym__list_item_content] = sym__list_item_content,
  [sym__newline] = sym__newline,
  [sym__soft_line_break] = sym__soft_line_break,
  [sym__line] = sym__line,
  [sym__word] = sym__word,
  [sym_task_list_marker_checked] = sym_task_list_marker_checked,
  [sym_task_list_marker_unchecked] = sym_task_list_marker_unchecked,
  [sym_pipe_table] = sym_pipe_table,
  [sym__pipe_table_newline] = sym__pipe_table_newline,
  [sym_pipe_table_delimiter_row] = sym_pipe_table_delimiter_row,
  [sym_pipe_table_delimiter_cell] = sym_pipe_table_delimiter_cell,
  [sym_pipe_table_row] = sym_pipe_table_row,
  [sym_pipe_table_cell] = sym_pipe_table_cell,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_document_repeat2] = aux_sym_document_repeat2,
  [aux_sym_link_label_repeat1] = aux_sym_link_label_repeat1,
  [aux_sym_link_destination_repeat1] = aux_sym_link_destination_repeat1,
  [aux_sym_link_destination_repeat2] = aux_sym_link_destination_repeat2,
  [aux_sym_link_title_repeat1] = aux_sym_link_title_repeat1,
  [aux_sym_link_title_repeat2] = aux_sym_link_title_repeat2,
  [aux_sym_link_title_repeat3] = aux_sym_link_title_repeat3,
  [aux_sym__section1_repeat1] = aux_sym__section1_repeat1,
  [aux_sym__section2_repeat1] = aux_sym__section2_repeat1,
  [aux_sym__section3_repeat1] = aux_sym__section3_repeat1,
  [aux_sym__section4_repeat1] = aux_sym__section4_repeat1,
  [aux_sym__section5_repeat1] = aux_sym__section5_repeat1,
  [aux_sym_indented_code_block_repeat1] = aux_sym_indented_code_block_repeat1,
  [aux_sym__indented_chunk_repeat1] = aux_sym__indented_chunk_repeat1,
  [aux_sym_code_fence_content_repeat1] = aux_sym_code_fence_content_repeat1,
  [aux_sym_info_string_repeat1] = aux_sym_info_string_repeat1,
  [aux_sym_info_string_repeat2] = aux_sym_info_string_repeat2,
  [aux_sym_language_repeat1] = aux_sym_language_repeat1,
  [aux_sym__html_block_1_repeat1] = aux_sym__html_block_1_repeat1,
  [aux_sym__html_block_2_repeat1] = aux_sym__html_block_2_repeat1,
  [aux_sym__html_block_3_repeat1] = aux_sym__html_block_3_repeat1,
  [aux_sym__html_block_4_repeat1] = aux_sym__html_block_4_repeat1,
  [aux_sym__html_block_5_repeat1] = aux_sym__html_block_5_repeat1,
  [aux_sym__html_block_6_repeat1] = aux_sym__html_block_6_repeat1,
  [aux_sym_paragraph_repeat1] = aux_sym_paragraph_repeat1,
  [aux_sym_block_quote_repeat1] = aux_sym_block_quote_repeat1,
  [aux_sym__list_plus_repeat1] = aux_sym__list_plus_repeat1,
  [aux_sym__list_minus_repeat1] = aux_sym__list_minus_repeat1,
  [aux_sym__list_star_repeat1] = aux_sym__list_star_repeat1,
  [aux_sym__list_dot_repeat1] = aux_sym__list_dot_repeat1,
  [aux_sym__list_parenthesis_repeat1] = aux_sym__list_parenthesis_repeat1,
  [aux_sym__line_repeat1] = aux_sym__line_repeat1,
  [aux_sym_pipe_table_repeat1] = aux_sym_pipe_table_repeat1,
  [aux_sym_pipe_table_delimiter_row_repeat1] = aux_sym_pipe_table_delimiter_row_repeat1,
  [aux_sym_pipe_table_delimiter_cell_repeat1] = aux_sym_pipe_table_delimiter_cell_repeat1,
  [aux_sym_pipe_table_row_repeat1] = aux_sym_pipe_table_row_repeat1,
  [aux_sym_pipe_table_cell_repeat1] = aux_sym_pipe_table_cell_repeat1,
  [alias_sym_inline] = alias_sym_inline,
  [alias_sym_pipe_table_align_left] = alias_sym_pipe_table_align_left,
  [alias_sym_pipe_table_align_right] = alias_sym_pipe_table_align_right,
  [alias_sym_pipe_table_header] = alias_sym_pipe_table_header,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__backslash_escape] = {
    .visible = false,
    .named = true,
  },
  [sym_entity_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_numeric_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym__newline_token] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DASH_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__word_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__word_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__word_token3] = {
    .visible = false,
    .named = false,
  },
  [sym__whitespace] = {
    .visible = false,
    .named = true,
  },
  [sym__line_ending] = {
    .visible = false,
    .named = true,
  },
  [sym__soft_line_ending] = {
    .visible = false,
    .named = true,
  },
  [sym__block_close] = {
    .visible = false,
    .named = true,
  },
  [sym_block_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym__block_quote_start] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_chunk_start] = {
    .visible = false,
    .named = true,
  },
  [sym_atx_h1_marker] = {
    .visible = true,
    .named = true,
  },
  [sym_atx_h2_marker] = {
    .visible = true,
    .named = true,
  },
  [sym_atx_h3_marker] = {
    .visible = true,
    .named = true,
  },
  [sym_atx_h4_marker] = {
    .visible = true,
    .named = true,
  },
  [sym_atx_h5_marker] = {
    .visible = true,
    .named = true,
  },
  [sym_atx_h6_marker] = {
    .visible = true,
    .named = true,
  },
  [sym_setext_h1_underline] = {
    .visible = true,
    .named = true,
  },
  [sym_setext_h2_underline] = {
    .visible = true,
    .named = true,
  },
  [sym__thematic_break] = {
    .visible = false,
    .named = true,
  },
  [sym__list_marker_minus] = {
    .visible = false,
    .named = true,
  },
  [sym__list_marker_plus] = {
    .visible = false,
    .named = true,
  },
  [sym__list_marker_star] = {
    .visible = false,
    .named = true,
  },
  [sym__list_marker_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__list_marker_dot] = {
    .visible = false,
    .named = true,
  },
  [sym__list_marker_minus_dont_interrupt] = {
    .visible = false,
    .named = true,
  },
  [sym__list_marker_plus_dont_interrupt] = {
    .visible = false,
    .named = true,
  },
  [sym__list_marker_star_dont_interrupt] = {
    .visible = false,
    .named = true,
  },
  [sym__list_marker_parenthesis_dont_interrupt] = {
    .visible = false,
    .named = true,
  },
  [sym__list_marker_dot_dont_interrupt] = {
    .visible = false,
    .named = true,
  },
  [sym__fenced_code_block_start_backtick] = {
    .visible = true,
    .named = true,
  },
  [sym__fenced_code_block_start_tilde] = {
    .visible = true,
    .named = true,
  },
  [sym__blank_line_start] = {
    .visible = false,
    .named = true,
  },
  [sym__fenced_code_block_end_backtick] = {
    .visible = true,
    .named = true,
  },
  [sym__fenced_code_block_end_tilde] = {
    .visible = true,
    .named = true,
  },
  [sym__html_block_1_start] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_1_end] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_2_start] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_3_start] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_4_start] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_5_start] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_6_start] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_7_start] = {
    .visible = false,
    .named = true,
  },
  [sym__close_block] = {
    .visible = false,
    .named = true,
  },
  [sym__no_indented_chunk] = {
    .visible = false,
    .named = true,
  },
  [sym__error] = {
    .visible = false,
    .named = true,
  },
  [sym__trigger_error] = {
    .visible = false,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_minus_metadata] = {
    .visible = true,
    .named = true,
  },
  [sym_plus_metadata] = {
    .visible = true,
    .named = true,
  },
  [sym__pipe_table_start] = {
    .visible = false,
    .named = true,
  },
  [sym__pipe_table_line_ending] = {
    .visible = false,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_backslash_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_link_label] = {
    .visible = true,
    .named = true,
  },
  [sym_link_destination] = {
    .visible = true,
    .named = true,
  },
  [sym__link_destination_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__text_no_angle] = {
    .visible = false,
    .named = true,
  },
  [sym_link_title] = {
    .visible = true,
    .named = true,
  },
  [sym__last_token_punctuation] = {
    .visible = false,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym__block_not_section] = {
    .visible = false,
    .named = true,
  },
  [sym_section] = {
    .visible = true,
    .named = true,
  },
  [sym__section1] = {
    .visible = false,
    .named = true,
  },
  [sym__section2] = {
    .visible = false,
    .named = true,
  },
  [sym__section3] = {
    .visible = false,
    .named = true,
  },
  [sym__section4] = {
    .visible = false,
    .named = true,
  },
  [sym__section5] = {
    .visible = false,
    .named = true,
  },
  [sym__section6] = {
    .visible = false,
    .named = true,
  },
  [sym_thematic_break] = {
    .visible = true,
    .named = true,
  },
  [sym__atx_heading1] = {
    .visible = true,
    .named = true,
  },
  [sym__atx_heading2] = {
    .visible = true,
    .named = true,
  },
  [sym__atx_heading3] = {
    .visible = true,
    .named = true,
  },
  [sym__atx_heading4] = {
    .visible = true,
    .named = true,
  },
  [sym__atx_heading5] = {
    .visible = true,
    .named = true,
  },
  [sym__atx_heading6] = {
    .visible = true,
    .named = true,
  },
  [sym__atx_heading_content] = {
    .visible = false,
    .named = true,
  },
  [sym__setext_heading1] = {
    .visible = true,
    .named = true,
  },
  [sym__setext_heading2] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_code_block] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_chunk] = {
    .visible = false,
    .named = true,
  },
  [sym_fenced_code_block] = {
    .visible = true,
    .named = true,
  },
  [sym_code_fence_content] = {
    .visible = true,
    .named = true,
  },
  [sym_info_string] = {
    .visible = true,
    .named = true,
  },
  [sym_language] = {
    .visible = true,
    .named = true,
  },
  [sym_html_block] = {
    .visible = true,
    .named = true,
  },
  [sym__html_block_1] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_2] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_3] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_4] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_5] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_6] = {
    .visible = false,
    .named = true,
  },
  [sym__html_block_7] = {
    .visible = false,
    .named = true,
  },
  [sym_link_reference_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__text_inline_no_link] = {
    .visible = false,
    .named = true,
  },
  [sym_paragraph] = {
    .visible = true,
    .named = true,
  },
  [sym__blank_line] = {
    .visible = false,
    .named = true,
  },
  [sym_block_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__list_plus] = {
    .visible = false,
    .named = true,
  },
  [sym__list_minus] = {
    .visible = false,
    .named = true,
  },
  [sym__list_star] = {
    .visible = false,
    .named = true,
  },
  [sym__list_dot] = {
    .visible = false,
    .named = true,
  },
  [sym__list_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym_list_marker_plus] = {
    .visible = true,
    .named = true,
  },
  [sym_list_marker_minus] = {
    .visible = true,
    .named = true,
  },
  [sym_list_marker_star] = {
    .visible = true,
    .named = true,
  },
  [sym_list_marker_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_list_marker_parenthesis] = {
    .visible = true,
    .named = true,
  },
  [sym__list_item_plus] = {
    .visible = true,
    .named = true,
  },
  [sym__list_item_minus] = {
    .visible = true,
    .named = true,
  },
  [sym__list_item_star] = {
    .visible = true,
    .named = true,
  },
  [sym__list_item_dot] = {
    .visible = true,
    .named = true,
  },
  [sym__list_item_parenthesis] = {
    .visible = true,
    .named = true,
  },
  [sym__list_item_content] = {
    .visible = false,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__soft_line_break] = {
    .visible = false,
    .named = true,
  },
  [sym__line] = {
    .visible = false,
    .named = true,
  },
  [sym__word] = {
    .visible = false,
    .named = true,
  },
  [sym_task_list_marker_checked] = {
    .visible = true,
    .named = true,
  },
  [sym_task_list_marker_unchecked] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_table] = {
    .visible = true,
    .named = true,
  },
  [sym__pipe_table_newline] = {
    .visible = false,
    .named = true,
  },
  [sym_pipe_table_delimiter_row] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_table_delimiter_cell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_table_row] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_table_cell] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_document_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_label_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_destination_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_destination_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__section1_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__section2_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__section3_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__section4_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__section5_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_indented_code_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_chunk_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_code_fence_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_info_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_info_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_language_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__html_block_1_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__html_block_2_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__html_block_3_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__html_block_4_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__html_block_5_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__html_block_6_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_paragraph_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_quote_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_plus_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_minus_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_star_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_dot_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_parenthesis_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__line_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_table_delimiter_row_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_table_delimiter_cell_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_table_row_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_table_cell_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_inline] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_pipe_table_align_left] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_pipe_table_align_right] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_pipe_table_header] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_heading_content = 1,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_heading_content] = "heading_content",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 1},
  [9] = {.index = 1, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_heading_content, 0, .inherited = true},
  [1] =
    {field_heading_content, 0},
  [2] =
    {field_heading_content, 1},
  [3] =
    {field_heading_content, 1, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_section,
  },
  [3] = {
    [0] = alias_sym_inline,
  },
  [4] = {
    [1] = sym_section,
  },
  [5] = {
    [0] = alias_sym_inline,
  },
  [6] = {
    [1] = alias_sym_inline,
  },
  [8] = {
    [0] = sym_pipe_table_cell,
  },
  [10] = {
    [0] = alias_sym_pipe_table_align_left,
  },
  [11] = {
    [1] = alias_sym_pipe_table_header,
  },
  [12] = {
    [1] = alias_sym_pipe_table_align_right,
  },
  [13] = {
    [0] = alias_sym_pipe_table_align_left,
    [2] = alias_sym_pipe_table_align_right,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__section2, 2,
    sym__section2,
    sym_section,
  sym__section3, 2,
    sym__section3,
    sym_section,
  sym__section4, 2,
    sym__section4,
    sym_section,
  sym__section5, 2,
    sym__section5,
    sym_section,
  sym__section6, 2,
    sym__section6,
    sym_section,
  sym__line, 2,
    sym__line,
    alias_sym_inline,
  sym_pipe_table_row, 2,
    sym_pipe_table_row,
    alias_sym_pipe_table_header,
  aux_sym_document_repeat1, 2,
    aux_sym_document_repeat1,
    sym_section,
  aux_sym_paragraph_repeat1, 2,
    aux_sym_paragraph_repeat1,
    alias_sym_inline,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 5,
  [6] = 6,
  [7] = 5,
  [8] = 8,
  [9] = 6,
  [10] = 8,
  [11] = 3,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 13,
  [17] = 17,
  [18] = 17,
  [19] = 15,
  [20] = 12,
  [21] = 14,
  [22] = 22,
  [23] = 22,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 31,
  [35] = 26,
  [36] = 32,
  [37] = 37,
  [38] = 38,
  [39] = 38,
  [40] = 37,
  [41] = 41,
  [42] = 41,
  [43] = 43,
  [44] = 44,
  [45] = 44,
  [46] = 46,
  [47] = 46,
  [48] = 43,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 50,
  [53] = 51,
  [54] = 49,
  [55] = 55,
  [56] = 56,
  [57] = 55,
  [58] = 58,
  [59] = 58,
  [60] = 56,
  [61] = 61,
  [62] = 61,
  [63] = 63,
  [64] = 63,
  [65] = 65,
  [66] = 65,
  [67] = 67,
  [68] = 68,
  [69] = 67,
  [70] = 68,
  [71] = 71,
  [72] = 71,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 76,
  [78] = 74,
  [79] = 79,
  [80] = 73,
  [81] = 81,
  [82] = 82,
  [83] = 75,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 88,
  [92] = 90,
  [93] = 82,
  [94] = 89,
  [95] = 81,
  [96] = 79,
  [97] = 84,
  [98] = 87,
  [99] = 85,
  [100] = 86,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 104,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 107,
  [112] = 109,
  [113] = 108,
  [114] = 101,
  [115] = 102,
  [116] = 105,
  [117] = 103,
  [118] = 110,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 121,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 129,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 130,
  [140] = 140,
  [141] = 131,
  [142] = 142,
  [143] = 102,
  [144] = 124,
  [145] = 134,
  [146] = 146,
  [147] = 136,
  [148] = 138,
  [149] = 125,
  [150] = 119,
  [151] = 135,
  [152] = 142,
  [153] = 153,
  [154] = 154,
  [155] = 126,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 127,
  [162] = 122,
  [163] = 163,
  [164] = 132,
  [165] = 160,
  [166] = 158,
  [167] = 157,
  [168] = 156,
  [169] = 76,
  [170] = 154,
  [171] = 128,
  [172] = 153,
  [173] = 120,
  [174] = 163,
  [175] = 76,
  [176] = 176,
  [177] = 177,
  [178] = 159,
  [179] = 102,
  [180] = 137,
  [181] = 140,
  [182] = 177,
  [183] = 176,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 104,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 210,
  [234] = 208,
  [235] = 206,
  [236] = 129,
  [237] = 237,
  [238] = 238,
  [239] = 205,
  [240] = 202,
  [241] = 241,
  [242] = 217,
  [243] = 243,
  [244] = 244,
  [245] = 104,
  [246] = 227,
  [247] = 129,
  [248] = 238,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 218,
  [255] = 255,
  [256] = 256,
  [257] = 249,
  [258] = 250,
  [259] = 251,
  [260] = 260,
  [261] = 252,
  [262] = 262,
  [263] = 253,
  [264] = 231,
  [265] = 189,
  [266] = 228,
  [267] = 224,
  [268] = 221,
  [269] = 269,
  [270] = 199,
  [271] = 271,
  [272] = 203,
  [273] = 184,
  [274] = 194,
  [275] = 207,
  [276] = 193,
  [277] = 211,
  [278] = 192,
  [279] = 215,
  [280] = 280,
  [281] = 216,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 219,
  [288] = 288,
  [289] = 213,
  [290] = 290,
  [291] = 191,
  [292] = 223,
  [293] = 190,
  [294] = 294,
  [295] = 107,
  [296] = 188,
  [297] = 187,
  [298] = 298,
  [299] = 212,
  [300] = 214,
  [301] = 220,
  [302] = 222,
  [303] = 230,
  [304] = 232,
  [305] = 255,
  [306] = 237,
  [307] = 241,
  [308] = 244,
  [309] = 260,
  [310] = 256,
  [311] = 186,
  [312] = 262,
  [313] = 269,
  [314] = 185,
  [315] = 315,
  [316] = 280,
  [317] = 288,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 290,
  [322] = 322,
  [323] = 282,
  [324] = 324,
  [325] = 320,
  [326] = 322,
  [327] = 327,
  [328] = 328,
  [329] = 318,
  [330] = 286,
  [331] = 315,
  [332] = 285,
  [333] = 201,
  [334] = 284,
  [335] = 243,
  [336] = 324,
  [337] = 337,
  [338] = 294,
  [339] = 298,
  [340] = 327,
  [341] = 319,
  [342] = 271,
  [343] = 204,
  [344] = 225,
  [345] = 345,
  [346] = 345,
  [347] = 283,
  [348] = 328,
  [349] = 229,
  [350] = 337,
  [351] = 351,
  [352] = 351,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 354,
  [358] = 355,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 361,
  [368] = 368,
  [369] = 368,
  [370] = 370,
  [371] = 359,
  [372] = 363,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 376,
  [378] = 378,
  [379] = 370,
  [380] = 374,
  [381] = 374,
  [382] = 365,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 373,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 388,
  [404] = 400,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 398,
  [411] = 411,
  [412] = 397,
  [413] = 407,
  [414] = 401,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 399,
  [419] = 396,
  [420] = 420,
  [421] = 408,
  [422] = 422,
  [423] = 416,
  [424] = 417,
  [425] = 425,
  [426] = 411,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 431,
  [434] = 430,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 429,
  [440] = 440,
  [441] = 441,
  [442] = 437,
  [443] = 443,
  [444] = 443,
  [445] = 438,
  [446] = 441,
  [447] = 435,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 428,
  [456] = 456,
  [457] = 453,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 458,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 463,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 469,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 476,
  [478] = 464,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 479,
  [483] = 480,
  [484] = 470,
  [485] = 485,
  [486] = 468,
  [487] = 360,
  [488] = 465,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 474,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 471,
  [499] = 472,
  [500] = 500,
  [501] = 471,
  [502] = 102,
  [503] = 472,
  [504] = 497,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 472,
  [512] = 451,
  [513] = 513,
  [514] = 509,
  [515] = 515,
  [516] = 471,
  [517] = 517,
  [518] = 472,
  [519] = 519,
  [520] = 471,
  [521] = 496,
  [522] = 472,
  [523] = 472,
  [524] = 524,
  [525] = 471,
  [526] = 472,
  [527] = 513,
  [528] = 471,
  [529] = 471,
  [530] = 461,
  [531] = 500,
  [532] = 129,
  [533] = 490,
  [534] = 76,
  [535] = 451,
  [536] = 500,
  [537] = 76,
  [538] = 538,
  [539] = 471,
  [540] = 76,
  [541] = 541,
  [542] = 542,
  [543] = 76,
  [544] = 544,
  [545] = 102,
  [546] = 489,
  [547] = 76,
  [548] = 495,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 460,
  [553] = 553,
  [554] = 554,
  [555] = 76,
  [556] = 76,
  [557] = 494,
  [558] = 491,
  [559] = 559,
  [560] = 560,
  [561] = 472,
  [562] = 481,
  [563] = 459,
  [564] = 564,
  [565] = 475,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 460,
  [571] = 571,
  [572] = 500,
  [573] = 573,
  [574] = 574,
  [575] = 550,
  [576] = 471,
  [577] = 104,
  [578] = 102,
  [579] = 550,
  [580] = 104,
  [581] = 581,
  [582] = 550,
  [583] = 571,
  [584] = 104,
  [585] = 519,
  [586] = 494,
  [587] = 587,
  [588] = 588,
  [589] = 481,
  [590] = 459,
  [591] = 490,
  [592] = 592,
  [593] = 593,
  [594] = 76,
  [595] = 129,
  [596] = 596,
  [597] = 104,
  [598] = 550,
  [599] = 550,
  [600] = 600,
  [601] = 506,
  [602] = 104,
  [603] = 550,
  [604] = 104,
  [605] = 605,
  [606] = 606,
  [607] = 104,
  [608] = 510,
  [609] = 472,
  [610] = 550,
  [611] = 507,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 538,
  [616] = 129,
  [617] = 550,
  [618] = 618,
  [619] = 619,
  [620] = 524,
  [621] = 515,
  [622] = 104,
  [623] = 623,
  [624] = 624,
  [625] = 612,
  [626] = 614,
  [627] = 623,
  [628] = 613,
  [629] = 596,
  [630] = 573,
  [631] = 550,
  [632] = 538,
  [633] = 606,
  [634] = 581,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 645,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 656,
  [658] = 651,
  [659] = 655,
  [660] = 209,
  [661] = 652,
  [662] = 649,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 102,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 670,
  [678] = 664,
  [679] = 679,
  [680] = 680,
  [681] = 673,
  [682] = 663,
  [683] = 674,
  [684] = 676,
  [685] = 675,
  [686] = 686,
  [687] = 666,
  [688] = 688,
  [689] = 672,
  [690] = 668,
  [691] = 688,
  [692] = 671,
  [693] = 693,
  [694] = 694,
  [695] = 648,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 700,
  [704] = 704,
  [705] = 701,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 708,
  [710] = 710,
  [711] = 711,
  [712] = 696,
  [713] = 713,
  [714] = 76,
  [715] = 711,
  [716] = 716,
  [717] = 717,
  [718] = 647,
  [719] = 704,
  [720] = 720,
  [721] = 699,
  [722] = 644,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 707,
  [729] = 724,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 734,
  [736] = 733,
  [737] = 129,
  [738] = 723,
  [739] = 739,
  [740] = 730,
  [741] = 710,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 752,
  [761] = 761,
  [762] = 747,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 763,
  [767] = 754,
  [768] = 753,
  [769] = 769,
  [770] = 770,
  [771] = 755,
  [772] = 750,
  [773] = 104,
  [774] = 774,
  [775] = 775,
  [776] = 697,
  [777] = 777,
  [778] = 778,
  [779] = 731,
  [780] = 780,
  [781] = 781,
  [782] = 726,
  [783] = 732,
  [784] = 713,
  [785] = 785,
  [786] = 781,
  [787] = 785,
  [788] = 785,
  [789] = 777,
  [790] = 790,
  [791] = 739,
  [792] = 792,
  [793] = 778,
  [794] = 702,
  [795] = 717,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 764,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 706,
  [808] = 751,
  [809] = 748,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 806,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 693,
  [820] = 811,
  [821] = 821,
  [822] = 818,
  [823] = 76,
  [824] = 812,
  [825] = 798,
  [826] = 815,
  [827] = 827,
  [828] = 76,
  [829] = 817,
  [830] = 775,
  [831] = 744,
  [832] = 832,
  [833] = 833,
  [834] = 827,
  [835] = 835,
  [836] = 749,
  [837] = 796,
  [838] = 102,
  [839] = 839,
  [840] = 814,
  [841] = 839,
  [842] = 810,
  [843] = 832,
  [844] = 800,
  [845] = 801,
  [846] = 802,
  [847] = 803,
  [848] = 804,
  [849] = 849,
  [850] = 805,
  [851] = 851,
  [852] = 835,
  [853] = 851,
  [854] = 833,
  [855] = 756,
  [856] = 849,
  [857] = 761,
  [858] = 816,
  [859] = 859,
  [860] = 860,
  [861] = 104,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 186,
  [868] = 868,
  [869] = 862,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 860,
  [881] = 881,
  [882] = 882,
  [883] = 879,
  [884] = 129,
  [885] = 872,
  [886] = 873,
  [887] = 875,
  [888] = 888,
  [889] = 877,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 104,
  [895] = 895,
  [896] = 878,
  [897] = 866,
  [898] = 898,
  [899] = 891,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 874,
  [907] = 907,
  [908] = 908,
  [909] = 901,
  [910] = 910,
  [911] = 881,
  [912] = 871,
  [913] = 913,
  [914] = 900,
  [915] = 915,
  [916] = 916,
  [917] = 890,
  [918] = 898,
  [919] = 904,
  [920] = 907,
  [921] = 870,
  [922] = 868,
  [923] = 905,
  [924] = 924,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(2031);
      ADVANCE_MAP(
        '\n', 2072,
        '\r', 2073,
        '!', 2040,
        '"', 2041,
        '#', 2042,
        '$', 2043,
        '%', 2044,
        '&', 2046,
        '\'', 2047,
        '(', 2070,
        ')', 2071,
        '*', 2048,
        '+', 2049,
        ',', 2050,
        '-', 2052,
        '.', 2053,
        '/', 2054,
        ':', 2055,
        ';', 2056,
        '<', 2038,
        '=', 2057,
        '>', 2039,
        '?', 2059,
        '@', 2060,
        '[', 2035,
        '\\', 2062,
        ']', 2037,
        '^', 2063,
        '_', 2064,
        '`', 2065,
        '{', 2066,
        '|', 2067,
        '}', 2068,
        '~', 2069,
        '\t', 2080,
        ' ', 2080,
      );
      if (lookahead != 0) ADVANCE(2077);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 2040,
        '"', 2041,
        '#', 2042,
        '$', 2043,
        '%', 2044,
        '&', 2046,
        '\'', 2047,
        '(', 2070,
        ')', 2071,
        '*', 2048,
        '+', 2049,
        ',', 2050,
        '-', 2051,
        '.', 2053,
        '/', 2054,
        ':', 2055,
        ';', 2056,
        '<', 2038,
        '=', 2057,
        '>', 2039,
        '?', 2058,
        '@', 2060,
        '[', 2035,
        '\\', 2062,
        ']', 2036,
        '^', 2063,
        '_', 2064,
        '`', 2065,
        '{', 2066,
        '|', 2067,
        '}', 2068,
        '~', 2069,
        '\t', 2080,
        ' ', 2080,
      );
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(2077);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 2040,
        '"', 2041,
        '#', 2042,
        '$', 2043,
        '%', 2044,
        '&', 2045,
        '\'', 2047,
        '(', 2070,
        ')', 2071,
        '*', 2048,
        '+', 2049,
        ',', 2050,
        '-', 2052,
        '.', 2053,
        '/', 2054,
        ':', 2055,
        ';', 2056,
        '<', 2038,
        '=', 2057,
        '>', 2039,
        '?', 2058,
        '@', 2060,
        '[', 2035,
        '\\', 2061,
        ']', 2036,
        '^', 2063,
        '_', 2064,
        '`', 2065,
        '{', 2066,
        '|', 2067,
        '}', 2068,
        '~', 2069,
        '\t', 2080,
        ' ', 2080,
      );
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(2077);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 2040,
        '"', 2041,
        '#', 2042,
        '$', 2043,
        '%', 2044,
        '&', 2045,
        '\'', 2047,
        '(', 2070,
        ')', 2071,
        '*', 2048,
        '+', 2049,
        ',', 2050,
        '-', 2051,
        '.', 2053,
        '/', 2054,
        ':', 2055,
        ';', 2056,
        '<', 2038,
        '=', 2057,
        '>', 2039,
        '?', 2059,
        '@', 2060,
        '[', 2035,
        '\\', 2061,
        ']', 2036,
        '^', 2063,
        '_', 2064,
        '`', 2065,
        '{', 2066,
        '|', 2067,
        '}', 2068,
        '~', 2069,
        '\t', 2080,
        ' ', 2080,
      );
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(2077);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 2040,
        '"', 2041,
        '#', 2042,
        '$', 2043,
        '%', 2044,
        '&', 2045,
        '\'', 2047,
        '(', 2070,
        ')', 2071,
        '*', 2048,
        '+', 2049,
        ',', 2050,
        '-', 2051,
        '.', 2053,
        '/', 2054,
        ':', 2055,
        ';', 2056,
        '<', 2038,
        '=', 2057,
        '>', 2039,
        '?', 2058,
        '@', 2060,
        '[', 2035,
        '\\', 2062,
        ']', 2036,
        '^', 2063,
        '_', 2064,
        '`', 2065,
        '{', 2066,
        '|', 2067,
        '}', 2068,
        '~', 2069,
        '\t', 2080,
        ' ', 2080,
      );
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(2077);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 2040,
        '"', 2041,
        '#', 2042,
        '$', 2043,
        '%', 2044,
        '&', 2045,
        '\'', 2047,
        '(', 2070,
        ')', 2071,
        '*', 2048,
        '+', 2049,
        ',', 2050,
        '-', 2051,
        '.', 2053,
        '/', 2054,
        ':', 2055,
        ';', 2056,
        '<', 2038,
        '=', 2057,
        '>', 2039,
        '?', 2058,
        '@', 2060,
        '[', 2035,
        '\\', 2061,
        ']', 2037,
        '^', 2063,
        '_', 2064,
        '`', 2065,
        '{', 2066,
        '|', 2067,
        '}', 2068,
        '~', 2069,
        '\t', 2080,
        ' ', 2080,
      );
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(2077);
      END_STATE();
    case 6:
      if (lookahead == '1') ADVANCE(2010);
      if (lookahead == '3') ADVANCE(9);
      END_STATE();
    case 7:
      if (lookahead == '1') ADVANCE(2024);
      if (lookahead == ';') ADVANCE(2033);
      END_STATE();
    case 8:
      if (lookahead == '1') ADVANCE(234);
      if (lookahead == '2') ADVANCE(2011);
      if (lookahead == '3') ADVANCE(231);
      if (lookahead == '4') ADVANCE(11);
      if (lookahead == '5') ADVANCE(2012);
      if (lookahead == '7') ADVANCE(12);
      END_STATE();
    case 9:
      if (lookahead == '4') ADVANCE(13);
      END_STATE();
    case 10:
      if (lookahead == '4') ADVANCE(13);
      if (lookahead == 'f') ADVANCE(1521);
      END_STATE();
    case 11:
      if (lookahead == '5') ADVANCE(13);
      END_STATE();
    case 12:
      if (lookahead == '8') ADVANCE(13);
      END_STATE();
    case 13:
      if (lookahead == ';') ADVANCE(2033);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        ';', 2033,
        'A', 446,
        'B', 436,
        'E', 141,
        'H', 399,
        'a', 672,
        'b', 437,
        'c', 464,
        'd', 656,
        'e', 138,
        'f', 1114,
        'g', 28,
        'h', 482,
        'j', 607,
        'l', 64,
        'm', 1097,
        'n', 318,
        'o', 407,
        'p', 486,
        'r', 440,
        's', 387,
        't', 91,
        'u', 1631,
        'v', 924,
      );
      END_STATE();
    case 15:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'A') ADVANCE(1622);
      if (lookahead == 'a') ADVANCE(1615);
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'q') ADVANCE(1932);
      if (lookahead == 's') ADVANCE(831);
      if (lookahead == 'x') ADVANCE(1156);
      END_STATE();
    case 16:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'A') ADVANCE(1734);
      END_STATE();
    case 17:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'A') ADVANCE(1734);
      if (lookahead == 'V') ADVANCE(925);
      END_STATE();
    case 18:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'B') ADVANCE(399);
      END_STATE();
    case 19:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'B') ADVANCE(399);
      if (lookahead == 'D') ADVANCE(1505);
      END_STATE();
    case 20:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'B') ADVANCE(399);
      if (lookahead == 'E') ADVANCE(1593);
      END_STATE();
    case 21:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'B') ADVANCE(399);
      if (lookahead == 'L') ADVANCE(927);
      END_STATE();
    case 22:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'B') ADVANCE(399);
      if (lookahead == 'R') ADVANCE(1178);
      END_STATE();
    case 23:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'B') ADVANCE(399);
      if (lookahead == 'U') ADVANCE(1549);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        ';', 2033,
        'C', 1516,
        'D', 1490,
        'E', 1225,
        'G', 1750,
        'H', 1943,
        'L', 899,
        'N', 866,
        'P', 1711,
        'R', 900,
        'S', 1594,
        'T', 1103,
        'V', 939,
      );
      END_STATE();
    case 25:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'C') ADVANCE(425);
      END_STATE();
    case 26:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'D') ADVANCE(1451);
      if (lookahead == 'E') ADVANCE(1593);
      END_STATE();
    case 27:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'D') ADVANCE(300);
      END_STATE();
    case 28:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E') ADVANCE(13);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        ';', 2033,
        'E', 13,
        'a', 1530,
        'c', 1921,
        'e', 90,
        'i', 1352,
        'n', 317,
        'o', 735,
        's', 1108,
        'u', 1662,
      );
      END_STATE();
    case 30:
      ADVANCE_MAP(
        ';', 2033,
        'E', 13,
        'd', 1451,
        'e', 101,
        'm', 1928,
        'n', 2013,
        'p', 1301,
        'r', 436,
        's', 879,
      );
      END_STATE();
    case 31:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E') ADVANCE(13);
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'v') ADVANCE(2026);
      END_STATE();
    case 32:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E') ADVANCE(13);
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 33:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E') ADVANCE(13);
      if (lookahead == 'i') ADVANCE(734);
      if (lookahead == 'o') ADVANCE(1756);
      if (lookahead == 'p') ADVANCE(1682);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        ';', 2033,
        'E', 158,
        'a', 674,
        'b', 1602,
        'c', 1144,
        'd', 1451,
        'e', 159,
        'f', 1603,
        'g', 141,
        'i', 1337,
        'j', 607,
        'l', 230,
        'n', 318,
        'o', 1533,
        'r', 390,
        's', 642,
        't', 92,
        'v', 924,
      );
      END_STATE();
    case 35:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E') ADVANCE(1593);
      END_STATE();
    case 36:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E') ADVANCE(1593);
      if (lookahead == 'F') ADVANCE(1950);
      if (lookahead == 'G') ADVANCE(1743);
      if (lookahead == 'L') ADVANCE(825);
      if (lookahead == 'S') ADVANCE(1311);
      if (lookahead == 'T') ADVANCE(1171);
      END_STATE();
    case 37:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E') ADVANCE(1593);
      if (lookahead == 'F') ADVANCE(1950);
      if (lookahead == 'T') ADVANCE(1171);
      END_STATE();
    case 38:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E') ADVANCE(1593);
      if (lookahead == 'G') ADVANCE(1743);
      if (lookahead == 'L') ADVANCE(825);
      if (lookahead == 'S') ADVANCE(1311);
      if (lookahead == 'T') ADVANCE(1171);
      END_STATE();
    case 39:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E') ADVANCE(1593);
      if (lookahead == 'S') ADVANCE(1311);
      END_STATE();
    case 40:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E') ADVANCE(1593);
      if (lookahead == 'S') ADVANCE(1311);
      if (lookahead == 'T') ADVANCE(1171);
      END_STATE();
    case 41:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'G') ADVANCE(13);
      END_STATE();
    case 42:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'H') ADVANCE(13);
      END_STATE();
    case 43:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'I') ADVANCE(1433);
      if (lookahead == 'S') ADVANCE(1914);
      if (lookahead == 'U') ADVANCE(1414);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        ';', 2033,
        'J', 607,
        'a', 673,
        'c', 466,
        'e', 956,
        'f', 1603,
        'l', 118,
        'm', 1096,
        'o', 1381,
        's', 639,
        'T', 13,
        't', 13,
      );
      END_STATE();
    case 45:
      ADVANCE_MAP(
        ';', 2033,
        'J', 607,
        'a', 1353,
        'b', 1602,
        'c', 835,
        'd', 1451,
        'f', 1603,
        'o', 1533,
        'r', 851,
        's', 631,
        'T', 13,
        'g', 13,
        't', 13,
      );
      END_STATE();
    case 46:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'L') ADVANCE(825);
      END_STATE();
    case 47:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'N') ADVANCE(13);
      END_STATE();
    case 48:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'P') ADVANCE(13);
      END_STATE();
    case 49:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'P') ADVANCE(1301);
      END_STATE();
    case 50:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'T') ADVANCE(13);
      END_STATE();
    case 51:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'T') ADVANCE(1171);
      END_STATE();
    case 52:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'Y') ADVANCE(13);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(637);
      if (lookahead == 'p') ADVANCE(1267);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(988);
      if (lookahead == 'o') ADVANCE(1866);
      END_STATE();
    case 55:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(2028);
      END_STATE();
    case 56:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(631);
      if (lookahead == 'l') ADVANCE(13);
      END_STATE();
    case 57:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1603);
      END_STATE();
    case 58:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(645);
      if (lookahead == 'p') ADVANCE(13);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        ';', 2033,
        'a', 1531,
        'c', 1921,
        'e', 110,
        'i', 1670,
        'n', 317,
        'p', 1526,
        's', 1108,
        'E', 13,
        'y', 13,
      );
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(166);
      if (lookahead == 's') ADVANCE(1109);
      if (lookahead == 't') ADVANCE(13);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        ';', 2033,
        'a', 1530,
        'b', 137,
        'f', 1756,
        'h', 1192,
        'l', 1530,
        'p', 1211,
        's', 1108,
        't', 1211,
        'c', 13,
        'w', 13,
      );
      END_STATE();
    case 62:
      ADVANCE_MAP(
        ';', 2033,
        'a', 703,
        'c', 1086,
        'd', 2022,
        'm', 170,
        's', 1108,
        't', 1974,
        'b', 13,
        'e', 13,
      );
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(703);
      if (lookahead == 'i') ADVANCE(734);
      if (lookahead == 'o') ADVANCE(1756);
      if (lookahead == 'p') ADVANCE(1676);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(13);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'c') ADVANCE(1502);
      if (lookahead == 'h') ADVANCE(501);
      if (lookahead == 't') ADVANCE(1638);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'd') ADVANCE(133);
      if (lookahead == 'i') ADVANCE(990);
      if (lookahead == 'o') ADVANCE(1603);
      if (lookahead == 's') ADVANCE(1266);
      if (lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1756);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1767);
      if (lookahead == 'c') ADVANCE(1086);
      if (lookahead == 'd') ADVANCE(1458);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1211);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1656);
      if (lookahead == 'e') ADVANCE(774);
      if (lookahead == 'i') ADVANCE(1670);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1216);
      if (lookahead == 'c') ADVANCE(1811);
      if (lookahead == 'g') ADVANCE(13);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1356);
      if (lookahead == 'b') ADVANCE(1725);
      if (lookahead == 'c') ADVANCE(429);
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 's') ADVANCE(13);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1356);
      if (lookahead == 's') ADVANCE(1266);
      if (lookahead == 'd' ||
          lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(696);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1651);
      if (lookahead == 'c') ADVANCE(1043);
      if (lookahead == 'o') ADVANCE(1690);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1236);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1619);
      if (lookahead == 'f') ADVANCE(13);
      END_STATE();
    case 77:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1565);
      if (lookahead == 'c') ADVANCE(1941);
      if (lookahead == 'e') ADVANCE(1585);
      if (lookahead == 'n') ADVANCE(523);
      if (lookahead == 's') ADVANCE(1108);
      END_STATE();
    case 78:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1116);
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 79:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a') ADVANCE(1310);
      if (lookahead == 's') ADVANCE(1211);
      if (lookahead == 't') ADVANCE(13);
      END_STATE();
    case 80:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'b') ADVANCE(1451);
      if (lookahead == 'c') ADVANCE(1086);
      if (lookahead == 'f') ADVANCE(179);
      END_STATE();
    case 81:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'b') ADVANCE(13);
      if (lookahead == 'd') ADVANCE(217);
      END_STATE();
    case 82:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'b') ADVANCE(13);
      if (lookahead == 'h') ADVANCE(1803);
      END_STATE();
    case 83:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'b') ADVANCE(57);
      END_STATE();
    case 84:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'b') ADVANCE(57);
      if (lookahead == 'd') ADVANCE(13);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        ';', 2033,
        'b', 137,
        'f', 1756,
        'h', 1192,
        'l', 1530,
        'p', 1211,
        's', 1108,
        't', 1211,
      );
      END_STATE();
    case 86:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'b') ADVANCE(399);
      if (lookahead == 'e') ADVANCE(1585);
      END_STATE();
    case 87:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'b') ADVANCE(1678);
      if (lookahead == 'c') ADVANCE(429);
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'o') ADVANCE(1603);
      if (lookahead == 's') ADVANCE(13);
      END_STATE();
    case 88:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(13);
      END_STATE();
    case 89:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(121);
      if (lookahead == 'f') ADVANCE(1419);
      if (lookahead == 'm') ADVANCE(1075);
      if (lookahead == 's') ADVANCE(703);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(13);
      END_STATE();
    case 90:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        ';', 2033,
        'c', 616,
        'd', 1451,
        'h', 1652,
        'i', 1350,
        'l', 436,
        'q', 1933,
        'r', 359,
      );
      END_STATE();
    case 92:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(616);
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'l') ADVANCE(358);
      if (lookahead == 'q') ADVANCE(1933);
      if (lookahead == 'r') ADVANCE(424);
      END_STATE();
    case 93:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(120);
      END_STATE();
    case 94:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(615);
      if (lookahead == 'd') ADVANCE(1495);
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 95:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(615);
      if (lookahead == 'd') ADVANCE(1496);
      if (lookahead == 'g') ADVANCE(128);
      if (lookahead == 's') ADVANCE(522);
      END_STATE();
    case 96:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(453);
      if (lookahead == 'e') ADVANCE(1021);
      if (lookahead == 'l') ADVANCE(508);
      if (lookahead == 'p') ADVANCE(1663);
      END_STATE();
    case 97:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(1086);
      if (lookahead == 'w') ADVANCE(13);
      END_STATE();
    case 98:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(1921);
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 99:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(1921);
      if (lookahead == 'e' ||
          lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 100:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c') ADVANCE(543);
      if (lookahead == 'f') ADVANCE(1131);
      if (lookahead == 'o') ADVANCE(729);
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 101:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'd') ADVANCE(1451);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        ';', 2033,
        'd', 1451,
        'e', 186,
        'g', 28,
        'l', 28,
        'n', 779,
        'p', 1301,
        'r', 436,
      );
      END_STATE();
    case 103:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 's') ADVANCE(219);
      if (lookahead == 'E' ||
          lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 104:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'd') ADVANCE(13);
      END_STATE();
    case 105:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'd') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(779);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        ';', 2033,
        'd', 1452,
        'e', 101,
        'h', 1769,
        'l', 436,
        'm', 1928,
        'n', 2013,
        'p', 1301,
        's', 879,
      );
      if (('1' <= lookahead && lookahead <= '3') ||
          lookahead == 'E') ADVANCE(13);
      END_STATE();
    case 107:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'd') ADVANCE(1444);
      if (lookahead == 'l') ADVANCE(839);
      if (lookahead == 'r') ADVANCE(1139);
      END_STATE();
    case 108:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'd') ADVANCE(1444);
      if (lookahead == 'l') ADVANCE(839);
      if (lookahead == 'u') ADVANCE(1530);
      END_STATE();
    case 109:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'd') ADVANCE(1444);
      if (lookahead == 'l') ADVANCE(932);
      if (lookahead == 'q') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(1182);
      END_STATE();
    case 110:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'd') ADVANCE(1116);
      END_STATE();
    case 111:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(13);
      END_STATE();
    case 112:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(779);
      if (lookahead == 'm') ADVANCE(1786);
      if (lookahead == 'r') ADVANCE(1840);
      if (lookahead == 's') ADVANCE(1553);
      if (lookahead == 'z') ADVANCE(436);
      END_STATE();
    case 113:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 's') ADVANCE(867);
      END_STATE();
    case 114:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1603);
      END_STATE();
    case 115:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1586);
      if (lookahead == 'm') ADVANCE(1168);
      if (lookahead == 'p') ADVANCE(1301);
      if (lookahead == 's') ADVANCE(1600);
      END_STATE();
    case 116:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1811);
      END_STATE();
    case 117:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1014);
      END_STATE();
    case 118:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(959);
      END_STATE();
    case 119:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 120:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1585);
      END_STATE();
    case 121:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1585);
      if (lookahead == 'l') ADVANCE(800);
      END_STATE();
    case 122:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 123:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(705);
      if (lookahead == 'i') ADVANCE(1340);
      if (lookahead == 'o') ADVANCE(758);
      END_STATE();
    case 124:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 125:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1590);
      END_STATE();
    case 126:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1590);
      if (lookahead == 'n') ADVANCE(844);
      END_STATE();
    case 127:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(452);
      END_STATE();
    case 128:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1756);
      END_STATE();
    case 129:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1787);
      END_STATE();
    case 130:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1411);
      if (lookahead == 'f') ADVANCE(13);
      END_STATE();
    case 131:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1688);
      if (lookahead == 's') ADVANCE(815);
      END_STATE();
    case 132:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1644);
      if (lookahead == 's') ADVANCE(1530);
      END_STATE();
    case 133:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1654);
      if (lookahead == 'f' ||
          lookahead == 'm') ADVANCE(13);
      END_STATE();
    case 134:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e') ADVANCE(1643);
      END_STATE();
    case 135:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'f') ADVANCE(13);
      END_STATE();
    case 136:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'f') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(1440);
      if (lookahead == 'y') ADVANCE(196);
      END_STATE();
    case 137:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'f') ADVANCE(1756);
      END_STATE();
    case 138:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'f') ADVANCE(1816);
      if (lookahead == 'g') ADVANCE(13);
      if (lookahead == 'q') ADVANCE(187);
      if (lookahead == 's') ADVANCE(95);
      END_STATE();
    case 139:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'f') ADVANCE(1357);
      if (lookahead == 'l') ADVANCE(801);
      END_STATE();
    case 140:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'f') ADVANCE(1842);
      if (lookahead == 'q') ADVANCE(187);
      if (lookahead == 's') ADVANCE(195);
      END_STATE();
    case 141:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'g') ADVANCE(13);
      END_STATE();
    case 142:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'g') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(1832);
      if (lookahead == 'm') ADVANCE(1564);
      END_STATE();
    case 143:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'g') ADVANCE(1811);
      END_STATE();
    case 144:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'g') ADVANCE(779);
      END_STATE();
    case 145:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'h') ADVANCE(13);
      END_STATE();
    case 146:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'h') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(1482);
      END_STATE();
    case 147:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'h') ADVANCE(1441);
      END_STATE();
    case 148:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'i') ADVANCE(1089);
      if (lookahead == 'n') ADVANCE(971);
      if (lookahead == 'o') ADVANCE(1832);
      END_STATE();
    case 149:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'i') ADVANCE(753);
      if (lookahead == 'o') ADVANCE(1374);
      END_STATE();
    case 150:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'i') ADVANCE(1633);
      if (lookahead == 'u') ADVANCE(1848);
      if (lookahead == 'E' ||
          lookahead == 'd' ||
          lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 151:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'i') ADVANCE(1633);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 152:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'i') ADVANCE(1391);
      if (lookahead == 'p') ADVANCE(505);
      if (lookahead == 's') ADVANCE(13);
      END_STATE();
    case 153:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'i') ADVANCE(1870);
      END_STATE();
    case 154:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'i') ADVANCE(718);
      END_STATE();
    case 155:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'i') ADVANCE(1366);
      if (lookahead == 'n') ADVANCE(1099);
      END_STATE();
    case 156:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'i') ADVANCE(1293);
      END_STATE();
    case 157:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'i') ADVANCE(1430);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 's') ADVANCE(101);
      END_STATE();
    case 158:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'l') ADVANCE(13);
      END_STATE();
    case 159:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'q') ADVANCE(187);
      if (lookahead == 's') ADVANCE(94);
      END_STATE();
    case 160:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'l') ADVANCE(1869);
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(13);
      END_STATE();
    case 161:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'l') ADVANCE(1811);
      END_STATE();
    case 162:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'l') ADVANCE(1482);
      END_STATE();
    case 163:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'l') ADVANCE(1482);
      if (lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 164:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'l') ADVANCE(779);
      if (lookahead == 'd' ||
          lookahead == 'e') ADVANCE(13);
      END_STATE();
    case 165:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'l') ADVANCE(1873);
      if (lookahead == 'm') ADVANCE(425);
      END_STATE();
    case 166:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'l') ADVANCE(1252);
      END_STATE();
    case 167:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'm') ADVANCE(13);
      END_STATE();
    case 168:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'm') ADVANCE(132);
      END_STATE();
    case 169:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'm') ADVANCE(459);
      END_STATE();
    case 170:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'n') ADVANCE(13);
      END_STATE();
    case 171:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'n') ADVANCE(478);
      END_STATE();
    case 172:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(13);
      END_STATE();
    case 173:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(191);
      END_STATE();
    case 174:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 175:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(949);
      END_STATE();
    case 176:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(1980);
      END_STATE();
    case 177:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(1969);
      END_STATE();
    case 178:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(703);
      END_STATE();
    case 179:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(1657);
      END_STATE();
    case 180:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(1886);
      END_STATE();
    case 181:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(1396);
      if (lookahead == 's') ADVANCE(13);
      END_STATE();
    case 182:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'o') ADVANCE(1421);
      END_STATE();
    case 183:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'p') ADVANCE(13);
      END_STATE();
    case 184:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 185:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'p') ADVANCE(1682);
      END_STATE();
    case 186:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'q') ADVANCE(13);
      END_STATE();
    case 187:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'q') ADVANCE(13);
      if (lookahead == 's') ADVANCE(1296);
      END_STATE();
    case 188:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'q') ADVANCE(187);
      if (lookahead == 's') ADVANCE(13);
      END_STATE();
    case 189:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'q') ADVANCE(186);
      END_STATE();
    case 190:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'q') ADVANCE(1932);
      END_STATE();
    case 191:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 192:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'r') ADVANCE(417);
      if (lookahead == 's') ADVANCE(101);
      END_STATE();
    case 193:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'r') ADVANCE(1124);
      END_STATE();
    case 194:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'r') ADVANCE(1102);
      END_STATE();
    case 195:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(13);
      END_STATE();
    case 196:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(1603);
      END_STATE();
    case 197:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 198:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 199:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(2002);
      if (lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 200:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(1316);
      END_STATE();
    case 201:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(1211);
      END_STATE();
    case 202:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(1874);
      END_STATE();
    case 203:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(815);
      if (lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 204:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(869);
      END_STATE();
    case 205:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(882);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(13);
      END_STATE();
    case 206:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 's') ADVANCE(1936);
      END_STATE();
    case 207:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 't') ADVANCE(13);
      END_STATE();
    case 208:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 209:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 't') ADVANCE(1441);
      END_STATE();
    case 210:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 211:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 't') ADVANCE(587);
      END_STATE();
    case 212:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 't') ADVANCE(1211);
      END_STATE();
    case 213:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 't') ADVANCE(685);
      if (lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 214:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 't') ADVANCE(532);
      END_STATE();
    case 215:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 't') ADVANCE(1465);
      END_STATE();
    case 216:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 't') ADVANCE(1124);
      END_STATE();
    case 217:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'u') ADVANCE(13);
      END_STATE();
    case 218:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'u') ADVANCE(1094);
      END_STATE();
    case 219:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 220:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'v') ADVANCE(2026);
      END_STATE();
    case 221:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'v') ADVANCE(576);
      END_STATE();
    case 222:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'v') ADVANCE(881);
      END_STATE();
    case 223:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'a' ||
          lookahead == 'h') ADVANCE(13);
      END_STATE();
    case 224:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'b' ||
          lookahead == 'e') ADVANCE(13);
      END_STATE();
    case 225:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'c' ||
          lookahead == 'w') ADVANCE(13);
      END_STATE();
    case 226:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e' ||
          lookahead == 'g') ADVANCE(13);
      END_STATE();
    case 227:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e' ||
          lookahead == 'l') ADVANCE(13);
      END_STATE();
    case 228:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'f' ||
          lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 229:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(13);
      END_STATE();
    case 230:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'E' ||
          lookahead == 'a' ||
          lookahead == 'j') ADVANCE(13);
      END_STATE();
    case 231:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == '4' ||
          lookahead == '5' ||
          lookahead == '8') ADVANCE(13);
      END_STATE();
    case 232:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'D' ||
          lookahead == 'U' ||
          lookahead == 'd' ||
          lookahead == 'u') ADVANCE(13);
      END_STATE();
    case 233:
      if (lookahead == ';') ADVANCE(2033);
      if (lookahead == 'H' ||
          lookahead == 'L' ||
          lookahead == 'R' ||
          lookahead == 'h' ||
          lookahead == 'l' ||
          lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 234:
      if (lookahead == ';') ADVANCE(2033);
      if (('2' <= lookahead && lookahead <= '6') ||
          lookahead == '8') ADVANCE(13);
      END_STATE();
    case 235:
      if (lookahead == ';') ADVANCE(2034);
      END_STATE();
    case 236:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      END_STATE();
    case 237:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(235);
      END_STATE();
    case 238:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(236);
      END_STATE();
    case 239:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(238);
      END_STATE();
    case 240:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      END_STATE();
    case 241:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 242:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(235);
      END_STATE();
    case 243:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 244:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(243);
      END_STATE();
    case 245:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(244);
      END_STATE();
    case 246:
      if (lookahead == ';') ADVANCE(2034);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 247:
      if (lookahead == '>') ADVANCE(2074);
      END_STATE();
    case 248:
      if (lookahead == '>') ADVANCE(2076);
      END_STATE();
    case 249:
      ADVANCE_MAP(
        'A', 363,
        'a', 678,
        'c', 1142,
        'f', 1603,
        'i', 1231,
        'o', 1536,
        's', 652,
        'u', 1329,
      );
      END_STATE();
    case 250:
      ADVANCE_MAP(
        'A', 446,
        'B', 436,
        'H', 399,
        'a', 625,
        'b', 437,
        'c', 464,
        'd', 655,
        'e', 70,
        'f', 1114,
        'h', 483,
        'i', 1004,
        'l', 442,
        'm', 1514,
        'n', 1330,
        'o', 408,
        'p', 490,
        'r', 436,
        's', 388,
        't', 1070,
        'u', 1256,
        'x', 13,
      );
      END_STATE();
    case 251:
      ADVANCE_MAP(
        'A', 607,
        'I', 607,
        'U', 607,
        'a', 665,
        'c', 1144,
        'f', 1603,
        'o', 1533,
        's', 631,
        'u', 1338,
      );
      END_STATE();
    case 252:
      if (lookahead == 'A') ADVANCE(303);
      END_STATE();
    case 253:
      ADVANCE_MAP(
        'A', 1428,
        'C', 941,
        'D', 1446,
        'F', 1255,
        'R', 1177,
        'T', 886,
        'U', 1544,
        'V', 920,
        'a', 1734,
        'r', 1170,
      );
      END_STATE();
    case 254:
      ADVANCE_MAP(
        'A', 1622,
        'B', 493,
        'D', 432,
        'a', 1388,
        'c', 1992,
        'd', 432,
        'e', 792,
        'f', 1603,
        'l', 1869,
        'n', 1785,
        'o', 1533,
        'p', 1672,
        'r', 1869,
        's', 654,
        'z', 1117,
      );
      END_STATE();
    case 255:
      if (lookahead == 'A') ADVANCE(1622);
      if (lookahead == 'E') ADVANCE(13);
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'd') ADVANCE(1603);
      if (lookahead == 'e') ADVANCE(140);
      if (lookahead == 's') ADVANCE(1108);
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 256:
      ADVANCE_MAP(
        'A', 1622,
        'H', 399,
        'a', 987,
        'b', 1208,
        'c', 469,
        'd', 54,
        'e', 142,
        'f', 1115,
        'h', 476,
        'i', 447,
        'j', 607,
        'l', 621,
        'o', 1259,
        'r', 583,
        's', 623,
        't', 733,
        'u', 441,
        'w', 451,
        'z', 612,
      );
      END_STATE();
    case 257:
      ADVANCE_MAP(
        'A', 1622,
        'H', 399,
        'a', 666,
        'b', 1625,
        'c', 1123,
        'd', 438,
        'f', 1115,
        'g', 1664,
        'h', 477,
        'l', 714,
        'm', 56,
        'o', 991,
        'p', 548,
        'r', 713,
        's', 631,
        't', 730,
        'u', 443,
        'w', 451,
      );
      END_STATE();
    case 258:
      ADVANCE_MAP(
        'A', 1622,
        'a', 1130,
        'b', 399,
        'c', 1142,
        'e', 530,
        'f', 1603,
        'k', 1757,
        'o', 444,
        's', 644,
        'y', 585,
      );
      END_STATE();
    case 259:
      if (lookahead == 'A') ADVANCE(1622);
      if (lookahead == 'a') ADVANCE(1622);
      END_STATE();
    case 260:
      if (lookahead == 'A') ADVANCE(1622);
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'p') ADVANCE(399);
      END_STATE();
    case 261:
      if (lookahead == 'A') ADVANCE(1622);
      if (lookahead == 'a') ADVANCE(1615);
      if (lookahead == 'c') ADVANCE(207);
      if (lookahead == 'm') ADVANCE(1076);
      if (lookahead == 's') ADVANCE(1975);
      if (lookahead == 't') ADVANCE(1324);
      if (lookahead == 'x') ADVANCE(1811);
      END_STATE();
    case 262:
      if (lookahead == 'A') ADVANCE(1622);
      if (lookahead == 'a') ADVANCE(1615);
      if (lookahead == 'n') ADVANCE(1975);
      END_STATE();
    case 263:
      if (lookahead == 'A') ADVANCE(1622);
      if (lookahead == 'a') ADVANCE(1615);
      if (lookahead == 'n') ADVANCE(830);
      END_STATE();
    case 264:
      if (lookahead == 'A') ADVANCE(1622);
      if (lookahead == 'a') ADVANCE(1714);
      if (lookahead == 'i') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(1697);
      END_STATE();
    case 265:
      if (lookahead == 'A') ADVANCE(1622);
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 't') ADVANCE(193);
      END_STATE();
    case 266:
      if (lookahead == 'A') ADVANCE(1622);
      if (lookahead == 't') ADVANCE(1692);
      END_STATE();
    case 267:
      ADVANCE_MAP(
        'A', 1737,
        'D', 1505,
        'E', 1596,
        'T', 871,
        'a', 1734,
        'd', 1512,
        'p', 880,
        's', 1093,
      );
      END_STATE();
    case 268:
      if (lookahead == 'A') ADVANCE(671);
      END_STATE();
    case 269:
      if (lookahead == 'A') ADVANCE(671);
      if (lookahead == 'D') ADVANCE(1449);
      if (lookahead == 'G') ADVANCE(1655);
      if (lookahead == 'T') ADVANCE(1171);
      END_STATE();
    case 270:
      if (lookahead == 'A') ADVANCE(1253);
      END_STATE();
    case 271:
      ADVANCE_MAP(
        'A', 1429,
        'C', 941,
        'D', 1446,
        'F', 1255,
        'T', 886,
        'U', 1544,
        'V', 920,
        'a', 1734,
      );
      END_STATE();
    case 272:
      if (lookahead == 'A') ADVANCE(1734);
      END_STATE();
    case 273:
      if (lookahead == 'A') ADVANCE(1734);
      if (lookahead == 'D') ADVANCE(1505);
      END_STATE();
    case 274:
      if (lookahead == 'A') ADVANCE(1734);
      if (lookahead == 'R') ADVANCE(1178);
      END_STATE();
    case 275:
      if (lookahead == 'A') ADVANCE(1734);
      if (lookahead == 'R') ADVANCE(1178);
      if (lookahead == 'T') ADVANCE(856);
      END_STATE();
    case 276:
      if (lookahead == 'A') ADVANCE(1734);
      if (lookahead == 'T') ADVANCE(856);
      END_STATE();
    case 277:
      if (lookahead == 'A') ADVANCE(1734);
      if (lookahead == 'V') ADVANCE(925);
      END_STATE();
    case 278:
      if (lookahead == 'A') ADVANCE(1738);
      if (lookahead == 'B') ADVANCE(1602);
      if (lookahead == 'L') ADVANCE(918);
      if (lookahead == 'R') ADVANCE(1176);
      if (lookahead == 'T') ADVANCE(871);
      if (lookahead == 'a') ADVANCE(1734);
      END_STATE();
    case 279:
      if (lookahead == 'B') ADVANCE(402);
      if (lookahead == 'P') ADVANCE(551);
      END_STATE();
    case 280:
      ADVANCE_MAP(
        'B', 436,
        'E', 41,
        'a', 675,
        'c', 466,
        'e', 222,
        'f', 1603,
        'h', 1441,
        'i', 985,
        'o', 1539,
        'r', 1170,
        's', 638,
        'u', 1246,
      );
      END_STATE();
    case 281:
      if (lookahead == 'B') ADVANCE(399);
      END_STATE();
    case 282:
      if (lookahead == 'B') ADVANCE(399);
      if (lookahead == 'L') ADVANCE(1125);
      if (lookahead == 'S') ADVANCE(913);
      if (lookahead == 'T') ADVANCE(1171);
      END_STATE();
    case 283:
      if (lookahead == 'B') ADVANCE(1735);
      END_STATE();
    case 284:
      if (lookahead == 'B') ADVANCE(1727);
      if (lookahead == 'n') ADVANCE(285);
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 't') ADVANCE(24);
      END_STATE();
    case 285:
      if (lookahead == 'B') ADVANCE(1732);
      END_STATE();
    case 286:
      if (lookahead == 'C') ADVANCE(336);
      if (lookahead == 'c') ADVANCE(1992);
      END_STATE();
    case 287:
      if (lookahead == 'C') ADVANCE(425);
      END_STATE();
    case 288:
      if (lookahead == 'C') ADVANCE(1506);
      if (lookahead == 'T') ADVANCE(1157);
      END_STATE();
    case 289:
      if (lookahead == 'C') ADVANCE(1183);
      END_STATE();
    case 290:
      if (lookahead == 'C') ADVANCE(1278);
      END_STATE();
    case 291:
      if (lookahead == 'C') ADVANCE(1940);
      END_STATE();
    case 292:
      if (lookahead == 'C') ADVANCE(1522);
      END_STATE();
    case 293:
      if (lookahead == 'C') ADVANCE(1522);
      if (lookahead == 'D') ADVANCE(1448);
      if (lookahead == 'L') ADVANCE(930);
      if (lookahead == 'R') ADVANCE(1180);
      if (lookahead == 'U') ADVANCE(1545);
      if (lookahead == 'V') ADVANCE(939);
      END_STATE();
    case 294:
      if (lookahead == 'D') ADVANCE(1451);
      END_STATE();
    case 295:
      if (lookahead == 'D') ADVANCE(1451);
      if (lookahead == 'M') ADVANCE(1168);
      if (lookahead == 'P') ADVANCE(1301);
      if (lookahead == 'T') ADVANCE(1157);
      END_STATE();
    case 296:
      if (lookahead == 'D') ADVANCE(1451);
      if (lookahead == 'a') ADVANCE(1622);
      END_STATE();
    case 297:
      if (lookahead == 'D') ADVANCE(1451);
      if (lookahead == 'o') ADVANCE(1811);
      END_STATE();
    case 298:
      if (lookahead == 'D') ADVANCE(1451);
      if (lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 299:
      ADVANCE_MAP(
        'D', 180,
        'J', 607,
        'S', 607,
        'Z', 607,
        'a', 989,
        'c', 469,
        'e', 1212,
        'f', 1603,
        'i', 411,
        'o', 1537,
        's', 652,
      );
      END_STATE();
    case 300:
      if (lookahead == 'D') ADVANCE(13);
      END_STATE();
    case 301:
      ADVANCE_MAP(
        'D', 297,
        'a', 669,
        'c', 467,
        'd', 1451,
        'e', 13,
        'f', 298,
        'g', 192,
        'l', 157,
        'm', 398,
        'n', 974,
        'o', 991,
        'p', 480,
        'q', 662,
        'r', 296,
        's', 632,
        't', 223,
        'u', 1318,
        'x', 690,
      );
      END_STATE();
    case 302:
      ADVANCE_MAP(
        'D', 294,
        'a', 617,
        'c', 1507,
        'd', 432,
        'e', 515,
        'f', 1603,
        'h', 1441,
        'i', 706,
        'l', 670,
        'n', 1561,
        'o', 770,
        'p', 13,
        's', 651,
        'u', 165,
      );
      END_STATE();
    case 303:
      if (lookahead == 'D') ADVANCE(316);
      END_STATE();
    case 304:
      ADVANCE_MAP(
        'D', 2027,
        'H', 232,
        'U', 2027,
        'V', 233,
        'b', 1456,
        'd', 2027,
        'h', 232,
        'm', 1168,
        'p', 1301,
        't', 1157,
        'u', 2027,
        'v', 233,
      );
      END_STATE();
    case 305:
      if (lookahead == 'D') ADVANCE(607);
      END_STATE();
    case 306:
      ADVANCE_MAP(
        'D', 432,
        'H', 436,
        'a', 1530,
        'd', 432,
        'g', 2019,
        'i', 1375,
        'l', 265,
        'r', 266,
        's', 1108,
      );
      END_STATE();
    case 307:
      ADVANCE_MAP(
        'D', 432,
        'b', 399,
        'c', 1992,
        'd', 435,
        'e', 782,
        'f', 1603,
        'o', 1533,
        's', 631,
        'v', 750,
      );
      END_STATE();
    case 308:
      if (lookahead == 'D') ADVANCE(432);
      if (lookahead == 'd') ADVANCE(432);
      END_STATE();
    case 309:
      if (lookahead == 'D') ADVANCE(1505);
      if (lookahead == 'L') ADVANCE(927);
      if (lookahead == 'R') ADVANCE(1178);
      if (lookahead == 'U') ADVANCE(1549);
      END_STATE();
    case 310:
      if (lookahead == 'D') ADVANCE(1107);
      END_STATE();
    case 311:
      if (lookahead == 'D') ADVANCE(873);
      END_STATE();
    case 312:
      if (lookahead == 'D') ADVANCE(1513);
      if (lookahead == 'E') ADVANCE(1593);
      END_STATE();
    case 313:
      if (lookahead == 'D') ADVANCE(1517);
      if (lookahead == 'T') ADVANCE(892);
      if (lookahead == 'V') ADVANCE(920);
      END_STATE();
    case 314:
      if (lookahead == 'D') ADVANCE(1527);
      if (lookahead == 'Q') ADVANCE(1951);
      END_STATE();
    case 315:
      ADVANCE_MAP(
        'E', 1251,
        'M', 48,
        'a', 665,
        'b', 1602,
        'c', 1123,
        'f', 1603,
        'g', 1664,
        'l', 1532,
        'm', 394,
        'n', 734,
        'o', 991,
        'p', 1557,
        'r', 1098,
        's', 649,
        't', 1145,
        'u', 1317,
      );
      END_STATE();
    case 316:
      if (lookahead == 'E') ADVANCE(13);
      END_STATE();
    case 317:
      if (lookahead == 'E') ADVANCE(13);
      if (lookahead == 'a') ADVANCE(1530);
      if (lookahead == 's') ADVANCE(1108);
      END_STATE();
    case 318:
      if (lookahead == 'E') ADVANCE(13);
      if (lookahead == 'a') ADVANCE(1548);
      if (lookahead == 'e') ADVANCE(189);
      if (lookahead == 's') ADVANCE(1108);
      END_STATE();
    case 319:
      if (lookahead == 'E') ADVANCE(13);
      if (lookahead == 'e') ADVANCE(188);
      if (lookahead == 's') ADVANCE(1108);
      if (lookahead == 't') ADVANCE(191);
      END_STATE();
    case 320:
      if (lookahead == 'E') ADVANCE(1224);
      if (lookahead == 'U') ADVANCE(1580);
      END_STATE();
    case 321:
      ADVANCE_MAP(
        'E', 607,
        'J', 1257,
        'O', 607,
        'a', 665,
        'c', 1123,
        'd', 1451,
        'f', 1603,
        'g', 1664,
        'm', 53,
        'n', 1839,
        'o', 992,
        's', 631,
        't', 1171,
        'u', 1200,
      );
      END_STATE();
    case 322:
      if (lookahead == 'E') ADVANCE(1223);
      END_STATE();
    case 323:
      ADVANCE_MAP(
        'E', 1257,
        'a', 665,
        'c', 1123,
        'd', 605,
        'f', 1603,
        'g', 1664,
        'm', 396,
        'o', 1533,
        'p', 843,
        'r', 13,
        's', 646,
        't', 1092,
        'u', 1317,
        'v', 858,
      );
      END_STATE();
    case 324:
      if (lookahead == 'E') ADVANCE(1596);
      END_STATE();
    case 325:
      if (lookahead == 'E') ADVANCE(1593);
      END_STATE();
    case 326:
      if (lookahead == 'E') ADVANCE(1598);
      if (lookahead == 'F') ADVANCE(1950);
      if (lookahead == 'G') ADVANCE(1743);
      if (lookahead == 'L') ADVANCE(825);
      if (lookahead == 'S') ADVANCE(1311);
      if (lookahead == 'T') ADVANCE(1171);
      END_STATE();
    case 327:
      if (lookahead == 'E') ADVANCE(1599);
      if (lookahead == 'F') ADVANCE(1950);
      if (lookahead == 'G') ADVANCE(1743);
      if (lookahead == 'L') ADVANCE(825);
      if (lookahead == 'S') ADVANCE(1311);
      if (lookahead == 'T') ADVANCE(1171);
      END_STATE();
    case 328:
      if (lookahead == 'F') ADVANCE(371);
      END_STATE();
    case 329:
      if (lookahead == 'F') ADVANCE(1944);
      END_STATE();
    case 330:
      if (lookahead == 'G') ADVANCE(13);
      END_STATE();
    case 331:
      ADVANCE_MAP(
        'G', 975,
        'L', 906,
        'R', 1170,
        'V', 308,
        'a', 589,
        'b', 1758,
        'c', 419,
        'd', 432,
        'e', 15,
        'f', 1603,
        'g', 319,
        'h', 260,
        'i', 197,
        'j', 607,
        'l', 255,
        'm', 1075,
        'o', 184,
        'p', 488,
        'r', 264,
        's', 624,
        't', 995,
        'u', 168,
        'v', 306,
        'w', 263,
      );
      END_STATE();
    case 332:
      if (lookahead == 'G') ADVANCE(1743);
      END_STATE();
    case 333:
      if (lookahead == 'G') ADVANCE(1752);
      if (lookahead == 'L') ADVANCE(908);
      END_STATE();
    case 334:
      ADVANCE_MAP(
        'H', 286,
        'O', 328,
        'a', 671,
        'c', 69,
        'f', 1603,
        'h', 1508,
        'i', 993,
        'm', 513,
        'o', 1533,
        'q', 1629,
        's', 631,
        't', 399,
        'u', 573,
      );
      END_STATE();
    case 335:
      ADVANCE_MAP(
        'H', 356,
        'R', 252,
        'S', 340,
        'a', 2016,
        'c', 466,
        'f', 1603,
        'h', 814,
        'i', 1240,
        'o', 1533,
        'r', 1150,
        's', 652,
      );
      END_STATE();
    case 336:
      if (lookahead == 'H') ADVANCE(607);
      END_STATE();
    case 337:
      if (lookahead == 'H') ADVANCE(607);
      if (lookahead == 'J') ADVANCE(607);
      if (lookahead == 'a') ADVANCE(1554);
      if (lookahead == 'c') ADVANCE(836);
      if (lookahead == 'f') ADVANCE(1603);
      if (lookahead == 'o') ADVANCE(1533);
      if (lookahead == 's') ADVANCE(631);
      END_STATE();
    case 338:
      ADVANCE_MAP(
        'H', 607,
        'O', 357,
        'a', 677,
        'c', 465,
        'd', 1451,
        'e', 767,
        'f', 1603,
        'h', 1076,
        'i', 1650,
        'l', 1455,
        'o', 1295,
        'r', 1457,
        's', 631,
        'u', 1540,
      );
      END_STATE();
    case 339:
      ADVANCE_MAP(
        'H', 607,
        'a', 671,
        'c', 469,
        'd', 1451,
        'e', 1660,
        'f', 1603,
        'o', 1533,
        's', 631,
      );
      END_STATE();
    case 340:
      if (lookahead == 'H') ADVANCE(607);
      if (lookahead == 'c') ADVANCE(1992);
      END_STATE();
    case 341:
      if (lookahead == 'H') ADVANCE(1952);
      END_STATE();
    case 342:
      if (lookahead == 'I') ADVANCE(13);
      END_STATE();
    case 343:
      if (lookahead == 'I') ADVANCE(1351);
      END_STATE();
    case 344:
      if (lookahead == 'I') ADVANCE(1418);
      END_STATE();
    case 345:
      ADVANCE_MAP(
        'J', 607,
        'a', 671,
        'c', 466,
        'e', 996,
        'f', 1603,
        'o', 284,
        's', 631,
        't', 1145,
        'u', 13,
      );
      END_STATE();
    case 346:
      if (lookahead == 'L') ADVANCE(825);
      END_STATE();
    case 347:
      if (lookahead == 'L') ADVANCE(1125);
      END_STATE();
    case 348:
      if (lookahead == 'L') ADVANCE(923);
      if (lookahead == 'R') ADVANCE(1178);
      END_STATE();
    case 349:
      if (lookahead == 'L') ADVANCE(923);
      if (lookahead == 'R') ADVANCE(1178);
      if (lookahead == 'l') ADVANCE(905);
      if (lookahead == 'r') ADVANCE(1170);
      END_STATE();
    case 350:
      if (lookahead == 'L') ADVANCE(927);
      if (lookahead == 'R') ADVANCE(1178);
      END_STATE();
    case 351:
      if (lookahead == 'M') ADVANCE(909);
      if (lookahead == 'T') ADVANCE(1058);
      if (lookahead == 'V') ADVANCE(897);
      END_STATE();
    case 352:
      if (lookahead == 'M') ADVANCE(1168);
      END_STATE();
    case 353:
      ADVANCE_MAP(
        'N', 1451,
        'a', 661,
        'b', 1646,
        'c', 1472,
        'd', 1592,
        'e', 726,
        'f', 1603,
        'i', 976,
        'k', 531,
        'l', 412,
        'n', 791,
        'o', 1538,
        'p', 1673,
        'r', 789,
        's', 633,
        'u', 1258,
      );
      END_STATE();
    case 354:
      ADVANCE_MAP(
        'N', 330,
        'T', 42,
        'a', 665,
        'c', 468,
        'd', 1451,
        'f', 1603,
        'g', 1664,
        'l', 910,
        'm', 397,
        'o', 991,
        'p', 1807,
        'q', 1904,
        's', 641,
        't', 385,
        'u', 1317,
        'x', 1101,
      );
      END_STATE();
    case 355:
      if (lookahead == 'O') ADVANCE(50);
      END_STATE();
    case 356:
      if (lookahead == 'O') ADVANCE(362);
      END_STATE();
    case 357:
      if (lookahead == 'P') ADVANCE(52);
      END_STATE();
    case 358:
      if (lookahead == 'P') ADVANCE(399);
      END_STATE();
    case 359:
      if (lookahead == 'P') ADVANCE(399);
      if (lookahead == 'i') ADVANCE(229);
      END_STATE();
    case 360:
      if (lookahead == 'P') ADVANCE(1301);
      END_STATE();
    case 361:
      if (lookahead == 'Q') ADVANCE(1951);
      END_STATE();
    case 362:
      if (lookahead == 'R') ADVANCE(47);
      END_STATE();
    case 363:
      if (lookahead == 'R') ADVANCE(305);
      END_STATE();
    case 364:
      if (lookahead == 'R') ADVANCE(1181);
      if (lookahead == 'T') ADVANCE(892);
      if (lookahead == 'V') ADVANCE(920);
      END_STATE();
    case 365:
      ADVANCE_MAP(
        'S', 13,
        'a', 668,
        'c', 1123,
        'd', 433,
        'e', 1257,
        'f', 704,
        'g', 1483,
        'h', 580,
        'i', 1370,
        'l', 439,
        'm', 395,
        'o', 1533,
        'p', 400,
        'r', 65,
        's', 647,
        't', 1140,
        'u', 1317,
        'v', 578,
      );
      END_STATE();
    case 366:
      if (lookahead == 'S') ADVANCE(1355);
      END_STATE();
    case 367:
      if (lookahead == 'S') ADVANCE(1355);
      if (lookahead == 'V') ADVANCE(895);
      END_STATE();
    case 368:
      if (lookahead == 'S') ADVANCE(1573);
      END_STATE();
    case 369:
      if (lookahead == 'S') ADVANCE(1914);
      END_STATE();
    case 370:
      if (lookahead == 'S') ADVANCE(1600);
      END_STATE();
    case 371:
      if (lookahead == 'T') ADVANCE(607);
      END_STATE();
    case 372:
      if (lookahead == 'T') ADVANCE(1072);
      END_STATE();
    case 373:
      if (lookahead == 'T') ADVANCE(1053);
      END_STATE();
    case 374:
      if (lookahead == 'T') ADVANCE(892);
      if (lookahead == 'V') ADVANCE(920);
      END_STATE();
    case 375:
      if (lookahead == 'T') ADVANCE(1754);
      END_STATE();
    case 376:
      if (lookahead == 'U') ADVANCE(355);
      if (lookahead == 'f') ADVANCE(1603);
      if (lookahead == 'o') ADVANCE(1533);
      if (lookahead == 's') ADVANCE(631);
      END_STATE();
    case 377:
      if (lookahead == 'V') ADVANCE(939);
      END_STATE();
    case 378:
      if (lookahead == 'V') ADVANCE(925);
      END_STATE();
    case 379:
      if (lookahead == 'W') ADVANCE(1127);
      END_STATE();
    case 380:
      if (lookahead == ']') ADVANCE(2079);
      END_STATE();
    case 381:
      if (lookahead == ']') ADVANCE(2078);
      END_STATE();
    case 382:
      ADVANCE_MAP(
        'a', 665,
        'b', 1602,
        'c', 150,
        'e', 1251,
        'f', 191,
        'g', 1664,
        'l', 790,
        'm', 58,
        'n', 738,
        'o', 991,
        'p', 63,
        'r', 1098,
        's', 650,
        't', 1145,
        'u', 1317,
        'w', 686,
      );
      END_STATE();
    case 383:
      ADVANCE_MAP(
        'a', 665,
        'c', 151,
        'e', 614,
        'f', 2020,
        'g', 1664,
        'i', 148,
        'j', 1257,
        'm', 391,
        'n', 100,
        'o', 611,
        'p', 1663,
        'q', 1919,
        's', 643,
        't', 156,
        'u', 1200,
      );
      END_STATE();
    case 384:
      ADVANCE_MAP(
        'a', 657,
        'c', 1992,
        'e', 692,
        'f', 1603,
        'o', 1533,
        'r', 788,
        's', 631,
        'u', 1328,
      );
      END_STATE();
    case 385:
      if (lookahead == 'a') ADVANCE(13);
      END_STATE();
    case 386:
      if (lookahead == 'a') ADVANCE(191);
      END_STATE();
    case 387:
      if (lookahead == 'a') ADVANCE(1592);
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'h') ADVANCE(13);
      if (lookahead == 'i') ADVANCE(1322);
      if (lookahead == 'q') ADVANCE(572);
      if (lookahead == 't') ADVANCE(1674);
      END_STATE();
    case 388:
      if (lookahead == 'a') ADVANCE(1592);
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'h') ADVANCE(13);
      if (lookahead == 'q') ADVANCE(572);
      END_STATE();
    case 389:
      ADVANCE_MAP(
        'a', 676,
        'c', 414,
        'd', 1451,
        'e', 760,
        'f', 1603,
        'h', 609,
        'i', 1607,
        'l', 1909,
        'o', 1305,
        'r', 445,
        's', 653,
        't', 729,
        'u', 777,
        'w', 686,
        'y', 1248,
      );
      END_STATE();
    case 390:
      if (lookahead == 'a') ADVANCE(1966);
      END_STATE();
    case 391:
      if (lookahead == 'a') ADVANCE(636);
      if (lookahead == 'o') ADVANCE(949);
      if (lookahead == 'p') ADVANCE(778);
      END_STATE();
    case 392:
      if (lookahead == 'a') ADVANCE(1265);
      if (lookahead == 'e') ADVANCE(1578);
      if (lookahead == 'i') ADVANCE(736);
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 393:
      if (lookahead == 'a') ADVANCE(228);
      END_STATE();
    case 394:
      if (lookahead == 'a') ADVANCE(631);
      END_STATE();
    case 395:
      if (lookahead == 'a') ADVANCE(631);
      if (lookahead == 'e') ADVANCE(984);
      if (lookahead == 'i') ADVANCE(698);
      END_STATE();
    case 396:
      if (lookahead == 'a') ADVANCE(631);
      if (lookahead == 'e') ADVANCE(984);
      if (lookahead == 'i') ADVANCE(697);
      END_STATE();
    case 397:
      if (lookahead == 'a') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(1838);
      END_STATE();
    case 398:
      if (lookahead == 'a') ADVANCE(631);
      if (lookahead == 'p') ADVANCE(1847);
      if (lookahead == 's') ADVANCE(1543);
      END_STATE();
    case 399:
      if (lookahead == 'a') ADVANCE(1603);
      END_STATE();
    case 400:
      if (lookahead == 'a') ADVANCE(1603);
      if (lookahead == 'e') ADVANCE(1651);
      if (lookahead == 'l') ADVANCE(1918);
      END_STATE();
    case 401:
      if (lookahead == 'a') ADVANCE(1603);
      if (lookahead == 'f') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(1918);
      END_STATE();
    case 402:
      if (lookahead == 'a') ADVANCE(1603);
      if (lookahead == 'r') ADVANCE(481);
      END_STATE();
    case 403:
      ADVANCE_MAP(
        'a', 667,
        'b', 1625,
        'c', 1123,
        'd', 605,
        'f', 1603,
        'g', 1664,
        'm', 394,
        'n', 748,
        'o', 991,
        'p', 267,
        'r', 1113,
        's', 631,
        't', 1171,
        'u', 1317,
      );
      END_STATE();
    case 404:
      if (lookahead == 'a') ADVANCE(1370);
      END_STATE();
    case 405:
      if (lookahead == 'a') ADVANCE(219);
      END_STATE();
    case 406:
      ADVANCE_MAP(
        'a', 1728,
        'b', 1657,
        'c', 466,
        'd', 1451,
        'e', 1306,
        'f', 1603,
        'h', 820,
        'i', 1294,
        'o', 812,
        'p', 1673,
        'r', 518,
        's', 622,
        'w', 1080,
      );
      END_STATE();
    case 407:
      ADVANCE_MAP(
        'a', 1379,
        'b', 1657,
        'n', 982,
        'o', 1579,
        'p', 401,
        't', 1157,
        'w', 449,
        'z', 130,
      );
      END_STATE();
    case 408:
      if (lookahead == 'a') ADVANCE(1379);
      if (lookahead == 'b') ADVANCE(1657);
      if (lookahead == 'p') ADVANCE(401);
      if (lookahead == 't') ADVANCE(1157);
      END_STATE();
    case 409:
      if (lookahead == 'a') ADVANCE(1811);
      END_STATE();
    case 410:
      if (lookahead == 'a') ADVANCE(1811);
      if (lookahead == 'l') ADVANCE(1105);
      if (lookahead == 't') ADVANCE(1385);
      END_STATE();
    case 411:
      if (lookahead == 'a') ADVANCE(720);
      if (lookahead == 'f') ADVANCE(960);
      END_STATE();
    case 412:
      if (lookahead == 'a') ADVANCE(687);
      if (lookahead == 'k') ADVANCE(6);
      if (lookahead == 'o') ADVANCE(680);
      END_STATE();
    case 413:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 414:
      if (lookahead == 'a') ADVANCE(1555);
      if (lookahead == 'e') ADVANCE(759);
      if (lookahead == 'i') ADVANCE(1670);
      if (lookahead == 'u') ADVANCE(1563);
      END_STATE();
    case 415:
      if (lookahead == 'a') ADVANCE(771);
      END_STATE();
    case 416:
      if (lookahead == 'a') ADVANCE(199);
      END_STATE();
    case 417:
      if (lookahead == 'a') ADVANCE(1964);
      END_STATE();
    case 418:
      if (lookahead == 'a') ADVANCE(627);
      if (lookahead == 'o') ADVANCE(1980);
      END_STATE();
    case 419:
      if (lookahead == 'a') ADVANCE(1531);
      if (lookahead == 'e') ADVANCE(774);
      if (lookahead == 'o') ADVANCE(1392);
      if (lookahead == 'u') ADVANCE(1530);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 420:
      if (lookahead == 'a') ADVANCE(207);
      END_STATE();
    case 421:
      ADVANCE_MAP(
        'a', 626,
        'c', 1144,
        'e', 170,
        'f', 1603,
        'i', 607,
        'o', 1533,
        's', 631,
        'u', 613,
      );
      END_STATE();
    case 422:
      ADVANCE_MAP(
        'a', 1653,
        'c', 1992,
        'f', 1603,
        'h', 1076,
        'i', 13,
        'l', 1913,
        'o', 1141,
        'r', 123,
        's', 640,
      );
      END_STATE();
    case 423:
      if (lookahead == 'a') ADVANCE(1554);
      END_STATE();
    case 424:
      if (lookahead == 'a') ADVANCE(1566);
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'e') ADVANCE(1587);
      if (lookahead == 'l') ADVANCE(825);
      if (lookahead == 's') ADVANCE(1108);
      END_STATE();
    case 425:
      if (lookahead == 'a') ADVANCE(1530);
      END_STATE();
    case 426:
      ADVANCE_MAP(
        'a', 1530,
        'c', 1992,
        'e', 755,
        'f', 1603,
        'i', 1409,
        'o', 1533,
        's', 631,
        'u', 13,
      );
      END_STATE();
    case 427:
      if (lookahead == 'a') ADVANCE(1530);
      if (lookahead == 'i') ADVANCE(1670);
      if (lookahead == 'u') ADVANCE(1530);
      END_STATE();
    case 428:
      if (lookahead == 'a') ADVANCE(1530);
      if (lookahead == 's') ADVANCE(1108);
      END_STATE();
    case 429:
      if (lookahead == 'a') ADVANCE(1530);
      if (lookahead == 'u') ADVANCE(1530);
      END_STATE();
    case 430:
      if (lookahead == 'a') ADVANCE(973);
      END_STATE();
    case 431:
      ADVANCE_MAP(
        'a', 1313,
        'c', 1992,
        'e', 1343,
        'f', 1138,
        'i', 1257,
        'j', 1257,
        'l', 410,
        'n', 1443,
        'o', 1534,
        'p', 521,
        'r', 418,
        's', 631,
      );
      END_STATE();
    case 432:
      if (lookahead == 'a') ADVANCE(1777);
      END_STATE();
    case 433:
      if (lookahead == 'a') ADVANCE(1777);
      if (lookahead == 'b') ADVANCE(1291);
      if (lookahead == 'i') ADVANCE(1961);
      if (lookahead == 'o') ADVANCE(1811);
      if (lookahead == 's') ADVANCE(1493);
      END_STATE();
    case 434:
      if (lookahead == 'a') ADVANCE(1192);
      END_STATE();
    case 435:
      if (lookahead == 'a') ADVANCE(1780);
      END_STATE();
    case 436:
      if (lookahead == 'a') ADVANCE(1622);
      END_STATE();
    case 437:
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'b') ADVANCE(1657);
      if (lookahead == 'r') ADVANCE(471);
      END_STATE();
    case 438:
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'b') ADVANCE(1291);
      if (lookahead == 'h') ADVANCE(399);
      END_STATE();
    case 439:
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'c') ADVANCE(1087);
      if (lookahead == 'i') ADVANCE(1391);
      if (lookahead == 't') ADVANCE(13);
      END_STATE();
    case 440:
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'c') ADVANCE(1502);
      if (lookahead == 'h') ADVANCE(502);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 't') ADVANCE(1638);
      END_STATE();
    case 441:
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'h') ADVANCE(399);
      END_STATE();
    case 442:
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'h') ADVANCE(399);
      if (lookahead == 'm') ADVANCE(13);
      END_STATE();
    case 443:
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'm') ADVANCE(158);
      END_STATE();
    case 444:
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'm') ADVANCE(1853);
      if (lookahead == 'o') ADVANCE(1195);
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 'r') ADVANCE(578);
      END_STATE();
    case 445:
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'o') ADVANCE(1782);
      END_STATE();
    case 446:
      if (lookahead == 'a') ADVANCE(1622);
      if (lookahead == 'r') ADVANCE(1603);
      if (lookahead == 't') ADVANCE(532);
      END_STATE();
    case 447:
      if (lookahead == 'a') ADVANCE(1320);
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'g') ADVANCE(514);
      if (lookahead == 's') ADVANCE(1120);
      if (lookahead == 'v') ADVANCE(149);
      END_STATE();
    case 448:
      if (lookahead == 'a') ADVANCE(2003);
      END_STATE();
    case 449:
      if (lookahead == 'a') ADVANCE(1767);
      if (lookahead == 'b') ADVANCE(399);
      END_STATE();
    case 450:
      if (lookahead == 'a') ADVANCE(1767);
      if (lookahead == 'c') ADVANCE(1142);
      if (lookahead == 'd') ADVANCE(432);
      if (lookahead == 'R' ||
          lookahead == 'S') ADVANCE(13);
      END_STATE();
    case 451:
      if (lookahead == 'a') ADVANCE(1390);
      END_STATE();
    case 452:
      if (lookahead == 'a') ADVANCE(1850);
      END_STATE();
    case 453:
      if (lookahead == 'a') ADVANCE(1211);
      END_STATE();
    case 454:
      ADVANCE_MAP(
        'a', 1609,
        'c', 1992,
        'e', 1610,
        'f', 1603,
        'h', 1090,
        'i', 213,
        'l', 470,
        'm', 13,
        'o', 1151,
        'r', 29,
        's', 640,
        'u', 1389,
      );
      END_STATE();
    case 455:
      if (lookahead == 'a') ADVANCE(1844);
      if (lookahead == 'e') ADVANCE(1791);
      if (lookahead == 'o') ADVANCE(207);
      END_STATE();
    case 456:
      if (lookahead == 'a') ADVANCE(1035);
      END_STATE();
    case 457:
      if (lookahead == 'a') ADVANCE(1209);
      END_STATE();
    case 458:
      if (lookahead == 'a') ADVANCE(1234);
      if (lookahead == 'l') ADVANCE(1125);
      if (lookahead == 's') ADVANCE(1938);
      END_STATE();
    case 459:
      if (lookahead == 'a') ADVANCE(1657);
      END_STATE();
    case 460:
      if (lookahead == 'a') ADVANCE(1770);
      END_STATE();
    case 461:
      if (lookahead == 'a') ADVANCE(1357);
      END_STATE();
    case 462:
      if (lookahead == 'a') ADVANCE(615);
      END_STATE();
    case 463:
      if (lookahead == 'a') ADVANCE(1391);
      END_STATE();
    case 464:
      if (lookahead == 'a') ADVANCE(1656);
      if (lookahead == 'e') ADVANCE(775);
      if (lookahead == 'u') ADVANCE(571);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 465:
      if (lookahead == 'a') ADVANCE(1656);
      if (lookahead == 'e') ADVANCE(759);
      if (lookahead == 'i') ADVANCE(1670);
      if (lookahead == 'o') ADVANCE(1419);
      END_STATE();
    case 466:
      if (lookahead == 'a') ADVANCE(1656);
      if (lookahead == 'e') ADVANCE(774);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 467:
      if (lookahead == 'a') ADVANCE(1656);
      if (lookahead == 'i') ADVANCE(1633);
      if (lookahead == 'o') ADVANCE(1241);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 468:
      if (lookahead == 'a') ADVANCE(1656);
      if (lookahead == 'i') ADVANCE(1633);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 469:
      if (lookahead == 'a') ADVANCE(1656);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 470:
      if (lookahead == 'a') ADVANCE(1364);
      if (lookahead == 'u') ADVANCE(1761);
      END_STATE();
    case 471:
      if (lookahead == 'a') ADVANCE(629);
      if (lookahead == 'k') ADVANCE(783);
      END_STATE();
    case 472:
      if (lookahead == 'a') ADVANCE(1552);
      if (lookahead == 'u') ADVANCE(1552);
      END_STATE();
    case 473:
      if (lookahead == 'a') ADVANCE(740);
      END_STATE();
    case 474:
      if (lookahead == 'a') ADVANCE(1228);
      END_STATE();
    case 475:
      if (lookahead == 'a') ADVANCE(1228);
      if (lookahead == 'i') ADVANCE(1273);
      END_STATE();
    case 476:
      if (lookahead == 'a') ADVANCE(1612);
      END_STATE();
    case 477:
      if (lookahead == 'a') ADVANCE(1612);
      if (lookahead == 'b') ADVANCE(1242);
      END_STATE();
    case 478:
      if (lookahead == 'a') ADVANCE(1247);
      END_STATE();
    case 479:
      if (lookahead == 'a') ADVANCE(1247);
      if (lookahead == 'e') ADVANCE(1767);
      if (lookahead == 'i') ADVANCE(1963);
      END_STATE();
    case 480:
      if (lookahead == 'a') ADVANCE(1647);
      if (lookahead == 'l') ADVANCE(1918);
      if (lookahead == 's') ADVANCE(1083);
      END_STATE();
    case 481:
      if (lookahead == 'a') ADVANCE(630);
      END_STATE();
    case 482:
      if (lookahead == 'a') ADVANCE(1642);
      if (lookahead == 'b') ADVANCE(1242);
      END_STATE();
    case 483:
      if (lookahead == 'a') ADVANCE(1642);
      if (lookahead == 'o') ADVANCE(219);
      END_STATE();
    case 484:
      if (lookahead == 'a') ADVANCE(1574);
      END_STATE();
    case 485:
      if (lookahead == 'a') ADVANCE(715);
      END_STATE();
    case 486:
      if (lookahead == 'a') ADVANCE(1640);
      END_STATE();
    case 487:
      if (lookahead == 'a') ADVANCE(1239);
      END_STATE();
    case 488:
      if (lookahead == 'a') ADVANCE(1632);
      if (lookahead == 'o') ADVANCE(1307);
      if (lookahead == 'r') ADVANCE(98);
      END_STATE();
    case 489:
      if (lookahead == 'a') ADVANCE(1235);
      END_STATE();
    case 490:
      if (lookahead == 'a') ADVANCE(1627);
      if (lookahead == 'p') ADVANCE(1526);
      END_STATE();
    case 491:
      if (lookahead == 'a') ADVANCE(1613);
      if (lookahead == 'r') ADVANCE(562);
      END_STATE();
    case 492:
      if (lookahead == 'a') ADVANCE(1218);
      END_STATE();
    case 493:
      if (lookahead == 'a') ADVANCE(1626);
      END_STATE();
    case 494:
      if (lookahead == 'a') ADVANCE(1226);
      END_STATE();
    case 495:
      if (lookahead == 'a') ADVANCE(1213);
      END_STATE();
    case 496:
      if (lookahead == 'a') ADVANCE(1219);
      END_STATE();
    case 497:
      if (lookahead == 'a') ADVANCE(1214);
      END_STATE();
    case 498:
      if (lookahead == 'a') ADVANCE(1680);
      END_STATE();
    case 499:
      if (lookahead == 'a') ADVANCE(1232);
      END_STATE();
    case 500:
      if (lookahead == 'a') ADVANCE(1220);
      END_STATE();
    case 501:
      if (lookahead == 'a') ADVANCE(1601);
      END_STATE();
    case 502:
      if (lookahead == 'a') ADVANCE(1630);
      END_STATE();
    case 503:
      if (lookahead == 'a') ADVANCE(1606);
      END_STATE();
    case 504:
      if (lookahead == 'a') ADVANCE(1684);
      END_STATE();
    case 505:
      if (lookahead == 'a') ADVANCE(1628);
      END_STATE();
    case 506:
      if (lookahead == 'a') ADVANCE(1868);
      END_STATE();
    case 507:
      if (lookahead == 'a') ADVANCE(1695);
      END_STATE();
    case 508:
      if (lookahead == 'a') ADVANCE(1668);
      END_STATE();
    case 509:
      if (lookahead == 'a') ADVANCE(1659);
      END_STATE();
    case 510:
      if (lookahead == 'a') ADVANCE(1665);
      END_STATE();
    case 511:
      ADVANCE_MAP(
        'a', 671,
        'b', 1592,
        'c', 59,
        'd', 1480,
        'e', 261,
        'f', 1623,
        'h', 74,
        'i', 1012,
        'l', 436,
        'm', 392,
        'o', 957,
        'p', 415,
        'q', 659,
        'r', 436,
        's', 634,
        't', 491,
        'u', 574,
        'w', 262,
        'z', 1251,
      );
      END_STATE();
    case 512:
      ADVANCE_MAP(
        'a', 671,
        'c', 469,
        'd', 1451,
        'e', 916,
        'f', 1603,
        'h', 607,
        'i', 1006,
        'o', 1533,
        's', 631,
        'w', 1191,
      );
      END_STATE();
    case 513:
      if (lookahead == 'a') ADVANCE(1263);
      END_STATE();
    case 514:
      if (lookahead == 'a') ADVANCE(1332);
      END_STATE();
    case 515:
      if (lookahead == 'a') ADVANCE(1789);
      END_STATE();
    case 516:
      ADVANCE_MAP(
        'a', 1558,
        'c', 836,
        'f', 1603,
        'g', 1667,
        'h', 607,
        'j', 607,
        'o', 1533,
        's', 631,
      );
      END_STATE();
    case 517:
      if (lookahead == 'a') ADVANCE(709);
      END_STATE();
    case 518:
      if (lookahead == 'a') ADVANCE(756);
      if (lookahead == 'i') ADVANCE(563);
      if (lookahead == 'p') ADVANCE(818);
      END_STATE();
    case 519:
      if (lookahead == 'a') ADVANCE(1716);
      END_STATE();
    case 520:
      if (lookahead == 'a') ADVANCE(1865);
      END_STATE();
    case 521:
      if (lookahead == 'a') ADVANCE(1683);
      END_STATE();
    case 522:
      if (lookahead == 'a') ADVANCE(1565);
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'e') ADVANCE(1588);
      if (lookahead == 'g') ADVANCE(1831);
      if (lookahead == 's') ADVANCE(1108);
      END_STATE();
    case 523:
      if (lookahead == 'a') ADVANCE(1565);
      if (lookahead == 'e') ADVANCE(1591);
      if (lookahead == 's') ADVANCE(1108);
      END_STATE();
    case 524:
      if (lookahead == 'a') ADVANCE(1565);
      if (lookahead == 's') ADVANCE(1108);
      END_STATE();
    case 525:
      if (lookahead == 'a') ADVANCE(695);
      END_STATE();
    case 526:
      if (lookahead == 'a') ADVANCE(1717);
      if (lookahead == 'l') ADVANCE(1994);
      if (lookahead == 'r') ADVANCE(787);
      if (lookahead == 'v') ADVANCE(936);
      END_STATE();
    case 527:
      if (lookahead == 'a') ADVANCE(1402);
      END_STATE();
    case 528:
      if (lookahead == 'a') ADVANCE(1253);
      if (lookahead == 'k') ADVANCE(219);
      END_STATE();
    case 529:
      if (lookahead == 'a') ADVANCE(1875);
      END_STATE();
    case 530:
      if (lookahead == 'a') ADVANCE(1729);
      if (lookahead == 'l') ADVANCE(1268);
      if (lookahead == 'r') ADVANCE(679);
      END_STATE();
    case 531:
      if (lookahead == 'a') ADVANCE(1679);
      END_STATE();
    case 532:
      if (lookahead == 'a') ADVANCE(1116);
      END_STATE();
    case 533:
      if (lookahead == 'a') ADVANCE(1116);
      if (lookahead == 'i') ADVANCE(1453);
      END_STATE();
    case 534:
      if (lookahead == 'a') ADVANCE(1929);
      END_STATE();
    case 535:
      if (lookahead == 'a') ADVANCE(1275);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(1720);
      END_STATE();
    case 537:
      if (lookahead == 'a') ADVANCE(1931);
      END_STATE();
    case 538:
      if (lookahead == 'a') ADVANCE(1883);
      END_STATE();
    case 539:
      if (lookahead == 'a') ADVANCE(1403);
      END_STATE();
    case 540:
      if (lookahead == 'a') ADVANCE(1722);
      END_STATE();
    case 541:
      if (lookahead == 'a') ADVANCE(1260);
      END_STATE();
    case 542:
      if (lookahead == 'a') ADVANCE(1712);
      END_STATE();
    case 543:
      if (lookahead == 'a') ADVANCE(1671);
      END_STATE();
    case 544:
      if (lookahead == 'a') ADVANCE(1718);
      END_STATE();
    case 545:
      if (lookahead == 'a') ADVANCE(1719);
      END_STATE();
    case 546:
      if (lookahead == 'a') ADVANCE(1310);
      END_STATE();
    case 547:
      if (lookahead == 'a') ADVANCE(1734);
      END_STATE();
    case 548:
      if (lookahead == 'a') ADVANCE(1734);
      if (lookahead == 'd') ADVANCE(1512);
      if (lookahead == 'h') ADVANCE(504);
      if (lookahead == 'l') ADVANCE(1918);
      if (lookahead == 's') ADVANCE(1085);
      if (lookahead == 'u') ADVANCE(1584);
      END_STATE();
    case 549:
      if (lookahead == 'a') ADVANCE(1734);
      if (lookahead == 'd') ADVANCE(1528);
      if (lookahead == 'h') ADVANCE(504);
      END_STATE();
    case 550:
      if (lookahead == 'a') ADVANCE(1734);
      if (lookahead == 'r') ADVANCE(1170);
      END_STATE();
    case 551:
      if (lookahead == 'a') ADVANCE(1745);
      END_STATE();
    case 552:
      if (lookahead == 'a') ADVANCE(1891);
      END_STATE();
    case 553:
      if (lookahead == 'a') ADVANCE(1739);
      if (lookahead == 'h') ADVANCE(564);
      if (lookahead == 'l') ADVANCE(928);
      if (lookahead == 'r') ADVANCE(1185);
      if (lookahead == 's') ADVANCE(1595);
      if (lookahead == 't') ADVANCE(1073);
      END_STATE();
    case 554:
      if (lookahead == 'a') ADVANCE(1739);
      if (lookahead == 'h') ADVANCE(564);
      if (lookahead == 'l') ADVANCE(948);
      if (lookahead == 'r') ADVANCE(1179);
      if (lookahead == 't') ADVANCE(1073);
      END_STATE();
    case 555:
      if (lookahead == 'a') ADVANCE(1893);
      END_STATE();
    case 556:
      if (lookahead == 'a') ADVANCE(1740);
      END_STATE();
    case 557:
      if (lookahead == 'a') ADVANCE(1740);
      if (lookahead == 'd') ADVANCE(450);
      END_STATE();
    case 558:
      if (lookahead == 'a') ADVANCE(1741);
      END_STATE();
    case 559:
      if (lookahead == 'a') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(566);
      END_STATE();
    case 560:
      if (lookahead == 'a') ADVANCE(1895);
      END_STATE();
    case 561:
      if (lookahead == 'a') ADVANCE(1742);
      if (lookahead == 'h') ADVANCE(566);
      if (lookahead == 's') ADVANCE(1595);
      END_STATE();
    case 562:
      if (lookahead == 'a') ADVANCE(1175);
      if (lookahead == 'n') ADVANCE(1756);
      END_STATE();
    case 563:
      if (lookahead == 'a') ADVANCE(1424);
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(1168);
      if (lookahead == 'p') ADVANCE(1301);
      if (lookahead == 's') ADVANCE(571);
      if (lookahead == 't') ADVANCE(1153);
      END_STATE();
    case 564:
      if (lookahead == 'a') ADVANCE(1747);
      END_STATE();
    case 565:
      if (lookahead == 'a') ADVANCE(1431);
      END_STATE();
    case 566:
      if (lookahead == 'a') ADVANCE(1749);
      END_STATE();
    case 567:
      if (lookahead == 'a') ADVANCE(1432);
      END_STATE();
    case 568:
      if (lookahead == 'a') ADVANCE(1434);
      END_STATE();
    case 569:
      if (lookahead == 'a') ADVANCE(1435);
      END_STATE();
    case 570:
      if (lookahead == 'a') ADVANCE(1436);
      END_STATE();
    case 571:
      if (lookahead == 'b') ADVANCE(13);
      END_STATE();
    case 572:
      if (lookahead == 'b') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(1442);
      END_STATE();
    case 573:
      if (lookahead == 'b') ADVANCE(204);
      if (lookahead == 'c') ADVANCE(717);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'p') ADVANCE(131);
      END_STATE();
    case 574:
      if (lookahead == 'b') ADVANCE(30);
      if (lookahead == 'c') ADVANCE(628);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(973);
      if (lookahead == 'p') ADVANCE(106);
      END_STATE();
    case 575:
      if (lookahead == 'b') ADVANCE(205);
      if (lookahead == 'c') ADVANCE(684);
      if (lookahead == 'p') ADVANCE(205);
      END_STATE();
    case 576:
      if (lookahead == 'b') ADVANCE(104);
      END_STATE();
    case 577:
      if (lookahead == 'b') ADVANCE(113);
      if (lookahead == 'p') ADVANCE(113);
      END_STATE();
    case 578:
      if (lookahead == 'b') ADVANCE(399);
      END_STATE();
    case 579:
      if (lookahead == 'b') ADVANCE(399);
      if (lookahead == 'g') ADVANCE(822);
      END_STATE();
    case 580:
      if (lookahead == 'b') ADVANCE(399);
      if (lookahead == 'm') ADVANCE(13);
      END_STATE();
    case 581:
      if (lookahead == 'b') ADVANCE(399);
      if (lookahead == 't') ADVANCE(13);
      END_STATE();
    case 582:
      if (lookahead == 'b') ADVANCE(399);
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'y') ADVANCE(372);
      END_STATE();
    case 583:
      if (lookahead == 'b') ADVANCE(1207);
      if (lookahead == 'c') ADVANCE(1501);
      END_STATE();
    case 584:
      if (lookahead == 'b') ADVANCE(111);
      if (lookahead == 'p') ADVANCE(111);
      END_STATE();
    case 585:
      if (lookahead == 'b') ADVANCE(1947);
      if (lookahead == 'p') ADVANCE(1068);
      END_STATE();
    case 586:
      if (lookahead == 'b') ADVANCE(744);
      END_STATE();
    case 587:
      if (lookahead == 'b') ADVANCE(1657);
      END_STATE();
    case 588:
      if (lookahead == 'b') ADVANCE(779);
      if (lookahead == 'p') ADVANCE(779);
      END_STATE();
    case 589:
      if (lookahead == 'b') ADVANCE(1221);
      if (lookahead == 'c') ADVANCE(1948);
      if (lookahead == 'n') ADVANCE(973);
      if (lookahead == 'p') ADVANCE(33);
      if (lookahead == 't') ADVANCE(1937);
      END_STATE();
    case 590:
      if (lookahead == 'b') ADVANCE(1762);
      END_STATE();
    case 591:
      if (lookahead == 'b') ADVANCE(386);
      END_STATE();
    case 592:
      if (lookahead == 'b') ADVANCE(931);
      END_STATE();
    case 593:
      if (lookahead == 'b') ADVANCE(1365);
      if (lookahead == 'p') ADVANCE(1365);
      END_STATE();
    case 594:
      if (lookahead == 'b') ADVANCE(1806);
      if (lookahead == 'c') ADVANCE(716);
      if (lookahead == 'p') ADVANCE(883);
      END_STATE();
    case 595:
      if (lookahead == 'b') ADVANCE(1806);
      if (lookahead == 'p') ADVANCE(883);
      END_STATE();
    case 596:
      if (lookahead == 'b') ADVANCE(1277);
      END_STATE();
    case 597:
      if (lookahead == 'b') ADVANCE(1280);
      END_STATE();
    case 598:
      if (lookahead == 'b') ADVANCE(1723);
      END_STATE();
    case 599:
      if (lookahead == 'b') ADVANCE(1283);
      END_STATE();
    case 600:
      if (lookahead == 'b') ADVANCE(1284);
      END_STATE();
    case 601:
      if (lookahead == 'b') ADVANCE(1298);
      END_STATE();
    case 602:
      if (lookahead == 'b') ADVANCE(510);
      END_STATE();
    case 603:
      if (lookahead == 'b') ADVANCE(1289);
      END_STATE();
    case 604:
      if (lookahead == 'b') ADVANCE(1290);
      END_STATE();
    case 605:
      if (lookahead == 'b') ADVANCE(1291);
      END_STATE();
    case 606:
      if (lookahead == 'b') ADVANCE(1809);
      if (lookahead == 'p') ADVANCE(1809);
      END_STATE();
    case 607:
      if (lookahead == 'c') ADVANCE(1992);
      END_STATE();
    case 608:
      if (lookahead == 'c') ADVANCE(1992);
      if (lookahead == 'e') ADVANCE(1966);
      END_STATE();
    case 609:
      if (lookahead == 'c') ADVANCE(1992);
      if (lookahead == 'e') ADVANCE(689);
      if (lookahead == 'i') ADVANCE(13);
      END_STATE();
    case 610:
      if (lookahead == 'c') ADVANCE(1992);
      if (lookahead == 'f') ADVANCE(1603);
      if (lookahead == 'i') ADVANCE(1302);
      if (lookahead == 'o') ADVANCE(1535);
      if (lookahead == 's') ADVANCE(631);
      END_STATE();
    case 611:
      if (lookahead == 'c') ADVANCE(1992);
      if (lookahead == 'g') ADVANCE(1482);
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 612:
      if (lookahead == 'c') ADVANCE(1992);
      if (lookahead == 'i') ADVANCE(1006);
      END_STATE();
    case 613:
      if (lookahead == 'c') ADVANCE(1992);
      if (lookahead == 'm') ADVANCE(158);
      END_STATE();
    case 614:
      if (lookahead == 'c') ADVANCE(1992);
      if (lookahead == 'x') ADVANCE(618);
      END_STATE();
    case 615:
      if (lookahead == 'c') ADVANCE(13);
      END_STATE();
    case 616:
      if (lookahead == 'c') ADVANCE(13);
      if (lookahead == 'i') ADVANCE(1603);
      END_STATE();
    case 617:
      if (lookahead == 'c') ADVANCE(191);
      if (lookahead == 'l') ADVANCE(784);
      if (lookahead == 'p') ADVANCE(202);
      if (lookahead == 'r') ADVANCE(1204);
      END_STATE();
    case 618:
      if (lookahead == 'c') ADVANCE(158);
      END_STATE();
    case 619:
      ADVANCE_MAP(
        'c', 427,
        'd', 1869,
        'f', 1603,
        'h', 259,
        'i', 13,
        'l', 259,
        'm', 425,
        'n', 1112,
        'o', 731,
        'r', 259,
        's', 648,
        'u', 1562,
        'v', 856,
        'w', 819,
      );
      END_STATE();
    case 620:
      if (lookahead == 'c') ADVANCE(427);
      if (lookahead == 'o') ADVANCE(732);
      if (lookahead == 's') ADVANCE(1597);
      if (lookahead == 't') ADVANCE(1753);
      if (lookahead == 'u') ADVANCE(1561);
      if (lookahead == 'v') ADVANCE(856);
      if (lookahead == 'w') ADVANCE(819);
      END_STATE();
    case 621:
      if (lookahead == 'c') ADVANCE(1501);
      END_STATE();
    case 622:
      if (lookahead == 'c') ADVANCE(2023);
      if (lookahead == 'h') ADVANCE(607);
      if (lookahead == 't') ADVANCE(1674);
      END_STATE();
    case 623:
      if (lookahead == 'c') ADVANCE(2023);
      if (lookahead == 'o') ADVANCE(1211);
      if (lookahead == 't') ADVANCE(1674);
      END_STATE();
    case 624:
      if (lookahead == 'c') ADVANCE(99);
      if (lookahead == 'h') ADVANCE(1519);
      if (lookahead == 'i') ADVANCE(1333);
      if (lookahead == 'm') ADVANCE(1075);
      if (lookahead == 'p') ADVANCE(399);
      if (lookahead == 'q') ADVANCE(1790);
      if (lookahead == 'u') ADVANCE(575);
      END_STATE();
    case 625:
      if (lookahead == 'c') ADVANCE(785);
      if (lookahead == 'd') ADVANCE(1122);
      if (lookahead == 'e') ADVANCE(1334);
      if (lookahead == 'n') ADVANCE(983);
      if (lookahead == 'q') ADVANCE(1907);
      if (lookahead == 'r') ADVANCE(1616);
      if (lookahead == 't') ADVANCE(533);
      END_STATE();
    case 626:
      if (lookahead == 'c') ADVANCE(1916);
      END_STATE();
    case 627:
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 's') ADVANCE(1211);
      END_STATE();
    case 628:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 629:
      if (lookahead == 'c') ADVANCE(2018);
      END_STATE();
    case 630:
      if (lookahead == 'c') ADVANCE(780);
      END_STATE();
    case 631:
      if (lookahead == 'c') ADVANCE(1603);
      END_STATE();
    case 632:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'i') ADVANCE(1316);
      END_STATE();
    case 633:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'e') ADVANCE(1325);
      if (lookahead == 'i') ADVANCE(1326);
      if (lookahead == 'o') ADVANCE(1215);
      END_STATE();
    case 634:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'e') ADVANCE(1859);
      if (lookahead == 'm') ADVANCE(1165);
      if (lookahead == 't') ADVANCE(503);
      END_STATE();
    case 635:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'e') ADVANCE(1636);
      END_STATE();
    case 636:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'g') ADVANCE(781);
      if (lookahead == 't') ADVANCE(1036);
      END_STATE();
    case 637:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'g') ADVANCE(1135);
      END_STATE();
    case 638:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'h') ADVANCE(13);
      END_STATE();
    case 639:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'h') ADVANCE(13);
      if (lookahead == 't') ADVANCE(1674);
      END_STATE();
    case 640:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'i') ADVANCE(13);
      END_STATE();
    case 641:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'i') ADVANCE(1316);
      END_STATE();
    case 642:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'i') ADVANCE(1321);
      END_STATE();
    case 643:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'i') ADVANCE(1363);
      END_STATE();
    case 644:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'l') ADVANCE(432);
      if (lookahead == 't') ADVANCE(1674);
      END_STATE();
    case 645:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'l') ADVANCE(973);
      END_STATE();
    case 646:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'l') ADVANCE(460);
      END_STATE();
    case 647:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'l') ADVANCE(460);
      if (lookahead == 'o') ADVANCE(1211);
      END_STATE();
    case 648:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'q') ADVANCE(700);
      END_STATE();
    case 649:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 's') ADVANCE(1118);
      END_STATE();
    case 650:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 't') ADVANCE(13);
      if (lookahead == 'y') ADVANCE(1341);
      END_STATE();
    case 651:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 't') ADVANCE(1571);
      END_STATE();
    case 652:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 't') ADVANCE(1674);
      END_STATE();
    case 653:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'u') ADVANCE(584);
      END_STATE();
    case 654:
      if (lookahead == 'c') ADVANCE(1603);
      if (lookahead == 'u') ADVANCE(593);
      END_STATE();
    case 655:
      if (lookahead == 'c') ADVANCE(385);
      if (lookahead == 'l') ADVANCE(765);
      if (lookahead == 'q') ADVANCE(1927);
      if (lookahead == 's') ADVANCE(1036);
      END_STATE();
    case 656:
      if (lookahead == 'c') ADVANCE(385);
      if (lookahead == 'q') ADVANCE(1927);
      if (lookahead == 'r') ADVANCE(766);
      if (lookahead == 's') ADVANCE(1036);
      END_STATE();
    case 657:
      if (lookahead == 'c') ADVANCE(1203);
      if (lookahead == 'r') ADVANCE(1962);
      END_STATE();
    case 658:
      if (lookahead == 'c') ADVANCE(1370);
      if (lookahead == 'i') ADVANCE(1440);
      if (lookahead == 'm') ADVANCE(1116);
      if (lookahead == 'p') ADVANCE(13);
      if (lookahead == 't') ADVANCE(872);
      END_STATE();
    case 659:
      if (lookahead == 'c') ADVANCE(472);
      if (lookahead == 's') ADVANCE(1908);
      if (lookahead == 'u') ADVANCE(76);
      END_STATE();
    case 660:
      if (lookahead == 'c') ADVANCE(1811);
      END_STATE();
    case 661:
      if (lookahead == 'c') ADVANCE(1194);
      if (lookahead == 'r') ADVANCE(1965);
      END_STATE();
    case 662:
      if (lookahead == 'c') ADVANCE(1143);
      if (lookahead == 's') ADVANCE(1110);
      if (lookahead == 'u') ADVANCE(479);
      if (lookahead == 'v') ADVANCE(1578);
      END_STATE();
    case 663:
      if (lookahead == 'c') ADVANCE(1142);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == 'f') ADVANCE(1603);
      if (lookahead == 'o') ADVANCE(1533);
      if (lookahead == 'p') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(127);
      if (lookahead == 's') ADVANCE(631);
      END_STATE();
    case 664:
      if (lookahead == 'c') ADVANCE(1142);
      if (lookahead == 'e') ADVANCE(768);
      if (lookahead == 'f') ADVANCE(1603);
      if (lookahead == 'o') ADVANCE(1533);
      if (lookahead == 's') ADVANCE(631);
      END_STATE();
    case 665:
      if (lookahead == 'c') ADVANCE(1915);
      END_STATE();
    case 666:
      if (lookahead == 'c') ADVANCE(1915);
      if (lookahead == 'r') ADVANCE(1603);
      END_STATE();
    case 667:
      if (lookahead == 'c') ADVANCE(1915);
      if (lookahead == 'r') ADVANCE(1639);
      END_STATE();
    case 668:
      if (lookahead == 'c') ADVANCE(1915);
      if (lookahead == 's') ADVANCE(1811);
      END_STATE();
    case 669:
      if (lookahead == 'c') ADVANCE(1915);
      if (lookahead == 's') ADVANCE(1865);
      END_STATE();
    case 670:
      if (lookahead == 'c') ADVANCE(1530);
      if (lookahead == 'd') ADVANCE(1603);
      END_STATE();
    case 671:
      if (lookahead == 'c') ADVANCE(1948);
      END_STATE();
    case 672:
      ADVANCE_MAP(
        'c', 1948,
        'e', 1334,
        'g', 1721,
        'm', 586,
        'n', 981,
        'p', 13,
        'q', 1907,
        'r', 1614,
        't', 78,
      );
      END_STATE();
    case 673:
      if (lookahead == 'c') ADVANCE(1948);
      if (lookahead == 'm') ADVANCE(586);
      if (lookahead == 'n') ADVANCE(973);
      if (lookahead == 'p') ADVANCE(1300);
      if (lookahead == 'r') ADVANCE(1603);
      END_STATE();
    case 674:
      if (lookahead == 'c') ADVANCE(1948);
      if (lookahead == 'm') ADVANCE(1344);
      if (lookahead == 'p') ADVANCE(13);
      END_STATE();
    case 675:
      if (lookahead == 'c') ADVANCE(1948);
      if (lookahead == 'n') ADVANCE(973);
      if (lookahead == 'r') ADVANCE(1649);
      END_STATE();
    case 676:
      if (lookahead == 'c') ADVANCE(1948);
      if (lookahead == 'p') ADVANCE(71);
      if (lookahead == 'r') ADVANCE(816);
      END_STATE();
    case 677:
      if (lookahead == 'c') ADVANCE(1948);
      if (lookahead == 'p') ADVANCE(153);
      if (lookahead == 'y') ADVANCE(1261);
      END_STATE();
    case 678:
      if (lookahead == 'c') ADVANCE(842);
      if (lookahead == 't') ADVANCE(13);
      END_STATE();
    case 679:
      if (lookahead == 'c') ADVANCE(1482);
      END_STATE();
    case 680:
      if (lookahead == 'c') ADVANCE(1192);
      END_STATE();
    case 681:
      if (lookahead == 'c') ADVANCE(1201);
      END_STATE();
    case 682:
      if (lookahead == 'c') ADVANCE(1201);
      if (lookahead == 's') ADVANCE(793);
      END_STATE();
    case 683:
      if (lookahead == 'c') ADVANCE(1193);
      if (lookahead == 'n') ADVANCE(368);
      END_STATE();
    case 684:
      if (lookahead == 'c') ADVANCE(120);
      END_STATE();
    case 685:
      if (lookahead == 'c') ADVANCE(1069);
      END_STATE();
    case 686:
      if (lookahead == 'c') ADVANCE(1462);
      if (lookahead == 'i') ADVANCE(1370);
      END_STATE();
    case 687:
      if (lookahead == 'c') ADVANCE(1196);
      if (lookahead == 'n') ADVANCE(1192);
      END_STATE();
    case 688:
      if (lookahead == 'c') ADVANCE(425);
      END_STATE();
    case 689:
      if (lookahead == 'c') ADVANCE(1197);
      END_STATE();
    case 690:
      if (lookahead == 'c') ADVANCE(1211);
      if (lookahead == 'i') ADVANCE(1767);
      if (lookahead == 'p') ADVANCE(911);
      END_STATE();
    case 691:
      if (lookahead == 'c') ADVANCE(1206);
      if (lookahead == 'n') ADVANCE(1776);
      END_STATE();
    case 692:
      if (lookahead == 'c') ADVANCE(534);
      if (lookahead == 'r') ADVANCE(1394);
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 693:
      if (lookahead == 'c') ADVANCE(1198);
      if (lookahead == 'k') ADVANCE(1961);
      END_STATE();
    case 694:
      if (lookahead == 'c') ADVANCE(615);
      END_STATE();
    case 695:
      if (lookahead == 'c') ADVANCE(779);
      END_STATE();
    case 696:
      if (lookahead == 'c') ADVANCE(1050);
      END_STATE();
    case 697:
      if (lookahead == 'c') ADVANCE(1656);
      END_STATE();
    case 698:
      if (lookahead == 'c') ADVANCE(1656);
      if (lookahead == 'd') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(1918);
      END_STATE();
    case 699:
      if (lookahead == 'c') ADVANCE(1776);
      END_STATE();
    case 700:
      if (lookahead == 'c') ADVANCE(1911);
      END_STATE();
    case 701:
      if (lookahead == 'c') ADVANCE(1810);
      END_STATE();
    case 702:
      if (lookahead == 'c') ADVANCE(453);
      END_STATE();
    case 703:
      if (lookahead == 'c') ADVANCE(1086);
      END_STATE();
    case 704:
      if (lookahead == 'c') ADVANCE(1086);
      if (lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 705:
      if (lookahead == 'c') ADVANCE(919);
      END_STATE();
    case 706:
      if (lookahead == 'c') ADVANCE(1645);
      if (lookahead == 'd') ADVANCE(67);
      if (lookahead == 'n') ADVANCE(1926);
      END_STATE();
    case 707:
      if (lookahead == 'c') ADVANCE(1897);
      END_STATE();
    case 708:
      if (lookahead == 'c') ADVANCE(1884);
      END_STATE();
    case 709:
      if (lookahead == 'c') ADVANCE(915);
      END_STATE();
    case 710:
      if (lookahead == 'c') ADVANCE(1868);
      END_STATE();
    case 711:
      if (lookahead == 'c') ADVANCE(1144);
      if (lookahead == 'f') ADVANCE(1603);
      if (lookahead == 'm') ADVANCE(452);
      if (lookahead == 'o') ADVANCE(1533);
      if (lookahead == 's') ADVANCE(635);
      if (lookahead == 'u') ADVANCE(1199);
      END_STATE();
    case 712:
      if (lookahead == 'c') ADVANCE(1144);
      if (lookahead == 'f') ADVANCE(1603);
      if (lookahead == 'o') ADVANCE(1533);
      if (lookahead == 's') ADVANCE(635);
      if (lookahead == 'u') ADVANCE(1199);
      END_STATE();
    case 713:
      if (lookahead == 'c') ADVANCE(1503);
      if (lookahead == 'i') ADVANCE(1378);
      if (lookahead == 't') ADVANCE(1638);
      END_STATE();
    case 714:
      if (lookahead == 'c') ADVANCE(1503);
      if (lookahead == 't') ADVANCE(1638);
      END_STATE();
    case 715:
      if (lookahead == 'c') ADVANCE(1205);
      END_STATE();
    case 716:
      if (lookahead == 'c') ADVANCE(885);
      END_STATE();
    case 717:
      if (lookahead == 'c') ADVANCE(885);
      if (lookahead == 'h') ADVANCE(373);
      END_STATE();
    case 718:
      if (lookahead == 'c') ADVANCE(492);
      END_STATE();
    case 719:
      if (lookahead == 'c') ADVANCE(1276);
      END_STATE();
    case 720:
      if (lookahead == 'c') ADVANCE(1700);
      if (lookahead == 'm') ADVANCE(1488);
      END_STATE();
    case 721:
      if (lookahead == 'c') ADVANCE(496);
      END_STATE();
    case 722:
      if (lookahead == 'c') ADVANCE(1883);
      END_STATE();
    case 723:
      if (lookahead == 'c') ADVANCE(1471);
      if (lookahead == 'e') ADVANCE(1529);
      if (lookahead == 'p') ADVANCE(1673);
      if (lookahead == 's') ADVANCE(1128);
      END_STATE();
    case 724:
      if (lookahead == 'c') ADVANCE(1260);
      END_STATE();
    case 725:
      if (lookahead == 'c') ADVANCE(499);
      END_STATE();
    case 726:
      if (lookahead == 'c') ADVANCE(537);
      if (lookahead == 'm') ADVANCE(1564);
      if (lookahead == 'p') ADVANCE(1771);
      if (lookahead == 'r') ADVANCE(1417);
      if (lookahead == 't') ADVANCE(1979);
      END_STATE();
    case 727:
      if (lookahead == 'c') ADVANCE(544);
      END_STATE();
    case 728:
      if (lookahead == 'c') ADVANCE(943);
      END_STATE();
    case 729:
      if (lookahead == 'd') ADVANCE(1451);
      END_STATE();
    case 730:
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'i') ADVANCE(1293);
      if (lookahead == 'r') ADVANCE(1082);
      END_STATE();
    case 731:
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'p') ADVANCE(950);
      if (lookahead == 't') ADVANCE(1153);
      END_STATE();
    case 732:
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'p') ADVANCE(1301);
      if (lookahead == 't') ADVANCE(1157);
      END_STATE();
    case 733:
      if (lookahead == 'd') ADVANCE(1451);
      if (lookahead == 'r') ADVANCE(1082);
      END_STATE();
    case 734:
      if (lookahead == 'd') ADVANCE(13);
      END_STATE();
    case 735:
      if (lookahead == 'd') ADVANCE(13);
      if (lookahead == 'f') ADVANCE(458);
      if (lookahead == 'p') ADVANCE(209);
      END_STATE();
    case 736:
      if (lookahead == 'd') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(779);
      END_STATE();
    case 737:
      if (lookahead == 'd') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(158);
      END_STATE();
    case 738:
      if (lookahead == 'd') ADVANCE(72);
      if (lookahead == 'g') ADVANCE(112);
      END_STATE();
    case 739:
      if (lookahead == 'd') ADVANCE(579);
      if (lookahead == 'i') ADVANCE(874);
      END_STATE();
    case 740:
      if (lookahead == 'd') ADVANCE(1297);
      END_STATE();
    case 741:
      if (lookahead == 'd') ADVANCE(367);
      END_STATE();
    case 742:
      if (lookahead == 'd') ADVANCE(343);
      END_STATE();
    case 743:
      if (lookahead == 'd') ADVANCE(333);
      END_STATE();
    case 744:
      if (lookahead == 'd') ADVANCE(385);
      END_STATE();
    case 745:
      if (lookahead == 'd') ADVANCE(607);
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 746:
      if (lookahead == 'd') ADVANCE(144);
      END_STATE();
    case 747:
      if (lookahead == 'd') ADVANCE(55);
      END_STATE();
    case 748:
      if (lookahead == 'd') ADVANCE(858);
      if (lookahead == 'i') ADVANCE(1486);
      END_STATE();
    case 749:
      if (lookahead == 'd') ADVANCE(111);
      END_STATE();
    case 750:
      if (lookahead == 'd') ADVANCE(432);
      END_STATE();
    case 751:
      if (lookahead == 'd') ADVANCE(451);
      END_STATE();
    case 752:
      if (lookahead == 'd') ADVANCE(206);
      END_STATE();
    case 753:
      if (lookahead == 'd') ADVANCE(124);
      END_STATE();
    case 754:
      if (lookahead == 'd') ADVANCE(1119);
      END_STATE();
    case 755:
      if (lookahead == 'd') ADVANCE(1119);
      if (lookahead == 'l') ADVANCE(1309);
      END_STATE();
    case 756:
      if (lookahead == 'd') ADVANCE(779);
      END_STATE();
    case 757:
      if (lookahead == 'd') ADVANCE(1923);
      END_STATE();
    case 758:
      if (lookahead == 'd') ADVANCE(1923);
      if (lookahead == 'p') ADVANCE(1525);
      END_STATE();
    case 759:
      if (lookahead == 'd') ADVANCE(1077);
      END_STATE();
    case 760:
      if (lookahead == 'd') ADVANCE(1077);
      if (lookahead == 'm') ADVANCE(1564);
      if (lookahead == 'n') ADVANCE(210);
      END_STATE();
    case 761:
      if (lookahead == 'd') ADVANCE(1802);
      if (lookahead == 'u') ADVANCE(1046);
      END_STATE();
    case 762:
      if (lookahead == 'd') ADVANCE(794);
      END_STATE();
    case 763:
      if (lookahead == 'd') ADVANCE(1765);
      END_STATE();
    case 764:
      if (lookahead == 'd') ADVANCE(1858);
      END_STATE();
    case 765:
      if (lookahead == 'd') ADVANCE(1046);
      END_STATE();
    case 766:
      if (lookahead == 'd') ADVANCE(1046);
      if (lookahead == 'u') ADVANCE(1802);
      END_STATE();
    case 767:
      if (lookahead == 'd') ADVANCE(1152);
      if (lookahead == 'n') ADVANCE(1887);
      END_STATE();
    case 768:
      if (lookahead == 'd') ADVANCE(998);
      END_STATE();
    case 769:
      if (lookahead == 'd') ADVANCE(1444);
      if (lookahead == 'u') ADVANCE(1530);
      END_STATE();
    case 770:
      if (lookahead == 'd') ADVANCE(863);
      if (lookahead == 'p') ADVANCE(949);
      END_STATE();
    case 771:
      if (lookahead == 'd') ADVANCE(859);
      if (lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 772:
      if (lookahead == 'd') ADVANCE(876);
      END_STATE();
    case 773:
      if (lookahead == 'd') ADVANCE(1467);
      END_STATE();
    case 774:
      if (lookahead == 'd') ADVANCE(1116);
      END_STATE();
    case 775:
      if (lookahead == 'd') ADVANCE(1116);
      if (lookahead == 'i') ADVANCE(1211);
      END_STATE();
    case 776:
      if (lookahead == 'd') ADVANCE(878);
      END_STATE();
    case 777:
      if (lookahead == 'd') ADVANCE(498);
      if (lookahead == 'e') ADVANCE(1546);
      if (lookahead == 'l') ADVANCE(519);
      if (lookahead == 'p') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(526);
      if (lookahead == 'v') ADVANCE(856);
      if (lookahead == 'w') ADVANCE(778);
      END_STATE();
    case 778:
      if (lookahead == 'e') ADVANCE(734);
      END_STATE();
    case 779:
      if (lookahead == 'e') ADVANCE(13);
      END_STATE();
    case 780:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'k') ADVANCE(815);
      END_STATE();
    case 781:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(1125);
      if (lookahead == 'p') ADVANCE(505);
      END_STATE();
    case 782:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(582);
      END_STATE();
    case 783:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 's') ADVANCE(1217);
      END_STATE();
    case 784:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 785:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(1860);
      END_STATE();
    case 786:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 787:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 788:
      if (lookahead == 'e') ADVANCE(1966);
      END_STATE();
    case 789:
      if (lookahead == 'e') ADVANCE(1966);
      if (lookahead == 'v') ADVANCE(591);
      END_STATE();
    case 790:
      if (lookahead == 'e') ADVANCE(958);
      if (lookahead == 'p') ADVANCE(1039);
      END_STATE();
    case 791:
      if (lookahead == 'e') ADVANCE(190);
      if (lookahead == 'o') ADVANCE(1811);
      END_STATE();
    case 792:
      if (lookahead == 'e') ADVANCE(86);
      if (lookahead == 'l') ADVANCE(1268);
      if (lookahead == 'r') ADVANCE(581);
      END_STATE();
    case 793:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 794:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 795:
      if (lookahead == 'e') ADVANCE(16);
      END_STATE();
    case 796:
      if (lookahead == 'e') ADVANCE(10);
      END_STATE();
    case 797:
      if (lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 798:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 799:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 800:
      if (lookahead == 'e') ADVANCE(557);
      END_STATE();
    case 801:
      if (lookahead == 'e') ADVANCE(1347);
      END_STATE();
    case 802:
      if (lookahead == 'e') ADVANCE(17);
      END_STATE();
    case 803:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 804:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 805:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 806:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 807:
      if (lookahead == 'e') ADVANCE(378);
      END_STATE();
    case 808:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 809:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 810:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 811:
      if (lookahead == 'e') ADVANCE(1603);
      END_STATE();
    case 812:
      if (lookahead == 'e') ADVANCE(385);
      if (lookahead == 'p') ADVANCE(80);
      if (lookahead == 's') ADVANCE(385);
      END_STATE();
    case 813:
      if (lookahead == 'e') ADVANCE(1370);
      END_STATE();
    case 814:
      if (lookahead == 'e') ADVANCE(1689);
      if (lookahead == 'i') ADVANCE(683);
      END_STATE();
    case 815:
      if (lookahead == 'e') ADVANCE(1811);
      END_STATE();
    case 816:
      if (lookahead == 'e') ADVANCE(1811);
      if (lookahead == 'o') ADVANCE(1357);
      END_STATE();
    case 817:
      if (lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 818:
      if (lookahead == 'e') ADVANCE(2008);
      END_STATE();
    case 819:
      if (lookahead == 'e') ADVANCE(768);
      END_STATE();
    case 820:
      if (lookahead == 'e') ADVANCE(1705);
      if (lookahead == 'i') ADVANCE(691);
      if (lookahead == 'k') ADVANCE(428);
      if (lookahead == 'o') ADVANCE(1605);
      END_STATE();
    case 821:
      if (lookahead == 'e') ADVANCE(959);
      END_STATE();
    case 822:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 823:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 824:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 825:
      if (lookahead == 'e') ADVANCE(1782);
      END_STATE();
    case 826:
      if (lookahead == 'e') ADVANCE(268);
      END_STATE();
    case 827:
      if (lookahead == 'e') ADVANCE(1585);
      END_STATE();
    case 828:
      if (lookahead == 'e') ADVANCE(311);
      END_STATE();
    case 829:
      if (lookahead == 'e') ADVANCE(769);
      END_STATE();
    case 830:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 831:
      if (lookahead == 'e') ADVANCE(399);
      if (lookahead == 'i') ADVANCE(1316);
      END_STATE();
    case 832:
      if (lookahead == 'e') ADVANCE(963);
      END_STATE();
    case 833:
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 834:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 835:
      if (lookahead == 'e') ADVANCE(774);
      if (lookahead == 'i') ADVANCE(1670);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 836:
      if (lookahead == 'e') ADVANCE(774);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 837:
      if (lookahead == 'e') ADVANCE(2004);
      END_STATE();
    case 838:
      if (lookahead == 'e') ADVANCE(1589);
      if (lookahead == 'v') ADVANCE(856);
      if (lookahead == 'w') ADVANCE(819);
      END_STATE();
    case 839:
      if (lookahead == 'e') ADVANCE(954);
      END_STATE();
    case 840:
      if (lookahead == 'e') ADVANCE(198);
      END_STATE();
    case 841:
      if (lookahead == 'e') ADVANCE(1591);
      END_STATE();
    case 842:
      if (lookahead == 'e') ADVANCE(1192);
      END_STATE();
    case 843:
      if (lookahead == 'e') ADVANCE(1360);
      END_STATE();
    case 844:
      if (lookahead == 'e') ADVANCE(1590);
      END_STATE();
    case 845:
      if (lookahead == 'e') ADVANCE(1832);
      END_STATE();
    case 846:
      if (lookahead == 'e') ADVANCE(1756);
      END_STATE();
    case 847:
      if (lookahead == 'e') ADVANCE(1767);
      END_STATE();
    case 848:
      if (lookahead == 'e') ADVANCE(1850);
      END_STATE();
    case 849:
      if (lookahead == 'e') ADVANCE(1211);
      END_STATE();
    case 850:
      if (lookahead == 'e') ADVANCE(741);
      END_STATE();
    case 851:
      if (lookahead == 'e') ADVANCE(552);
      END_STATE();
    case 852:
      if (lookahead == 'e') ADVANCE(743);
      END_STATE();
    case 853:
      if (lookahead == 'e') ADVANCE(1357);
      END_STATE();
    case 854:
      if (lookahead == 'e') ADVANCE(615);
      END_STATE();
    case 855:
      if (lookahead == 'e') ADVANCE(746);
      END_STATE();
    case 856:
      if (lookahead == 'e') ADVANCE(779);
      END_STATE();
    case 857:
      if (lookahead == 'e') ADVANCE(763);
      END_STATE();
    case 858:
      if (lookahead == 'e') ADVANCE(1611);
      END_STATE();
    case 859:
      if (lookahead == 'e') ADVANCE(1762);
      END_STATE();
    case 860:
      if (lookahead == 'e') ADVANCE(1529);
      if (lookahead == 'k') ADVANCE(423);
      if (lookahead == 'n') ADVANCE(1497);
      if (lookahead == 'p') ADVANCE(1045);
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 's') ADVANCE(1091);
      if (lookahead == 't') ADVANCE(1062);
      END_STATE();
    case 861:
      if (lookahead == 'e') ADVANCE(1529);
      if (lookahead == 'p') ADVANCE(1044);
      END_STATE();
    case 862:
      if (lookahead == 'e') ADVANCE(1773);
      END_STATE();
    case 863:
      if (lookahead == 'e') ADVANCE(1247);
      END_STATE();
    case 864:
      if (lookahead == 'e') ADVANCE(722);
      END_STATE();
    case 865:
      if (lookahead == 'e') ADVANCE(1411);
      END_STATE();
    case 866:
      if (lookahead == 'e') ADVANCE(1804);
      END_STATE();
    case 867:
      if (lookahead == 'e') ADVANCE(1856);
      END_STATE();
    case 868:
      if (lookahead == 'e') ADVANCE(1775);
      END_STATE();
    case 869:
      if (lookahead == 'e') ADVANCE(1834);
      END_STATE();
    case 870:
      if (lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 871:
      if (lookahead == 'e') ADVANCE(795);
      END_STATE();
    case 872:
      if (lookahead == 'e') ADVANCE(1383);
      END_STATE();
    case 873:
      if (lookahead == 'e') ADVANCE(1274);
      END_STATE();
    case 874:
      if (lookahead == 'e') ADVANCE(1651);
      END_STATE();
    case 875:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 876:
      if (lookahead == 'e') ADVANCE(1765);
      END_STATE();
    case 877:
      if (lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 878:
      if (lookahead == 'e') ADVANCE(1766);
      END_STATE();
    case 879:
      if (lookahead == 'e') ADVANCE(1821);
      if (lookahead == 'i') ADVANCE(1316);
      if (lookahead == 'u') ADVANCE(2015);
      END_STATE();
    case 880:
      if (lookahead == 'e') ADVANCE(1617);
      END_STATE();
    case 881:
      if (lookahead == 'e') ADVANCE(1724);
      END_STATE();
    case 882:
      if (lookahead == 'e') ADVANCE(1857);
      END_STATE();
    case 883:
      if (lookahead == 'e') ADVANCE(1688);
      END_STATE();
    case 884:
      if (lookahead == 'e') ADVANCE(1864);
      END_STATE();
    case 885:
      if (lookahead == 'e') ADVANCE(857);
      END_STATE();
    case 886:
      if (lookahead == 'e') ADVANCE(802);
      if (lookahead == 'r') ADVANCE(1188);
      END_STATE();
    case 887:
      if (lookahead == 'e') ADVANCE(1604);
      END_STATE();
    case 888:
      if (lookahead == 'e') ADVANCE(1698);
      if (lookahead == 'i') ADVANCE(1370);
      END_STATE();
    case 889:
      if (lookahead == 'e') ADVANCE(1648);
      END_STATE();
    case 890:
      if (lookahead == 'e') ADVANCE(1726);
      END_STATE();
    case 891:
      if (lookahead == 'e') ADVANCE(1746);
      END_STATE();
    case 892:
      if (lookahead == 'e') ADVANCE(807);
      END_STATE();
    case 893:
      if (lookahead == 'e') ADVANCE(1661);
      END_STATE();
    case 894:
      if (lookahead == 'e') ADVANCE(933);
      END_STATE();
    case 895:
      if (lookahead == 'e') ADVANCE(1658);
      END_STATE();
    case 896:
      if (lookahead == 'e') ADVANCE(1621);
      END_STATE();
    case 897:
      if (lookahead == 'e') ADVANCE(1666);
      END_STATE();
    case 898:
      if (lookahead == 'e') ADVANCE(1624);
      END_STATE();
    case 899:
      if (lookahead == 'e') ADVANCE(964);
      END_STATE();
    case 900:
      if (lookahead == 'e') ADVANCE(1968);
      if (lookahead == 'i') ADVANCE(1011);
      END_STATE();
    case 901:
      if (lookahead == 'e') ADVANCE(1281);
      END_STATE();
    case 902:
      if (lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 903:
      if (lookahead == 'e') ADVANCE(751);
      END_STATE();
    case 904:
      if (lookahead == 'e') ADVANCE(531);
      if (lookahead == 'w') ADVANCE(531);
      END_STATE();
    case 905:
      if (lookahead == 'e') ADVANCE(961);
      END_STATE();
    case 906:
      if (lookahead == 'e') ADVANCE(961);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 907:
      if (lookahead == 'e') ADVANCE(853);
      END_STATE();
    case 908:
      if (lookahead == 'e') ADVANCE(1793);
      END_STATE();
    case 909:
      if (lookahead == 'e') ADVANCE(754);
      END_STATE();
    case 910:
      if (lookahead == 'e') ADVANCE(1346);
      END_STATE();
    case 911:
      if (lookahead == 'e') ADVANCE(707);
      if (lookahead == 'o') ADVANCE(1427);
      END_STATE();
    case 912:
      if (lookahead == 'e') ADVANCE(520);
      END_STATE();
    case 913:
      if (lookahead == 'e') ADVANCE(1582);
      END_STATE();
    case 914:
      if (lookahead == 'e') ADVANCE(1686);
      END_STATE();
    case 915:
      if (lookahead == 'e') ADVANCE(1879);
      END_STATE();
    case 916:
      if (lookahead == 'e') ADVANCE(1879);
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 917:
      if (lookahead == 'e') ADVANCE(602);
      END_STATE();
    case 918:
      if (lookahead == 'e') ADVANCE(965);
      END_STATE();
    case 919:
      if (lookahead == 'e') ADVANCE(772);
      END_STATE();
    case 920:
      if (lookahead == 'e') ADVANCE(708);
      END_STATE();
    case 921:
      if (lookahead == 'e') ADVANCE(1783);
      END_STATE();
    case 922:
      if (lookahead == 'e') ADVANCE(1569);
      END_STATE();
    case 923:
      if (lookahead == 'e') ADVANCE(966);
      END_STATE();
    case 924:
      if (lookahead == 'e') ADVANCE(1685);
      if (lookahead == 'n') ADVANCE(316);
      END_STATE();
    case 925:
      if (lookahead == 'e') ADVANCE(710);
      END_STATE();
    case 926:
      if (lookahead == 'e') ADVANCE(1437);
      END_STATE();
    case 927:
      if (lookahead == 'e') ADVANCE(967);
      END_STATE();
    case 928:
      if (lookahead == 'e') ADVANCE(968);
      END_STATE();
    case 929:
      if (lookahead == 'e') ADVANCE(1420);
      END_STATE();
    case 930:
      if (lookahead == 'e') ADVANCE(969);
      if (lookahead == 'o') ADVANCE(1397);
      END_STATE();
    case 931:
      if (lookahead == 'e') ADVANCE(1704);
      END_STATE();
    case 932:
      if (lookahead == 'e') ADVANCE(962);
      END_STATE();
    case 933:
      if (lookahead == 'e') ADVANCE(1898);
      END_STATE();
    case 934:
      if (lookahead == 'e') ADVANCE(1751);
      END_STATE();
    case 935:
      if (lookahead == 'e') ADVANCE(1405);
      END_STATE();
    case 936:
      if (lookahead == 'e') ADVANCE(556);
      END_STATE();
    case 937:
      if (lookahead == 'e') ADVANCE(1315);
      END_STATE();
    case 938:
      if (lookahead == 'e') ADVANCE(1013);
      END_STATE();
    case 939:
      if (lookahead == 'e') ADVANCE(1748);
      END_STATE();
    case 940:
      if (lookahead == 'e') ADVANCE(1885);
      END_STATE();
    case 941:
      if (lookahead == 'e') ADVANCE(1164);
      END_STATE();
    case 942:
      if (lookahead == 'e') ADVANCE(1731);
      END_STATE();
    case 943:
      if (lookahead == 'e') ADVANCE(776);
      END_STATE();
    case 944:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 945:
      if (lookahead == 'e') ADVANCE(1380);
      END_STATE();
    case 946:
      if (lookahead == 'e') ADVANCE(560);
      END_STATE();
    case 947:
      if (lookahead == 'e') ADVANCE(728);
      END_STATE();
    case 948:
      if (lookahead == 'e') ADVANCE(972);
      END_STATE();
    case 949:
      if (lookahead == 'f') ADVANCE(13);
      END_STATE();
    case 950:
      if (lookahead == 'f') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(1918);
      END_STATE();
    case 951:
      if (lookahead == 'f') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(1477);
      END_STATE();
    case 952:
      if (lookahead == 'f') ADVANCE(1603);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(1533);
      if (lookahead == 's') ADVANCE(631);
      END_STATE();
    case 953:
      if (lookahead == 'f') ADVANCE(1603);
      if (lookahead == 'i') ADVANCE(1370);
      if (lookahead == 'o') ADVANCE(1533);
      if (lookahead == 'p') ADVANCE(1673);
      if (lookahead == 's') ADVANCE(631);
      if (lookahead == 'u') ADVANCE(455);
      END_STATE();
    case 954:
      if (lookahead == 'f') ADVANCE(1811);
      END_STATE();
    case 955:
      if (lookahead == 'f') ADVANCE(960);
      END_STATE();
    case 956:
      if (lookahead == 'f') ADVANCE(1814);
      if (lookahead == 's') ADVANCE(1759);
      END_STATE();
    case 957:
      if (lookahead == 'f') ADVANCE(1837);
      if (lookahead == 'l') ADVANCE(83);
      if (lookahead == 'p') ADVANCE(949);
      END_STATE();
    case 958:
      if (lookahead == 'f') ADVANCE(1778);
      if (lookahead == 'p') ADVANCE(1036);
      END_STATE();
    case 959:
      if (lookahead == 'f') ADVANCE(1902);
      END_STATE();
    case 960:
      if (lookahead == 'f') ADVANCE(934);
      END_STATE();
    case 961:
      if (lookahead == 'f') ADVANCE(1842);
      END_STATE();
    case 962:
      if (lookahead == 'f') ADVANCE(1856);
      END_STATE();
    case 963:
      if (lookahead == 'f') ADVANCE(1521);
      END_STATE();
    case 964:
      if (lookahead == 'f') ADVANCE(1845);
      if (lookahead == 's') ADVANCE(1764);
      END_STATE();
    case 965:
      if (lookahead == 'f') ADVANCE(1823);
      END_STATE();
    case 966:
      if (lookahead == 'f') ADVANCE(1825);
      END_STATE();
    case 967:
      if (lookahead == 'f') ADVANCE(1841);
      END_STATE();
    case 968:
      if (lookahead == 'f') ADVANCE(1881);
      END_STATE();
    case 969:
      if (lookahead == 'f') ADVANCE(1829);
      END_STATE();
    case 970:
      if (lookahead == 'f') ADVANCE(1481);
      END_STATE();
    case 971:
      if (lookahead == 'f') ADVANCE(1120);
      END_STATE();
    case 972:
      if (lookahead == 'f') ADVANCE(1901);
      END_STATE();
    case 973:
      if (lookahead == 'g') ADVANCE(13);
      END_STATE();
    case 974:
      if (lookahead == 'g') ADVANCE(13);
      if (lookahead == 's') ADVANCE(1530);
      END_STATE();
    case 975:
      if (lookahead == 'g') ADVANCE(13);
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 976:
      if (lookahead == 'g') ADVANCE(620);
      END_STATE();
    case 977:
      if (lookahead == 'g') ADVANCE(101);
      END_STATE();
    case 978:
      if (lookahead == 'g') ADVANCE(101);
      if (lookahead == 'i') ADVANCE(1370);
      END_STATE();
    case 979:
      if (lookahead == 'g') ADVANCE(349);
      END_STATE();
    case 980:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 981:
      if (lookahead == 'g') ADVANCE(105);
      END_STATE();
    case 982:
      if (lookahead == 'g') ADVANCE(1314);
      END_STATE();
    case 983:
      if (lookahead == 'g') ADVANCE(164);
      END_STATE();
    case 984:
      if (lookahead == 'g') ADVANCE(385);
      END_STATE();
    case 985:
      if (lookahead == 'g') ADVANCE(1052);
      END_STATE();
    case 986:
      if (lookahead == 'g') ADVANCE(2007);
      END_STATE();
    case 987:
      if (lookahead == 'g') ADVANCE(999);
      if (lookahead == 'l') ADVANCE(848);
      if (lookahead == 'r') ADVANCE(1603);
      if (lookahead == 's') ADVANCE(1040);
      END_STATE();
    case 988:
      if (lookahead == 'g') ADVANCE(999);
      if (lookahead == 'r') ADVANCE(1603);
      END_STATE();
    case 989:
      if (lookahead == 'g') ADVANCE(999);
      if (lookahead == 'r') ADVANCE(1603);
      if (lookahead == 's') ADVANCE(1042);
      END_STATE();
    case 990:
      if (lookahead == 'g') ADVANCE(1443);
      END_STATE();
    case 991:
      if (lookahead == 'g') ADVANCE(1482);
      if (lookahead == 'p') ADVANCE(949);
      END_STATE();
    case 992:
      if (lookahead == 'g') ADVANCE(1482);
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 993:
      if (lookahead == 'g') ADVANCE(1323);
      END_STATE();
    case 994:
      if (lookahead == 'g') ADVANCE(1041);
      END_STATE();
    case 995:
      if (lookahead == 'g') ADVANCE(1211);
      if (lookahead == 'i') ADVANCE(1243);
      if (lookahead == 'l') ADVANCE(973);
      if (lookahead == 'r') ADVANCE(1184);
      END_STATE();
    case 996:
      if (lookahead == 'g') ADVANCE(529);
      if (lookahead == 's') ADVANCE(1867);
      if (lookahead == 'w') ADVANCE(347);
      END_STATE();
    case 997:
      if (lookahead == 'g') ADVANCE(1357);
      END_STATE();
    case 998:
      if (lookahead == 'g') ADVANCE(779);
      END_STATE();
    case 999:
      if (lookahead == 'g') ADVANCE(811);
      END_STATE();
    case 1000:
      if (lookahead == 'g') ADVANCE(815);
      END_STATE();
    case 1001:
      if (lookahead == 'g') ADVANCE(1730);
      END_STATE();
    case 1002:
      if (lookahead == 'g') ADVANCE(1730);
      if (lookahead == 'i') ADVANCE(1370);
      if (lookahead == 't') ADVANCE(1511);
      END_STATE();
    case 1003:
      if (lookahead == 'g') ADVANCE(1628);
      END_STATE();
    case 1004:
      if (lookahead == 'g') ADVANCE(1055);
      if (lookahead == 'n') ADVANCE(973);
      if (lookahead == 's') ADVANCE(1154);
      END_STATE();
    case 1005:
      if (lookahead == 'g') ADVANCE(773);
      END_STATE();
    case 1006:
      if (lookahead == 'g') ADVANCE(1637);
      END_STATE();
    case 1007:
      if (lookahead == 'g') ADVANCE(1051);
      END_STATE();
    case 1008:
      if (lookahead == 'g') ADVANCE(1831);
      END_STATE();
    case 1009:
      if (lookahead == 'g') ADVANCE(1831);
      if (lookahead == 'l') ADVANCE(825);
      END_STATE();
    case 1010:
      if (lookahead == 'g') ADVANCE(1831);
      if (lookahead == 'q') ADVANCE(1008);
      END_STATE();
    case 1011:
      if (lookahead == 'g') ADVANCE(1056);
      END_STATE();
    case 1012:
      if (lookahead == 'g') ADVANCE(1349);
      if (lookahead == 'm') ADVANCE(102);
      END_STATE();
    case 1013:
      if (lookahead == 'g') ADVANCE(1681);
      END_STATE();
    case 1014:
      if (lookahead == 'g') ADVANCE(1681);
      if (lookahead == 'r') ADVANCE(1798);
      END_STATE();
    case 1015:
      if (lookahead == 'g') ADVANCE(1057);
      END_STATE();
    case 1016:
      if (lookahead == 'g') ADVANCE(1059);
      END_STATE();
    case 1017:
      if (lookahead == 'g') ADVANCE(1060);
      END_STATE();
    case 1018:
      if (lookahead == 'g') ADVANCE(1061);
      END_STATE();
    case 1019:
      if (lookahead == 'g') ADVANCE(1260);
      END_STATE();
    case 1020:
      if (lookahead == 'g') ADVANCE(1063);
      END_STATE();
    case 1021:
      if (lookahead == 'g') ADVANCE(893);
      if (lookahead == 'r') ADVANCE(702);
      END_STATE();
    case 1022:
      if (lookahead == 'g') ADVANCE(1064);
      END_STATE();
    case 1023:
      if (lookahead == 'g') ADVANCE(1065);
      END_STATE();
    case 1024:
      if (lookahead == 'g') ADVANCE(1282);
      END_STATE();
    case 1025:
      if (lookahead == 'g') ADVANCE(1054);
      END_STATE();
    case 1026:
      if (lookahead == 'g') ADVANCE(1284);
      END_STATE();
    case 1027:
      if (lookahead == 'g') ADVANCE(1285);
      END_STATE();
    case 1028:
      if (lookahead == 'g') ADVANCE(1286);
      END_STATE();
    case 1029:
      if (lookahead == 'g') ADVANCE(1299);
      END_STATE();
    case 1030:
      if (lookahead == 'g') ADVANCE(1287);
      END_STATE();
    case 1031:
      if (lookahead == 'g') ADVANCE(1288);
      END_STATE();
    case 1032:
      if (lookahead == 'g') ADVANCE(348);
      END_STATE();
    case 1033:
      if (lookahead == 'g') ADVANCE(547);
      END_STATE();
    case 1034:
      if (lookahead == 'g') ADVANCE(1074);
      END_STATE();
    case 1035:
      if (lookahead == 'h') ADVANCE(734);
      END_STATE();
    case 1036:
      if (lookahead == 'h') ADVANCE(13);
      END_STATE();
    case 1037:
      if (lookahead == 'h') ADVANCE(158);
      END_STATE();
    case 1038:
      if (lookahead == 'h') ADVANCE(368);
      END_STATE();
    case 1039:
      if (lookahead == 'h') ADVANCE(385);
      END_STATE();
    case 1040:
      if (lookahead == 'h') ADVANCE(219);
      END_STATE();
    case 1041:
      if (lookahead == 'h') ADVANCE(1811);
      END_STATE();
    case 1042:
      if (lookahead == 'h') ADVANCE(1961);
      END_STATE();
    case 1043:
      if (lookahead == 'h') ADVANCE(607);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 1044:
      if (lookahead == 'h') ADVANCE(1076);
      END_STATE();
    case 1045:
      if (lookahead == 'h') ADVANCE(1076);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(1510);
      END_STATE();
    case 1046:
      if (lookahead == 'h') ADVANCE(399);
      END_STATE();
    case 1047:
      if (lookahead == 'h') ADVANCE(1530);
      END_STATE();
    case 1048:
      if (lookahead == 'h') ADVANCE(1192);
      END_STATE();
    case 1049:
      if (lookahead == 'h') ADVANCE(1192);
      if (lookahead == 'r') ADVANCE(177);
      END_STATE();
    case 1050:
      if (lookahead == 'h') ADVANCE(779);
      END_STATE();
    case 1051:
      if (lookahead == 'h') ADVANCE(1902);
      END_STATE();
    case 1052:
      if (lookahead == 'h') ADVANCE(1818);
      END_STATE();
    case 1053:
      if (lookahead == 'h') ADVANCE(409);
      END_STATE();
    case 1054:
      if (lookahead == 'h') ADVANCE(1856);
      END_STATE();
    case 1055:
      if (lookahead == 'h') ADVANCE(1820);
      END_STATE();
    case 1056:
      if (lookahead == 'h') ADVANCE(1845);
      END_STATE();
    case 1057:
      if (lookahead == 'h') ADVANCE(1833);
      END_STATE();
    case 1058:
      if (lookahead == 'h') ADVANCE(1079);
      END_STATE();
    case 1059:
      if (lookahead == 'h') ADVANCE(1824);
      END_STATE();
    case 1060:
      if (lookahead == 'h') ADVANCE(1826);
      END_STATE();
    case 1061:
      if (lookahead == 'h') ADVANCE(1841);
      END_STATE();
    case 1062:
      if (lookahead == 'h') ADVANCE(845);
      if (lookahead == 'r') ADVANCE(1187);
      END_STATE();
    case 1063:
      if (lookahead == 'h') ADVANCE(1828);
      END_STATE();
    case 1064:
      if (lookahead == 'h') ADVANCE(1830);
      END_STATE();
    case 1065:
      if (lookahead == 'h') ADVANCE(1827);
      END_STATE();
    case 1066:
      if (lookahead == 'h') ADVANCE(921);
      END_STATE();
    case 1067:
      if (lookahead == 'h') ADVANCE(1113);
      END_STATE();
    case 1068:
      if (lookahead == 'h') ADVANCE(853);
      END_STATE();
    case 1069:
      if (lookahead == 'h') ADVANCE(970);
      END_STATE();
    case 1070:
      if (lookahead == 'h') ADVANCE(1652);
      if (lookahead == 'i') ADVANCE(1350);
      if (lookahead == 'r') ADVANCE(1084);
      END_STATE();
    case 1071:
      if (lookahead == 'h') ADVANCE(875);
      END_STATE();
    case 1072:
      if (lookahead == 'h') ADVANCE(1137);
      END_STATE();
    case 1073:
      if (lookahead == 'h') ADVANCE(1733);
      END_STATE();
    case 1074:
      if (lookahead == 'h') ADVANCE(1901);
      END_STATE();
    case 1075:
      if (lookahead == 'i') ADVANCE(734);
      END_STATE();
    case 1076:
      if (lookahead == 'i') ADVANCE(13);
      END_STATE();
    case 1077:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 1078:
      if (lookahead == 'i') ADVANCE(141);
      END_STATE();
    case 1079:
      if (lookahead == 'i') ADVANCE(683);
      END_STATE();
    case 1080:
      if (lookahead == 'i') ADVANCE(1990);
      if (lookahead == 'o') ADVANCE(1071);
      END_STATE();
    case 1081:
      if (lookahead == 'i') ADVANCE(2006);
      END_STATE();
    case 1082:
      if (lookahead == 'i') ADVANCE(135);
      END_STATE();
    case 1083:
      if (lookahead == 'i') ADVANCE(163);
      END_STATE();
    case 1084:
      if (lookahead == 'i') ADVANCE(160);
      END_STATE();
    case 1085:
      if (lookahead == 'i') ADVANCE(146);
      END_STATE();
    case 1086:
      if (lookahead == 'i') ADVANCE(1603);
      END_STATE();
    case 1087:
      if (lookahead == 'i') ADVANCE(1603);
      if (lookahead == 'r') ADVANCE(1457);
      END_STATE();
    case 1088:
      if (lookahead == 'i') ADVANCE(1370);
      END_STATE();
    case 1089:
      if (lookahead == 'i') ADVANCE(1370);
      if (lookahead == 'n') ADVANCE(1811);
      END_STATE();
    case 1090:
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'm') ADVANCE(1348);
      if (lookahead == 'o') ADVANCE(1391);
      END_STATE();
    case 1091:
      if (lookahead == 'i') ADVANCE(993);
      if (lookahead == 'u') ADVANCE(606);
      END_STATE();
    case 1092:
      if (lookahead == 'i') ADVANCE(1244);
      END_STATE();
    case 1093:
      if (lookahead == 'i') ADVANCE(162);
      END_STATE();
    case 1094:
      if (lookahead == 'i') ADVANCE(1811);
      END_STATE();
    case 1095:
      if (lookahead == 'i') ADVANCE(1961);
      END_STATE();
    case 1096:
      if (lookahead == 'i') ADVANCE(729);
      END_STATE();
    case 1097:
      if (lookahead == 'i') ADVANCE(729);
      if (lookahead == 'o') ADVANCE(1945);
      END_STATE();
    case 1098:
      if (lookahead == 'i') ADVANCE(1358);
      END_STATE();
    case 1099:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 1100:
      if (lookahead == 'i') ADVANCE(1805);
      END_STATE();
    case 1101:
      if (lookahead == 'i') ADVANCE(1805);
      if (lookahead == 'p') ADVANCE(1485);
      END_STATE();
    case 1102:
      if (lookahead == 'i') ADVANCE(111);
      END_STATE();
    case 1103:
      if (lookahead == 'i') ADVANCE(1240);
      END_STATE();
    case 1104:
      if (lookahead == 'i') ADVANCE(1530);
      END_STATE();
    case 1105:
      if (lookahead == 'i') ADVANCE(973);
      END_STATE();
    case 1106:
      if (lookahead == 'i') ADVANCE(973);
      if (lookahead == 'l') ADVANCE(1105);
      END_STATE();
    case 1107:
      if (lookahead == 'i') ADVANCE(955);
      END_STATE();
    case 1108:
      if (lookahead == 'i') ADVANCE(1316);
      END_STATE();
    case 1109:
      if (lookahead == 'i') ADVANCE(1316);
      if (lookahead == 'l') ADVANCE(13);
      END_STATE();
    case 1110:
      if (lookahead == 'i') ADVANCE(1316);
      if (lookahead == 'l') ADVANCE(527);
      END_STATE();
    case 1111:
      if (lookahead == 'i') ADVANCE(1482);
      END_STATE();
    case 1112:
      if (lookahead == 'i') ADVANCE(1756);
      END_STATE();
    case 1113:
      if (lookahead == 'i') ADVANCE(1378);
      END_STATE();
    case 1114:
      if (lookahead == 'i') ADVANCE(1781);
      if (lookahead == 'l') ADVANCE(1491);
      if (lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 1115:
      if (lookahead == 'i') ADVANCE(1781);
      if (lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 1116:
      if (lookahead == 'i') ADVANCE(1211);
      END_STATE();
    case 1117:
      if (lookahead == 'i') ADVANCE(986);
      END_STATE();
    case 1118:
      if (lookahead == 'i') ADVANCE(997);
      END_STATE();
    case 1119:
      if (lookahead == 'i') ADVANCE(1922);
      END_STATE();
    case 1120:
      if (lookahead == 'i') ADVANCE(1357);
      END_STATE();
    case 1121:
      if (lookahead == 'i') ADVANCE(1241);
      END_STATE();
    case 1122:
      if (lookahead == 'i') ADVANCE(615);
      END_STATE();
    case 1123:
      if (lookahead == 'i') ADVANCE(1633);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 1124:
      if (lookahead == 'i') ADVANCE(779);
      END_STATE();
    case 1125:
      if (lookahead == 'i') ADVANCE(1391);
      END_STATE();
    case 1126:
      if (lookahead == 'i') ADVANCE(541);
      END_STATE();
    case 1127:
      if (lookahead == 'i') ADVANCE(764);
      END_STATE();
    case 1128:
      if (lookahead == 'i') ADVANCE(1335);
      END_STATE();
    case 1129:
      if (lookahead == 'i') ADVANCE(1033);
      END_STATE();
    case 1130:
      if (lookahead == 'i') ADVANCE(1677);
      if (lookahead == 'l') ADVANCE(949);
      if (lookahead == 'm') ADVANCE(1132);
      if (lookahead == 'r') ADVANCE(745);
      END_STATE();
    case 1131:
      if (lookahead == 'i') ADVANCE(1382);
      END_STATE();
    case 1132:
      if (lookahead == 'i') ADVANCE(1227);
      END_STATE();
    case 1133:
      if (lookahead == 'i') ADVANCE(846);
      END_STATE();
    case 1134:
      if (lookahead == 'i') ADVANCE(1917);
      END_STATE();
    case 1135:
      if (lookahead == 'i') ADVANCE(1422);
      END_STATE();
    case 1136:
      if (lookahead == 'i') ADVANCE(1415);
      END_STATE();
    case 1137:
      if (lookahead == 'i') ADVANCE(1361);
      END_STATE();
    case 1138:
      if (lookahead == 'i') ADVANCE(1257);
      if (lookahead == 'l') ADVANCE(1106);
      if (lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 1139:
      if (lookahead == 'i') ADVANCE(994);
      END_STATE();
    case 1140:
      if (lookahead == 'i') ADVANCE(1245);
      END_STATE();
    case 1141:
      if (lookahead == 'i') ADVANCE(1393);
      if (lookahead == 'p') ADVANCE(949);
      END_STATE();
    case 1142:
      if (lookahead == 'i') ADVANCE(1670);
      END_STATE();
    case 1143:
      if (lookahead == 'i') ADVANCE(1670);
      if (lookahead == 'o') ADVANCE(1241);
      END_STATE();
    case 1144:
      if (lookahead == 'i') ADVANCE(1670);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 1145:
      if (lookahead == 'i') ADVANCE(1243);
      END_STATE();
    case 1146:
      if (lookahead == 'i') ADVANCE(598);
      END_STATE();
    case 1147:
      if (lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 1148:
      if (lookahead == 'i') ADVANCE(1796);
      END_STATE();
    case 1149:
      if (lookahead == 'i') ADVANCE(1967);
      END_STATE();
    case 1150:
      if (lookahead == 'i') ADVANCE(1576);
      END_STATE();
    case 1151:
      if (lookahead == 'i') ADVANCE(1401);
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 'u') ADVANCE(1372);
      END_STATE();
    case 1152:
      if (lookahead == 'i') ADVANCE(1262);
      END_STATE();
    case 1153:
      if (lookahead == 'i') ADVANCE(1340);
      END_STATE();
    case 1154:
      if (lookahead == 'i') ADVANCE(1395);
      END_STATE();
    case 1155:
      if (lookahead == 'i') ADVANCE(1800);
      END_STATE();
    case 1156:
      if (lookahead == 'i') ADVANCE(1795);
      END_STATE();
    case 1157:
      if (lookahead == 'i') ADVANCE(1350);
      END_STATE();
    case 1158:
      if (lookahead == 'i') ADVANCE(1336);
      END_STATE();
    case 1159:
      if (lookahead == 'i') ADVANCE(1876);
      END_STATE();
    case 1160:
      if (lookahead == 'i') ADVANCE(1273);
      END_STATE();
    case 1161:
      if (lookahead == 'i') ADVANCE(1399);
      END_STATE();
    case 1162:
      if (lookahead == 'i') ADVANCE(890);
      END_STATE();
    case 1163:
      if (lookahead == 'i') ADVANCE(497);
      END_STATE();
    case 1164:
      if (lookahead == 'i') ADVANCE(1292);
      END_STATE();
    case 1165:
      if (lookahead == 'i') ADVANCE(1260);
      END_STATE();
    case 1166:
      if (lookahead == 'i') ADVANCE(1499);
      END_STATE();
    case 1167:
      if (lookahead == 'i') ADVANCE(1478);
      END_STATE();
    case 1168:
      if (lookahead == 'i') ADVANCE(1416);
      END_STATE();
    case 1169:
      if (lookahead == 'i') ADVANCE(1416);
      if (lookahead == 'n') ADVANCE(13);
      END_STATE();
    case 1170:
      if (lookahead == 'i') ADVANCE(1007);
      END_STATE();
    case 1171:
      if (lookahead == 'i') ADVANCE(1293);
      END_STATE();
    case 1172:
      if (lookahead == 'i') ADVANCE(721);
      END_STATE();
    case 1173:
      if (lookahead == 'i') ADVANCE(725);
      END_STATE();
    case 1174:
      if (lookahead == 'i') ADVANCE(599);
      END_STATE();
    case 1175:
      if (lookahead == 'i') ADVANCE(1015);
      END_STATE();
    case 1176:
      if (lookahead == 'i') ADVANCE(1016);
      END_STATE();
    case 1177:
      if (lookahead == 'i') ADVANCE(1017);
      END_STATE();
    case 1178:
      if (lookahead == 'i') ADVANCE(1018);
      END_STATE();
    case 1179:
      if (lookahead == 'i') ADVANCE(1020);
      END_STATE();
    case 1180:
      if (lookahead == 'i') ADVANCE(1022);
      END_STATE();
    case 1181:
      if (lookahead == 'i') ADVANCE(1023);
      END_STATE();
    case 1182:
      if (lookahead == 'i') ADVANCE(1025);
      END_STATE();
    case 1183:
      if (lookahead == 'i') ADVANCE(1744);
      END_STATE();
    case 1184:
      if (lookahead == 'i') ADVANCE(565);
      END_STATE();
    case 1185:
      if (lookahead == 'i') ADVANCE(1034);
      END_STATE();
    case 1186:
      if (lookahead == 'i') ADVANCE(567);
      END_STATE();
    case 1187:
      if (lookahead == 'i') ADVANCE(568);
      END_STATE();
    case 1188:
      if (lookahead == 'i') ADVANCE(569);
      END_STATE();
    case 1189:
      if (lookahead == 'i') ADVANCE(570);
      END_STATE();
    case 1190:
      if (lookahead == 'j') ADVANCE(13);
      END_STATE();
    case 1191:
      if (lookahead == 'j') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(1190);
      END_STATE();
    case 1192:
      if (lookahead == 'k') ADVANCE(13);
      END_STATE();
    case 1193:
      if (lookahead == 'k') ADVANCE(368);
      END_STATE();
    case 1194:
      if (lookahead == 'k') ADVANCE(723);
      END_STATE();
    case 1195:
      if (lookahead == 'k') ADVANCE(1297);
      END_STATE();
    case 1196:
      if (lookahead == 'k') ADVANCE(1270);
      END_STATE();
    case 1197:
      if (lookahead == 'k') ADVANCE(169);
      END_STATE();
    case 1198:
      if (lookahead == 'k') ADVANCE(145);
      END_STATE();
    case 1199:
      if (lookahead == 'k') ADVANCE(607);
      END_STATE();
    case 1200:
      if (lookahead == 'k') ADVANCE(607);
      if (lookahead == 'm') ADVANCE(158);
      END_STATE();
    case 1201:
      if (lookahead == 'k') ADVANCE(1984);
      END_STATE();
    case 1202:
      if (lookahead == 'k') ADVANCE(211);
      END_STATE();
    case 1203:
      if (lookahead == 'k') ADVANCE(1792);
      END_STATE();
    case 1204:
      if (lookahead == 'k') ADVANCE(811);
      END_STATE();
    case 1205:
      if (lookahead == 'k') ADVANCE(815);
      END_STATE();
    case 1206:
      if (lookahead == 'k') ADVANCE(524);
      END_STATE();
    case 1207:
      if (lookahead == 'k') ADVANCE(531);
      END_STATE();
    case 1208:
      if (lookahead == 'k') ADVANCE(531);
      if (lookahead == 'l') ADVANCE(462);
      END_STATE();
    case 1209:
      if (lookahead == 'k') ADVANCE(1161);
      END_STATE();
    case 1210:
      if (lookahead == 'l') ADVANCE(734);
      END_STATE();
    case 1211:
      if (lookahead == 'l') ADVANCE(13);
      END_STATE();
    case 1212:
      if (lookahead == 'l') ADVANCE(208);
      END_STATE();
    case 1213:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 1214:
      if (lookahead == 'l') ADVANCE(316);
      END_STATE();
    case 1215:
      if (lookahead == 'l') ADVANCE(82);
      END_STATE();
    case 1216:
      if (lookahead == 'l') ADVANCE(152);
      END_STATE();
    case 1217:
      if (lookahead == 'l') ADVANCE(2017);
      END_STATE();
    case 1218:
      if (lookahead == 'l') ADVANCE(282);
      END_STATE();
    case 1219:
      if (lookahead == 'l') ADVANCE(269);
      END_STATE();
    case 1220:
      if (lookahead == 'l') ADVANCE(46);
      END_STATE();
    case 1221:
      if (lookahead == 'l') ADVANCE(385);
      END_STATE();
    case 1222:
      if (lookahead == 'l') ADVANCE(1996);
      END_STATE();
    case 1223:
      if (lookahead == 'l') ADVANCE(910);
      END_STATE();
    case 1224:
      if (lookahead == 'l') ADVANCE(910);
      if (lookahead == 'q') ADVANCE(1935);
      END_STATE();
    case 1225:
      if (lookahead == 'l') ADVANCE(910);
      if (lookahead == 'q') ADVANCE(1934);
      if (lookahead == 'x') ADVANCE(1100);
      END_STATE();
    case 1226:
      if (lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 1227:
      if (lookahead == 'l') ADVANCE(1811);
      END_STATE();
    case 1228:
      if (lookahead == 'l') ADVANCE(51);
      END_STATE();
    case 1229:
      if (lookahead == 'l') ADVANCE(325);
      END_STATE();
    case 1230:
      if (lookahead == 'l') ADVANCE(289);
      END_STATE();
    case 1231:
      if (lookahead == 'l') ADVANCE(592);
      END_STATE();
    case 1232:
      if (lookahead == 'l') ADVANCE(281);
      END_STATE();
    case 1233:
      if (lookahead == 'l') ADVANCE(370);
      END_STATE();
    case 1234:
      if (lookahead == 'l') ADVANCE(399);
      END_STATE();
    case 1235:
      if (lookahead == 'l') ADVANCE(300);
      END_STATE();
    case 1236:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 1237:
      if (lookahead == 'l') ADVANCE(432);
      END_STATE();
    case 1238:
      if (lookahead == 'l') ADVANCE(116);
      END_STATE();
    case 1239:
      if (lookahead == 'l') ADVANCE(310);
      END_STATE();
    case 1240:
      if (lookahead == 'l') ADVANCE(762);
      END_STATE();
    case 1241:
      if (lookahead == 'l') ADVANCE(1482);
      END_STATE();
    case 1242:
      if (lookahead == 'l') ADVANCE(1192);
      END_STATE();
    case 1243:
      if (lookahead == 'l') ADVANCE(749);
      END_STATE();
    case 1244:
      if (lookahead == 'l') ADVANCE(749);
      if (lookahead == 'm') ADVANCE(846);
      END_STATE();
    case 1245:
      if (lookahead == 'l') ADVANCE(749);
      if (lookahead == 'm') ADVANCE(868);
      END_STATE();
    case 1246:
      if (lookahead == 'l') ADVANCE(828);
      END_STATE();
    case 1247:
      if (lookahead == 'l') ADVANCE(1756);
      END_STATE();
    case 1248:
      if (lookahead == 'l') ADVANCE(701);
      END_STATE();
    case 1249:
      if (lookahead == 'l') ADVANCE(1112);
      END_STATE();
    case 1250:
      if (lookahead == 'l') ADVANCE(1995);
      END_STATE();
    case 1251:
      if (lookahead == 'l') ADVANCE(1078);
      END_STATE();
    case 1252:
      if (lookahead == 'l') ADVANCE(849);
      END_STATE();
    case 1253:
      if (lookahead == 'l') ADVANCE(1211);
      END_STATE();
    case 1254:
      if (lookahead == 'l') ADVANCE(2005);
      END_STATE();
    case 1255:
      if (lookahead == 'l') ADVANCE(1491);
      END_STATE();
    case 1256:
      if (lookahead == 'l') ADVANCE(1942);
      END_STATE();
    case 1257:
      if (lookahead == 'l') ADVANCE(1105);
      END_STATE();
    case 1258:
      if (lookahead == 'l') ADVANCE(1238);
      if (lookahead == 'm') ADVANCE(1542);
      END_STATE();
    case 1259:
      if (lookahead == 'l') ADVANCE(1234);
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 't') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(597);
      if (lookahead == 'w') ADVANCE(1362);
      END_STATE();
    case 1260:
      if (lookahead == 'l') ADVANCE(779);
      END_STATE();
    case 1261:
      if (lookahead == 'l') ADVANCE(837);
      END_STATE();
    case 1262:
      if (lookahead == 'l') ADVANCE(1221);
      END_STATE();
    case 1263:
      if (lookahead == 'l') ADVANCE(1230);
      END_STATE();
    case 1264:
      if (lookahead == 'l') ADVANCE(850);
      END_STATE();
    case 1265:
      if (lookahead == 'l') ADVANCE(1312);
      if (lookahead == 's') ADVANCE(1047);
      END_STATE();
    case 1266:
      if (lookahead == 'l') ADVANCE(1509);
      END_STATE();
    case 1267:
      if (lookahead == 'l') ADVANCE(1133);
      END_STATE();
    case 1268:
      if (lookahead == 'l') ADVANCE(1104);
      END_STATE();
    case 1269:
      if (lookahead == 'l') ADVANCE(1229);
      END_STATE();
    case 1270:
      if (lookahead == 'l') ADVANCE(1460);
      if (lookahead == 's') ADVANCE(1600);
      if (lookahead == 't') ADVANCE(1755);
      END_STATE();
    case 1271:
      if (lookahead == 'l') ADVANCE(825);
      END_STATE();
    case 1272:
      if (lookahead == 'l') ADVANCE(825);
      if (lookahead == 'q') ADVANCE(1271);
      END_STATE();
    case 1273:
      if (lookahead == 'l') ADVANCE(1146);
      END_STATE();
    case 1274:
      if (lookahead == 'l') ADVANCE(448);
      END_STATE();
    case 1275:
      if (lookahead == 'l') ADVANCE(1233);
      END_STATE();
    case 1276:
      if (lookahead == 'l') ADVANCE(797);
      END_STATE();
    case 1277:
      if (lookahead == 'l') ADVANCE(798);
      END_STATE();
    case 1278:
      if (lookahead == 'l') ADVANCE(1494);
      END_STATE();
    case 1279:
      if (lookahead == 'l') ADVANCE(786);
      END_STATE();
    case 1280:
      if (lookahead == 'l') ADVANCE(917);
      END_STATE();
    case 1281:
      if (lookahead == 'l') ADVANCE(839);
      if (lookahead == 'r') ADVANCE(1139);
      END_STATE();
    case 1282:
      if (lookahead == 'l') ADVANCE(805);
      END_STATE();
    case 1283:
      if (lookahead == 'l') ADVANCE(806);
      END_STATE();
    case 1284:
      if (lookahead == 'l') ADVANCE(817);
      END_STATE();
    case 1285:
      if (lookahead == 'l') ADVANCE(937);
      END_STATE();
    case 1286:
      if (lookahead == 'l') ADVANCE(829);
      END_STATE();
    case 1287:
      if (lookahead == 'l') ADVANCE(808);
      END_STATE();
    case 1288:
      if (lookahead == 'l') ADVANCE(809);
      END_STATE();
    case 1289:
      if (lookahead == 'l') ADVANCE(810);
      END_STATE();
    case 1290:
      if (lookahead == 'l') ADVANCE(826);
      END_STATE();
    case 1291:
      if (lookahead == 'l') ADVANCE(462);
      END_STATE();
    case 1292:
      if (lookahead == 'l') ADVANCE(1113);
      END_STATE();
    case 1293:
      if (lookahead == 'l') ADVANCE(756);
      END_STATE();
    case 1294:
      if (lookahead == 'l') ADVANCE(756);
      if (lookahead == 'm') ADVANCE(840);
      if (lookahead == 'n') ADVANCE(1811);
      END_STATE();
    case 1295:
      if (lookahead == 'l') ADVANCE(1484);
      if (lookahead == 'n') ADVANCE(1002);
      if (lookahead == 'p') ADVANCE(951);
      if (lookahead == 'u') ADVANCE(1423);
      END_STATE();
    case 1296:
      if (lookahead == 'l') ADVANCE(404);
      END_STATE();
    case 1297:
      if (lookahead == 'l') ADVANCE(821);
      if (lookahead == 'r') ADVANCE(1170);
      END_STATE();
    case 1298:
      if (lookahead == 'l') ADVANCE(902);
      END_STATE();
    case 1299:
      if (lookahead == 'l') ADVANCE(901);
      END_STATE();
    case 1300:
      if (lookahead == 'l') ADVANCE(517);
      END_STATE();
    case 1301:
      if (lookahead == 'l') ADVANCE(1918);
      END_STATE();
    case 1302:
      if (lookahead == 'l') ADVANCE(1264);
      END_STATE();
    case 1303:
      if (lookahead == 'l') ADVANCE(463);
      END_STATE();
    case 1304:
      if (lookahead == 'l') ADVANCE(1154);
      END_STATE();
    case 1305:
      if (lookahead == 'l') ADVANCE(1489);
      if (lookahead == 'm') ADVANCE(1345);
      if (lookahead == 'n') ADVANCE(978);
      if (lookahead == 'p') ADVANCE(136);
      END_STATE();
    case 1306:
      if (lookahead == 'l') ADVANCE(1702);
      END_STATE();
    case 1307:
      if (lookahead == 'l') ADVANCE(1088);
      END_STATE();
    case 1308:
      if (lookahead == 'l') ADVANCE(1249);
      END_STATE();
    case 1309:
      if (lookahead == 'l') ADVANCE(1136);
      END_STATE();
    case 1310:
      if (lookahead == 'l') ADVANCE(1252);
      END_STATE();
    case 1311:
      if (lookahead == 'l') ADVANCE(539);
      END_STATE();
    case 1312:
      if (lookahead == 'l') ADVANCE(1808);
      END_STATE();
    case 1313:
      if (lookahead == 'l') ADVANCE(1304);
      END_STATE();
    case 1314:
      if (lookahead == 'l') ADVANCE(905);
      if (lookahead == 'm') ADVANCE(484);
      if (lookahead == 'r') ADVANCE(1170);
      END_STATE();
    case 1315:
      if (lookahead == 'l') ADVANCE(932);
      if (lookahead == 'r') ADVANCE(1182);
      END_STATE();
    case 1316:
      if (lookahead == 'm') ADVANCE(13);
      END_STATE();
    case 1317:
      if (lookahead == 'm') ADVANCE(158);
      END_STATE();
    case 1318:
      if (lookahead == 'm') ADVANCE(158);
      if (lookahead == 'r') ADVANCE(1441);
      END_STATE();
    case 1319:
      if (lookahead == 'm') ADVANCE(368);
      END_STATE();
    case 1320:
      if (lookahead == 'm') ADVANCE(181);
      END_STATE();
    case 1321:
      if (lookahead == 'm') ADVANCE(227);
      END_STATE();
    case 1322:
      if (lookahead == 'm') ADVANCE(226);
      END_STATE();
    case 1323:
      if (lookahead == 'm') ADVANCE(385);
      END_STATE();
    case 1324:
      if (lookahead == 'm') ADVANCE(1169);
      END_STATE();
    case 1325:
      if (lookahead == 'm') ADVANCE(1076);
      END_STATE();
    case 1326:
      if (lookahead == 'm') ADVANCE(111);
      END_STATE();
    case 1327:
      if (lookahead == 'm') ADVANCE(1530);
      END_STATE();
    case 1328:
      if (lookahead == 'm') ADVANCE(1560);
      END_STATE();
    case 1329:
      if (lookahead == 'm') ADVANCE(1541);
      END_STATE();
    case 1330:
      if (lookahead == 'm') ADVANCE(1075);
      END_STATE();
    case 1331:
      if (lookahead == 'm') ADVANCE(1075);
      if (lookahead == 'p') ADVANCE(536);
      END_STATE();
    case 1332:
      if (lookahead == 'm') ADVANCE(1323);
      END_STATE();
    case 1333:
      if (lookahead == 'm') ADVANCE(119);
      END_STATE();
    case 1334:
      if (lookahead == 'm') ADVANCE(1564);
      END_STATE();
    case 1335:
      if (lookahead == 'm') ADVANCE(120);
      END_STATE();
    case 1336:
      if (lookahead == 'm') ADVANCE(425);
      END_STATE();
    case 1337:
      if (lookahead == 'm') ADVANCE(849);
      END_STATE();
    case 1338:
      if (lookahead == 'm') ADVANCE(1211);
      END_STATE();
    case 1339:
      if (lookahead == 'm') ADVANCE(1357);
      END_STATE();
    case 1340:
      if (lookahead == 'm') ADVANCE(779);
      END_STATE();
    case 1341:
      if (lookahead == 'm') ADVANCE(1556);
      END_STATE();
    case 1342:
      if (lookahead == 'm') ADVANCE(1551);
      END_STATE();
    case 1343:
      if (lookahead == 'm') ADVANCE(541);
      END_STATE();
    case 1344:
      if (lookahead == 'm') ADVANCE(413);
      END_STATE();
    case 1345:
      if (lookahead == 'm') ADVANCE(420);
      if (lookahead == 'p') ADVANCE(139);
      END_STATE();
    case 1346:
      if (lookahead == 'm') ADVANCE(813);
      END_STATE();
    case 1347:
      if (lookahead == 'm') ADVANCE(813);
      if (lookahead == 'x') ADVANCE(846);
      END_STATE();
    case 1348:
      if (lookahead == 'm') ADVANCE(409);
      END_STATE();
    case 1349:
      if (lookahead == 'm') ADVANCE(393);
      END_STATE();
    case 1350:
      if (lookahead == 'm') ADVANCE(846);
      END_STATE();
    case 1351:
      if (lookahead == 'm') ADVANCE(1572);
      END_STATE();
    case 1352:
      if (lookahead == 'm') ADVANCE(833);
      END_STATE();
    case 1353:
      if (lookahead == 'm') ADVANCE(1344);
      END_STATE();
    case 1354:
      if (lookahead == 'm') ADVANCE(1168);
      END_STATE();
    case 1355:
      if (lookahead == 'm') ADVANCE(535);
      END_STATE();
    case 1356:
      if (lookahead == 'n') ADVANCE(734);
      END_STATE();
    case 1357:
      if (lookahead == 'n') ADVANCE(13);
      END_STATE();
    case 1358:
      if (lookahead == 'n') ADVANCE(141);
      END_STATE();
    case 1359:
      if (lookahead == 'n') ADVANCE(278);
      END_STATE();
    case 1360:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 1361:
      if (lookahead == 'n') ADVANCE(368);
      END_STATE();
    case 1362:
      if (lookahead == 'n') ADVANCE(549);
      END_STATE();
    case 1363:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 1364:
      if (lookahead == 'n') ADVANCE(693);
      END_STATE();
    case 1365:
      if (lookahead == 'n') ADVANCE(2013);
      END_STATE();
    case 1366:
      if (lookahead == 'n') ADVANCE(31);
      END_STATE();
    case 1367:
      if (lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 1368:
      if (lookahead == 'n') ADVANCE(378);
      END_STATE();
    case 1369:
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 1370:
      if (lookahead == 'n') ADVANCE(1811);
      END_STATE();
    case 1371:
      if (lookahead == 'n') ADVANCE(341);
      END_STATE();
    case 1372:
      if (lookahead == 'n') ADVANCE(104);
      END_STATE();
    case 1373:
      if (lookahead == 'n') ADVANCE(272);
      END_STATE();
    case 1374:
      if (lookahead == 'n') ADVANCE(1989);
      END_STATE();
    case 1375:
      if (lookahead == 'n') ADVANCE(971);
      END_STATE();
    case 1376:
      if (lookahead == 'n') ADVANCE(769);
      END_STATE();
    case 1377:
      if (lookahead == 'n') ADVANCE(111);
      END_STATE();
    case 1378:
      if (lookahead == 'n') ADVANCE(973);
      END_STATE();
    case 1379:
      if (lookahead == 'n') ADVANCE(973);
      if (lookahead == 'r') ADVANCE(1603);
      END_STATE();
    case 1380:
      if (lookahead == 'n') ADVANCE(1871);
      END_STATE();
    case 1381:
      if (lookahead == 'n') ADVANCE(979);
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 'w') ADVANCE(880);
      END_STATE();
    case 1382:
      if (lookahead == 'n') ADVANCE(216);
      END_STATE();
    case 1383:
      if (lookahead == 'n') ADVANCE(1192);
      END_STATE();
    case 1384:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 1385:
      if (lookahead == 'n') ADVANCE(1756);
      END_STATE();
    case 1386:
      if (lookahead == 'n') ADVANCE(742);
      END_STATE();
    case 1387:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 1388:
      if (lookahead == 'n') ADVANCE(1003);
      if (lookahead == 'r') ADVANCE(860);
      END_STATE();
    case 1389:
      if (lookahead == 'n') ADVANCE(699);
      END_STATE();
    case 1390:
      if (lookahead == 'n') ADVANCE(1019);
      END_STATE();
    case 1391:
      if (lookahead == 'n') ADVANCE(779);
      END_STATE();
    case 1392:
      if (lookahead == 'n') ADVANCE(977);
      END_STATE();
    case 1393:
      if (lookahead == 'n') ADVANCE(727);
      END_STATE();
    case 1394:
      if (lookahead == 'n') ADVANCE(1487);
      END_STATE();
    case 1395:
      if (lookahead == 'n') ADVANCE(1005);
      END_STATE();
    case 1396:
      if (lookahead == 'n') ADVANCE(752);
      END_STATE();
    case 1397:
      if (lookahead == 'n') ADVANCE(1032);
      END_STATE();
    case 1398:
      if (lookahead == 'n') ADVANCE(811);
      END_STATE();
    case 1399:
      if (lookahead == 'n') ADVANCE(980);
      END_STATE();
    case 1400:
      if (lookahead == 'n') ADVANCE(722);
      END_STATE();
    case 1401:
      if (lookahead == 'n') ADVANCE(1889);
      END_STATE();
    case 1402:
      if (lookahead == 'n') ADVANCE(1822);
      END_STATE();
    case 1403:
      if (lookahead == 'n') ADVANCE(1836);
      END_STATE();
    case 1404:
      if (lookahead == 'n') ADVANCE(1861);
      END_STATE();
    case 1405:
      if (lookahead == 'n') ADVANCE(1863);
      END_STATE();
    case 1406:
      if (lookahead == 'n') ADVANCE(841);
      END_STATE();
    case 1407:
      if (lookahead == 'n') ADVANCE(844);
      END_STATE();
    case 1408:
      if (lookahead == 'n') ADVANCE(1281);
      END_STATE();
    case 1409:
      if (lookahead == 'n') ADVANCE(1920);
      END_STATE();
    case 1410:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 1411:
      if (lookahead == 'n') ADVANCE(998);
      END_STATE();
    case 1412:
      if (lookahead == 'n') ADVANCE(1001);
      END_STATE();
    case 1413:
      if (lookahead == 'n') ADVANCE(926);
      END_STATE();
    case 1414:
      if (lookahead == 'n') ADVANCE(1111);
      END_STATE();
    case 1415:
      if (lookahead == 'n') ADVANCE(1879);
      END_STATE();
    case 1416:
      if (lookahead == 'n') ADVANCE(1918);
      END_STATE();
    case 1417:
      if (lookahead == 'n') ADVANCE(1492);
      END_STATE();
    case 1418:
      if (lookahead == 'n') ADVANCE(1880);
      END_STATE();
    case 1419:
      if (lookahead == 'n') ADVANCE(1088);
      END_STATE();
    case 1420:
      if (lookahead == 'n') ADVANCE(1878);
      END_STATE();
    case 1421:
      if (lookahead == 'n') ADVANCE(1898);
      END_STATE();
    case 1422:
      if (lookahead == 'n') ADVANCE(509);
      END_STATE();
    case 1423:
      if (lookahead == 'n') ADVANCE(1890);
      END_STATE();
    case 1424:
      if (lookahead == 'n') ADVANCE(1024);
      END_STATE();
    case 1425:
      if (lookahead == 'n') ADVANCE(1888);
      END_STATE();
    case 1426:
      if (lookahead == 'n') ADVANCE(1167);
      END_STATE();
    case 1427:
      if (lookahead == 'n') ADVANCE(929);
      END_STATE();
    case 1428:
      if (lookahead == 'n') ADVANCE(1026);
      if (lookahead == 'r') ADVANCE(1706);
      END_STATE();
    case 1429:
      if (lookahead == 'n') ADVANCE(1026);
      if (lookahead == 'r') ADVANCE(1710);
      END_STATE();
    case 1430:
      if (lookahead == 'n') ADVANCE(1892);
      END_STATE();
    case 1431:
      if (lookahead == 'n') ADVANCE(1027);
      END_STATE();
    case 1432:
      if (lookahead == 'n') ADVANCE(1028);
      END_STATE();
    case 1433:
      if (lookahead == 'n') ADVANCE(1894);
      END_STATE();
    case 1434:
      if (lookahead == 'n') ADVANCE(1029);
      END_STATE();
    case 1435:
      if (lookahead == 'n') ADVANCE(1030);
      END_STATE();
    case 1436:
      if (lookahead == 'n') ADVANCE(1031);
      END_STATE();
    case 1437:
      if (lookahead == 'n') ADVANCE(1899);
      END_STATE();
    case 1438:
      if (lookahead == 'n') ADVANCE(558);
      END_STATE();
    case 1439:
      if (lookahead == 'n') ADVANCE(547);
      END_STATE();
    case 1440:
      if (lookahead == 'o') ADVANCE(734);
      END_STATE();
    case 1441:
      if (lookahead == 'o') ADVANCE(13);
      END_STATE();
    case 1442:
      if (lookahead == 'o') ADVANCE(191);
      END_STATE();
    case 1443:
      if (lookahead == 'o') ADVANCE(949);
      END_STATE();
    case 1444:
      if (lookahead == 'o') ADVANCE(1980);
      END_STATE();
    case 1445:
      if (lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 1446:
      if (lookahead == 'o') ADVANCE(1959);
      END_STATE();
    case 1447:
      if (lookahead == 'o') ADVANCE(108);
      END_STATE();
    case 1448:
      if (lookahead == 'o') ADVANCE(1813);
      END_STATE();
    case 1449:
      if (lookahead == 'o') ADVANCE(1812);
      END_STATE();
    case 1450:
      if (lookahead == 'o') ADVANCE(1603);
      END_STATE();
    case 1451:
      if (lookahead == 'o') ADVANCE(1811);
      END_STATE();
    case 1452:
      if (lookahead == 'o') ADVANCE(1811);
      if (lookahead == 's') ADVANCE(1912);
      END_STATE();
    case 1453:
      if (lookahead == 'o') ADVANCE(171);
      END_STATE();
    case 1454:
      if (lookahead == 'o') ADVANCE(1991);
      END_STATE();
    case 1455:
      if (lookahead == 'o') ADVANCE(682);
      END_STATE();
    case 1456:
      if (lookahead == 'o') ADVANCE(1989);
      END_STATE();
    case 1457:
      if (lookahead == 'o') ADVANCE(1782);
      END_STATE();
    case 1458:
      if (lookahead == 'o') ADVANCE(207);
      END_STATE();
    case 1459:
      if (lookahead == 'o') ADVANCE(1969);
      END_STATE();
    case 1460:
      if (lookahead == 'o') ADVANCE(2009);
      END_STATE();
    case 1461:
      if (lookahead == 'o') ADVANCE(1530);
      END_STATE();
    case 1462:
      if (lookahead == 'o') ADVANCE(1419);
      END_STATE();
    case 1463:
      if (lookahead == 'o') ADVANCE(1970);
      END_STATE();
    case 1464:
      if (lookahead == 'o') ADVANCE(1971);
      END_STATE();
    case 1465:
      if (lookahead == 'o') ADVANCE(1316);
      END_STATE();
    case 1466:
      if (lookahead == 'o') ADVANCE(1192);
      END_STATE();
    case 1467:
      if (lookahead == 'o') ADVANCE(1866);
      END_STATE();
    case 1468:
      if (lookahead == 'o') ADVANCE(1972);
      END_STATE();
    case 1469:
      if (lookahead == 'o') ADVANCE(1985);
      END_STATE();
    case 1470:
      if (lookahead == 'o') ADVANCE(1756);
      END_STATE();
    case 1471:
      if (lookahead == 'o') ADVANCE(1378);
      END_STATE();
    case 1472:
      if (lookahead == 'o') ADVANCE(1378);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 1473:
      if (lookahead == 'o') ADVANCE(1986);
      END_STATE();
    case 1474:
      if (lookahead == 'o') ADVANCE(1978);
      END_STATE();
    case 1475:
      if (lookahead == 'o') ADVANCE(1973);
      END_STATE();
    case 1476:
      if (lookahead == 'o') ADVANCE(1211);
      if (lookahead == 'u') ADVANCE(571);
      END_STATE();
    case 1477:
      if (lookahead == 'o') ADVANCE(757);
      END_STATE();
    case 1478:
      if (lookahead == 'o') ADVANCE(1385);
      END_STATE();
    case 1479:
      if (lookahead == 'o') ADVANCE(1976);
      END_STATE();
    case 1480:
      if (lookahead == 'o') ADVANCE(1817);
      END_STATE();
    case 1481:
      if (lookahead == 'o') ADVANCE(1657);
      END_STATE();
    case 1482:
      if (lookahead == 'o') ADVANCE(1357);
      END_STATE();
    case 1483:
      if (lookahead == 'o') ADVANCE(1357);
      if (lookahead == 'r') ADVANCE(417);
      if (lookahead == 't') ADVANCE(13);
      END_STATE();
    case 1484:
      if (lookahead == 'o') ADVANCE(1377);
      END_STATE();
    case 1485:
      if (lookahead == 'o') ADVANCE(1413);
      END_STATE();
    case 1486:
      if (lookahead == 'o') ADVANCE(1369);
      END_STATE();
    case 1487:
      if (lookahead == 'o') ADVANCE(1955);
      END_STATE();
    case 1488:
      if (lookahead == 'o') ADVANCE(1356);
      END_STATE();
    case 1489:
      if (lookahead == 'o') ADVANCE(1384);
      END_STATE();
    case 1490:
      if (lookahead == 'o') ADVANCE(1957);
      END_STATE();
    case 1491:
      if (lookahead == 'o') ADVANCE(1450);
      END_STATE();
    case 1492:
      if (lookahead == 'o') ADVANCE(1903);
      END_STATE();
    case 1493:
      if (lookahead == 'o') ADVANCE(1210);
      END_STATE();
    case 1494:
      if (lookahead == 'o') ADVANCE(681);
      END_STATE();
    case 1495:
      if (lookahead == 'o') ADVANCE(1852);
      END_STATE();
    case 1496:
      if (lookahead == 'o') ADVANCE(1854);
      END_STATE();
    case 1497:
      if (lookahead == 'o') ADVANCE(1896);
      END_STATE();
    case 1498:
      if (lookahead == 'o') ADVANCE(1408);
      END_STATE();
    case 1499:
      if (lookahead == 'o') ADVANCE(1410);
      END_STATE();
    case 1500:
      if (lookahead == 'o') ADVANCE(1376);
      END_STATE();
    case 1501:
      if (lookahead == 'o') ADVANCE(1669);
      if (lookahead == 'r') ADVANCE(1461);
      END_STATE();
    case 1502:
      if (lookahead == 'o') ADVANCE(1694);
      END_STATE();
    case 1503:
      if (lookahead == 'o') ADVANCE(1696);
      if (lookahead == 'r') ADVANCE(1461);
      END_STATE();
    case 1504:
      if (lookahead == 'o') ADVANCE(1620);
      END_STATE();
    case 1505:
      if (lookahead == 'o') ADVANCE(1981);
      END_STATE();
    case 1506:
      if (lookahead == 'o') ADVANCE(1332);
      END_STATE();
    case 1507:
      if (lookahead == 'o') ADVANCE(1332);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 1508:
      if (lookahead == 'o') ADVANCE(1675);
      END_STATE();
    case 1509:
      if (lookahead == 'o') ADVANCE(1559);
      END_STATE();
    case 1510:
      if (lookahead == 'o') ADVANCE(1570);
      END_STATE();
    case 1511:
      if (lookahead == 'o') ADVANCE(1939);
      END_STATE();
    case 1512:
      if (lookahead == 'o') ADVANCE(1987);
      END_STATE();
    case 1513:
      if (lookahead == 'o') ADVANCE(1982);
      END_STATE();
    case 1514:
      if (lookahead == 'o') ADVANCE(1945);
      END_STATE();
    case 1515:
      if (lookahead == 'o') ADVANCE(1860);
      END_STATE();
    case 1516:
      if (lookahead == 'o') ADVANCE(1412);
      if (lookahead == 'u') ADVANCE(1550);
      END_STATE();
    case 1517:
      if (lookahead == 'o') ADVANCE(1983);
      END_STATE();
    case 1518:
      if (lookahead == 'o') ADVANCE(1425);
      END_STATE();
    case 1519:
      if (lookahead == 'o') ADVANCE(1690);
      END_STATE();
    case 1520:
      if (lookahead == 'o') ADVANCE(1498);
      END_STATE();
    case 1521:
      if (lookahead == 'o') ADVANCE(1671);
      END_STATE();
    case 1522:
      if (lookahead == 'o') ADVANCE(1404);
      END_STATE();
    case 1523:
      if (lookahead == 'o') ADVANCE(1478);
      END_STATE();
    case 1524:
      if (lookahead == 'o') ADVANCE(1500);
      END_STATE();
    case 1525:
      if (lookahead == 'o') ADVANCE(1736);
      END_STATE();
    case 1526:
      if (lookahead == 'o') ADVANCE(1307);
      END_STATE();
    case 1527:
      if (lookahead == 'o') ADVANCE(1960);
      END_STATE();
    case 1528:
      if (lookahead == 'o') ADVANCE(1988);
      END_STATE();
    case 1529:
      if (lookahead == 'p') ADVANCE(1807);
      END_STATE();
    case 1530:
      if (lookahead == 'p') ADVANCE(13);
      END_STATE();
    case 1531:
      if (lookahead == 'p') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(1482);
      END_STATE();
    case 1532:
      if (lookahead == 'p') ADVANCE(1039);
      END_STATE();
    case 1533:
      if (lookahead == 'p') ADVANCE(949);
      END_STATE();
    case 1534:
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 'r') ADVANCE(528);
      END_STATE();
    case 1535:
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 'r') ADVANCE(270);
      if (lookahead == 'u') ADVANCE(1687);
      END_STATE();
    case 1536:
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 'r') ADVANCE(1081);
      END_STATE();
    case 1537:
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 't') ADVANCE(26);
      if (lookahead == 'u') ADVANCE(596);
      if (lookahead == 'w') ADVANCE(1359);
      END_STATE();
    case 1538:
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 't') ADVANCE(215);
      if (lookahead == 'w') ADVANCE(1872);
      if (lookahead == 'x') ADVANCE(304);
      END_STATE();
    case 1539:
      if (lookahead == 'p') ADVANCE(949);
      if (lookahead == 'u') ADVANCE(1386);
      END_STATE();
    case 1540:
      if (lookahead == 'p') ADVANCE(25);
      END_STATE();
    case 1541:
      if (lookahead == 'p') ADVANCE(312);
      END_STATE();
    case 1542:
      if (lookahead == 'p') ADVANCE(32);
      END_STATE();
    case 1543:
      if (lookahead == 'p') ADVANCE(7);
      END_STATE();
    case 1544:
      if (lookahead == 'p') ADVANCE(313);
      END_STATE();
    case 1545:
      if (lookahead == 'p') ADVANCE(273);
      END_STATE();
    case 1546:
      if (lookahead == 'p') ADVANCE(1603);
      if (lookahead == 's') ADVANCE(615);
      END_STATE();
    case 1547:
      if (lookahead == 'p') ADVANCE(385);
      END_STATE();
    case 1548:
      if (lookahead == 'p') ADVANCE(185);
      END_STATE();
    case 1549:
      if (lookahead == 'p') ADVANCE(272);
      END_STATE();
    case 1550:
      if (lookahead == 'p') ADVANCE(287);
      END_STATE();
    case 1551:
      if (lookahead == 'p') ADVANCE(111);
      END_STATE();
    case 1552:
      if (lookahead == 'p') ADVANCE(195);
      END_STATE();
    case 1553:
      if (lookahead == 'p') ADVANCE(1036);
      if (lookahead == 't') ADVANCE(13);
      END_STATE();
    case 1554:
      if (lookahead == 'p') ADVANCE(1547);
      END_STATE();
    case 1555:
      if (lookahead == 'p') ADVANCE(1756);
      if (lookahead == 'r') ADVANCE(1482);
      END_STATE();
    case 1556:
      if (lookahead == 'p') ADVANCE(120);
      END_STATE();
    case 1557:
      if (lookahead == 'p') ADVANCE(1222);
      END_STATE();
    case 1558:
      if (lookahead == 'p') ADVANCE(1567);
      END_STATE();
    case 1559:
      if (lookahead == 'p') ADVANCE(779);
      END_STATE();
    case 1560:
      if (lookahead == 'p') ADVANCE(827);
      END_STATE();
    case 1561:
      if (lookahead == 'p') ADVANCE(1301);
      END_STATE();
    case 1562:
      if (lookahead == 'p') ADVANCE(1301);
      if (lookahead == 't') ADVANCE(1638);
      END_STATE();
    case 1563:
      if (lookahead == 'p') ADVANCE(1779);
      END_STATE();
    case 1564:
      if (lookahead == 'p') ADVANCE(1851);
      END_STATE();
    case 1565:
      if (lookahead == 'p') ADVANCE(1577);
      END_STATE();
    case 1566:
      if (lookahead == 'p') ADVANCE(1577);
      if (lookahead == 'r') ADVANCE(1603);
      END_STATE();
    case 1567:
      if (lookahead == 'p') ADVANCE(405);
      END_STATE();
    case 1568:
      if (lookahead == 'p') ADVANCE(1520);
      END_STATE();
    case 1569:
      if (lookahead == 'p') ADVANCE(1303);
      END_STATE();
    case 1570:
      if (lookahead == 'p') ADVANCE(1843);
      END_STATE();
    case 1571:
      if (lookahead == 'p') ADVANCE(1470);
      END_STATE();
    case 1572:
      if (lookahead == 'p') ADVANCE(1267);
      END_STATE();
    case 1573:
      if (lookahead == 'p') ADVANCE(525);
      END_STATE();
    case 1574:
      if (lookahead == 'p') ADVANCE(1797);
      END_STATE();
    case 1575:
      if (lookahead == 'p') ADVANCE(1702);
      if (lookahead == 's') ADVANCE(1930);
      END_STATE();
    case 1576:
      if (lookahead == 'p') ADVANCE(1279);
      END_STATE();
    case 1577:
      if (lookahead == 'p') ADVANCE(1682);
      END_STATE();
    case 1578:
      if (lookahead == 'p') ADVANCE(507);
      END_STATE();
    case 1579:
      if (lookahead == 'p') ADVANCE(556);
      END_STATE();
    case 1580:
      if (lookahead == 'p') ADVANCE(324);
      END_STATE();
    case 1581:
      if (lookahead == 'p') ADVANCE(1524);
      END_STATE();
    case 1582:
      if (lookahead == 'p') ADVANCE(540);
      END_STATE();
    case 1583:
      if (lookahead == 'p') ADVANCE(1523);
      END_STATE();
    case 1584:
      if (lookahead == 'p') ADVANCE(558);
      END_STATE();
    case 1585:
      if (lookahead == 'q') ADVANCE(13);
      END_STATE();
    case 1586:
      if (lookahead == 'q') ADVANCE(101);
      END_STATE();
    case 1587:
      if (lookahead == 'q') ADVANCE(1272);
      END_STATE();
    case 1588:
      if (lookahead == 'q') ADVANCE(1010);
      END_STATE();
    case 1589:
      if (lookahead == 'q') ADVANCE(1575);
      END_STATE();
    case 1590:
      if (lookahead == 'q') ADVANCE(186);
      END_STATE();
    case 1591:
      if (lookahead == 'q') ADVANCE(1585);
      END_STATE();
    case 1592:
      if (lookahead == 'q') ADVANCE(1906);
      END_STATE();
    case 1593:
      if (lookahead == 'q') ADVANCE(1925);
      END_STATE();
    case 1594:
      if (lookahead == 'q') ADVANCE(1958);
      if (lookahead == 'u') ADVANCE(594);
      END_STATE();
    case 1595:
      if (lookahead == 'q') ADVANCE(1946);
      END_STATE();
    case 1596:
      if (lookahead == 'q') ADVANCE(1935);
      END_STATE();
    case 1597:
      if (lookahead == 'q') ADVANCE(700);
      if (lookahead == 't') ADVANCE(399);
      END_STATE();
    case 1598:
      if (lookahead == 'q') ADVANCE(1949);
      END_STATE();
    case 1599:
      if (lookahead == 'q') ADVANCE(1953);
      END_STATE();
    case 1600:
      if (lookahead == 'q') ADVANCE(1956);
      END_STATE();
    case 1601:
      if (lookahead == 'r') ADVANCE(734);
      END_STATE();
    case 1602:
      if (lookahead == 'r') ADVANCE(788);
      END_STATE();
    case 1603:
      if (lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 1604:
      if (lookahead == 'r') ADVANCE(294);
      END_STATE();
    case 1605:
      if (lookahead == 'r') ADVANCE(170);
      END_STATE();
    case 1606:
      if (lookahead == 'r') ADVANCE(949);
      END_STATE();
    case 1607:
      if (lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 1608:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 1609:
      if (lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 1610:
      if (lookahead == 'r') ADVANCE(658);
      END_STATE();
    case 1611:
      if (lookahead == 'r') ADVANCE(279);
      END_STATE();
    case 1612:
      if (lookahead == 'r') ADVANCE(2021);
      END_STATE();
    case 1613:
      if (lookahead == 'r') ADVANCE(135);
      END_STATE();
    case 1614:
      if (lookahead == 'r') ADVANCE(85);
      END_STATE();
    case 1615:
      if (lookahead == 'r') ADVANCE(1049);
      END_STATE();
    case 1616:
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 1617:
      if (lookahead == 'r') ADVANCE(350);
      END_STATE();
    case 1618:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 1619:
      if (lookahead == 'r') ADVANCE(2025);
      END_STATE();
    case 1620:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 1621:
      if (lookahead == 'r') ADVANCE(36);
      END_STATE();
    case 1622:
      if (lookahead == 'r') ADVANCE(1603);
      END_STATE();
    case 1623:
      if (lookahead == 'r') ADVANCE(176);
      END_STATE();
    case 1624:
      if (lookahead == 'r') ADVANCE(332);
      END_STATE();
    case 1625:
      if (lookahead == 'r') ADVANCE(608);
      END_STATE();
    case 1626:
      if (lookahead == 'r') ADVANCE(219);
      END_STATE();
    case 1627:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 1628:
      if (lookahead == 'r') ADVANCE(1811);
      END_STATE();
    case 1629:
      if (lookahead == 'r') ADVANCE(1811);
      if (lookahead == 'u') ADVANCE(542);
      END_STATE();
    case 1630:
      if (lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 1631:
      if (lookahead == 'r') ADVANCE(761);
      END_STATE();
    case 1632:
      if (lookahead == 'r') ADVANCE(79);
      END_STATE();
    case 1633:
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 1634:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 1635:
      if (lookahead == 'r') ADVANCE(344);
      END_STATE();
    case 1636:
      if (lookahead == 'r') ADVANCE(607);
      END_STATE();
    case 1637:
      if (lookahead == 'r') ADVANCE(436);
      END_STATE();
    case 1638:
      if (lookahead == 'r') ADVANCE(1076);
      END_STATE();
    case 1639:
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 1640:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 1641:
      if (lookahead == 'r') ADVANCE(167);
      END_STATE();
    case 1642:
      if (lookahead == 'r') ADVANCE(737);
      END_STATE();
    case 1643:
      if (lookahead == 'r') ADVANCE(729);
      END_STATE();
    case 1644:
      if (lookahead == 'r') ADVANCE(1441);
      END_STATE();
    case 1645:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 1646:
      if (lookahead == 'r') ADVANCE(1202);
      END_STATE();
    case 1647:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 1648:
      if (lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 1649:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 1650:
      if (lookahead == 'r') ADVANCE(719);
      END_STATE();
    case 1651:
      if (lookahead == 'r') ADVANCE(1530);
      END_STATE();
    case 1652:
      if (lookahead == 'r') ADVANCE(856);
      END_STATE();
    case 1653:
      if (lookahead == 'r') ADVANCE(1871);
      END_STATE();
    case 1654:
      if (lookahead == 'r') ADVANCE(175);
      END_STATE();
    case 1655:
      if (lookahead == 'r') ADVANCE(390);
      END_STATE();
    case 1656:
      if (lookahead == 'r') ADVANCE(1482);
      END_STATE();
    case 1657:
      if (lookahead == 'r') ADVANCE(1192);
      END_STATE();
    case 1658:
      if (lookahead == 'r') ADVANCE(1999);
      END_STATE();
    case 1659:
      if (lookahead == 'r') ADVANCE(2001);
      END_STATE();
    case 1660:
      if (lookahead == 'r') ADVANCE(1445);
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 1661:
      if (lookahead == 'r') ADVANCE(1756);
      END_STATE();
    case 1662:
      if (lookahead == 'r') ADVANCE(849);
      END_STATE();
    case 1663:
      if (lookahead == 'r') ADVANCE(1440);
      END_STATE();
    case 1664:
      if (lookahead == 'r') ADVANCE(417);
      END_STATE();
    case 1665:
      if (lookahead == 'r') ADVANCE(1977);
      END_STATE();
    case 1666:
      if (lookahead == 'r') ADVANCE(2000);
      END_STATE();
    case 1667:
      if (lookahead == 'r') ADVANCE(907);
      END_STATE();
    case 1668:
      if (lookahead == 'r') ADVANCE(1048);
      END_STATE();
    case 1669:
      if (lookahead == 'r') ADVANCE(1357);
      END_STATE();
    case 1670:
      if (lookahead == 'r') ADVANCE(615);
      END_STATE();
    case 1671:
      if (lookahead == 'r') ADVANCE(779);
      END_STATE();
    case 1672:
      if (lookahead == 'r') ADVANCE(1461);
      END_STATE();
    case 1673:
      if (lookahead == 'r') ADVANCE(1153);
      END_STATE();
    case 1674:
      if (lookahead == 'r') ADVANCE(1466);
      END_STATE();
    case 1675:
      if (lookahead == 'r') ADVANCE(1819);
      END_STATE();
    case 1676:
      if (lookahead == 'r') ADVANCE(1454);
      END_STATE();
    case 1677:
      if (lookahead == 'r') ADVANCE(1776);
      END_STATE();
    case 1678:
      if (lookahead == 'r') ADVANCE(688);
      END_STATE();
    case 1679:
      if (lookahead == 'r') ADVANCE(1459);
      END_STATE();
    case 1680:
      if (lookahead == 'r') ADVANCE(1612);
      END_STATE();
    case 1681:
      if (lookahead == 'r') ADVANCE(453);
      END_STATE();
    case 1682:
      if (lookahead == 'r') ADVANCE(1456);
      END_STATE();
    case 1683:
      if (lookahead == 'r') ADVANCE(1889);
      END_STATE();
    case 1684:
      if (lookahead == 'r') ADVANCE(1568);
      END_STATE();
    case 1685:
      if (lookahead == 'r') ADVANCE(1882);
      END_STATE();
    case 1686:
      if (lookahead == 'r') ADVANCE(1798);
      END_STATE();
    case 1687:
      if (lookahead == 'r') ADVANCE(1162);
      END_STATE();
    case 1688:
      if (lookahead == 'r') ADVANCE(1806);
      END_STATE();
    case 1689:
      if (lookahead == 'r') ADVANCE(832);
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 1690:
      if (lookahead == 'r') ADVANCE(1835);
      END_STATE();
    case 1691:
      if (lookahead == 'r') ADVANCE(456);
      END_STATE();
    case 1692:
      if (lookahead == 'r') ADVANCE(1124);
      END_STATE();
    case 1693:
      if (lookahead == 'r') ADVANCE(1463);
      END_STATE();
    case 1694:
      if (lookahead == 'r') ADVANCE(1398);
      END_STATE();
    case 1695:
      if (lookahead == 'r') ADVANCE(1784);
      END_STATE();
    case 1696:
      if (lookahead == 'r') ADVANCE(1387);
      END_STATE();
    case 1697:
      if (lookahead == 'r') ADVANCE(1102);
      END_STATE();
    case 1698:
      if (lookahead == 'r') ADVANCE(1426);
      END_STATE();
    case 1699:
      if (lookahead == 'r') ADVANCE(1250);
      END_STATE();
    case 1700:
      if (lookahead == 'r') ADVANCE(1159);
      END_STATE();
    case 1701:
      if (lookahead == 'r') ADVANCE(1254);
      END_STATE();
    case 1702:
      if (lookahead == 'r') ADVANCE(854);
      END_STATE();
    case 1703:
      if (lookahead == 'r') ADVANCE(1464);
      END_STATE();
    case 1704:
      if (lookahead == 'r') ADVANCE(1815);
      END_STATE();
    case 1705:
      if (lookahead == 'r') ADVANCE(796);
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 1706:
      if (lookahead == 'r') ADVANCE(1468);
      END_STATE();
    case 1707:
      if (lookahead == 'r') ADVANCE(1469);
      END_STATE();
    case 1708:
      if (lookahead == 'r') ADVANCE(1473);
      END_STATE();
    case 1709:
      if (lookahead == 'r') ADVANCE(1474);
      END_STATE();
    case 1710:
      if (lookahead == 'r') ADVANCE(1475);
      END_STATE();
    case 1711:
      if (lookahead == 'r') ADVANCE(947);
      END_STATE();
    case 1712:
      if (lookahead == 'r') ADVANCE(799);
      END_STATE();
    case 1713:
      if (lookahead == 'r') ADVANCE(1479);
      END_STATE();
    case 1714:
      if (lookahead == 'r') ADVANCE(1618);
      END_STATE();
    case 1715:
      if (lookahead == 'r') ADVANCE(903);
      END_STATE();
    case 1716:
      if (lookahead == 'r') ADVANCE(1608);
      END_STATE();
    case 1717:
      if (lookahead == 'r') ADVANCE(1641);
      END_STATE();
    case 1718:
      if (lookahead == 'r') ADVANCE(922);
      END_STATE();
    case 1719:
      if (lookahead == 'r') ADVANCE(824);
      END_STATE();
    case 1720:
      if (lookahead == 'r') ADVANCE(546);
      END_STATE();
    case 1721:
      if (lookahead == 'r') ADVANCE(461);
      END_STATE();
    case 1722:
      if (lookahead == 'r') ADVANCE(506);
      END_STATE();
    case 1723:
      if (lookahead == 'r') ADVANCE(1134);
      END_STATE();
    case 1724:
      if (lookahead == 'r') ADVANCE(1799);
      END_STATE();
    case 1725:
      if (lookahead == 'r') ADVANCE(700);
      END_STATE();
    case 1726:
      if (lookahead == 'r') ADVANCE(1879);
      END_STATE();
    case 1727:
      if (lookahead == 'r') ADVANCE(870);
      END_STATE();
    case 1728:
      if (lookahead == 'r') ADVANCE(1000);
      if (lookahead == 'u') ADVANCE(13);
      END_STATE();
    case 1729:
      if (lookahead == 'r') ADVANCE(1862);
      END_STATE();
    case 1730:
      if (lookahead == 'r') ADVANCE(1924);
      END_STATE();
    case 1731:
      if (lookahead == 'r') ADVANCE(1801);
      END_STATE();
    case 1732:
      if (lookahead == 'r') ADVANCE(877);
      END_STATE();
    case 1733:
      if (lookahead == 'r') ADVANCE(894);
      END_STATE();
    case 1734:
      if (lookahead == 'r') ADVANCE(1679);
      END_STATE();
    case 1735:
      if (lookahead == 'r') ADVANCE(485);
      END_STATE();
    case 1736:
      if (lookahead == 'r') ADVANCE(1877);
      END_STATE();
    case 1737:
      if (lookahead == 'r') ADVANCE(1693);
      END_STATE();
    case 1738:
      if (lookahead == 'r') ADVANCE(1703);
      END_STATE();
    case 1739:
      if (lookahead == 'r') ADVANCE(1707);
      END_STATE();
    case 1740:
      if (lookahead == 'r') ADVANCE(1708);
      END_STATE();
    case 1741:
      if (lookahead == 'r') ADVANCE(1709);
      END_STATE();
    case 1742:
      if (lookahead == 'r') ADVANCE(1713);
      END_STATE();
    case 1743:
      if (lookahead == 'r') ADVANCE(912);
      END_STATE();
    case 1744:
      if (lookahead == 'r') ADVANCE(724);
      END_STATE();
    case 1745:
      if (lookahead == 'r') ADVANCE(935);
      END_STATE();
    case 1746:
      if (lookahead == 'r') ADVANCE(327);
      END_STATE();
    case 1747:
      if (lookahead == 'r') ADVANCE(1581);
      END_STATE();
    case 1748:
      if (lookahead == 'r') ADVANCE(1900);
      END_STATE();
    case 1749:
      if (lookahead == 'r') ADVANCE(1583);
      END_STATE();
    case 1750:
      if (lookahead == 'r') ADVANCE(944);
      END_STATE();
    case 1751:
      if (lookahead == 'r') ADVANCE(945);
      END_STATE();
    case 1752:
      if (lookahead == 'r') ADVANCE(946);
      END_STATE();
    case 1753:
      if (lookahead == 'r') ADVANCE(1186);
      END_STATE();
    case 1754:
      if (lookahead == 'r') ADVANCE(1188);
      END_STATE();
    case 1755:
      if (lookahead == 'r') ADVANCE(1189);
      END_STATE();
    case 1756:
      if (lookahead == 's') ADVANCE(13);
      END_STATE();
    case 1757:
      if (lookahead == 's') ADVANCE(904);
      END_STATE();
    case 1758:
      if (lookahead == 's') ADVANCE(183);
      if (lookahead == 'u') ADVANCE(1342);
      END_STATE();
    case 1759:
      if (lookahead == 's') ADVANCE(326);
      END_STATE();
    case 1760:
      if (lookahead == 's') ADVANCE(352);
      END_STATE();
    case 1761:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 1762:
      if (lookahead == 's') ADVANCE(218);
      END_STATE();
    case 1763:
      if (lookahead == 's') ADVANCE(81);
      END_STATE();
    case 1764:
      if (lookahead == 's') ADVANCE(38);
      END_STATE();
    case 1765:
      if (lookahead == 's') ADVANCE(40);
      END_STATE();
    case 1766:
      if (lookahead == 's') ADVANCE(39);
      END_STATE();
    case 1767:
      if (lookahead == 's') ADVANCE(1811);
      END_STATE();
    case 1768:
      if (lookahead == 's') ADVANCE(346);
      END_STATE();
    case 1769:
      if (lookahead == 's') ADVANCE(1476);
      END_STATE();
    case 1770:
      if (lookahead == 's') ADVANCE(145);
      END_STATE();
    case 1771:
      if (lookahead == 's') ADVANCE(1076);
      END_STATE();
    case 1772:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 1773:
      if (lookahead == 's') ADVANCE(207);
      END_STATE();
    case 1774:
      if (lookahead == 's') ADVANCE(111);
      END_STATE();
    case 1775:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 1776:
      if (lookahead == 's') ADVANCE(1530);
      END_STATE();
    case 1777:
      if (lookahead == 's') ADVANCE(1036);
      END_STATE();
    case 1778:
      if (lookahead == 's') ADVANCE(2002);
      END_STATE();
    case 1779:
      if (lookahead == 's') ADVANCE(200);
      END_STATE();
    case 1780:
      if (lookahead == 's') ADVANCE(1037);
      END_STATE();
    case 1781:
      if (lookahead == 's') ADVANCE(1041);
      END_STATE();
    case 1782:
      if (lookahead == 's') ADVANCE(1756);
      END_STATE();
    case 1783:
      if (lookahead == 's') ADVANCE(1112);
      END_STATE();
    case 1784:
      if (lookahead == 's') ADVANCE(1211);
      END_STATE();
    case 1785:
      if (lookahead == 's') ADVANCE(1905);
      END_STATE();
    case 1786:
      if (lookahead == 's') ADVANCE(747);
      END_STATE();
    case 1787:
      if (lookahead == 's') ADVANCE(779);
      END_STATE();
    case 1788:
      if (lookahead == 's') ADVANCE(827);
      END_STATE();
    case 1789:
      if (lookahead == 's') ADVANCE(1954);
      END_STATE();
    case 1790:
      if (lookahead == 's') ADVANCE(1910);
      END_STATE();
    case 1791:
      if (lookahead == 's') ADVANCE(1856);
      END_STATE();
    case 1792:
      if (lookahead == 's') ADVANCE(1237);
      END_STATE();
    case 1793:
      if (lookahead == 's') ADVANCE(1768);
      END_STATE();
    case 1794:
      if (lookahead == 's') ADVANCE(1846);
      END_STATE();
    case 1795:
      if (lookahead == 's') ADVANCE(1849);
      END_STATE();
    case 1796:
      if (lookahead == 's') ADVANCE(1174);
      END_STATE();
    case 1797:
      if (lookahead == 's') ADVANCE(1843);
      END_STATE();
    case 1798:
      if (lookahead == 's') ADVANCE(864);
      END_STATE();
    case 1799:
      if (lookahead == 's') ADVANCE(803);
      END_STATE();
    case 1800:
      if (lookahead == 's') ADVANCE(834);
      END_STATE();
    case 1801:
      if (lookahead == 's') ADVANCE(823);
      END_STATE();
    case 1802:
      if (lookahead == 's') ADVANCE(1046);
      END_STATE();
    case 1803:
      if (lookahead == 's') ADVANCE(1912);
      END_STATE();
    case 1804:
      if (lookahead == 's') ADVANCE(1867);
      END_STATE();
    case 1805:
      if (lookahead == 's') ADVANCE(1855);
      END_STATE();
    case 1806:
      if (lookahead == 's') ADVANCE(869);
      END_STATE();
    case 1807:
      if (lookahead == 's') ADVANCE(1121);
      END_STATE();
    case 1808:
      if (lookahead == 's') ADVANCE(884);
      END_STATE();
    case 1809:
      if (lookahead == 's') ADVANCE(940);
      END_STATE();
    case 1810:
      if (lookahead == 't') ADVANCE(1992);
      END_STATE();
    case 1811:
      if (lookahead == 't') ADVANCE(13);
      END_STATE();
    case 1812:
      if (lookahead == 't') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(604);
      END_STATE();
    case 1813:
      if (lookahead == 't') ADVANCE(13);
      if (lookahead == 'w') ADVANCE(1373);
      END_STATE();
    case 1814:
      if (lookahead == 't') ADVANCE(253);
      END_STATE();
    case 1815:
      if (lookahead == 't') ADVANCE(368);
      END_STATE();
    case 1816:
      if (lookahead == 't') ADVANCE(554);
      END_STATE();
    case 1817:
      if (lookahead == 't') ADVANCE(224);
      END_STATE();
    case 1818:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 1819:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 1820:
      if (lookahead == 't') ADVANCE(553);
      END_STATE();
    case 1821:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 1822:
      if (lookahead == 't') ADVANCE(1009);
      END_STATE();
    case 1823:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 1824:
      if (lookahead == 't') ADVANCE(374);
      END_STATE();
    case 1825:
      if (lookahead == 't') ADVANCE(274);
      END_STATE();
    case 1826:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 1827:
      if (lookahead == 't') ADVANCE(378);
      END_STATE();
    case 1828:
      if (lookahead == 't') ADVANCE(561);
      END_STATE();
    case 1829:
      if (lookahead == 't') ADVANCE(275);
      END_STATE();
    case 1830:
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 1831:
      if (lookahead == 't') ADVANCE(1603);
      END_STATE();
    case 1832:
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 1833:
      if (lookahead == 't') ADVANCE(861);
      END_STATE();
    case 1834:
      if (lookahead == 't') ADVANCE(35);
      END_STATE();
    case 1835:
      if (lookahead == 't') ADVANCE(1331);
      END_STATE();
    case 1836:
      if (lookahead == 't') ADVANCE(325);
      END_STATE();
    case 1837:
      if (lookahead == 't') ADVANCE(607);
      END_STATE();
    case 1838:
      if (lookahead == 't') ADVANCE(1993);
      END_STATE();
    case 1839:
      if (lookahead == 't') ADVANCE(117);
      if (lookahead == 'v') ADVANCE(1148);
      END_STATE();
    case 1840:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 1841:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 1842:
      if (lookahead == 't') ADVANCE(550);
      END_STATE();
    case 1843:
      if (lookahead == 't') ADVANCE(1441);
      END_STATE();
    case 1844:
      if (lookahead == 't') ADVANCE(888);
      END_STATE();
    case 1845:
      if (lookahead == 't') ADVANCE(375);
      END_STATE();
    case 1846:
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 1847:
      if (lookahead == 't') ADVANCE(1997);
      END_STATE();
    case 1848:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 1849:
      if (lookahead == 't') ADVANCE(195);
      END_STATE();
    case 1850:
      if (lookahead == 't') ADVANCE(1036);
      END_STATE();
    case 1851:
      if (lookahead == 't') ADVANCE(1998);
      END_STATE();
    case 1852:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 1853:
      if (lookahead == 't') ADVANCE(1041);
      END_STATE();
    case 1854:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 1855:
      if (lookahead == 't') ADVANCE(1756);
      END_STATE();
    case 1856:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 1857:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 1858:
      if (lookahead == 't') ADVANCE(1038);
      END_STATE();
    case 1859:
      if (lookahead == 't') ADVANCE(1339);
      END_STATE();
    case 1860:
      if (lookahead == 't') ADVANCE(779);
      END_STATE();
    case 1861:
      if (lookahead == 't') ADVANCE(1511);
      END_STATE();
    case 1862:
      if (lookahead == 't') ADVANCE(1762);
      END_STATE();
    case 1863:
      if (lookahead == 't') ADVANCE(1066);
      END_STATE();
    case 1864:
      if (lookahead == 't') ADVANCE(1354);
      END_STATE();
    case 1865:
      if (lookahead == 't') ADVANCE(811);
      END_STATE();
    case 1866:
      if (lookahead == 't') ADVANCE(1788);
      END_STATE();
    case 1867:
      if (lookahead == 't') ADVANCE(852);
      END_STATE();
    case 1868:
      if (lookahead == 't') ADVANCE(1450);
      END_STATE();
    case 1869:
      if (lookahead == 't') ADVANCE(1638);
      END_STATE();
    case 1870:
      if (lookahead == 't') ADVANCE(487);
      END_STATE();
    case 1871:
      if (lookahead == 't') ADVANCE(1147);
      END_STATE();
    case 1872:
      if (lookahead == 't') ADVANCE(1124);
      END_STATE();
    case 1873:
      if (lookahead == 't') ADVANCE(1158);
      END_STATE();
    case 1874:
      if (lookahead == 't') ADVANCE(1447);
      END_STATE();
    case 1875:
      if (lookahead == 't') ADVANCE(1149);
      END_STATE();
    case 1876:
      if (lookahead == 't') ADVANCE(1172);
      END_STATE();
    case 1877:
      if (lookahead == 't') ADVANCE(1166);
      END_STATE();
    case 1878:
      if (lookahead == 't') ADVANCE(1126);
      END_STATE();
    case 1879:
      if (lookahead == 't') ADVANCE(1606);
      END_STATE();
    case 1880:
      if (lookahead == 't') ADVANCE(938);
      END_STATE();
    case 1881:
      if (lookahead == 't') ADVANCE(559);
      END_STATE();
    case 1882:
      if (lookahead == 't') ADVANCE(1406);
      END_STATE();
    case 1883:
      if (lookahead == 't') ADVANCE(1111);
      END_STATE();
    case 1884:
      if (lookahead == 't') ADVANCE(1504);
      END_STATE();
    case 1885:
      if (lookahead == 't') ADVANCE(1407);
      END_STATE();
    case 1886:
      if (lookahead == 't') ADVANCE(1691);
      END_STATE();
    case 1887:
      if (lookahead == 't') ADVANCE(887);
      END_STATE();
    case 1888:
      if (lookahead == 't') ADVANCE(495);
      END_STATE();
    case 1889:
      if (lookahead == 't') ADVANCE(1088);
      END_STATE();
    case 1890:
      if (lookahead == 't') ADVANCE(889);
      END_STATE();
    case 1891:
      if (lookahead == 't') ADVANCE(891);
      END_STATE();
    case 1892:
      if (lookahead == 't') ADVANCE(893);
      END_STATE();
    case 1893:
      if (lookahead == 't') ADVANCE(896);
      END_STATE();
    case 1894:
      if (lookahead == 't') ADVANCE(914);
      END_STATE();
    case 1895:
      if (lookahead == 't') ADVANCE(898);
      END_STATE();
    case 1896:
      if (lookahead == 't') ADVANCE(1067);
      END_STATE();
    case 1897:
      if (lookahead == 't') ADVANCE(538);
      END_STATE();
    case 1898:
      if (lookahead == 't') ADVANCE(1157);
      END_STATE();
    case 1899:
      if (lookahead == 't') ADVANCE(1163);
      END_STATE();
    case 1900:
      if (lookahead == 't') ADVANCE(1173);
      END_STATE();
    case 1901:
      if (lookahead == 't') ADVANCE(558);
      END_STATE();
    case 1902:
      if (lookahead == 't') ADVANCE(547);
      END_STATE();
    case 1903:
      if (lookahead == 'u') ADVANCE(13);
      END_STATE();
    case 1904:
      if (lookahead == 'u') ADVANCE(475);
      END_STATE();
    case 1905:
      if (lookahead == 'u') ADVANCE(2015);
      END_STATE();
    case 1906:
      if (lookahead == 'u') ADVANCE(1441);
      END_STATE();
    case 1907:
      if (lookahead == 'u') ADVANCE(172);
      END_STATE();
    case 1908:
      if (lookahead == 'u') ADVANCE(577);
      END_STATE();
    case 1909:
      if (lookahead == 'u') ADVANCE(590);
      END_STATE();
    case 1910:
      if (lookahead == 'u') ADVANCE(588);
      END_STATE();
    case 1911:
      if (lookahead == 'u') ADVANCE(1530);
      END_STATE();
    case 1912:
      if (lookahead == 'u') ADVANCE(571);
      END_STATE();
    case 1913:
      if (lookahead == 'u') ADVANCE(1760);
      END_STATE();
    case 1914:
      if (lookahead == 'u') ADVANCE(595);
      END_STATE();
    case 1915:
      if (lookahead == 'u') ADVANCE(1848);
      END_STATE();
    case 1916:
      if (lookahead == 'u') ADVANCE(1848);
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 1917:
      if (lookahead == 'u') ADVANCE(1316);
      END_STATE();
    case 1918:
      if (lookahead == 'u') ADVANCE(1756);
      END_STATE();
    case 1919:
      if (lookahead == 'u') ADVANCE(862);
      END_STATE();
    case 1920:
      if (lookahead == 'u') ADVANCE(1772);
      END_STATE();
    case 1921:
      if (lookahead == 'u') ADVANCE(779);
      END_STATE();
    case 1922:
      if (lookahead == 'u') ADVANCE(1319);
      END_STATE();
    case 1923:
      if (lookahead == 'u') ADVANCE(660);
      END_STATE();
    case 1924:
      if (lookahead == 'u') ADVANCE(813);
      END_STATE();
    case 1925:
      if (lookahead == 'u') ADVANCE(453);
      END_STATE();
    case 1926:
      if (lookahead == 'u') ADVANCE(1763);
      END_STATE();
    case 1927:
      if (lookahead == 'u') ADVANCE(1442);
      END_STATE();
    case 1928:
      if (lookahead == 'u') ADVANCE(1227);
      END_STATE();
    case 1929:
      if (lookahead == 'u') ADVANCE(1787);
      END_STATE();
    case 1930:
      if (lookahead == 'u') ADVANCE(694);
      END_STATE();
    case 1931:
      if (lookahead == 'u') ADVANCE(1774);
      END_STATE();
    case 1932:
      if (lookahead == 'u') ADVANCE(1095);
      END_STATE();
    case 1933:
      if (lookahead == 'u') ADVANCE(847);
      END_STATE();
    case 1934:
      if (lookahead == 'u') ADVANCE(474);
      END_STATE();
    case 1935:
      if (lookahead == 'u') ADVANCE(1160);
      END_STATE();
    case 1936:
      if (lookahead == 'u') ADVANCE(1094);
      END_STATE();
    case 1937:
      if (lookahead == 'u') ADVANCE(1634);
      END_STATE();
    case 1938:
      if (lookahead == 'u') ADVANCE(1606);
      END_STATE();
    case 1939:
      if (lookahead == 'u') ADVANCE(1635);
      END_STATE();
    case 1940:
      if (lookahead == 'u') ADVANCE(1699);
      END_STATE();
    case 1941:
      if (lookahead == 'u') ADVANCE(1701);
      END_STATE();
    case 1942:
      if (lookahead == 'u') ADVANCE(1046);
      END_STATE();
    case 1943:
      if (lookahead == 'u') ADVANCE(1329);
      END_STATE();
    case 1944:
      if (lookahead == 'u') ADVANCE(1400);
      END_STATE();
    case 1945:
      if (lookahead == 'u') ADVANCE(1794);
      END_STATE();
    case 1946:
      if (lookahead == 'u') ADVANCE(1129);
      END_STATE();
    case 1947:
      if (lookahead == 'u') ADVANCE(1253);
      END_STATE();
    case 1948:
      if (lookahead == 'u') ADVANCE(1860);
      END_STATE();
    case 1949:
      if (lookahead == 'u') ADVANCE(494);
      END_STATE();
    case 1950:
      if (lookahead == 'u') ADVANCE(1269);
      END_STATE();
    case 1951:
      if (lookahead == 'u') ADVANCE(1515);
      END_STATE();
    case 1952:
      if (lookahead == 'u') ADVANCE(1327);
      END_STATE();
    case 1953:
      if (lookahead == 'u') ADVANCE(500);
      END_STATE();
    case 1954:
      if (lookahead == 'u') ADVANCE(1715);
      END_STATE();
    case 1955:
      if (lookahead == 'u') ADVANCE(1308);
      END_STATE();
    case 1956:
      if (lookahead == 'u') ADVANCE(543);
      END_STATE();
    case 1957:
      if (lookahead == 'u') ADVANCE(601);
      END_STATE();
    case 1958:
      if (lookahead == 'u') ADVANCE(545);
      END_STATE();
    case 1959:
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'w') ADVANCE(1367);
      END_STATE();
    case 1960:
      if (lookahead == 'u') ADVANCE(603);
      END_STATE();
    case 1961:
      if (lookahead == 'v') ADVANCE(13);
      END_STATE();
    case 1962:
      if (lookahead == 'v') ADVANCE(13);
      if (lookahead == 'w') ADVANCE(778);
      END_STATE();
    case 1963:
      if (lookahead == 'v') ADVANCE(27);
      END_STATE();
    case 1964:
      if (lookahead == 'v') ADVANCE(111);
      END_STATE();
    case 1965:
      if (lookahead == 'v') ADVANCE(856);
      if (lookahead == 'w') ADVANCE(855);
      END_STATE();
    case 1966:
      if (lookahead == 'v') ADVANCE(779);
      END_STATE();
    case 1967:
      if (lookahead == 'v') ADVANCE(804);
      END_STATE();
    case 1968:
      if (lookahead == 'v') ADVANCE(942);
      END_STATE();
    case 1969:
      if (lookahead == 'w') ADVANCE(13);
      END_STATE();
    case 1970:
      if (lookahead == 'w') ADVANCE(19);
      END_STATE();
    case 1971:
      if (lookahead == 'w') ADVANCE(23);
      END_STATE();
    case 1972:
      if (lookahead == 'w') ADVANCE(22);
      END_STATE();
    case 1973:
      if (lookahead == 'w') ADVANCE(21);
      END_STATE();
    case 1974:
      if (lookahead == 'w') ADVANCE(1441);
      END_STATE();
    case 1975:
      if (lookahead == 'w') ADVANCE(399);
      END_STATE();
    case 1976:
      if (lookahead == 'w') ADVANCE(195);
      END_STATE();
    case 1977:
      if (lookahead == 'w') ADVANCE(819);
      END_STATE();
    case 1978:
      if (lookahead == 'w') ADVANCE(1756);
      END_STATE();
    case 1979:
      if (lookahead == 'w') ADVANCE(907);
      if (lookahead == 'a' ||
          lookahead == 'h') ADVANCE(13);
      END_STATE();
    case 1980:
      if (lookahead == 'w') ADVANCE(1357);
      END_STATE();
    case 1981:
      if (lookahead == 'w') ADVANCE(1373);
      END_STATE();
    case 1982:
      if (lookahead == 'w') ADVANCE(1371);
      END_STATE();
    case 1983:
      if (lookahead == 'w') ADVANCE(1368);
      END_STATE();
    case 1984:
      if (lookahead == 'w') ADVANCE(1155);
      END_STATE();
    case 1985:
      if (lookahead == 'w') ADVANCE(214);
      END_STATE();
    case 1986:
      if (lookahead == 'w') ADVANCE(1281);
      END_STATE();
    case 1987:
      if (lookahead == 'w') ADVANCE(1439);
      END_STATE();
    case 1988:
      if (lookahead == 'w') ADVANCE(1438);
      END_STATE();
    case 1989:
      if (lookahead == 'x') ADVANCE(13);
      END_STATE();
    case 1990:
      if (lookahead == 'x') ADVANCE(1811);
      END_STATE();
    case 1991:
      if (lookahead == 'x') ADVANCE(120);
      END_STATE();
    case 1992:
      if (lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 1993:
      if (lookahead == 'y') ADVANCE(367);
      END_STATE();
    case 1994:
      if (lookahead == 'y') ADVANCE(838);
      END_STATE();
    case 1995:
      if (lookahead == 'y') ADVANCE(314);
      END_STATE();
    case 1996:
      if (lookahead == 'y') ADVANCE(329);
      END_STATE();
    case 1997:
      if (lookahead == 'y') ADVANCE(203);
      END_STATE();
    case 1998:
      if (lookahead == 'y') ADVANCE(1961);
      END_STATE();
    case 1999:
      if (lookahead == 'y') ADVANCE(366);
      END_STATE();
    case 2000:
      if (lookahead == 'y') ADVANCE(372);
      END_STATE();
    case 2001:
      if (lookahead == 'y') ADVANCE(342);
      END_STATE();
    case 2002:
      if (lookahead == 'y') ADVANCE(1316);
      END_STATE();
    case 2003:
      if (lookahead == 'y') ADVANCE(778);
      END_STATE();
    case 2004:
      if (lookahead == 'y') ADVANCE(1756);
      END_STATE();
    case 2005:
      if (lookahead == 'y') ADVANCE(827);
      END_STATE();
    case 2006:
      if (lookahead == 'z') ADVANCE(1518);
      END_STATE();
    case 2007:
      if (lookahead == 'z') ADVANCE(430);
      END_STATE();
    case 2008:
      if (lookahead == 'z') ADVANCE(1134);
      END_STATE();
    case 2009:
      if (lookahead == 'z') ADVANCE(865);
      END_STATE();
    case 2010:
      if (lookahead == '2' ||
          lookahead == '4') ADVANCE(13);
      END_STATE();
    case 2011:
      if (lookahead == '3' ||
          lookahead == '5') ADVANCE(13);
      END_STATE();
    case 2012:
      if (lookahead == '6' ||
          lookahead == '8') ADVANCE(13);
      END_STATE();
    case 2013:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(13);
      END_STATE();
    case 2014:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(2029);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 2015:
      if (lookahead == 'b' ||
          lookahead == 'p') ADVANCE(13);
      END_STATE();
    case 2016:
      if (lookahead == 'b' ||
          lookahead == 'u') ADVANCE(13);
      END_STATE();
    case 2017:
      if (lookahead == 'd' ||
          lookahead == 'u') ADVANCE(13);
      END_STATE();
    case 2018:
      if (lookahead == 'e' ||
          lookahead == 'k') ADVANCE(13);
      END_STATE();
    case 2019:
      if (lookahead == 'e' ||
          lookahead == 't') ADVANCE(13);
      END_STATE();
    case 2020:
      if (lookahead == 'f' ||
          lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 2021:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 2022:
      if (lookahead == 'o' ||
          lookahead == 'u') ADVANCE(13);
      END_STATE();
    case 2023:
      if (lookahead == 'r' ||
          lookahead == 'y') ADVANCE(13);
      END_STATE();
    case 2024:
      if (lookahead == '3' ||
          lookahead == '4') ADVANCE(13);
      END_STATE();
    case 2025:
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(13);
      END_STATE();
    case 2026:
      if (('a' <= lookahead && lookahead <= 'c')) ADVANCE(13);
      END_STATE();
    case 2027:
      if (lookahead == 'L' ||
          lookahead == 'R' ||
          lookahead == 'l' ||
          lookahead == 'r') ADVANCE(13);
      END_STATE();
    case 2028:
      if (('a' <= lookahead && lookahead <= 'h')) ADVANCE(13);
      END_STATE();
    case 2029:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(246);
      END_STATE();
    case 2030:
      if (eof) ADVANCE(2031);
      ADVANCE_MAP(
        '!', 2040,
        '"', 2041,
        '#', 2042,
        '$', 2043,
        '%', 2044,
        '&', 2045,
        '\'', 2047,
        '(', 2070,
        ')', 2071,
        '*', 2048,
        '+', 2049,
        ',', 2050,
        '-', 2051,
        '.', 2053,
        '/', 2054,
        ':', 2055,
        ';', 2056,
        '<', 2038,
        '=', 2057,
        '>', 2039,
        '?', 2058,
        '@', 2060,
        '[', 2035,
        '\\', 2061,
        ']', 2036,
        '^', 2063,
        '_', 2064,
        '`', 2065,
        '{', 2066,
        '|', 2067,
        '}', 2068,
        '~', 2069,
        '\t', 2080,
        ' ', 2080,
      );
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(2077);
      END_STATE();
    case 2031:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2032:
      ACCEPT_TOKEN(sym__backslash_escape);
      END_STATE();
    case 2033:
      ACCEPT_TOKEN(sym_entity_reference);
      END_STATE();
    case 2034:
      ACCEPT_TOKEN(sym_numeric_character_reference);
      END_STATE();
    case 2035:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(380);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(381);
      END_STATE();
    case 2036:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 2037:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      if (lookahead == ']') ADVANCE(248);
      END_STATE();
    case 2038:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 2039:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 2040:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 2041:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 2042:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 2043:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 2044:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 2045:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 2046:
      ACCEPT_TOKEN(anon_sym_AMP);
      ADVANCE_MAP(
        '#', 2014,
        'A', 315,
        'B', 384,
        'C', 338,
        'D', 299,
        'E', 354,
        'F', 610,
        'G', 45,
        'H', 249,
        'I', 321,
        'J', 712,
        'K', 337,
        'L', 44,
        'M', 426,
        'N', 345,
        'O', 323,
        'P', 422,
        'Q', 376,
        'R', 280,
        'S', 334,
        'T', 335,
        'U', 403,
        'V', 307,
        'W', 664,
        'X', 952,
        'Y', 251,
        'Z', 339,
        'a', 382,
        'b', 353,
        'c', 389,
        'd', 256,
        'e', 301,
        'f', 431,
        'g', 34,
        'h', 258,
        'i', 383,
        'j', 711,
        'k', 516,
        'l', 14,
        'm', 302,
        'n', 331,
        'o', 365,
        'p', 454,
        'q', 953,
        'r', 250,
        's', 511,
        't', 406,
        'u', 257,
        'v', 254,
        'w', 663,
        'x', 619,
        'y', 421,
        'z', 512,
      );
      END_STATE();
    case 2047:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 2048:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 2049:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 2050:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 2051:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 2052:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(247);
      END_STATE();
    case 2053:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 2054:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 2055:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 2056:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 2057:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 2058:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 2059:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(2075);
      END_STATE();
    case 2060:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 2061:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 2062:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (('!' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          ('[' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(2032);
      END_STATE();
    case 2063:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 2064:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2065:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 2066:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 2067:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 2068:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 2069:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 2070:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 2071:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 2072:
      ACCEPT_TOKEN(sym__newline_token);
      END_STATE();
    case 2073:
      ACCEPT_TOKEN(sym__newline_token);
      if (lookahead == '\n') ADVANCE(2072);
      END_STATE();
    case 2074:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_GT);
      END_STATE();
    case 2075:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 2076:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK_GT);
      END_STATE();
    case 2077:
      ACCEPT_TOKEN(aux_sym__word_token1);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(2077);
      END_STATE();
    case 2078:
      ACCEPT_TOKEN(aux_sym__word_token2);
      END_STATE();
    case 2079:
      ACCEPT_TOKEN(aux_sym__word_token3);
      END_STATE();
    case 2080:
      ACCEPT_TOKEN(sym__whitespace);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(2080);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 2030, .external_lex_state = 2},
  [2] = {.lex_state = 2030, .external_lex_state = 3},
  [3] = {.lex_state = 2030, .external_lex_state = 3},
  [4] = {.lex_state = 2030, .external_lex_state = 3},
  [5] = {.lex_state = 2030, .external_lex_state = 3},
  [6] = {.lex_state = 2030, .external_lex_state = 3},
  [7] = {.lex_state = 2030, .external_lex_state = 3},
  [8] = {.lex_state = 2030, .external_lex_state = 3},
  [9] = {.lex_state = 2030, .external_lex_state = 3},
  [10] = {.lex_state = 2030, .external_lex_state = 3},
  [11] = {.lex_state = 2030, .external_lex_state = 3},
  [12] = {.lex_state = 2030, .external_lex_state = 4},
  [13] = {.lex_state = 2030, .external_lex_state = 4},
  [14] = {.lex_state = 2030, .external_lex_state = 4},
  [15] = {.lex_state = 2030, .external_lex_state = 4},
  [16] = {.lex_state = 2030, .external_lex_state = 4},
  [17] = {.lex_state = 2030, .external_lex_state = 4},
  [18] = {.lex_state = 2030, .external_lex_state = 4},
  [19] = {.lex_state = 2030, .external_lex_state = 4},
  [20] = {.lex_state = 2030, .external_lex_state = 4},
  [21] = {.lex_state = 2030, .external_lex_state = 4},
  [22] = {.lex_state = 2030, .external_lex_state = 5},
  [23] = {.lex_state = 2030, .external_lex_state = 5},
  [24] = {.lex_state = 2030, .external_lex_state = 6},
  [25] = {.lex_state = 2030, .external_lex_state = 4},
  [26] = {.lex_state = 2030, .external_lex_state = 6},
  [27] = {.lex_state = 2030, .external_lex_state = 4},
  [28] = {.lex_state = 2030, .external_lex_state = 4},
  [29] = {.lex_state = 2030, .external_lex_state = 6},
  [30] = {.lex_state = 2030, .external_lex_state = 6},
  [31] = {.lex_state = 2030, .external_lex_state = 6},
  [32] = {.lex_state = 2030, .external_lex_state = 6},
  [33] = {.lex_state = 2030, .external_lex_state = 6},
  [34] = {.lex_state = 2030, .external_lex_state = 6},
  [35] = {.lex_state = 2030, .external_lex_state = 6},
  [36] = {.lex_state = 2030, .external_lex_state = 6},
  [37] = {.lex_state = 2030, .external_lex_state = 4},
  [38] = {.lex_state = 2030, .external_lex_state = 6},
  [39] = {.lex_state = 2030, .external_lex_state = 4},
  [40] = {.lex_state = 2030, .external_lex_state = 6},
  [41] = {.lex_state = 2030, .external_lex_state = 4},
  [42] = {.lex_state = 2030, .external_lex_state = 6},
  [43] = {.lex_state = 2030, .external_lex_state = 4},
  [44] = {.lex_state = 2030, .external_lex_state = 6},
  [45] = {.lex_state = 2030, .external_lex_state = 4},
  [46] = {.lex_state = 2030, .external_lex_state = 4},
  [47] = {.lex_state = 2030, .external_lex_state = 6},
  [48] = {.lex_state = 2030, .external_lex_state = 6},
  [49] = {.lex_state = 2030, .external_lex_state = 6},
  [50] = {.lex_state = 2030, .external_lex_state = 4},
  [51] = {.lex_state = 2030, .external_lex_state = 6},
  [52] = {.lex_state = 2030, .external_lex_state = 6},
  [53] = {.lex_state = 2030, .external_lex_state = 4},
  [54] = {.lex_state = 2030, .external_lex_state = 4},
  [55] = {.lex_state = 2030, .external_lex_state = 4},
  [56] = {.lex_state = 2030, .external_lex_state = 4},
  [57] = {.lex_state = 2030, .external_lex_state = 6},
  [58] = {.lex_state = 2030, .external_lex_state = 4},
  [59] = {.lex_state = 2030, .external_lex_state = 6},
  [60] = {.lex_state = 2030, .external_lex_state = 6},
  [61] = {.lex_state = 2030, .external_lex_state = 4},
  [62] = {.lex_state = 2030, .external_lex_state = 6},
  [63] = {.lex_state = 2030, .external_lex_state = 4},
  [64] = {.lex_state = 2030, .external_lex_state = 6},
  [65] = {.lex_state = 2030, .external_lex_state = 6},
  [66] = {.lex_state = 2030, .external_lex_state = 4},
  [67] = {.lex_state = 2030, .external_lex_state = 4},
  [68] = {.lex_state = 2030, .external_lex_state = 4},
  [69] = {.lex_state = 2030, .external_lex_state = 6},
  [70] = {.lex_state = 2030, .external_lex_state = 6},
  [71] = {.lex_state = 2030, .external_lex_state = 4},
  [72] = {.lex_state = 2030, .external_lex_state = 6},
  [73] = {.lex_state = 2030, .external_lex_state = 6},
  [74] = {.lex_state = 2030, .external_lex_state = 6},
  [75] = {.lex_state = 2030, .external_lex_state = 4},
  [76] = {.lex_state = 2030, .external_lex_state = 7},
  [77] = {.lex_state = 2030, .external_lex_state = 8},
  [78] = {.lex_state = 2030, .external_lex_state = 4},
  [79] = {.lex_state = 2030, .external_lex_state = 4},
  [80] = {.lex_state = 2030, .external_lex_state = 4},
  [81] = {.lex_state = 2030, .external_lex_state = 4},
  [82] = {.lex_state = 2030, .external_lex_state = 4},
  [83] = {.lex_state = 2030, .external_lex_state = 6},
  [84] = {.lex_state = 2030, .external_lex_state = 6},
  [85] = {.lex_state = 2030, .external_lex_state = 6},
  [86] = {.lex_state = 2030, .external_lex_state = 6},
  [87] = {.lex_state = 2030, .external_lex_state = 6},
  [88] = {.lex_state = 2030, .external_lex_state = 6},
  [89] = {.lex_state = 2030, .external_lex_state = 6},
  [90] = {.lex_state = 2030, .external_lex_state = 6},
  [91] = {.lex_state = 2030, .external_lex_state = 4},
  [92] = {.lex_state = 2030, .external_lex_state = 4},
  [93] = {.lex_state = 2030, .external_lex_state = 6},
  [94] = {.lex_state = 2030, .external_lex_state = 4},
  [95] = {.lex_state = 2030, .external_lex_state = 6},
  [96] = {.lex_state = 2030, .external_lex_state = 6},
  [97] = {.lex_state = 2030, .external_lex_state = 4},
  [98] = {.lex_state = 2030, .external_lex_state = 4},
  [99] = {.lex_state = 2030, .external_lex_state = 4},
  [100] = {.lex_state = 2030, .external_lex_state = 4},
  [101] = {.lex_state = 2030, .external_lex_state = 9},
  [102] = {.lex_state = 2030, .external_lex_state = 10},
  [103] = {.lex_state = 2030, .external_lex_state = 9},
  [104] = {.lex_state = 2030, .external_lex_state = 11},
  [105] = {.lex_state = 2030, .external_lex_state = 12},
  [106] = {.lex_state = 2030, .external_lex_state = 13},
  [107] = {.lex_state = 2030, .external_lex_state = 11},
  [108] = {.lex_state = 2030, .external_lex_state = 9},
  [109] = {.lex_state = 2030, .external_lex_state = 13},
  [110] = {.lex_state = 2030, .external_lex_state = 9},
  [111] = {.lex_state = 2030, .external_lex_state = 13},
  [112] = {.lex_state = 2030, .external_lex_state = 11},
  [113] = {.lex_state = 2030, .external_lex_state = 12},
  [114] = {.lex_state = 2030, .external_lex_state = 12},
  [115] = {.lex_state = 2030, .external_lex_state = 14},
  [116] = {.lex_state = 2030, .external_lex_state = 9},
  [117] = {.lex_state = 2030, .external_lex_state = 12},
  [118] = {.lex_state = 2030, .external_lex_state = 12},
  [119] = {.lex_state = 2030, .external_lex_state = 3},
  [120] = {.lex_state = 2030, .external_lex_state = 5},
  [121] = {.lex_state = 2030, .external_lex_state = 5},
  [122] = {.lex_state = 2030, .external_lex_state = 3},
  [123] = {.lex_state = 2030, .external_lex_state = 3},
  [124] = {.lex_state = 2030, .external_lex_state = 3},
  [125] = {.lex_state = 2030, .external_lex_state = 3},
  [126] = {.lex_state = 2030, .external_lex_state = 3},
  [127] = {.lex_state = 2030, .external_lex_state = 5},
  [128] = {.lex_state = 2030, .external_lex_state = 3},
  [129] = {.lex_state = 2030, .external_lex_state = 9},
  [130] = {.lex_state = 2030, .external_lex_state = 3},
  [131] = {.lex_state = 2030, .external_lex_state = 3},
  [132] = {.lex_state = 2030, .external_lex_state = 5},
  [133] = {.lex_state = 2030, .external_lex_state = 12},
  [134] = {.lex_state = 2030, .external_lex_state = 3},
  [135] = {.lex_state = 2030, .external_lex_state = 5},
  [136] = {.lex_state = 2030, .external_lex_state = 3},
  [137] = {.lex_state = 2030, .external_lex_state = 3},
  [138] = {.lex_state = 2030, .external_lex_state = 3},
  [139] = {.lex_state = 2030, .external_lex_state = 5},
  [140] = {.lex_state = 2030, .external_lex_state = 3},
  [141] = {.lex_state = 2030, .external_lex_state = 5},
  [142] = {.lex_state = 2030, .external_lex_state = 5},
  [143] = {.lex_state = 2030, .external_lex_state = 3},
  [144] = {.lex_state = 2030, .external_lex_state = 5},
  [145] = {.lex_state = 2030, .external_lex_state = 5},
  [146] = {.lex_state = 2030, .external_lex_state = 6},
  [147] = {.lex_state = 2030, .external_lex_state = 5},
  [148] = {.lex_state = 2030, .external_lex_state = 5},
  [149] = {.lex_state = 2030, .external_lex_state = 5},
  [150] = {.lex_state = 2030, .external_lex_state = 5},
  [151] = {.lex_state = 2030, .external_lex_state = 3},
  [152] = {.lex_state = 2030, .external_lex_state = 3},
  [153] = {.lex_state = 2030, .external_lex_state = 5},
  [154] = {.lex_state = 2030, .external_lex_state = 5},
  [155] = {.lex_state = 2030, .external_lex_state = 5},
  [156] = {.lex_state = 2030, .external_lex_state = 5},
  [157] = {.lex_state = 2030, .external_lex_state = 5},
  [158] = {.lex_state = 2030, .external_lex_state = 5},
  [159] = {.lex_state = 2030, .external_lex_state = 3},
  [160] = {.lex_state = 2030, .external_lex_state = 5},
  [161] = {.lex_state = 2030, .external_lex_state = 3},
  [162] = {.lex_state = 2030, .external_lex_state = 5},
  [163] = {.lex_state = 2030, .external_lex_state = 5},
  [164] = {.lex_state = 2030, .external_lex_state = 3},
  [165] = {.lex_state = 2030, .external_lex_state = 3},
  [166] = {.lex_state = 2030, .external_lex_state = 3},
  [167] = {.lex_state = 2030, .external_lex_state = 3},
  [168] = {.lex_state = 2030, .external_lex_state = 3},
  [169] = {.lex_state = 2030, .external_lex_state = 3},
  [170] = {.lex_state = 2030, .external_lex_state = 3},
  [171] = {.lex_state = 2030, .external_lex_state = 5},
  [172] = {.lex_state = 2030, .external_lex_state = 3},
  [173] = {.lex_state = 2030, .external_lex_state = 3},
  [174] = {.lex_state = 2030, .external_lex_state = 3},
  [175] = {.lex_state = 2030, .external_lex_state = 5},
  [176] = {.lex_state = 2030, .external_lex_state = 3},
  [177] = {.lex_state = 2030, .external_lex_state = 3},
  [178] = {.lex_state = 2030, .external_lex_state = 5},
  [179] = {.lex_state = 2030, .external_lex_state = 5},
  [180] = {.lex_state = 2030, .external_lex_state = 5},
  [181] = {.lex_state = 2030, .external_lex_state = 5},
  [182] = {.lex_state = 2030, .external_lex_state = 5},
  [183] = {.lex_state = 2030, .external_lex_state = 5},
  [184] = {.lex_state = 2030, .external_lex_state = 6},
  [185] = {.lex_state = 2030, .external_lex_state = 4},
  [186] = {.lex_state = 2030, .external_lex_state = 6},
  [187] = {.lex_state = 2030, .external_lex_state = 6},
  [188] = {.lex_state = 2030, .external_lex_state = 6},
  [189] = {.lex_state = 2030, .external_lex_state = 4},
  [190] = {.lex_state = 2030, .external_lex_state = 6},
  [191] = {.lex_state = 2030, .external_lex_state = 6},
  [192] = {.lex_state = 2030, .external_lex_state = 6},
  [193] = {.lex_state = 2030, .external_lex_state = 6},
  [194] = {.lex_state = 2030, .external_lex_state = 6},
  [195] = {.lex_state = 2030, .external_lex_state = 3},
  [196] = {.lex_state = 2030, .external_lex_state = 3},
  [197] = {.lex_state = 2030, .external_lex_state = 3},
  [198] = {.lex_state = 2030, .external_lex_state = 3},
  [199] = {.lex_state = 2030, .external_lex_state = 4},
  [200] = {.lex_state = 2030, .external_lex_state = 3},
  [201] = {.lex_state = 2030, .external_lex_state = 6},
  [202] = {.lex_state = 2030, .external_lex_state = 6},
  [203] = {.lex_state = 2030, .external_lex_state = 4},
  [204] = {.lex_state = 2030, .external_lex_state = 4},
  [205] = {.lex_state = 2030, .external_lex_state = 6},
  [206] = {.lex_state = 2030, .external_lex_state = 6},
  [207] = {.lex_state = 2030, .external_lex_state = 4},
  [208] = {.lex_state = 2030, .external_lex_state = 6},
  [209] = {.lex_state = 2030, .external_lex_state = 6},
  [210] = {.lex_state = 2030, .external_lex_state = 6},
  [211] = {.lex_state = 2030, .external_lex_state = 4},
  [212] = {.lex_state = 2030, .external_lex_state = 4},
  [213] = {.lex_state = 2030, .external_lex_state = 6},
  [214] = {.lex_state = 2030, .external_lex_state = 4},
  [215] = {.lex_state = 2030, .external_lex_state = 4},
  [216] = {.lex_state = 2030, .external_lex_state = 6},
  [217] = {.lex_state = 2030, .external_lex_state = 4},
  [218] = {.lex_state = 2030, .external_lex_state = 6},
  [219] = {.lex_state = 2030, .external_lex_state = 4},
  [220] = {.lex_state = 2030, .external_lex_state = 4},
  [221] = {.lex_state = 2030, .external_lex_state = 6},
  [222] = {.lex_state = 2030, .external_lex_state = 4},
  [223] = {.lex_state = 2030, .external_lex_state = 4},
  [224] = {.lex_state = 2030, .external_lex_state = 6},
  [225] = {.lex_state = 2030, .external_lex_state = 4},
  [226] = {.lex_state = 2030, .external_lex_state = 6},
  [227] = {.lex_state = 2030, .external_lex_state = 4},
  [228] = {.lex_state = 2030, .external_lex_state = 6},
  [229] = {.lex_state = 2030, .external_lex_state = 4},
  [230] = {.lex_state = 2030, .external_lex_state = 4},
  [231] = {.lex_state = 2030, .external_lex_state = 6},
  [232] = {.lex_state = 2030, .external_lex_state = 4},
  [233] = {.lex_state = 2030, .external_lex_state = 4},
  [234] = {.lex_state = 2030, .external_lex_state = 4},
  [235] = {.lex_state = 2030, .external_lex_state = 4},
  [236] = {.lex_state = 2030, .external_lex_state = 6},
  [237] = {.lex_state = 2030, .external_lex_state = 4},
  [238] = {.lex_state = 2030, .external_lex_state = 4},
  [239] = {.lex_state = 2030, .external_lex_state = 4},
  [240] = {.lex_state = 2030, .external_lex_state = 4},
  [241] = {.lex_state = 2030, .external_lex_state = 4},
  [242] = {.lex_state = 2030, .external_lex_state = 6},
  [243] = {.lex_state = 2030, .external_lex_state = 6},
  [244] = {.lex_state = 2030, .external_lex_state = 4},
  [245] = {.lex_state = 2030, .external_lex_state = 4},
  [246] = {.lex_state = 2030, .external_lex_state = 6},
  [247] = {.lex_state = 2030, .external_lex_state = 4},
  [248] = {.lex_state = 2030, .external_lex_state = 6},
  [249] = {.lex_state = 2030, .external_lex_state = 4},
  [250] = {.lex_state = 2030, .external_lex_state = 4},
  [251] = {.lex_state = 2030, .external_lex_state = 4},
  [252] = {.lex_state = 2030, .external_lex_state = 4},
  [253] = {.lex_state = 2030, .external_lex_state = 4},
  [254] = {.lex_state = 2030, .external_lex_state = 4},
  [255] = {.lex_state = 2030, .external_lex_state = 4},
  [256] = {.lex_state = 2030, .external_lex_state = 4},
  [257] = {.lex_state = 2030, .external_lex_state = 6},
  [258] = {.lex_state = 2030, .external_lex_state = 6},
  [259] = {.lex_state = 2030, .external_lex_state = 6},
  [260] = {.lex_state = 2030, .external_lex_state = 4},
  [261] = {.lex_state = 2030, .external_lex_state = 6},
  [262] = {.lex_state = 2030, .external_lex_state = 4},
  [263] = {.lex_state = 2030, .external_lex_state = 6},
  [264] = {.lex_state = 2030, .external_lex_state = 4},
  [265] = {.lex_state = 2030, .external_lex_state = 6},
  [266] = {.lex_state = 2030, .external_lex_state = 4},
  [267] = {.lex_state = 2030, .external_lex_state = 4},
  [268] = {.lex_state = 2030, .external_lex_state = 4},
  [269] = {.lex_state = 2030, .external_lex_state = 4},
  [270] = {.lex_state = 2030, .external_lex_state = 6},
  [271] = {.lex_state = 2030, .external_lex_state = 4},
  [272] = {.lex_state = 2030, .external_lex_state = 6},
  [273] = {.lex_state = 2030, .external_lex_state = 4},
  [274] = {.lex_state = 2030, .external_lex_state = 4},
  [275] = {.lex_state = 2030, .external_lex_state = 6},
  [276] = {.lex_state = 2030, .external_lex_state = 4},
  [277] = {.lex_state = 2030, .external_lex_state = 6},
  [278] = {.lex_state = 2030, .external_lex_state = 4},
  [279] = {.lex_state = 2030, .external_lex_state = 6},
  [280] = {.lex_state = 2030, .external_lex_state = 4},
  [281] = {.lex_state = 2030, .external_lex_state = 4},
  [282] = {.lex_state = 2030, .external_lex_state = 4},
  [283] = {.lex_state = 2030, .external_lex_state = 4},
  [284] = {.lex_state = 2030, .external_lex_state = 4},
  [285] = {.lex_state = 2030, .external_lex_state = 4},
  [286] = {.lex_state = 2030, .external_lex_state = 4},
  [287] = {.lex_state = 2030, .external_lex_state = 6},
  [288] = {.lex_state = 2030, .external_lex_state = 4},
  [289] = {.lex_state = 2030, .external_lex_state = 4},
  [290] = {.lex_state = 2030, .external_lex_state = 4},
  [291] = {.lex_state = 2030, .external_lex_state = 4},
  [292] = {.lex_state = 2030, .external_lex_state = 6},
  [293] = {.lex_state = 2030, .external_lex_state = 4},
  [294] = {.lex_state = 2030, .external_lex_state = 4},
  [295] = {.lex_state = 2030, .external_lex_state = 6},
  [296] = {.lex_state = 2030, .external_lex_state = 4},
  [297] = {.lex_state = 2030, .external_lex_state = 4},
  [298] = {.lex_state = 2030, .external_lex_state = 4},
  [299] = {.lex_state = 2030, .external_lex_state = 6},
  [300] = {.lex_state = 2030, .external_lex_state = 6},
  [301] = {.lex_state = 2030, .external_lex_state = 6},
  [302] = {.lex_state = 2030, .external_lex_state = 6},
  [303] = {.lex_state = 2030, .external_lex_state = 6},
  [304] = {.lex_state = 2030, .external_lex_state = 6},
  [305] = {.lex_state = 2030, .external_lex_state = 6},
  [306] = {.lex_state = 2030, .external_lex_state = 6},
  [307] = {.lex_state = 2030, .external_lex_state = 6},
  [308] = {.lex_state = 2030, .external_lex_state = 6},
  [309] = {.lex_state = 2030, .external_lex_state = 6},
  [310] = {.lex_state = 2030, .external_lex_state = 6},
  [311] = {.lex_state = 2030, .external_lex_state = 4},
  [312] = {.lex_state = 2030, .external_lex_state = 6},
  [313] = {.lex_state = 2030, .external_lex_state = 6},
  [314] = {.lex_state = 2030, .external_lex_state = 6},
  [315] = {.lex_state = 2030, .external_lex_state = 6},
  [316] = {.lex_state = 2030, .external_lex_state = 6},
  [317] = {.lex_state = 2030, .external_lex_state = 6},
  [318] = {.lex_state = 2030, .external_lex_state = 6},
  [319] = {.lex_state = 2030, .external_lex_state = 4},
  [320] = {.lex_state = 2030, .external_lex_state = 4},
  [321] = {.lex_state = 2030, .external_lex_state = 6},
  [322] = {.lex_state = 2030, .external_lex_state = 6},
  [323] = {.lex_state = 2030, .external_lex_state = 6},
  [324] = {.lex_state = 2030, .external_lex_state = 6},
  [325] = {.lex_state = 2030, .external_lex_state = 6},
  [326] = {.lex_state = 2030, .external_lex_state = 4},
  [327] = {.lex_state = 2030, .external_lex_state = 4},
  [328] = {.lex_state = 2030, .external_lex_state = 4},
  [329] = {.lex_state = 2030, .external_lex_state = 4},
  [330] = {.lex_state = 2030, .external_lex_state = 6},
  [331] = {.lex_state = 2030, .external_lex_state = 4},
  [332] = {.lex_state = 2030, .external_lex_state = 6},
  [333] = {.lex_state = 2030, .external_lex_state = 4},
  [334] = {.lex_state = 2030, .external_lex_state = 6},
  [335] = {.lex_state = 2030, .external_lex_state = 4},
  [336] = {.lex_state = 2030, .external_lex_state = 4},
  [337] = {.lex_state = 2030, .external_lex_state = 4},
  [338] = {.lex_state = 2030, .external_lex_state = 6},
  [339] = {.lex_state = 2030, .external_lex_state = 6},
  [340] = {.lex_state = 2030, .external_lex_state = 6},
  [341] = {.lex_state = 2030, .external_lex_state = 6},
  [342] = {.lex_state = 2030, .external_lex_state = 6},
  [343] = {.lex_state = 2030, .external_lex_state = 6},
  [344] = {.lex_state = 2030, .external_lex_state = 6},
  [345] = {.lex_state = 2030, .external_lex_state = 6},
  [346] = {.lex_state = 2030, .external_lex_state = 4},
  [347] = {.lex_state = 2030, .external_lex_state = 6},
  [348] = {.lex_state = 2030, .external_lex_state = 6},
  [349] = {.lex_state = 2030, .external_lex_state = 6},
  [350] = {.lex_state = 2030, .external_lex_state = 6},
  [351] = {.lex_state = 2030, .external_lex_state = 15},
  [352] = {.lex_state = 2030, .external_lex_state = 15},
  [353] = {.lex_state = 1, .external_lex_state = 16},
  [354] = {.lex_state = 1, .external_lex_state = 17},
  [355] = {.lex_state = 1, .external_lex_state = 17},
  [356] = {.lex_state = 1, .external_lex_state = 16},
  [357] = {.lex_state = 1, .external_lex_state = 17},
  [358] = {.lex_state = 1, .external_lex_state = 17},
  [359] = {.lex_state = 2030, .external_lex_state = 18},
  [360] = {.lex_state = 1, .external_lex_state = 16},
  [361] = {.lex_state = 2030, .external_lex_state = 18},
  [362] = {.lex_state = 1, .external_lex_state = 17},
  [363] = {.lex_state = 2030, .external_lex_state = 19},
  [364] = {.lex_state = 1, .external_lex_state = 17},
  [365] = {.lex_state = 1, .external_lex_state = 17},
  [366] = {.lex_state = 1, .external_lex_state = 17},
  [367] = {.lex_state = 2030, .external_lex_state = 18},
  [368] = {.lex_state = 2030, .external_lex_state = 19},
  [369] = {.lex_state = 2030, .external_lex_state = 19},
  [370] = {.lex_state = 2030, .external_lex_state = 18},
  [371] = {.lex_state = 2030, .external_lex_state = 18},
  [372] = {.lex_state = 2030, .external_lex_state = 19},
  [373] = {.lex_state = 2030, .external_lex_state = 19},
  [374] = {.lex_state = 2030, .external_lex_state = 16},
  [375] = {.lex_state = 1, .external_lex_state = 17},
  [376] = {.lex_state = 1, .external_lex_state = 17},
  [377] = {.lex_state = 1, .external_lex_state = 17},
  [378] = {.lex_state = 1, .external_lex_state = 17},
  [379] = {.lex_state = 2030, .external_lex_state = 18},
  [380] = {.lex_state = 2030, .external_lex_state = 16},
  [381] = {.lex_state = 2030, .external_lex_state = 16},
  [382] = {.lex_state = 1, .external_lex_state = 17},
  [383] = {.lex_state = 1, .external_lex_state = 16},
  [384] = {.lex_state = 1, .external_lex_state = 16},
  [385] = {.lex_state = 1, .external_lex_state = 16},
  [386] = {.lex_state = 1, .external_lex_state = 16},
  [387] = {.lex_state = 2030, .external_lex_state = 19},
  [388] = {.lex_state = 5, .external_lex_state = 20},
  [389] = {.lex_state = 1, .external_lex_state = 21},
  [390] = {.lex_state = 5, .external_lex_state = 20},
  [391] = {.lex_state = 2030, .external_lex_state = 16},
  [392] = {.lex_state = 1, .external_lex_state = 21},
  [393] = {.lex_state = 1, .external_lex_state = 21},
  [394] = {.lex_state = 1, .external_lex_state = 21},
  [395] = {.lex_state = 1, .external_lex_state = 21},
  [396] = {.lex_state = 2030, .external_lex_state = 19},
  [397] = {.lex_state = 2, .external_lex_state = 20},
  [398] = {.lex_state = 2, .external_lex_state = 20},
  [399] = {.lex_state = 2030, .external_lex_state = 22},
  [400] = {.lex_state = 3, .external_lex_state = 20},
  [401] = {.lex_state = 1, .external_lex_state = 21},
  [402] = {.lex_state = 3, .external_lex_state = 20},
  [403] = {.lex_state = 5, .external_lex_state = 20},
  [404] = {.lex_state = 3, .external_lex_state = 20},
  [405] = {.lex_state = 1, .external_lex_state = 17},
  [406] = {.lex_state = 1, .external_lex_state = 21},
  [407] = {.lex_state = 3, .external_lex_state = 20},
  [408] = {.lex_state = 5, .external_lex_state = 20},
  [409] = {.lex_state = 1, .external_lex_state = 21},
  [410] = {.lex_state = 2, .external_lex_state = 20},
  [411] = {.lex_state = 2030, .external_lex_state = 22},
  [412] = {.lex_state = 2, .external_lex_state = 20},
  [413] = {.lex_state = 3, .external_lex_state = 20},
  [414] = {.lex_state = 1, .external_lex_state = 21},
  [415] = {.lex_state = 4, .external_lex_state = 23},
  [416] = {.lex_state = 1, .external_lex_state = 21},
  [417] = {.lex_state = 2030, .external_lex_state = 19},
  [418] = {.lex_state = 2030, .external_lex_state = 22},
  [419] = {.lex_state = 2030, .external_lex_state = 18},
  [420] = {.lex_state = 2, .external_lex_state = 20},
  [421] = {.lex_state = 5, .external_lex_state = 20},
  [422] = {.lex_state = 2030, .external_lex_state = 22},
  [423] = {.lex_state = 1, .external_lex_state = 21},
  [424] = {.lex_state = 2030, .external_lex_state = 18},
  [425] = {.lex_state = 1, .external_lex_state = 21},
  [426] = {.lex_state = 2030, .external_lex_state = 22},
  [427] = {.lex_state = 2030, .external_lex_state = 20},
  [428] = {.lex_state = 1, .external_lex_state = 21},
  [429] = {.lex_state = 2030, .external_lex_state = 20},
  [430] = {.lex_state = 2030, .external_lex_state = 20},
  [431] = {.lex_state = 2030, .external_lex_state = 20},
  [432] = {.lex_state = 1, .external_lex_state = 17},
  [433] = {.lex_state = 2030, .external_lex_state = 20},
  [434] = {.lex_state = 2030, .external_lex_state = 20},
  [435] = {.lex_state = 2030, .external_lex_state = 20},
  [436] = {.lex_state = 1, .external_lex_state = 21},
  [437] = {.lex_state = 2030, .external_lex_state = 20},
  [438] = {.lex_state = 2030, .external_lex_state = 20},
  [439] = {.lex_state = 2030, .external_lex_state = 20},
  [440] = {.lex_state = 2030, .external_lex_state = 20},
  [441] = {.lex_state = 2030, .external_lex_state = 20},
  [442] = {.lex_state = 2030, .external_lex_state = 20},
  [443] = {.lex_state = 2030, .external_lex_state = 20},
  [444] = {.lex_state = 2030, .external_lex_state = 20},
  [445] = {.lex_state = 2030, .external_lex_state = 20},
  [446] = {.lex_state = 2030, .external_lex_state = 20},
  [447] = {.lex_state = 2030, .external_lex_state = 20},
  [448] = {.lex_state = 2030, .external_lex_state = 20},
  [449] = {.lex_state = 1, .external_lex_state = 21},
  [450] = {.lex_state = 2030, .external_lex_state = 21},
  [451] = {.lex_state = 4, .external_lex_state = 23},
  [452] = {.lex_state = 1, .external_lex_state = 21},
  [453] = {.lex_state = 1, .external_lex_state = 21},
  [454] = {.lex_state = 1, .external_lex_state = 17},
  [455] = {.lex_state = 1, .external_lex_state = 21},
  [456] = {.lex_state = 1, .external_lex_state = 21},
  [457] = {.lex_state = 1, .external_lex_state = 21},
  [458] = {.lex_state = 2030, .external_lex_state = 17},
  [459] = {.lex_state = 4, .external_lex_state = 23},
  [460] = {.lex_state = 4, .external_lex_state = 23},
  [461] = {.lex_state = 4, .external_lex_state = 23},
  [462] = {.lex_state = 2030, .external_lex_state = 17},
  [463] = {.lex_state = 1},
  [464] = {.lex_state = 1},
  [465] = {.lex_state = 2030, .external_lex_state = 17},
  [466] = {.lex_state = 1},
  [467] = {.lex_state = 1},
  [468] = {.lex_state = 2030, .external_lex_state = 17},
  [469] = {.lex_state = 1},
  [470] = {.lex_state = 2030, .external_lex_state = 17},
  [471] = {.lex_state = 1, .external_lex_state = 17},
  [472] = {.lex_state = 1, .external_lex_state = 17},
  [473] = {.lex_state = 1},
  [474] = {.lex_state = 1},
  [475] = {.lex_state = 4, .external_lex_state = 23},
  [476] = {.lex_state = 1},
  [477] = {.lex_state = 1},
  [478] = {.lex_state = 1},
  [479] = {.lex_state = 2030, .external_lex_state = 17},
  [480] = {.lex_state = 2030, .external_lex_state = 17},
  [481] = {.lex_state = 4, .external_lex_state = 23},
  [482] = {.lex_state = 2030, .external_lex_state = 17},
  [483] = {.lex_state = 2030, .external_lex_state = 17},
  [484] = {.lex_state = 2030, .external_lex_state = 17},
  [485] = {.lex_state = 1},
  [486] = {.lex_state = 2030, .external_lex_state = 17},
  [487] = {.lex_state = 1},
  [488] = {.lex_state = 2030, .external_lex_state = 17},
  [489] = {.lex_state = 4, .external_lex_state = 23},
  [490] = {.lex_state = 4, .external_lex_state = 23},
  [491] = {.lex_state = 4, .external_lex_state = 23},
  [492] = {.lex_state = 1},
  [493] = {.lex_state = 1},
  [494] = {.lex_state = 4, .external_lex_state = 23},
  [495] = {.lex_state = 4, .external_lex_state = 23},
  [496] = {.lex_state = 1},
  [497] = {.lex_state = 1},
  [498] = {.lex_state = 2030, .external_lex_state = 22},
  [499] = {.lex_state = 2030, .external_lex_state = 22},
  [500] = {.lex_state = 1, .external_lex_state = 16},
  [501] = {.lex_state = 2, .external_lex_state = 20},
  [502] = {.lex_state = 1, .external_lex_state = 24},
  [503] = {.lex_state = 2030, .external_lex_state = 16},
  [504] = {.lex_state = 1},
  [505] = {.lex_state = 4, .external_lex_state = 25},
  [506] = {.lex_state = 4, .external_lex_state = 23},
  [507] = {.lex_state = 1, .external_lex_state = 16},
  [508] = {.lex_state = 1, .external_lex_state = 21},
  [509] = {.lex_state = 1},
  [510] = {.lex_state = 4, .external_lex_state = 23},
  [511] = {.lex_state = 2, .external_lex_state = 20},
  [512] = {.lex_state = 4, .external_lex_state = 17},
  [513] = {.lex_state = 4},
  [514] = {.lex_state = 1},
  [515] = {.lex_state = 1, .external_lex_state = 16},
  [516] = {.lex_state = 3, .external_lex_state = 20},
  [517] = {.lex_state = 1, .external_lex_state = 21},
  [518] = {.lex_state = 2030, .external_lex_state = 19},
  [519] = {.lex_state = 4, .external_lex_state = 23},
  [520] = {.lex_state = 2030, .external_lex_state = 19},
  [521] = {.lex_state = 1},
  [522] = {.lex_state = 2030, .external_lex_state = 18},
  [523] = {.lex_state = 3, .external_lex_state = 20},
  [524] = {.lex_state = 1, .external_lex_state = 16},
  [525] = {.lex_state = 2030, .external_lex_state = 18},
  [526] = {.lex_state = 5, .external_lex_state = 20},
  [527] = {.lex_state = 4},
  [528] = {.lex_state = 2030, .external_lex_state = 16},
  [529] = {.lex_state = 5, .external_lex_state = 20},
  [530] = {.lex_state = 4, .external_lex_state = 17},
  [531] = {.lex_state = 1, .external_lex_state = 17},
  [532] = {.lex_state = 1, .external_lex_state = 21},
  [533] = {.lex_state = 4, .external_lex_state = 17},
  [534] = {.lex_state = 2030, .external_lex_state = 26},
  [535] = {.lex_state = 4},
  [536] = {.lex_state = 1, .external_lex_state = 21},
  [537] = {.lex_state = 2030, .external_lex_state = 27},
  [538] = {.lex_state = 4, .external_lex_state = 23},
  [539] = {.lex_state = 2030, .external_lex_state = 20},
  [540] = {.lex_state = 2, .external_lex_state = 28},
  [541] = {.lex_state = 1, .external_lex_state = 17},
  [542] = {.lex_state = 4, .external_lex_state = 23},
  [543] = {.lex_state = 3, .external_lex_state = 28},
  [544] = {.lex_state = 1, .external_lex_state = 17},
  [545] = {.lex_state = 2030, .external_lex_state = 29},
  [546] = {.lex_state = 4, .external_lex_state = 17},
  [547] = {.lex_state = 5, .external_lex_state = 28},
  [548] = {.lex_state = 4, .external_lex_state = 17},
  [549] = {.lex_state = 1, .external_lex_state = 21},
  [550] = {.lex_state = 1, .external_lex_state = 17},
  [551] = {.lex_state = 1, .external_lex_state = 21},
  [552] = {.lex_state = 4, .external_lex_state = 17},
  [553] = {.lex_state = 1, .external_lex_state = 21},
  [554] = {.lex_state = 1, .external_lex_state = 21},
  [555] = {.lex_state = 2030, .external_lex_state = 30},
  [556] = {.lex_state = 2030, .external_lex_state = 31},
  [557] = {.lex_state = 4, .external_lex_state = 17},
  [558] = {.lex_state = 4, .external_lex_state = 17},
  [559] = {.lex_state = 1, .external_lex_state = 21},
  [560] = {.lex_state = 2030, .external_lex_state = 32},
  [561] = {.lex_state = 2030, .external_lex_state = 20},
  [562] = {.lex_state = 4, .external_lex_state = 17},
  [563] = {.lex_state = 4, .external_lex_state = 17},
  [564] = {.lex_state = 2030, .external_lex_state = 33},
  [565] = {.lex_state = 4, .external_lex_state = 17},
  [566] = {.lex_state = 2030, .external_lex_state = 17},
  [567] = {.lex_state = 5, .external_lex_state = 20},
  [568] = {.lex_state = 2, .external_lex_state = 20},
  [569] = {.lex_state = 1, .external_lex_state = 21},
  [570] = {.lex_state = 4},
  [571] = {.lex_state = 4},
  [572] = {.lex_state = 1},
  [573] = {.lex_state = 4, .external_lex_state = 23},
  [574] = {.lex_state = 1, .external_lex_state = 21},
  [575] = {.lex_state = 2030, .external_lex_state = 19},
  [576] = {.lex_state = 2030, .external_lex_state = 17},
  [577] = {.lex_state = 2030, .external_lex_state = 32},
  [578] = {.lex_state = 1, .external_lex_state = 34},
  [579] = {.lex_state = 2030, .external_lex_state = 22},
  [580] = {.lex_state = 2030, .external_lex_state = 19},
  [581] = {.lex_state = 4, .external_lex_state = 23},
  [582] = {.lex_state = 2030, .external_lex_state = 18},
  [583] = {.lex_state = 4},
  [584] = {.lex_state = 5, .external_lex_state = 20},
  [585] = {.lex_state = 4, .external_lex_state = 17},
  [586] = {.lex_state = 4},
  [587] = {.lex_state = 3, .external_lex_state = 20},
  [588] = {.lex_state = 2030, .external_lex_state = 16},
  [589] = {.lex_state = 4},
  [590] = {.lex_state = 4},
  [591] = {.lex_state = 4},
  [592] = {.lex_state = 2030, .external_lex_state = 22},
  [593] = {.lex_state = 1, .external_lex_state = 21},
  [594] = {.lex_state = 2030, .external_lex_state = 28},
  [595] = {.lex_state = 2030, .external_lex_state = 16},
  [596] = {.lex_state = 4, .external_lex_state = 23},
  [597] = {.lex_state = 3, .external_lex_state = 20},
  [598] = {.lex_state = 2, .external_lex_state = 20},
  [599] = {.lex_state = 5, .external_lex_state = 20},
  [600] = {.lex_state = 2030, .external_lex_state = 16},
  [601] = {.lex_state = 4, .external_lex_state = 17},
  [602] = {.lex_state = 2030, .external_lex_state = 22},
  [603] = {.lex_state = 2030, .external_lex_state = 16},
  [604] = {.lex_state = 2030, .external_lex_state = 18},
  [605] = {.lex_state = 2030, .external_lex_state = 16},
  [606] = {.lex_state = 4, .external_lex_state = 23},
  [607] = {.lex_state = 2, .external_lex_state = 20},
  [608] = {.lex_state = 4, .external_lex_state = 17},
  [609] = {.lex_state = 2030, .external_lex_state = 17},
  [610] = {.lex_state = 3, .external_lex_state = 20},
  [611] = {.lex_state = 1},
  [612] = {.lex_state = 4},
  [613] = {.lex_state = 4},
  [614] = {.lex_state = 4},
  [615] = {.lex_state = 4, .external_lex_state = 17},
  [616] = {.lex_state = 1},
  [617] = {.lex_state = 2030, .external_lex_state = 20},
  [618] = {.lex_state = 2030, .external_lex_state = 20},
  [619] = {.lex_state = 2030, .external_lex_state = 20},
  [620] = {.lex_state = 1},
  [621] = {.lex_state = 1},
  [622] = {.lex_state = 2030, .external_lex_state = 20},
  [623] = {.lex_state = 4},
  [624] = {.lex_state = 1},
  [625] = {.lex_state = 4},
  [626] = {.lex_state = 4},
  [627] = {.lex_state = 4},
  [628] = {.lex_state = 4},
  [629] = {.lex_state = 4, .external_lex_state = 17},
  [630] = {.lex_state = 4, .external_lex_state = 17},
  [631] = {.lex_state = 2030, .external_lex_state = 17},
  [632] = {.lex_state = 4},
  [633] = {.lex_state = 4, .external_lex_state = 17},
  [634] = {.lex_state = 4, .external_lex_state = 17},
  [635] = {.lex_state = 0, .external_lex_state = 35},
  [636] = {.lex_state = 0, .external_lex_state = 35},
  [637] = {.lex_state = 0, .external_lex_state = 35},
  [638] = {.lex_state = 0, .external_lex_state = 35},
  [639] = {.lex_state = 0, .external_lex_state = 35},
  [640] = {.lex_state = 2030, .external_lex_state = 23},
  [641] = {.lex_state = 2030, .external_lex_state = 23},
  [642] = {.lex_state = 2030, .external_lex_state = 23},
  [643] = {.lex_state = 2030, .external_lex_state = 23},
  [644] = {.lex_state = 2030, .external_lex_state = 23},
  [645] = {.lex_state = 2030},
  [646] = {.lex_state = 2030},
  [647] = {.lex_state = 2030, .external_lex_state = 23},
  [648] = {.lex_state = 2030, .external_lex_state = 23},
  [649] = {.lex_state = 0, .external_lex_state = 36},
  [650] = {.lex_state = 2030, .external_lex_state = 23},
  [651] = {.lex_state = 0, .external_lex_state = 36},
  [652] = {.lex_state = 0, .external_lex_state = 36},
  [653] = {.lex_state = 2030, .external_lex_state = 23},
  [654] = {.lex_state = 2030, .external_lex_state = 23},
  [655] = {.lex_state = 0, .external_lex_state = 36},
  [656] = {.lex_state = 0, .external_lex_state = 36},
  [657] = {.lex_state = 0, .external_lex_state = 36},
  [658] = {.lex_state = 0, .external_lex_state = 36},
  [659] = {.lex_state = 0, .external_lex_state = 36},
  [660] = {.lex_state = 0, .external_lex_state = 35},
  [661] = {.lex_state = 0, .external_lex_state = 36},
  [662] = {.lex_state = 0, .external_lex_state = 36},
  [663] = {.lex_state = 0, .external_lex_state = 16},
  [664] = {.lex_state = 0, .external_lex_state = 37},
  [665] = {.lex_state = 2030},
  [666] = {.lex_state = 0, .external_lex_state = 37},
  [667] = {.lex_state = 0, .external_lex_state = 38},
  [668] = {.lex_state = 0, .external_lex_state = 16},
  [669] = {.lex_state = 2030, .external_lex_state = 23},
  [670] = {.lex_state = 0, .external_lex_state = 23},
  [671] = {.lex_state = 0, .external_lex_state = 37},
  [672] = {.lex_state = 0, .external_lex_state = 37},
  [673] = {.lex_state = 0, .external_lex_state = 16},
  [674] = {.lex_state = 0, .external_lex_state = 16},
  [675] = {.lex_state = 0, .external_lex_state = 23},
  [676] = {.lex_state = 0, .external_lex_state = 37},
  [677] = {.lex_state = 0, .external_lex_state = 23},
  [678] = {.lex_state = 0, .external_lex_state = 37},
  [679] = {.lex_state = 2030, .external_lex_state = 23},
  [680] = {.lex_state = 2030, .external_lex_state = 23},
  [681] = {.lex_state = 0, .external_lex_state = 16},
  [682] = {.lex_state = 0, .external_lex_state = 16},
  [683] = {.lex_state = 0, .external_lex_state = 16},
  [684] = {.lex_state = 0, .external_lex_state = 37},
  [685] = {.lex_state = 0, .external_lex_state = 23},
  [686] = {.lex_state = 2030},
  [687] = {.lex_state = 0, .external_lex_state = 37},
  [688] = {.lex_state = 0, .external_lex_state = 16},
  [689] = {.lex_state = 0, .external_lex_state = 37},
  [690] = {.lex_state = 0, .external_lex_state = 16},
  [691] = {.lex_state = 0, .external_lex_state = 16},
  [692] = {.lex_state = 0, .external_lex_state = 37},
  [693] = {.lex_state = 0, .external_lex_state = 23},
  [694] = {.lex_state = 0, .external_lex_state = 23},
  [695] = {.lex_state = 2030},
  [696] = {.lex_state = 0, .external_lex_state = 16},
  [697] = {.lex_state = 0, .external_lex_state = 23},
  [698] = {.lex_state = 2030},
  [699] = {.lex_state = 0, .external_lex_state = 37},
  [700] = {.lex_state = 0, .external_lex_state = 16},
  [701] = {.lex_state = 0, .external_lex_state = 16},
  [702] = {.lex_state = 0, .external_lex_state = 23},
  [703] = {.lex_state = 0, .external_lex_state = 16},
  [704] = {.lex_state = 0, .external_lex_state = 37},
  [705] = {.lex_state = 0, .external_lex_state = 16},
  [706] = {.lex_state = 0, .external_lex_state = 23},
  [707] = {.lex_state = 0, .external_lex_state = 37},
  [708] = {.lex_state = 0, .external_lex_state = 16},
  [709] = {.lex_state = 0, .external_lex_state = 16},
  [710] = {.lex_state = 0, .external_lex_state = 37},
  [711] = {.lex_state = 0, .external_lex_state = 16},
  [712] = {.lex_state = 0, .external_lex_state = 16},
  [713] = {.lex_state = 0, .external_lex_state = 23},
  [714] = {.lex_state = 2030, .external_lex_state = 34},
  [715] = {.lex_state = 0, .external_lex_state = 16},
  [716] = {.lex_state = 0, .external_lex_state = 23},
  [717] = {.lex_state = 0, .external_lex_state = 23},
  [718] = {.lex_state = 2030},
  [719] = {.lex_state = 0, .external_lex_state = 37},
  [720] = {.lex_state = 0, .external_lex_state = 23},
  [721] = {.lex_state = 0, .external_lex_state = 37},
  [722] = {.lex_state = 2030},
  [723] = {.lex_state = 0, .external_lex_state = 37},
  [724] = {.lex_state = 0, .external_lex_state = 16},
  [725] = {.lex_state = 0, .external_lex_state = 23},
  [726] = {.lex_state = 0, .external_lex_state = 23},
  [727] = {.lex_state = 0, .external_lex_state = 23},
  [728] = {.lex_state = 0, .external_lex_state = 37},
  [729] = {.lex_state = 0, .external_lex_state = 16},
  [730] = {.lex_state = 0, .external_lex_state = 16},
  [731] = {.lex_state = 0, .external_lex_state = 23},
  [732] = {.lex_state = 0, .external_lex_state = 23},
  [733] = {.lex_state = 0, .external_lex_state = 16},
  [734] = {.lex_state = 0, .external_lex_state = 37},
  [735] = {.lex_state = 0, .external_lex_state = 37},
  [736] = {.lex_state = 0, .external_lex_state = 16},
  [737] = {.lex_state = 0, .external_lex_state = 37},
  [738] = {.lex_state = 0, .external_lex_state = 37},
  [739] = {.lex_state = 0, .external_lex_state = 23},
  [740] = {.lex_state = 0, .external_lex_state = 16},
  [741] = {.lex_state = 0, .external_lex_state = 37},
  [742] = {.lex_state = 0, .external_lex_state = 23},
  [743] = {.lex_state = 0, .external_lex_state = 23},
  [744] = {.lex_state = 0, .external_lex_state = 23},
  [745] = {.lex_state = 0, .external_lex_state = 23},
  [746] = {.lex_state = 0, .external_lex_state = 23},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0, .external_lex_state = 23},
  [749] = {.lex_state = 0, .external_lex_state = 23},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 0, .external_lex_state = 23},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 0, .external_lex_state = 23},
  [757] = {.lex_state = 0, .external_lex_state = 23},
  [758] = {.lex_state = 0, .external_lex_state = 16},
  [759] = {.lex_state = 0, .external_lex_state = 23},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0, .external_lex_state = 23},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0, .external_lex_state = 23},
  [765] = {.lex_state = 0, .external_lex_state = 16},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 0, .external_lex_state = 23},
  [770] = {.lex_state = 2030},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 2030},
  [774] = {.lex_state = 0, .external_lex_state = 23},
  [775] = {.lex_state = 0, .external_lex_state = 23},
  [776] = {.lex_state = 0, .external_lex_state = 17},
  [777] = {.lex_state = 0, .external_lex_state = 39},
  [778] = {.lex_state = 0, .external_lex_state = 39},
  [779] = {.lex_state = 0, .external_lex_state = 17},
  [780] = {.lex_state = 0, .external_lex_state = 23},
  [781] = {.lex_state = 0, .external_lex_state = 39},
  [782] = {.lex_state = 0, .external_lex_state = 17},
  [783] = {.lex_state = 0, .external_lex_state = 17},
  [784] = {.lex_state = 0, .external_lex_state = 17},
  [785] = {.lex_state = 0, .external_lex_state = 39},
  [786] = {.lex_state = 0, .external_lex_state = 39},
  [787] = {.lex_state = 0, .external_lex_state = 39},
  [788] = {.lex_state = 0, .external_lex_state = 39},
  [789] = {.lex_state = 0, .external_lex_state = 39},
  [790] = {.lex_state = 0, .external_lex_state = 16},
  [791] = {.lex_state = 0, .external_lex_state = 17},
  [792] = {.lex_state = 0, .external_lex_state = 16},
  [793] = {.lex_state = 0, .external_lex_state = 39},
  [794] = {.lex_state = 0, .external_lex_state = 17},
  [795] = {.lex_state = 0, .external_lex_state = 17},
  [796] = {.lex_state = 0, .external_lex_state = 40},
  [797] = {.lex_state = 0, .external_lex_state = 41},
  [798] = {.lex_state = 0, .external_lex_state = 17},
  [799] = {.lex_state = 0, .external_lex_state = 17},
  [800] = {.lex_state = 0, .external_lex_state = 17},
  [801] = {.lex_state = 0, .external_lex_state = 17},
  [802] = {.lex_state = 0, .external_lex_state = 17},
  [803] = {.lex_state = 0, .external_lex_state = 17},
  [804] = {.lex_state = 0, .external_lex_state = 17},
  [805] = {.lex_state = 0, .external_lex_state = 17},
  [806] = {.lex_state = 0, .external_lex_state = 17},
  [807] = {.lex_state = 0},
  [808] = {.lex_state = 0, .external_lex_state = 17},
  [809] = {.lex_state = 0, .external_lex_state = 17},
  [810] = {.lex_state = 0, .external_lex_state = 17},
  [811] = {.lex_state = 0, .external_lex_state = 17},
  [812] = {.lex_state = 0, .external_lex_state = 42},
  [813] = {.lex_state = 0, .external_lex_state = 17},
  [814] = {.lex_state = 0, .external_lex_state = 17},
  [815] = {.lex_state = 0, .external_lex_state = 40},
  [816] = {.lex_state = 2030},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 0, .external_lex_state = 17},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 0, .external_lex_state = 41},
  [824] = {.lex_state = 0, .external_lex_state = 42},
  [825] = {.lex_state = 0, .external_lex_state = 17},
  [826] = {.lex_state = 0, .external_lex_state = 40},
  [827] = {.lex_state = 0, .external_lex_state = 17},
  [828] = {.lex_state = 0, .external_lex_state = 43},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0, .external_lex_state = 17},
  [831] = {.lex_state = 0, .external_lex_state = 17},
  [832] = {.lex_state = 0, .external_lex_state = 40},
  [833] = {.lex_state = 0, .external_lex_state = 17},
  [834] = {.lex_state = 0, .external_lex_state = 17},
  [835] = {.lex_state = 0, .external_lex_state = 42},
  [836] = {.lex_state = 0, .external_lex_state = 17},
  [837] = {.lex_state = 0, .external_lex_state = 40},
  [838] = {.lex_state = 0, .external_lex_state = 44},
  [839] = {.lex_state = 0, .external_lex_state = 42},
  [840] = {.lex_state = 0, .external_lex_state = 17},
  [841] = {.lex_state = 0, .external_lex_state = 42},
  [842] = {.lex_state = 0, .external_lex_state = 17},
  [843] = {.lex_state = 0, .external_lex_state = 40},
  [844] = {.lex_state = 0, .external_lex_state = 17},
  [845] = {.lex_state = 0, .external_lex_state = 17},
  [846] = {.lex_state = 0, .external_lex_state = 17},
  [847] = {.lex_state = 0, .external_lex_state = 17},
  [848] = {.lex_state = 0, .external_lex_state = 17},
  [849] = {.lex_state = 0, .external_lex_state = 17},
  [850] = {.lex_state = 0, .external_lex_state = 17},
  [851] = {.lex_state = 0, .external_lex_state = 17},
  [852] = {.lex_state = 0, .external_lex_state = 42},
  [853] = {.lex_state = 0, .external_lex_state = 17},
  [854] = {.lex_state = 0, .external_lex_state = 17},
  [855] = {.lex_state = 0, .external_lex_state = 17},
  [856] = {.lex_state = 0, .external_lex_state = 17},
  [857] = {.lex_state = 0, .external_lex_state = 17},
  [858] = {.lex_state = 2030},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0, .external_lex_state = 45},
  [861] = {.lex_state = 0, .external_lex_state = 46},
  [862] = {.lex_state = 0, .external_lex_state = 45},
  [863] = {.lex_state = 0, .external_lex_state = 46},
  [864] = {.lex_state = 0, .external_lex_state = 46},
  [865] = {.lex_state = 0, .external_lex_state = 46},
  [866] = {.lex_state = 0, .external_lex_state = 45},
  [867] = {.lex_state = 0, .external_lex_state = 46},
  [868] = {.lex_state = 0, .external_lex_state = 46},
  [869] = {.lex_state = 0, .external_lex_state = 45},
  [870] = {.lex_state = 0, .external_lex_state = 46},
  [871] = {.lex_state = 0, .external_lex_state = 45},
  [872] = {.lex_state = 0, .external_lex_state = 45},
  [873] = {.lex_state = 0, .external_lex_state = 45},
  [874] = {.lex_state = 0, .external_lex_state = 45},
  [875] = {.lex_state = 0, .external_lex_state = 45},
  [876] = {.lex_state = 0, .external_lex_state = 17},
  [877] = {.lex_state = 0, .external_lex_state = 45},
  [878] = {.lex_state = 0, .external_lex_state = 45},
  [879] = {.lex_state = 0, .external_lex_state = 45},
  [880] = {.lex_state = 0, .external_lex_state = 45},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0, .external_lex_state = 45},
  [884] = {.lex_state = 0, .external_lex_state = 47},
  [885] = {.lex_state = 0, .external_lex_state = 45},
  [886] = {.lex_state = 0, .external_lex_state = 45},
  [887] = {.lex_state = 0, .external_lex_state = 45},
  [888] = {.lex_state = 0, .external_lex_state = 46},
  [889] = {.lex_state = 0, .external_lex_state = 45},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0, .external_lex_state = 46},
  [894] = {.lex_state = 0, .external_lex_state = 45},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 0, .external_lex_state = 45},
  [897] = {.lex_state = 0, .external_lex_state = 45},
  [898] = {.lex_state = 0, .external_lex_state = 45},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 0, .external_lex_state = 45},
  [901] = {.lex_state = 0, .external_lex_state = 45},
  [902] = {.lex_state = 0, .external_lex_state = 46},
  [903] = {.lex_state = 0, .external_lex_state = 45},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0, .external_lex_state = 46},
  [906] = {.lex_state = 0, .external_lex_state = 45},
  [907] = {.lex_state = 0, .external_lex_state = 46},
  [908] = {.lex_state = 0, .external_lex_state = 17},
  [909] = {.lex_state = 0, .external_lex_state = 45},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0, .external_lex_state = 45},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0, .external_lex_state = 45},
  [915] = {.lex_state = 0, .external_lex_state = 47},
  [916] = {.lex_state = 0, .external_lex_state = 47},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 0, .external_lex_state = 45},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0, .external_lex_state = 46},
  [921] = {.lex_state = 0, .external_lex_state = 46},
  [922] = {.lex_state = 0, .external_lex_state = 46},
  [923] = {.lex_state = 0, .external_lex_state = 46},
  [924] = {.lex_state = 0, .external_lex_state = 47},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__backslash_escape] = ACTIONS(1),
    [sym_entity_reference] = ACTIONS(1),
    [sym_numeric_character_reference] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [sym__newline_token] = ACTIONS(1),
    [anon_sym_DASH_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [anon_sym_RBRACK_RBRACK_GT] = ACTIONS(1),
    [aux_sym__word_token1] = ACTIONS(1),
    [aux_sym__word_token2] = ACTIONS(1),
    [aux_sym__word_token3] = ACTIONS(1),
    [sym__whitespace] = ACTIONS(1),
    [sym__line_ending] = ACTIONS(1),
    [sym__soft_line_ending] = ACTIONS(1),
    [sym__block_close] = ACTIONS(1),
    [sym_block_continuation] = ACTIONS(1),
    [sym__block_quote_start] = ACTIONS(1),
    [sym__indented_chunk_start] = ACTIONS(1),
    [sym_atx_h1_marker] = ACTIONS(1),
    [sym_atx_h2_marker] = ACTIONS(1),
    [sym_atx_h3_marker] = ACTIONS(1),
    [sym_atx_h4_marker] = ACTIONS(1),
    [sym_atx_h5_marker] = ACTIONS(1),
    [sym_atx_h6_marker] = ACTIONS(1),
    [sym_setext_h1_underline] = ACTIONS(1),
    [sym_setext_h2_underline] = ACTIONS(1),
    [sym__thematic_break] = ACTIONS(1),
    [sym__list_marker_minus] = ACTIONS(1),
    [sym__list_marker_plus] = ACTIONS(1),
    [sym__list_marker_star] = ACTIONS(1),
    [sym__list_marker_parenthesis] = ACTIONS(1),
    [sym__list_marker_dot] = ACTIONS(1),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1),
    [sym__blank_line_start] = ACTIONS(1),
    [sym__fenced_code_block_end_backtick] = ACTIONS(1),
    [sym__fenced_code_block_end_tilde] = ACTIONS(1),
    [sym__html_block_1_start] = ACTIONS(1),
    [sym__html_block_1_end] = ACTIONS(1),
    [sym__html_block_2_start] = ACTIONS(1),
    [sym__html_block_3_start] = ACTIONS(1),
    [sym__html_block_4_start] = ACTIONS(1),
    [sym__html_block_5_start] = ACTIONS(1),
    [sym__html_block_6_start] = ACTIONS(1),
    [sym__html_block_7_start] = ACTIONS(1),
    [sym__close_block] = ACTIONS(1),
    [sym__no_indented_chunk] = ACTIONS(1),
    [sym__error] = ACTIONS(1),
    [sym__trigger_error] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_minus_metadata] = ACTIONS(1),
    [sym_plus_metadata] = ACTIONS(1),
    [sym__pipe_table_start] = ACTIONS(1),
    [sym__pipe_table_line_ending] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(892),
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(233),
    [sym_section] = STATE(636),
    [sym__section1] = STATE(660),
    [sym__section2] = STATE(660),
    [sym__section3] = STATE(660),
    [sym__section4] = STATE(660),
    [sym__section5] = STATE(660),
    [sym__section6] = STATE(660),
    [sym_thematic_break] = STATE(233),
    [sym__atx_heading1] = STATE(37),
    [sym__atx_heading2] = STATE(43),
    [sym__atx_heading3] = STATE(54),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(233),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(233),
    [sym_html_block] = STATE(233),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(233),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(233),
    [sym_block_quote] = STATE(233),
    [sym_list] = STATE(233),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(233),
    [aux_sym_document_repeat1] = STATE(27),
    [aux_sym_document_repeat2] = STATE(636),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(17),
    [sym_atx_h2_marker] = ACTIONS(19),
    [sym_atx_h3_marker] = ACTIONS(21),
    [sym_atx_h4_marker] = ACTIONS(23),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym_minus_metadata] = ACTIONS(61),
    [sym_plus_metadata] = ACTIONS(61),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [2] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(900),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym_block_continuation] = ACTIONS(71),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [3] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(909),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym_block_continuation] = ACTIONS(113),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [4] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(914),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym_block_continuation] = ACTIONS(115),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [5] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(918),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym_block_continuation] = ACTIONS(117),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [6] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(866),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym_block_continuation] = ACTIONS(119),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [7] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(898),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym_block_continuation] = ACTIONS(121),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [8] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(878),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym_block_continuation] = ACTIONS(123),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [9] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(897),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym_block_continuation] = ACTIONS(125),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [10] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(896),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym_block_continuation] = ACTIONS(127),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [11] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(901),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym_block_continuation] = ACTIONS(129),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [12] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(872),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [13] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(887),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [14] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(873),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [15] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(880),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [16] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(875),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [17] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(877),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [18] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(889),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [19] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(860),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [20] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(885),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [21] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(30),
    [sym__block_not_section] = STATE(30),
    [sym_section] = STATE(30),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(30),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(30),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(30),
    [sym_html_block] = STATE(30),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(30),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(146),
    [sym_block_quote] = STATE(30),
    [sym_list] = STATE(30),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__list_item_content] = STATE(886),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_task_list_marker_checked] = STATE(913),
    [sym_task_list_marker_unchecked] = STATE(913),
    [sym_pipe_table] = STATE(30),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(30),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(65),
    [aux_sym__word_token3] = ACTIONS(67),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [22] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(31),
    [sym__block_not_section] = STATE(31),
    [sym_section] = STATE(31),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(31),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(31),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(31),
    [sym_html_block] = STATE(31),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(31),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(31),
    [sym_block_quote] = STATE(31),
    [sym_list] = STATE(31),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(31),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(31),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(131),
    [sym_block_continuation] = ACTIONS(133),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [23] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(34),
    [sym__block_not_section] = STATE(34),
    [sym_section] = STATE(34),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(34),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(34),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(34),
    [sym_html_block] = STATE(34),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(34),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(34),
    [sym_block_quote] = STATE(34),
    [sym_list] = STATE(34),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(34),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(34),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(135),
    [sym_block_continuation] = ACTIONS(137),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [24] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(29),
    [sym__block_not_section] = STATE(29),
    [sym_section] = STATE(29),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(29),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(29),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(29),
    [sym_html_block] = STATE(29),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(29),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(29),
    [sym_block_quote] = STATE(29),
    [sym_list] = STATE(29),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(29),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(29),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(139),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [25] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(233),
    [sym_section] = STATE(637),
    [sym__section1] = STATE(660),
    [sym__section2] = STATE(660),
    [sym__section3] = STATE(660),
    [sym__section4] = STATE(660),
    [sym__section5] = STATE(660),
    [sym__section6] = STATE(660),
    [sym_thematic_break] = STATE(233),
    [sym__atx_heading1] = STATE(37),
    [sym__atx_heading2] = STATE(43),
    [sym__atx_heading3] = STATE(54),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(233),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(233),
    [sym_html_block] = STATE(233),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(233),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(233),
    [sym_block_quote] = STATE(233),
    [sym_list] = STATE(233),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(233),
    [aux_sym_document_repeat1] = STATE(67),
    [aux_sym_document_repeat2] = STATE(637),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(17),
    [sym_atx_h2_marker] = ACTIONS(19),
    [sym_atx_h3_marker] = ACTIONS(21),
    [sym_atx_h4_marker] = ACTIONS(23),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [26] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(33),
    [sym__block_not_section] = STATE(33),
    [sym_section] = STATE(33),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(33),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(33),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(33),
    [sym_html_block] = STATE(33),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(33),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(33),
    [sym_block_quote] = STATE(33),
    [sym_list] = STATE(33),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(33),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(33),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(143),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [27] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(233),
    [sym_section] = STATE(639),
    [sym__section1] = STATE(660),
    [sym__section2] = STATE(660),
    [sym__section3] = STATE(660),
    [sym__section4] = STATE(660),
    [sym__section5] = STATE(660),
    [sym__section6] = STATE(660),
    [sym_thematic_break] = STATE(233),
    [sym__atx_heading1] = STATE(37),
    [sym__atx_heading2] = STATE(43),
    [sym__atx_heading3] = STATE(54),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(233),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(233),
    [sym_html_block] = STATE(233),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(233),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(233),
    [sym_block_quote] = STATE(233),
    [sym_list] = STATE(233),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(233),
    [aux_sym_document_repeat1] = STATE(67),
    [aux_sym_document_repeat2] = STATE(639),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(17),
    [sym_atx_h2_marker] = ACTIONS(19),
    [sym_atx_h3_marker] = ACTIONS(21),
    [sym_atx_h4_marker] = ACTIONS(23),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [28] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(233),
    [sym_section] = STATE(638),
    [sym__section1] = STATE(660),
    [sym__section2] = STATE(660),
    [sym__section3] = STATE(660),
    [sym__section4] = STATE(660),
    [sym__section5] = STATE(660),
    [sym__section6] = STATE(660),
    [sym_thematic_break] = STATE(233),
    [sym__atx_heading1] = STATE(37),
    [sym__atx_heading2] = STATE(43),
    [sym__atx_heading3] = STATE(54),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(233),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(233),
    [sym_html_block] = STATE(233),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(233),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(233),
    [sym_block_quote] = STATE(233),
    [sym_list] = STATE(233),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(233),
    [aux_sym_document_repeat1] = STATE(25),
    [aux_sym_document_repeat2] = STATE(638),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(147),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(17),
    [sym_atx_h2_marker] = ACTIONS(19),
    [sym_atx_h3_marker] = ACTIONS(21),
    [sym_atx_h4_marker] = ACTIONS(23),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [29] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(33),
    [sym__block_not_section] = STATE(33),
    [sym_section] = STATE(33),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(33),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(33),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(33),
    [sym_html_block] = STATE(33),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(33),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(33),
    [sym_block_quote] = STATE(33),
    [sym_list] = STATE(33),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(33),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(33),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(149),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [30] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(33),
    [sym__block_not_section] = STATE(33),
    [sym_section] = STATE(33),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(33),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(33),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(33),
    [sym_html_block] = STATE(33),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(33),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(33),
    [sym_block_quote] = STATE(33),
    [sym_list] = STATE(33),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(33),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(33),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(151),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [31] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(33),
    [sym__block_not_section] = STATE(33),
    [sym_section] = STATE(33),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(33),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(33),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(33),
    [sym_html_block] = STATE(33),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(33),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(33),
    [sym_block_quote] = STATE(33),
    [sym_list] = STATE(33),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(33),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(33),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(153),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [32] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(26),
    [sym__block_not_section] = STATE(26),
    [sym_section] = STATE(26),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(26),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(26),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(26),
    [sym_html_block] = STATE(26),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(26),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(26),
    [sym_block_quote] = STATE(26),
    [sym_list] = STATE(26),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(26),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(26),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(153),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [33] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(33),
    [sym__block_not_section] = STATE(33),
    [sym_section] = STATE(33),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(33),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(33),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(33),
    [sym_html_block] = STATE(33),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(33),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(33),
    [sym_block_quote] = STATE(33),
    [sym_list] = STATE(33),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(33),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(33),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(155),
    [anon_sym_RBRACK] = ACTIONS(158),
    [anon_sym_LT] = ACTIONS(158),
    [anon_sym_GT] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(158),
    [anon_sym_DQUOTE] = ACTIONS(158),
    [anon_sym_POUND] = ACTIONS(158),
    [anon_sym_DOLLAR] = ACTIONS(158),
    [anon_sym_PERCENT] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(158),
    [anon_sym_SQUOTE] = ACTIONS(158),
    [anon_sym_STAR] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(158),
    [anon_sym_COMMA] = ACTIONS(158),
    [anon_sym_DASH] = ACTIONS(158),
    [anon_sym_DOT] = ACTIONS(158),
    [anon_sym_SLASH] = ACTIONS(158),
    [anon_sym_COLON] = ACTIONS(158),
    [anon_sym_SEMI] = ACTIONS(158),
    [anon_sym_EQ] = ACTIONS(158),
    [anon_sym_QMARK] = ACTIONS(158),
    [anon_sym_AT] = ACTIONS(158),
    [anon_sym_BSLASH] = ACTIONS(158),
    [anon_sym_CARET] = ACTIONS(158),
    [anon_sym__] = ACTIONS(158),
    [anon_sym_BQUOTE] = ACTIONS(158),
    [anon_sym_LBRACE] = ACTIONS(158),
    [anon_sym_PIPE] = ACTIONS(158),
    [anon_sym_RBRACE] = ACTIONS(158),
    [anon_sym_TILDE] = ACTIONS(158),
    [anon_sym_LPAREN] = ACTIONS(158),
    [anon_sym_RPAREN] = ACTIONS(158),
    [aux_sym__word_token1] = ACTIONS(158),
    [aux_sym__word_token2] = ACTIONS(158),
    [aux_sym__word_token3] = ACTIONS(158),
    [sym__whitespace] = ACTIONS(161),
    [sym__soft_line_ending] = ACTIONS(164),
    [sym__block_close] = ACTIONS(167),
    [sym__block_quote_start] = ACTIONS(169),
    [sym__indented_chunk_start] = ACTIONS(172),
    [sym_atx_h1_marker] = ACTIONS(175),
    [sym_atx_h2_marker] = ACTIONS(178),
    [sym_atx_h3_marker] = ACTIONS(181),
    [sym_atx_h4_marker] = ACTIONS(184),
    [sym_atx_h5_marker] = ACTIONS(187),
    [sym_atx_h6_marker] = ACTIONS(190),
    [sym__thematic_break] = ACTIONS(193),
    [sym__list_marker_minus] = ACTIONS(196),
    [sym__list_marker_plus] = ACTIONS(199),
    [sym__list_marker_star] = ACTIONS(202),
    [sym__list_marker_parenthesis] = ACTIONS(205),
    [sym__list_marker_dot] = ACTIONS(208),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(196),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(199),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(202),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(205),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(208),
    [sym__fenced_code_block_start_backtick] = ACTIONS(211),
    [sym__fenced_code_block_start_tilde] = ACTIONS(214),
    [sym__blank_line_start] = ACTIONS(217),
    [sym__html_block_1_start] = ACTIONS(220),
    [sym__html_block_2_start] = ACTIONS(223),
    [sym__html_block_3_start] = ACTIONS(226),
    [sym__html_block_4_start] = ACTIONS(229),
    [sym__html_block_5_start] = ACTIONS(232),
    [sym__html_block_6_start] = ACTIONS(235),
    [sym__html_block_7_start] = ACTIONS(238),
    [sym__pipe_table_start] = ACTIONS(241),
  },
  [34] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(33),
    [sym__block_not_section] = STATE(33),
    [sym_section] = STATE(33),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(33),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(33),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(33),
    [sym_html_block] = STATE(33),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(33),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(33),
    [sym_block_quote] = STATE(33),
    [sym_list] = STATE(33),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(33),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(33),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(244),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [35] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(33),
    [sym__block_not_section] = STATE(33),
    [sym_section] = STATE(33),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(33),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(33),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(33),
    [sym_html_block] = STATE(33),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(33),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(33),
    [sym_block_quote] = STATE(33),
    [sym_list] = STATE(33),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(33),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(33),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(246),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [36] = {
    [sym_link_label] = STATE(917),
    [sym__block] = STATE(35),
    [sym__block_not_section] = STATE(35),
    [sym_section] = STATE(35),
    [sym__section1] = STATE(209),
    [sym__section2] = STATE(209),
    [sym__section3] = STATE(209),
    [sym__section4] = STATE(209),
    [sym__section5] = STATE(209),
    [sym__section6] = STATE(209),
    [sym_thematic_break] = STATE(35),
    [sym__atx_heading1] = STATE(40),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(35),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(35),
    [sym_html_block] = STATE(35),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(35),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(35),
    [sym_block_quote] = STATE(35),
    [sym_list] = STATE(35),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(35),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym_block_quote_repeat1] = STATE(35),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(244),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(77),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [37] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(41),
    [sym__section2] = STATE(254),
    [sym__section3] = STATE(254),
    [sym__section4] = STATE(254),
    [sym__section5] = STATE(254),
    [sym__section6] = STATE(254),
    [sym_thematic_break] = STATE(41),
    [sym__atx_heading2] = STATE(43),
    [sym__atx_heading3] = STATE(54),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(41),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(41),
    [sym_html_block] = STATE(41),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(41),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(41),
    [sym_block_quote] = STATE(41),
    [sym_list] = STATE(41),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(41),
    [aux_sym__section1_repeat1] = STATE(41),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(248),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(248),
    [sym_atx_h2_marker] = ACTIONS(19),
    [sym_atx_h3_marker] = ACTIONS(21),
    [sym_atx_h4_marker] = ACTIONS(23),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [38] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(38),
    [sym__section2] = STATE(218),
    [sym__section3] = STATE(218),
    [sym__section4] = STATE(218),
    [sym__section5] = STATE(218),
    [sym__section6] = STATE(218),
    [sym_thematic_break] = STATE(38),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(38),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(38),
    [sym_html_block] = STATE(38),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(38),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(38),
    [sym_block_quote] = STATE(38),
    [sym_list] = STATE(38),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(38),
    [aux_sym__section1_repeat1] = STATE(38),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_LT] = ACTIONS(253),
    [anon_sym_GT] = ACTIONS(253),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_DQUOTE] = ACTIONS(253),
    [anon_sym_POUND] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(253),
    [anon_sym_AMP] = ACTIONS(253),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_DASH] = ACTIONS(253),
    [anon_sym_DOT] = ACTIONS(253),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(253),
    [anon_sym_AT] = ACTIONS(253),
    [anon_sym_BSLASH] = ACTIONS(253),
    [anon_sym_CARET] = ACTIONS(253),
    [anon_sym__] = ACTIONS(253),
    [anon_sym_BQUOTE] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_PIPE] = ACTIONS(253),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_TILDE] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_RPAREN] = ACTIONS(253),
    [aux_sym__word_token1] = ACTIONS(253),
    [aux_sym__word_token2] = ACTIONS(253),
    [aux_sym__word_token3] = ACTIONS(253),
    [sym__whitespace] = ACTIONS(256),
    [sym__soft_line_ending] = ACTIONS(259),
    [sym__block_close] = ACTIONS(262),
    [sym__block_quote_start] = ACTIONS(264),
    [sym__indented_chunk_start] = ACTIONS(267),
    [sym_atx_h1_marker] = ACTIONS(262),
    [sym_atx_h2_marker] = ACTIONS(270),
    [sym_atx_h3_marker] = ACTIONS(273),
    [sym_atx_h4_marker] = ACTIONS(276),
    [sym_atx_h5_marker] = ACTIONS(279),
    [sym_atx_h6_marker] = ACTIONS(282),
    [sym__thematic_break] = ACTIONS(285),
    [sym__list_marker_minus] = ACTIONS(288),
    [sym__list_marker_plus] = ACTIONS(291),
    [sym__list_marker_star] = ACTIONS(294),
    [sym__list_marker_parenthesis] = ACTIONS(297),
    [sym__list_marker_dot] = ACTIONS(300),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(288),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(291),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(294),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(297),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(300),
    [sym__fenced_code_block_start_backtick] = ACTIONS(303),
    [sym__fenced_code_block_start_tilde] = ACTIONS(306),
    [sym__blank_line_start] = ACTIONS(309),
    [sym__html_block_1_start] = ACTIONS(312),
    [sym__html_block_2_start] = ACTIONS(315),
    [sym__html_block_3_start] = ACTIONS(318),
    [sym__html_block_4_start] = ACTIONS(321),
    [sym__html_block_5_start] = ACTIONS(324),
    [sym__html_block_6_start] = ACTIONS(327),
    [sym__html_block_7_start] = ACTIONS(330),
    [sym__pipe_table_start] = ACTIONS(333),
  },
  [39] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(39),
    [sym__section2] = STATE(254),
    [sym__section3] = STATE(254),
    [sym__section4] = STATE(254),
    [sym__section5] = STATE(254),
    [sym__section6] = STATE(254),
    [sym_thematic_break] = STATE(39),
    [sym__atx_heading2] = STATE(43),
    [sym__atx_heading3] = STATE(54),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(39),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(39),
    [sym_html_block] = STATE(39),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(39),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(39),
    [sym_block_quote] = STATE(39),
    [sym_list] = STATE(39),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(39),
    [aux_sym__section1_repeat1] = STATE(39),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_LT] = ACTIONS(253),
    [anon_sym_GT] = ACTIONS(253),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_DQUOTE] = ACTIONS(253),
    [anon_sym_POUND] = ACTIONS(253),
    [anon_sym_DOLLAR] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(253),
    [anon_sym_AMP] = ACTIONS(253),
    [anon_sym_SQUOTE] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_DASH] = ACTIONS(253),
    [anon_sym_DOT] = ACTIONS(253),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(253),
    [anon_sym_AT] = ACTIONS(253),
    [anon_sym_BSLASH] = ACTIONS(253),
    [anon_sym_CARET] = ACTIONS(253),
    [anon_sym__] = ACTIONS(253),
    [anon_sym_BQUOTE] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_PIPE] = ACTIONS(253),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_TILDE] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_RPAREN] = ACTIONS(253),
    [aux_sym__word_token1] = ACTIONS(253),
    [aux_sym__word_token2] = ACTIONS(253),
    [aux_sym__word_token3] = ACTIONS(253),
    [sym__whitespace] = ACTIONS(336),
    [sym__soft_line_ending] = ACTIONS(259),
    [sym__block_quote_start] = ACTIONS(339),
    [sym__indented_chunk_start] = ACTIONS(342),
    [sym_atx_h1_marker] = ACTIONS(262),
    [sym_atx_h2_marker] = ACTIONS(345),
    [sym_atx_h3_marker] = ACTIONS(348),
    [sym_atx_h4_marker] = ACTIONS(351),
    [sym_atx_h5_marker] = ACTIONS(354),
    [sym_atx_h6_marker] = ACTIONS(357),
    [sym__thematic_break] = ACTIONS(360),
    [sym__list_marker_minus] = ACTIONS(288),
    [sym__list_marker_plus] = ACTIONS(291),
    [sym__list_marker_star] = ACTIONS(294),
    [sym__list_marker_parenthesis] = ACTIONS(297),
    [sym__list_marker_dot] = ACTIONS(300),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(288),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(291),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(294),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(297),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(300),
    [sym__fenced_code_block_start_backtick] = ACTIONS(363),
    [sym__fenced_code_block_start_tilde] = ACTIONS(366),
    [sym__blank_line_start] = ACTIONS(369),
    [sym__html_block_1_start] = ACTIONS(372),
    [sym__html_block_2_start] = ACTIONS(375),
    [sym__html_block_3_start] = ACTIONS(378),
    [sym__html_block_4_start] = ACTIONS(381),
    [sym__html_block_5_start] = ACTIONS(384),
    [sym__html_block_6_start] = ACTIONS(387),
    [sym__html_block_7_start] = ACTIONS(390),
    [sym__pipe_table_start] = ACTIONS(393),
  },
  [40] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(42),
    [sym__section2] = STATE(218),
    [sym__section3] = STATE(218),
    [sym__section4] = STATE(218),
    [sym__section5] = STATE(218),
    [sym__section6] = STATE(218),
    [sym_thematic_break] = STATE(42),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(42),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(42),
    [sym_html_block] = STATE(42),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(42),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(42),
    [sym_block_quote] = STATE(42),
    [sym_list] = STATE(42),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(42),
    [aux_sym__section1_repeat1] = STATE(42),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(248),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(248),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [41] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(39),
    [sym__section2] = STATE(254),
    [sym__section3] = STATE(254),
    [sym__section4] = STATE(254),
    [sym__section5] = STATE(254),
    [sym__section6] = STATE(254),
    [sym_thematic_break] = STATE(39),
    [sym__atx_heading2] = STATE(43),
    [sym__atx_heading3] = STATE(54),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(39),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(39),
    [sym_html_block] = STATE(39),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(39),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(39),
    [sym_block_quote] = STATE(39),
    [sym_list] = STATE(39),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(39),
    [aux_sym__section1_repeat1] = STATE(39),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(396),
    [sym_atx_h2_marker] = ACTIONS(19),
    [sym_atx_h3_marker] = ACTIONS(21),
    [sym_atx_h4_marker] = ACTIONS(23),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [42] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(38),
    [sym__section2] = STATE(218),
    [sym__section3] = STATE(218),
    [sym__section4] = STATE(218),
    [sym__section5] = STATE(218),
    [sym__section6] = STATE(218),
    [sym_thematic_break] = STATE(38),
    [sym__atx_heading2] = STATE(48),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(38),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(38),
    [sym_html_block] = STATE(38),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(38),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(38),
    [sym_block_quote] = STATE(38),
    [sym_list] = STATE(38),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(38),
    [aux_sym__section1_repeat1] = STATE(38),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(396),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(396),
    [sym_atx_h2_marker] = ACTIONS(79),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [43] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(46),
    [sym__section3] = STATE(268),
    [sym__section4] = STATE(268),
    [sym__section5] = STATE(268),
    [sym__section6] = STATE(268),
    [sym_thematic_break] = STATE(46),
    [sym__atx_heading3] = STATE(54),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(46),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(46),
    [sym_html_block] = STATE(46),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(46),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(46),
    [sym_block_quote] = STATE(46),
    [sym_list] = STATE(46),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(46),
    [aux_sym__section2_repeat1] = STATE(46),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(398),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(398),
    [sym_atx_h2_marker] = ACTIONS(398),
    [sym_atx_h3_marker] = ACTIONS(21),
    [sym_atx_h4_marker] = ACTIONS(23),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [44] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(44),
    [sym__section3] = STATE(221),
    [sym__section4] = STATE(221),
    [sym__section5] = STATE(221),
    [sym__section6] = STATE(221),
    [sym_thematic_break] = STATE(44),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(44),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(44),
    [sym_html_block] = STATE(44),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(44),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(44),
    [sym_block_quote] = STATE(44),
    [sym_list] = STATE(44),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(44),
    [aux_sym__section2_repeat1] = STATE(44),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(400),
    [anon_sym_RBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(403),
    [anon_sym_GT] = ACTIONS(403),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_POUND] = ACTIONS(403),
    [anon_sym_DOLLAR] = ACTIONS(403),
    [anon_sym_PERCENT] = ACTIONS(403),
    [anon_sym_AMP] = ACTIONS(403),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_PLUS] = ACTIONS(403),
    [anon_sym_COMMA] = ACTIONS(403),
    [anon_sym_DASH] = ACTIONS(403),
    [anon_sym_DOT] = ACTIONS(403),
    [anon_sym_SLASH] = ACTIONS(403),
    [anon_sym_COLON] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(403),
    [anon_sym_EQ] = ACTIONS(403),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_CARET] = ACTIONS(403),
    [anon_sym__] = ACTIONS(403),
    [anon_sym_BQUOTE] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_PIPE] = ACTIONS(403),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(403),
    [anon_sym_RPAREN] = ACTIONS(403),
    [aux_sym__word_token1] = ACTIONS(403),
    [aux_sym__word_token2] = ACTIONS(403),
    [aux_sym__word_token3] = ACTIONS(403),
    [sym__whitespace] = ACTIONS(406),
    [sym__soft_line_ending] = ACTIONS(409),
    [sym__block_close] = ACTIONS(412),
    [sym__block_quote_start] = ACTIONS(414),
    [sym__indented_chunk_start] = ACTIONS(417),
    [sym_atx_h1_marker] = ACTIONS(412),
    [sym_atx_h2_marker] = ACTIONS(412),
    [sym_atx_h3_marker] = ACTIONS(420),
    [sym_atx_h4_marker] = ACTIONS(423),
    [sym_atx_h5_marker] = ACTIONS(426),
    [sym_atx_h6_marker] = ACTIONS(429),
    [sym__thematic_break] = ACTIONS(432),
    [sym__list_marker_minus] = ACTIONS(435),
    [sym__list_marker_plus] = ACTIONS(438),
    [sym__list_marker_star] = ACTIONS(441),
    [sym__list_marker_parenthesis] = ACTIONS(444),
    [sym__list_marker_dot] = ACTIONS(447),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(435),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(438),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(441),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(444),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(447),
    [sym__fenced_code_block_start_backtick] = ACTIONS(450),
    [sym__fenced_code_block_start_tilde] = ACTIONS(453),
    [sym__blank_line_start] = ACTIONS(456),
    [sym__html_block_1_start] = ACTIONS(459),
    [sym__html_block_2_start] = ACTIONS(462),
    [sym__html_block_3_start] = ACTIONS(465),
    [sym__html_block_4_start] = ACTIONS(468),
    [sym__html_block_5_start] = ACTIONS(471),
    [sym__html_block_6_start] = ACTIONS(474),
    [sym__html_block_7_start] = ACTIONS(477),
    [sym__pipe_table_start] = ACTIONS(480),
  },
  [45] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(45),
    [sym__section3] = STATE(268),
    [sym__section4] = STATE(268),
    [sym__section5] = STATE(268),
    [sym__section6] = STATE(268),
    [sym_thematic_break] = STATE(45),
    [sym__atx_heading3] = STATE(54),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(45),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(45),
    [sym_html_block] = STATE(45),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(45),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(45),
    [sym_block_quote] = STATE(45),
    [sym_list] = STATE(45),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(45),
    [aux_sym__section2_repeat1] = STATE(45),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(412),
    [anon_sym_LBRACK] = ACTIONS(400),
    [anon_sym_RBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(403),
    [anon_sym_GT] = ACTIONS(403),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_POUND] = ACTIONS(403),
    [anon_sym_DOLLAR] = ACTIONS(403),
    [anon_sym_PERCENT] = ACTIONS(403),
    [anon_sym_AMP] = ACTIONS(403),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_PLUS] = ACTIONS(403),
    [anon_sym_COMMA] = ACTIONS(403),
    [anon_sym_DASH] = ACTIONS(403),
    [anon_sym_DOT] = ACTIONS(403),
    [anon_sym_SLASH] = ACTIONS(403),
    [anon_sym_COLON] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(403),
    [anon_sym_EQ] = ACTIONS(403),
    [anon_sym_QMARK] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_BSLASH] = ACTIONS(403),
    [anon_sym_CARET] = ACTIONS(403),
    [anon_sym__] = ACTIONS(403),
    [anon_sym_BQUOTE] = ACTIONS(403),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_PIPE] = ACTIONS(403),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(403),
    [anon_sym_RPAREN] = ACTIONS(403),
    [aux_sym__word_token1] = ACTIONS(403),
    [aux_sym__word_token2] = ACTIONS(403),
    [aux_sym__word_token3] = ACTIONS(403),
    [sym__whitespace] = ACTIONS(483),
    [sym__soft_line_ending] = ACTIONS(409),
    [sym__block_quote_start] = ACTIONS(486),
    [sym__indented_chunk_start] = ACTIONS(489),
    [sym_atx_h1_marker] = ACTIONS(412),
    [sym_atx_h2_marker] = ACTIONS(412),
    [sym_atx_h3_marker] = ACTIONS(492),
    [sym_atx_h4_marker] = ACTIONS(495),
    [sym_atx_h5_marker] = ACTIONS(498),
    [sym_atx_h6_marker] = ACTIONS(501),
    [sym__thematic_break] = ACTIONS(504),
    [sym__list_marker_minus] = ACTIONS(435),
    [sym__list_marker_plus] = ACTIONS(438),
    [sym__list_marker_star] = ACTIONS(441),
    [sym__list_marker_parenthesis] = ACTIONS(444),
    [sym__list_marker_dot] = ACTIONS(447),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(435),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(438),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(441),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(444),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(447),
    [sym__fenced_code_block_start_backtick] = ACTIONS(507),
    [sym__fenced_code_block_start_tilde] = ACTIONS(510),
    [sym__blank_line_start] = ACTIONS(513),
    [sym__html_block_1_start] = ACTIONS(516),
    [sym__html_block_2_start] = ACTIONS(519),
    [sym__html_block_3_start] = ACTIONS(522),
    [sym__html_block_4_start] = ACTIONS(525),
    [sym__html_block_5_start] = ACTIONS(528),
    [sym__html_block_6_start] = ACTIONS(531),
    [sym__html_block_7_start] = ACTIONS(534),
    [sym__pipe_table_start] = ACTIONS(537),
  },
  [46] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(45),
    [sym__section3] = STATE(268),
    [sym__section4] = STATE(268),
    [sym__section5] = STATE(268),
    [sym__section6] = STATE(268),
    [sym_thematic_break] = STATE(45),
    [sym__atx_heading3] = STATE(54),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(45),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(45),
    [sym_html_block] = STATE(45),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(45),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(45),
    [sym_block_quote] = STATE(45),
    [sym_list] = STATE(45),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(45),
    [aux_sym__section2_repeat1] = STATE(45),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(540),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(540),
    [sym_atx_h2_marker] = ACTIONS(540),
    [sym_atx_h3_marker] = ACTIONS(21),
    [sym_atx_h4_marker] = ACTIONS(23),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [47] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(44),
    [sym__section3] = STATE(221),
    [sym__section4] = STATE(221),
    [sym__section5] = STATE(221),
    [sym__section6] = STATE(221),
    [sym_thematic_break] = STATE(44),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(44),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(44),
    [sym_html_block] = STATE(44),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(44),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(44),
    [sym_block_quote] = STATE(44),
    [sym_list] = STATE(44),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(44),
    [aux_sym__section2_repeat1] = STATE(44),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(540),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(540),
    [sym_atx_h2_marker] = ACTIONS(540),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [48] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(47),
    [sym__section3] = STATE(221),
    [sym__section4] = STATE(221),
    [sym__section5] = STATE(221),
    [sym__section6] = STATE(221),
    [sym_thematic_break] = STATE(47),
    [sym__atx_heading3] = STATE(49),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(47),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(47),
    [sym_html_block] = STATE(47),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(47),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(47),
    [sym_block_quote] = STATE(47),
    [sym_list] = STATE(47),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(47),
    [aux_sym__section2_repeat1] = STATE(47),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(398),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(398),
    [sym_atx_h2_marker] = ACTIONS(398),
    [sym_atx_h3_marker] = ACTIONS(81),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [49] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(51),
    [sym__section4] = STATE(224),
    [sym__section5] = STATE(224),
    [sym__section6] = STATE(224),
    [sym_thematic_break] = STATE(51),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(51),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(51),
    [sym_html_block] = STATE(51),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(51),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(51),
    [sym_block_quote] = STATE(51),
    [sym_list] = STATE(51),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(51),
    [aux_sym__section3_repeat1] = STATE(51),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(542),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(542),
    [sym_atx_h2_marker] = ACTIONS(542),
    [sym_atx_h3_marker] = ACTIONS(542),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [50] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(50),
    [sym__section4] = STATE(267),
    [sym__section5] = STATE(267),
    [sym__section6] = STATE(267),
    [sym_thematic_break] = STATE(50),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(50),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(50),
    [sym_html_block] = STATE(50),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(50),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(50),
    [sym_block_quote] = STATE(50),
    [sym_list] = STATE(50),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(50),
    [aux_sym__section3_repeat1] = STATE(50),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(544),
    [anon_sym_LBRACK] = ACTIONS(546),
    [anon_sym_RBRACK] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(549),
    [anon_sym_GT] = ACTIONS(549),
    [anon_sym_BANG] = ACTIONS(549),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [anon_sym_POUND] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(549),
    [anon_sym_STAR] = ACTIONS(549),
    [anon_sym_PLUS] = ACTIONS(549),
    [anon_sym_COMMA] = ACTIONS(549),
    [anon_sym_DASH] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_EQ] = ACTIONS(549),
    [anon_sym_QMARK] = ACTIONS(549),
    [anon_sym_AT] = ACTIONS(549),
    [anon_sym_BSLASH] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym__] = ACTIONS(549),
    [anon_sym_BQUOTE] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_PIPE] = ACTIONS(549),
    [anon_sym_RBRACE] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(549),
    [anon_sym_RPAREN] = ACTIONS(549),
    [aux_sym__word_token1] = ACTIONS(549),
    [aux_sym__word_token2] = ACTIONS(549),
    [aux_sym__word_token3] = ACTIONS(549),
    [sym__whitespace] = ACTIONS(552),
    [sym__soft_line_ending] = ACTIONS(555),
    [sym__block_quote_start] = ACTIONS(558),
    [sym__indented_chunk_start] = ACTIONS(561),
    [sym_atx_h1_marker] = ACTIONS(544),
    [sym_atx_h2_marker] = ACTIONS(544),
    [sym_atx_h3_marker] = ACTIONS(544),
    [sym_atx_h4_marker] = ACTIONS(564),
    [sym_atx_h5_marker] = ACTIONS(567),
    [sym_atx_h6_marker] = ACTIONS(570),
    [sym__thematic_break] = ACTIONS(573),
    [sym__list_marker_minus] = ACTIONS(576),
    [sym__list_marker_plus] = ACTIONS(579),
    [sym__list_marker_star] = ACTIONS(582),
    [sym__list_marker_parenthesis] = ACTIONS(585),
    [sym__list_marker_dot] = ACTIONS(588),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(576),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(579),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(582),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(585),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(588),
    [sym__fenced_code_block_start_backtick] = ACTIONS(591),
    [sym__fenced_code_block_start_tilde] = ACTIONS(594),
    [sym__blank_line_start] = ACTIONS(597),
    [sym__html_block_1_start] = ACTIONS(600),
    [sym__html_block_2_start] = ACTIONS(603),
    [sym__html_block_3_start] = ACTIONS(606),
    [sym__html_block_4_start] = ACTIONS(609),
    [sym__html_block_5_start] = ACTIONS(612),
    [sym__html_block_6_start] = ACTIONS(615),
    [sym__html_block_7_start] = ACTIONS(618),
    [sym__pipe_table_start] = ACTIONS(621),
  },
  [51] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(52),
    [sym__section4] = STATE(224),
    [sym__section5] = STATE(224),
    [sym__section6] = STATE(224),
    [sym_thematic_break] = STATE(52),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(52),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(52),
    [sym_html_block] = STATE(52),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(52),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(52),
    [sym_block_quote] = STATE(52),
    [sym_list] = STATE(52),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(52),
    [aux_sym__section3_repeat1] = STATE(52),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(624),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(624),
    [sym_atx_h2_marker] = ACTIONS(624),
    [sym_atx_h3_marker] = ACTIONS(624),
    [sym_atx_h4_marker] = ACTIONS(83),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [52] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(52),
    [sym__section4] = STATE(224),
    [sym__section5] = STATE(224),
    [sym__section6] = STATE(224),
    [sym_thematic_break] = STATE(52),
    [sym__atx_heading4] = STATE(57),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(52),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(52),
    [sym_html_block] = STATE(52),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(52),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(52),
    [sym_block_quote] = STATE(52),
    [sym_list] = STATE(52),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(52),
    [aux_sym__section3_repeat1] = STATE(52),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(546),
    [anon_sym_RBRACK] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(549),
    [anon_sym_GT] = ACTIONS(549),
    [anon_sym_BANG] = ACTIONS(549),
    [anon_sym_DQUOTE] = ACTIONS(549),
    [anon_sym_POUND] = ACTIONS(549),
    [anon_sym_DOLLAR] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(549),
    [anon_sym_SQUOTE] = ACTIONS(549),
    [anon_sym_STAR] = ACTIONS(549),
    [anon_sym_PLUS] = ACTIONS(549),
    [anon_sym_COMMA] = ACTIONS(549),
    [anon_sym_DASH] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(549),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_EQ] = ACTIONS(549),
    [anon_sym_QMARK] = ACTIONS(549),
    [anon_sym_AT] = ACTIONS(549),
    [anon_sym_BSLASH] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym__] = ACTIONS(549),
    [anon_sym_BQUOTE] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_PIPE] = ACTIONS(549),
    [anon_sym_RBRACE] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(549),
    [anon_sym_RPAREN] = ACTIONS(549),
    [aux_sym__word_token1] = ACTIONS(549),
    [aux_sym__word_token2] = ACTIONS(549),
    [aux_sym__word_token3] = ACTIONS(549),
    [sym__whitespace] = ACTIONS(626),
    [sym__soft_line_ending] = ACTIONS(555),
    [sym__block_close] = ACTIONS(544),
    [sym__block_quote_start] = ACTIONS(629),
    [sym__indented_chunk_start] = ACTIONS(632),
    [sym_atx_h1_marker] = ACTIONS(544),
    [sym_atx_h2_marker] = ACTIONS(544),
    [sym_atx_h3_marker] = ACTIONS(544),
    [sym_atx_h4_marker] = ACTIONS(635),
    [sym_atx_h5_marker] = ACTIONS(638),
    [sym_atx_h6_marker] = ACTIONS(641),
    [sym__thematic_break] = ACTIONS(644),
    [sym__list_marker_minus] = ACTIONS(576),
    [sym__list_marker_plus] = ACTIONS(579),
    [sym__list_marker_star] = ACTIONS(582),
    [sym__list_marker_parenthesis] = ACTIONS(585),
    [sym__list_marker_dot] = ACTIONS(588),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(576),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(579),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(582),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(585),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(588),
    [sym__fenced_code_block_start_backtick] = ACTIONS(647),
    [sym__fenced_code_block_start_tilde] = ACTIONS(650),
    [sym__blank_line_start] = ACTIONS(653),
    [sym__html_block_1_start] = ACTIONS(656),
    [sym__html_block_2_start] = ACTIONS(659),
    [sym__html_block_3_start] = ACTIONS(662),
    [sym__html_block_4_start] = ACTIONS(665),
    [sym__html_block_5_start] = ACTIONS(668),
    [sym__html_block_6_start] = ACTIONS(671),
    [sym__html_block_7_start] = ACTIONS(674),
    [sym__pipe_table_start] = ACTIONS(677),
  },
  [53] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(50),
    [sym__section4] = STATE(267),
    [sym__section5] = STATE(267),
    [sym__section6] = STATE(267),
    [sym_thematic_break] = STATE(50),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(50),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(50),
    [sym_html_block] = STATE(50),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(50),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(50),
    [sym_block_quote] = STATE(50),
    [sym_list] = STATE(50),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(50),
    [aux_sym__section3_repeat1] = STATE(50),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(624),
    [sym_atx_h2_marker] = ACTIONS(624),
    [sym_atx_h3_marker] = ACTIONS(624),
    [sym_atx_h4_marker] = ACTIONS(23),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [54] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(53),
    [sym__section4] = STATE(267),
    [sym__section5] = STATE(267),
    [sym__section6] = STATE(267),
    [sym_thematic_break] = STATE(53),
    [sym__atx_heading4] = STATE(55),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(53),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(53),
    [sym_html_block] = STATE(53),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(53),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(53),
    [sym_block_quote] = STATE(53),
    [sym_list] = STATE(53),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(53),
    [aux_sym__section3_repeat1] = STATE(53),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(542),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(542),
    [sym_atx_h2_marker] = ACTIONS(542),
    [sym_atx_h3_marker] = ACTIONS(542),
    [sym_atx_h4_marker] = ACTIONS(23),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [55] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(58),
    [sym__section5] = STATE(266),
    [sym__section6] = STATE(266),
    [sym_thematic_break] = STATE(58),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(58),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(58),
    [sym_html_block] = STATE(58),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(58),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(58),
    [sym_block_quote] = STATE(58),
    [sym_list] = STATE(58),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(58),
    [aux_sym__section4_repeat1] = STATE(58),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(680),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(680),
    [sym_atx_h2_marker] = ACTIONS(680),
    [sym_atx_h3_marker] = ACTIONS(680),
    [sym_atx_h4_marker] = ACTIONS(680),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [56] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(56),
    [sym__section5] = STATE(266),
    [sym__section6] = STATE(266),
    [sym_thematic_break] = STATE(56),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(56),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(56),
    [sym_html_block] = STATE(56),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(56),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(56),
    [sym_block_quote] = STATE(56),
    [sym_list] = STATE(56),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(56),
    [aux_sym__section4_repeat1] = STATE(56),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(682),
    [anon_sym_LBRACK] = ACTIONS(684),
    [anon_sym_RBRACK] = ACTIONS(687),
    [anon_sym_LT] = ACTIONS(687),
    [anon_sym_GT] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_POUND] = ACTIONS(687),
    [anon_sym_DOLLAR] = ACTIONS(687),
    [anon_sym_PERCENT] = ACTIONS(687),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_SQUOTE] = ACTIONS(687),
    [anon_sym_STAR] = ACTIONS(687),
    [anon_sym_PLUS] = ACTIONS(687),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_DASH] = ACTIONS(687),
    [anon_sym_DOT] = ACTIONS(687),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_COLON] = ACTIONS(687),
    [anon_sym_SEMI] = ACTIONS(687),
    [anon_sym_EQ] = ACTIONS(687),
    [anon_sym_QMARK] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(687),
    [anon_sym_CARET] = ACTIONS(687),
    [anon_sym__] = ACTIONS(687),
    [anon_sym_BQUOTE] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_PIPE] = ACTIONS(687),
    [anon_sym_RBRACE] = ACTIONS(687),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_RPAREN] = ACTIONS(687),
    [aux_sym__word_token1] = ACTIONS(687),
    [aux_sym__word_token2] = ACTIONS(687),
    [aux_sym__word_token3] = ACTIONS(687),
    [sym__whitespace] = ACTIONS(690),
    [sym__soft_line_ending] = ACTIONS(693),
    [sym__block_quote_start] = ACTIONS(696),
    [sym__indented_chunk_start] = ACTIONS(699),
    [sym_atx_h1_marker] = ACTIONS(682),
    [sym_atx_h2_marker] = ACTIONS(682),
    [sym_atx_h3_marker] = ACTIONS(682),
    [sym_atx_h4_marker] = ACTIONS(682),
    [sym_atx_h5_marker] = ACTIONS(702),
    [sym_atx_h6_marker] = ACTIONS(705),
    [sym__thematic_break] = ACTIONS(708),
    [sym__list_marker_minus] = ACTIONS(711),
    [sym__list_marker_plus] = ACTIONS(714),
    [sym__list_marker_star] = ACTIONS(717),
    [sym__list_marker_parenthesis] = ACTIONS(720),
    [sym__list_marker_dot] = ACTIONS(723),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(711),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(714),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(717),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(720),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(723),
    [sym__fenced_code_block_start_backtick] = ACTIONS(726),
    [sym__fenced_code_block_start_tilde] = ACTIONS(729),
    [sym__blank_line_start] = ACTIONS(732),
    [sym__html_block_1_start] = ACTIONS(735),
    [sym__html_block_2_start] = ACTIONS(738),
    [sym__html_block_3_start] = ACTIONS(741),
    [sym__html_block_4_start] = ACTIONS(744),
    [sym__html_block_5_start] = ACTIONS(747),
    [sym__html_block_6_start] = ACTIONS(750),
    [sym__html_block_7_start] = ACTIONS(753),
    [sym__pipe_table_start] = ACTIONS(756),
  },
  [57] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(59),
    [sym__section5] = STATE(228),
    [sym__section6] = STATE(228),
    [sym_thematic_break] = STATE(59),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(59),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(59),
    [sym_html_block] = STATE(59),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(59),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(59),
    [sym_block_quote] = STATE(59),
    [sym_list] = STATE(59),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(59),
    [aux_sym__section4_repeat1] = STATE(59),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(680),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(680),
    [sym_atx_h2_marker] = ACTIONS(680),
    [sym_atx_h3_marker] = ACTIONS(680),
    [sym_atx_h4_marker] = ACTIONS(680),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [58] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(56),
    [sym__section5] = STATE(266),
    [sym__section6] = STATE(266),
    [sym_thematic_break] = STATE(56),
    [sym__atx_heading5] = STATE(63),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(56),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(56),
    [sym_html_block] = STATE(56),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(56),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(56),
    [sym_block_quote] = STATE(56),
    [sym_list] = STATE(56),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(56),
    [aux_sym__section4_repeat1] = STATE(56),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(759),
    [sym_atx_h2_marker] = ACTIONS(759),
    [sym_atx_h3_marker] = ACTIONS(759),
    [sym_atx_h4_marker] = ACTIONS(759),
    [sym_atx_h5_marker] = ACTIONS(25),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [59] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(60),
    [sym__section5] = STATE(228),
    [sym__section6] = STATE(228),
    [sym_thematic_break] = STATE(60),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(60),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(60),
    [sym_html_block] = STATE(60),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(60),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(60),
    [sym_block_quote] = STATE(60),
    [sym_list] = STATE(60),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(60),
    [aux_sym__section4_repeat1] = STATE(60),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(759),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(759),
    [sym_atx_h2_marker] = ACTIONS(759),
    [sym_atx_h3_marker] = ACTIONS(759),
    [sym_atx_h4_marker] = ACTIONS(759),
    [sym_atx_h5_marker] = ACTIONS(85),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [60] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(60),
    [sym__section5] = STATE(228),
    [sym__section6] = STATE(228),
    [sym_thematic_break] = STATE(60),
    [sym__atx_heading5] = STATE(64),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(60),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(60),
    [sym_html_block] = STATE(60),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(60),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(60),
    [sym_block_quote] = STATE(60),
    [sym_list] = STATE(60),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(60),
    [aux_sym__section4_repeat1] = STATE(60),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(684),
    [anon_sym_RBRACK] = ACTIONS(687),
    [anon_sym_LT] = ACTIONS(687),
    [anon_sym_GT] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_DQUOTE] = ACTIONS(687),
    [anon_sym_POUND] = ACTIONS(687),
    [anon_sym_DOLLAR] = ACTIONS(687),
    [anon_sym_PERCENT] = ACTIONS(687),
    [anon_sym_AMP] = ACTIONS(687),
    [anon_sym_SQUOTE] = ACTIONS(687),
    [anon_sym_STAR] = ACTIONS(687),
    [anon_sym_PLUS] = ACTIONS(687),
    [anon_sym_COMMA] = ACTIONS(687),
    [anon_sym_DASH] = ACTIONS(687),
    [anon_sym_DOT] = ACTIONS(687),
    [anon_sym_SLASH] = ACTIONS(687),
    [anon_sym_COLON] = ACTIONS(687),
    [anon_sym_SEMI] = ACTIONS(687),
    [anon_sym_EQ] = ACTIONS(687),
    [anon_sym_QMARK] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(687),
    [anon_sym_BSLASH] = ACTIONS(687),
    [anon_sym_CARET] = ACTIONS(687),
    [anon_sym__] = ACTIONS(687),
    [anon_sym_BQUOTE] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_PIPE] = ACTIONS(687),
    [anon_sym_RBRACE] = ACTIONS(687),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_RPAREN] = ACTIONS(687),
    [aux_sym__word_token1] = ACTIONS(687),
    [aux_sym__word_token2] = ACTIONS(687),
    [aux_sym__word_token3] = ACTIONS(687),
    [sym__whitespace] = ACTIONS(761),
    [sym__soft_line_ending] = ACTIONS(693),
    [sym__block_close] = ACTIONS(682),
    [sym__block_quote_start] = ACTIONS(764),
    [sym__indented_chunk_start] = ACTIONS(767),
    [sym_atx_h1_marker] = ACTIONS(682),
    [sym_atx_h2_marker] = ACTIONS(682),
    [sym_atx_h3_marker] = ACTIONS(682),
    [sym_atx_h4_marker] = ACTIONS(682),
    [sym_atx_h5_marker] = ACTIONS(770),
    [sym_atx_h6_marker] = ACTIONS(773),
    [sym__thematic_break] = ACTIONS(776),
    [sym__list_marker_minus] = ACTIONS(711),
    [sym__list_marker_plus] = ACTIONS(714),
    [sym__list_marker_star] = ACTIONS(717),
    [sym__list_marker_parenthesis] = ACTIONS(720),
    [sym__list_marker_dot] = ACTIONS(723),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(711),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(714),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(717),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(720),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(723),
    [sym__fenced_code_block_start_backtick] = ACTIONS(779),
    [sym__fenced_code_block_start_tilde] = ACTIONS(782),
    [sym__blank_line_start] = ACTIONS(785),
    [sym__html_block_1_start] = ACTIONS(788),
    [sym__html_block_2_start] = ACTIONS(791),
    [sym__html_block_3_start] = ACTIONS(794),
    [sym__html_block_4_start] = ACTIONS(797),
    [sym__html_block_5_start] = ACTIONS(800),
    [sym__html_block_6_start] = ACTIONS(803),
    [sym__html_block_7_start] = ACTIONS(806),
    [sym__pipe_table_start] = ACTIONS(809),
  },
  [61] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(61),
    [sym__section6] = STATE(264),
    [sym_thematic_break] = STATE(61),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(61),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(61),
    [sym_html_block] = STATE(61),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(61),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(61),
    [sym_block_quote] = STATE(61),
    [sym_list] = STATE(61),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(61),
    [aux_sym__section5_repeat1] = STATE(61),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(812),
    [anon_sym_LBRACK] = ACTIONS(814),
    [anon_sym_RBRACK] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(817),
    [anon_sym_DQUOTE] = ACTIONS(817),
    [anon_sym_POUND] = ACTIONS(817),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_SQUOTE] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_EQ] = ACTIONS(817),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [anon_sym_BSLASH] = ACTIONS(817),
    [anon_sym_CARET] = ACTIONS(817),
    [anon_sym__] = ACTIONS(817),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(817),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(817),
    [aux_sym__word_token1] = ACTIONS(817),
    [aux_sym__word_token2] = ACTIONS(817),
    [aux_sym__word_token3] = ACTIONS(817),
    [sym__whitespace] = ACTIONS(820),
    [sym__soft_line_ending] = ACTIONS(823),
    [sym__block_quote_start] = ACTIONS(826),
    [sym__indented_chunk_start] = ACTIONS(829),
    [sym_atx_h1_marker] = ACTIONS(812),
    [sym_atx_h2_marker] = ACTIONS(812),
    [sym_atx_h3_marker] = ACTIONS(812),
    [sym_atx_h4_marker] = ACTIONS(812),
    [sym_atx_h5_marker] = ACTIONS(812),
    [sym_atx_h6_marker] = ACTIONS(832),
    [sym__thematic_break] = ACTIONS(835),
    [sym__list_marker_minus] = ACTIONS(838),
    [sym__list_marker_plus] = ACTIONS(841),
    [sym__list_marker_star] = ACTIONS(844),
    [sym__list_marker_parenthesis] = ACTIONS(847),
    [sym__list_marker_dot] = ACTIONS(850),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(838),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(841),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(844),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(847),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(850),
    [sym__fenced_code_block_start_backtick] = ACTIONS(853),
    [sym__fenced_code_block_start_tilde] = ACTIONS(856),
    [sym__blank_line_start] = ACTIONS(859),
    [sym__html_block_1_start] = ACTIONS(862),
    [sym__html_block_2_start] = ACTIONS(865),
    [sym__html_block_3_start] = ACTIONS(868),
    [sym__html_block_4_start] = ACTIONS(871),
    [sym__html_block_5_start] = ACTIONS(874),
    [sym__html_block_6_start] = ACTIONS(877),
    [sym__html_block_7_start] = ACTIONS(880),
    [sym__pipe_table_start] = ACTIONS(883),
  },
  [62] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(62),
    [sym__section6] = STATE(231),
    [sym_thematic_break] = STATE(62),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(62),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(62),
    [sym_html_block] = STATE(62),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(62),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(62),
    [sym_block_quote] = STATE(62),
    [sym_list] = STATE(62),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(62),
    [aux_sym__section5_repeat1] = STATE(62),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(814),
    [anon_sym_RBRACK] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(817),
    [anon_sym_DQUOTE] = ACTIONS(817),
    [anon_sym_POUND] = ACTIONS(817),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_SQUOTE] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_EQ] = ACTIONS(817),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [anon_sym_BSLASH] = ACTIONS(817),
    [anon_sym_CARET] = ACTIONS(817),
    [anon_sym__] = ACTIONS(817),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(817),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(817),
    [aux_sym__word_token1] = ACTIONS(817),
    [aux_sym__word_token2] = ACTIONS(817),
    [aux_sym__word_token3] = ACTIONS(817),
    [sym__whitespace] = ACTIONS(886),
    [sym__soft_line_ending] = ACTIONS(823),
    [sym__block_close] = ACTIONS(812),
    [sym__block_quote_start] = ACTIONS(889),
    [sym__indented_chunk_start] = ACTIONS(892),
    [sym_atx_h1_marker] = ACTIONS(812),
    [sym_atx_h2_marker] = ACTIONS(812),
    [sym_atx_h3_marker] = ACTIONS(812),
    [sym_atx_h4_marker] = ACTIONS(812),
    [sym_atx_h5_marker] = ACTIONS(812),
    [sym_atx_h6_marker] = ACTIONS(895),
    [sym__thematic_break] = ACTIONS(898),
    [sym__list_marker_minus] = ACTIONS(838),
    [sym__list_marker_plus] = ACTIONS(841),
    [sym__list_marker_star] = ACTIONS(844),
    [sym__list_marker_parenthesis] = ACTIONS(847),
    [sym__list_marker_dot] = ACTIONS(850),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(838),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(841),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(844),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(847),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(850),
    [sym__fenced_code_block_start_backtick] = ACTIONS(901),
    [sym__fenced_code_block_start_tilde] = ACTIONS(904),
    [sym__blank_line_start] = ACTIONS(907),
    [sym__html_block_1_start] = ACTIONS(910),
    [sym__html_block_2_start] = ACTIONS(913),
    [sym__html_block_3_start] = ACTIONS(916),
    [sym__html_block_4_start] = ACTIONS(919),
    [sym__html_block_5_start] = ACTIONS(922),
    [sym__html_block_6_start] = ACTIONS(925),
    [sym__html_block_7_start] = ACTIONS(928),
    [sym__pipe_table_start] = ACTIONS(931),
  },
  [63] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(66),
    [sym__section6] = STATE(264),
    [sym_thematic_break] = STATE(66),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(66),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(66),
    [sym_html_block] = STATE(66),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(66),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(66),
    [sym_block_quote] = STATE(66),
    [sym_list] = STATE(66),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(66),
    [aux_sym__section5_repeat1] = STATE(66),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(934),
    [sym_atx_h2_marker] = ACTIONS(934),
    [sym_atx_h3_marker] = ACTIONS(934),
    [sym_atx_h4_marker] = ACTIONS(934),
    [sym_atx_h5_marker] = ACTIONS(934),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [64] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(65),
    [sym__section6] = STATE(231),
    [sym_thematic_break] = STATE(65),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(65),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(65),
    [sym_html_block] = STATE(65),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(65),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(65),
    [sym_block_quote] = STATE(65),
    [sym_list] = STATE(65),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(65),
    [aux_sym__section5_repeat1] = STATE(65),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(934),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(934),
    [sym_atx_h2_marker] = ACTIONS(934),
    [sym_atx_h3_marker] = ACTIONS(934),
    [sym_atx_h4_marker] = ACTIONS(934),
    [sym_atx_h5_marker] = ACTIONS(934),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [65] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(62),
    [sym__section6] = STATE(231),
    [sym_thematic_break] = STATE(62),
    [sym__atx_heading6] = STATE(72),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(62),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(62),
    [sym_html_block] = STATE(62),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(62),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(62),
    [sym_block_quote] = STATE(62),
    [sym_list] = STATE(62),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(62),
    [aux_sym__section5_repeat1] = STATE(62),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(936),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(936),
    [sym_atx_h2_marker] = ACTIONS(936),
    [sym_atx_h3_marker] = ACTIONS(936),
    [sym_atx_h4_marker] = ACTIONS(936),
    [sym_atx_h5_marker] = ACTIONS(936),
    [sym_atx_h6_marker] = ACTIONS(87),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [66] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(61),
    [sym__section6] = STATE(264),
    [sym_thematic_break] = STATE(61),
    [sym__atx_heading6] = STATE(71),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(61),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(61),
    [sym_html_block] = STATE(61),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(61),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(61),
    [sym_block_quote] = STATE(61),
    [sym_list] = STATE(61),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(61),
    [aux_sym__section5_repeat1] = STATE(61),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(936),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(936),
    [sym_atx_h2_marker] = ACTIONS(936),
    [sym_atx_h3_marker] = ACTIONS(936),
    [sym_atx_h4_marker] = ACTIONS(936),
    [sym_atx_h5_marker] = ACTIONS(936),
    [sym_atx_h6_marker] = ACTIONS(27),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [67] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(233),
    [sym_thematic_break] = STATE(233),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(233),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(233),
    [sym_html_block] = STATE(233),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(233),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(233),
    [sym_block_quote] = STATE(233),
    [sym_list] = STATE(233),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(233),
    [aux_sym_document_repeat1] = STATE(67),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(940),
    [anon_sym_RBRACK] = ACTIONS(943),
    [anon_sym_LT] = ACTIONS(943),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_POUND] = ACTIONS(943),
    [anon_sym_DOLLAR] = ACTIONS(943),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_SQUOTE] = ACTIONS(943),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(943),
    [anon_sym_COLON] = ACTIONS(943),
    [anon_sym_SEMI] = ACTIONS(943),
    [anon_sym_EQ] = ACTIONS(943),
    [anon_sym_QMARK] = ACTIONS(943),
    [anon_sym_AT] = ACTIONS(943),
    [anon_sym_BSLASH] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym__] = ACTIONS(943),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(943),
    [anon_sym_TILDE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(943),
    [anon_sym_RPAREN] = ACTIONS(943),
    [aux_sym__word_token1] = ACTIONS(943),
    [aux_sym__word_token2] = ACTIONS(943),
    [aux_sym__word_token3] = ACTIONS(943),
    [sym__whitespace] = ACTIONS(946),
    [sym__soft_line_ending] = ACTIONS(949),
    [sym__block_quote_start] = ACTIONS(952),
    [sym__indented_chunk_start] = ACTIONS(955),
    [sym_atx_h1_marker] = ACTIONS(938),
    [sym_atx_h2_marker] = ACTIONS(938),
    [sym_atx_h3_marker] = ACTIONS(938),
    [sym_atx_h4_marker] = ACTIONS(938),
    [sym_atx_h5_marker] = ACTIONS(938),
    [sym_atx_h6_marker] = ACTIONS(938),
    [sym__thematic_break] = ACTIONS(958),
    [sym__list_marker_minus] = ACTIONS(961),
    [sym__list_marker_plus] = ACTIONS(964),
    [sym__list_marker_star] = ACTIONS(967),
    [sym__list_marker_parenthesis] = ACTIONS(970),
    [sym__list_marker_dot] = ACTIONS(973),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(961),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(964),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(967),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(970),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(973),
    [sym__fenced_code_block_start_backtick] = ACTIONS(976),
    [sym__fenced_code_block_start_tilde] = ACTIONS(979),
    [sym__blank_line_start] = ACTIONS(982),
    [sym__html_block_1_start] = ACTIONS(985),
    [sym__html_block_2_start] = ACTIONS(988),
    [sym__html_block_3_start] = ACTIONS(991),
    [sym__html_block_4_start] = ACTIONS(994),
    [sym__html_block_5_start] = ACTIONS(997),
    [sym__html_block_6_start] = ACTIONS(1000),
    [sym__html_block_7_start] = ACTIONS(1003),
    [sym__pipe_table_start] = ACTIONS(1006),
  },
  [68] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(233),
    [sym_thematic_break] = STATE(233),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(233),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(233),
    [sym_html_block] = STATE(233),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(233),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(233),
    [sym_block_quote] = STATE(233),
    [sym_list] = STATE(233),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(233),
    [aux_sym_document_repeat1] = STATE(67),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(1009),
    [sym_atx_h2_marker] = ACTIONS(1009),
    [sym_atx_h3_marker] = ACTIONS(1009),
    [sym_atx_h4_marker] = ACTIONS(1009),
    [sym_atx_h5_marker] = ACTIONS(1009),
    [sym_atx_h6_marker] = ACTIONS(1009),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [69] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(210),
    [sym_thematic_break] = STATE(210),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(210),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(210),
    [sym_html_block] = STATE(210),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(210),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(210),
    [sym_block_quote] = STATE(210),
    [sym_list] = STATE(210),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(210),
    [aux_sym_document_repeat1] = STATE(69),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(940),
    [anon_sym_RBRACK] = ACTIONS(943),
    [anon_sym_LT] = ACTIONS(943),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_POUND] = ACTIONS(943),
    [anon_sym_DOLLAR] = ACTIONS(943),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_SQUOTE] = ACTIONS(943),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(943),
    [anon_sym_COLON] = ACTIONS(943),
    [anon_sym_SEMI] = ACTIONS(943),
    [anon_sym_EQ] = ACTIONS(943),
    [anon_sym_QMARK] = ACTIONS(943),
    [anon_sym_AT] = ACTIONS(943),
    [anon_sym_BSLASH] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym__] = ACTIONS(943),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(943),
    [anon_sym_TILDE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(943),
    [anon_sym_RPAREN] = ACTIONS(943),
    [aux_sym__word_token1] = ACTIONS(943),
    [aux_sym__word_token2] = ACTIONS(943),
    [aux_sym__word_token3] = ACTIONS(943),
    [sym__whitespace] = ACTIONS(1011),
    [sym__soft_line_ending] = ACTIONS(949),
    [sym__block_close] = ACTIONS(938),
    [sym__block_quote_start] = ACTIONS(1014),
    [sym__indented_chunk_start] = ACTIONS(1017),
    [sym_atx_h1_marker] = ACTIONS(938),
    [sym_atx_h2_marker] = ACTIONS(938),
    [sym_atx_h3_marker] = ACTIONS(938),
    [sym_atx_h4_marker] = ACTIONS(938),
    [sym_atx_h5_marker] = ACTIONS(938),
    [sym_atx_h6_marker] = ACTIONS(938),
    [sym__thematic_break] = ACTIONS(1020),
    [sym__list_marker_minus] = ACTIONS(961),
    [sym__list_marker_plus] = ACTIONS(964),
    [sym__list_marker_star] = ACTIONS(967),
    [sym__list_marker_parenthesis] = ACTIONS(970),
    [sym__list_marker_dot] = ACTIONS(973),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(961),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(964),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(967),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(970),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(973),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1023),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1026),
    [sym__blank_line_start] = ACTIONS(1029),
    [sym__html_block_1_start] = ACTIONS(1032),
    [sym__html_block_2_start] = ACTIONS(1035),
    [sym__html_block_3_start] = ACTIONS(1038),
    [sym__html_block_4_start] = ACTIONS(1041),
    [sym__html_block_5_start] = ACTIONS(1044),
    [sym__html_block_6_start] = ACTIONS(1047),
    [sym__html_block_7_start] = ACTIONS(1050),
    [sym__pipe_table_start] = ACTIONS(1053),
  },
  [70] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(210),
    [sym_thematic_break] = STATE(210),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(210),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(210),
    [sym_html_block] = STATE(210),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(210),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(210),
    [sym_block_quote] = STATE(210),
    [sym_list] = STATE(210),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(210),
    [aux_sym_document_repeat1] = STATE(69),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(1009),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(1009),
    [sym_atx_h2_marker] = ACTIONS(1009),
    [sym_atx_h3_marker] = ACTIONS(1009),
    [sym_atx_h4_marker] = ACTIONS(1009),
    [sym_atx_h5_marker] = ACTIONS(1009),
    [sym_atx_h6_marker] = ACTIONS(1009),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [71] = {
    [sym_link_label] = STATE(890),
    [sym__block_not_section] = STATE(233),
    [sym_thematic_break] = STATE(233),
    [sym__setext_heading1] = STATE(234),
    [sym__setext_heading2] = STATE(235),
    [sym_indented_code_block] = STATE(233),
    [sym__indented_chunk] = STATE(94),
    [sym_fenced_code_block] = STATE(233),
    [sym_html_block] = STATE(233),
    [sym__html_block_1] = STATE(239),
    [sym__html_block_2] = STATE(239),
    [sym__html_block_3] = STATE(239),
    [sym__html_block_4] = STATE(239),
    [sym__html_block_5] = STATE(239),
    [sym__html_block_6] = STATE(239),
    [sym__html_block_7] = STATE(239),
    [sym_link_reference_definition] = STATE(233),
    [sym_paragraph] = STATE(112),
    [sym__blank_line] = STATE(233),
    [sym_block_quote] = STATE(233),
    [sym_list] = STATE(233),
    [sym__list_plus] = STATE(240),
    [sym__list_minus] = STATE(240),
    [sym__list_star] = STATE(240),
    [sym__list_dot] = STATE(240),
    [sym__list_parenthesis] = STATE(240),
    [sym_list_marker_plus] = STATE(3),
    [sym_list_marker_minus] = STATE(4),
    [sym_list_marker_star] = STATE(5),
    [sym_list_marker_dot] = STATE(6),
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_plus] = STATE(98),
    [sym__list_item_minus] = STATE(100),
    [sym__list_item_star] = STATE(99),
    [sym__list_item_dot] = STATE(97),
    [sym__list_item_parenthesis] = STATE(75),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(233),
    [aux_sym_document_repeat1] = STATE(68),
    [aux_sym_paragraph_repeat1] = STATE(380),
    [aux_sym__list_plus_repeat1] = STATE(98),
    [aux_sym__list_minus_repeat1] = STATE(100),
    [aux_sym__list_star_repeat1] = STATE(99),
    [aux_sym__list_dot_repeat1] = STATE(97),
    [aux_sym__list_parenthesis_repeat1] = STATE(75),
    [aux_sym__line_repeat1] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(9),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_quote_start] = ACTIONS(13),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(1056),
    [sym_atx_h2_marker] = ACTIONS(1056),
    [sym_atx_h3_marker] = ACTIONS(1056),
    [sym_atx_h4_marker] = ACTIONS(1056),
    [sym_atx_h5_marker] = ACTIONS(1056),
    [sym_atx_h6_marker] = ACTIONS(1056),
    [sym__thematic_break] = ACTIONS(29),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(41),
    [sym__fenced_code_block_start_tilde] = ACTIONS(43),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(47),
    [sym__html_block_2_start] = ACTIONS(49),
    [sym__html_block_3_start] = ACTIONS(51),
    [sym__html_block_4_start] = ACTIONS(53),
    [sym__html_block_5_start] = ACTIONS(55),
    [sym__html_block_6_start] = ACTIONS(57),
    [sym__html_block_7_start] = ACTIONS(59),
    [sym__pipe_table_start] = ACTIONS(63),
  },
  [72] = {
    [sym_link_label] = STATE(917),
    [sym__block_not_section] = STATE(210),
    [sym_thematic_break] = STATE(210),
    [sym__setext_heading1] = STATE(208),
    [sym__setext_heading2] = STATE(206),
    [sym_indented_code_block] = STATE(210),
    [sym__indented_chunk] = STATE(89),
    [sym_fenced_code_block] = STATE(210),
    [sym_html_block] = STATE(210),
    [sym__html_block_1] = STATE(205),
    [sym__html_block_2] = STATE(205),
    [sym__html_block_3] = STATE(205),
    [sym__html_block_4] = STATE(205),
    [sym__html_block_5] = STATE(205),
    [sym__html_block_6] = STATE(205),
    [sym__html_block_7] = STATE(205),
    [sym_link_reference_definition] = STATE(210),
    [sym_paragraph] = STATE(109),
    [sym__blank_line] = STATE(210),
    [sym_block_quote] = STATE(210),
    [sym_list] = STATE(210),
    [sym__list_plus] = STATE(202),
    [sym__list_minus] = STATE(202),
    [sym__list_star] = STATE(202),
    [sym__list_dot] = STATE(202),
    [sym__list_parenthesis] = STATE(202),
    [sym_list_marker_plus] = STATE(11),
    [sym_list_marker_minus] = STATE(2),
    [sym_list_marker_star] = STATE(7),
    [sym_list_marker_dot] = STATE(9),
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_plus] = STATE(87),
    [sym__list_item_minus] = STATE(86),
    [sym__list_item_star] = STATE(85),
    [sym__list_item_dot] = STATE(84),
    [sym__list_item_parenthesis] = STATE(83),
    [sym__soft_line_break] = STATE(600),
    [sym__line] = STATE(600),
    [sym__word] = STATE(528),
    [sym_pipe_table] = STATE(210),
    [aux_sym_document_repeat1] = STATE(70),
    [aux_sym_paragraph_repeat1] = STATE(374),
    [aux_sym__list_plus_repeat1] = STATE(87),
    [aux_sym__list_minus_repeat1] = STATE(86),
    [aux_sym__list_star_repeat1] = STATE(85),
    [aux_sym__list_dot_repeat1] = STATE(84),
    [aux_sym__list_parenthesis_repeat1] = STATE(83),
    [aux_sym__line_repeat1] = STATE(528),
    [anon_sym_LBRACK] = ACTIONS(5),
    [anon_sym_RBRACK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(7),
    [anon_sym_GT] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(7),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_POUND] = ACTIONS(7),
    [anon_sym_DOLLAR] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(7),
    [anon_sym_AMP] = ACTIONS(7),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(7),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(7),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_DOT] = ACTIONS(7),
    [anon_sym_SLASH] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(7),
    [anon_sym_BSLASH] = ACTIONS(7),
    [anon_sym_CARET] = ACTIONS(7),
    [anon_sym__] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_PIPE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(7),
    [aux_sym__word_token1] = ACTIONS(7),
    [aux_sym__word_token2] = ACTIONS(7),
    [aux_sym__word_token3] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(69),
    [sym__soft_line_ending] = ACTIONS(11),
    [sym__block_close] = ACTIONS(1056),
    [sym__block_quote_start] = ACTIONS(73),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(1056),
    [sym_atx_h2_marker] = ACTIONS(1056),
    [sym_atx_h3_marker] = ACTIONS(1056),
    [sym_atx_h4_marker] = ACTIONS(1056),
    [sym_atx_h5_marker] = ACTIONS(1056),
    [sym_atx_h6_marker] = ACTIONS(1056),
    [sym__thematic_break] = ACTIONS(89),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(91),
    [sym__fenced_code_block_start_tilde] = ACTIONS(93),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(97),
    [sym__html_block_2_start] = ACTIONS(99),
    [sym__html_block_3_start] = ACTIONS(101),
    [sym__html_block_4_start] = ACTIONS(103),
    [sym__html_block_5_start] = ACTIONS(105),
    [sym__html_block_6_start] = ACTIONS(107),
    [sym__html_block_7_start] = ACTIONS(109),
    [sym__pipe_table_start] = ACTIONS(111),
  },
  [73] = {
    [sym_list_marker_star] = STATE(7),
    [sym__list_item_star] = STATE(73),
    [aux_sym__list_star_repeat1] = STATE(73),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1060),
    [anon_sym_LT] = ACTIONS(1060),
    [anon_sym_GT] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [anon_sym_POUND] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1060),
    [anon_sym_PERCENT] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1060),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [anon_sym_STAR] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1060),
    [anon_sym_COMMA] = ACTIONS(1060),
    [anon_sym_DASH] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1060),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_COLON] = ACTIONS(1060),
    [anon_sym_SEMI] = ACTIONS(1060),
    [anon_sym_EQ] = ACTIONS(1060),
    [anon_sym_QMARK] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1060),
    [anon_sym_BSLASH] = ACTIONS(1060),
    [anon_sym_CARET] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1060),
    [anon_sym_BQUOTE] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_PIPE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_RPAREN] = ACTIONS(1060),
    [aux_sym__word_token1] = ACTIONS(1060),
    [aux_sym__word_token2] = ACTIONS(1060),
    [aux_sym__word_token3] = ACTIONS(1060),
    [sym__whitespace] = ACTIONS(1060),
    [sym__soft_line_ending] = ACTIONS(1060),
    [sym__block_close] = ACTIONS(1060),
    [sym__block_quote_start] = ACTIONS(1060),
    [sym__indented_chunk_start] = ACTIONS(1060),
    [sym_atx_h1_marker] = ACTIONS(1060),
    [sym_atx_h2_marker] = ACTIONS(1060),
    [sym_atx_h3_marker] = ACTIONS(1060),
    [sym_atx_h4_marker] = ACTIONS(1060),
    [sym_atx_h5_marker] = ACTIONS(1060),
    [sym_atx_h6_marker] = ACTIONS(1060),
    [sym__thematic_break] = ACTIONS(1060),
    [sym__list_marker_minus] = ACTIONS(1060),
    [sym__list_marker_plus] = ACTIONS(1060),
    [sym__list_marker_star] = ACTIONS(1062),
    [sym__list_marker_parenthesis] = ACTIONS(1060),
    [sym__list_marker_dot] = ACTIONS(1060),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1060),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1060),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1062),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1060),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1060),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1060),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1060),
    [sym__blank_line_start] = ACTIONS(1060),
    [sym__html_block_1_start] = ACTIONS(1060),
    [sym__html_block_2_start] = ACTIONS(1060),
    [sym__html_block_3_start] = ACTIONS(1060),
    [sym__html_block_4_start] = ACTIONS(1060),
    [sym__html_block_5_start] = ACTIONS(1060),
    [sym__html_block_6_start] = ACTIONS(1060),
    [sym__html_block_7_start] = ACTIONS(1060),
    [sym__pipe_table_start] = ACTIONS(1060),
  },
  [74] = {
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_parenthesis] = STATE(74),
    [aux_sym__list_parenthesis_repeat1] = STATE(74),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_RBRACK] = ACTIONS(1067),
    [anon_sym_LT] = ACTIONS(1067),
    [anon_sym_GT] = ACTIONS(1067),
    [anon_sym_BANG] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [anon_sym_POUND] = ACTIONS(1067),
    [anon_sym_DOLLAR] = ACTIONS(1067),
    [anon_sym_PERCENT] = ACTIONS(1067),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_STAR] = ACTIONS(1067),
    [anon_sym_PLUS] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(1067),
    [anon_sym_DASH] = ACTIONS(1067),
    [anon_sym_DOT] = ACTIONS(1067),
    [anon_sym_SLASH] = ACTIONS(1067),
    [anon_sym_COLON] = ACTIONS(1067),
    [anon_sym_SEMI] = ACTIONS(1067),
    [anon_sym_EQ] = ACTIONS(1067),
    [anon_sym_QMARK] = ACTIONS(1067),
    [anon_sym_AT] = ACTIONS(1067),
    [anon_sym_BSLASH] = ACTIONS(1067),
    [anon_sym_CARET] = ACTIONS(1067),
    [anon_sym__] = ACTIONS(1067),
    [anon_sym_BQUOTE] = ACTIONS(1067),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1067),
    [anon_sym_RBRACE] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_LPAREN] = ACTIONS(1067),
    [anon_sym_RPAREN] = ACTIONS(1067),
    [aux_sym__word_token1] = ACTIONS(1067),
    [aux_sym__word_token2] = ACTIONS(1067),
    [aux_sym__word_token3] = ACTIONS(1067),
    [sym__whitespace] = ACTIONS(1067),
    [sym__soft_line_ending] = ACTIONS(1067),
    [sym__block_close] = ACTIONS(1067),
    [sym__block_quote_start] = ACTIONS(1067),
    [sym__indented_chunk_start] = ACTIONS(1067),
    [sym_atx_h1_marker] = ACTIONS(1067),
    [sym_atx_h2_marker] = ACTIONS(1067),
    [sym_atx_h3_marker] = ACTIONS(1067),
    [sym_atx_h4_marker] = ACTIONS(1067),
    [sym_atx_h5_marker] = ACTIONS(1067),
    [sym_atx_h6_marker] = ACTIONS(1067),
    [sym__thematic_break] = ACTIONS(1067),
    [sym__list_marker_minus] = ACTIONS(1067),
    [sym__list_marker_plus] = ACTIONS(1067),
    [sym__list_marker_star] = ACTIONS(1067),
    [sym__list_marker_parenthesis] = ACTIONS(1069),
    [sym__list_marker_dot] = ACTIONS(1067),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1067),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1067),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1067),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1069),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1067),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1067),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1067),
    [sym__blank_line_start] = ACTIONS(1067),
    [sym__html_block_1_start] = ACTIONS(1067),
    [sym__html_block_2_start] = ACTIONS(1067),
    [sym__html_block_3_start] = ACTIONS(1067),
    [sym__html_block_4_start] = ACTIONS(1067),
    [sym__html_block_5_start] = ACTIONS(1067),
    [sym__html_block_6_start] = ACTIONS(1067),
    [sym__html_block_7_start] = ACTIONS(1067),
    [sym__pipe_table_start] = ACTIONS(1067),
  },
  [75] = {
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_parenthesis] = STATE(78),
    [aux_sym__list_parenthesis_repeat1] = STATE(78),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_RBRACK] = ACTIONS(1072),
    [anon_sym_LT] = ACTIONS(1072),
    [anon_sym_GT] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [anon_sym_POUND] = ACTIONS(1072),
    [anon_sym_DOLLAR] = ACTIONS(1072),
    [anon_sym_PERCENT] = ACTIONS(1072),
    [anon_sym_AMP] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [anon_sym_STAR] = ACTIONS(1072),
    [anon_sym_PLUS] = ACTIONS(1072),
    [anon_sym_COMMA] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1072),
    [anon_sym_DOT] = ACTIONS(1072),
    [anon_sym_SLASH] = ACTIONS(1072),
    [anon_sym_COLON] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_EQ] = ACTIONS(1072),
    [anon_sym_QMARK] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1072),
    [anon_sym_BSLASH] = ACTIONS(1072),
    [anon_sym_CARET] = ACTIONS(1072),
    [anon_sym__] = ACTIONS(1072),
    [anon_sym_BQUOTE] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_PIPE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_RPAREN] = ACTIONS(1072),
    [aux_sym__word_token1] = ACTIONS(1072),
    [aux_sym__word_token2] = ACTIONS(1072),
    [aux_sym__word_token3] = ACTIONS(1072),
    [sym__whitespace] = ACTIONS(1072),
    [sym__soft_line_ending] = ACTIONS(1072),
    [sym__block_quote_start] = ACTIONS(1072),
    [sym__indented_chunk_start] = ACTIONS(1072),
    [sym_atx_h1_marker] = ACTIONS(1072),
    [sym_atx_h2_marker] = ACTIONS(1072),
    [sym_atx_h3_marker] = ACTIONS(1072),
    [sym_atx_h4_marker] = ACTIONS(1072),
    [sym_atx_h5_marker] = ACTIONS(1072),
    [sym_atx_h6_marker] = ACTIONS(1072),
    [sym__thematic_break] = ACTIONS(1072),
    [sym__list_marker_minus] = ACTIONS(1072),
    [sym__list_marker_plus] = ACTIONS(1072),
    [sym__list_marker_star] = ACTIONS(1072),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(1072),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1072),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1072),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1072),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1072),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1072),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1072),
    [sym__blank_line_start] = ACTIONS(1072),
    [sym__html_block_1_start] = ACTIONS(1072),
    [sym__html_block_2_start] = ACTIONS(1072),
    [sym__html_block_3_start] = ACTIONS(1072),
    [sym__html_block_4_start] = ACTIONS(1072),
    [sym__html_block_5_start] = ACTIONS(1072),
    [sym__html_block_6_start] = ACTIONS(1072),
    [sym__html_block_7_start] = ACTIONS(1072),
    [sym__pipe_table_start] = ACTIONS(1072),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_RBRACK] = ACTIONS(1076),
    [anon_sym_LT] = ACTIONS(1076),
    [anon_sym_GT] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [anon_sym_POUND] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [anon_sym_PERCENT] = ACTIONS(1076),
    [anon_sym_AMP] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1076),
    [anon_sym_COMMA] = ACTIONS(1076),
    [anon_sym_DASH] = ACTIONS(1076),
    [anon_sym_DOT] = ACTIONS(1076),
    [anon_sym_SLASH] = ACTIONS(1076),
    [anon_sym_COLON] = ACTIONS(1076),
    [anon_sym_SEMI] = ACTIONS(1076),
    [anon_sym_EQ] = ACTIONS(1076),
    [anon_sym_QMARK] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_CARET] = ACTIONS(1076),
    [anon_sym__] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_PIPE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_RPAREN] = ACTIONS(1076),
    [aux_sym__word_token1] = ACTIONS(1076),
    [aux_sym__word_token2] = ACTIONS(1076),
    [aux_sym__word_token3] = ACTIONS(1076),
    [sym__whitespace] = ACTIONS(1076),
    [sym__soft_line_ending] = ACTIONS(1076),
    [sym_block_continuation] = ACTIONS(1080),
    [sym__block_quote_start] = ACTIONS(1076),
    [sym__indented_chunk_start] = ACTIONS(1076),
    [sym_atx_h1_marker] = ACTIONS(1076),
    [sym_atx_h2_marker] = ACTIONS(1076),
    [sym_atx_h3_marker] = ACTIONS(1076),
    [sym_atx_h4_marker] = ACTIONS(1076),
    [sym_atx_h5_marker] = ACTIONS(1076),
    [sym_atx_h6_marker] = ACTIONS(1076),
    [sym_setext_h1_underline] = ACTIONS(1076),
    [sym_setext_h2_underline] = ACTIONS(1076),
    [sym__thematic_break] = ACTIONS(1076),
    [sym__list_marker_minus] = ACTIONS(1076),
    [sym__list_marker_plus] = ACTIONS(1076),
    [sym__list_marker_star] = ACTIONS(1076),
    [sym__list_marker_parenthesis] = ACTIONS(1076),
    [sym__list_marker_dot] = ACTIONS(1076),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1076),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1076),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1076),
    [sym__blank_line_start] = ACTIONS(1076),
    [sym__html_block_1_start] = ACTIONS(1076),
    [sym__html_block_2_start] = ACTIONS(1076),
    [sym__html_block_3_start] = ACTIONS(1076),
    [sym__html_block_4_start] = ACTIONS(1076),
    [sym__html_block_5_start] = ACTIONS(1076),
    [sym__html_block_6_start] = ACTIONS(1076),
    [sym__html_block_7_start] = ACTIONS(1076),
    [sym__pipe_table_start] = ACTIONS(1076),
  },
  [77] = {
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_RBRACK] = ACTIONS(1076),
    [anon_sym_LT] = ACTIONS(1076),
    [anon_sym_GT] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [anon_sym_POUND] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [anon_sym_PERCENT] = ACTIONS(1076),
    [anon_sym_AMP] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1076),
    [anon_sym_COMMA] = ACTIONS(1076),
    [anon_sym_DASH] = ACTIONS(1076),
    [anon_sym_DOT] = ACTIONS(1076),
    [anon_sym_SLASH] = ACTIONS(1076),
    [anon_sym_COLON] = ACTIONS(1076),
    [anon_sym_SEMI] = ACTIONS(1076),
    [anon_sym_EQ] = ACTIONS(1076),
    [anon_sym_QMARK] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_CARET] = ACTIONS(1076),
    [anon_sym__] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_PIPE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_RPAREN] = ACTIONS(1076),
    [aux_sym__word_token1] = ACTIONS(1076),
    [aux_sym__word_token2] = ACTIONS(1076),
    [aux_sym__word_token3] = ACTIONS(1076),
    [sym__whitespace] = ACTIONS(1076),
    [sym__soft_line_ending] = ACTIONS(1076),
    [sym__block_close] = ACTIONS(1076),
    [sym_block_continuation] = ACTIONS(1082),
    [sym__block_quote_start] = ACTIONS(1076),
    [sym__indented_chunk_start] = ACTIONS(1076),
    [sym_atx_h1_marker] = ACTIONS(1076),
    [sym_atx_h2_marker] = ACTIONS(1076),
    [sym_atx_h3_marker] = ACTIONS(1076),
    [sym_atx_h4_marker] = ACTIONS(1076),
    [sym_atx_h5_marker] = ACTIONS(1076),
    [sym_atx_h6_marker] = ACTIONS(1076),
    [sym_setext_h1_underline] = ACTIONS(1076),
    [sym_setext_h2_underline] = ACTIONS(1076),
    [sym__thematic_break] = ACTIONS(1076),
    [sym__list_marker_minus] = ACTIONS(1076),
    [sym__list_marker_plus] = ACTIONS(1076),
    [sym__list_marker_star] = ACTIONS(1076),
    [sym__list_marker_parenthesis] = ACTIONS(1076),
    [sym__list_marker_dot] = ACTIONS(1076),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1076),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1076),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1076),
    [sym__blank_line_start] = ACTIONS(1076),
    [sym__html_block_1_start] = ACTIONS(1076),
    [sym__html_block_2_start] = ACTIONS(1076),
    [sym__html_block_3_start] = ACTIONS(1076),
    [sym__html_block_4_start] = ACTIONS(1076),
    [sym__html_block_5_start] = ACTIONS(1076),
    [sym__html_block_6_start] = ACTIONS(1076),
    [sym__html_block_7_start] = ACTIONS(1076),
    [sym__pipe_table_start] = ACTIONS(1076),
  },
  [78] = {
    [sym_list_marker_parenthesis] = STATE(8),
    [sym__list_item_parenthesis] = STATE(78),
    [aux_sym__list_parenthesis_repeat1] = STATE(78),
    [ts_builtin_sym_end] = ACTIONS(1067),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_RBRACK] = ACTIONS(1067),
    [anon_sym_LT] = ACTIONS(1067),
    [anon_sym_GT] = ACTIONS(1067),
    [anon_sym_BANG] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [anon_sym_POUND] = ACTIONS(1067),
    [anon_sym_DOLLAR] = ACTIONS(1067),
    [anon_sym_PERCENT] = ACTIONS(1067),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_STAR] = ACTIONS(1067),
    [anon_sym_PLUS] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(1067),
    [anon_sym_DASH] = ACTIONS(1067),
    [anon_sym_DOT] = ACTIONS(1067),
    [anon_sym_SLASH] = ACTIONS(1067),
    [anon_sym_COLON] = ACTIONS(1067),
    [anon_sym_SEMI] = ACTIONS(1067),
    [anon_sym_EQ] = ACTIONS(1067),
    [anon_sym_QMARK] = ACTIONS(1067),
    [anon_sym_AT] = ACTIONS(1067),
    [anon_sym_BSLASH] = ACTIONS(1067),
    [anon_sym_CARET] = ACTIONS(1067),
    [anon_sym__] = ACTIONS(1067),
    [anon_sym_BQUOTE] = ACTIONS(1067),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(1067),
    [anon_sym_RBRACE] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_LPAREN] = ACTIONS(1067),
    [anon_sym_RPAREN] = ACTIONS(1067),
    [aux_sym__word_token1] = ACTIONS(1067),
    [aux_sym__word_token2] = ACTIONS(1067),
    [aux_sym__word_token3] = ACTIONS(1067),
    [sym__whitespace] = ACTIONS(1067),
    [sym__soft_line_ending] = ACTIONS(1067),
    [sym__block_quote_start] = ACTIONS(1067),
    [sym__indented_chunk_start] = ACTIONS(1067),
    [sym_atx_h1_marker] = ACTIONS(1067),
    [sym_atx_h2_marker] = ACTIONS(1067),
    [sym_atx_h3_marker] = ACTIONS(1067),
    [sym_atx_h4_marker] = ACTIONS(1067),
    [sym_atx_h5_marker] = ACTIONS(1067),
    [sym_atx_h6_marker] = ACTIONS(1067),
    [sym__thematic_break] = ACTIONS(1067),
    [sym__list_marker_minus] = ACTIONS(1067),
    [sym__list_marker_plus] = ACTIONS(1067),
    [sym__list_marker_star] = ACTIONS(1067),
    [sym__list_marker_parenthesis] = ACTIONS(1069),
    [sym__list_marker_dot] = ACTIONS(1067),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1067),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1067),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1067),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1069),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1067),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1067),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1067),
    [sym__blank_line_start] = ACTIONS(1067),
    [sym__html_block_1_start] = ACTIONS(1067),
    [sym__html_block_2_start] = ACTIONS(1067),
    [sym__html_block_3_start] = ACTIONS(1067),
    [sym__html_block_4_start] = ACTIONS(1067),
    [sym__html_block_5_start] = ACTIONS(1067),
    [sym__html_block_6_start] = ACTIONS(1067),
    [sym__html_block_7_start] = ACTIONS(1067),
    [sym__pipe_table_start] = ACTIONS(1067),
  },
  [79] = {
    [sym_list_marker_dot] = STATE(6),
    [sym__list_item_dot] = STATE(79),
    [aux_sym__list_dot_repeat1] = STATE(79),
    [ts_builtin_sym_end] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_RBRACK] = ACTIONS(1084),
    [anon_sym_LT] = ACTIONS(1084),
    [anon_sym_GT] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_DQUOTE] = ACTIONS(1084),
    [anon_sym_POUND] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1084),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_AMP] = ACTIONS(1084),
    [anon_sym_SQUOTE] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_SLASH] = ACTIONS(1084),
    [anon_sym_COLON] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1084),
    [anon_sym_EQ] = ACTIONS(1084),
    [anon_sym_QMARK] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1084),
    [anon_sym_CARET] = ACTIONS(1084),
    [anon_sym__] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1084),
    [anon_sym_PIPE] = ACTIONS(1084),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(1084),
    [aux_sym__word_token1] = ACTIONS(1084),
    [aux_sym__word_token2] = ACTIONS(1084),
    [aux_sym__word_token3] = ACTIONS(1084),
    [sym__whitespace] = ACTIONS(1084),
    [sym__soft_line_ending] = ACTIONS(1084),
    [sym__block_quote_start] = ACTIONS(1084),
    [sym__indented_chunk_start] = ACTIONS(1084),
    [sym_atx_h1_marker] = ACTIONS(1084),
    [sym_atx_h2_marker] = ACTIONS(1084),
    [sym_atx_h3_marker] = ACTIONS(1084),
    [sym_atx_h4_marker] = ACTIONS(1084),
    [sym_atx_h5_marker] = ACTIONS(1084),
    [sym_atx_h6_marker] = ACTIONS(1084),
    [sym__thematic_break] = ACTIONS(1084),
    [sym__list_marker_minus] = ACTIONS(1084),
    [sym__list_marker_plus] = ACTIONS(1084),
    [sym__list_marker_star] = ACTIONS(1084),
    [sym__list_marker_parenthesis] = ACTIONS(1084),
    [sym__list_marker_dot] = ACTIONS(1088),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1084),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1084),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1084),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1084),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1088),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1084),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1084),
    [sym__blank_line_start] = ACTIONS(1084),
    [sym__html_block_1_start] = ACTIONS(1084),
    [sym__html_block_2_start] = ACTIONS(1084),
    [sym__html_block_3_start] = ACTIONS(1084),
    [sym__html_block_4_start] = ACTIONS(1084),
    [sym__html_block_5_start] = ACTIONS(1084),
    [sym__html_block_6_start] = ACTIONS(1084),
    [sym__html_block_7_start] = ACTIONS(1084),
    [sym__pipe_table_start] = ACTIONS(1084),
  },
  [80] = {
    [sym_list_marker_star] = STATE(5),
    [sym__list_item_star] = STATE(80),
    [aux_sym__list_star_repeat1] = STATE(80),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_RBRACK] = ACTIONS(1060),
    [anon_sym_LT] = ACTIONS(1060),
    [anon_sym_GT] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [anon_sym_POUND] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1060),
    [anon_sym_PERCENT] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1060),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [anon_sym_STAR] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1060),
    [anon_sym_COMMA] = ACTIONS(1060),
    [anon_sym_DASH] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1060),
    [anon_sym_SLASH] = ACTIONS(1060),
    [anon_sym_COLON] = ACTIONS(1060),
    [anon_sym_SEMI] = ACTIONS(1060),
    [anon_sym_EQ] = ACTIONS(1060),
    [anon_sym_QMARK] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1060),
    [anon_sym_BSLASH] = ACTIONS(1060),
    [anon_sym_CARET] = ACTIONS(1060),
    [anon_sym__] = ACTIONS(1060),
    [anon_sym_BQUOTE] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_PIPE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_RPAREN] = ACTIONS(1060),
    [aux_sym__word_token1] = ACTIONS(1060),
    [aux_sym__word_token2] = ACTIONS(1060),
    [aux_sym__word_token3] = ACTIONS(1060),
    [sym__whitespace] = ACTIONS(1060),
    [sym__soft_line_ending] = ACTIONS(1060),
    [sym__block_quote_start] = ACTIONS(1060),
    [sym__indented_chunk_start] = ACTIONS(1060),
    [sym_atx_h1_marker] = ACTIONS(1060),
    [sym_atx_h2_marker] = ACTIONS(1060),
    [sym_atx_h3_marker] = ACTIONS(1060),
    [sym_atx_h4_marker] = ACTIONS(1060),
    [sym_atx_h5_marker] = ACTIONS(1060),
    [sym_atx_h6_marker] = ACTIONS(1060),
    [sym__thematic_break] = ACTIONS(1060),
    [sym__list_marker_minus] = ACTIONS(1060),
    [sym__list_marker_plus] = ACTIONS(1060),
    [sym__list_marker_star] = ACTIONS(1062),
    [sym__list_marker_parenthesis] = ACTIONS(1060),
    [sym__list_marker_dot] = ACTIONS(1060),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1060),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1060),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1062),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1060),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1060),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1060),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1060),
    [sym__blank_line_start] = ACTIONS(1060),
    [sym__html_block_1_start] = ACTIONS(1060),
    [sym__html_block_2_start] = ACTIONS(1060),
    [sym__html_block_3_start] = ACTIONS(1060),
    [sym__html_block_4_start] = ACTIONS(1060),
    [sym__html_block_5_start] = ACTIONS(1060),
    [sym__html_block_6_start] = ACTIONS(1060),
    [sym__html_block_7_start] = ACTIONS(1060),
    [sym__pipe_table_start] = ACTIONS(1060),
  },
  [81] = {
    [sym_list_marker_minus] = STATE(4),
    [sym__list_item_minus] = STATE(81),
    [aux_sym__list_minus_repeat1] = STATE(81),
    [ts_builtin_sym_end] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_RBRACK] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_DQUOTE] = ACTIONS(1091),
    [anon_sym_POUND] = ACTIONS(1091),
    [anon_sym_DOLLAR] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_SQUOTE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1091),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_BSLASH] = ACTIONS(1091),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym__] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_RPAREN] = ACTIONS(1091),
    [aux_sym__word_token1] = ACTIONS(1091),
    [aux_sym__word_token2] = ACTIONS(1091),
    [aux_sym__word_token3] = ACTIONS(1091),
    [sym__whitespace] = ACTIONS(1091),
    [sym__soft_line_ending] = ACTIONS(1091),
    [sym__block_quote_start] = ACTIONS(1091),
    [sym__indented_chunk_start] = ACTIONS(1091),
    [sym_atx_h1_marker] = ACTIONS(1091),
    [sym_atx_h2_marker] = ACTIONS(1091),
    [sym_atx_h3_marker] = ACTIONS(1091),
    [sym_atx_h4_marker] = ACTIONS(1091),
    [sym_atx_h5_marker] = ACTIONS(1091),
    [sym_atx_h6_marker] = ACTIONS(1091),
    [sym__thematic_break] = ACTIONS(1091),
    [sym__list_marker_minus] = ACTIONS(1095),
    [sym__list_marker_plus] = ACTIONS(1091),
    [sym__list_marker_star] = ACTIONS(1091),
    [sym__list_marker_parenthesis] = ACTIONS(1091),
    [sym__list_marker_dot] = ACTIONS(1091),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1095),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1091),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1091),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1091),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1091),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1091),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1091),
    [sym__blank_line_start] = ACTIONS(1091),
    [sym__html_block_1_start] = ACTIONS(1091),
    [sym__html_block_2_start] = ACTIONS(1091),
    [sym__html_block_3_start] = ACTIONS(1091),
    [sym__html_block_4_start] = ACTIONS(1091),
    [sym__html_block_5_start] = ACTIONS(1091),
    [sym__html_block_6_start] = ACTIONS(1091),
    [sym__html_block_7_start] = ACTIONS(1091),
    [sym__pipe_table_start] = ACTIONS(1091),
  },
  [82] = {
    [sym_list_marker_plus] = STATE(3),
    [sym__list_item_plus] = STATE(82),
    [aux_sym__list_plus_repeat1] = STATE(82),
    [ts_builtin_sym_end] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_RBRACK] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1098),
    [anon_sym_GT] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [anon_sym_POUND] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1098),
    [anon_sym_PERCENT] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [anon_sym_STAR] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_COMMA] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_DOT] = ACTIONS(1098),
    [anon_sym_SLASH] = ACTIONS(1098),
    [anon_sym_COLON] = ACTIONS(1098),
    [anon_sym_SEMI] = ACTIONS(1098),
    [anon_sym_EQ] = ACTIONS(1098),
    [anon_sym_QMARK] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [anon_sym_BSLASH] = ACTIONS(1098),
    [anon_sym_CARET] = ACTIONS(1098),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_PIPE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_LPAREN] = ACTIONS(1098),
    [anon_sym_RPAREN] = ACTIONS(1098),
    [aux_sym__word_token1] = ACTIONS(1098),
    [aux_sym__word_token2] = ACTIONS(1098),
    [aux_sym__word_token3] = ACTIONS(1098),
    [sym__whitespace] = ACTIONS(1098),
    [sym__soft_line_ending] = ACTIONS(1098),
    [sym__block_quote_start] = ACTIONS(1098),
    [sym__indented_chunk_start] = ACTIONS(1098),
    [sym_atx_h1_marker] = ACTIONS(1098),
    [sym_atx_h2_marker] = ACTIONS(1098),
    [sym_atx_h3_marker] = ACTIONS(1098),
    [sym_atx_h4_marker] = ACTIONS(1098),
    [sym_atx_h5_marker] = ACTIONS(1098),
    [sym_atx_h6_marker] = ACTIONS(1098),
    [sym__thematic_break] = ACTIONS(1098),
    [sym__list_marker_minus] = ACTIONS(1098),
    [sym__list_marker_plus] = ACTIONS(1102),
    [sym__list_marker_star] = ACTIONS(1098),
    [sym__list_marker_parenthesis] = ACTIONS(1098),
    [sym__list_marker_dot] = ACTIONS(1098),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1098),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1102),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1098),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1098),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1098),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1098),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1098),
    [sym__blank_line_start] = ACTIONS(1098),
    [sym__html_block_1_start] = ACTIONS(1098),
    [sym__html_block_2_start] = ACTIONS(1098),
    [sym__html_block_3_start] = ACTIONS(1098),
    [sym__html_block_4_start] = ACTIONS(1098),
    [sym__html_block_5_start] = ACTIONS(1098),
    [sym__html_block_6_start] = ACTIONS(1098),
    [sym__html_block_7_start] = ACTIONS(1098),
    [sym__pipe_table_start] = ACTIONS(1098),
  },
  [83] = {
    [sym_list_marker_parenthesis] = STATE(10),
    [sym__list_item_parenthesis] = STATE(74),
    [aux_sym__list_parenthesis_repeat1] = STATE(74),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_RBRACK] = ACTIONS(1072),
    [anon_sym_LT] = ACTIONS(1072),
    [anon_sym_GT] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [anon_sym_POUND] = ACTIONS(1072),
    [anon_sym_DOLLAR] = ACTIONS(1072),
    [anon_sym_PERCENT] = ACTIONS(1072),
    [anon_sym_AMP] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [anon_sym_STAR] = ACTIONS(1072),
    [anon_sym_PLUS] = ACTIONS(1072),
    [anon_sym_COMMA] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1072),
    [anon_sym_DOT] = ACTIONS(1072),
    [anon_sym_SLASH] = ACTIONS(1072),
    [anon_sym_COLON] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_EQ] = ACTIONS(1072),
    [anon_sym_QMARK] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1072),
    [anon_sym_BSLASH] = ACTIONS(1072),
    [anon_sym_CARET] = ACTIONS(1072),
    [anon_sym__] = ACTIONS(1072),
    [anon_sym_BQUOTE] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_PIPE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_RPAREN] = ACTIONS(1072),
    [aux_sym__word_token1] = ACTIONS(1072),
    [aux_sym__word_token2] = ACTIONS(1072),
    [aux_sym__word_token3] = ACTIONS(1072),
    [sym__whitespace] = ACTIONS(1072),
    [sym__soft_line_ending] = ACTIONS(1072),
    [sym__block_close] = ACTIONS(1072),
    [sym__block_quote_start] = ACTIONS(1072),
    [sym__indented_chunk_start] = ACTIONS(1072),
    [sym_atx_h1_marker] = ACTIONS(1072),
    [sym_atx_h2_marker] = ACTIONS(1072),
    [sym_atx_h3_marker] = ACTIONS(1072),
    [sym_atx_h4_marker] = ACTIONS(1072),
    [sym_atx_h5_marker] = ACTIONS(1072),
    [sym_atx_h6_marker] = ACTIONS(1072),
    [sym__thematic_break] = ACTIONS(1072),
    [sym__list_marker_minus] = ACTIONS(1072),
    [sym__list_marker_plus] = ACTIONS(1072),
    [sym__list_marker_star] = ACTIONS(1072),
    [sym__list_marker_parenthesis] = ACTIONS(37),
    [sym__list_marker_dot] = ACTIONS(1072),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1072),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1072),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1072),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(37),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1072),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1072),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1072),
    [sym__blank_line_start] = ACTIONS(1072),
    [sym__html_block_1_start] = ACTIONS(1072),
    [sym__html_block_2_start] = ACTIONS(1072),
    [sym__html_block_3_start] = ACTIONS(1072),
    [sym__html_block_4_start] = ACTIONS(1072),
    [sym__html_block_5_start] = ACTIONS(1072),
    [sym__html_block_6_start] = ACTIONS(1072),
    [sym__html_block_7_start] = ACTIONS(1072),
    [sym__pipe_table_start] = ACTIONS(1072),
  },
  [84] = {
    [sym_list_marker_dot] = STATE(9),
    [sym__list_item_dot] = STATE(96),
    [aux_sym__list_dot_repeat1] = STATE(96),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1107),
    [anon_sym_GT] = ACTIONS(1107),
    [anon_sym_BANG] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [anon_sym_POUND] = ACTIONS(1107),
    [anon_sym_DOLLAR] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1107),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_STAR] = ACTIONS(1107),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_COLON] = ACTIONS(1107),
    [anon_sym_SEMI] = ACTIONS(1107),
    [anon_sym_EQ] = ACTIONS(1107),
    [anon_sym_QMARK] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1107),
    [anon_sym_BSLASH] = ACTIONS(1107),
    [anon_sym_CARET] = ACTIONS(1107),
    [anon_sym__] = ACTIONS(1107),
    [anon_sym_BQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1107),
    [anon_sym_PIPE] = ACTIONS(1107),
    [anon_sym_RBRACE] = ACTIONS(1107),
    [anon_sym_TILDE] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_RPAREN] = ACTIONS(1107),
    [aux_sym__word_token1] = ACTIONS(1107),
    [aux_sym__word_token2] = ACTIONS(1107),
    [aux_sym__word_token3] = ACTIONS(1107),
    [sym__whitespace] = ACTIONS(1107),
    [sym__soft_line_ending] = ACTIONS(1107),
    [sym__block_close] = ACTIONS(1107),
    [sym__block_quote_start] = ACTIONS(1107),
    [sym__indented_chunk_start] = ACTIONS(1107),
    [sym_atx_h1_marker] = ACTIONS(1107),
    [sym_atx_h2_marker] = ACTIONS(1107),
    [sym_atx_h3_marker] = ACTIONS(1107),
    [sym_atx_h4_marker] = ACTIONS(1107),
    [sym_atx_h5_marker] = ACTIONS(1107),
    [sym_atx_h6_marker] = ACTIONS(1107),
    [sym__thematic_break] = ACTIONS(1107),
    [sym__list_marker_minus] = ACTIONS(1107),
    [sym__list_marker_plus] = ACTIONS(1107),
    [sym__list_marker_star] = ACTIONS(1107),
    [sym__list_marker_parenthesis] = ACTIONS(1107),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1107),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1107),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1107),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1107),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1107),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1107),
    [sym__blank_line_start] = ACTIONS(1107),
    [sym__html_block_1_start] = ACTIONS(1107),
    [sym__html_block_2_start] = ACTIONS(1107),
    [sym__html_block_3_start] = ACTIONS(1107),
    [sym__html_block_4_start] = ACTIONS(1107),
    [sym__html_block_5_start] = ACTIONS(1107),
    [sym__html_block_6_start] = ACTIONS(1107),
    [sym__html_block_7_start] = ACTIONS(1107),
    [sym__pipe_table_start] = ACTIONS(1107),
  },
  [85] = {
    [sym_list_marker_star] = STATE(7),
    [sym__list_item_star] = STATE(73),
    [aux_sym__list_star_repeat1] = STATE(73),
    [anon_sym_LBRACK] = ACTIONS(1109),
    [anon_sym_RBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [anon_sym_POUND] = ACTIONS(1111),
    [anon_sym_DOLLAR] = ACTIONS(1111),
    [anon_sym_PERCENT] = ACTIONS(1111),
    [anon_sym_AMP] = ACTIONS(1111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_STAR] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1111),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_DASH] = ACTIONS(1111),
    [anon_sym_DOT] = ACTIONS(1111),
    [anon_sym_SLASH] = ACTIONS(1111),
    [anon_sym_COLON] = ACTIONS(1111),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(1111),
    [anon_sym_QMARK] = ACTIONS(1111),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_BSLASH] = ACTIONS(1111),
    [anon_sym_CARET] = ACTIONS(1111),
    [anon_sym__] = ACTIONS(1111),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_PIPE] = ACTIONS(1111),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_RPAREN] = ACTIONS(1111),
    [aux_sym__word_token1] = ACTIONS(1111),
    [aux_sym__word_token2] = ACTIONS(1111),
    [aux_sym__word_token3] = ACTIONS(1111),
    [sym__whitespace] = ACTIONS(1111),
    [sym__soft_line_ending] = ACTIONS(1111),
    [sym__block_close] = ACTIONS(1111),
    [sym__block_quote_start] = ACTIONS(1111),
    [sym__indented_chunk_start] = ACTIONS(1111),
    [sym_atx_h1_marker] = ACTIONS(1111),
    [sym_atx_h2_marker] = ACTIONS(1111),
    [sym_atx_h3_marker] = ACTIONS(1111),
    [sym_atx_h4_marker] = ACTIONS(1111),
    [sym_atx_h5_marker] = ACTIONS(1111),
    [sym_atx_h6_marker] = ACTIONS(1111),
    [sym__thematic_break] = ACTIONS(1111),
    [sym__list_marker_minus] = ACTIONS(1111),
    [sym__list_marker_plus] = ACTIONS(1111),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(1111),
    [sym__list_marker_dot] = ACTIONS(1111),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1111),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1111),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1111),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1111),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1111),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1111),
    [sym__blank_line_start] = ACTIONS(1111),
    [sym__html_block_1_start] = ACTIONS(1111),
    [sym__html_block_2_start] = ACTIONS(1111),
    [sym__html_block_3_start] = ACTIONS(1111),
    [sym__html_block_4_start] = ACTIONS(1111),
    [sym__html_block_5_start] = ACTIONS(1111),
    [sym__html_block_6_start] = ACTIONS(1111),
    [sym__html_block_7_start] = ACTIONS(1111),
    [sym__pipe_table_start] = ACTIONS(1111),
  },
  [86] = {
    [sym_list_marker_minus] = STATE(2),
    [sym__list_item_minus] = STATE(95),
    [aux_sym__list_minus_repeat1] = STATE(95),
    [anon_sym_LBRACK] = ACTIONS(1113),
    [anon_sym_RBRACK] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1115),
    [anon_sym_DQUOTE] = ACTIONS(1115),
    [anon_sym_POUND] = ACTIONS(1115),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_AMP] = ACTIONS(1115),
    [anon_sym_SQUOTE] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1115),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_COMMA] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1115),
    [anon_sym_DOT] = ACTIONS(1115),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1115),
    [anon_sym_SEMI] = ACTIONS(1115),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1115),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_RPAREN] = ACTIONS(1115),
    [aux_sym__word_token1] = ACTIONS(1115),
    [aux_sym__word_token2] = ACTIONS(1115),
    [aux_sym__word_token3] = ACTIONS(1115),
    [sym__whitespace] = ACTIONS(1115),
    [sym__soft_line_ending] = ACTIONS(1115),
    [sym__block_close] = ACTIONS(1115),
    [sym__block_quote_start] = ACTIONS(1115),
    [sym__indented_chunk_start] = ACTIONS(1115),
    [sym_atx_h1_marker] = ACTIONS(1115),
    [sym_atx_h2_marker] = ACTIONS(1115),
    [sym_atx_h3_marker] = ACTIONS(1115),
    [sym_atx_h4_marker] = ACTIONS(1115),
    [sym_atx_h5_marker] = ACTIONS(1115),
    [sym_atx_h6_marker] = ACTIONS(1115),
    [sym__thematic_break] = ACTIONS(1115),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(1115),
    [sym__list_marker_star] = ACTIONS(1115),
    [sym__list_marker_parenthesis] = ACTIONS(1115),
    [sym__list_marker_dot] = ACTIONS(1115),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1115),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1115),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1115),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1115),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1115),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1115),
    [sym__blank_line_start] = ACTIONS(1115),
    [sym__html_block_1_start] = ACTIONS(1115),
    [sym__html_block_2_start] = ACTIONS(1115),
    [sym__html_block_3_start] = ACTIONS(1115),
    [sym__html_block_4_start] = ACTIONS(1115),
    [sym__html_block_5_start] = ACTIONS(1115),
    [sym__html_block_6_start] = ACTIONS(1115),
    [sym__html_block_7_start] = ACTIONS(1115),
    [sym__pipe_table_start] = ACTIONS(1115),
  },
  [87] = {
    [sym_list_marker_plus] = STATE(11),
    [sym__list_item_plus] = STATE(93),
    [aux_sym__list_plus_repeat1] = STATE(93),
    [anon_sym_LBRACK] = ACTIONS(1117),
    [anon_sym_RBRACK] = ACTIONS(1119),
    [anon_sym_LT] = ACTIONS(1119),
    [anon_sym_GT] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [anon_sym_POUND] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1119),
    [anon_sym_PERCENT] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_COMMA] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_DOT] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1119),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(1119),
    [anon_sym_AT] = ACTIONS(1119),
    [anon_sym_BSLASH] = ACTIONS(1119),
    [anon_sym_CARET] = ACTIONS(1119),
    [anon_sym__] = ACTIONS(1119),
    [anon_sym_BQUOTE] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_PIPE] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_RPAREN] = ACTIONS(1119),
    [aux_sym__word_token1] = ACTIONS(1119),
    [aux_sym__word_token2] = ACTIONS(1119),
    [aux_sym__word_token3] = ACTIONS(1119),
    [sym__whitespace] = ACTIONS(1119),
    [sym__soft_line_ending] = ACTIONS(1119),
    [sym__block_close] = ACTIONS(1119),
    [sym__block_quote_start] = ACTIONS(1119),
    [sym__indented_chunk_start] = ACTIONS(1119),
    [sym_atx_h1_marker] = ACTIONS(1119),
    [sym_atx_h2_marker] = ACTIONS(1119),
    [sym_atx_h3_marker] = ACTIONS(1119),
    [sym_atx_h4_marker] = ACTIONS(1119),
    [sym_atx_h5_marker] = ACTIONS(1119),
    [sym_atx_h6_marker] = ACTIONS(1119),
    [sym__thematic_break] = ACTIONS(1119),
    [sym__list_marker_minus] = ACTIONS(1119),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(1119),
    [sym__list_marker_parenthesis] = ACTIONS(1119),
    [sym__list_marker_dot] = ACTIONS(1119),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1119),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1119),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1119),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1119),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1119),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1119),
    [sym__blank_line_start] = ACTIONS(1119),
    [sym__html_block_1_start] = ACTIONS(1119),
    [sym__html_block_2_start] = ACTIONS(1119),
    [sym__html_block_3_start] = ACTIONS(1119),
    [sym__html_block_4_start] = ACTIONS(1119),
    [sym__html_block_5_start] = ACTIONS(1119),
    [sym__html_block_6_start] = ACTIONS(1119),
    [sym__html_block_7_start] = ACTIONS(1119),
    [sym__pipe_table_start] = ACTIONS(1119),
  },
  [88] = {
    [sym__indented_chunk] = STATE(88),
    [sym__blank_line] = STATE(88),
    [aux_sym_indented_code_block_repeat1] = STATE(88),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_RBRACK] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_POUND] = ACTIONS(1123),
    [anon_sym_DOLLAR] = ACTIONS(1123),
    [anon_sym_PERCENT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_SLASH] = ACTIONS(1123),
    [anon_sym_COLON] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_BSLASH] = ACTIONS(1123),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym__] = ACTIONS(1123),
    [anon_sym_BQUOTE] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(1123),
    [aux_sym__word_token1] = ACTIONS(1123),
    [aux_sym__word_token2] = ACTIONS(1123),
    [aux_sym__word_token3] = ACTIONS(1123),
    [sym__whitespace] = ACTIONS(1123),
    [sym__soft_line_ending] = ACTIONS(1123),
    [sym__block_close] = ACTIONS(1123),
    [sym__block_quote_start] = ACTIONS(1123),
    [sym__indented_chunk_start] = ACTIONS(1125),
    [sym_atx_h1_marker] = ACTIONS(1123),
    [sym_atx_h2_marker] = ACTIONS(1123),
    [sym_atx_h3_marker] = ACTIONS(1123),
    [sym_atx_h4_marker] = ACTIONS(1123),
    [sym_atx_h5_marker] = ACTIONS(1123),
    [sym_atx_h6_marker] = ACTIONS(1123),
    [sym__thematic_break] = ACTIONS(1123),
    [sym__list_marker_minus] = ACTIONS(1123),
    [sym__list_marker_plus] = ACTIONS(1123),
    [sym__list_marker_star] = ACTIONS(1123),
    [sym__list_marker_parenthesis] = ACTIONS(1123),
    [sym__list_marker_dot] = ACTIONS(1123),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1123),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1123),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1123),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1123),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1123),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1123),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1123),
    [sym__blank_line_start] = ACTIONS(1128),
    [sym__html_block_1_start] = ACTIONS(1123),
    [sym__html_block_2_start] = ACTIONS(1123),
    [sym__html_block_3_start] = ACTIONS(1123),
    [sym__html_block_4_start] = ACTIONS(1123),
    [sym__html_block_5_start] = ACTIONS(1123),
    [sym__html_block_6_start] = ACTIONS(1123),
    [sym__html_block_7_start] = ACTIONS(1123),
    [sym__pipe_table_start] = ACTIONS(1123),
  },
  [89] = {
    [sym__indented_chunk] = STATE(90),
    [sym__blank_line] = STATE(90),
    [aux_sym_indented_code_block_repeat1] = STATE(90),
    [anon_sym_LBRACK] = ACTIONS(1131),
    [anon_sym_RBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(1133),
    [anon_sym_GT] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [anon_sym_POUND] = ACTIONS(1133),
    [anon_sym_DOLLAR] = ACTIONS(1133),
    [anon_sym_PERCENT] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_COMMA] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1133),
    [anon_sym_DOT] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1133),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym_EQ] = ACTIONS(1133),
    [anon_sym_QMARK] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1133),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_CARET] = ACTIONS(1133),
    [anon_sym__] = ACTIONS(1133),
    [anon_sym_BQUOTE] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_PIPE] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [aux_sym__word_token1] = ACTIONS(1133),
    [aux_sym__word_token2] = ACTIONS(1133),
    [aux_sym__word_token3] = ACTIONS(1133),
    [sym__whitespace] = ACTIONS(1133),
    [sym__soft_line_ending] = ACTIONS(1133),
    [sym__block_close] = ACTIONS(1133),
    [sym__block_quote_start] = ACTIONS(1133),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(1133),
    [sym_atx_h2_marker] = ACTIONS(1133),
    [sym_atx_h3_marker] = ACTIONS(1133),
    [sym_atx_h4_marker] = ACTIONS(1133),
    [sym_atx_h5_marker] = ACTIONS(1133),
    [sym_atx_h6_marker] = ACTIONS(1133),
    [sym__thematic_break] = ACTIONS(1133),
    [sym__list_marker_minus] = ACTIONS(1133),
    [sym__list_marker_plus] = ACTIONS(1133),
    [sym__list_marker_star] = ACTIONS(1133),
    [sym__list_marker_parenthesis] = ACTIONS(1133),
    [sym__list_marker_dot] = ACTIONS(1133),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1133),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1133),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1133),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1133),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1133),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1133),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1133),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(1133),
    [sym__html_block_2_start] = ACTIONS(1133),
    [sym__html_block_3_start] = ACTIONS(1133),
    [sym__html_block_4_start] = ACTIONS(1133),
    [sym__html_block_5_start] = ACTIONS(1133),
    [sym__html_block_6_start] = ACTIONS(1133),
    [sym__html_block_7_start] = ACTIONS(1133),
    [sym__pipe_table_start] = ACTIONS(1133),
  },
  [90] = {
    [sym__indented_chunk] = STATE(88),
    [sym__blank_line] = STATE(88),
    [aux_sym_indented_code_block_repeat1] = STATE(88),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_RBRACK] = ACTIONS(1137),
    [anon_sym_LT] = ACTIONS(1137),
    [anon_sym_GT] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_POUND] = ACTIONS(1137),
    [anon_sym_DOLLAR] = ACTIONS(1137),
    [anon_sym_PERCENT] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_PLUS] = ACTIONS(1137),
    [anon_sym_COMMA] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(1137),
    [anon_sym_SLASH] = ACTIONS(1137),
    [anon_sym_COLON] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_QMARK] = ACTIONS(1137),
    [anon_sym_AT] = ACTIONS(1137),
    [anon_sym_BSLASH] = ACTIONS(1137),
    [anon_sym_CARET] = ACTIONS(1137),
    [anon_sym__] = ACTIONS(1137),
    [anon_sym_BQUOTE] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_PIPE] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1137),
    [anon_sym_RPAREN] = ACTIONS(1137),
    [aux_sym__word_token1] = ACTIONS(1137),
    [aux_sym__word_token2] = ACTIONS(1137),
    [aux_sym__word_token3] = ACTIONS(1137),
    [sym__whitespace] = ACTIONS(1137),
    [sym__soft_line_ending] = ACTIONS(1137),
    [sym__block_close] = ACTIONS(1137),
    [sym__block_quote_start] = ACTIONS(1137),
    [sym__indented_chunk_start] = ACTIONS(75),
    [sym_atx_h1_marker] = ACTIONS(1137),
    [sym_atx_h2_marker] = ACTIONS(1137),
    [sym_atx_h3_marker] = ACTIONS(1137),
    [sym_atx_h4_marker] = ACTIONS(1137),
    [sym_atx_h5_marker] = ACTIONS(1137),
    [sym_atx_h6_marker] = ACTIONS(1137),
    [sym__thematic_break] = ACTIONS(1137),
    [sym__list_marker_minus] = ACTIONS(1137),
    [sym__list_marker_plus] = ACTIONS(1137),
    [sym__list_marker_star] = ACTIONS(1137),
    [sym__list_marker_parenthesis] = ACTIONS(1137),
    [sym__list_marker_dot] = ACTIONS(1137),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1137),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1137),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1137),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1137),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1137),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1137),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1137),
    [sym__blank_line_start] = ACTIONS(95),
    [sym__html_block_1_start] = ACTIONS(1137),
    [sym__html_block_2_start] = ACTIONS(1137),
    [sym__html_block_3_start] = ACTIONS(1137),
    [sym__html_block_4_start] = ACTIONS(1137),
    [sym__html_block_5_start] = ACTIONS(1137),
    [sym__html_block_6_start] = ACTIONS(1137),
    [sym__html_block_7_start] = ACTIONS(1137),
    [sym__pipe_table_start] = ACTIONS(1137),
  },
  [91] = {
    [sym__indented_chunk] = STATE(91),
    [sym__blank_line] = STATE(91),
    [aux_sym_indented_code_block_repeat1] = STATE(91),
    [ts_builtin_sym_end] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [anon_sym_RBRACK] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_POUND] = ACTIONS(1123),
    [anon_sym_DOLLAR] = ACTIONS(1123),
    [anon_sym_PERCENT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_SLASH] = ACTIONS(1123),
    [anon_sym_COLON] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_BSLASH] = ACTIONS(1123),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym__] = ACTIONS(1123),
    [anon_sym_BQUOTE] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(1123),
    [aux_sym__word_token1] = ACTIONS(1123),
    [aux_sym__word_token2] = ACTIONS(1123),
    [aux_sym__word_token3] = ACTIONS(1123),
    [sym__whitespace] = ACTIONS(1123),
    [sym__soft_line_ending] = ACTIONS(1123),
    [sym__block_quote_start] = ACTIONS(1123),
    [sym__indented_chunk_start] = ACTIONS(1139),
    [sym_atx_h1_marker] = ACTIONS(1123),
    [sym_atx_h2_marker] = ACTIONS(1123),
    [sym_atx_h3_marker] = ACTIONS(1123),
    [sym_atx_h4_marker] = ACTIONS(1123),
    [sym_atx_h5_marker] = ACTIONS(1123),
    [sym_atx_h6_marker] = ACTIONS(1123),
    [sym__thematic_break] = ACTIONS(1123),
    [sym__list_marker_minus] = ACTIONS(1123),
    [sym__list_marker_plus] = ACTIONS(1123),
    [sym__list_marker_star] = ACTIONS(1123),
    [sym__list_marker_parenthesis] = ACTIONS(1123),
    [sym__list_marker_dot] = ACTIONS(1123),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1123),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1123),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1123),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1123),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1123),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1123),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1123),
    [sym__blank_line_start] = ACTIONS(1142),
    [sym__html_block_1_start] = ACTIONS(1123),
    [sym__html_block_2_start] = ACTIONS(1123),
    [sym__html_block_3_start] = ACTIONS(1123),
    [sym__html_block_4_start] = ACTIONS(1123),
    [sym__html_block_5_start] = ACTIONS(1123),
    [sym__html_block_6_start] = ACTIONS(1123),
    [sym__html_block_7_start] = ACTIONS(1123),
    [sym__pipe_table_start] = ACTIONS(1123),
  },
  [92] = {
    [sym__indented_chunk] = STATE(91),
    [sym__blank_line] = STATE(91),
    [aux_sym_indented_code_block_repeat1] = STATE(91),
    [ts_builtin_sym_end] = ACTIONS(1137),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_RBRACK] = ACTIONS(1137),
    [anon_sym_LT] = ACTIONS(1137),
    [anon_sym_GT] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_POUND] = ACTIONS(1137),
    [anon_sym_DOLLAR] = ACTIONS(1137),
    [anon_sym_PERCENT] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_PLUS] = ACTIONS(1137),
    [anon_sym_COMMA] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(1137),
    [anon_sym_SLASH] = ACTIONS(1137),
    [anon_sym_COLON] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_QMARK] = ACTIONS(1137),
    [anon_sym_AT] = ACTIONS(1137),
    [anon_sym_BSLASH] = ACTIONS(1137),
    [anon_sym_CARET] = ACTIONS(1137),
    [anon_sym__] = ACTIONS(1137),
    [anon_sym_BQUOTE] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_PIPE] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1137),
    [anon_sym_RPAREN] = ACTIONS(1137),
    [aux_sym__word_token1] = ACTIONS(1137),
    [aux_sym__word_token2] = ACTIONS(1137),
    [aux_sym__word_token3] = ACTIONS(1137),
    [sym__whitespace] = ACTIONS(1137),
    [sym__soft_line_ending] = ACTIONS(1137),
    [sym__block_quote_start] = ACTIONS(1137),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(1137),
    [sym_atx_h2_marker] = ACTIONS(1137),
    [sym_atx_h3_marker] = ACTIONS(1137),
    [sym_atx_h4_marker] = ACTIONS(1137),
    [sym_atx_h5_marker] = ACTIONS(1137),
    [sym_atx_h6_marker] = ACTIONS(1137),
    [sym__thematic_break] = ACTIONS(1137),
    [sym__list_marker_minus] = ACTIONS(1137),
    [sym__list_marker_plus] = ACTIONS(1137),
    [sym__list_marker_star] = ACTIONS(1137),
    [sym__list_marker_parenthesis] = ACTIONS(1137),
    [sym__list_marker_dot] = ACTIONS(1137),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1137),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1137),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1137),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1137),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1137),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1137),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1137),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(1137),
    [sym__html_block_2_start] = ACTIONS(1137),
    [sym__html_block_3_start] = ACTIONS(1137),
    [sym__html_block_4_start] = ACTIONS(1137),
    [sym__html_block_5_start] = ACTIONS(1137),
    [sym__html_block_6_start] = ACTIONS(1137),
    [sym__html_block_7_start] = ACTIONS(1137),
    [sym__pipe_table_start] = ACTIONS(1137),
  },
  [93] = {
    [sym_list_marker_plus] = STATE(11),
    [sym__list_item_plus] = STATE(93),
    [aux_sym__list_plus_repeat1] = STATE(93),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_RBRACK] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1098),
    [anon_sym_GT] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [anon_sym_POUND] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1098),
    [anon_sym_PERCENT] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [anon_sym_STAR] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_COMMA] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_DOT] = ACTIONS(1098),
    [anon_sym_SLASH] = ACTIONS(1098),
    [anon_sym_COLON] = ACTIONS(1098),
    [anon_sym_SEMI] = ACTIONS(1098),
    [anon_sym_EQ] = ACTIONS(1098),
    [anon_sym_QMARK] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [anon_sym_BSLASH] = ACTIONS(1098),
    [anon_sym_CARET] = ACTIONS(1098),
    [anon_sym__] = ACTIONS(1098),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_PIPE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_LPAREN] = ACTIONS(1098),
    [anon_sym_RPAREN] = ACTIONS(1098),
    [aux_sym__word_token1] = ACTIONS(1098),
    [aux_sym__word_token2] = ACTIONS(1098),
    [aux_sym__word_token3] = ACTIONS(1098),
    [sym__whitespace] = ACTIONS(1098),
    [sym__soft_line_ending] = ACTIONS(1098),
    [sym__block_close] = ACTIONS(1098),
    [sym__block_quote_start] = ACTIONS(1098),
    [sym__indented_chunk_start] = ACTIONS(1098),
    [sym_atx_h1_marker] = ACTIONS(1098),
    [sym_atx_h2_marker] = ACTIONS(1098),
    [sym_atx_h3_marker] = ACTIONS(1098),
    [sym_atx_h4_marker] = ACTIONS(1098),
    [sym_atx_h5_marker] = ACTIONS(1098),
    [sym_atx_h6_marker] = ACTIONS(1098),
    [sym__thematic_break] = ACTIONS(1098),
    [sym__list_marker_minus] = ACTIONS(1098),
    [sym__list_marker_plus] = ACTIONS(1102),
    [sym__list_marker_star] = ACTIONS(1098),
    [sym__list_marker_parenthesis] = ACTIONS(1098),
    [sym__list_marker_dot] = ACTIONS(1098),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1098),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1102),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1098),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1098),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1098),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1098),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1098),
    [sym__blank_line_start] = ACTIONS(1098),
    [sym__html_block_1_start] = ACTIONS(1098),
    [sym__html_block_2_start] = ACTIONS(1098),
    [sym__html_block_3_start] = ACTIONS(1098),
    [sym__html_block_4_start] = ACTIONS(1098),
    [sym__html_block_5_start] = ACTIONS(1098),
    [sym__html_block_6_start] = ACTIONS(1098),
    [sym__html_block_7_start] = ACTIONS(1098),
    [sym__pipe_table_start] = ACTIONS(1098),
  },
  [94] = {
    [sym__indented_chunk] = STATE(92),
    [sym__blank_line] = STATE(92),
    [aux_sym_indented_code_block_repeat1] = STATE(92),
    [ts_builtin_sym_end] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1131),
    [anon_sym_RBRACK] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(1133),
    [anon_sym_GT] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [anon_sym_POUND] = ACTIONS(1133),
    [anon_sym_DOLLAR] = ACTIONS(1133),
    [anon_sym_PERCENT] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_COMMA] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1133),
    [anon_sym_DOT] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1133),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym_EQ] = ACTIONS(1133),
    [anon_sym_QMARK] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1133),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_CARET] = ACTIONS(1133),
    [anon_sym__] = ACTIONS(1133),
    [anon_sym_BQUOTE] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_PIPE] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [aux_sym__word_token1] = ACTIONS(1133),
    [aux_sym__word_token2] = ACTIONS(1133),
    [aux_sym__word_token3] = ACTIONS(1133),
    [sym__whitespace] = ACTIONS(1133),
    [sym__soft_line_ending] = ACTIONS(1133),
    [sym__block_quote_start] = ACTIONS(1133),
    [sym__indented_chunk_start] = ACTIONS(15),
    [sym_atx_h1_marker] = ACTIONS(1133),
    [sym_atx_h2_marker] = ACTIONS(1133),
    [sym_atx_h3_marker] = ACTIONS(1133),
    [sym_atx_h4_marker] = ACTIONS(1133),
    [sym_atx_h5_marker] = ACTIONS(1133),
    [sym_atx_h6_marker] = ACTIONS(1133),
    [sym__thematic_break] = ACTIONS(1133),
    [sym__list_marker_minus] = ACTIONS(1133),
    [sym__list_marker_plus] = ACTIONS(1133),
    [sym__list_marker_star] = ACTIONS(1133),
    [sym__list_marker_parenthesis] = ACTIONS(1133),
    [sym__list_marker_dot] = ACTIONS(1133),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1133),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1133),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1133),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1133),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1133),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1133),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1133),
    [sym__blank_line_start] = ACTIONS(45),
    [sym__html_block_1_start] = ACTIONS(1133),
    [sym__html_block_2_start] = ACTIONS(1133),
    [sym__html_block_3_start] = ACTIONS(1133),
    [sym__html_block_4_start] = ACTIONS(1133),
    [sym__html_block_5_start] = ACTIONS(1133),
    [sym__html_block_6_start] = ACTIONS(1133),
    [sym__html_block_7_start] = ACTIONS(1133),
    [sym__pipe_table_start] = ACTIONS(1133),
  },
  [95] = {
    [sym_list_marker_minus] = STATE(2),
    [sym__list_item_minus] = STATE(95),
    [aux_sym__list_minus_repeat1] = STATE(95),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_RBRACK] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_DQUOTE] = ACTIONS(1091),
    [anon_sym_POUND] = ACTIONS(1091),
    [anon_sym_DOLLAR] = ACTIONS(1091),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_SQUOTE] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1091),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_COLON] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_BSLASH] = ACTIONS(1091),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym__] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_RPAREN] = ACTIONS(1091),
    [aux_sym__word_token1] = ACTIONS(1091),
    [aux_sym__word_token2] = ACTIONS(1091),
    [aux_sym__word_token3] = ACTIONS(1091),
    [sym__whitespace] = ACTIONS(1091),
    [sym__soft_line_ending] = ACTIONS(1091),
    [sym__block_close] = ACTIONS(1091),
    [sym__block_quote_start] = ACTIONS(1091),
    [sym__indented_chunk_start] = ACTIONS(1091),
    [sym_atx_h1_marker] = ACTIONS(1091),
    [sym_atx_h2_marker] = ACTIONS(1091),
    [sym_atx_h3_marker] = ACTIONS(1091),
    [sym_atx_h4_marker] = ACTIONS(1091),
    [sym_atx_h5_marker] = ACTIONS(1091),
    [sym_atx_h6_marker] = ACTIONS(1091),
    [sym__thematic_break] = ACTIONS(1091),
    [sym__list_marker_minus] = ACTIONS(1095),
    [sym__list_marker_plus] = ACTIONS(1091),
    [sym__list_marker_star] = ACTIONS(1091),
    [sym__list_marker_parenthesis] = ACTIONS(1091),
    [sym__list_marker_dot] = ACTIONS(1091),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1095),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1091),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1091),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1091),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1091),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1091),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1091),
    [sym__blank_line_start] = ACTIONS(1091),
    [sym__html_block_1_start] = ACTIONS(1091),
    [sym__html_block_2_start] = ACTIONS(1091),
    [sym__html_block_3_start] = ACTIONS(1091),
    [sym__html_block_4_start] = ACTIONS(1091),
    [sym__html_block_5_start] = ACTIONS(1091),
    [sym__html_block_6_start] = ACTIONS(1091),
    [sym__html_block_7_start] = ACTIONS(1091),
    [sym__pipe_table_start] = ACTIONS(1091),
  },
  [96] = {
    [sym_list_marker_dot] = STATE(9),
    [sym__list_item_dot] = STATE(96),
    [aux_sym__list_dot_repeat1] = STATE(96),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_RBRACK] = ACTIONS(1084),
    [anon_sym_LT] = ACTIONS(1084),
    [anon_sym_GT] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_DQUOTE] = ACTIONS(1084),
    [anon_sym_POUND] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1084),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_AMP] = ACTIONS(1084),
    [anon_sym_SQUOTE] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_DOT] = ACTIONS(1084),
    [anon_sym_SLASH] = ACTIONS(1084),
    [anon_sym_COLON] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1084),
    [anon_sym_EQ] = ACTIONS(1084),
    [anon_sym_QMARK] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1084),
    [anon_sym_CARET] = ACTIONS(1084),
    [anon_sym__] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1084),
    [anon_sym_PIPE] = ACTIONS(1084),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(1084),
    [aux_sym__word_token1] = ACTIONS(1084),
    [aux_sym__word_token2] = ACTIONS(1084),
    [aux_sym__word_token3] = ACTIONS(1084),
    [sym__whitespace] = ACTIONS(1084),
    [sym__soft_line_ending] = ACTIONS(1084),
    [sym__block_close] = ACTIONS(1084),
    [sym__block_quote_start] = ACTIONS(1084),
    [sym__indented_chunk_start] = ACTIONS(1084),
    [sym_atx_h1_marker] = ACTIONS(1084),
    [sym_atx_h2_marker] = ACTIONS(1084),
    [sym_atx_h3_marker] = ACTIONS(1084),
    [sym_atx_h4_marker] = ACTIONS(1084),
    [sym_atx_h5_marker] = ACTIONS(1084),
    [sym_atx_h6_marker] = ACTIONS(1084),
    [sym__thematic_break] = ACTIONS(1084),
    [sym__list_marker_minus] = ACTIONS(1084),
    [sym__list_marker_plus] = ACTIONS(1084),
    [sym__list_marker_star] = ACTIONS(1084),
    [sym__list_marker_parenthesis] = ACTIONS(1084),
    [sym__list_marker_dot] = ACTIONS(1088),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1084),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1084),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1084),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1084),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1088),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1084),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1084),
    [sym__blank_line_start] = ACTIONS(1084),
    [sym__html_block_1_start] = ACTIONS(1084),
    [sym__html_block_2_start] = ACTIONS(1084),
    [sym__html_block_3_start] = ACTIONS(1084),
    [sym__html_block_4_start] = ACTIONS(1084),
    [sym__html_block_5_start] = ACTIONS(1084),
    [sym__html_block_6_start] = ACTIONS(1084),
    [sym__html_block_7_start] = ACTIONS(1084),
    [sym__pipe_table_start] = ACTIONS(1084),
  },
  [97] = {
    [sym_list_marker_dot] = STATE(6),
    [sym__list_item_dot] = STATE(79),
    [aux_sym__list_dot_repeat1] = STATE(79),
    [ts_builtin_sym_end] = ACTIONS(1107),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACK] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1107),
    [anon_sym_GT] = ACTIONS(1107),
    [anon_sym_BANG] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [anon_sym_POUND] = ACTIONS(1107),
    [anon_sym_DOLLAR] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(1107),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_STAR] = ACTIONS(1107),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_COLON] = ACTIONS(1107),
    [anon_sym_SEMI] = ACTIONS(1107),
    [anon_sym_EQ] = ACTIONS(1107),
    [anon_sym_QMARK] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1107),
    [anon_sym_BSLASH] = ACTIONS(1107),
    [anon_sym_CARET] = ACTIONS(1107),
    [anon_sym__] = ACTIONS(1107),
    [anon_sym_BQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1107),
    [anon_sym_PIPE] = ACTIONS(1107),
    [anon_sym_RBRACE] = ACTIONS(1107),
    [anon_sym_TILDE] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_RPAREN] = ACTIONS(1107),
    [aux_sym__word_token1] = ACTIONS(1107),
    [aux_sym__word_token2] = ACTIONS(1107),
    [aux_sym__word_token3] = ACTIONS(1107),
    [sym__whitespace] = ACTIONS(1107),
    [sym__soft_line_ending] = ACTIONS(1107),
    [sym__block_quote_start] = ACTIONS(1107),
    [sym__indented_chunk_start] = ACTIONS(1107),
    [sym_atx_h1_marker] = ACTIONS(1107),
    [sym_atx_h2_marker] = ACTIONS(1107),
    [sym_atx_h3_marker] = ACTIONS(1107),
    [sym_atx_h4_marker] = ACTIONS(1107),
    [sym_atx_h5_marker] = ACTIONS(1107),
    [sym_atx_h6_marker] = ACTIONS(1107),
    [sym__thematic_break] = ACTIONS(1107),
    [sym__list_marker_minus] = ACTIONS(1107),
    [sym__list_marker_plus] = ACTIONS(1107),
    [sym__list_marker_star] = ACTIONS(1107),
    [sym__list_marker_parenthesis] = ACTIONS(1107),
    [sym__list_marker_dot] = ACTIONS(39),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1107),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1107),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1107),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1107),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(39),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1107),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1107),
    [sym__blank_line_start] = ACTIONS(1107),
    [sym__html_block_1_start] = ACTIONS(1107),
    [sym__html_block_2_start] = ACTIONS(1107),
    [sym__html_block_3_start] = ACTIONS(1107),
    [sym__html_block_4_start] = ACTIONS(1107),
    [sym__html_block_5_start] = ACTIONS(1107),
    [sym__html_block_6_start] = ACTIONS(1107),
    [sym__html_block_7_start] = ACTIONS(1107),
    [sym__pipe_table_start] = ACTIONS(1107),
  },
  [98] = {
    [sym_list_marker_plus] = STATE(3),
    [sym__list_item_plus] = STATE(82),
    [aux_sym__list_plus_repeat1] = STATE(82),
    [ts_builtin_sym_end] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1117),
    [anon_sym_RBRACK] = ACTIONS(1119),
    [anon_sym_LT] = ACTIONS(1119),
    [anon_sym_GT] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [anon_sym_POUND] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1119),
    [anon_sym_PERCENT] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_COMMA] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_DOT] = ACTIONS(1119),
    [anon_sym_SLASH] = ACTIONS(1119),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym_EQ] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(1119),
    [anon_sym_AT] = ACTIONS(1119),
    [anon_sym_BSLASH] = ACTIONS(1119),
    [anon_sym_CARET] = ACTIONS(1119),
    [anon_sym__] = ACTIONS(1119),
    [anon_sym_BQUOTE] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_PIPE] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_RPAREN] = ACTIONS(1119),
    [aux_sym__word_token1] = ACTIONS(1119),
    [aux_sym__word_token2] = ACTIONS(1119),
    [aux_sym__word_token3] = ACTIONS(1119),
    [sym__whitespace] = ACTIONS(1119),
    [sym__soft_line_ending] = ACTIONS(1119),
    [sym__block_quote_start] = ACTIONS(1119),
    [sym__indented_chunk_start] = ACTIONS(1119),
    [sym_atx_h1_marker] = ACTIONS(1119),
    [sym_atx_h2_marker] = ACTIONS(1119),
    [sym_atx_h3_marker] = ACTIONS(1119),
    [sym_atx_h4_marker] = ACTIONS(1119),
    [sym_atx_h5_marker] = ACTIONS(1119),
    [sym_atx_h6_marker] = ACTIONS(1119),
    [sym__thematic_break] = ACTIONS(1119),
    [sym__list_marker_minus] = ACTIONS(1119),
    [sym__list_marker_plus] = ACTIONS(33),
    [sym__list_marker_star] = ACTIONS(1119),
    [sym__list_marker_parenthesis] = ACTIONS(1119),
    [sym__list_marker_dot] = ACTIONS(1119),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1119),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(33),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1119),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1119),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1119),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1119),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1119),
    [sym__blank_line_start] = ACTIONS(1119),
    [sym__html_block_1_start] = ACTIONS(1119),
    [sym__html_block_2_start] = ACTIONS(1119),
    [sym__html_block_3_start] = ACTIONS(1119),
    [sym__html_block_4_start] = ACTIONS(1119),
    [sym__html_block_5_start] = ACTIONS(1119),
    [sym__html_block_6_start] = ACTIONS(1119),
    [sym__html_block_7_start] = ACTIONS(1119),
    [sym__pipe_table_start] = ACTIONS(1119),
  },
  [99] = {
    [sym_list_marker_star] = STATE(5),
    [sym__list_item_star] = STATE(80),
    [aux_sym__list_star_repeat1] = STATE(80),
    [ts_builtin_sym_end] = ACTIONS(1111),
    [anon_sym_LBRACK] = ACTIONS(1109),
    [anon_sym_RBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [anon_sym_POUND] = ACTIONS(1111),
    [anon_sym_DOLLAR] = ACTIONS(1111),
    [anon_sym_PERCENT] = ACTIONS(1111),
    [anon_sym_AMP] = ACTIONS(1111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_STAR] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1111),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_DASH] = ACTIONS(1111),
    [anon_sym_DOT] = ACTIONS(1111),
    [anon_sym_SLASH] = ACTIONS(1111),
    [anon_sym_COLON] = ACTIONS(1111),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(1111),
    [anon_sym_QMARK] = ACTIONS(1111),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_BSLASH] = ACTIONS(1111),
    [anon_sym_CARET] = ACTIONS(1111),
    [anon_sym__] = ACTIONS(1111),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_PIPE] = ACTIONS(1111),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_RPAREN] = ACTIONS(1111),
    [aux_sym__word_token1] = ACTIONS(1111),
    [aux_sym__word_token2] = ACTIONS(1111),
    [aux_sym__word_token3] = ACTIONS(1111),
    [sym__whitespace] = ACTIONS(1111),
    [sym__soft_line_ending] = ACTIONS(1111),
    [sym__block_quote_start] = ACTIONS(1111),
    [sym__indented_chunk_start] = ACTIONS(1111),
    [sym_atx_h1_marker] = ACTIONS(1111),
    [sym_atx_h2_marker] = ACTIONS(1111),
    [sym_atx_h3_marker] = ACTIONS(1111),
    [sym_atx_h4_marker] = ACTIONS(1111),
    [sym_atx_h5_marker] = ACTIONS(1111),
    [sym_atx_h6_marker] = ACTIONS(1111),
    [sym__thematic_break] = ACTIONS(1111),
    [sym__list_marker_minus] = ACTIONS(1111),
    [sym__list_marker_plus] = ACTIONS(1111),
    [sym__list_marker_star] = ACTIONS(35),
    [sym__list_marker_parenthesis] = ACTIONS(1111),
    [sym__list_marker_dot] = ACTIONS(1111),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1111),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1111),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(35),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1111),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1111),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1111),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1111),
    [sym__blank_line_start] = ACTIONS(1111),
    [sym__html_block_1_start] = ACTIONS(1111),
    [sym__html_block_2_start] = ACTIONS(1111),
    [sym__html_block_3_start] = ACTIONS(1111),
    [sym__html_block_4_start] = ACTIONS(1111),
    [sym__html_block_5_start] = ACTIONS(1111),
    [sym__html_block_6_start] = ACTIONS(1111),
    [sym__html_block_7_start] = ACTIONS(1111),
    [sym__pipe_table_start] = ACTIONS(1111),
  },
  [100] = {
    [sym_list_marker_minus] = STATE(4),
    [sym__list_item_minus] = STATE(81),
    [aux_sym__list_minus_repeat1] = STATE(81),
    [ts_builtin_sym_end] = ACTIONS(1115),
    [anon_sym_LBRACK] = ACTIONS(1113),
    [anon_sym_RBRACK] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1115),
    [anon_sym_DQUOTE] = ACTIONS(1115),
    [anon_sym_POUND] = ACTIONS(1115),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_PERCENT] = ACTIONS(1115),
    [anon_sym_AMP] = ACTIONS(1115),
    [anon_sym_SQUOTE] = ACTIONS(1115),
    [anon_sym_STAR] = ACTIONS(1115),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_COMMA] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1115),
    [anon_sym_DOT] = ACTIONS(1115),
    [anon_sym_SLASH] = ACTIONS(1115),
    [anon_sym_COLON] = ACTIONS(1115),
    [anon_sym_SEMI] = ACTIONS(1115),
    [anon_sym_EQ] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_CARET] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1115),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_RPAREN] = ACTIONS(1115),
    [aux_sym__word_token1] = ACTIONS(1115),
    [aux_sym__word_token2] = ACTIONS(1115),
    [aux_sym__word_token3] = ACTIONS(1115),
    [sym__whitespace] = ACTIONS(1115),
    [sym__soft_line_ending] = ACTIONS(1115),
    [sym__block_quote_start] = ACTIONS(1115),
    [sym__indented_chunk_start] = ACTIONS(1115),
    [sym_atx_h1_marker] = ACTIONS(1115),
    [sym_atx_h2_marker] = ACTIONS(1115),
    [sym_atx_h3_marker] = ACTIONS(1115),
    [sym_atx_h4_marker] = ACTIONS(1115),
    [sym_atx_h5_marker] = ACTIONS(1115),
    [sym_atx_h6_marker] = ACTIONS(1115),
    [sym__thematic_break] = ACTIONS(1115),
    [sym__list_marker_minus] = ACTIONS(31),
    [sym__list_marker_plus] = ACTIONS(1115),
    [sym__list_marker_star] = ACTIONS(1115),
    [sym__list_marker_parenthesis] = ACTIONS(1115),
    [sym__list_marker_dot] = ACTIONS(1115),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(31),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1115),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1115),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1115),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1115),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1115),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1115),
    [sym__blank_line_start] = ACTIONS(1115),
    [sym__html_block_1_start] = ACTIONS(1115),
    [sym__html_block_2_start] = ACTIONS(1115),
    [sym__html_block_3_start] = ACTIONS(1115),
    [sym__html_block_4_start] = ACTIONS(1115),
    [sym__html_block_5_start] = ACTIONS(1115),
    [sym__html_block_6_start] = ACTIONS(1115),
    [sym__html_block_7_start] = ACTIONS(1115),
    [sym__pipe_table_start] = ACTIONS(1115),
  },
  [101] = {
    [sym_link_title] = STATE(740),
    [ts_builtin_sym_end] = ACTIONS(1145),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_RBRACK] = ACTIONS(1145),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [anon_sym_POUND] = ACTIONS(1145),
    [anon_sym_DOLLAR] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_COMMA] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_DOT] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_COLON] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_EQ] = ACTIONS(1145),
    [anon_sym_QMARK] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_BSLASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1145),
    [anon_sym__] = ACTIONS(1145),
    [anon_sym_BQUOTE] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1155),
    [anon_sym_RPAREN] = ACTIONS(1145),
    [aux_sym__word_token1] = ACTIONS(1145),
    [aux_sym__word_token2] = ACTIONS(1145),
    [aux_sym__word_token3] = ACTIONS(1145),
    [sym__whitespace] = ACTIONS(1158),
    [sym__soft_line_ending] = ACTIONS(1145),
    [sym__block_quote_start] = ACTIONS(1145),
    [sym__indented_chunk_start] = ACTIONS(1145),
    [sym_atx_h1_marker] = ACTIONS(1145),
    [sym_atx_h2_marker] = ACTIONS(1145),
    [sym_atx_h3_marker] = ACTIONS(1145),
    [sym_atx_h4_marker] = ACTIONS(1145),
    [sym_atx_h5_marker] = ACTIONS(1145),
    [sym_atx_h6_marker] = ACTIONS(1145),
    [sym__thematic_break] = ACTIONS(1145),
    [sym__list_marker_minus] = ACTIONS(1145),
    [sym__list_marker_plus] = ACTIONS(1145),
    [sym__list_marker_star] = ACTIONS(1145),
    [sym__list_marker_parenthesis] = ACTIONS(1145),
    [sym__list_marker_dot] = ACTIONS(1145),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1145),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1145),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1145),
    [sym__blank_line_start] = ACTIONS(1145),
    [sym__html_block_1_start] = ACTIONS(1145),
    [sym__html_block_2_start] = ACTIONS(1145),
    [sym__html_block_3_start] = ACTIONS(1145),
    [sym__html_block_4_start] = ACTIONS(1145),
    [sym__html_block_5_start] = ACTIONS(1145),
    [sym__html_block_6_start] = ACTIONS(1145),
    [sym__html_block_7_start] = ACTIONS(1145),
    [sym__no_indented_chunk] = ACTIONS(1161),
    [sym__pipe_table_start] = ACTIONS(1145),
  },
  [102] = {
    [ts_builtin_sym_end] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_RBRACK] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_POUND] = ACTIONS(1163),
    [anon_sym_DOLLAR] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_COMMA] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_COLON] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym__] = ACTIONS(1163),
    [anon_sym_BQUOTE] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_RPAREN] = ACTIONS(1163),
    [aux_sym__word_token1] = ACTIONS(1163),
    [aux_sym__word_token2] = ACTIONS(1163),
    [aux_sym__word_token3] = ACTIONS(1163),
    [sym__whitespace] = ACTIONS(1163),
    [sym__soft_line_ending] = ACTIONS(1163),
    [sym_block_continuation] = ACTIONS(1167),
    [sym__block_quote_start] = ACTIONS(1163),
    [sym__indented_chunk_start] = ACTIONS(1163),
    [sym_atx_h1_marker] = ACTIONS(1163),
    [sym_atx_h2_marker] = ACTIONS(1163),
    [sym_atx_h3_marker] = ACTIONS(1163),
    [sym_atx_h4_marker] = ACTIONS(1163),
    [sym_atx_h5_marker] = ACTIONS(1163),
    [sym_atx_h6_marker] = ACTIONS(1163),
    [sym__thematic_break] = ACTIONS(1163),
    [sym__list_marker_minus] = ACTIONS(1163),
    [sym__list_marker_plus] = ACTIONS(1163),
    [sym__list_marker_star] = ACTIONS(1163),
    [sym__list_marker_parenthesis] = ACTIONS(1163),
    [sym__list_marker_dot] = ACTIONS(1163),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1163),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1163),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1163),
    [sym__blank_line_start] = ACTIONS(1163),
    [sym__html_block_1_start] = ACTIONS(1163),
    [sym__html_block_2_start] = ACTIONS(1163),
    [sym__html_block_3_start] = ACTIONS(1163),
    [sym__html_block_4_start] = ACTIONS(1163),
    [sym__html_block_5_start] = ACTIONS(1163),
    [sym__html_block_6_start] = ACTIONS(1163),
    [sym__html_block_7_start] = ACTIONS(1163),
    [sym__no_indented_chunk] = ACTIONS(1163),
    [sym__pipe_table_start] = ACTIONS(1163),
  },
  [103] = {
    [sym_link_title] = STATE(711),
    [ts_builtin_sym_end] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_RBRACK] = ACTIONS(1169),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [anon_sym_POUND] = ACTIONS(1169),
    [anon_sym_DOLLAR] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_EQ] = ACTIONS(1169),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_AT] = ACTIONS(1169),
    [anon_sym_BSLASH] = ACTIONS(1169),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym__] = ACTIONS(1169),
    [anon_sym_BQUOTE] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_RPAREN] = ACTIONS(1169),
    [aux_sym__word_token1] = ACTIONS(1169),
    [aux_sym__word_token2] = ACTIONS(1169),
    [aux_sym__word_token3] = ACTIONS(1169),
    [sym__whitespace] = ACTIONS(1182),
    [sym__soft_line_ending] = ACTIONS(1169),
    [sym__block_quote_start] = ACTIONS(1169),
    [sym__indented_chunk_start] = ACTIONS(1169),
    [sym_atx_h1_marker] = ACTIONS(1169),
    [sym_atx_h2_marker] = ACTIONS(1169),
    [sym_atx_h3_marker] = ACTIONS(1169),
    [sym_atx_h4_marker] = ACTIONS(1169),
    [sym_atx_h5_marker] = ACTIONS(1169),
    [sym_atx_h6_marker] = ACTIONS(1169),
    [sym__thematic_break] = ACTIONS(1169),
    [sym__list_marker_minus] = ACTIONS(1169),
    [sym__list_marker_plus] = ACTIONS(1169),
    [sym__list_marker_star] = ACTIONS(1169),
    [sym__list_marker_parenthesis] = ACTIONS(1169),
    [sym__list_marker_dot] = ACTIONS(1169),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1169),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1169),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1169),
    [sym__blank_line_start] = ACTIONS(1169),
    [sym__html_block_1_start] = ACTIONS(1169),
    [sym__html_block_2_start] = ACTIONS(1169),
    [sym__html_block_3_start] = ACTIONS(1169),
    [sym__html_block_4_start] = ACTIONS(1169),
    [sym__html_block_5_start] = ACTIONS(1169),
    [sym__html_block_6_start] = ACTIONS(1169),
    [sym__html_block_7_start] = ACTIONS(1169),
    [sym__no_indented_chunk] = ACTIONS(1185),
    [sym__pipe_table_start] = ACTIONS(1169),
  },
  [104] = {
    [ts_builtin_sym_end] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_RBRACK] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_BANG] = ACTIONS(1187),
    [anon_sym_DQUOTE] = ACTIONS(1187),
    [anon_sym_POUND] = ACTIONS(1187),
    [anon_sym_DOLLAR] = ACTIONS(1187),
    [anon_sym_PERCENT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_SQUOTE] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_DOT] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1187),
    [anon_sym_COLON] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_QMARK] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(1187),
    [anon_sym_BSLASH] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1187),
    [anon_sym_BQUOTE] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_RBRACE] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [aux_sym__word_token1] = ACTIONS(1187),
    [aux_sym__word_token2] = ACTIONS(1187),
    [aux_sym__word_token3] = ACTIONS(1187),
    [sym__whitespace] = ACTIONS(1187),
    [sym__soft_line_ending] = ACTIONS(1187),
    [sym__block_quote_start] = ACTIONS(1187),
    [sym__indented_chunk_start] = ACTIONS(1187),
    [sym_atx_h1_marker] = ACTIONS(1187),
    [sym_atx_h2_marker] = ACTIONS(1187),
    [sym_atx_h3_marker] = ACTIONS(1187),
    [sym_atx_h4_marker] = ACTIONS(1187),
    [sym_atx_h5_marker] = ACTIONS(1187),
    [sym_atx_h6_marker] = ACTIONS(1187),
    [sym_setext_h1_underline] = ACTIONS(1187),
    [sym_setext_h2_underline] = ACTIONS(1187),
    [sym__thematic_break] = ACTIONS(1187),
    [sym__list_marker_minus] = ACTIONS(1187),
    [sym__list_marker_plus] = ACTIONS(1187),
    [sym__list_marker_star] = ACTIONS(1187),
    [sym__list_marker_parenthesis] = ACTIONS(1187),
    [sym__list_marker_dot] = ACTIONS(1187),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1187),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1187),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1187),
    [sym__blank_line_start] = ACTIONS(1187),
    [sym__html_block_1_start] = ACTIONS(1187),
    [sym__html_block_2_start] = ACTIONS(1187),
    [sym__html_block_3_start] = ACTIONS(1187),
    [sym__html_block_4_start] = ACTIONS(1187),
    [sym__html_block_5_start] = ACTIONS(1187),
    [sym__html_block_6_start] = ACTIONS(1187),
    [sym__html_block_7_start] = ACTIONS(1187),
    [sym__pipe_table_start] = ACTIONS(1187),
  },
  [105] = {
    [sym_link_title] = STATE(736),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [anon_sym_RBRACK] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_POUND] = ACTIONS(1193),
    [anon_sym_DOLLAR] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_DOT] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_COLON] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1193),
    [anon_sym_QMARK] = ACTIONS(1193),
    [anon_sym_AT] = ACTIONS(1193),
    [anon_sym_BSLASH] = ACTIONS(1193),
    [anon_sym_CARET] = ACTIONS(1193),
    [anon_sym__] = ACTIONS(1193),
    [anon_sym_BQUOTE] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_RPAREN] = ACTIONS(1193),
    [aux_sym__word_token1] = ACTIONS(1193),
    [aux_sym__word_token2] = ACTIONS(1193),
    [aux_sym__word_token3] = ACTIONS(1193),
    [sym__whitespace] = ACTIONS(1204),
    [sym__soft_line_ending] = ACTIONS(1193),
    [sym__block_close] = ACTIONS(1193),
    [sym__block_quote_start] = ACTIONS(1193),
    [sym__indented_chunk_start] = ACTIONS(1193),
    [sym_atx_h1_marker] = ACTIONS(1193),
    [sym_atx_h2_marker] = ACTIONS(1193),
    [sym_atx_h3_marker] = ACTIONS(1193),
    [sym_atx_h4_marker] = ACTIONS(1193),
    [sym_atx_h5_marker] = ACTIONS(1193),
    [sym_atx_h6_marker] = ACTIONS(1193),
    [sym__thematic_break] = ACTIONS(1193),
    [sym__list_marker_minus] = ACTIONS(1193),
    [sym__list_marker_plus] = ACTIONS(1193),
    [sym__list_marker_star] = ACTIONS(1193),
    [sym__list_marker_parenthesis] = ACTIONS(1193),
    [sym__list_marker_dot] = ACTIONS(1193),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1193),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1193),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1193),
    [sym__blank_line_start] = ACTIONS(1193),
    [sym__html_block_1_start] = ACTIONS(1193),
    [sym__html_block_2_start] = ACTIONS(1193),
    [sym__html_block_3_start] = ACTIONS(1193),
    [sym__html_block_4_start] = ACTIONS(1193),
    [sym__html_block_5_start] = ACTIONS(1193),
    [sym__html_block_6_start] = ACTIONS(1193),
    [sym__html_block_7_start] = ACTIONS(1193),
    [sym__no_indented_chunk] = ACTIONS(1207),
    [sym__pipe_table_start] = ACTIONS(1193),
  },
  [106] = {
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_RBRACK] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_BANG] = ACTIONS(1187),
    [anon_sym_DQUOTE] = ACTIONS(1187),
    [anon_sym_POUND] = ACTIONS(1187),
    [anon_sym_DOLLAR] = ACTIONS(1187),
    [anon_sym_PERCENT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_SQUOTE] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_DOT] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1187),
    [anon_sym_COLON] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_QMARK] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(1187),
    [anon_sym_BSLASH] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1187),
    [anon_sym_BQUOTE] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_RBRACE] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [aux_sym__word_token1] = ACTIONS(1187),
    [aux_sym__word_token2] = ACTIONS(1187),
    [aux_sym__word_token3] = ACTIONS(1187),
    [sym__whitespace] = ACTIONS(1187),
    [sym__soft_line_ending] = ACTIONS(1187),
    [sym__block_close] = ACTIONS(1187),
    [sym__block_quote_start] = ACTIONS(1187),
    [sym__indented_chunk_start] = ACTIONS(1187),
    [sym_atx_h1_marker] = ACTIONS(1187),
    [sym_atx_h2_marker] = ACTIONS(1187),
    [sym_atx_h3_marker] = ACTIONS(1187),
    [sym_atx_h4_marker] = ACTIONS(1187),
    [sym_atx_h5_marker] = ACTIONS(1187),
    [sym_atx_h6_marker] = ACTIONS(1187),
    [sym_setext_h1_underline] = ACTIONS(1187),
    [sym_setext_h2_underline] = ACTIONS(1187),
    [sym__thematic_break] = ACTIONS(1187),
    [sym__list_marker_minus] = ACTIONS(1187),
    [sym__list_marker_plus] = ACTIONS(1187),
    [sym__list_marker_star] = ACTIONS(1187),
    [sym__list_marker_parenthesis] = ACTIONS(1187),
    [sym__list_marker_dot] = ACTIONS(1187),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1187),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1187),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1187),
    [sym__blank_line_start] = ACTIONS(1187),
    [sym__html_block_1_start] = ACTIONS(1187),
    [sym__html_block_2_start] = ACTIONS(1187),
    [sym__html_block_3_start] = ACTIONS(1187),
    [sym__html_block_4_start] = ACTIONS(1187),
    [sym__html_block_5_start] = ACTIONS(1187),
    [sym__html_block_6_start] = ACTIONS(1187),
    [sym__html_block_7_start] = ACTIONS(1187),
    [sym__pipe_table_start] = ACTIONS(1187),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [anon_sym_POUND] = ACTIONS(1209),
    [anon_sym_DOLLAR] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_DOT] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1209),
    [anon_sym_COLON] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_EQ] = ACTIONS(1209),
    [anon_sym_QMARK] = ACTIONS(1209),
    [anon_sym_AT] = ACTIONS(1209),
    [anon_sym_BSLASH] = ACTIONS(1209),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym__] = ACTIONS(1209),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_RPAREN] = ACTIONS(1209),
    [aux_sym__word_token1] = ACTIONS(1209),
    [aux_sym__word_token2] = ACTIONS(1209),
    [aux_sym__word_token3] = ACTIONS(1209),
    [sym__whitespace] = ACTIONS(1209),
    [sym__soft_line_ending] = ACTIONS(1209),
    [sym__block_quote_start] = ACTIONS(1209),
    [sym__indented_chunk_start] = ACTIONS(1209),
    [sym_atx_h1_marker] = ACTIONS(1209),
    [sym_atx_h2_marker] = ACTIONS(1209),
    [sym_atx_h3_marker] = ACTIONS(1209),
    [sym_atx_h4_marker] = ACTIONS(1209),
    [sym_atx_h5_marker] = ACTIONS(1209),
    [sym_atx_h6_marker] = ACTIONS(1209),
    [sym_setext_h1_underline] = ACTIONS(1209),
    [sym_setext_h2_underline] = ACTIONS(1209),
    [sym__thematic_break] = ACTIONS(1209),
    [sym__list_marker_minus] = ACTIONS(1209),
    [sym__list_marker_plus] = ACTIONS(1209),
    [sym__list_marker_star] = ACTIONS(1209),
    [sym__list_marker_parenthesis] = ACTIONS(1209),
    [sym__list_marker_dot] = ACTIONS(1209),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1209),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1209),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1209),
    [sym__blank_line_start] = ACTIONS(1209),
    [sym__html_block_1_start] = ACTIONS(1209),
    [sym__html_block_2_start] = ACTIONS(1209),
    [sym__html_block_3_start] = ACTIONS(1209),
    [sym__html_block_4_start] = ACTIONS(1209),
    [sym__html_block_5_start] = ACTIONS(1209),
    [sym__html_block_6_start] = ACTIONS(1209),
    [sym__html_block_7_start] = ACTIONS(1209),
    [sym__pipe_table_start] = ACTIONS(1209),
  },
  [108] = {
    [sym_link_title] = STATE(724),
    [ts_builtin_sym_end] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_RBRACK] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [anon_sym_POUND] = ACTIONS(1213),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1213),
    [anon_sym_QMARK] = ACTIONS(1213),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_BSLASH] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym__] = ACTIONS(1213),
    [anon_sym_BQUOTE] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_RPAREN] = ACTIONS(1213),
    [aux_sym__word_token1] = ACTIONS(1213),
    [aux_sym__word_token2] = ACTIONS(1213),
    [aux_sym__word_token3] = ACTIONS(1213),
    [sym__whitespace] = ACTIONS(1226),
    [sym__soft_line_ending] = ACTIONS(1213),
    [sym__block_quote_start] = ACTIONS(1213),
    [sym__indented_chunk_start] = ACTIONS(1213),
    [sym_atx_h1_marker] = ACTIONS(1213),
    [sym_atx_h2_marker] = ACTIONS(1213),
    [sym_atx_h3_marker] = ACTIONS(1213),
    [sym_atx_h4_marker] = ACTIONS(1213),
    [sym_atx_h5_marker] = ACTIONS(1213),
    [sym_atx_h6_marker] = ACTIONS(1213),
    [sym__thematic_break] = ACTIONS(1213),
    [sym__list_marker_minus] = ACTIONS(1213),
    [sym__list_marker_plus] = ACTIONS(1213),
    [sym__list_marker_star] = ACTIONS(1213),
    [sym__list_marker_parenthesis] = ACTIONS(1213),
    [sym__list_marker_dot] = ACTIONS(1213),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1213),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1213),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1213),
    [sym__blank_line_start] = ACTIONS(1213),
    [sym__html_block_1_start] = ACTIONS(1213),
    [sym__html_block_2_start] = ACTIONS(1213),
    [sym__html_block_3_start] = ACTIONS(1213),
    [sym__html_block_4_start] = ACTIONS(1213),
    [sym__html_block_5_start] = ACTIONS(1213),
    [sym__html_block_6_start] = ACTIONS(1213),
    [sym__html_block_7_start] = ACTIONS(1213),
    [sym__no_indented_chunk] = ACTIONS(1229),
    [sym__pipe_table_start] = ACTIONS(1213),
  },
  [109] = {
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_POUND] = ACTIONS(1233),
    [anon_sym_DOLLAR] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_COMMA] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_COLON] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_EQ] = ACTIONS(1233),
    [anon_sym_QMARK] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1233),
    [anon_sym_BSLASH] = ACTIONS(1233),
    [anon_sym_CARET] = ACTIONS(1233),
    [anon_sym__] = ACTIONS(1233),
    [anon_sym_BQUOTE] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1233),
    [anon_sym_RPAREN] = ACTIONS(1233),
    [aux_sym__word_token1] = ACTIONS(1233),
    [aux_sym__word_token2] = ACTIONS(1233),
    [aux_sym__word_token3] = ACTIONS(1233),
    [sym__whitespace] = ACTIONS(1233),
    [sym__soft_line_ending] = ACTIONS(1233),
    [sym__block_close] = ACTIONS(1233),
    [sym__block_quote_start] = ACTIONS(1233),
    [sym__indented_chunk_start] = ACTIONS(1233),
    [sym_atx_h1_marker] = ACTIONS(1233),
    [sym_atx_h2_marker] = ACTIONS(1233),
    [sym_atx_h3_marker] = ACTIONS(1233),
    [sym_atx_h4_marker] = ACTIONS(1233),
    [sym_atx_h5_marker] = ACTIONS(1233),
    [sym_atx_h6_marker] = ACTIONS(1233),
    [sym_setext_h1_underline] = ACTIONS(1235),
    [sym_setext_h2_underline] = ACTIONS(1237),
    [sym__thematic_break] = ACTIONS(1233),
    [sym__list_marker_minus] = ACTIONS(1233),
    [sym__list_marker_plus] = ACTIONS(1233),
    [sym__list_marker_star] = ACTIONS(1233),
    [sym__list_marker_parenthesis] = ACTIONS(1233),
    [sym__list_marker_dot] = ACTIONS(1233),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1233),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1233),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1233),
    [sym__blank_line_start] = ACTIONS(1233),
    [sym__html_block_1_start] = ACTIONS(1233),
    [sym__html_block_2_start] = ACTIONS(1233),
    [sym__html_block_3_start] = ACTIONS(1233),
    [sym__html_block_4_start] = ACTIONS(1233),
    [sym__html_block_5_start] = ACTIONS(1233),
    [sym__html_block_6_start] = ACTIONS(1233),
    [sym__html_block_7_start] = ACTIONS(1233),
    [sym__pipe_table_start] = ACTIONS(1233),
  },
  [110] = {
    [sym_link_title] = STATE(709),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1241),
    [anon_sym_RBRACK] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1239),
    [anon_sym_GT] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1243),
    [anon_sym_POUND] = ACTIONS(1239),
    [anon_sym_DOLLAR] = ACTIONS(1239),
    [anon_sym_PERCENT] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1239),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_DOT] = ACTIONS(1239),
    [anon_sym_SLASH] = ACTIONS(1239),
    [anon_sym_COLON] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [anon_sym_QMARK] = ACTIONS(1239),
    [anon_sym_AT] = ACTIONS(1239),
    [anon_sym_BSLASH] = ACTIONS(1239),
    [anon_sym_CARET] = ACTIONS(1239),
    [anon_sym__] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1239),
    [anon_sym_PIPE] = ACTIONS(1239),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1249),
    [anon_sym_RPAREN] = ACTIONS(1239),
    [aux_sym__word_token1] = ACTIONS(1239),
    [aux_sym__word_token2] = ACTIONS(1239),
    [aux_sym__word_token3] = ACTIONS(1239),
    [sym__whitespace] = ACTIONS(1252),
    [sym__soft_line_ending] = ACTIONS(1239),
    [sym__block_quote_start] = ACTIONS(1239),
    [sym__indented_chunk_start] = ACTIONS(1239),
    [sym_atx_h1_marker] = ACTIONS(1239),
    [sym_atx_h2_marker] = ACTIONS(1239),
    [sym_atx_h3_marker] = ACTIONS(1239),
    [sym_atx_h4_marker] = ACTIONS(1239),
    [sym_atx_h5_marker] = ACTIONS(1239),
    [sym_atx_h6_marker] = ACTIONS(1239),
    [sym__thematic_break] = ACTIONS(1239),
    [sym__list_marker_minus] = ACTIONS(1239),
    [sym__list_marker_plus] = ACTIONS(1239),
    [sym__list_marker_star] = ACTIONS(1239),
    [sym__list_marker_parenthesis] = ACTIONS(1239),
    [sym__list_marker_dot] = ACTIONS(1239),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1239),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1239),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1239),
    [sym__blank_line_start] = ACTIONS(1239),
    [sym__html_block_1_start] = ACTIONS(1239),
    [sym__html_block_2_start] = ACTIONS(1239),
    [sym__html_block_3_start] = ACTIONS(1239),
    [sym__html_block_4_start] = ACTIONS(1239),
    [sym__html_block_5_start] = ACTIONS(1239),
    [sym__html_block_6_start] = ACTIONS(1239),
    [sym__html_block_7_start] = ACTIONS(1239),
    [sym__no_indented_chunk] = ACTIONS(1255),
    [sym__pipe_table_start] = ACTIONS(1239),
  },
  [111] = {
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [anon_sym_POUND] = ACTIONS(1209),
    [anon_sym_DOLLAR] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_DOT] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1209),
    [anon_sym_COLON] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_EQ] = ACTIONS(1209),
    [anon_sym_QMARK] = ACTIONS(1209),
    [anon_sym_AT] = ACTIONS(1209),
    [anon_sym_BSLASH] = ACTIONS(1209),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym__] = ACTIONS(1209),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_RPAREN] = ACTIONS(1209),
    [aux_sym__word_token1] = ACTIONS(1209),
    [aux_sym__word_token2] = ACTIONS(1209),
    [aux_sym__word_token3] = ACTIONS(1209),
    [sym__whitespace] = ACTIONS(1209),
    [sym__soft_line_ending] = ACTIONS(1209),
    [sym__block_close] = ACTIONS(1209),
    [sym__block_quote_start] = ACTIONS(1209),
    [sym__indented_chunk_start] = ACTIONS(1209),
    [sym_atx_h1_marker] = ACTIONS(1209),
    [sym_atx_h2_marker] = ACTIONS(1209),
    [sym_atx_h3_marker] = ACTIONS(1209),
    [sym_atx_h4_marker] = ACTIONS(1209),
    [sym_atx_h5_marker] = ACTIONS(1209),
    [sym_atx_h6_marker] = ACTIONS(1209),
    [sym_setext_h1_underline] = ACTIONS(1209),
    [sym_setext_h2_underline] = ACTIONS(1209),
    [sym__thematic_break] = ACTIONS(1209),
    [sym__list_marker_minus] = ACTIONS(1209),
    [sym__list_marker_plus] = ACTIONS(1209),
    [sym__list_marker_star] = ACTIONS(1209),
    [sym__list_marker_parenthesis] = ACTIONS(1209),
    [sym__list_marker_dot] = ACTIONS(1209),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1209),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1209),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1209),
    [sym__blank_line_start] = ACTIONS(1209),
    [sym__html_block_1_start] = ACTIONS(1209),
    [sym__html_block_2_start] = ACTIONS(1209),
    [sym__html_block_3_start] = ACTIONS(1209),
    [sym__html_block_4_start] = ACTIONS(1209),
    [sym__html_block_5_start] = ACTIONS(1209),
    [sym__html_block_6_start] = ACTIONS(1209),
    [sym__html_block_7_start] = ACTIONS(1209),
    [sym__pipe_table_start] = ACTIONS(1209),
  },
  [112] = {
    [ts_builtin_sym_end] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_POUND] = ACTIONS(1233),
    [anon_sym_DOLLAR] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_COMMA] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_COLON] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_EQ] = ACTIONS(1233),
    [anon_sym_QMARK] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1233),
    [anon_sym_BSLASH] = ACTIONS(1233),
    [anon_sym_CARET] = ACTIONS(1233),
    [anon_sym__] = ACTIONS(1233),
    [anon_sym_BQUOTE] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1233),
    [anon_sym_RPAREN] = ACTIONS(1233),
    [aux_sym__word_token1] = ACTIONS(1233),
    [aux_sym__word_token2] = ACTIONS(1233),
    [aux_sym__word_token3] = ACTIONS(1233),
    [sym__whitespace] = ACTIONS(1233),
    [sym__soft_line_ending] = ACTIONS(1233),
    [sym__block_quote_start] = ACTIONS(1233),
    [sym__indented_chunk_start] = ACTIONS(1233),
    [sym_atx_h1_marker] = ACTIONS(1233),
    [sym_atx_h2_marker] = ACTIONS(1233),
    [sym_atx_h3_marker] = ACTIONS(1233),
    [sym_atx_h4_marker] = ACTIONS(1233),
    [sym_atx_h5_marker] = ACTIONS(1233),
    [sym_atx_h6_marker] = ACTIONS(1233),
    [sym_setext_h1_underline] = ACTIONS(1257),
    [sym_setext_h2_underline] = ACTIONS(1259),
    [sym__thematic_break] = ACTIONS(1233),
    [sym__list_marker_minus] = ACTIONS(1233),
    [sym__list_marker_plus] = ACTIONS(1233),
    [sym__list_marker_star] = ACTIONS(1233),
    [sym__list_marker_parenthesis] = ACTIONS(1233),
    [sym__list_marker_dot] = ACTIONS(1233),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1233),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1233),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1233),
    [sym__blank_line_start] = ACTIONS(1233),
    [sym__html_block_1_start] = ACTIONS(1233),
    [sym__html_block_2_start] = ACTIONS(1233),
    [sym__html_block_3_start] = ACTIONS(1233),
    [sym__html_block_4_start] = ACTIONS(1233),
    [sym__html_block_5_start] = ACTIONS(1233),
    [sym__html_block_6_start] = ACTIONS(1233),
    [sym__html_block_7_start] = ACTIONS(1233),
    [sym__pipe_table_start] = ACTIONS(1233),
  },
  [113] = {
    [sym_link_title] = STATE(729),
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_RBRACK] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [anon_sym_POUND] = ACTIONS(1213),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1213),
    [anon_sym_QMARK] = ACTIONS(1213),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_BSLASH] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym__] = ACTIONS(1213),
    [anon_sym_BQUOTE] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_RPAREN] = ACTIONS(1213),
    [aux_sym__word_token1] = ACTIONS(1213),
    [aux_sym__word_token2] = ACTIONS(1213),
    [aux_sym__word_token3] = ACTIONS(1213),
    [sym__whitespace] = ACTIONS(1261),
    [sym__soft_line_ending] = ACTIONS(1213),
    [sym__block_close] = ACTIONS(1213),
    [sym__block_quote_start] = ACTIONS(1213),
    [sym__indented_chunk_start] = ACTIONS(1213),
    [sym_atx_h1_marker] = ACTIONS(1213),
    [sym_atx_h2_marker] = ACTIONS(1213),
    [sym_atx_h3_marker] = ACTIONS(1213),
    [sym_atx_h4_marker] = ACTIONS(1213),
    [sym_atx_h5_marker] = ACTIONS(1213),
    [sym_atx_h6_marker] = ACTIONS(1213),
    [sym__thematic_break] = ACTIONS(1213),
    [sym__list_marker_minus] = ACTIONS(1213),
    [sym__list_marker_plus] = ACTIONS(1213),
    [sym__list_marker_star] = ACTIONS(1213),
    [sym__list_marker_parenthesis] = ACTIONS(1213),
    [sym__list_marker_dot] = ACTIONS(1213),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1213),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1213),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1213),
    [sym__blank_line_start] = ACTIONS(1213),
    [sym__html_block_1_start] = ACTIONS(1213),
    [sym__html_block_2_start] = ACTIONS(1213),
    [sym__html_block_3_start] = ACTIONS(1213),
    [sym__html_block_4_start] = ACTIONS(1213),
    [sym__html_block_5_start] = ACTIONS(1213),
    [sym__html_block_6_start] = ACTIONS(1213),
    [sym__html_block_7_start] = ACTIONS(1213),
    [sym__no_indented_chunk] = ACTIONS(1264),
    [sym__pipe_table_start] = ACTIONS(1213),
  },
  [114] = {
    [sym_link_title] = STATE(730),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_RBRACK] = ACTIONS(1145),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [anon_sym_POUND] = ACTIONS(1145),
    [anon_sym_DOLLAR] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_COMMA] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_DOT] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_COLON] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_EQ] = ACTIONS(1145),
    [anon_sym_QMARK] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_BSLASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1145),
    [anon_sym__] = ACTIONS(1145),
    [anon_sym_BQUOTE] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1155),
    [anon_sym_RPAREN] = ACTIONS(1145),
    [aux_sym__word_token1] = ACTIONS(1145),
    [aux_sym__word_token2] = ACTIONS(1145),
    [aux_sym__word_token3] = ACTIONS(1145),
    [sym__whitespace] = ACTIONS(1266),
    [sym__soft_line_ending] = ACTIONS(1145),
    [sym__block_close] = ACTIONS(1145),
    [sym__block_quote_start] = ACTIONS(1145),
    [sym__indented_chunk_start] = ACTIONS(1145),
    [sym_atx_h1_marker] = ACTIONS(1145),
    [sym_atx_h2_marker] = ACTIONS(1145),
    [sym_atx_h3_marker] = ACTIONS(1145),
    [sym_atx_h4_marker] = ACTIONS(1145),
    [sym_atx_h5_marker] = ACTIONS(1145),
    [sym_atx_h6_marker] = ACTIONS(1145),
    [sym__thematic_break] = ACTIONS(1145),
    [sym__list_marker_minus] = ACTIONS(1145),
    [sym__list_marker_plus] = ACTIONS(1145),
    [sym__list_marker_star] = ACTIONS(1145),
    [sym__list_marker_parenthesis] = ACTIONS(1145),
    [sym__list_marker_dot] = ACTIONS(1145),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1145),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1145),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1145),
    [sym__blank_line_start] = ACTIONS(1145),
    [sym__html_block_1_start] = ACTIONS(1145),
    [sym__html_block_2_start] = ACTIONS(1145),
    [sym__html_block_3_start] = ACTIONS(1145),
    [sym__html_block_4_start] = ACTIONS(1145),
    [sym__html_block_5_start] = ACTIONS(1145),
    [sym__html_block_6_start] = ACTIONS(1145),
    [sym__html_block_7_start] = ACTIONS(1145),
    [sym__no_indented_chunk] = ACTIONS(1269),
    [sym__pipe_table_start] = ACTIONS(1145),
  },
  [115] = {
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_RBRACK] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_POUND] = ACTIONS(1163),
    [anon_sym_DOLLAR] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_COMMA] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_COLON] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym__] = ACTIONS(1163),
    [anon_sym_BQUOTE] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_RPAREN] = ACTIONS(1163),
    [aux_sym__word_token1] = ACTIONS(1163),
    [aux_sym__word_token2] = ACTIONS(1163),
    [aux_sym__word_token3] = ACTIONS(1163),
    [sym__whitespace] = ACTIONS(1163),
    [sym__soft_line_ending] = ACTIONS(1163),
    [sym__block_close] = ACTIONS(1163),
    [sym_block_continuation] = ACTIONS(1271),
    [sym__block_quote_start] = ACTIONS(1163),
    [sym__indented_chunk_start] = ACTIONS(1163),
    [sym_atx_h1_marker] = ACTIONS(1163),
    [sym_atx_h2_marker] = ACTIONS(1163),
    [sym_atx_h3_marker] = ACTIONS(1163),
    [sym_atx_h4_marker] = ACTIONS(1163),
    [sym_atx_h5_marker] = ACTIONS(1163),
    [sym_atx_h6_marker] = ACTIONS(1163),
    [sym__thematic_break] = ACTIONS(1163),
    [sym__list_marker_minus] = ACTIONS(1163),
    [sym__list_marker_plus] = ACTIONS(1163),
    [sym__list_marker_star] = ACTIONS(1163),
    [sym__list_marker_parenthesis] = ACTIONS(1163),
    [sym__list_marker_dot] = ACTIONS(1163),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1163),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1163),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1163),
    [sym__blank_line_start] = ACTIONS(1163),
    [sym__html_block_1_start] = ACTIONS(1163),
    [sym__html_block_2_start] = ACTIONS(1163),
    [sym__html_block_3_start] = ACTIONS(1163),
    [sym__html_block_4_start] = ACTIONS(1163),
    [sym__html_block_5_start] = ACTIONS(1163),
    [sym__html_block_6_start] = ACTIONS(1163),
    [sym__html_block_7_start] = ACTIONS(1163),
    [sym__no_indented_chunk] = ACTIONS(1163),
    [sym__pipe_table_start] = ACTIONS(1163),
  },
  [116] = {
    [sym_link_title] = STATE(733),
    [ts_builtin_sym_end] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [anon_sym_RBRACK] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_POUND] = ACTIONS(1193),
    [anon_sym_DOLLAR] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_DOT] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_COLON] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1193),
    [anon_sym_QMARK] = ACTIONS(1193),
    [anon_sym_AT] = ACTIONS(1193),
    [anon_sym_BSLASH] = ACTIONS(1193),
    [anon_sym_CARET] = ACTIONS(1193),
    [anon_sym__] = ACTIONS(1193),
    [anon_sym_BQUOTE] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_RPAREN] = ACTIONS(1193),
    [aux_sym__word_token1] = ACTIONS(1193),
    [aux_sym__word_token2] = ACTIONS(1193),
    [aux_sym__word_token3] = ACTIONS(1193),
    [sym__whitespace] = ACTIONS(1273),
    [sym__soft_line_ending] = ACTIONS(1193),
    [sym__block_quote_start] = ACTIONS(1193),
    [sym__indented_chunk_start] = ACTIONS(1193),
    [sym_atx_h1_marker] = ACTIONS(1193),
    [sym_atx_h2_marker] = ACTIONS(1193),
    [sym_atx_h3_marker] = ACTIONS(1193),
    [sym_atx_h4_marker] = ACTIONS(1193),
    [sym_atx_h5_marker] = ACTIONS(1193),
    [sym_atx_h6_marker] = ACTIONS(1193),
    [sym__thematic_break] = ACTIONS(1193),
    [sym__list_marker_minus] = ACTIONS(1193),
    [sym__list_marker_plus] = ACTIONS(1193),
    [sym__list_marker_star] = ACTIONS(1193),
    [sym__list_marker_parenthesis] = ACTIONS(1193),
    [sym__list_marker_dot] = ACTIONS(1193),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1193),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1193),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1193),
    [sym__blank_line_start] = ACTIONS(1193),
    [sym__html_block_1_start] = ACTIONS(1193),
    [sym__html_block_2_start] = ACTIONS(1193),
    [sym__html_block_3_start] = ACTIONS(1193),
    [sym__html_block_4_start] = ACTIONS(1193),
    [sym__html_block_5_start] = ACTIONS(1193),
    [sym__html_block_6_start] = ACTIONS(1193),
    [sym__html_block_7_start] = ACTIONS(1193),
    [sym__no_indented_chunk] = ACTIONS(1276),
    [sym__pipe_table_start] = ACTIONS(1193),
  },
  [117] = {
    [sym_link_title] = STATE(715),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_RBRACK] = ACTIONS(1169),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [anon_sym_POUND] = ACTIONS(1169),
    [anon_sym_DOLLAR] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_EQ] = ACTIONS(1169),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_AT] = ACTIONS(1169),
    [anon_sym_BSLASH] = ACTIONS(1169),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym__] = ACTIONS(1169),
    [anon_sym_BQUOTE] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_RPAREN] = ACTIONS(1169),
    [aux_sym__word_token1] = ACTIONS(1169),
    [aux_sym__word_token2] = ACTIONS(1169),
    [aux_sym__word_token3] = ACTIONS(1169),
    [sym__whitespace] = ACTIONS(1278),
    [sym__soft_line_ending] = ACTIONS(1169),
    [sym__block_close] = ACTIONS(1169),
    [sym__block_quote_start] = ACTIONS(1169),
    [sym__indented_chunk_start] = ACTIONS(1169),
    [sym_atx_h1_marker] = ACTIONS(1169),
    [sym_atx_h2_marker] = ACTIONS(1169),
    [sym_atx_h3_marker] = ACTIONS(1169),
    [sym_atx_h4_marker] = ACTIONS(1169),
    [sym_atx_h5_marker] = ACTIONS(1169),
    [sym_atx_h6_marker] = ACTIONS(1169),
    [sym__thematic_break] = ACTIONS(1169),
    [sym__list_marker_minus] = ACTIONS(1169),
    [sym__list_marker_plus] = ACTIONS(1169),
    [sym__list_marker_star] = ACTIONS(1169),
    [sym__list_marker_parenthesis] = ACTIONS(1169),
    [sym__list_marker_dot] = ACTIONS(1169),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1169),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1169),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1169),
    [sym__blank_line_start] = ACTIONS(1169),
    [sym__html_block_1_start] = ACTIONS(1169),
    [sym__html_block_2_start] = ACTIONS(1169),
    [sym__html_block_3_start] = ACTIONS(1169),
    [sym__html_block_4_start] = ACTIONS(1169),
    [sym__html_block_5_start] = ACTIONS(1169),
    [sym__html_block_6_start] = ACTIONS(1169),
    [sym__html_block_7_start] = ACTIONS(1169),
    [sym__no_indented_chunk] = ACTIONS(1281),
    [sym__pipe_table_start] = ACTIONS(1169),
  },
  [118] = {
    [sym_link_title] = STATE(708),
    [anon_sym_LBRACK] = ACTIONS(1241),
    [anon_sym_RBRACK] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1239),
    [anon_sym_GT] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1243),
    [anon_sym_POUND] = ACTIONS(1239),
    [anon_sym_DOLLAR] = ACTIONS(1239),
    [anon_sym_PERCENT] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1239),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_DOT] = ACTIONS(1239),
    [anon_sym_SLASH] = ACTIONS(1239),
    [anon_sym_COLON] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [anon_sym_QMARK] = ACTIONS(1239),
    [anon_sym_AT] = ACTIONS(1239),
    [anon_sym_BSLASH] = ACTIONS(1239),
    [anon_sym_CARET] = ACTIONS(1239),
    [anon_sym__] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1239),
    [anon_sym_PIPE] = ACTIONS(1239),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1249),
    [anon_sym_RPAREN] = ACTIONS(1239),
    [aux_sym__word_token1] = ACTIONS(1239),
    [aux_sym__word_token2] = ACTIONS(1239),
    [aux_sym__word_token3] = ACTIONS(1239),
    [sym__whitespace] = ACTIONS(1283),
    [sym__soft_line_ending] = ACTIONS(1239),
    [sym__block_close] = ACTIONS(1239),
    [sym__block_quote_start] = ACTIONS(1239),
    [sym__indented_chunk_start] = ACTIONS(1239),
    [sym_atx_h1_marker] = ACTIONS(1239),
    [sym_atx_h2_marker] = ACTIONS(1239),
    [sym_atx_h3_marker] = ACTIONS(1239),
    [sym_atx_h4_marker] = ACTIONS(1239),
    [sym_atx_h5_marker] = ACTIONS(1239),
    [sym_atx_h6_marker] = ACTIONS(1239),
    [sym__thematic_break] = ACTIONS(1239),
    [sym__list_marker_minus] = ACTIONS(1239),
    [sym__list_marker_plus] = ACTIONS(1239),
    [sym__list_marker_star] = ACTIONS(1239),
    [sym__list_marker_parenthesis] = ACTIONS(1239),
    [sym__list_marker_dot] = ACTIONS(1239),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1239),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1239),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1239),
    [sym__blank_line_start] = ACTIONS(1239),
    [sym__html_block_1_start] = ACTIONS(1239),
    [sym__html_block_2_start] = ACTIONS(1239),
    [sym__html_block_3_start] = ACTIONS(1239),
    [sym__html_block_4_start] = ACTIONS(1239),
    [sym__html_block_5_start] = ACTIONS(1239),
    [sym__html_block_6_start] = ACTIONS(1239),
    [sym__html_block_7_start] = ACTIONS(1239),
    [sym__no_indented_chunk] = ACTIONS(1286),
    [sym__pipe_table_start] = ACTIONS(1239),
  },
  [119] = {
    [ts_builtin_sym_end] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_RBRACK] = ACTIONS(1288),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [anon_sym_POUND] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_COMMA] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_COLON] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym_EQ] = ACTIONS(1288),
    [anon_sym_QMARK] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [anon_sym_RPAREN] = ACTIONS(1288),
    [aux_sym__word_token1] = ACTIONS(1288),
    [aux_sym__word_token2] = ACTIONS(1288),
    [aux_sym__word_token3] = ACTIONS(1288),
    [sym__whitespace] = ACTIONS(1288),
    [sym__soft_line_ending] = ACTIONS(1288),
    [sym_block_continuation] = ACTIONS(1292),
    [sym__block_quote_start] = ACTIONS(1288),
    [sym__indented_chunk_start] = ACTIONS(1288),
    [sym_atx_h1_marker] = ACTIONS(1288),
    [sym_atx_h2_marker] = ACTIONS(1288),
    [sym_atx_h3_marker] = ACTIONS(1288),
    [sym_atx_h4_marker] = ACTIONS(1288),
    [sym_atx_h5_marker] = ACTIONS(1288),
    [sym_atx_h6_marker] = ACTIONS(1288),
    [sym__thematic_break] = ACTIONS(1288),
    [sym__list_marker_minus] = ACTIONS(1288),
    [sym__list_marker_plus] = ACTIONS(1288),
    [sym__list_marker_star] = ACTIONS(1288),
    [sym__list_marker_parenthesis] = ACTIONS(1288),
    [sym__list_marker_dot] = ACTIONS(1288),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1288),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1288),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1288),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1288),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1288),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1288),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1288),
    [sym__blank_line_start] = ACTIONS(1288),
    [sym__html_block_1_start] = ACTIONS(1288),
    [sym__html_block_2_start] = ACTIONS(1288),
    [sym__html_block_3_start] = ACTIONS(1288),
    [sym__html_block_4_start] = ACTIONS(1288),
    [sym__html_block_5_start] = ACTIONS(1288),
    [sym__html_block_6_start] = ACTIONS(1288),
    [sym__html_block_7_start] = ACTIONS(1288),
    [sym__pipe_table_start] = ACTIONS(1288),
  },
  [120] = {
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_RBRACK] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [anon_sym_POUND] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_PERCENT] = ACTIONS(1296),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_SEMI] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_QMARK] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1296),
    [anon_sym__] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [anon_sym_RPAREN] = ACTIONS(1296),
    [aux_sym__word_token1] = ACTIONS(1296),
    [aux_sym__word_token2] = ACTIONS(1296),
    [aux_sym__word_token3] = ACTIONS(1296),
    [sym__whitespace] = ACTIONS(1296),
    [sym__soft_line_ending] = ACTIONS(1296),
    [sym__block_close] = ACTIONS(1296),
    [sym_block_continuation] = ACTIONS(1298),
    [sym__block_quote_start] = ACTIONS(1296),
    [sym__indented_chunk_start] = ACTIONS(1296),
    [sym_atx_h1_marker] = ACTIONS(1296),
    [sym_atx_h2_marker] = ACTIONS(1296),
    [sym_atx_h3_marker] = ACTIONS(1296),
    [sym_atx_h4_marker] = ACTIONS(1296),
    [sym_atx_h5_marker] = ACTIONS(1296),
    [sym_atx_h6_marker] = ACTIONS(1296),
    [sym__thematic_break] = ACTIONS(1296),
    [sym__list_marker_minus] = ACTIONS(1296),
    [sym__list_marker_plus] = ACTIONS(1296),
    [sym__list_marker_star] = ACTIONS(1296),
    [sym__list_marker_parenthesis] = ACTIONS(1296),
    [sym__list_marker_dot] = ACTIONS(1296),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1296),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1296),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1296),
    [sym__blank_line_start] = ACTIONS(1296),
    [sym__html_block_1_start] = ACTIONS(1296),
    [sym__html_block_2_start] = ACTIONS(1296),
    [sym__html_block_3_start] = ACTIONS(1296),
    [sym__html_block_4_start] = ACTIONS(1296),
    [sym__html_block_5_start] = ACTIONS(1296),
    [sym__html_block_6_start] = ACTIONS(1296),
    [sym__html_block_7_start] = ACTIONS(1296),
    [sym__pipe_table_start] = ACTIONS(1296),
  },
  [121] = {
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_RBRACK] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [anon_sym_POUND] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [anon_sym_PERCENT] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_COMMA] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_DOT] = ACTIONS(1302),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_COLON] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_QMARK] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym__] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [anon_sym_RPAREN] = ACTIONS(1302),
    [aux_sym__word_token1] = ACTIONS(1302),
    [aux_sym__word_token2] = ACTIONS(1302),
    [aux_sym__word_token3] = ACTIONS(1302),
    [sym__whitespace] = ACTIONS(1302),
    [sym__soft_line_ending] = ACTIONS(1302),
    [sym__block_close] = ACTIONS(1302),
    [sym_block_continuation] = ACTIONS(1304),
    [sym__block_quote_start] = ACTIONS(1302),
    [sym__indented_chunk_start] = ACTIONS(1302),
    [sym_atx_h1_marker] = ACTIONS(1302),
    [sym_atx_h2_marker] = ACTIONS(1302),
    [sym_atx_h3_marker] = ACTIONS(1302),
    [sym_atx_h4_marker] = ACTIONS(1302),
    [sym_atx_h5_marker] = ACTIONS(1302),
    [sym_atx_h6_marker] = ACTIONS(1302),
    [sym__thematic_break] = ACTIONS(1302),
    [sym__list_marker_minus] = ACTIONS(1302),
    [sym__list_marker_plus] = ACTIONS(1302),
    [sym__list_marker_star] = ACTIONS(1302),
    [sym__list_marker_parenthesis] = ACTIONS(1302),
    [sym__list_marker_dot] = ACTIONS(1302),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1302),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1302),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1302),
    [sym__blank_line_start] = ACTIONS(1302),
    [sym__html_block_1_start] = ACTIONS(1302),
    [sym__html_block_2_start] = ACTIONS(1302),
    [sym__html_block_3_start] = ACTIONS(1302),
    [sym__html_block_4_start] = ACTIONS(1302),
    [sym__html_block_5_start] = ACTIONS(1302),
    [sym__html_block_6_start] = ACTIONS(1302),
    [sym__html_block_7_start] = ACTIONS(1302),
    [sym__pipe_table_start] = ACTIONS(1302),
  },
  [122] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_RBRACK] = ACTIONS(1306),
    [anon_sym_LT] = ACTIONS(1306),
    [anon_sym_GT] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [anon_sym_POUND] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [anon_sym_PERCENT] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_COMMA] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_DOT] = ACTIONS(1306),
    [anon_sym_SLASH] = ACTIONS(1306),
    [anon_sym_COLON] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_EQ] = ACTIONS(1306),
    [anon_sym_QMARK] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_CARET] = ACTIONS(1306),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_PIPE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [anon_sym_RPAREN] = ACTIONS(1306),
    [aux_sym__word_token1] = ACTIONS(1306),
    [aux_sym__word_token2] = ACTIONS(1306),
    [aux_sym__word_token3] = ACTIONS(1306),
    [sym__whitespace] = ACTIONS(1306),
    [sym__soft_line_ending] = ACTIONS(1306),
    [sym_block_continuation] = ACTIONS(1310),
    [sym__block_quote_start] = ACTIONS(1306),
    [sym__indented_chunk_start] = ACTIONS(1306),
    [sym_atx_h1_marker] = ACTIONS(1306),
    [sym_atx_h2_marker] = ACTIONS(1306),
    [sym_atx_h3_marker] = ACTIONS(1306),
    [sym_atx_h4_marker] = ACTIONS(1306),
    [sym_atx_h5_marker] = ACTIONS(1306),
    [sym_atx_h6_marker] = ACTIONS(1306),
    [sym__thematic_break] = ACTIONS(1306),
    [sym__list_marker_minus] = ACTIONS(1306),
    [sym__list_marker_plus] = ACTIONS(1306),
    [sym__list_marker_star] = ACTIONS(1306),
    [sym__list_marker_parenthesis] = ACTIONS(1306),
    [sym__list_marker_dot] = ACTIONS(1306),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1306),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1306),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1306),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1306),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1306),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1306),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1306),
    [sym__blank_line_start] = ACTIONS(1306),
    [sym__html_block_1_start] = ACTIONS(1306),
    [sym__html_block_2_start] = ACTIONS(1306),
    [sym__html_block_3_start] = ACTIONS(1306),
    [sym__html_block_4_start] = ACTIONS(1306),
    [sym__html_block_5_start] = ACTIONS(1306),
    [sym__html_block_6_start] = ACTIONS(1306),
    [sym__html_block_7_start] = ACTIONS(1306),
    [sym__pipe_table_start] = ACTIONS(1306),
  },
  [123] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_RBRACK] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [anon_sym_POUND] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [anon_sym_PERCENT] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_COMMA] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_DOT] = ACTIONS(1302),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_COLON] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_QMARK] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym__] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [anon_sym_RPAREN] = ACTIONS(1302),
    [aux_sym__word_token1] = ACTIONS(1302),
    [aux_sym__word_token2] = ACTIONS(1302),
    [aux_sym__word_token3] = ACTIONS(1302),
    [sym__whitespace] = ACTIONS(1302),
    [sym__soft_line_ending] = ACTIONS(1302),
    [sym_block_continuation] = ACTIONS(1312),
    [sym__block_quote_start] = ACTIONS(1302),
    [sym__indented_chunk_start] = ACTIONS(1302),
    [sym_atx_h1_marker] = ACTIONS(1302),
    [sym_atx_h2_marker] = ACTIONS(1302),
    [sym_atx_h3_marker] = ACTIONS(1302),
    [sym_atx_h4_marker] = ACTIONS(1302),
    [sym_atx_h5_marker] = ACTIONS(1302),
    [sym_atx_h6_marker] = ACTIONS(1302),
    [sym__thematic_break] = ACTIONS(1302),
    [sym__list_marker_minus] = ACTIONS(1302),
    [sym__list_marker_plus] = ACTIONS(1302),
    [sym__list_marker_star] = ACTIONS(1302),
    [sym__list_marker_parenthesis] = ACTIONS(1302),
    [sym__list_marker_dot] = ACTIONS(1302),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1302),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1302),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1302),
    [sym__blank_line_start] = ACTIONS(1302),
    [sym__html_block_1_start] = ACTIONS(1302),
    [sym__html_block_2_start] = ACTIONS(1302),
    [sym__html_block_3_start] = ACTIONS(1302),
    [sym__html_block_4_start] = ACTIONS(1302),
    [sym__html_block_5_start] = ACTIONS(1302),
    [sym__html_block_6_start] = ACTIONS(1302),
    [sym__html_block_7_start] = ACTIONS(1302),
    [sym__pipe_table_start] = ACTIONS(1302),
  },
  [124] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_RBRACK] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [anon_sym_POUND] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [anon_sym_PERCENT] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_COMMA] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_DOT] = ACTIONS(1314),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_EQ] = ACTIONS(1314),
    [anon_sym_QMARK] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1314),
    [anon_sym__] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [anon_sym_RPAREN] = ACTIONS(1314),
    [aux_sym__word_token1] = ACTIONS(1314),
    [aux_sym__word_token2] = ACTIONS(1314),
    [aux_sym__word_token3] = ACTIONS(1314),
    [sym__whitespace] = ACTIONS(1314),
    [sym__soft_line_ending] = ACTIONS(1314),
    [sym_block_continuation] = ACTIONS(1318),
    [sym__block_quote_start] = ACTIONS(1314),
    [sym__indented_chunk_start] = ACTIONS(1314),
    [sym_atx_h1_marker] = ACTIONS(1314),
    [sym_atx_h2_marker] = ACTIONS(1314),
    [sym_atx_h3_marker] = ACTIONS(1314),
    [sym_atx_h4_marker] = ACTIONS(1314),
    [sym_atx_h5_marker] = ACTIONS(1314),
    [sym_atx_h6_marker] = ACTIONS(1314),
    [sym__thematic_break] = ACTIONS(1314),
    [sym__list_marker_minus] = ACTIONS(1314),
    [sym__list_marker_plus] = ACTIONS(1314),
    [sym__list_marker_star] = ACTIONS(1314),
    [sym__list_marker_parenthesis] = ACTIONS(1314),
    [sym__list_marker_dot] = ACTIONS(1314),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1314),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1314),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1314),
    [sym__blank_line_start] = ACTIONS(1314),
    [sym__html_block_1_start] = ACTIONS(1314),
    [sym__html_block_2_start] = ACTIONS(1314),
    [sym__html_block_3_start] = ACTIONS(1314),
    [sym__html_block_4_start] = ACTIONS(1314),
    [sym__html_block_5_start] = ACTIONS(1314),
    [sym__html_block_6_start] = ACTIONS(1314),
    [sym__html_block_7_start] = ACTIONS(1314),
    [sym__pipe_table_start] = ACTIONS(1314),
  },
  [125] = {
    [ts_builtin_sym_end] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_RBRACK] = ACTIONS(1320),
    [anon_sym_LT] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [anon_sym_POUND] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [anon_sym_PERCENT] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_DOT] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(1320),
    [anon_sym_COLON] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1320),
    [anon_sym_QMARK] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_CARET] = ACTIONS(1320),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_RPAREN] = ACTIONS(1320),
    [aux_sym__word_token1] = ACTIONS(1320),
    [aux_sym__word_token2] = ACTIONS(1320),
    [aux_sym__word_token3] = ACTIONS(1320),
    [sym__whitespace] = ACTIONS(1320),
    [sym__soft_line_ending] = ACTIONS(1320),
    [sym_block_continuation] = ACTIONS(1324),
    [sym__block_quote_start] = ACTIONS(1320),
    [sym__indented_chunk_start] = ACTIONS(1320),
    [sym_atx_h1_marker] = ACTIONS(1320),
    [sym_atx_h2_marker] = ACTIONS(1320),
    [sym_atx_h3_marker] = ACTIONS(1320),
    [sym_atx_h4_marker] = ACTIONS(1320),
    [sym_atx_h5_marker] = ACTIONS(1320),
    [sym_atx_h6_marker] = ACTIONS(1320),
    [sym__thematic_break] = ACTIONS(1320),
    [sym__list_marker_minus] = ACTIONS(1320),
    [sym__list_marker_plus] = ACTIONS(1320),
    [sym__list_marker_star] = ACTIONS(1320),
    [sym__list_marker_parenthesis] = ACTIONS(1320),
    [sym__list_marker_dot] = ACTIONS(1320),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1320),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1320),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1320),
    [sym__blank_line_start] = ACTIONS(1320),
    [sym__html_block_1_start] = ACTIONS(1320),
    [sym__html_block_2_start] = ACTIONS(1320),
    [sym__html_block_3_start] = ACTIONS(1320),
    [sym__html_block_4_start] = ACTIONS(1320),
    [sym__html_block_5_start] = ACTIONS(1320),
    [sym__html_block_6_start] = ACTIONS(1320),
    [sym__html_block_7_start] = ACTIONS(1320),
    [sym__pipe_table_start] = ACTIONS(1320),
  },
  [126] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_RBRACK] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(1326),
    [anon_sym_GT] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [anon_sym_POUND] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [anon_sym_PERCENT] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1326),
    [anon_sym_SLASH] = ACTIONS(1326),
    [anon_sym_COLON] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(1326),
    [anon_sym_QMARK] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_CARET] = ACTIONS(1326),
    [anon_sym__] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_PIPE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1326),
    [aux_sym__word_token1] = ACTIONS(1326),
    [aux_sym__word_token2] = ACTIONS(1326),
    [aux_sym__word_token3] = ACTIONS(1326),
    [sym__whitespace] = ACTIONS(1326),
    [sym__soft_line_ending] = ACTIONS(1326),
    [sym_block_continuation] = ACTIONS(1330),
    [sym__block_quote_start] = ACTIONS(1326),
    [sym__indented_chunk_start] = ACTIONS(1326),
    [sym_atx_h1_marker] = ACTIONS(1326),
    [sym_atx_h2_marker] = ACTIONS(1326),
    [sym_atx_h3_marker] = ACTIONS(1326),
    [sym_atx_h4_marker] = ACTIONS(1326),
    [sym_atx_h5_marker] = ACTIONS(1326),
    [sym_atx_h6_marker] = ACTIONS(1326),
    [sym__thematic_break] = ACTIONS(1326),
    [sym__list_marker_minus] = ACTIONS(1326),
    [sym__list_marker_plus] = ACTIONS(1326),
    [sym__list_marker_star] = ACTIONS(1326),
    [sym__list_marker_parenthesis] = ACTIONS(1326),
    [sym__list_marker_dot] = ACTIONS(1326),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1326),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1326),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1326),
    [sym__blank_line_start] = ACTIONS(1326),
    [sym__html_block_1_start] = ACTIONS(1326),
    [sym__html_block_2_start] = ACTIONS(1326),
    [sym__html_block_3_start] = ACTIONS(1326),
    [sym__html_block_4_start] = ACTIONS(1326),
    [sym__html_block_5_start] = ACTIONS(1326),
    [sym__html_block_6_start] = ACTIONS(1326),
    [sym__html_block_7_start] = ACTIONS(1326),
    [sym__pipe_table_start] = ACTIONS(1326),
  },
  [127] = {
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_RBRACK] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [anon_sym_POUND] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1334),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_COLON] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_EQ] = ACTIONS(1334),
    [anon_sym_QMARK] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_CARET] = ACTIONS(1334),
    [anon_sym__] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_PIPE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_RPAREN] = ACTIONS(1334),
    [aux_sym__word_token1] = ACTIONS(1334),
    [aux_sym__word_token2] = ACTIONS(1334),
    [aux_sym__word_token3] = ACTIONS(1334),
    [sym__whitespace] = ACTIONS(1334),
    [sym__soft_line_ending] = ACTIONS(1334),
    [sym__block_close] = ACTIONS(1334),
    [sym_block_continuation] = ACTIONS(1336),
    [sym__block_quote_start] = ACTIONS(1334),
    [sym__indented_chunk_start] = ACTIONS(1334),
    [sym_atx_h1_marker] = ACTIONS(1334),
    [sym_atx_h2_marker] = ACTIONS(1334),
    [sym_atx_h3_marker] = ACTIONS(1334),
    [sym_atx_h4_marker] = ACTIONS(1334),
    [sym_atx_h5_marker] = ACTIONS(1334),
    [sym_atx_h6_marker] = ACTIONS(1334),
    [sym__thematic_break] = ACTIONS(1334),
    [sym__list_marker_minus] = ACTIONS(1334),
    [sym__list_marker_plus] = ACTIONS(1334),
    [sym__list_marker_star] = ACTIONS(1334),
    [sym__list_marker_parenthesis] = ACTIONS(1334),
    [sym__list_marker_dot] = ACTIONS(1334),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1334),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1334),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1334),
    [sym__blank_line_start] = ACTIONS(1334),
    [sym__html_block_1_start] = ACTIONS(1334),
    [sym__html_block_2_start] = ACTIONS(1334),
    [sym__html_block_3_start] = ACTIONS(1334),
    [sym__html_block_4_start] = ACTIONS(1334),
    [sym__html_block_5_start] = ACTIONS(1334),
    [sym__html_block_6_start] = ACTIONS(1334),
    [sym__html_block_7_start] = ACTIONS(1334),
    [sym__pipe_table_start] = ACTIONS(1334),
  },
  [128] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_RBRACK] = ACTIONS(1338),
    [anon_sym_LT] = ACTIONS(1338),
    [anon_sym_GT] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [anon_sym_PERCENT] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_COMMA] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_DOT] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1338),
    [anon_sym_COLON] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_EQ] = ACTIONS(1338),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_CARET] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_PIPE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [anon_sym_RPAREN] = ACTIONS(1338),
    [aux_sym__word_token1] = ACTIONS(1338),
    [aux_sym__word_token2] = ACTIONS(1338),
    [aux_sym__word_token3] = ACTIONS(1338),
    [sym__whitespace] = ACTIONS(1338),
    [sym__soft_line_ending] = ACTIONS(1338),
    [sym_block_continuation] = ACTIONS(1342),
    [sym__block_quote_start] = ACTIONS(1338),
    [sym__indented_chunk_start] = ACTIONS(1338),
    [sym_atx_h1_marker] = ACTIONS(1338),
    [sym_atx_h2_marker] = ACTIONS(1338),
    [sym_atx_h3_marker] = ACTIONS(1338),
    [sym_atx_h4_marker] = ACTIONS(1338),
    [sym_atx_h5_marker] = ACTIONS(1338),
    [sym_atx_h6_marker] = ACTIONS(1338),
    [sym__thematic_break] = ACTIONS(1338),
    [sym__list_marker_minus] = ACTIONS(1338),
    [sym__list_marker_plus] = ACTIONS(1338),
    [sym__list_marker_star] = ACTIONS(1338),
    [sym__list_marker_parenthesis] = ACTIONS(1338),
    [sym__list_marker_dot] = ACTIONS(1338),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1338),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1338),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1338),
    [sym__blank_line_start] = ACTIONS(1338),
    [sym__html_block_1_start] = ACTIONS(1338),
    [sym__html_block_2_start] = ACTIONS(1338),
    [sym__html_block_3_start] = ACTIONS(1338),
    [sym__html_block_4_start] = ACTIONS(1338),
    [sym__html_block_5_start] = ACTIONS(1338),
    [sym__html_block_6_start] = ACTIONS(1338),
    [sym__html_block_7_start] = ACTIONS(1338),
    [sym__pipe_table_start] = ACTIONS(1338),
  },
  [129] = {
    [ts_builtin_sym_end] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_RBRACK] = ACTIONS(1344),
    [anon_sym_LT] = ACTIONS(1344),
    [anon_sym_GT] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [anon_sym_POUND] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PERCENT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_DOT] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1344),
    [anon_sym_COLON] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_EQ] = ACTIONS(1344),
    [anon_sym_QMARK] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_CARET] = ACTIONS(1344),
    [anon_sym__] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [anon_sym_RPAREN] = ACTIONS(1344),
    [aux_sym__word_token1] = ACTIONS(1344),
    [aux_sym__word_token2] = ACTIONS(1344),
    [aux_sym__word_token3] = ACTIONS(1344),
    [sym__whitespace] = ACTIONS(1344),
    [sym__soft_line_ending] = ACTIONS(1344),
    [sym__block_quote_start] = ACTIONS(1344),
    [sym__indented_chunk_start] = ACTIONS(1344),
    [sym_atx_h1_marker] = ACTIONS(1344),
    [sym_atx_h2_marker] = ACTIONS(1344),
    [sym_atx_h3_marker] = ACTIONS(1344),
    [sym_atx_h4_marker] = ACTIONS(1344),
    [sym_atx_h5_marker] = ACTIONS(1344),
    [sym_atx_h6_marker] = ACTIONS(1344),
    [sym__thematic_break] = ACTIONS(1344),
    [sym__list_marker_minus] = ACTIONS(1344),
    [sym__list_marker_plus] = ACTIONS(1344),
    [sym__list_marker_star] = ACTIONS(1344),
    [sym__list_marker_parenthesis] = ACTIONS(1344),
    [sym__list_marker_dot] = ACTIONS(1344),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1344),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1344),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1344),
    [sym__blank_line_start] = ACTIONS(1344),
    [sym__html_block_1_start] = ACTIONS(1344),
    [sym__html_block_2_start] = ACTIONS(1344),
    [sym__html_block_3_start] = ACTIONS(1344),
    [sym__html_block_4_start] = ACTIONS(1344),
    [sym__html_block_5_start] = ACTIONS(1344),
    [sym__html_block_6_start] = ACTIONS(1344),
    [sym__html_block_7_start] = ACTIONS(1344),
    [sym__no_indented_chunk] = ACTIONS(1344),
    [sym__pipe_table_start] = ACTIONS(1344),
  },
  [130] = {
    [ts_builtin_sym_end] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_RBRACK] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [anon_sym_POUND] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_COLON] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_QMARK] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym__] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_RPAREN] = ACTIONS(1348),
    [aux_sym__word_token1] = ACTIONS(1348),
    [aux_sym__word_token2] = ACTIONS(1348),
    [aux_sym__word_token3] = ACTIONS(1348),
    [sym__whitespace] = ACTIONS(1348),
    [sym__soft_line_ending] = ACTIONS(1348),
    [sym_block_continuation] = ACTIONS(1352),
    [sym__block_quote_start] = ACTIONS(1348),
    [sym__indented_chunk_start] = ACTIONS(1348),
    [sym_atx_h1_marker] = ACTIONS(1348),
    [sym_atx_h2_marker] = ACTIONS(1348),
    [sym_atx_h3_marker] = ACTIONS(1348),
    [sym_atx_h4_marker] = ACTIONS(1348),
    [sym_atx_h5_marker] = ACTIONS(1348),
    [sym_atx_h6_marker] = ACTIONS(1348),
    [sym__thematic_break] = ACTIONS(1348),
    [sym__list_marker_minus] = ACTIONS(1348),
    [sym__list_marker_plus] = ACTIONS(1348),
    [sym__list_marker_star] = ACTIONS(1348),
    [sym__list_marker_parenthesis] = ACTIONS(1348),
    [sym__list_marker_dot] = ACTIONS(1348),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1348),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1348),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1348),
    [sym__blank_line_start] = ACTIONS(1348),
    [sym__html_block_1_start] = ACTIONS(1348),
    [sym__html_block_2_start] = ACTIONS(1348),
    [sym__html_block_3_start] = ACTIONS(1348),
    [sym__html_block_4_start] = ACTIONS(1348),
    [sym__html_block_5_start] = ACTIONS(1348),
    [sym__html_block_6_start] = ACTIONS(1348),
    [sym__html_block_7_start] = ACTIONS(1348),
    [sym__pipe_table_start] = ACTIONS(1348),
  },
  [131] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_RBRACK] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [anon_sym_POUND] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_PERCENT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_DOT] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1354),
    [anon_sym_COLON] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [anon_sym_QMARK] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym__] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_RPAREN] = ACTIONS(1354),
    [aux_sym__word_token1] = ACTIONS(1354),
    [aux_sym__word_token2] = ACTIONS(1354),
    [aux_sym__word_token3] = ACTIONS(1354),
    [sym__whitespace] = ACTIONS(1354),
    [sym__soft_line_ending] = ACTIONS(1354),
    [sym_block_continuation] = ACTIONS(1358),
    [sym__block_quote_start] = ACTIONS(1354),
    [sym__indented_chunk_start] = ACTIONS(1354),
    [sym_atx_h1_marker] = ACTIONS(1354),
    [sym_atx_h2_marker] = ACTIONS(1354),
    [sym_atx_h3_marker] = ACTIONS(1354),
    [sym_atx_h4_marker] = ACTIONS(1354),
    [sym_atx_h5_marker] = ACTIONS(1354),
    [sym_atx_h6_marker] = ACTIONS(1354),
    [sym__thematic_break] = ACTIONS(1354),
    [sym__list_marker_minus] = ACTIONS(1354),
    [sym__list_marker_plus] = ACTIONS(1354),
    [sym__list_marker_star] = ACTIONS(1354),
    [sym__list_marker_parenthesis] = ACTIONS(1354),
    [sym__list_marker_dot] = ACTIONS(1354),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1354),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1354),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1354),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1354),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1354),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1354),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1354),
    [sym__blank_line_start] = ACTIONS(1354),
    [sym__html_block_1_start] = ACTIONS(1354),
    [sym__html_block_2_start] = ACTIONS(1354),
    [sym__html_block_3_start] = ACTIONS(1354),
    [sym__html_block_4_start] = ACTIONS(1354),
    [sym__html_block_5_start] = ACTIONS(1354),
    [sym__html_block_6_start] = ACTIONS(1354),
    [sym__html_block_7_start] = ACTIONS(1354),
    [sym__pipe_table_start] = ACTIONS(1354),
  },
  [132] = {
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_RBRACK] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [anon_sym_POUND] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [anon_sym_PERCENT] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_COLON] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1362),
    [anon_sym_QMARK] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_CARET] = ACTIONS(1362),
    [anon_sym__] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [anon_sym_RPAREN] = ACTIONS(1362),
    [aux_sym__word_token1] = ACTIONS(1362),
    [aux_sym__word_token2] = ACTIONS(1362),
    [aux_sym__word_token3] = ACTIONS(1362),
    [sym__whitespace] = ACTIONS(1362),
    [sym__soft_line_ending] = ACTIONS(1362),
    [sym__block_close] = ACTIONS(1362),
    [sym_block_continuation] = ACTIONS(1364),
    [sym__block_quote_start] = ACTIONS(1362),
    [sym__indented_chunk_start] = ACTIONS(1362),
    [sym_atx_h1_marker] = ACTIONS(1362),
    [sym_atx_h2_marker] = ACTIONS(1362),
    [sym_atx_h3_marker] = ACTIONS(1362),
    [sym_atx_h4_marker] = ACTIONS(1362),
    [sym_atx_h5_marker] = ACTIONS(1362),
    [sym_atx_h6_marker] = ACTIONS(1362),
    [sym__thematic_break] = ACTIONS(1362),
    [sym__list_marker_minus] = ACTIONS(1362),
    [sym__list_marker_plus] = ACTIONS(1362),
    [sym__list_marker_star] = ACTIONS(1362),
    [sym__list_marker_parenthesis] = ACTIONS(1362),
    [sym__list_marker_dot] = ACTIONS(1362),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1362),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1362),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1362),
    [sym__blank_line_start] = ACTIONS(1362),
    [sym__html_block_1_start] = ACTIONS(1362),
    [sym__html_block_2_start] = ACTIONS(1362),
    [sym__html_block_3_start] = ACTIONS(1362),
    [sym__html_block_4_start] = ACTIONS(1362),
    [sym__html_block_5_start] = ACTIONS(1362),
    [sym__html_block_6_start] = ACTIONS(1362),
    [sym__html_block_7_start] = ACTIONS(1362),
    [sym__pipe_table_start] = ACTIONS(1362),
  },
  [133] = {
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_RBRACK] = ACTIONS(1344),
    [anon_sym_LT] = ACTIONS(1344),
    [anon_sym_GT] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [anon_sym_POUND] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PERCENT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_DOT] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1344),
    [anon_sym_COLON] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_EQ] = ACTIONS(1344),
    [anon_sym_QMARK] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_CARET] = ACTIONS(1344),
    [anon_sym__] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [anon_sym_RPAREN] = ACTIONS(1344),
    [aux_sym__word_token1] = ACTIONS(1344),
    [aux_sym__word_token2] = ACTIONS(1344),
    [aux_sym__word_token3] = ACTIONS(1344),
    [sym__whitespace] = ACTIONS(1344),
    [sym__soft_line_ending] = ACTIONS(1344),
    [sym__block_close] = ACTIONS(1344),
    [sym__block_quote_start] = ACTIONS(1344),
    [sym__indented_chunk_start] = ACTIONS(1344),
    [sym_atx_h1_marker] = ACTIONS(1344),
    [sym_atx_h2_marker] = ACTIONS(1344),
    [sym_atx_h3_marker] = ACTIONS(1344),
    [sym_atx_h4_marker] = ACTIONS(1344),
    [sym_atx_h5_marker] = ACTIONS(1344),
    [sym_atx_h6_marker] = ACTIONS(1344),
    [sym__thematic_break] = ACTIONS(1344),
    [sym__list_marker_minus] = ACTIONS(1344),
    [sym__list_marker_plus] = ACTIONS(1344),
    [sym__list_marker_star] = ACTIONS(1344),
    [sym__list_marker_parenthesis] = ACTIONS(1344),
    [sym__list_marker_dot] = ACTIONS(1344),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1344),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1344),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1344),
    [sym__blank_line_start] = ACTIONS(1344),
    [sym__html_block_1_start] = ACTIONS(1344),
    [sym__html_block_2_start] = ACTIONS(1344),
    [sym__html_block_3_start] = ACTIONS(1344),
    [sym__html_block_4_start] = ACTIONS(1344),
    [sym__html_block_5_start] = ACTIONS(1344),
    [sym__html_block_6_start] = ACTIONS(1344),
    [sym__html_block_7_start] = ACTIONS(1344),
    [sym__no_indented_chunk] = ACTIONS(1344),
    [sym__pipe_table_start] = ACTIONS(1344),
  },
  [134] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_RBRACK] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [anon_sym_POUND] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_COLON] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1366),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym__] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1366),
    [aux_sym__word_token1] = ACTIONS(1366),
    [aux_sym__word_token2] = ACTIONS(1366),
    [aux_sym__word_token3] = ACTIONS(1366),
    [sym__whitespace] = ACTIONS(1366),
    [sym__soft_line_ending] = ACTIONS(1366),
    [sym_block_continuation] = ACTIONS(1370),
    [sym__block_quote_start] = ACTIONS(1366),
    [sym__indented_chunk_start] = ACTIONS(1366),
    [sym_atx_h1_marker] = ACTIONS(1366),
    [sym_atx_h2_marker] = ACTIONS(1366),
    [sym_atx_h3_marker] = ACTIONS(1366),
    [sym_atx_h4_marker] = ACTIONS(1366),
    [sym_atx_h5_marker] = ACTIONS(1366),
    [sym_atx_h6_marker] = ACTIONS(1366),
    [sym__thematic_break] = ACTIONS(1366),
    [sym__list_marker_minus] = ACTIONS(1366),
    [sym__list_marker_plus] = ACTIONS(1366),
    [sym__list_marker_star] = ACTIONS(1366),
    [sym__list_marker_parenthesis] = ACTIONS(1366),
    [sym__list_marker_dot] = ACTIONS(1366),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1366),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1366),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1366),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1366),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1366),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1366),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1366),
    [sym__blank_line_start] = ACTIONS(1366),
    [sym__html_block_1_start] = ACTIONS(1366),
    [sym__html_block_2_start] = ACTIONS(1366),
    [sym__html_block_3_start] = ACTIONS(1366),
    [sym__html_block_4_start] = ACTIONS(1366),
    [sym__html_block_5_start] = ACTIONS(1366),
    [sym__html_block_6_start] = ACTIONS(1366),
    [sym__html_block_7_start] = ACTIONS(1366),
    [sym__pipe_table_start] = ACTIONS(1366),
  },
  [135] = {
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_RBRACK] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [anon_sym_POUND] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_COLON] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_QMARK] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_RPAREN] = ACTIONS(1374),
    [aux_sym__word_token1] = ACTIONS(1374),
    [aux_sym__word_token2] = ACTIONS(1374),
    [aux_sym__word_token3] = ACTIONS(1374),
    [sym__whitespace] = ACTIONS(1374),
    [sym__soft_line_ending] = ACTIONS(1374),
    [sym__block_close] = ACTIONS(1374),
    [sym_block_continuation] = ACTIONS(1376),
    [sym__block_quote_start] = ACTIONS(1374),
    [sym__indented_chunk_start] = ACTIONS(1374),
    [sym_atx_h1_marker] = ACTIONS(1374),
    [sym_atx_h2_marker] = ACTIONS(1374),
    [sym_atx_h3_marker] = ACTIONS(1374),
    [sym_atx_h4_marker] = ACTIONS(1374),
    [sym_atx_h5_marker] = ACTIONS(1374),
    [sym_atx_h6_marker] = ACTIONS(1374),
    [sym__thematic_break] = ACTIONS(1374),
    [sym__list_marker_minus] = ACTIONS(1374),
    [sym__list_marker_plus] = ACTIONS(1374),
    [sym__list_marker_star] = ACTIONS(1374),
    [sym__list_marker_parenthesis] = ACTIONS(1374),
    [sym__list_marker_dot] = ACTIONS(1374),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1374),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1374),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1374),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1374),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1374),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1374),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1374),
    [sym__blank_line_start] = ACTIONS(1374),
    [sym__html_block_1_start] = ACTIONS(1374),
    [sym__html_block_2_start] = ACTIONS(1374),
    [sym__html_block_3_start] = ACTIONS(1374),
    [sym__html_block_4_start] = ACTIONS(1374),
    [sym__html_block_5_start] = ACTIONS(1374),
    [sym__html_block_6_start] = ACTIONS(1374),
    [sym__html_block_7_start] = ACTIONS(1374),
    [sym__pipe_table_start] = ACTIONS(1374),
  },
  [136] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_RBRACK] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1378),
    [anon_sym_GT] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [anon_sym_POUND] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [anon_sym_PERCENT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_DOT] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1378),
    [anon_sym_COLON] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [anon_sym_QMARK] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym__] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_RPAREN] = ACTIONS(1378),
    [aux_sym__word_token1] = ACTIONS(1378),
    [aux_sym__word_token2] = ACTIONS(1378),
    [aux_sym__word_token3] = ACTIONS(1378),
    [sym__whitespace] = ACTIONS(1378),
    [sym__soft_line_ending] = ACTIONS(1378),
    [sym_block_continuation] = ACTIONS(1382),
    [sym__block_quote_start] = ACTIONS(1378),
    [sym__indented_chunk_start] = ACTIONS(1378),
    [sym_atx_h1_marker] = ACTIONS(1378),
    [sym_atx_h2_marker] = ACTIONS(1378),
    [sym_atx_h3_marker] = ACTIONS(1378),
    [sym_atx_h4_marker] = ACTIONS(1378),
    [sym_atx_h5_marker] = ACTIONS(1378),
    [sym_atx_h6_marker] = ACTIONS(1378),
    [sym__thematic_break] = ACTIONS(1378),
    [sym__list_marker_minus] = ACTIONS(1378),
    [sym__list_marker_plus] = ACTIONS(1378),
    [sym__list_marker_star] = ACTIONS(1378),
    [sym__list_marker_parenthesis] = ACTIONS(1378),
    [sym__list_marker_dot] = ACTIONS(1378),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1378),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1378),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1378),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1378),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1378),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1378),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1378),
    [sym__blank_line_start] = ACTIONS(1378),
    [sym__html_block_1_start] = ACTIONS(1378),
    [sym__html_block_2_start] = ACTIONS(1378),
    [sym__html_block_3_start] = ACTIONS(1378),
    [sym__html_block_4_start] = ACTIONS(1378),
    [sym__html_block_5_start] = ACTIONS(1378),
    [sym__html_block_6_start] = ACTIONS(1378),
    [sym__html_block_7_start] = ACTIONS(1378),
    [sym__pipe_table_start] = ACTIONS(1378),
  },
  [137] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_RBRACK] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [anon_sym_POUND] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_COLON] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_QMARK] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym__] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [aux_sym__word_token1] = ACTIONS(1384),
    [aux_sym__word_token2] = ACTIONS(1384),
    [aux_sym__word_token3] = ACTIONS(1384),
    [sym__whitespace] = ACTIONS(1384),
    [sym__soft_line_ending] = ACTIONS(1384),
    [sym_block_continuation] = ACTIONS(1388),
    [sym__block_quote_start] = ACTIONS(1384),
    [sym__indented_chunk_start] = ACTIONS(1384),
    [sym_atx_h1_marker] = ACTIONS(1384),
    [sym_atx_h2_marker] = ACTIONS(1384),
    [sym_atx_h3_marker] = ACTIONS(1384),
    [sym_atx_h4_marker] = ACTIONS(1384),
    [sym_atx_h5_marker] = ACTIONS(1384),
    [sym_atx_h6_marker] = ACTIONS(1384),
    [sym__thematic_break] = ACTIONS(1384),
    [sym__list_marker_minus] = ACTIONS(1384),
    [sym__list_marker_plus] = ACTIONS(1384),
    [sym__list_marker_star] = ACTIONS(1384),
    [sym__list_marker_parenthesis] = ACTIONS(1384),
    [sym__list_marker_dot] = ACTIONS(1384),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1384),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1384),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1384),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1384),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1384),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1384),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1384),
    [sym__blank_line_start] = ACTIONS(1384),
    [sym__html_block_1_start] = ACTIONS(1384),
    [sym__html_block_2_start] = ACTIONS(1384),
    [sym__html_block_3_start] = ACTIONS(1384),
    [sym__html_block_4_start] = ACTIONS(1384),
    [sym__html_block_5_start] = ACTIONS(1384),
    [sym__html_block_6_start] = ACTIONS(1384),
    [sym__html_block_7_start] = ACTIONS(1384),
    [sym__pipe_table_start] = ACTIONS(1384),
  },
  [138] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_RBRACK] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [anon_sym_POUND] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [anon_sym_PERCENT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_DOT] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1390),
    [anon_sym_COLON] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [anon_sym_QMARK] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym__] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_RPAREN] = ACTIONS(1390),
    [aux_sym__word_token1] = ACTIONS(1390),
    [aux_sym__word_token2] = ACTIONS(1390),
    [aux_sym__word_token3] = ACTIONS(1390),
    [sym__whitespace] = ACTIONS(1390),
    [sym__soft_line_ending] = ACTIONS(1390),
    [sym_block_continuation] = ACTIONS(1394),
    [sym__block_quote_start] = ACTIONS(1390),
    [sym__indented_chunk_start] = ACTIONS(1390),
    [sym_atx_h1_marker] = ACTIONS(1390),
    [sym_atx_h2_marker] = ACTIONS(1390),
    [sym_atx_h3_marker] = ACTIONS(1390),
    [sym_atx_h4_marker] = ACTIONS(1390),
    [sym_atx_h5_marker] = ACTIONS(1390),
    [sym_atx_h6_marker] = ACTIONS(1390),
    [sym__thematic_break] = ACTIONS(1390),
    [sym__list_marker_minus] = ACTIONS(1390),
    [sym__list_marker_plus] = ACTIONS(1390),
    [sym__list_marker_star] = ACTIONS(1390),
    [sym__list_marker_parenthesis] = ACTIONS(1390),
    [sym__list_marker_dot] = ACTIONS(1390),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1390),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1390),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1390),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1390),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1390),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1390),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1390),
    [sym__blank_line_start] = ACTIONS(1390),
    [sym__html_block_1_start] = ACTIONS(1390),
    [sym__html_block_2_start] = ACTIONS(1390),
    [sym__html_block_3_start] = ACTIONS(1390),
    [sym__html_block_4_start] = ACTIONS(1390),
    [sym__html_block_5_start] = ACTIONS(1390),
    [sym__html_block_6_start] = ACTIONS(1390),
    [sym__html_block_7_start] = ACTIONS(1390),
    [sym__pipe_table_start] = ACTIONS(1390),
  },
  [139] = {
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_RBRACK] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [anon_sym_POUND] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_COLON] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_QMARK] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym__] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_RPAREN] = ACTIONS(1348),
    [aux_sym__word_token1] = ACTIONS(1348),
    [aux_sym__word_token2] = ACTIONS(1348),
    [aux_sym__word_token3] = ACTIONS(1348),
    [sym__whitespace] = ACTIONS(1348),
    [sym__soft_line_ending] = ACTIONS(1348),
    [sym__block_close] = ACTIONS(1348),
    [sym_block_continuation] = ACTIONS(1396),
    [sym__block_quote_start] = ACTIONS(1348),
    [sym__indented_chunk_start] = ACTIONS(1348),
    [sym_atx_h1_marker] = ACTIONS(1348),
    [sym_atx_h2_marker] = ACTIONS(1348),
    [sym_atx_h3_marker] = ACTIONS(1348),
    [sym_atx_h4_marker] = ACTIONS(1348),
    [sym_atx_h5_marker] = ACTIONS(1348),
    [sym_atx_h6_marker] = ACTIONS(1348),
    [sym__thematic_break] = ACTIONS(1348),
    [sym__list_marker_minus] = ACTIONS(1348),
    [sym__list_marker_plus] = ACTIONS(1348),
    [sym__list_marker_star] = ACTIONS(1348),
    [sym__list_marker_parenthesis] = ACTIONS(1348),
    [sym__list_marker_dot] = ACTIONS(1348),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1348),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1348),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1348),
    [sym__blank_line_start] = ACTIONS(1348),
    [sym__html_block_1_start] = ACTIONS(1348),
    [sym__html_block_2_start] = ACTIONS(1348),
    [sym__html_block_3_start] = ACTIONS(1348),
    [sym__html_block_4_start] = ACTIONS(1348),
    [sym__html_block_5_start] = ACTIONS(1348),
    [sym__html_block_6_start] = ACTIONS(1348),
    [sym__html_block_7_start] = ACTIONS(1348),
    [sym__pipe_table_start] = ACTIONS(1348),
  },
  [140] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_RBRACK] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1398),
    [anon_sym_GT] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [anon_sym_POUND] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [anon_sym_PERCENT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1398),
    [anon_sym_COLON] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym__] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_RPAREN] = ACTIONS(1398),
    [aux_sym__word_token1] = ACTIONS(1398),
    [aux_sym__word_token2] = ACTIONS(1398),
    [aux_sym__word_token3] = ACTIONS(1398),
    [sym__whitespace] = ACTIONS(1398),
    [sym__soft_line_ending] = ACTIONS(1398),
    [sym_block_continuation] = ACTIONS(1402),
    [sym__block_quote_start] = ACTIONS(1398),
    [sym__indented_chunk_start] = ACTIONS(1398),
    [sym_atx_h1_marker] = ACTIONS(1398),
    [sym_atx_h2_marker] = ACTIONS(1398),
    [sym_atx_h3_marker] = ACTIONS(1398),
    [sym_atx_h4_marker] = ACTIONS(1398),
    [sym_atx_h5_marker] = ACTIONS(1398),
    [sym_atx_h6_marker] = ACTIONS(1398),
    [sym__thematic_break] = ACTIONS(1398),
    [sym__list_marker_minus] = ACTIONS(1398),
    [sym__list_marker_plus] = ACTIONS(1398),
    [sym__list_marker_star] = ACTIONS(1398),
    [sym__list_marker_parenthesis] = ACTIONS(1398),
    [sym__list_marker_dot] = ACTIONS(1398),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1398),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1398),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1398),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1398),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1398),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1398),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1398),
    [sym__blank_line_start] = ACTIONS(1398),
    [sym__html_block_1_start] = ACTIONS(1398),
    [sym__html_block_2_start] = ACTIONS(1398),
    [sym__html_block_3_start] = ACTIONS(1398),
    [sym__html_block_4_start] = ACTIONS(1398),
    [sym__html_block_5_start] = ACTIONS(1398),
    [sym__html_block_6_start] = ACTIONS(1398),
    [sym__html_block_7_start] = ACTIONS(1398),
    [sym__pipe_table_start] = ACTIONS(1398),
  },
  [141] = {
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_RBRACK] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [anon_sym_POUND] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [anon_sym_PERCENT] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_DOT] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(1354),
    [anon_sym_COLON] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1354),
    [anon_sym_QMARK] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_CARET] = ACTIONS(1354),
    [anon_sym__] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_PIPE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_RPAREN] = ACTIONS(1354),
    [aux_sym__word_token1] = ACTIONS(1354),
    [aux_sym__word_token2] = ACTIONS(1354),
    [aux_sym__word_token3] = ACTIONS(1354),
    [sym__whitespace] = ACTIONS(1354),
    [sym__soft_line_ending] = ACTIONS(1354),
    [sym__block_close] = ACTIONS(1354),
    [sym_block_continuation] = ACTIONS(1404),
    [sym__block_quote_start] = ACTIONS(1354),
    [sym__indented_chunk_start] = ACTIONS(1354),
    [sym_atx_h1_marker] = ACTIONS(1354),
    [sym_atx_h2_marker] = ACTIONS(1354),
    [sym_atx_h3_marker] = ACTIONS(1354),
    [sym_atx_h4_marker] = ACTIONS(1354),
    [sym_atx_h5_marker] = ACTIONS(1354),
    [sym_atx_h6_marker] = ACTIONS(1354),
    [sym__thematic_break] = ACTIONS(1354),
    [sym__list_marker_minus] = ACTIONS(1354),
    [sym__list_marker_plus] = ACTIONS(1354),
    [sym__list_marker_star] = ACTIONS(1354),
    [sym__list_marker_parenthesis] = ACTIONS(1354),
    [sym__list_marker_dot] = ACTIONS(1354),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1354),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1354),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1354),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1354),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1354),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1354),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1354),
    [sym__blank_line_start] = ACTIONS(1354),
    [sym__html_block_1_start] = ACTIONS(1354),
    [sym__html_block_2_start] = ACTIONS(1354),
    [sym__html_block_3_start] = ACTIONS(1354),
    [sym__html_block_4_start] = ACTIONS(1354),
    [sym__html_block_5_start] = ACTIONS(1354),
    [sym__html_block_6_start] = ACTIONS(1354),
    [sym__html_block_7_start] = ACTIONS(1354),
    [sym__pipe_table_start] = ACTIONS(1354),
  },
  [142] = {
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_RBRACK] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [anon_sym_POUND] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [anon_sym_PERCENT] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_COLON] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_CARET] = ACTIONS(1408),
    [anon_sym__] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_PIPE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [anon_sym_RPAREN] = ACTIONS(1408),
    [aux_sym__word_token1] = ACTIONS(1408),
    [aux_sym__word_token2] = ACTIONS(1408),
    [aux_sym__word_token3] = ACTIONS(1408),
    [sym__whitespace] = ACTIONS(1408),
    [sym__soft_line_ending] = ACTIONS(1408),
    [sym__block_close] = ACTIONS(1408),
    [sym_block_continuation] = ACTIONS(1410),
    [sym__block_quote_start] = ACTIONS(1408),
    [sym__indented_chunk_start] = ACTIONS(1408),
    [sym_atx_h1_marker] = ACTIONS(1408),
    [sym_atx_h2_marker] = ACTIONS(1408),
    [sym_atx_h3_marker] = ACTIONS(1408),
    [sym_atx_h4_marker] = ACTIONS(1408),
    [sym_atx_h5_marker] = ACTIONS(1408),
    [sym_atx_h6_marker] = ACTIONS(1408),
    [sym__thematic_break] = ACTIONS(1408),
    [sym__list_marker_minus] = ACTIONS(1408),
    [sym__list_marker_plus] = ACTIONS(1408),
    [sym__list_marker_star] = ACTIONS(1408),
    [sym__list_marker_parenthesis] = ACTIONS(1408),
    [sym__list_marker_dot] = ACTIONS(1408),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1408),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1408),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1408),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1408),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1408),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1408),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1408),
    [sym__blank_line_start] = ACTIONS(1408),
    [sym__html_block_1_start] = ACTIONS(1408),
    [sym__html_block_2_start] = ACTIONS(1408),
    [sym__html_block_3_start] = ACTIONS(1408),
    [sym__html_block_4_start] = ACTIONS(1408),
    [sym__html_block_5_start] = ACTIONS(1408),
    [sym__html_block_6_start] = ACTIONS(1408),
    [sym__html_block_7_start] = ACTIONS(1408),
    [sym__pipe_table_start] = ACTIONS(1408),
  },
  [143] = {
    [ts_builtin_sym_end] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_RBRACK] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_POUND] = ACTIONS(1163),
    [anon_sym_DOLLAR] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_COMMA] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_COLON] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym__] = ACTIONS(1163),
    [anon_sym_BQUOTE] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_RPAREN] = ACTIONS(1163),
    [aux_sym__word_token1] = ACTIONS(1163),
    [aux_sym__word_token2] = ACTIONS(1163),
    [aux_sym__word_token3] = ACTIONS(1163),
    [sym__whitespace] = ACTIONS(1163),
    [sym__soft_line_ending] = ACTIONS(1163),
    [sym_block_continuation] = ACTIONS(1412),
    [sym__block_quote_start] = ACTIONS(1163),
    [sym__indented_chunk_start] = ACTIONS(1163),
    [sym_atx_h1_marker] = ACTIONS(1163),
    [sym_atx_h2_marker] = ACTIONS(1163),
    [sym_atx_h3_marker] = ACTIONS(1163),
    [sym_atx_h4_marker] = ACTIONS(1163),
    [sym_atx_h5_marker] = ACTIONS(1163),
    [sym_atx_h6_marker] = ACTIONS(1163),
    [sym__thematic_break] = ACTIONS(1163),
    [sym__list_marker_minus] = ACTIONS(1163),
    [sym__list_marker_plus] = ACTIONS(1163),
    [sym__list_marker_star] = ACTIONS(1163),
    [sym__list_marker_parenthesis] = ACTIONS(1163),
    [sym__list_marker_dot] = ACTIONS(1163),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1163),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1163),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1163),
    [sym__blank_line_start] = ACTIONS(1163),
    [sym__html_block_1_start] = ACTIONS(1163),
    [sym__html_block_2_start] = ACTIONS(1163),
    [sym__html_block_3_start] = ACTIONS(1163),
    [sym__html_block_4_start] = ACTIONS(1163),
    [sym__html_block_5_start] = ACTIONS(1163),
    [sym__html_block_6_start] = ACTIONS(1163),
    [sym__html_block_7_start] = ACTIONS(1163),
    [sym__pipe_table_start] = ACTIONS(1163),
  },
  [144] = {
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_RBRACK] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [anon_sym_POUND] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [anon_sym_PERCENT] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_COMMA] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_DOT] = ACTIONS(1314),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_EQ] = ACTIONS(1314),
    [anon_sym_QMARK] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1314),
    [anon_sym__] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [anon_sym_RPAREN] = ACTIONS(1314),
    [aux_sym__word_token1] = ACTIONS(1314),
    [aux_sym__word_token2] = ACTIONS(1314),
    [aux_sym__word_token3] = ACTIONS(1314),
    [sym__whitespace] = ACTIONS(1314),
    [sym__soft_line_ending] = ACTIONS(1314),
    [sym__block_close] = ACTIONS(1314),
    [sym_block_continuation] = ACTIONS(1414),
    [sym__block_quote_start] = ACTIONS(1314),
    [sym__indented_chunk_start] = ACTIONS(1314),
    [sym_atx_h1_marker] = ACTIONS(1314),
    [sym_atx_h2_marker] = ACTIONS(1314),
    [sym_atx_h3_marker] = ACTIONS(1314),
    [sym_atx_h4_marker] = ACTIONS(1314),
    [sym_atx_h5_marker] = ACTIONS(1314),
    [sym_atx_h6_marker] = ACTIONS(1314),
    [sym__thematic_break] = ACTIONS(1314),
    [sym__list_marker_minus] = ACTIONS(1314),
    [sym__list_marker_plus] = ACTIONS(1314),
    [sym__list_marker_star] = ACTIONS(1314),
    [sym__list_marker_parenthesis] = ACTIONS(1314),
    [sym__list_marker_dot] = ACTIONS(1314),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1314),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1314),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1314),
    [sym__blank_line_start] = ACTIONS(1314),
    [sym__html_block_1_start] = ACTIONS(1314),
    [sym__html_block_2_start] = ACTIONS(1314),
    [sym__html_block_3_start] = ACTIONS(1314),
    [sym__html_block_4_start] = ACTIONS(1314),
    [sym__html_block_5_start] = ACTIONS(1314),
    [sym__html_block_6_start] = ACTIONS(1314),
    [sym__html_block_7_start] = ACTIONS(1314),
    [sym__pipe_table_start] = ACTIONS(1314),
  },
  [145] = {
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_RBRACK] = ACTIONS(1366),
    [anon_sym_LT] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [anon_sym_POUND] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [anon_sym_PERCENT] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(1366),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_COLON] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1366),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_CARET] = ACTIONS(1366),
    [anon_sym__] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [anon_sym_RPAREN] = ACTIONS(1366),
    [aux_sym__word_token1] = ACTIONS(1366),
    [aux_sym__word_token2] = ACTIONS(1366),
    [aux_sym__word_token3] = ACTIONS(1366),
    [sym__whitespace] = ACTIONS(1366),
    [sym__soft_line_ending] = ACTIONS(1366),
    [sym__block_close] = ACTIONS(1366),
    [sym_block_continuation] = ACTIONS(1416),
    [sym__block_quote_start] = ACTIONS(1366),
    [sym__indented_chunk_start] = ACTIONS(1366),
    [sym_atx_h1_marker] = ACTIONS(1366),
    [sym_atx_h2_marker] = ACTIONS(1366),
    [sym_atx_h3_marker] = ACTIONS(1366),
    [sym_atx_h4_marker] = ACTIONS(1366),
    [sym_atx_h5_marker] = ACTIONS(1366),
    [sym_atx_h6_marker] = ACTIONS(1366),
    [sym__thematic_break] = ACTIONS(1366),
    [sym__list_marker_minus] = ACTIONS(1366),
    [sym__list_marker_plus] = ACTIONS(1366),
    [sym__list_marker_star] = ACTIONS(1366),
    [sym__list_marker_parenthesis] = ACTIONS(1366),
    [sym__list_marker_dot] = ACTIONS(1366),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1366),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1366),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1366),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1366),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1366),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1366),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1366),
    [sym__blank_line_start] = ACTIONS(1366),
    [sym__html_block_1_start] = ACTIONS(1366),
    [sym__html_block_2_start] = ACTIONS(1366),
    [sym__html_block_3_start] = ACTIONS(1366),
    [sym__html_block_4_start] = ACTIONS(1366),
    [sym__html_block_5_start] = ACTIONS(1366),
    [sym__html_block_6_start] = ACTIONS(1366),
    [sym__html_block_7_start] = ACTIONS(1366),
    [sym__pipe_table_start] = ACTIONS(1366),
  },
  [146] = {
    [sym__blank_line] = STATE(888),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_POUND] = ACTIONS(1233),
    [anon_sym_DOLLAR] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_COMMA] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_COLON] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_EQ] = ACTIONS(1233),
    [anon_sym_QMARK] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1233),
    [anon_sym_BSLASH] = ACTIONS(1233),
    [anon_sym_CARET] = ACTIONS(1233),
    [anon_sym__] = ACTIONS(1233),
    [anon_sym_BQUOTE] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1233),
    [anon_sym_RPAREN] = ACTIONS(1233),
    [aux_sym__word_token1] = ACTIONS(1233),
    [aux_sym__word_token2] = ACTIONS(1233),
    [aux_sym__word_token3] = ACTIONS(1233),
    [sym__whitespace] = ACTIONS(1233),
    [sym__soft_line_ending] = ACTIONS(1233),
    [sym__block_close] = ACTIONS(1233),
    [sym__block_quote_start] = ACTIONS(1233),
    [sym__indented_chunk_start] = ACTIONS(1233),
    [sym_atx_h1_marker] = ACTIONS(1233),
    [sym_atx_h2_marker] = ACTIONS(1233),
    [sym_atx_h3_marker] = ACTIONS(1233),
    [sym_atx_h4_marker] = ACTIONS(1233),
    [sym_atx_h5_marker] = ACTIONS(1233),
    [sym_atx_h6_marker] = ACTIONS(1233),
    [sym__thematic_break] = ACTIONS(1233),
    [sym__list_marker_minus] = ACTIONS(1233),
    [sym__list_marker_plus] = ACTIONS(1233),
    [sym__list_marker_star] = ACTIONS(1233),
    [sym__list_marker_parenthesis] = ACTIONS(1233),
    [sym__list_marker_dot] = ACTIONS(1233),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1233),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1233),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1233),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1233),
    [sym__blank_line_start] = ACTIONS(1418),
    [sym__html_block_1_start] = ACTIONS(1233),
    [sym__html_block_2_start] = ACTIONS(1233),
    [sym__html_block_3_start] = ACTIONS(1233),
    [sym__html_block_4_start] = ACTIONS(1233),
    [sym__html_block_5_start] = ACTIONS(1233),
    [sym__html_block_6_start] = ACTIONS(1233),
    [sym__html_block_7_start] = ACTIONS(1233),
    [sym__pipe_table_start] = ACTIONS(1233),
  },
  [147] = {
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_RBRACK] = ACTIONS(1378),
    [anon_sym_LT] = ACTIONS(1378),
    [anon_sym_GT] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [anon_sym_POUND] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [anon_sym_PERCENT] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_DOT] = ACTIONS(1378),
    [anon_sym_SLASH] = ACTIONS(1378),
    [anon_sym_COLON] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1378),
    [anon_sym_QMARK] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_CARET] = ACTIONS(1378),
    [anon_sym__] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_PIPE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_RPAREN] = ACTIONS(1378),
    [aux_sym__word_token1] = ACTIONS(1378),
    [aux_sym__word_token2] = ACTIONS(1378),
    [aux_sym__word_token3] = ACTIONS(1378),
    [sym__whitespace] = ACTIONS(1378),
    [sym__soft_line_ending] = ACTIONS(1378),
    [sym__block_close] = ACTIONS(1378),
    [sym_block_continuation] = ACTIONS(1420),
    [sym__block_quote_start] = ACTIONS(1378),
    [sym__indented_chunk_start] = ACTIONS(1378),
    [sym_atx_h1_marker] = ACTIONS(1378),
    [sym_atx_h2_marker] = ACTIONS(1378),
    [sym_atx_h3_marker] = ACTIONS(1378),
    [sym_atx_h4_marker] = ACTIONS(1378),
    [sym_atx_h5_marker] = ACTIONS(1378),
    [sym_atx_h6_marker] = ACTIONS(1378),
    [sym__thematic_break] = ACTIONS(1378),
    [sym__list_marker_minus] = ACTIONS(1378),
    [sym__list_marker_plus] = ACTIONS(1378),
    [sym__list_marker_star] = ACTIONS(1378),
    [sym__list_marker_parenthesis] = ACTIONS(1378),
    [sym__list_marker_dot] = ACTIONS(1378),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1378),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1378),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1378),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1378),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1378),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1378),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1378),
    [sym__blank_line_start] = ACTIONS(1378),
    [sym__html_block_1_start] = ACTIONS(1378),
    [sym__html_block_2_start] = ACTIONS(1378),
    [sym__html_block_3_start] = ACTIONS(1378),
    [sym__html_block_4_start] = ACTIONS(1378),
    [sym__html_block_5_start] = ACTIONS(1378),
    [sym__html_block_6_start] = ACTIONS(1378),
    [sym__html_block_7_start] = ACTIONS(1378),
    [sym__pipe_table_start] = ACTIONS(1378),
  },
  [148] = {
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_RBRACK] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [anon_sym_POUND] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [anon_sym_PERCENT] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_DOT] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(1390),
    [anon_sym_COLON] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1390),
    [anon_sym_QMARK] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_CARET] = ACTIONS(1390),
    [anon_sym__] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_PIPE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_RPAREN] = ACTIONS(1390),
    [aux_sym__word_token1] = ACTIONS(1390),
    [aux_sym__word_token2] = ACTIONS(1390),
    [aux_sym__word_token3] = ACTIONS(1390),
    [sym__whitespace] = ACTIONS(1390),
    [sym__soft_line_ending] = ACTIONS(1390),
    [sym__block_close] = ACTIONS(1390),
    [sym_block_continuation] = ACTIONS(1422),
    [sym__block_quote_start] = ACTIONS(1390),
    [sym__indented_chunk_start] = ACTIONS(1390),
    [sym_atx_h1_marker] = ACTIONS(1390),
    [sym_atx_h2_marker] = ACTIONS(1390),
    [sym_atx_h3_marker] = ACTIONS(1390),
    [sym_atx_h4_marker] = ACTIONS(1390),
    [sym_atx_h5_marker] = ACTIONS(1390),
    [sym_atx_h6_marker] = ACTIONS(1390),
    [sym__thematic_break] = ACTIONS(1390),
    [sym__list_marker_minus] = ACTIONS(1390),
    [sym__list_marker_plus] = ACTIONS(1390),
    [sym__list_marker_star] = ACTIONS(1390),
    [sym__list_marker_parenthesis] = ACTIONS(1390),
    [sym__list_marker_dot] = ACTIONS(1390),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1390),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1390),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1390),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1390),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1390),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1390),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1390),
    [sym__blank_line_start] = ACTIONS(1390),
    [sym__html_block_1_start] = ACTIONS(1390),
    [sym__html_block_2_start] = ACTIONS(1390),
    [sym__html_block_3_start] = ACTIONS(1390),
    [sym__html_block_4_start] = ACTIONS(1390),
    [sym__html_block_5_start] = ACTIONS(1390),
    [sym__html_block_6_start] = ACTIONS(1390),
    [sym__html_block_7_start] = ACTIONS(1390),
    [sym__pipe_table_start] = ACTIONS(1390),
  },
  [149] = {
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_RBRACK] = ACTIONS(1320),
    [anon_sym_LT] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [anon_sym_POUND] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [anon_sym_PERCENT] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_DOT] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(1320),
    [anon_sym_COLON] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1320),
    [anon_sym_QMARK] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_CARET] = ACTIONS(1320),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_RPAREN] = ACTIONS(1320),
    [aux_sym__word_token1] = ACTIONS(1320),
    [aux_sym__word_token2] = ACTIONS(1320),
    [aux_sym__word_token3] = ACTIONS(1320),
    [sym__whitespace] = ACTIONS(1320),
    [sym__soft_line_ending] = ACTIONS(1320),
    [sym__block_close] = ACTIONS(1320),
    [sym_block_continuation] = ACTIONS(1424),
    [sym__block_quote_start] = ACTIONS(1320),
    [sym__indented_chunk_start] = ACTIONS(1320),
    [sym_atx_h1_marker] = ACTIONS(1320),
    [sym_atx_h2_marker] = ACTIONS(1320),
    [sym_atx_h3_marker] = ACTIONS(1320),
    [sym_atx_h4_marker] = ACTIONS(1320),
    [sym_atx_h5_marker] = ACTIONS(1320),
    [sym_atx_h6_marker] = ACTIONS(1320),
    [sym__thematic_break] = ACTIONS(1320),
    [sym__list_marker_minus] = ACTIONS(1320),
    [sym__list_marker_plus] = ACTIONS(1320),
    [sym__list_marker_star] = ACTIONS(1320),
    [sym__list_marker_parenthesis] = ACTIONS(1320),
    [sym__list_marker_dot] = ACTIONS(1320),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1320),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1320),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1320),
    [sym__blank_line_start] = ACTIONS(1320),
    [sym__html_block_1_start] = ACTIONS(1320),
    [sym__html_block_2_start] = ACTIONS(1320),
    [sym__html_block_3_start] = ACTIONS(1320),
    [sym__html_block_4_start] = ACTIONS(1320),
    [sym__html_block_5_start] = ACTIONS(1320),
    [sym__html_block_6_start] = ACTIONS(1320),
    [sym__html_block_7_start] = ACTIONS(1320),
    [sym__pipe_table_start] = ACTIONS(1320),
  },
  [150] = {
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_RBRACK] = ACTIONS(1288),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [anon_sym_POUND] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_COMMA] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_COLON] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym_EQ] = ACTIONS(1288),
    [anon_sym_QMARK] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [anon_sym_RPAREN] = ACTIONS(1288),
    [aux_sym__word_token1] = ACTIONS(1288),
    [aux_sym__word_token2] = ACTIONS(1288),
    [aux_sym__word_token3] = ACTIONS(1288),
    [sym__whitespace] = ACTIONS(1288),
    [sym__soft_line_ending] = ACTIONS(1288),
    [sym__block_close] = ACTIONS(1288),
    [sym_block_continuation] = ACTIONS(1426),
    [sym__block_quote_start] = ACTIONS(1288),
    [sym__indented_chunk_start] = ACTIONS(1288),
    [sym_atx_h1_marker] = ACTIONS(1288),
    [sym_atx_h2_marker] = ACTIONS(1288),
    [sym_atx_h3_marker] = ACTIONS(1288),
    [sym_atx_h4_marker] = ACTIONS(1288),
    [sym_atx_h5_marker] = ACTIONS(1288),
    [sym_atx_h6_marker] = ACTIONS(1288),
    [sym__thematic_break] = ACTIONS(1288),
    [sym__list_marker_minus] = ACTIONS(1288),
    [sym__list_marker_plus] = ACTIONS(1288),
    [sym__list_marker_star] = ACTIONS(1288),
    [sym__list_marker_parenthesis] = ACTIONS(1288),
    [sym__list_marker_dot] = ACTIONS(1288),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1288),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1288),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1288),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1288),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1288),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1288),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1288),
    [sym__blank_line_start] = ACTIONS(1288),
    [sym__html_block_1_start] = ACTIONS(1288),
    [sym__html_block_2_start] = ACTIONS(1288),
    [sym__html_block_3_start] = ACTIONS(1288),
    [sym__html_block_4_start] = ACTIONS(1288),
    [sym__html_block_5_start] = ACTIONS(1288),
    [sym__html_block_6_start] = ACTIONS(1288),
    [sym__html_block_7_start] = ACTIONS(1288),
    [sym__pipe_table_start] = ACTIONS(1288),
  },
  [151] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_RBRACK] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [anon_sym_POUND] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_SLASH] = ACTIONS(1374),
    [anon_sym_COLON] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_QMARK] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_PIPE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_RPAREN] = ACTIONS(1374),
    [aux_sym__word_token1] = ACTIONS(1374),
    [aux_sym__word_token2] = ACTIONS(1374),
    [aux_sym__word_token3] = ACTIONS(1374),
    [sym__whitespace] = ACTIONS(1374),
    [sym__soft_line_ending] = ACTIONS(1374),
    [sym_block_continuation] = ACTIONS(1428),
    [sym__block_quote_start] = ACTIONS(1374),
    [sym__indented_chunk_start] = ACTIONS(1374),
    [sym_atx_h1_marker] = ACTIONS(1374),
    [sym_atx_h2_marker] = ACTIONS(1374),
    [sym_atx_h3_marker] = ACTIONS(1374),
    [sym_atx_h4_marker] = ACTIONS(1374),
    [sym_atx_h5_marker] = ACTIONS(1374),
    [sym_atx_h6_marker] = ACTIONS(1374),
    [sym__thematic_break] = ACTIONS(1374),
    [sym__list_marker_minus] = ACTIONS(1374),
    [sym__list_marker_plus] = ACTIONS(1374),
    [sym__list_marker_star] = ACTIONS(1374),
    [sym__list_marker_parenthesis] = ACTIONS(1374),
    [sym__list_marker_dot] = ACTIONS(1374),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1374),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1374),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1374),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1374),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1374),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1374),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1374),
    [sym__blank_line_start] = ACTIONS(1374),
    [sym__html_block_1_start] = ACTIONS(1374),
    [sym__html_block_2_start] = ACTIONS(1374),
    [sym__html_block_3_start] = ACTIONS(1374),
    [sym__html_block_4_start] = ACTIONS(1374),
    [sym__html_block_5_start] = ACTIONS(1374),
    [sym__html_block_6_start] = ACTIONS(1374),
    [sym__html_block_7_start] = ACTIONS(1374),
    [sym__pipe_table_start] = ACTIONS(1374),
  },
  [152] = {
    [ts_builtin_sym_end] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_RBRACK] = ACTIONS(1408),
    [anon_sym_LT] = ACTIONS(1408),
    [anon_sym_GT] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [anon_sym_POUND] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [anon_sym_PERCENT] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_DOT] = ACTIONS(1408),
    [anon_sym_SLASH] = ACTIONS(1408),
    [anon_sym_COLON] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_EQ] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_CARET] = ACTIONS(1408),
    [anon_sym__] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_PIPE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [anon_sym_RPAREN] = ACTIONS(1408),
    [aux_sym__word_token1] = ACTIONS(1408),
    [aux_sym__word_token2] = ACTIONS(1408),
    [aux_sym__word_token3] = ACTIONS(1408),
    [sym__whitespace] = ACTIONS(1408),
    [sym__soft_line_ending] = ACTIONS(1408),
    [sym_block_continuation] = ACTIONS(1430),
    [sym__block_quote_start] = ACTIONS(1408),
    [sym__indented_chunk_start] = ACTIONS(1408),
    [sym_atx_h1_marker] = ACTIONS(1408),
    [sym_atx_h2_marker] = ACTIONS(1408),
    [sym_atx_h3_marker] = ACTIONS(1408),
    [sym_atx_h4_marker] = ACTIONS(1408),
    [sym_atx_h5_marker] = ACTIONS(1408),
    [sym_atx_h6_marker] = ACTIONS(1408),
    [sym__thematic_break] = ACTIONS(1408),
    [sym__list_marker_minus] = ACTIONS(1408),
    [sym__list_marker_plus] = ACTIONS(1408),
    [sym__list_marker_star] = ACTIONS(1408),
    [sym__list_marker_parenthesis] = ACTIONS(1408),
    [sym__list_marker_dot] = ACTIONS(1408),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1408),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1408),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1408),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1408),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1408),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1408),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1408),
    [sym__blank_line_start] = ACTIONS(1408),
    [sym__html_block_1_start] = ACTIONS(1408),
    [sym__html_block_2_start] = ACTIONS(1408),
    [sym__html_block_3_start] = ACTIONS(1408),
    [sym__html_block_4_start] = ACTIONS(1408),
    [sym__html_block_5_start] = ACTIONS(1408),
    [sym__html_block_6_start] = ACTIONS(1408),
    [sym__html_block_7_start] = ACTIONS(1408),
    [sym__pipe_table_start] = ACTIONS(1408),
  },
  [153] = {
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [anon_sym_POUND] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [aux_sym__word_token1] = ACTIONS(1434),
    [aux_sym__word_token2] = ACTIONS(1434),
    [aux_sym__word_token3] = ACTIONS(1434),
    [sym__whitespace] = ACTIONS(1434),
    [sym__soft_line_ending] = ACTIONS(1434),
    [sym__block_close] = ACTIONS(1434),
    [sym_block_continuation] = ACTIONS(1436),
    [sym__block_quote_start] = ACTIONS(1434),
    [sym__indented_chunk_start] = ACTIONS(1434),
    [sym_atx_h1_marker] = ACTIONS(1434),
    [sym_atx_h2_marker] = ACTIONS(1434),
    [sym_atx_h3_marker] = ACTIONS(1434),
    [sym_atx_h4_marker] = ACTIONS(1434),
    [sym_atx_h5_marker] = ACTIONS(1434),
    [sym_atx_h6_marker] = ACTIONS(1434),
    [sym__thematic_break] = ACTIONS(1434),
    [sym__list_marker_minus] = ACTIONS(1434),
    [sym__list_marker_plus] = ACTIONS(1434),
    [sym__list_marker_star] = ACTIONS(1434),
    [sym__list_marker_parenthesis] = ACTIONS(1434),
    [sym__list_marker_dot] = ACTIONS(1434),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1434),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1434),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1434),
    [sym__blank_line_start] = ACTIONS(1434),
    [sym__html_block_1_start] = ACTIONS(1434),
    [sym__html_block_2_start] = ACTIONS(1434),
    [sym__html_block_3_start] = ACTIONS(1434),
    [sym__html_block_4_start] = ACTIONS(1434),
    [sym__html_block_5_start] = ACTIONS(1434),
    [sym__html_block_6_start] = ACTIONS(1434),
    [sym__html_block_7_start] = ACTIONS(1434),
    [sym__pipe_table_start] = ACTIONS(1434),
  },
  [154] = {
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_RBRACK] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [anon_sym_POUND] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_DOT] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym__] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_PIPE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_RPAREN] = ACTIONS(1440),
    [aux_sym__word_token1] = ACTIONS(1440),
    [aux_sym__word_token2] = ACTIONS(1440),
    [aux_sym__word_token3] = ACTIONS(1440),
    [sym__whitespace] = ACTIONS(1440),
    [sym__soft_line_ending] = ACTIONS(1440),
    [sym__block_close] = ACTIONS(1440),
    [sym_block_continuation] = ACTIONS(1442),
    [sym__block_quote_start] = ACTIONS(1440),
    [sym__indented_chunk_start] = ACTIONS(1440),
    [sym_atx_h1_marker] = ACTIONS(1440),
    [sym_atx_h2_marker] = ACTIONS(1440),
    [sym_atx_h3_marker] = ACTIONS(1440),
    [sym_atx_h4_marker] = ACTIONS(1440),
    [sym_atx_h5_marker] = ACTIONS(1440),
    [sym_atx_h6_marker] = ACTIONS(1440),
    [sym__thematic_break] = ACTIONS(1440),
    [sym__list_marker_minus] = ACTIONS(1440),
    [sym__list_marker_plus] = ACTIONS(1440),
    [sym__list_marker_star] = ACTIONS(1440),
    [sym__list_marker_parenthesis] = ACTIONS(1440),
    [sym__list_marker_dot] = ACTIONS(1440),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1440),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1440),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1440),
    [sym__blank_line_start] = ACTIONS(1440),
    [sym__html_block_1_start] = ACTIONS(1440),
    [sym__html_block_2_start] = ACTIONS(1440),
    [sym__html_block_3_start] = ACTIONS(1440),
    [sym__html_block_4_start] = ACTIONS(1440),
    [sym__html_block_5_start] = ACTIONS(1440),
    [sym__html_block_6_start] = ACTIONS(1440),
    [sym__html_block_7_start] = ACTIONS(1440),
    [sym__pipe_table_start] = ACTIONS(1440),
  },
  [155] = {
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_RBRACK] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(1326),
    [anon_sym_GT] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [anon_sym_POUND] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [anon_sym_PERCENT] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1326),
    [anon_sym_SLASH] = ACTIONS(1326),
    [anon_sym_COLON] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(1326),
    [anon_sym_QMARK] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_CARET] = ACTIONS(1326),
    [anon_sym__] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_PIPE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1326),
    [aux_sym__word_token1] = ACTIONS(1326),
    [aux_sym__word_token2] = ACTIONS(1326),
    [aux_sym__word_token3] = ACTIONS(1326),
    [sym__whitespace] = ACTIONS(1326),
    [sym__soft_line_ending] = ACTIONS(1326),
    [sym__block_close] = ACTIONS(1326),
    [sym_block_continuation] = ACTIONS(1444),
    [sym__block_quote_start] = ACTIONS(1326),
    [sym__indented_chunk_start] = ACTIONS(1326),
    [sym_atx_h1_marker] = ACTIONS(1326),
    [sym_atx_h2_marker] = ACTIONS(1326),
    [sym_atx_h3_marker] = ACTIONS(1326),
    [sym_atx_h4_marker] = ACTIONS(1326),
    [sym_atx_h5_marker] = ACTIONS(1326),
    [sym_atx_h6_marker] = ACTIONS(1326),
    [sym__thematic_break] = ACTIONS(1326),
    [sym__list_marker_minus] = ACTIONS(1326),
    [sym__list_marker_plus] = ACTIONS(1326),
    [sym__list_marker_star] = ACTIONS(1326),
    [sym__list_marker_parenthesis] = ACTIONS(1326),
    [sym__list_marker_dot] = ACTIONS(1326),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1326),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1326),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1326),
    [sym__blank_line_start] = ACTIONS(1326),
    [sym__html_block_1_start] = ACTIONS(1326),
    [sym__html_block_2_start] = ACTIONS(1326),
    [sym__html_block_3_start] = ACTIONS(1326),
    [sym__html_block_4_start] = ACTIONS(1326),
    [sym__html_block_5_start] = ACTIONS(1326),
    [sym__html_block_6_start] = ACTIONS(1326),
    [sym__html_block_7_start] = ACTIONS(1326),
    [sym__pipe_table_start] = ACTIONS(1326),
  },
  [156] = {
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_RBRACK] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [anon_sym_POUND] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_COLON] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1448),
    [anon_sym_QMARK] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_PIPE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_RPAREN] = ACTIONS(1448),
    [aux_sym__word_token1] = ACTIONS(1448),
    [aux_sym__word_token2] = ACTIONS(1448),
    [aux_sym__word_token3] = ACTIONS(1448),
    [sym__whitespace] = ACTIONS(1448),
    [sym__soft_line_ending] = ACTIONS(1448),
    [sym__block_close] = ACTIONS(1448),
    [sym_block_continuation] = ACTIONS(1450),
    [sym__block_quote_start] = ACTIONS(1448),
    [sym__indented_chunk_start] = ACTIONS(1448),
    [sym_atx_h1_marker] = ACTIONS(1448),
    [sym_atx_h2_marker] = ACTIONS(1448),
    [sym_atx_h3_marker] = ACTIONS(1448),
    [sym_atx_h4_marker] = ACTIONS(1448),
    [sym_atx_h5_marker] = ACTIONS(1448),
    [sym_atx_h6_marker] = ACTIONS(1448),
    [sym__thematic_break] = ACTIONS(1448),
    [sym__list_marker_minus] = ACTIONS(1448),
    [sym__list_marker_plus] = ACTIONS(1448),
    [sym__list_marker_star] = ACTIONS(1448),
    [sym__list_marker_parenthesis] = ACTIONS(1448),
    [sym__list_marker_dot] = ACTIONS(1448),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1448),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1448),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1448),
    [sym__blank_line_start] = ACTIONS(1448),
    [sym__html_block_1_start] = ACTIONS(1448),
    [sym__html_block_2_start] = ACTIONS(1448),
    [sym__html_block_3_start] = ACTIONS(1448),
    [sym__html_block_4_start] = ACTIONS(1448),
    [sym__html_block_5_start] = ACTIONS(1448),
    [sym__html_block_6_start] = ACTIONS(1448),
    [sym__html_block_7_start] = ACTIONS(1448),
    [sym__pipe_table_start] = ACTIONS(1448),
  },
  [157] = {
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACK] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_POUND] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_PERCENT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym__] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_RPAREN] = ACTIONS(1454),
    [aux_sym__word_token1] = ACTIONS(1454),
    [aux_sym__word_token2] = ACTIONS(1454),
    [aux_sym__word_token3] = ACTIONS(1454),
    [sym__whitespace] = ACTIONS(1454),
    [sym__soft_line_ending] = ACTIONS(1454),
    [sym__block_close] = ACTIONS(1454),
    [sym_block_continuation] = ACTIONS(1456),
    [sym__block_quote_start] = ACTIONS(1454),
    [sym__indented_chunk_start] = ACTIONS(1454),
    [sym_atx_h1_marker] = ACTIONS(1454),
    [sym_atx_h2_marker] = ACTIONS(1454),
    [sym_atx_h3_marker] = ACTIONS(1454),
    [sym_atx_h4_marker] = ACTIONS(1454),
    [sym_atx_h5_marker] = ACTIONS(1454),
    [sym_atx_h6_marker] = ACTIONS(1454),
    [sym__thematic_break] = ACTIONS(1454),
    [sym__list_marker_minus] = ACTIONS(1454),
    [sym__list_marker_plus] = ACTIONS(1454),
    [sym__list_marker_star] = ACTIONS(1454),
    [sym__list_marker_parenthesis] = ACTIONS(1454),
    [sym__list_marker_dot] = ACTIONS(1454),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1454),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1454),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1454),
    [sym__blank_line_start] = ACTIONS(1454),
    [sym__html_block_1_start] = ACTIONS(1454),
    [sym__html_block_2_start] = ACTIONS(1454),
    [sym__html_block_3_start] = ACTIONS(1454),
    [sym__html_block_4_start] = ACTIONS(1454),
    [sym__html_block_5_start] = ACTIONS(1454),
    [sym__html_block_6_start] = ACTIONS(1454),
    [sym__html_block_7_start] = ACTIONS(1454),
    [sym__pipe_table_start] = ACTIONS(1454),
  },
  [158] = {
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_RBRACK] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [anon_sym_POUND] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_DOT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [anon_sym__] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_RPAREN] = ACTIONS(1460),
    [aux_sym__word_token1] = ACTIONS(1460),
    [aux_sym__word_token2] = ACTIONS(1460),
    [aux_sym__word_token3] = ACTIONS(1460),
    [sym__whitespace] = ACTIONS(1460),
    [sym__soft_line_ending] = ACTIONS(1460),
    [sym__block_close] = ACTIONS(1460),
    [sym_block_continuation] = ACTIONS(1462),
    [sym__block_quote_start] = ACTIONS(1460),
    [sym__indented_chunk_start] = ACTIONS(1460),
    [sym_atx_h1_marker] = ACTIONS(1460),
    [sym_atx_h2_marker] = ACTIONS(1460),
    [sym_atx_h3_marker] = ACTIONS(1460),
    [sym_atx_h4_marker] = ACTIONS(1460),
    [sym_atx_h5_marker] = ACTIONS(1460),
    [sym_atx_h6_marker] = ACTIONS(1460),
    [sym__thematic_break] = ACTIONS(1460),
    [sym__list_marker_minus] = ACTIONS(1460),
    [sym__list_marker_plus] = ACTIONS(1460),
    [sym__list_marker_star] = ACTIONS(1460),
    [sym__list_marker_parenthesis] = ACTIONS(1460),
    [sym__list_marker_dot] = ACTIONS(1460),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1460),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1460),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1460),
    [sym__blank_line_start] = ACTIONS(1460),
    [sym__html_block_1_start] = ACTIONS(1460),
    [sym__html_block_2_start] = ACTIONS(1460),
    [sym__html_block_3_start] = ACTIONS(1460),
    [sym__html_block_4_start] = ACTIONS(1460),
    [sym__html_block_5_start] = ACTIONS(1460),
    [sym__html_block_6_start] = ACTIONS(1460),
    [sym__html_block_7_start] = ACTIONS(1460),
    [sym__pipe_table_start] = ACTIONS(1460),
  },
  [159] = {
    [ts_builtin_sym_end] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_RBRACK] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [anon_sym_POUND] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_PERCENT] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_DOT] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_RPAREN] = ACTIONS(1464),
    [aux_sym__word_token1] = ACTIONS(1464),
    [aux_sym__word_token2] = ACTIONS(1464),
    [aux_sym__word_token3] = ACTIONS(1464),
    [sym__whitespace] = ACTIONS(1464),
    [sym__soft_line_ending] = ACTIONS(1464),
    [sym_block_continuation] = ACTIONS(1468),
    [sym__block_quote_start] = ACTIONS(1464),
    [sym__indented_chunk_start] = ACTIONS(1464),
    [sym_atx_h1_marker] = ACTIONS(1464),
    [sym_atx_h2_marker] = ACTIONS(1464),
    [sym_atx_h3_marker] = ACTIONS(1464),
    [sym_atx_h4_marker] = ACTIONS(1464),
    [sym_atx_h5_marker] = ACTIONS(1464),
    [sym_atx_h6_marker] = ACTIONS(1464),
    [sym__thematic_break] = ACTIONS(1464),
    [sym__list_marker_minus] = ACTIONS(1464),
    [sym__list_marker_plus] = ACTIONS(1464),
    [sym__list_marker_star] = ACTIONS(1464),
    [sym__list_marker_parenthesis] = ACTIONS(1464),
    [sym__list_marker_dot] = ACTIONS(1464),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1464),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1464),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1464),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1464),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1464),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1464),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1464),
    [sym__blank_line_start] = ACTIONS(1464),
    [sym__html_block_1_start] = ACTIONS(1464),
    [sym__html_block_2_start] = ACTIONS(1464),
    [sym__html_block_3_start] = ACTIONS(1464),
    [sym__html_block_4_start] = ACTIONS(1464),
    [sym__html_block_5_start] = ACTIONS(1464),
    [sym__html_block_6_start] = ACTIONS(1464),
    [sym__html_block_7_start] = ACTIONS(1464),
    [sym__pipe_table_start] = ACTIONS(1464),
  },
  [160] = {
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_RBRACK] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [anon_sym_POUND] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_PERCENT] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_DOT] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [anon_sym__] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_RPAREN] = ACTIONS(1472),
    [aux_sym__word_token1] = ACTIONS(1472),
    [aux_sym__word_token2] = ACTIONS(1472),
    [aux_sym__word_token3] = ACTIONS(1472),
    [sym__whitespace] = ACTIONS(1472),
    [sym__soft_line_ending] = ACTIONS(1472),
    [sym__block_close] = ACTIONS(1472),
    [sym_block_continuation] = ACTIONS(1474),
    [sym__block_quote_start] = ACTIONS(1472),
    [sym__indented_chunk_start] = ACTIONS(1472),
    [sym_atx_h1_marker] = ACTIONS(1472),
    [sym_atx_h2_marker] = ACTIONS(1472),
    [sym_atx_h3_marker] = ACTIONS(1472),
    [sym_atx_h4_marker] = ACTIONS(1472),
    [sym_atx_h5_marker] = ACTIONS(1472),
    [sym_atx_h6_marker] = ACTIONS(1472),
    [sym__thematic_break] = ACTIONS(1472),
    [sym__list_marker_minus] = ACTIONS(1472),
    [sym__list_marker_plus] = ACTIONS(1472),
    [sym__list_marker_star] = ACTIONS(1472),
    [sym__list_marker_parenthesis] = ACTIONS(1472),
    [sym__list_marker_dot] = ACTIONS(1472),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1472),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1472),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1472),
    [sym__blank_line_start] = ACTIONS(1472),
    [sym__html_block_1_start] = ACTIONS(1472),
    [sym__html_block_2_start] = ACTIONS(1472),
    [sym__html_block_3_start] = ACTIONS(1472),
    [sym__html_block_4_start] = ACTIONS(1472),
    [sym__html_block_5_start] = ACTIONS(1472),
    [sym__html_block_6_start] = ACTIONS(1472),
    [sym__html_block_7_start] = ACTIONS(1472),
    [sym__pipe_table_start] = ACTIONS(1472),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_RBRACK] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [anon_sym_POUND] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1334),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_COLON] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_EQ] = ACTIONS(1334),
    [anon_sym_QMARK] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_CARET] = ACTIONS(1334),
    [anon_sym__] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_PIPE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_RPAREN] = ACTIONS(1334),
    [aux_sym__word_token1] = ACTIONS(1334),
    [aux_sym__word_token2] = ACTIONS(1334),
    [aux_sym__word_token3] = ACTIONS(1334),
    [sym__whitespace] = ACTIONS(1334),
    [sym__soft_line_ending] = ACTIONS(1334),
    [sym_block_continuation] = ACTIONS(1476),
    [sym__block_quote_start] = ACTIONS(1334),
    [sym__indented_chunk_start] = ACTIONS(1334),
    [sym_atx_h1_marker] = ACTIONS(1334),
    [sym_atx_h2_marker] = ACTIONS(1334),
    [sym_atx_h3_marker] = ACTIONS(1334),
    [sym_atx_h4_marker] = ACTIONS(1334),
    [sym_atx_h5_marker] = ACTIONS(1334),
    [sym_atx_h6_marker] = ACTIONS(1334),
    [sym__thematic_break] = ACTIONS(1334),
    [sym__list_marker_minus] = ACTIONS(1334),
    [sym__list_marker_plus] = ACTIONS(1334),
    [sym__list_marker_star] = ACTIONS(1334),
    [sym__list_marker_parenthesis] = ACTIONS(1334),
    [sym__list_marker_dot] = ACTIONS(1334),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1334),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1334),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1334),
    [sym__blank_line_start] = ACTIONS(1334),
    [sym__html_block_1_start] = ACTIONS(1334),
    [sym__html_block_2_start] = ACTIONS(1334),
    [sym__html_block_3_start] = ACTIONS(1334),
    [sym__html_block_4_start] = ACTIONS(1334),
    [sym__html_block_5_start] = ACTIONS(1334),
    [sym__html_block_6_start] = ACTIONS(1334),
    [sym__html_block_7_start] = ACTIONS(1334),
    [sym__pipe_table_start] = ACTIONS(1334),
  },
  [162] = {
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_RBRACK] = ACTIONS(1306),
    [anon_sym_LT] = ACTIONS(1306),
    [anon_sym_GT] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [anon_sym_POUND] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [anon_sym_PERCENT] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_COMMA] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_DOT] = ACTIONS(1306),
    [anon_sym_SLASH] = ACTIONS(1306),
    [anon_sym_COLON] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_EQ] = ACTIONS(1306),
    [anon_sym_QMARK] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_CARET] = ACTIONS(1306),
    [anon_sym__] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_PIPE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [anon_sym_RPAREN] = ACTIONS(1306),
    [aux_sym__word_token1] = ACTIONS(1306),
    [aux_sym__word_token2] = ACTIONS(1306),
    [aux_sym__word_token3] = ACTIONS(1306),
    [sym__whitespace] = ACTIONS(1306),
    [sym__soft_line_ending] = ACTIONS(1306),
    [sym__block_close] = ACTIONS(1306),
    [sym_block_continuation] = ACTIONS(1478),
    [sym__block_quote_start] = ACTIONS(1306),
    [sym__indented_chunk_start] = ACTIONS(1306),
    [sym_atx_h1_marker] = ACTIONS(1306),
    [sym_atx_h2_marker] = ACTIONS(1306),
    [sym_atx_h3_marker] = ACTIONS(1306),
    [sym_atx_h4_marker] = ACTIONS(1306),
    [sym_atx_h5_marker] = ACTIONS(1306),
    [sym_atx_h6_marker] = ACTIONS(1306),
    [sym__thematic_break] = ACTIONS(1306),
    [sym__list_marker_minus] = ACTIONS(1306),
    [sym__list_marker_plus] = ACTIONS(1306),
    [sym__list_marker_star] = ACTIONS(1306),
    [sym__list_marker_parenthesis] = ACTIONS(1306),
    [sym__list_marker_dot] = ACTIONS(1306),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1306),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1306),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1306),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1306),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1306),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1306),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1306),
    [sym__blank_line_start] = ACTIONS(1306),
    [sym__html_block_1_start] = ACTIONS(1306),
    [sym__html_block_2_start] = ACTIONS(1306),
    [sym__html_block_3_start] = ACTIONS(1306),
    [sym__html_block_4_start] = ACTIONS(1306),
    [sym__html_block_5_start] = ACTIONS(1306),
    [sym__html_block_6_start] = ACTIONS(1306),
    [sym__html_block_7_start] = ACTIONS(1306),
    [sym__pipe_table_start] = ACTIONS(1306),
  },
  [163] = {
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [anon_sym_POUND] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym__] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_RPAREN] = ACTIONS(1482),
    [aux_sym__word_token1] = ACTIONS(1482),
    [aux_sym__word_token2] = ACTIONS(1482),
    [aux_sym__word_token3] = ACTIONS(1482),
    [sym__whitespace] = ACTIONS(1482),
    [sym__soft_line_ending] = ACTIONS(1482),
    [sym__block_close] = ACTIONS(1482),
    [sym_block_continuation] = ACTIONS(1484),
    [sym__block_quote_start] = ACTIONS(1482),
    [sym__indented_chunk_start] = ACTIONS(1482),
    [sym_atx_h1_marker] = ACTIONS(1482),
    [sym_atx_h2_marker] = ACTIONS(1482),
    [sym_atx_h3_marker] = ACTIONS(1482),
    [sym_atx_h4_marker] = ACTIONS(1482),
    [sym_atx_h5_marker] = ACTIONS(1482),
    [sym_atx_h6_marker] = ACTIONS(1482),
    [sym__thematic_break] = ACTIONS(1482),
    [sym__list_marker_minus] = ACTIONS(1482),
    [sym__list_marker_plus] = ACTIONS(1482),
    [sym__list_marker_star] = ACTIONS(1482),
    [sym__list_marker_parenthesis] = ACTIONS(1482),
    [sym__list_marker_dot] = ACTIONS(1482),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1482),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1482),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1482),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1482),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1482),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1482),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1482),
    [sym__blank_line_start] = ACTIONS(1482),
    [sym__html_block_1_start] = ACTIONS(1482),
    [sym__html_block_2_start] = ACTIONS(1482),
    [sym__html_block_3_start] = ACTIONS(1482),
    [sym__html_block_4_start] = ACTIONS(1482),
    [sym__html_block_5_start] = ACTIONS(1482),
    [sym__html_block_6_start] = ACTIONS(1482),
    [sym__html_block_7_start] = ACTIONS(1482),
    [sym__pipe_table_start] = ACTIONS(1482),
  },
  [164] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_RBRACK] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [anon_sym_POUND] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [anon_sym_PERCENT] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_COLON] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1362),
    [anon_sym_QMARK] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_CARET] = ACTIONS(1362),
    [anon_sym__] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [anon_sym_RPAREN] = ACTIONS(1362),
    [aux_sym__word_token1] = ACTIONS(1362),
    [aux_sym__word_token2] = ACTIONS(1362),
    [aux_sym__word_token3] = ACTIONS(1362),
    [sym__whitespace] = ACTIONS(1362),
    [sym__soft_line_ending] = ACTIONS(1362),
    [sym_block_continuation] = ACTIONS(1486),
    [sym__block_quote_start] = ACTIONS(1362),
    [sym__indented_chunk_start] = ACTIONS(1362),
    [sym_atx_h1_marker] = ACTIONS(1362),
    [sym_atx_h2_marker] = ACTIONS(1362),
    [sym_atx_h3_marker] = ACTIONS(1362),
    [sym_atx_h4_marker] = ACTIONS(1362),
    [sym_atx_h5_marker] = ACTIONS(1362),
    [sym_atx_h6_marker] = ACTIONS(1362),
    [sym__thematic_break] = ACTIONS(1362),
    [sym__list_marker_minus] = ACTIONS(1362),
    [sym__list_marker_plus] = ACTIONS(1362),
    [sym__list_marker_star] = ACTIONS(1362),
    [sym__list_marker_parenthesis] = ACTIONS(1362),
    [sym__list_marker_dot] = ACTIONS(1362),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1362),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1362),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1362),
    [sym__blank_line_start] = ACTIONS(1362),
    [sym__html_block_1_start] = ACTIONS(1362),
    [sym__html_block_2_start] = ACTIONS(1362),
    [sym__html_block_3_start] = ACTIONS(1362),
    [sym__html_block_4_start] = ACTIONS(1362),
    [sym__html_block_5_start] = ACTIONS(1362),
    [sym__html_block_6_start] = ACTIONS(1362),
    [sym__html_block_7_start] = ACTIONS(1362),
    [sym__pipe_table_start] = ACTIONS(1362),
  },
  [165] = {
    [ts_builtin_sym_end] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_RBRACK] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [anon_sym_POUND] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_PERCENT] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_DOT] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [anon_sym__] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_RPAREN] = ACTIONS(1472),
    [aux_sym__word_token1] = ACTIONS(1472),
    [aux_sym__word_token2] = ACTIONS(1472),
    [aux_sym__word_token3] = ACTIONS(1472),
    [sym__whitespace] = ACTIONS(1472),
    [sym__soft_line_ending] = ACTIONS(1472),
    [sym_block_continuation] = ACTIONS(1488),
    [sym__block_quote_start] = ACTIONS(1472),
    [sym__indented_chunk_start] = ACTIONS(1472),
    [sym_atx_h1_marker] = ACTIONS(1472),
    [sym_atx_h2_marker] = ACTIONS(1472),
    [sym_atx_h3_marker] = ACTIONS(1472),
    [sym_atx_h4_marker] = ACTIONS(1472),
    [sym_atx_h5_marker] = ACTIONS(1472),
    [sym_atx_h6_marker] = ACTIONS(1472),
    [sym__thematic_break] = ACTIONS(1472),
    [sym__list_marker_minus] = ACTIONS(1472),
    [sym__list_marker_plus] = ACTIONS(1472),
    [sym__list_marker_star] = ACTIONS(1472),
    [sym__list_marker_parenthesis] = ACTIONS(1472),
    [sym__list_marker_dot] = ACTIONS(1472),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1472),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1472),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1472),
    [sym__blank_line_start] = ACTIONS(1472),
    [sym__html_block_1_start] = ACTIONS(1472),
    [sym__html_block_2_start] = ACTIONS(1472),
    [sym__html_block_3_start] = ACTIONS(1472),
    [sym__html_block_4_start] = ACTIONS(1472),
    [sym__html_block_5_start] = ACTIONS(1472),
    [sym__html_block_6_start] = ACTIONS(1472),
    [sym__html_block_7_start] = ACTIONS(1472),
    [sym__pipe_table_start] = ACTIONS(1472),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_RBRACK] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [anon_sym_POUND] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_DOT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [anon_sym__] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_RPAREN] = ACTIONS(1460),
    [aux_sym__word_token1] = ACTIONS(1460),
    [aux_sym__word_token2] = ACTIONS(1460),
    [aux_sym__word_token3] = ACTIONS(1460),
    [sym__whitespace] = ACTIONS(1460),
    [sym__soft_line_ending] = ACTIONS(1460),
    [sym_block_continuation] = ACTIONS(1490),
    [sym__block_quote_start] = ACTIONS(1460),
    [sym__indented_chunk_start] = ACTIONS(1460),
    [sym_atx_h1_marker] = ACTIONS(1460),
    [sym_atx_h2_marker] = ACTIONS(1460),
    [sym_atx_h3_marker] = ACTIONS(1460),
    [sym_atx_h4_marker] = ACTIONS(1460),
    [sym_atx_h5_marker] = ACTIONS(1460),
    [sym_atx_h6_marker] = ACTIONS(1460),
    [sym__thematic_break] = ACTIONS(1460),
    [sym__list_marker_minus] = ACTIONS(1460),
    [sym__list_marker_plus] = ACTIONS(1460),
    [sym__list_marker_star] = ACTIONS(1460),
    [sym__list_marker_parenthesis] = ACTIONS(1460),
    [sym__list_marker_dot] = ACTIONS(1460),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1460),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1460),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1460),
    [sym__blank_line_start] = ACTIONS(1460),
    [sym__html_block_1_start] = ACTIONS(1460),
    [sym__html_block_2_start] = ACTIONS(1460),
    [sym__html_block_3_start] = ACTIONS(1460),
    [sym__html_block_4_start] = ACTIONS(1460),
    [sym__html_block_5_start] = ACTIONS(1460),
    [sym__html_block_6_start] = ACTIONS(1460),
    [sym__html_block_7_start] = ACTIONS(1460),
    [sym__pipe_table_start] = ACTIONS(1460),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACK] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_POUND] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_PERCENT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym__] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_RPAREN] = ACTIONS(1454),
    [aux_sym__word_token1] = ACTIONS(1454),
    [aux_sym__word_token2] = ACTIONS(1454),
    [aux_sym__word_token3] = ACTIONS(1454),
    [sym__whitespace] = ACTIONS(1454),
    [sym__soft_line_ending] = ACTIONS(1454),
    [sym_block_continuation] = ACTIONS(1492),
    [sym__block_quote_start] = ACTIONS(1454),
    [sym__indented_chunk_start] = ACTIONS(1454),
    [sym_atx_h1_marker] = ACTIONS(1454),
    [sym_atx_h2_marker] = ACTIONS(1454),
    [sym_atx_h3_marker] = ACTIONS(1454),
    [sym_atx_h4_marker] = ACTIONS(1454),
    [sym_atx_h5_marker] = ACTIONS(1454),
    [sym_atx_h6_marker] = ACTIONS(1454),
    [sym__thematic_break] = ACTIONS(1454),
    [sym__list_marker_minus] = ACTIONS(1454),
    [sym__list_marker_plus] = ACTIONS(1454),
    [sym__list_marker_star] = ACTIONS(1454),
    [sym__list_marker_parenthesis] = ACTIONS(1454),
    [sym__list_marker_dot] = ACTIONS(1454),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1454),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1454),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1454),
    [sym__blank_line_start] = ACTIONS(1454),
    [sym__html_block_1_start] = ACTIONS(1454),
    [sym__html_block_2_start] = ACTIONS(1454),
    [sym__html_block_3_start] = ACTIONS(1454),
    [sym__html_block_4_start] = ACTIONS(1454),
    [sym__html_block_5_start] = ACTIONS(1454),
    [sym__html_block_6_start] = ACTIONS(1454),
    [sym__html_block_7_start] = ACTIONS(1454),
    [sym__pipe_table_start] = ACTIONS(1454),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_RBRACK] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [anon_sym_POUND] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_COLON] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1448),
    [anon_sym_QMARK] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_PIPE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_RPAREN] = ACTIONS(1448),
    [aux_sym__word_token1] = ACTIONS(1448),
    [aux_sym__word_token2] = ACTIONS(1448),
    [aux_sym__word_token3] = ACTIONS(1448),
    [sym__whitespace] = ACTIONS(1448),
    [sym__soft_line_ending] = ACTIONS(1448),
    [sym_block_continuation] = ACTIONS(1494),
    [sym__block_quote_start] = ACTIONS(1448),
    [sym__indented_chunk_start] = ACTIONS(1448),
    [sym_atx_h1_marker] = ACTIONS(1448),
    [sym_atx_h2_marker] = ACTIONS(1448),
    [sym_atx_h3_marker] = ACTIONS(1448),
    [sym_atx_h4_marker] = ACTIONS(1448),
    [sym_atx_h5_marker] = ACTIONS(1448),
    [sym_atx_h6_marker] = ACTIONS(1448),
    [sym__thematic_break] = ACTIONS(1448),
    [sym__list_marker_minus] = ACTIONS(1448),
    [sym__list_marker_plus] = ACTIONS(1448),
    [sym__list_marker_star] = ACTIONS(1448),
    [sym__list_marker_parenthesis] = ACTIONS(1448),
    [sym__list_marker_dot] = ACTIONS(1448),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1448),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1448),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1448),
    [sym__blank_line_start] = ACTIONS(1448),
    [sym__html_block_1_start] = ACTIONS(1448),
    [sym__html_block_2_start] = ACTIONS(1448),
    [sym__html_block_3_start] = ACTIONS(1448),
    [sym__html_block_4_start] = ACTIONS(1448),
    [sym__html_block_5_start] = ACTIONS(1448),
    [sym__html_block_6_start] = ACTIONS(1448),
    [sym__html_block_7_start] = ACTIONS(1448),
    [sym__pipe_table_start] = ACTIONS(1448),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_RBRACK] = ACTIONS(1076),
    [anon_sym_LT] = ACTIONS(1076),
    [anon_sym_GT] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [anon_sym_POUND] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [anon_sym_PERCENT] = ACTIONS(1076),
    [anon_sym_AMP] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1076),
    [anon_sym_COMMA] = ACTIONS(1076),
    [anon_sym_DASH] = ACTIONS(1076),
    [anon_sym_DOT] = ACTIONS(1076),
    [anon_sym_SLASH] = ACTIONS(1076),
    [anon_sym_COLON] = ACTIONS(1076),
    [anon_sym_SEMI] = ACTIONS(1076),
    [anon_sym_EQ] = ACTIONS(1076),
    [anon_sym_QMARK] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_CARET] = ACTIONS(1076),
    [anon_sym__] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_PIPE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_RPAREN] = ACTIONS(1076),
    [aux_sym__word_token1] = ACTIONS(1076),
    [aux_sym__word_token2] = ACTIONS(1076),
    [aux_sym__word_token3] = ACTIONS(1076),
    [sym__whitespace] = ACTIONS(1076),
    [sym__soft_line_ending] = ACTIONS(1076),
    [sym_block_continuation] = ACTIONS(1496),
    [sym__block_quote_start] = ACTIONS(1076),
    [sym__indented_chunk_start] = ACTIONS(1076),
    [sym_atx_h1_marker] = ACTIONS(1076),
    [sym_atx_h2_marker] = ACTIONS(1076),
    [sym_atx_h3_marker] = ACTIONS(1076),
    [sym_atx_h4_marker] = ACTIONS(1076),
    [sym_atx_h5_marker] = ACTIONS(1076),
    [sym_atx_h6_marker] = ACTIONS(1076),
    [sym__thematic_break] = ACTIONS(1076),
    [sym__list_marker_minus] = ACTIONS(1076),
    [sym__list_marker_plus] = ACTIONS(1076),
    [sym__list_marker_star] = ACTIONS(1076),
    [sym__list_marker_parenthesis] = ACTIONS(1076),
    [sym__list_marker_dot] = ACTIONS(1076),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1076),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1076),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1076),
    [sym__blank_line_start] = ACTIONS(1076),
    [sym__html_block_1_start] = ACTIONS(1076),
    [sym__html_block_2_start] = ACTIONS(1076),
    [sym__html_block_3_start] = ACTIONS(1076),
    [sym__html_block_4_start] = ACTIONS(1076),
    [sym__html_block_5_start] = ACTIONS(1076),
    [sym__html_block_6_start] = ACTIONS(1076),
    [sym__html_block_7_start] = ACTIONS(1076),
    [sym__pipe_table_start] = ACTIONS(1076),
  },
  [170] = {
    [ts_builtin_sym_end] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_RBRACK] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [anon_sym_POUND] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_DOT] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym__] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_PIPE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_RPAREN] = ACTIONS(1440),
    [aux_sym__word_token1] = ACTIONS(1440),
    [aux_sym__word_token2] = ACTIONS(1440),
    [aux_sym__word_token3] = ACTIONS(1440),
    [sym__whitespace] = ACTIONS(1440),
    [sym__soft_line_ending] = ACTIONS(1440),
    [sym_block_continuation] = ACTIONS(1498),
    [sym__block_quote_start] = ACTIONS(1440),
    [sym__indented_chunk_start] = ACTIONS(1440),
    [sym_atx_h1_marker] = ACTIONS(1440),
    [sym_atx_h2_marker] = ACTIONS(1440),
    [sym_atx_h3_marker] = ACTIONS(1440),
    [sym_atx_h4_marker] = ACTIONS(1440),
    [sym_atx_h5_marker] = ACTIONS(1440),
    [sym_atx_h6_marker] = ACTIONS(1440),
    [sym__thematic_break] = ACTIONS(1440),
    [sym__list_marker_minus] = ACTIONS(1440),
    [sym__list_marker_plus] = ACTIONS(1440),
    [sym__list_marker_star] = ACTIONS(1440),
    [sym__list_marker_parenthesis] = ACTIONS(1440),
    [sym__list_marker_dot] = ACTIONS(1440),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1440),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1440),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1440),
    [sym__blank_line_start] = ACTIONS(1440),
    [sym__html_block_1_start] = ACTIONS(1440),
    [sym__html_block_2_start] = ACTIONS(1440),
    [sym__html_block_3_start] = ACTIONS(1440),
    [sym__html_block_4_start] = ACTIONS(1440),
    [sym__html_block_5_start] = ACTIONS(1440),
    [sym__html_block_6_start] = ACTIONS(1440),
    [sym__html_block_7_start] = ACTIONS(1440),
    [sym__pipe_table_start] = ACTIONS(1440),
  },
  [171] = {
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_RBRACK] = ACTIONS(1338),
    [anon_sym_LT] = ACTIONS(1338),
    [anon_sym_GT] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [anon_sym_PERCENT] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_COMMA] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_DOT] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1338),
    [anon_sym_COLON] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_EQ] = ACTIONS(1338),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_CARET] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_PIPE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [anon_sym_RPAREN] = ACTIONS(1338),
    [aux_sym__word_token1] = ACTIONS(1338),
    [aux_sym__word_token2] = ACTIONS(1338),
    [aux_sym__word_token3] = ACTIONS(1338),
    [sym__whitespace] = ACTIONS(1338),
    [sym__soft_line_ending] = ACTIONS(1338),
    [sym__block_close] = ACTIONS(1338),
    [sym_block_continuation] = ACTIONS(1500),
    [sym__block_quote_start] = ACTIONS(1338),
    [sym__indented_chunk_start] = ACTIONS(1338),
    [sym_atx_h1_marker] = ACTIONS(1338),
    [sym_atx_h2_marker] = ACTIONS(1338),
    [sym_atx_h3_marker] = ACTIONS(1338),
    [sym_atx_h4_marker] = ACTIONS(1338),
    [sym_atx_h5_marker] = ACTIONS(1338),
    [sym_atx_h6_marker] = ACTIONS(1338),
    [sym__thematic_break] = ACTIONS(1338),
    [sym__list_marker_minus] = ACTIONS(1338),
    [sym__list_marker_plus] = ACTIONS(1338),
    [sym__list_marker_star] = ACTIONS(1338),
    [sym__list_marker_parenthesis] = ACTIONS(1338),
    [sym__list_marker_dot] = ACTIONS(1338),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1338),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1338),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1338),
    [sym__blank_line_start] = ACTIONS(1338),
    [sym__html_block_1_start] = ACTIONS(1338),
    [sym__html_block_2_start] = ACTIONS(1338),
    [sym__html_block_3_start] = ACTIONS(1338),
    [sym__html_block_4_start] = ACTIONS(1338),
    [sym__html_block_5_start] = ACTIONS(1338),
    [sym__html_block_6_start] = ACTIONS(1338),
    [sym__html_block_7_start] = ACTIONS(1338),
    [sym__pipe_table_start] = ACTIONS(1338),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [anon_sym_POUND] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [aux_sym__word_token1] = ACTIONS(1434),
    [aux_sym__word_token2] = ACTIONS(1434),
    [aux_sym__word_token3] = ACTIONS(1434),
    [sym__whitespace] = ACTIONS(1434),
    [sym__soft_line_ending] = ACTIONS(1434),
    [sym_block_continuation] = ACTIONS(1502),
    [sym__block_quote_start] = ACTIONS(1434),
    [sym__indented_chunk_start] = ACTIONS(1434),
    [sym_atx_h1_marker] = ACTIONS(1434),
    [sym_atx_h2_marker] = ACTIONS(1434),
    [sym_atx_h3_marker] = ACTIONS(1434),
    [sym_atx_h4_marker] = ACTIONS(1434),
    [sym_atx_h5_marker] = ACTIONS(1434),
    [sym_atx_h6_marker] = ACTIONS(1434),
    [sym__thematic_break] = ACTIONS(1434),
    [sym__list_marker_minus] = ACTIONS(1434),
    [sym__list_marker_plus] = ACTIONS(1434),
    [sym__list_marker_star] = ACTIONS(1434),
    [sym__list_marker_parenthesis] = ACTIONS(1434),
    [sym__list_marker_dot] = ACTIONS(1434),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1434),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1434),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1434),
    [sym__blank_line_start] = ACTIONS(1434),
    [sym__html_block_1_start] = ACTIONS(1434),
    [sym__html_block_2_start] = ACTIONS(1434),
    [sym__html_block_3_start] = ACTIONS(1434),
    [sym__html_block_4_start] = ACTIONS(1434),
    [sym__html_block_5_start] = ACTIONS(1434),
    [sym__html_block_6_start] = ACTIONS(1434),
    [sym__html_block_7_start] = ACTIONS(1434),
    [sym__pipe_table_start] = ACTIONS(1434),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_RBRACK] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [anon_sym_POUND] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_PERCENT] = ACTIONS(1296),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_SEMI] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_QMARK] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1296),
    [anon_sym__] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [anon_sym_RPAREN] = ACTIONS(1296),
    [aux_sym__word_token1] = ACTIONS(1296),
    [aux_sym__word_token2] = ACTIONS(1296),
    [aux_sym__word_token3] = ACTIONS(1296),
    [sym__whitespace] = ACTIONS(1296),
    [sym__soft_line_ending] = ACTIONS(1296),
    [sym_block_continuation] = ACTIONS(1504),
    [sym__block_quote_start] = ACTIONS(1296),
    [sym__indented_chunk_start] = ACTIONS(1296),
    [sym_atx_h1_marker] = ACTIONS(1296),
    [sym_atx_h2_marker] = ACTIONS(1296),
    [sym_atx_h3_marker] = ACTIONS(1296),
    [sym_atx_h4_marker] = ACTIONS(1296),
    [sym_atx_h5_marker] = ACTIONS(1296),
    [sym_atx_h6_marker] = ACTIONS(1296),
    [sym__thematic_break] = ACTIONS(1296),
    [sym__list_marker_minus] = ACTIONS(1296),
    [sym__list_marker_plus] = ACTIONS(1296),
    [sym__list_marker_star] = ACTIONS(1296),
    [sym__list_marker_parenthesis] = ACTIONS(1296),
    [sym__list_marker_dot] = ACTIONS(1296),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1296),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1296),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1296),
    [sym__blank_line_start] = ACTIONS(1296),
    [sym__html_block_1_start] = ACTIONS(1296),
    [sym__html_block_2_start] = ACTIONS(1296),
    [sym__html_block_3_start] = ACTIONS(1296),
    [sym__html_block_4_start] = ACTIONS(1296),
    [sym__html_block_5_start] = ACTIONS(1296),
    [sym__html_block_6_start] = ACTIONS(1296),
    [sym__html_block_7_start] = ACTIONS(1296),
    [sym__pipe_table_start] = ACTIONS(1296),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [anon_sym_POUND] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym__] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_RPAREN] = ACTIONS(1482),
    [aux_sym__word_token1] = ACTIONS(1482),
    [aux_sym__word_token2] = ACTIONS(1482),
    [aux_sym__word_token3] = ACTIONS(1482),
    [sym__whitespace] = ACTIONS(1482),
    [sym__soft_line_ending] = ACTIONS(1482),
    [sym_block_continuation] = ACTIONS(1506),
    [sym__block_quote_start] = ACTIONS(1482),
    [sym__indented_chunk_start] = ACTIONS(1482),
    [sym_atx_h1_marker] = ACTIONS(1482),
    [sym_atx_h2_marker] = ACTIONS(1482),
    [sym_atx_h3_marker] = ACTIONS(1482),
    [sym_atx_h4_marker] = ACTIONS(1482),
    [sym_atx_h5_marker] = ACTIONS(1482),
    [sym_atx_h6_marker] = ACTIONS(1482),
    [sym__thematic_break] = ACTIONS(1482),
    [sym__list_marker_minus] = ACTIONS(1482),
    [sym__list_marker_plus] = ACTIONS(1482),
    [sym__list_marker_star] = ACTIONS(1482),
    [sym__list_marker_parenthesis] = ACTIONS(1482),
    [sym__list_marker_dot] = ACTIONS(1482),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1482),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1482),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1482),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1482),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1482),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1482),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1482),
    [sym__blank_line_start] = ACTIONS(1482),
    [sym__html_block_1_start] = ACTIONS(1482),
    [sym__html_block_2_start] = ACTIONS(1482),
    [sym__html_block_3_start] = ACTIONS(1482),
    [sym__html_block_4_start] = ACTIONS(1482),
    [sym__html_block_5_start] = ACTIONS(1482),
    [sym__html_block_6_start] = ACTIONS(1482),
    [sym__html_block_7_start] = ACTIONS(1482),
    [sym__pipe_table_start] = ACTIONS(1482),
  },
  [175] = {
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_RBRACK] = ACTIONS(1076),
    [anon_sym_LT] = ACTIONS(1076),
    [anon_sym_GT] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [anon_sym_POUND] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [anon_sym_PERCENT] = ACTIONS(1076),
    [anon_sym_AMP] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1076),
    [anon_sym_COMMA] = ACTIONS(1076),
    [anon_sym_DASH] = ACTIONS(1076),
    [anon_sym_DOT] = ACTIONS(1076),
    [anon_sym_SLASH] = ACTIONS(1076),
    [anon_sym_COLON] = ACTIONS(1076),
    [anon_sym_SEMI] = ACTIONS(1076),
    [anon_sym_EQ] = ACTIONS(1076),
    [anon_sym_QMARK] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_CARET] = ACTIONS(1076),
    [anon_sym__] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_PIPE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_RPAREN] = ACTIONS(1076),
    [aux_sym__word_token1] = ACTIONS(1076),
    [aux_sym__word_token2] = ACTIONS(1076),
    [aux_sym__word_token3] = ACTIONS(1076),
    [sym__whitespace] = ACTIONS(1076),
    [sym__soft_line_ending] = ACTIONS(1076),
    [sym__block_close] = ACTIONS(1076),
    [sym_block_continuation] = ACTIONS(1508),
    [sym__block_quote_start] = ACTIONS(1076),
    [sym__indented_chunk_start] = ACTIONS(1076),
    [sym_atx_h1_marker] = ACTIONS(1076),
    [sym_atx_h2_marker] = ACTIONS(1076),
    [sym_atx_h3_marker] = ACTIONS(1076),
    [sym_atx_h4_marker] = ACTIONS(1076),
    [sym_atx_h5_marker] = ACTIONS(1076),
    [sym_atx_h6_marker] = ACTIONS(1076),
    [sym__thematic_break] = ACTIONS(1076),
    [sym__list_marker_minus] = ACTIONS(1076),
    [sym__list_marker_plus] = ACTIONS(1076),
    [sym__list_marker_star] = ACTIONS(1076),
    [sym__list_marker_parenthesis] = ACTIONS(1076),
    [sym__list_marker_dot] = ACTIONS(1076),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1076),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1076),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1076),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1076),
    [sym__blank_line_start] = ACTIONS(1076),
    [sym__html_block_1_start] = ACTIONS(1076),
    [sym__html_block_2_start] = ACTIONS(1076),
    [sym__html_block_3_start] = ACTIONS(1076),
    [sym__html_block_4_start] = ACTIONS(1076),
    [sym__html_block_5_start] = ACTIONS(1076),
    [sym__html_block_6_start] = ACTIONS(1076),
    [sym__html_block_7_start] = ACTIONS(1076),
    [sym__pipe_table_start] = ACTIONS(1076),
  },
  [176] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_RBRACK] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_POUND] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PERCENT] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_DOT] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_COLON] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1510),
    [anon_sym_QMARK] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1510),
    [anon_sym_CARET] = ACTIONS(1510),
    [anon_sym__] = ACTIONS(1510),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_RPAREN] = ACTIONS(1510),
    [aux_sym__word_token1] = ACTIONS(1510),
    [aux_sym__word_token2] = ACTIONS(1510),
    [aux_sym__word_token3] = ACTIONS(1510),
    [sym__whitespace] = ACTIONS(1510),
    [sym__soft_line_ending] = ACTIONS(1510),
    [sym_block_continuation] = ACTIONS(1514),
    [sym__block_quote_start] = ACTIONS(1510),
    [sym__indented_chunk_start] = ACTIONS(1510),
    [sym_atx_h1_marker] = ACTIONS(1510),
    [sym_atx_h2_marker] = ACTIONS(1510),
    [sym_atx_h3_marker] = ACTIONS(1510),
    [sym_atx_h4_marker] = ACTIONS(1510),
    [sym_atx_h5_marker] = ACTIONS(1510),
    [sym_atx_h6_marker] = ACTIONS(1510),
    [sym__thematic_break] = ACTIONS(1510),
    [sym__list_marker_minus] = ACTIONS(1510),
    [sym__list_marker_plus] = ACTIONS(1510),
    [sym__list_marker_star] = ACTIONS(1510),
    [sym__list_marker_parenthesis] = ACTIONS(1510),
    [sym__list_marker_dot] = ACTIONS(1510),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1510),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1510),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1510),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1510),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1510),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1510),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1510),
    [sym__blank_line_start] = ACTIONS(1510),
    [sym__html_block_1_start] = ACTIONS(1510),
    [sym__html_block_2_start] = ACTIONS(1510),
    [sym__html_block_3_start] = ACTIONS(1510),
    [sym__html_block_4_start] = ACTIONS(1510),
    [sym__html_block_5_start] = ACTIONS(1510),
    [sym__html_block_6_start] = ACTIONS(1510),
    [sym__html_block_7_start] = ACTIONS(1510),
    [sym__pipe_table_start] = ACTIONS(1510),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_RBRACK] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [anon_sym_POUND] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_DOT] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1516),
    [anon_sym_COLON] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [anon_sym_RPAREN] = ACTIONS(1516),
    [aux_sym__word_token1] = ACTIONS(1516),
    [aux_sym__word_token2] = ACTIONS(1516),
    [aux_sym__word_token3] = ACTIONS(1516),
    [sym__whitespace] = ACTIONS(1516),
    [sym__soft_line_ending] = ACTIONS(1516),
    [sym_block_continuation] = ACTIONS(1520),
    [sym__block_quote_start] = ACTIONS(1516),
    [sym__indented_chunk_start] = ACTIONS(1516),
    [sym_atx_h1_marker] = ACTIONS(1516),
    [sym_atx_h2_marker] = ACTIONS(1516),
    [sym_atx_h3_marker] = ACTIONS(1516),
    [sym_atx_h4_marker] = ACTIONS(1516),
    [sym_atx_h5_marker] = ACTIONS(1516),
    [sym_atx_h6_marker] = ACTIONS(1516),
    [sym__thematic_break] = ACTIONS(1516),
    [sym__list_marker_minus] = ACTIONS(1516),
    [sym__list_marker_plus] = ACTIONS(1516),
    [sym__list_marker_star] = ACTIONS(1516),
    [sym__list_marker_parenthesis] = ACTIONS(1516),
    [sym__list_marker_dot] = ACTIONS(1516),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1516),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1516),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1516),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1516),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1516),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1516),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1516),
    [sym__blank_line_start] = ACTIONS(1516),
    [sym__html_block_1_start] = ACTIONS(1516),
    [sym__html_block_2_start] = ACTIONS(1516),
    [sym__html_block_3_start] = ACTIONS(1516),
    [sym__html_block_4_start] = ACTIONS(1516),
    [sym__html_block_5_start] = ACTIONS(1516),
    [sym__html_block_6_start] = ACTIONS(1516),
    [sym__html_block_7_start] = ACTIONS(1516),
    [sym__pipe_table_start] = ACTIONS(1516),
  },
  [178] = {
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_RBRACK] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [anon_sym_GT] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [anon_sym_POUND] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [anon_sym_PERCENT] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_DOT] = ACTIONS(1464),
    [anon_sym_SLASH] = ACTIONS(1464),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1464),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym__] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_RPAREN] = ACTIONS(1464),
    [aux_sym__word_token1] = ACTIONS(1464),
    [aux_sym__word_token2] = ACTIONS(1464),
    [aux_sym__word_token3] = ACTIONS(1464),
    [sym__whitespace] = ACTIONS(1464),
    [sym__soft_line_ending] = ACTIONS(1464),
    [sym__block_close] = ACTIONS(1464),
    [sym_block_continuation] = ACTIONS(1522),
    [sym__block_quote_start] = ACTIONS(1464),
    [sym__indented_chunk_start] = ACTIONS(1464),
    [sym_atx_h1_marker] = ACTIONS(1464),
    [sym_atx_h2_marker] = ACTIONS(1464),
    [sym_atx_h3_marker] = ACTIONS(1464),
    [sym_atx_h4_marker] = ACTIONS(1464),
    [sym_atx_h5_marker] = ACTIONS(1464),
    [sym_atx_h6_marker] = ACTIONS(1464),
    [sym__thematic_break] = ACTIONS(1464),
    [sym__list_marker_minus] = ACTIONS(1464),
    [sym__list_marker_plus] = ACTIONS(1464),
    [sym__list_marker_star] = ACTIONS(1464),
    [sym__list_marker_parenthesis] = ACTIONS(1464),
    [sym__list_marker_dot] = ACTIONS(1464),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1464),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1464),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1464),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1464),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1464),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1464),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1464),
    [sym__blank_line_start] = ACTIONS(1464),
    [sym__html_block_1_start] = ACTIONS(1464),
    [sym__html_block_2_start] = ACTIONS(1464),
    [sym__html_block_3_start] = ACTIONS(1464),
    [sym__html_block_4_start] = ACTIONS(1464),
    [sym__html_block_5_start] = ACTIONS(1464),
    [sym__html_block_6_start] = ACTIONS(1464),
    [sym__html_block_7_start] = ACTIONS(1464),
    [sym__pipe_table_start] = ACTIONS(1464),
  },
  [179] = {
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_RBRACK] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_POUND] = ACTIONS(1163),
    [anon_sym_DOLLAR] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_COMMA] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_COLON] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1163),
    [anon_sym_BSLASH] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym__] = ACTIONS(1163),
    [anon_sym_BQUOTE] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_RPAREN] = ACTIONS(1163),
    [aux_sym__word_token1] = ACTIONS(1163),
    [aux_sym__word_token2] = ACTIONS(1163),
    [aux_sym__word_token3] = ACTIONS(1163),
    [sym__whitespace] = ACTIONS(1163),
    [sym__soft_line_ending] = ACTIONS(1163),
    [sym__block_close] = ACTIONS(1163),
    [sym_block_continuation] = ACTIONS(1524),
    [sym__block_quote_start] = ACTIONS(1163),
    [sym__indented_chunk_start] = ACTIONS(1163),
    [sym_atx_h1_marker] = ACTIONS(1163),
    [sym_atx_h2_marker] = ACTIONS(1163),
    [sym_atx_h3_marker] = ACTIONS(1163),
    [sym_atx_h4_marker] = ACTIONS(1163),
    [sym_atx_h5_marker] = ACTIONS(1163),
    [sym_atx_h6_marker] = ACTIONS(1163),
    [sym__thematic_break] = ACTIONS(1163),
    [sym__list_marker_minus] = ACTIONS(1163),
    [sym__list_marker_plus] = ACTIONS(1163),
    [sym__list_marker_star] = ACTIONS(1163),
    [sym__list_marker_parenthesis] = ACTIONS(1163),
    [sym__list_marker_dot] = ACTIONS(1163),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1163),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1163),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1163),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1163),
    [sym__blank_line_start] = ACTIONS(1163),
    [sym__html_block_1_start] = ACTIONS(1163),
    [sym__html_block_2_start] = ACTIONS(1163),
    [sym__html_block_3_start] = ACTIONS(1163),
    [sym__html_block_4_start] = ACTIONS(1163),
    [sym__html_block_5_start] = ACTIONS(1163),
    [sym__html_block_6_start] = ACTIONS(1163),
    [sym__html_block_7_start] = ACTIONS(1163),
    [sym__pipe_table_start] = ACTIONS(1163),
  },
  [180] = {
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_RBRACK] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [anon_sym_POUND] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_COLON] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_QMARK] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym__] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [aux_sym__word_token1] = ACTIONS(1384),
    [aux_sym__word_token2] = ACTIONS(1384),
    [aux_sym__word_token3] = ACTIONS(1384),
    [sym__whitespace] = ACTIONS(1384),
    [sym__soft_line_ending] = ACTIONS(1384),
    [sym__block_close] = ACTIONS(1384),
    [sym_block_continuation] = ACTIONS(1526),
    [sym__block_quote_start] = ACTIONS(1384),
    [sym__indented_chunk_start] = ACTIONS(1384),
    [sym_atx_h1_marker] = ACTIONS(1384),
    [sym_atx_h2_marker] = ACTIONS(1384),
    [sym_atx_h3_marker] = ACTIONS(1384),
    [sym_atx_h4_marker] = ACTIONS(1384),
    [sym_atx_h5_marker] = ACTIONS(1384),
    [sym_atx_h6_marker] = ACTIONS(1384),
    [sym__thematic_break] = ACTIONS(1384),
    [sym__list_marker_minus] = ACTIONS(1384),
    [sym__list_marker_plus] = ACTIONS(1384),
    [sym__list_marker_star] = ACTIONS(1384),
    [sym__list_marker_parenthesis] = ACTIONS(1384),
    [sym__list_marker_dot] = ACTIONS(1384),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1384),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1384),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1384),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1384),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1384),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1384),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1384),
    [sym__blank_line_start] = ACTIONS(1384),
    [sym__html_block_1_start] = ACTIONS(1384),
    [sym__html_block_2_start] = ACTIONS(1384),
    [sym__html_block_3_start] = ACTIONS(1384),
    [sym__html_block_4_start] = ACTIONS(1384),
    [sym__html_block_5_start] = ACTIONS(1384),
    [sym__html_block_6_start] = ACTIONS(1384),
    [sym__html_block_7_start] = ACTIONS(1384),
    [sym__pipe_table_start] = ACTIONS(1384),
  },
  [181] = {
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_RBRACK] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1398),
    [anon_sym_GT] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [anon_sym_POUND] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [anon_sym_PERCENT] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_SLASH] = ACTIONS(1398),
    [anon_sym_COLON] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1398),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_CARET] = ACTIONS(1398),
    [anon_sym__] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_PIPE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_RPAREN] = ACTIONS(1398),
    [aux_sym__word_token1] = ACTIONS(1398),
    [aux_sym__word_token2] = ACTIONS(1398),
    [aux_sym__word_token3] = ACTIONS(1398),
    [sym__whitespace] = ACTIONS(1398),
    [sym__soft_line_ending] = ACTIONS(1398),
    [sym__block_close] = ACTIONS(1398),
    [sym_block_continuation] = ACTIONS(1528),
    [sym__block_quote_start] = ACTIONS(1398),
    [sym__indented_chunk_start] = ACTIONS(1398),
    [sym_atx_h1_marker] = ACTIONS(1398),
    [sym_atx_h2_marker] = ACTIONS(1398),
    [sym_atx_h3_marker] = ACTIONS(1398),
    [sym_atx_h4_marker] = ACTIONS(1398),
    [sym_atx_h5_marker] = ACTIONS(1398),
    [sym_atx_h6_marker] = ACTIONS(1398),
    [sym__thematic_break] = ACTIONS(1398),
    [sym__list_marker_minus] = ACTIONS(1398),
    [sym__list_marker_plus] = ACTIONS(1398),
    [sym__list_marker_star] = ACTIONS(1398),
    [sym__list_marker_parenthesis] = ACTIONS(1398),
    [sym__list_marker_dot] = ACTIONS(1398),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1398),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1398),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1398),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1398),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1398),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1398),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1398),
    [sym__blank_line_start] = ACTIONS(1398),
    [sym__html_block_1_start] = ACTIONS(1398),
    [sym__html_block_2_start] = ACTIONS(1398),
    [sym__html_block_3_start] = ACTIONS(1398),
    [sym__html_block_4_start] = ACTIONS(1398),
    [sym__html_block_5_start] = ACTIONS(1398),
    [sym__html_block_6_start] = ACTIONS(1398),
    [sym__html_block_7_start] = ACTIONS(1398),
    [sym__pipe_table_start] = ACTIONS(1398),
  },
  [182] = {
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_RBRACK] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [anon_sym_POUND] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_DOT] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1516),
    [anon_sym_COLON] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1516),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [anon_sym_RPAREN] = ACTIONS(1516),
    [aux_sym__word_token1] = ACTIONS(1516),
    [aux_sym__word_token2] = ACTIONS(1516),
    [aux_sym__word_token3] = ACTIONS(1516),
    [sym__whitespace] = ACTIONS(1516),
    [sym__soft_line_ending] = ACTIONS(1516),
    [sym__block_close] = ACTIONS(1516),
    [sym_block_continuation] = ACTIONS(1530),
    [sym__block_quote_start] = ACTIONS(1516),
    [sym__indented_chunk_start] = ACTIONS(1516),
    [sym_atx_h1_marker] = ACTIONS(1516),
    [sym_atx_h2_marker] = ACTIONS(1516),
    [sym_atx_h3_marker] = ACTIONS(1516),
    [sym_atx_h4_marker] = ACTIONS(1516),
    [sym_atx_h5_marker] = ACTIONS(1516),
    [sym_atx_h6_marker] = ACTIONS(1516),
    [sym__thematic_break] = ACTIONS(1516),
    [sym__list_marker_minus] = ACTIONS(1516),
    [sym__list_marker_plus] = ACTIONS(1516),
    [sym__list_marker_star] = ACTIONS(1516),
    [sym__list_marker_parenthesis] = ACTIONS(1516),
    [sym__list_marker_dot] = ACTIONS(1516),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1516),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1516),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1516),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1516),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1516),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1516),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1516),
    [sym__blank_line_start] = ACTIONS(1516),
    [sym__html_block_1_start] = ACTIONS(1516),
    [sym__html_block_2_start] = ACTIONS(1516),
    [sym__html_block_3_start] = ACTIONS(1516),
    [sym__html_block_4_start] = ACTIONS(1516),
    [sym__html_block_5_start] = ACTIONS(1516),
    [sym__html_block_6_start] = ACTIONS(1516),
    [sym__html_block_7_start] = ACTIONS(1516),
    [sym__pipe_table_start] = ACTIONS(1516),
  },
  [183] = {
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_RBRACK] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_POUND] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [anon_sym_PERCENT] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_COMMA] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_DOT] = ACTIONS(1510),
    [anon_sym_SLASH] = ACTIONS(1510),
    [anon_sym_COLON] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym_EQ] = ACTIONS(1510),
    [anon_sym_QMARK] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1510),
    [anon_sym_CARET] = ACTIONS(1510),
    [anon_sym__] = ACTIONS(1510),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_PIPE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1510),
    [anon_sym_RPAREN] = ACTIONS(1510),
    [aux_sym__word_token1] = ACTIONS(1510),
    [aux_sym__word_token2] = ACTIONS(1510),
    [aux_sym__word_token3] = ACTIONS(1510),
    [sym__whitespace] = ACTIONS(1510),
    [sym__soft_line_ending] = ACTIONS(1510),
    [sym__block_close] = ACTIONS(1510),
    [sym_block_continuation] = ACTIONS(1532),
    [sym__block_quote_start] = ACTIONS(1510),
    [sym__indented_chunk_start] = ACTIONS(1510),
    [sym_atx_h1_marker] = ACTIONS(1510),
    [sym_atx_h2_marker] = ACTIONS(1510),
    [sym_atx_h3_marker] = ACTIONS(1510),
    [sym_atx_h4_marker] = ACTIONS(1510),
    [sym_atx_h5_marker] = ACTIONS(1510),
    [sym_atx_h6_marker] = ACTIONS(1510),
    [sym__thematic_break] = ACTIONS(1510),
    [sym__list_marker_minus] = ACTIONS(1510),
    [sym__list_marker_plus] = ACTIONS(1510),
    [sym__list_marker_star] = ACTIONS(1510),
    [sym__list_marker_parenthesis] = ACTIONS(1510),
    [sym__list_marker_dot] = ACTIONS(1510),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1510),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1510),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1510),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1510),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1510),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1510),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1510),
    [sym__blank_line_start] = ACTIONS(1510),
    [sym__html_block_1_start] = ACTIONS(1510),
    [sym__html_block_2_start] = ACTIONS(1510),
    [sym__html_block_3_start] = ACTIONS(1510),
    [sym__html_block_4_start] = ACTIONS(1510),
    [sym__html_block_5_start] = ACTIONS(1510),
    [sym__html_block_6_start] = ACTIONS(1510),
    [sym__html_block_7_start] = ACTIONS(1510),
    [sym__pipe_table_start] = ACTIONS(1510),
  },
  [184] = {
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_RBRACK] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [anon_sym_POUND] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PERCENT] = ACTIONS(1536),
    [anon_sym_AMP] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_STAR] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_DOT] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_COLON] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_EQ] = ACTIONS(1536),
    [anon_sym_QMARK] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1536),
    [anon_sym__] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1536),
    [aux_sym__word_token1] = ACTIONS(1536),
    [aux_sym__word_token2] = ACTIONS(1536),
    [aux_sym__word_token3] = ACTIONS(1536),
    [sym__whitespace] = ACTIONS(1536),
    [sym__soft_line_ending] = ACTIONS(1536),
    [sym__block_close] = ACTIONS(1536),
    [sym__block_quote_start] = ACTIONS(1536),
    [sym__indented_chunk_start] = ACTIONS(1536),
    [sym_atx_h1_marker] = ACTIONS(1536),
    [sym_atx_h2_marker] = ACTIONS(1536),
    [sym_atx_h3_marker] = ACTIONS(1536),
    [sym_atx_h4_marker] = ACTIONS(1536),
    [sym_atx_h5_marker] = ACTIONS(1536),
    [sym_atx_h6_marker] = ACTIONS(1536),
    [sym__thematic_break] = ACTIONS(1536),
    [sym__list_marker_minus] = ACTIONS(1536),
    [sym__list_marker_plus] = ACTIONS(1536),
    [sym__list_marker_star] = ACTIONS(1536),
    [sym__list_marker_parenthesis] = ACTIONS(1536),
    [sym__list_marker_dot] = ACTIONS(1536),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1536),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1536),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1536),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1536),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1536),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1536),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1536),
    [sym__blank_line_start] = ACTIONS(1536),
    [sym__html_block_1_start] = ACTIONS(1536),
    [sym__html_block_2_start] = ACTIONS(1536),
    [sym__html_block_3_start] = ACTIONS(1536),
    [sym__html_block_4_start] = ACTIONS(1536),
    [sym__html_block_5_start] = ACTIONS(1536),
    [sym__html_block_6_start] = ACTIONS(1536),
    [sym__html_block_7_start] = ACTIONS(1536),
    [sym__pipe_table_start] = ACTIONS(1536),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_RBRACK] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [anon_sym_POUND] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_SLASH] = ACTIONS(1538),
    [anon_sym_COLON] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1538),
    [anon_sym_EQ] = ACTIONS(1538),
    [anon_sym_QMARK] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1538),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym__] = ACTIONS(1538),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_RPAREN] = ACTIONS(1538),
    [aux_sym__word_token1] = ACTIONS(1538),
    [aux_sym__word_token2] = ACTIONS(1538),
    [aux_sym__word_token3] = ACTIONS(1538),
    [sym__whitespace] = ACTIONS(1538),
    [sym__soft_line_ending] = ACTIONS(1538),
    [sym__block_quote_start] = ACTIONS(1538),
    [sym__indented_chunk_start] = ACTIONS(1538),
    [sym_atx_h1_marker] = ACTIONS(1538),
    [sym_atx_h2_marker] = ACTIONS(1538),
    [sym_atx_h3_marker] = ACTIONS(1538),
    [sym_atx_h4_marker] = ACTIONS(1538),
    [sym_atx_h5_marker] = ACTIONS(1538),
    [sym_atx_h6_marker] = ACTIONS(1538),
    [sym__thematic_break] = ACTIONS(1538),
    [sym__list_marker_minus] = ACTIONS(1538),
    [sym__list_marker_plus] = ACTIONS(1538),
    [sym__list_marker_star] = ACTIONS(1538),
    [sym__list_marker_parenthesis] = ACTIONS(1538),
    [sym__list_marker_dot] = ACTIONS(1538),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1538),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1538),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1538),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1538),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1538),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1538),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1538),
    [sym__blank_line_start] = ACTIONS(1538),
    [sym__html_block_1_start] = ACTIONS(1538),
    [sym__html_block_2_start] = ACTIONS(1538),
    [sym__html_block_3_start] = ACTIONS(1538),
    [sym__html_block_4_start] = ACTIONS(1538),
    [sym__html_block_5_start] = ACTIONS(1538),
    [sym__html_block_6_start] = ACTIONS(1538),
    [sym__html_block_7_start] = ACTIONS(1538),
    [sym__pipe_table_start] = ACTIONS(1538),
  },
  [186] = {
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_RBRACK] = ACTIONS(1544),
    [anon_sym_LT] = ACTIONS(1544),
    [anon_sym_GT] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [anon_sym_POUND] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [anon_sym_PERCENT] = ACTIONS(1544),
    [anon_sym_AMP] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_STAR] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_DOT] = ACTIONS(1544),
    [anon_sym_SLASH] = ACTIONS(1544),
    [anon_sym_COLON] = ACTIONS(1544),
    [anon_sym_SEMI] = ACTIONS(1544),
    [anon_sym_EQ] = ACTIONS(1544),
    [anon_sym_QMARK] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_CARET] = ACTIONS(1544),
    [anon_sym__] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_PIPE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [anon_sym_RPAREN] = ACTIONS(1544),
    [aux_sym__word_token1] = ACTIONS(1544),
    [aux_sym__word_token2] = ACTIONS(1544),
    [aux_sym__word_token3] = ACTIONS(1544),
    [sym__whitespace] = ACTIONS(1544),
    [sym__soft_line_ending] = ACTIONS(1544),
    [sym__block_close] = ACTIONS(1544),
    [sym__block_quote_start] = ACTIONS(1544),
    [sym__indented_chunk_start] = ACTIONS(1544),
    [sym_atx_h1_marker] = ACTIONS(1544),
    [sym_atx_h2_marker] = ACTIONS(1544),
    [sym_atx_h3_marker] = ACTIONS(1544),
    [sym_atx_h4_marker] = ACTIONS(1544),
    [sym_atx_h5_marker] = ACTIONS(1544),
    [sym_atx_h6_marker] = ACTIONS(1544),
    [sym__thematic_break] = ACTIONS(1544),
    [sym__list_marker_minus] = ACTIONS(1544),
    [sym__list_marker_plus] = ACTIONS(1544),
    [sym__list_marker_star] = ACTIONS(1544),
    [sym__list_marker_parenthesis] = ACTIONS(1544),
    [sym__list_marker_dot] = ACTIONS(1544),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1544),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1544),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1544),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1544),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1544),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1544),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1544),
    [sym__blank_line_start] = ACTIONS(1544),
    [sym__html_block_1_start] = ACTIONS(1544),
    [sym__html_block_2_start] = ACTIONS(1544),
    [sym__html_block_3_start] = ACTIONS(1544),
    [sym__html_block_4_start] = ACTIONS(1544),
    [sym__html_block_5_start] = ACTIONS(1544),
    [sym__html_block_6_start] = ACTIONS(1544),
    [sym__html_block_7_start] = ACTIONS(1544),
    [sym__pipe_table_start] = ACTIONS(1544),
  },
  [187] = {
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_RBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [anon_sym_POUND] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_COLON] = ACTIONS(1548),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_EQ] = ACTIONS(1548),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(1548),
    [anon_sym_BSLASH] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1548),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [aux_sym__word_token1] = ACTIONS(1548),
    [aux_sym__word_token2] = ACTIONS(1548),
    [aux_sym__word_token3] = ACTIONS(1548),
    [sym__whitespace] = ACTIONS(1548),
    [sym__soft_line_ending] = ACTIONS(1548),
    [sym__block_close] = ACTIONS(1548),
    [sym__block_quote_start] = ACTIONS(1548),
    [sym__indented_chunk_start] = ACTIONS(1548),
    [sym_atx_h1_marker] = ACTIONS(1548),
    [sym_atx_h2_marker] = ACTIONS(1548),
    [sym_atx_h3_marker] = ACTIONS(1548),
    [sym_atx_h4_marker] = ACTIONS(1548),
    [sym_atx_h5_marker] = ACTIONS(1548),
    [sym_atx_h6_marker] = ACTIONS(1548),
    [sym__thematic_break] = ACTIONS(1548),
    [sym__list_marker_minus] = ACTIONS(1548),
    [sym__list_marker_plus] = ACTIONS(1548),
    [sym__list_marker_star] = ACTIONS(1548),
    [sym__list_marker_parenthesis] = ACTIONS(1548),
    [sym__list_marker_dot] = ACTIONS(1548),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1548),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1548),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1548),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1548),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1548),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1548),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1548),
    [sym__blank_line_start] = ACTIONS(1548),
    [sym__html_block_1_start] = ACTIONS(1548),
    [sym__html_block_2_start] = ACTIONS(1548),
    [sym__html_block_3_start] = ACTIONS(1548),
    [sym__html_block_4_start] = ACTIONS(1548),
    [sym__html_block_5_start] = ACTIONS(1548),
    [sym__html_block_6_start] = ACTIONS(1548),
    [sym__html_block_7_start] = ACTIONS(1548),
    [sym__pipe_table_start] = ACTIONS(1548),
  },
  [188] = {
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_POUND] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [anon_sym_PERCENT] = ACTIONS(1552),
    [anon_sym_AMP] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [anon_sym_STAR] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_COMMA] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_DOT] = ACTIONS(1552),
    [anon_sym_SLASH] = ACTIONS(1552),
    [anon_sym_COLON] = ACTIONS(1552),
    [anon_sym_SEMI] = ACTIONS(1552),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_QMARK] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1552),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_CARET] = ACTIONS(1552),
    [anon_sym__] = ACTIONS(1552),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [anon_sym_RPAREN] = ACTIONS(1552),
    [aux_sym__word_token1] = ACTIONS(1552),
    [aux_sym__word_token2] = ACTIONS(1552),
    [aux_sym__word_token3] = ACTIONS(1552),
    [sym__whitespace] = ACTIONS(1552),
    [sym__soft_line_ending] = ACTIONS(1552),
    [sym__block_close] = ACTIONS(1552),
    [sym__block_quote_start] = ACTIONS(1552),
    [sym__indented_chunk_start] = ACTIONS(1552),
    [sym_atx_h1_marker] = ACTIONS(1552),
    [sym_atx_h2_marker] = ACTIONS(1552),
    [sym_atx_h3_marker] = ACTIONS(1552),
    [sym_atx_h4_marker] = ACTIONS(1552),
    [sym_atx_h5_marker] = ACTIONS(1552),
    [sym_atx_h6_marker] = ACTIONS(1552),
    [sym__thematic_break] = ACTIONS(1552),
    [sym__list_marker_minus] = ACTIONS(1552),
    [sym__list_marker_plus] = ACTIONS(1552),
    [sym__list_marker_star] = ACTIONS(1552),
    [sym__list_marker_parenthesis] = ACTIONS(1552),
    [sym__list_marker_dot] = ACTIONS(1552),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1552),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1552),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1552),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1552),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1552),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1552),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1552),
    [sym__blank_line_start] = ACTIONS(1552),
    [sym__html_block_1_start] = ACTIONS(1552),
    [sym__html_block_2_start] = ACTIONS(1552),
    [sym__html_block_3_start] = ACTIONS(1552),
    [sym__html_block_4_start] = ACTIONS(1552),
    [sym__html_block_5_start] = ACTIONS(1552),
    [sym__html_block_6_start] = ACTIONS(1552),
    [sym__html_block_7_start] = ACTIONS(1552),
    [sym__pipe_table_start] = ACTIONS(1552),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_RBRACK] = ACTIONS(1554),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1554),
    [anon_sym_DQUOTE] = ACTIONS(1554),
    [anon_sym_POUND] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1554),
    [anon_sym_PERCENT] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1554),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_COMMA] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_DOT] = ACTIONS(1554),
    [anon_sym_SLASH] = ACTIONS(1554),
    [anon_sym_COLON] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1554),
    [anon_sym_EQ] = ACTIONS(1554),
    [anon_sym_QMARK] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(1554),
    [anon_sym_BSLASH] = ACTIONS(1554),
    [anon_sym_CARET] = ACTIONS(1554),
    [anon_sym__] = ACTIONS(1554),
    [anon_sym_BQUOTE] = ACTIONS(1554),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_PIPE] = ACTIONS(1554),
    [anon_sym_RBRACE] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [anon_sym_RPAREN] = ACTIONS(1554),
    [aux_sym__word_token1] = ACTIONS(1554),
    [aux_sym__word_token2] = ACTIONS(1554),
    [aux_sym__word_token3] = ACTIONS(1554),
    [sym__whitespace] = ACTIONS(1554),
    [sym__soft_line_ending] = ACTIONS(1554),
    [sym__block_quote_start] = ACTIONS(1554),
    [sym__indented_chunk_start] = ACTIONS(1554),
    [sym_atx_h1_marker] = ACTIONS(1554),
    [sym_atx_h2_marker] = ACTIONS(1554),
    [sym_atx_h3_marker] = ACTIONS(1554),
    [sym_atx_h4_marker] = ACTIONS(1554),
    [sym_atx_h5_marker] = ACTIONS(1554),
    [sym_atx_h6_marker] = ACTIONS(1554),
    [sym__thematic_break] = ACTIONS(1554),
    [sym__list_marker_minus] = ACTIONS(1554),
    [sym__list_marker_plus] = ACTIONS(1554),
    [sym__list_marker_star] = ACTIONS(1554),
    [sym__list_marker_parenthesis] = ACTIONS(1554),
    [sym__list_marker_dot] = ACTIONS(1554),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1554),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1554),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1554),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1554),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1554),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1554),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1554),
    [sym__blank_line_start] = ACTIONS(1554),
    [sym__html_block_1_start] = ACTIONS(1554),
    [sym__html_block_2_start] = ACTIONS(1554),
    [sym__html_block_3_start] = ACTIONS(1554),
    [sym__html_block_4_start] = ACTIONS(1554),
    [sym__html_block_5_start] = ACTIONS(1554),
    [sym__html_block_6_start] = ACTIONS(1554),
    [sym__html_block_7_start] = ACTIONS(1554),
    [sym__pipe_table_start] = ACTIONS(1554),
  },
  [190] = {
    [anon_sym_LBRACK] = ACTIONS(1558),
    [anon_sym_RBRACK] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_GT] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [anon_sym_POUND] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1560),
    [anon_sym_PERCENT] = ACTIONS(1560),
    [anon_sym_AMP] = ACTIONS(1560),
    [anon_sym_SQUOTE] = ACTIONS(1560),
    [anon_sym_STAR] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_COMMA] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_DOT] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1560),
    [anon_sym_COLON] = ACTIONS(1560),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_EQ] = ACTIONS(1560),
    [anon_sym_QMARK] = ACTIONS(1560),
    [anon_sym_AT] = ACTIONS(1560),
    [anon_sym_BSLASH] = ACTIONS(1560),
    [anon_sym_CARET] = ACTIONS(1560),
    [anon_sym__] = ACTIONS(1560),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(1560),
    [aux_sym__word_token1] = ACTIONS(1560),
    [aux_sym__word_token2] = ACTIONS(1560),
    [aux_sym__word_token3] = ACTIONS(1560),
    [sym__whitespace] = ACTIONS(1560),
    [sym__soft_line_ending] = ACTIONS(1560),
    [sym__block_close] = ACTIONS(1560),
    [sym__block_quote_start] = ACTIONS(1560),
    [sym__indented_chunk_start] = ACTIONS(1560),
    [sym_atx_h1_marker] = ACTIONS(1560),
    [sym_atx_h2_marker] = ACTIONS(1560),
    [sym_atx_h3_marker] = ACTIONS(1560),
    [sym_atx_h4_marker] = ACTIONS(1560),
    [sym_atx_h5_marker] = ACTIONS(1560),
    [sym_atx_h6_marker] = ACTIONS(1560),
    [sym__thematic_break] = ACTIONS(1560),
    [sym__list_marker_minus] = ACTIONS(1560),
    [sym__list_marker_plus] = ACTIONS(1560),
    [sym__list_marker_star] = ACTIONS(1560),
    [sym__list_marker_parenthesis] = ACTIONS(1560),
    [sym__list_marker_dot] = ACTIONS(1560),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1560),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1560),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1560),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1560),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1560),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1560),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1560),
    [sym__blank_line_start] = ACTIONS(1560),
    [sym__html_block_1_start] = ACTIONS(1560),
    [sym__html_block_2_start] = ACTIONS(1560),
    [sym__html_block_3_start] = ACTIONS(1560),
    [sym__html_block_4_start] = ACTIONS(1560),
    [sym__html_block_5_start] = ACTIONS(1560),
    [sym__html_block_6_start] = ACTIONS(1560),
    [sym__html_block_7_start] = ACTIONS(1560),
    [sym__pipe_table_start] = ACTIONS(1560),
  },
  [191] = {
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_RBRACK] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1564),
    [anon_sym_GT] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [anon_sym_POUND] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1564),
    [anon_sym_PERCENT] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_COMMA] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_DOT] = ACTIONS(1564),
    [anon_sym_SLASH] = ACTIONS(1564),
    [anon_sym_COLON] = ACTIONS(1564),
    [anon_sym_SEMI] = ACTIONS(1564),
    [anon_sym_EQ] = ACTIONS(1564),
    [anon_sym_QMARK] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1564),
    [anon_sym__] = ACTIONS(1564),
    [anon_sym_BQUOTE] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_PIPE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_RPAREN] = ACTIONS(1564),
    [aux_sym__word_token1] = ACTIONS(1564),
    [aux_sym__word_token2] = ACTIONS(1564),
    [aux_sym__word_token3] = ACTIONS(1564),
    [sym__whitespace] = ACTIONS(1564),
    [sym__soft_line_ending] = ACTIONS(1564),
    [sym__block_close] = ACTIONS(1564),
    [sym__block_quote_start] = ACTIONS(1564),
    [sym__indented_chunk_start] = ACTIONS(1564),
    [sym_atx_h1_marker] = ACTIONS(1564),
    [sym_atx_h2_marker] = ACTIONS(1564),
    [sym_atx_h3_marker] = ACTIONS(1564),
    [sym_atx_h4_marker] = ACTIONS(1564),
    [sym_atx_h5_marker] = ACTIONS(1564),
    [sym_atx_h6_marker] = ACTIONS(1564),
    [sym__thematic_break] = ACTIONS(1564),
    [sym__list_marker_minus] = ACTIONS(1564),
    [sym__list_marker_plus] = ACTIONS(1564),
    [sym__list_marker_star] = ACTIONS(1564),
    [sym__list_marker_parenthesis] = ACTIONS(1564),
    [sym__list_marker_dot] = ACTIONS(1564),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1564),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1564),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1564),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1564),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1564),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1564),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1564),
    [sym__blank_line_start] = ACTIONS(1564),
    [sym__html_block_1_start] = ACTIONS(1564),
    [sym__html_block_2_start] = ACTIONS(1564),
    [sym__html_block_3_start] = ACTIONS(1564),
    [sym__html_block_4_start] = ACTIONS(1564),
    [sym__html_block_5_start] = ACTIONS(1564),
    [sym__html_block_6_start] = ACTIONS(1564),
    [sym__html_block_7_start] = ACTIONS(1564),
    [sym__pipe_table_start] = ACTIONS(1564),
  },
  [192] = {
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_RBRACK] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [anon_sym_POUND] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PERCENT] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_STAR] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_DOT] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1568),
    [anon_sym_COLON] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_EQ] = ACTIONS(1568),
    [anon_sym_QMARK] = ACTIONS(1568),
    [anon_sym_AT] = ACTIONS(1568),
    [anon_sym_BSLASH] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1568),
    [anon_sym__] = ACTIONS(1568),
    [anon_sym_BQUOTE] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_RPAREN] = ACTIONS(1568),
    [aux_sym__word_token1] = ACTIONS(1568),
    [aux_sym__word_token2] = ACTIONS(1568),
    [aux_sym__word_token3] = ACTIONS(1568),
    [sym__whitespace] = ACTIONS(1568),
    [sym__soft_line_ending] = ACTIONS(1568),
    [sym__block_close] = ACTIONS(1568),
    [sym__block_quote_start] = ACTIONS(1568),
    [sym__indented_chunk_start] = ACTIONS(1568),
    [sym_atx_h1_marker] = ACTIONS(1568),
    [sym_atx_h2_marker] = ACTIONS(1568),
    [sym_atx_h3_marker] = ACTIONS(1568),
    [sym_atx_h4_marker] = ACTIONS(1568),
    [sym_atx_h5_marker] = ACTIONS(1568),
    [sym_atx_h6_marker] = ACTIONS(1568),
    [sym__thematic_break] = ACTIONS(1568),
    [sym__list_marker_minus] = ACTIONS(1568),
    [sym__list_marker_plus] = ACTIONS(1568),
    [sym__list_marker_star] = ACTIONS(1568),
    [sym__list_marker_parenthesis] = ACTIONS(1568),
    [sym__list_marker_dot] = ACTIONS(1568),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1568),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1568),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1568),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1568),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1568),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1568),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1568),
    [sym__blank_line_start] = ACTIONS(1568),
    [sym__html_block_1_start] = ACTIONS(1568),
    [sym__html_block_2_start] = ACTIONS(1568),
    [sym__html_block_3_start] = ACTIONS(1568),
    [sym__html_block_4_start] = ACTIONS(1568),
    [sym__html_block_5_start] = ACTIONS(1568),
    [sym__html_block_6_start] = ACTIONS(1568),
    [sym__html_block_7_start] = ACTIONS(1568),
    [sym__pipe_table_start] = ACTIONS(1568),
  },
  [193] = {
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_RBRACK] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1572),
    [anon_sym_GT] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(1572),
    [anon_sym_DOLLAR] = ACTIONS(1572),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_DOT] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1572),
    [anon_sym_COLON] = ACTIONS(1572),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_EQ] = ACTIONS(1572),
    [anon_sym_QMARK] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(1572),
    [anon_sym_BSLASH] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym__] = ACTIONS(1572),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_RPAREN] = ACTIONS(1572),
    [aux_sym__word_token1] = ACTIONS(1572),
    [aux_sym__word_token2] = ACTIONS(1572),
    [aux_sym__word_token3] = ACTIONS(1572),
    [sym__whitespace] = ACTIONS(1572),
    [sym__soft_line_ending] = ACTIONS(1572),
    [sym__block_close] = ACTIONS(1572),
    [sym__block_quote_start] = ACTIONS(1572),
    [sym__indented_chunk_start] = ACTIONS(1572),
    [sym_atx_h1_marker] = ACTIONS(1572),
    [sym_atx_h2_marker] = ACTIONS(1572),
    [sym_atx_h3_marker] = ACTIONS(1572),
    [sym_atx_h4_marker] = ACTIONS(1572),
    [sym_atx_h5_marker] = ACTIONS(1572),
    [sym_atx_h6_marker] = ACTIONS(1572),
    [sym__thematic_break] = ACTIONS(1572),
    [sym__list_marker_minus] = ACTIONS(1572),
    [sym__list_marker_plus] = ACTIONS(1572),
    [sym__list_marker_star] = ACTIONS(1572),
    [sym__list_marker_parenthesis] = ACTIONS(1572),
    [sym__list_marker_dot] = ACTIONS(1572),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1572),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1572),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1572),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1572),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1572),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1572),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1572),
    [sym__blank_line_start] = ACTIONS(1572),
    [sym__html_block_1_start] = ACTIONS(1572),
    [sym__html_block_2_start] = ACTIONS(1572),
    [sym__html_block_3_start] = ACTIONS(1572),
    [sym__html_block_4_start] = ACTIONS(1572),
    [sym__html_block_5_start] = ACTIONS(1572),
    [sym__html_block_6_start] = ACTIONS(1572),
    [sym__html_block_7_start] = ACTIONS(1572),
    [sym__pipe_table_start] = ACTIONS(1572),
  },
  [194] = {
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_RBRACK] = ACTIONS(1576),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_GT] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1576),
    [anon_sym_POUND] = ACTIONS(1576),
    [anon_sym_DOLLAR] = ACTIONS(1576),
    [anon_sym_PERCENT] = ACTIONS(1576),
    [anon_sym_AMP] = ACTIONS(1576),
    [anon_sym_SQUOTE] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_COMMA] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_DOT] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_COLON] = ACTIONS(1576),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_EQ] = ACTIONS(1576),
    [anon_sym_QMARK] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1576),
    [anon_sym_BSLASH] = ACTIONS(1576),
    [anon_sym_CARET] = ACTIONS(1576),
    [anon_sym__] = ACTIONS(1576),
    [anon_sym_BQUOTE] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_RPAREN] = ACTIONS(1576),
    [aux_sym__word_token1] = ACTIONS(1576),
    [aux_sym__word_token2] = ACTIONS(1576),
    [aux_sym__word_token3] = ACTIONS(1576),
    [sym__whitespace] = ACTIONS(1576),
    [sym__soft_line_ending] = ACTIONS(1576),
    [sym__block_close] = ACTIONS(1576),
    [sym__block_quote_start] = ACTIONS(1576),
    [sym__indented_chunk_start] = ACTIONS(1576),
    [sym_atx_h1_marker] = ACTIONS(1576),
    [sym_atx_h2_marker] = ACTIONS(1576),
    [sym_atx_h3_marker] = ACTIONS(1576),
    [sym_atx_h4_marker] = ACTIONS(1576),
    [sym_atx_h5_marker] = ACTIONS(1576),
    [sym_atx_h6_marker] = ACTIONS(1576),
    [sym__thematic_break] = ACTIONS(1576),
    [sym__list_marker_minus] = ACTIONS(1576),
    [sym__list_marker_plus] = ACTIONS(1576),
    [sym__list_marker_star] = ACTIONS(1576),
    [sym__list_marker_parenthesis] = ACTIONS(1576),
    [sym__list_marker_dot] = ACTIONS(1576),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1576),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1576),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1576),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1576),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1576),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1576),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1576),
    [sym__blank_line_start] = ACTIONS(1576),
    [sym__html_block_1_start] = ACTIONS(1576),
    [sym__html_block_2_start] = ACTIONS(1576),
    [sym__html_block_3_start] = ACTIONS(1576),
    [sym__html_block_4_start] = ACTIONS(1576),
    [sym__html_block_5_start] = ACTIONS(1576),
    [sym__html_block_6_start] = ACTIONS(1576),
    [sym__html_block_7_start] = ACTIONS(1576),
    [sym__pipe_table_start] = ACTIONS(1576),
  },
  [195] = {
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_RBRACK] = ACTIONS(1580),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(1580),
    [anon_sym_POUND] = ACTIONS(1580),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_SQUOTE] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_COLON] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1580),
    [anon_sym_EQ] = ACTIONS(1580),
    [anon_sym_QMARK] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [anon_sym_BSLASH] = ACTIONS(1580),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym__] = ACTIONS(1580),
    [anon_sym_BQUOTE] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_RBRACE] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1580),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_RPAREN] = ACTIONS(1580),
    [aux_sym__word_token1] = ACTIONS(1580),
    [aux_sym__word_token2] = ACTIONS(1580),
    [aux_sym__word_token3] = ACTIONS(1580),
    [sym__whitespace] = ACTIONS(1580),
    [sym__soft_line_ending] = ACTIONS(1580),
    [sym_block_continuation] = ACTIONS(1580),
    [sym__block_quote_start] = ACTIONS(1580),
    [sym__indented_chunk_start] = ACTIONS(1580),
    [sym_atx_h1_marker] = ACTIONS(1580),
    [sym_atx_h2_marker] = ACTIONS(1580),
    [sym_atx_h3_marker] = ACTIONS(1580),
    [sym_atx_h4_marker] = ACTIONS(1580),
    [sym_atx_h5_marker] = ACTIONS(1580),
    [sym_atx_h6_marker] = ACTIONS(1580),
    [sym__thematic_break] = ACTIONS(1580),
    [sym__list_marker_minus] = ACTIONS(1580),
    [sym__list_marker_plus] = ACTIONS(1580),
    [sym__list_marker_star] = ACTIONS(1580),
    [sym__list_marker_parenthesis] = ACTIONS(1580),
    [sym__list_marker_dot] = ACTIONS(1580),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1580),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1580),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1580),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1580),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1580),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1580),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1580),
    [sym__blank_line_start] = ACTIONS(1580),
    [sym__html_block_1_start] = ACTIONS(1580),
    [sym__html_block_2_start] = ACTIONS(1580),
    [sym__html_block_3_start] = ACTIONS(1580),
    [sym__html_block_4_start] = ACTIONS(1580),
    [sym__html_block_5_start] = ACTIONS(1580),
    [sym__html_block_6_start] = ACTIONS(1580),
    [sym__html_block_7_start] = ACTIONS(1580),
    [sym__pipe_table_start] = ACTIONS(1580),
  },
  [196] = {
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_RBRACK] = ACTIONS(1584),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_POUND] = ACTIONS(1584),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_COLON] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1584),
    [anon_sym_EQ] = ACTIONS(1584),
    [anon_sym_QMARK] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [anon_sym_BSLASH] = ACTIONS(1584),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym__] = ACTIONS(1584),
    [anon_sym_BQUOTE] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_RBRACE] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_RPAREN] = ACTIONS(1584),
    [aux_sym__word_token1] = ACTIONS(1584),
    [aux_sym__word_token2] = ACTIONS(1584),
    [aux_sym__word_token3] = ACTIONS(1584),
    [sym__whitespace] = ACTIONS(1584),
    [sym__soft_line_ending] = ACTIONS(1584),
    [sym_block_continuation] = ACTIONS(1584),
    [sym__block_quote_start] = ACTIONS(1584),
    [sym__indented_chunk_start] = ACTIONS(1584),
    [sym_atx_h1_marker] = ACTIONS(1584),
    [sym_atx_h2_marker] = ACTIONS(1584),
    [sym_atx_h3_marker] = ACTIONS(1584),
    [sym_atx_h4_marker] = ACTIONS(1584),
    [sym_atx_h5_marker] = ACTIONS(1584),
    [sym_atx_h6_marker] = ACTIONS(1584),
    [sym__thematic_break] = ACTIONS(1584),
    [sym__list_marker_minus] = ACTIONS(1584),
    [sym__list_marker_plus] = ACTIONS(1584),
    [sym__list_marker_star] = ACTIONS(1584),
    [sym__list_marker_parenthesis] = ACTIONS(1584),
    [sym__list_marker_dot] = ACTIONS(1584),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1584),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1584),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1584),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1584),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1584),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1584),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1584),
    [sym__blank_line_start] = ACTIONS(1584),
    [sym__html_block_1_start] = ACTIONS(1584),
    [sym__html_block_2_start] = ACTIONS(1584),
    [sym__html_block_3_start] = ACTIONS(1584),
    [sym__html_block_4_start] = ACTIONS(1584),
    [sym__html_block_5_start] = ACTIONS(1584),
    [sym__html_block_6_start] = ACTIONS(1584),
    [sym__html_block_7_start] = ACTIONS(1584),
    [sym__pipe_table_start] = ACTIONS(1584),
  },
  [197] = {
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_RBRACK] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(1588),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_POUND] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [anon_sym_PERCENT] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1588),
    [anon_sym_STAR] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_DOT] = ACTIONS(1588),
    [anon_sym_SLASH] = ACTIONS(1588),
    [anon_sym_COLON] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1588),
    [anon_sym_EQ] = ACTIONS(1588),
    [anon_sym_QMARK] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [anon_sym_BSLASH] = ACTIONS(1588),
    [anon_sym_CARET] = ACTIONS(1588),
    [anon_sym__] = ACTIONS(1588),
    [anon_sym_BQUOTE] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_PIPE] = ACTIONS(1588),
    [anon_sym_RBRACE] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [anon_sym_RPAREN] = ACTIONS(1588),
    [aux_sym__word_token1] = ACTIONS(1588),
    [aux_sym__word_token2] = ACTIONS(1588),
    [aux_sym__word_token3] = ACTIONS(1588),
    [sym__whitespace] = ACTIONS(1588),
    [sym__soft_line_ending] = ACTIONS(1588),
    [sym_block_continuation] = ACTIONS(1588),
    [sym__block_quote_start] = ACTIONS(1588),
    [sym__indented_chunk_start] = ACTIONS(1588),
    [sym_atx_h1_marker] = ACTIONS(1588),
    [sym_atx_h2_marker] = ACTIONS(1588),
    [sym_atx_h3_marker] = ACTIONS(1588),
    [sym_atx_h4_marker] = ACTIONS(1588),
    [sym_atx_h5_marker] = ACTIONS(1588),
    [sym_atx_h6_marker] = ACTIONS(1588),
    [sym__thematic_break] = ACTIONS(1588),
    [sym__list_marker_minus] = ACTIONS(1588),
    [sym__list_marker_plus] = ACTIONS(1588),
    [sym__list_marker_star] = ACTIONS(1588),
    [sym__list_marker_parenthesis] = ACTIONS(1588),
    [sym__list_marker_dot] = ACTIONS(1588),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1588),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1588),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1588),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1588),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1588),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1588),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1588),
    [sym__blank_line_start] = ACTIONS(1588),
    [sym__html_block_1_start] = ACTIONS(1588),
    [sym__html_block_2_start] = ACTIONS(1588),
    [sym__html_block_3_start] = ACTIONS(1588),
    [sym__html_block_4_start] = ACTIONS(1588),
    [sym__html_block_5_start] = ACTIONS(1588),
    [sym__html_block_6_start] = ACTIONS(1588),
    [sym__html_block_7_start] = ACTIONS(1588),
    [sym__pipe_table_start] = ACTIONS(1588),
  },
  [198] = {
    [anon_sym_LBRACK] = ACTIONS(1590),
    [anon_sym_RBRACK] = ACTIONS(1592),
    [anon_sym_LT] = ACTIONS(1592),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_DQUOTE] = ACTIONS(1592),
    [anon_sym_POUND] = ACTIONS(1592),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [anon_sym_PERCENT] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1592),
    [anon_sym_SQUOTE] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1592),
    [anon_sym_DASH] = ACTIONS(1592),
    [anon_sym_DOT] = ACTIONS(1592),
    [anon_sym_SLASH] = ACTIONS(1592),
    [anon_sym_COLON] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1592),
    [anon_sym_EQ] = ACTIONS(1592),
    [anon_sym_QMARK] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1592),
    [anon_sym_BSLASH] = ACTIONS(1592),
    [anon_sym_CARET] = ACTIONS(1592),
    [anon_sym__] = ACTIONS(1592),
    [anon_sym_BQUOTE] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1592),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_RBRACE] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [anon_sym_LPAREN] = ACTIONS(1592),
    [anon_sym_RPAREN] = ACTIONS(1592),
    [aux_sym__word_token1] = ACTIONS(1592),
    [aux_sym__word_token2] = ACTIONS(1592),
    [aux_sym__word_token3] = ACTIONS(1592),
    [sym__whitespace] = ACTIONS(1592),
    [sym__soft_line_ending] = ACTIONS(1592),
    [sym_block_continuation] = ACTIONS(1592),
    [sym__block_quote_start] = ACTIONS(1592),
    [sym__indented_chunk_start] = ACTIONS(1592),
    [sym_atx_h1_marker] = ACTIONS(1592),
    [sym_atx_h2_marker] = ACTIONS(1592),
    [sym_atx_h3_marker] = ACTIONS(1592),
    [sym_atx_h4_marker] = ACTIONS(1592),
    [sym_atx_h5_marker] = ACTIONS(1592),
    [sym_atx_h6_marker] = ACTIONS(1592),
    [sym__thematic_break] = ACTIONS(1592),
    [sym__list_marker_minus] = ACTIONS(1592),
    [sym__list_marker_plus] = ACTIONS(1592),
    [sym__list_marker_star] = ACTIONS(1592),
    [sym__list_marker_parenthesis] = ACTIONS(1592),
    [sym__list_marker_dot] = ACTIONS(1592),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1592),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1592),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1592),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1592),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1592),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1592),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1592),
    [sym__blank_line_start] = ACTIONS(1592),
    [sym__html_block_1_start] = ACTIONS(1592),
    [sym__html_block_2_start] = ACTIONS(1592),
    [sym__html_block_3_start] = ACTIONS(1592),
    [sym__html_block_4_start] = ACTIONS(1592),
    [sym__html_block_5_start] = ACTIONS(1592),
    [sym__html_block_6_start] = ACTIONS(1592),
    [sym__html_block_7_start] = ACTIONS(1592),
    [sym__pipe_table_start] = ACTIONS(1592),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_RBRACK] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [anon_sym_POUND] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_PERCENT] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_DOT] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [anon_sym__] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_RPAREN] = ACTIONS(1472),
    [aux_sym__word_token1] = ACTIONS(1472),
    [aux_sym__word_token2] = ACTIONS(1472),
    [aux_sym__word_token3] = ACTIONS(1472),
    [sym__whitespace] = ACTIONS(1472),
    [sym__soft_line_ending] = ACTIONS(1472),
    [sym__block_quote_start] = ACTIONS(1472),
    [sym__indented_chunk_start] = ACTIONS(1472),
    [sym_atx_h1_marker] = ACTIONS(1472),
    [sym_atx_h2_marker] = ACTIONS(1472),
    [sym_atx_h3_marker] = ACTIONS(1472),
    [sym_atx_h4_marker] = ACTIONS(1472),
    [sym_atx_h5_marker] = ACTIONS(1472),
    [sym_atx_h6_marker] = ACTIONS(1472),
    [sym__thematic_break] = ACTIONS(1472),
    [sym__list_marker_minus] = ACTIONS(1472),
    [sym__list_marker_plus] = ACTIONS(1472),
    [sym__list_marker_star] = ACTIONS(1472),
    [sym__list_marker_parenthesis] = ACTIONS(1472),
    [sym__list_marker_dot] = ACTIONS(1472),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1472),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1472),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1472),
    [sym__blank_line_start] = ACTIONS(1472),
    [sym__html_block_1_start] = ACTIONS(1472),
    [sym__html_block_2_start] = ACTIONS(1472),
    [sym__html_block_3_start] = ACTIONS(1472),
    [sym__html_block_4_start] = ACTIONS(1472),
    [sym__html_block_5_start] = ACTIONS(1472),
    [sym__html_block_6_start] = ACTIONS(1472),
    [sym__html_block_7_start] = ACTIONS(1472),
    [sym__pipe_table_start] = ACTIONS(1472),
  },
  [200] = {
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_RBRACK] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_DQUOTE] = ACTIONS(1596),
    [anon_sym_POUND] = ACTIONS(1596),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [anon_sym_PERCENT] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1596),
    [anon_sym_SQUOTE] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1596),
    [anon_sym_PLUS] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_DASH] = ACTIONS(1596),
    [anon_sym_DOT] = ACTIONS(1596),
    [anon_sym_SLASH] = ACTIONS(1596),
    [anon_sym_COLON] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1596),
    [anon_sym_EQ] = ACTIONS(1596),
    [anon_sym_QMARK] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [anon_sym_BSLASH] = ACTIONS(1596),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym__] = ACTIONS(1596),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_RBRACE] = ACTIONS(1596),
    [anon_sym_TILDE] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_RPAREN] = ACTIONS(1596),
    [aux_sym__word_token1] = ACTIONS(1596),
    [aux_sym__word_token2] = ACTIONS(1596),
    [aux_sym__word_token3] = ACTIONS(1596),
    [sym__whitespace] = ACTIONS(1596),
    [sym__soft_line_ending] = ACTIONS(1596),
    [sym_block_continuation] = ACTIONS(1596),
    [sym__block_quote_start] = ACTIONS(1596),
    [sym__indented_chunk_start] = ACTIONS(1596),
    [sym_atx_h1_marker] = ACTIONS(1596),
    [sym_atx_h2_marker] = ACTIONS(1596),
    [sym_atx_h3_marker] = ACTIONS(1596),
    [sym_atx_h4_marker] = ACTIONS(1596),
    [sym_atx_h5_marker] = ACTIONS(1596),
    [sym_atx_h6_marker] = ACTIONS(1596),
    [sym__thematic_break] = ACTIONS(1596),
    [sym__list_marker_minus] = ACTIONS(1596),
    [sym__list_marker_plus] = ACTIONS(1596),
    [sym__list_marker_star] = ACTIONS(1596),
    [sym__list_marker_parenthesis] = ACTIONS(1596),
    [sym__list_marker_dot] = ACTIONS(1596),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1596),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1596),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1596),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1596),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1596),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1596),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1596),
    [sym__blank_line_start] = ACTIONS(1596),
    [sym__html_block_1_start] = ACTIONS(1596),
    [sym__html_block_2_start] = ACTIONS(1596),
    [sym__html_block_3_start] = ACTIONS(1596),
    [sym__html_block_4_start] = ACTIONS(1596),
    [sym__html_block_5_start] = ACTIONS(1596),
    [sym__html_block_6_start] = ACTIONS(1596),
    [sym__html_block_7_start] = ACTIONS(1596),
    [sym__pipe_table_start] = ACTIONS(1596),
  },
  [201] = {
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_RBRACK] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [anon_sym_POUND] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [anon_sym_PERCENT] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_COMMA] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_DOT] = ACTIONS(1314),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_EQ] = ACTIONS(1314),
    [anon_sym_QMARK] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1314),
    [anon_sym__] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [anon_sym_RPAREN] = ACTIONS(1314),
    [aux_sym__word_token1] = ACTIONS(1314),
    [aux_sym__word_token2] = ACTIONS(1314),
    [aux_sym__word_token3] = ACTIONS(1314),
    [sym__whitespace] = ACTIONS(1314),
    [sym__soft_line_ending] = ACTIONS(1314),
    [sym__block_close] = ACTIONS(1314),
    [sym__block_quote_start] = ACTIONS(1314),
    [sym__indented_chunk_start] = ACTIONS(1314),
    [sym_atx_h1_marker] = ACTIONS(1314),
    [sym_atx_h2_marker] = ACTIONS(1314),
    [sym_atx_h3_marker] = ACTIONS(1314),
    [sym_atx_h4_marker] = ACTIONS(1314),
    [sym_atx_h5_marker] = ACTIONS(1314),
    [sym_atx_h6_marker] = ACTIONS(1314),
    [sym__thematic_break] = ACTIONS(1314),
    [sym__list_marker_minus] = ACTIONS(1314),
    [sym__list_marker_plus] = ACTIONS(1314),
    [sym__list_marker_star] = ACTIONS(1314),
    [sym__list_marker_parenthesis] = ACTIONS(1314),
    [sym__list_marker_dot] = ACTIONS(1314),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1314),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1314),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1314),
    [sym__blank_line_start] = ACTIONS(1314),
    [sym__html_block_1_start] = ACTIONS(1314),
    [sym__html_block_2_start] = ACTIONS(1314),
    [sym__html_block_3_start] = ACTIONS(1314),
    [sym__html_block_4_start] = ACTIONS(1314),
    [sym__html_block_5_start] = ACTIONS(1314),
    [sym__html_block_6_start] = ACTIONS(1314),
    [sym__html_block_7_start] = ACTIONS(1314),
    [sym__pipe_table_start] = ACTIONS(1314),
  },
  [202] = {
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_RBRACK] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_DQUOTE] = ACTIONS(1600),
    [anon_sym_POUND] = ACTIONS(1600),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PERCENT] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_DOT] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_COLON] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_EQ] = ACTIONS(1600),
    [anon_sym_QMARK] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [anon_sym_BSLASH] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(1600),
    [anon_sym__] = ACTIONS(1600),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_RPAREN] = ACTIONS(1600),
    [aux_sym__word_token1] = ACTIONS(1600),
    [aux_sym__word_token2] = ACTIONS(1600),
    [aux_sym__word_token3] = ACTIONS(1600),
    [sym__whitespace] = ACTIONS(1600),
    [sym__soft_line_ending] = ACTIONS(1600),
    [sym__block_close] = ACTIONS(1600),
    [sym__block_quote_start] = ACTIONS(1600),
    [sym__indented_chunk_start] = ACTIONS(1600),
    [sym_atx_h1_marker] = ACTIONS(1600),
    [sym_atx_h2_marker] = ACTIONS(1600),
    [sym_atx_h3_marker] = ACTIONS(1600),
    [sym_atx_h4_marker] = ACTIONS(1600),
    [sym_atx_h5_marker] = ACTIONS(1600),
    [sym_atx_h6_marker] = ACTIONS(1600),
    [sym__thematic_break] = ACTIONS(1600),
    [sym__list_marker_minus] = ACTIONS(1600),
    [sym__list_marker_plus] = ACTIONS(1600),
    [sym__list_marker_star] = ACTIONS(1600),
    [sym__list_marker_parenthesis] = ACTIONS(1600),
    [sym__list_marker_dot] = ACTIONS(1600),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1600),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1600),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1600),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1600),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1600),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1600),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1600),
    [sym__blank_line_start] = ACTIONS(1600),
    [sym__html_block_1_start] = ACTIONS(1600),
    [sym__html_block_2_start] = ACTIONS(1600),
    [sym__html_block_3_start] = ACTIONS(1600),
    [sym__html_block_4_start] = ACTIONS(1600),
    [sym__html_block_5_start] = ACTIONS(1600),
    [sym__html_block_6_start] = ACTIONS(1600),
    [sym__html_block_7_start] = ACTIONS(1600),
    [sym__pipe_table_start] = ACTIONS(1600),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_RBRACK] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [anon_sym_POUND] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_DOT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [anon_sym__] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_RPAREN] = ACTIONS(1460),
    [aux_sym__word_token1] = ACTIONS(1460),
    [aux_sym__word_token2] = ACTIONS(1460),
    [aux_sym__word_token3] = ACTIONS(1460),
    [sym__whitespace] = ACTIONS(1460),
    [sym__soft_line_ending] = ACTIONS(1460),
    [sym__block_quote_start] = ACTIONS(1460),
    [sym__indented_chunk_start] = ACTIONS(1460),
    [sym_atx_h1_marker] = ACTIONS(1460),
    [sym_atx_h2_marker] = ACTIONS(1460),
    [sym_atx_h3_marker] = ACTIONS(1460),
    [sym_atx_h4_marker] = ACTIONS(1460),
    [sym_atx_h5_marker] = ACTIONS(1460),
    [sym_atx_h6_marker] = ACTIONS(1460),
    [sym__thematic_break] = ACTIONS(1460),
    [sym__list_marker_minus] = ACTIONS(1460),
    [sym__list_marker_plus] = ACTIONS(1460),
    [sym__list_marker_star] = ACTIONS(1460),
    [sym__list_marker_parenthesis] = ACTIONS(1460),
    [sym__list_marker_dot] = ACTIONS(1460),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1460),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1460),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1460),
    [sym__blank_line_start] = ACTIONS(1460),
    [sym__html_block_1_start] = ACTIONS(1460),
    [sym__html_block_2_start] = ACTIONS(1460),
    [sym__html_block_3_start] = ACTIONS(1460),
    [sym__html_block_4_start] = ACTIONS(1460),
    [sym__html_block_5_start] = ACTIONS(1460),
    [sym__html_block_6_start] = ACTIONS(1460),
    [sym__html_block_7_start] = ACTIONS(1460),
    [sym__pipe_table_start] = ACTIONS(1460),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_RBRACK] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1602),
    [anon_sym_BANG] = ACTIONS(1602),
    [anon_sym_DQUOTE] = ACTIONS(1602),
    [anon_sym_POUND] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1602),
    [anon_sym_QMARK] = ACTIONS(1602),
    [anon_sym_AT] = ACTIONS(1602),
    [anon_sym_BSLASH] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym__] = ACTIONS(1602),
    [anon_sym_BQUOTE] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_TILDE] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_RPAREN] = ACTIONS(1602),
    [aux_sym__word_token1] = ACTIONS(1602),
    [aux_sym__word_token2] = ACTIONS(1602),
    [aux_sym__word_token3] = ACTIONS(1602),
    [sym__whitespace] = ACTIONS(1602),
    [sym__soft_line_ending] = ACTIONS(1602),
    [sym__block_quote_start] = ACTIONS(1602),
    [sym__indented_chunk_start] = ACTIONS(1602),
    [sym_atx_h1_marker] = ACTIONS(1602),
    [sym_atx_h2_marker] = ACTIONS(1602),
    [sym_atx_h3_marker] = ACTIONS(1602),
    [sym_atx_h4_marker] = ACTIONS(1602),
    [sym_atx_h5_marker] = ACTIONS(1602),
    [sym_atx_h6_marker] = ACTIONS(1602),
    [sym__thematic_break] = ACTIONS(1602),
    [sym__list_marker_minus] = ACTIONS(1602),
    [sym__list_marker_plus] = ACTIONS(1602),
    [sym__list_marker_star] = ACTIONS(1602),
    [sym__list_marker_parenthesis] = ACTIONS(1602),
    [sym__list_marker_dot] = ACTIONS(1602),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1602),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1602),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1602),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1602),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1602),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1602),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1602),
    [sym__blank_line_start] = ACTIONS(1602),
    [sym__html_block_1_start] = ACTIONS(1602),
    [sym__html_block_2_start] = ACTIONS(1602),
    [sym__html_block_3_start] = ACTIONS(1602),
    [sym__html_block_4_start] = ACTIONS(1602),
    [sym__html_block_5_start] = ACTIONS(1602),
    [sym__html_block_6_start] = ACTIONS(1602),
    [sym__html_block_7_start] = ACTIONS(1602),
    [sym__pipe_table_start] = ACTIONS(1602),
  },
  [205] = {
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_RBRACK] = ACTIONS(1608),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_DQUOTE] = ACTIONS(1608),
    [anon_sym_POUND] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [anon_sym_PERCENT] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_SQUOTE] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_DOT] = ACTIONS(1608),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_COLON] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1608),
    [anon_sym_EQ] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [anon_sym_BSLASH] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1608),
    [anon_sym__] = ACTIONS(1608),
    [anon_sym_BQUOTE] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1608),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_RBRACE] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1608),
    [anon_sym_RPAREN] = ACTIONS(1608),
    [aux_sym__word_token1] = ACTIONS(1608),
    [aux_sym__word_token2] = ACTIONS(1608),
    [aux_sym__word_token3] = ACTIONS(1608),
    [sym__whitespace] = ACTIONS(1608),
    [sym__soft_line_ending] = ACTIONS(1608),
    [sym__block_close] = ACTIONS(1608),
    [sym__block_quote_start] = ACTIONS(1608),
    [sym__indented_chunk_start] = ACTIONS(1608),
    [sym_atx_h1_marker] = ACTIONS(1608),
    [sym_atx_h2_marker] = ACTIONS(1608),
    [sym_atx_h3_marker] = ACTIONS(1608),
    [sym_atx_h4_marker] = ACTIONS(1608),
    [sym_atx_h5_marker] = ACTIONS(1608),
    [sym_atx_h6_marker] = ACTIONS(1608),
    [sym__thematic_break] = ACTIONS(1608),
    [sym__list_marker_minus] = ACTIONS(1608),
    [sym__list_marker_plus] = ACTIONS(1608),
    [sym__list_marker_star] = ACTIONS(1608),
    [sym__list_marker_parenthesis] = ACTIONS(1608),
    [sym__list_marker_dot] = ACTIONS(1608),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1608),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1608),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1608),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1608),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1608),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1608),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1608),
    [sym__blank_line_start] = ACTIONS(1608),
    [sym__html_block_1_start] = ACTIONS(1608),
    [sym__html_block_2_start] = ACTIONS(1608),
    [sym__html_block_3_start] = ACTIONS(1608),
    [sym__html_block_4_start] = ACTIONS(1608),
    [sym__html_block_5_start] = ACTIONS(1608),
    [sym__html_block_6_start] = ACTIONS(1608),
    [sym__html_block_7_start] = ACTIONS(1608),
    [sym__pipe_table_start] = ACTIONS(1608),
  },
  [206] = {
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_RBRACK] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1612),
    [anon_sym_POUND] = ACTIONS(1612),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [anon_sym_PERCENT] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_COLON] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_QMARK] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [anon_sym_BSLASH] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1612),
    [anon_sym__] = ACTIONS(1612),
    [anon_sym_BQUOTE] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [anon_sym_RPAREN] = ACTIONS(1612),
    [aux_sym__word_token1] = ACTIONS(1612),
    [aux_sym__word_token2] = ACTIONS(1612),
    [aux_sym__word_token3] = ACTIONS(1612),
    [sym__whitespace] = ACTIONS(1612),
    [sym__soft_line_ending] = ACTIONS(1612),
    [sym__block_close] = ACTIONS(1612),
    [sym__block_quote_start] = ACTIONS(1612),
    [sym__indented_chunk_start] = ACTIONS(1612),
    [sym_atx_h1_marker] = ACTIONS(1612),
    [sym_atx_h2_marker] = ACTIONS(1612),
    [sym_atx_h3_marker] = ACTIONS(1612),
    [sym_atx_h4_marker] = ACTIONS(1612),
    [sym_atx_h5_marker] = ACTIONS(1612),
    [sym_atx_h6_marker] = ACTIONS(1612),
    [sym__thematic_break] = ACTIONS(1612),
    [sym__list_marker_minus] = ACTIONS(1612),
    [sym__list_marker_plus] = ACTIONS(1612),
    [sym__list_marker_star] = ACTIONS(1612),
    [sym__list_marker_parenthesis] = ACTIONS(1612),
    [sym__list_marker_dot] = ACTIONS(1612),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1612),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1612),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1612),
    [sym__blank_line_start] = ACTIONS(1612),
    [sym__html_block_1_start] = ACTIONS(1612),
    [sym__html_block_2_start] = ACTIONS(1612),
    [sym__html_block_3_start] = ACTIONS(1612),
    [sym__html_block_4_start] = ACTIONS(1612),
    [sym__html_block_5_start] = ACTIONS(1612),
    [sym__html_block_6_start] = ACTIONS(1612),
    [sym__html_block_7_start] = ACTIONS(1612),
    [sym__pipe_table_start] = ACTIONS(1612),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACK] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_POUND] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_PERCENT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym__] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_RPAREN] = ACTIONS(1454),
    [aux_sym__word_token1] = ACTIONS(1454),
    [aux_sym__word_token2] = ACTIONS(1454),
    [aux_sym__word_token3] = ACTIONS(1454),
    [sym__whitespace] = ACTIONS(1454),
    [sym__soft_line_ending] = ACTIONS(1454),
    [sym__block_quote_start] = ACTIONS(1454),
    [sym__indented_chunk_start] = ACTIONS(1454),
    [sym_atx_h1_marker] = ACTIONS(1454),
    [sym_atx_h2_marker] = ACTIONS(1454),
    [sym_atx_h3_marker] = ACTIONS(1454),
    [sym_atx_h4_marker] = ACTIONS(1454),
    [sym_atx_h5_marker] = ACTIONS(1454),
    [sym_atx_h6_marker] = ACTIONS(1454),
    [sym__thematic_break] = ACTIONS(1454),
    [sym__list_marker_minus] = ACTIONS(1454),
    [sym__list_marker_plus] = ACTIONS(1454),
    [sym__list_marker_star] = ACTIONS(1454),
    [sym__list_marker_parenthesis] = ACTIONS(1454),
    [sym__list_marker_dot] = ACTIONS(1454),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1454),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1454),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1454),
    [sym__blank_line_start] = ACTIONS(1454),
    [sym__html_block_1_start] = ACTIONS(1454),
    [sym__html_block_2_start] = ACTIONS(1454),
    [sym__html_block_3_start] = ACTIONS(1454),
    [sym__html_block_4_start] = ACTIONS(1454),
    [sym__html_block_5_start] = ACTIONS(1454),
    [sym__html_block_6_start] = ACTIONS(1454),
    [sym__html_block_7_start] = ACTIONS(1454),
    [sym__pipe_table_start] = ACTIONS(1454),
  },
  [208] = {
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_RBRACK] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1612),
    [anon_sym_POUND] = ACTIONS(1612),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [anon_sym_PERCENT] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_COLON] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_QMARK] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [anon_sym_BSLASH] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1612),
    [anon_sym__] = ACTIONS(1612),
    [anon_sym_BQUOTE] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [anon_sym_RPAREN] = ACTIONS(1612),
    [aux_sym__word_token1] = ACTIONS(1612),
    [aux_sym__word_token2] = ACTIONS(1612),
    [aux_sym__word_token3] = ACTIONS(1612),
    [sym__whitespace] = ACTIONS(1612),
    [sym__soft_line_ending] = ACTIONS(1612),
    [sym__block_close] = ACTIONS(1612),
    [sym__block_quote_start] = ACTIONS(1612),
    [sym__indented_chunk_start] = ACTIONS(1612),
    [sym_atx_h1_marker] = ACTIONS(1612),
    [sym_atx_h2_marker] = ACTIONS(1612),
    [sym_atx_h3_marker] = ACTIONS(1612),
    [sym_atx_h4_marker] = ACTIONS(1612),
    [sym_atx_h5_marker] = ACTIONS(1612),
    [sym_atx_h6_marker] = ACTIONS(1612),
    [sym__thematic_break] = ACTIONS(1612),
    [sym__list_marker_minus] = ACTIONS(1612),
    [sym__list_marker_plus] = ACTIONS(1612),
    [sym__list_marker_star] = ACTIONS(1612),
    [sym__list_marker_parenthesis] = ACTIONS(1612),
    [sym__list_marker_dot] = ACTIONS(1612),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1612),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1612),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1612),
    [sym__blank_line_start] = ACTIONS(1612),
    [sym__html_block_1_start] = ACTIONS(1612),
    [sym__html_block_2_start] = ACTIONS(1612),
    [sym__html_block_3_start] = ACTIONS(1612),
    [sym__html_block_4_start] = ACTIONS(1612),
    [sym__html_block_5_start] = ACTIONS(1612),
    [sym__html_block_6_start] = ACTIONS(1612),
    [sym__html_block_7_start] = ACTIONS(1612),
    [sym__pipe_table_start] = ACTIONS(1612),
  },
  [209] = {
    [anon_sym_LBRACK] = ACTIONS(1614),
    [anon_sym_RBRACK] = ACTIONS(1616),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1616),
    [anon_sym_BANG] = ACTIONS(1616),
    [anon_sym_DQUOTE] = ACTIONS(1616),
    [anon_sym_POUND] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1616),
    [anon_sym_PERCENT] = ACTIONS(1616),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_SQUOTE] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1616),
    [anon_sym_COMMA] = ACTIONS(1616),
    [anon_sym_DASH] = ACTIONS(1616),
    [anon_sym_DOT] = ACTIONS(1616),
    [anon_sym_SLASH] = ACTIONS(1616),
    [anon_sym_COLON] = ACTIONS(1616),
    [anon_sym_SEMI] = ACTIONS(1616),
    [anon_sym_EQ] = ACTIONS(1616),
    [anon_sym_QMARK] = ACTIONS(1616),
    [anon_sym_AT] = ACTIONS(1616),
    [anon_sym_BSLASH] = ACTIONS(1616),
    [anon_sym_CARET] = ACTIONS(1616),
    [anon_sym__] = ACTIONS(1616),
    [anon_sym_BQUOTE] = ACTIONS(1616),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_RPAREN] = ACTIONS(1616),
    [aux_sym__word_token1] = ACTIONS(1616),
    [aux_sym__word_token2] = ACTIONS(1616),
    [aux_sym__word_token3] = ACTIONS(1616),
    [sym__whitespace] = ACTIONS(1616),
    [sym__soft_line_ending] = ACTIONS(1616),
    [sym__block_close] = ACTIONS(1616),
    [sym__block_quote_start] = ACTIONS(1616),
    [sym__indented_chunk_start] = ACTIONS(1616),
    [sym_atx_h1_marker] = ACTIONS(1616),
    [sym_atx_h2_marker] = ACTIONS(1616),
    [sym_atx_h3_marker] = ACTIONS(1616),
    [sym_atx_h4_marker] = ACTIONS(1616),
    [sym_atx_h5_marker] = ACTIONS(1616),
    [sym_atx_h6_marker] = ACTIONS(1616),
    [sym__thematic_break] = ACTIONS(1616),
    [sym__list_marker_minus] = ACTIONS(1616),
    [sym__list_marker_plus] = ACTIONS(1616),
    [sym__list_marker_star] = ACTIONS(1616),
    [sym__list_marker_parenthesis] = ACTIONS(1616),
    [sym__list_marker_dot] = ACTIONS(1616),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1616),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1616),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1616),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1616),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1616),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1616),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1616),
    [sym__blank_line_start] = ACTIONS(1616),
    [sym__html_block_1_start] = ACTIONS(1616),
    [sym__html_block_2_start] = ACTIONS(1616),
    [sym__html_block_3_start] = ACTIONS(1616),
    [sym__html_block_4_start] = ACTIONS(1616),
    [sym__html_block_5_start] = ACTIONS(1616),
    [sym__html_block_6_start] = ACTIONS(1616),
    [sym__html_block_7_start] = ACTIONS(1616),
    [sym__pipe_table_start] = ACTIONS(1616),
  },
  [210] = {
    [anon_sym_LBRACK] = ACTIONS(1618),
    [anon_sym_RBRACK] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(1620),
    [anon_sym_POUND] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1620),
    [anon_sym_PERCENT] = ACTIONS(1620),
    [anon_sym_AMP] = ACTIONS(1620),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(1620),
    [anon_sym_COMMA] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_DOT] = ACTIONS(1620),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_COLON] = ACTIONS(1620),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_EQ] = ACTIONS(1620),
    [anon_sym_QMARK] = ACTIONS(1620),
    [anon_sym_AT] = ACTIONS(1620),
    [anon_sym_BSLASH] = ACTIONS(1620),
    [anon_sym_CARET] = ACTIONS(1620),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_BQUOTE] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_PIPE] = ACTIONS(1620),
    [anon_sym_RBRACE] = ACTIONS(1620),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [anon_sym_RPAREN] = ACTIONS(1620),
    [aux_sym__word_token1] = ACTIONS(1620),
    [aux_sym__word_token2] = ACTIONS(1620),
    [aux_sym__word_token3] = ACTIONS(1620),
    [sym__whitespace] = ACTIONS(1620),
    [sym__soft_line_ending] = ACTIONS(1620),
    [sym__block_close] = ACTIONS(1620),
    [sym__block_quote_start] = ACTIONS(1620),
    [sym__indented_chunk_start] = ACTIONS(1620),
    [sym_atx_h1_marker] = ACTIONS(1620),
    [sym_atx_h2_marker] = ACTIONS(1620),
    [sym_atx_h3_marker] = ACTIONS(1620),
    [sym_atx_h4_marker] = ACTIONS(1620),
    [sym_atx_h5_marker] = ACTIONS(1620),
    [sym_atx_h6_marker] = ACTIONS(1620),
    [sym__thematic_break] = ACTIONS(1620),
    [sym__list_marker_minus] = ACTIONS(1620),
    [sym__list_marker_plus] = ACTIONS(1620),
    [sym__list_marker_star] = ACTIONS(1620),
    [sym__list_marker_parenthesis] = ACTIONS(1620),
    [sym__list_marker_dot] = ACTIONS(1620),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1620),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1620),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1620),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1620),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1620),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1620),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1620),
    [sym__blank_line_start] = ACTIONS(1620),
    [sym__html_block_1_start] = ACTIONS(1620),
    [sym__html_block_2_start] = ACTIONS(1620),
    [sym__html_block_3_start] = ACTIONS(1620),
    [sym__html_block_4_start] = ACTIONS(1620),
    [sym__html_block_5_start] = ACTIONS(1620),
    [sym__html_block_6_start] = ACTIONS(1620),
    [sym__html_block_7_start] = ACTIONS(1620),
    [sym__pipe_table_start] = ACTIONS(1620),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_RBRACK] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [anon_sym_POUND] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_COLON] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1448),
    [anon_sym_QMARK] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_PIPE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_RPAREN] = ACTIONS(1448),
    [aux_sym__word_token1] = ACTIONS(1448),
    [aux_sym__word_token2] = ACTIONS(1448),
    [aux_sym__word_token3] = ACTIONS(1448),
    [sym__whitespace] = ACTIONS(1448),
    [sym__soft_line_ending] = ACTIONS(1448),
    [sym__block_quote_start] = ACTIONS(1448),
    [sym__indented_chunk_start] = ACTIONS(1448),
    [sym_atx_h1_marker] = ACTIONS(1448),
    [sym_atx_h2_marker] = ACTIONS(1448),
    [sym_atx_h3_marker] = ACTIONS(1448),
    [sym_atx_h4_marker] = ACTIONS(1448),
    [sym_atx_h5_marker] = ACTIONS(1448),
    [sym_atx_h6_marker] = ACTIONS(1448),
    [sym__thematic_break] = ACTIONS(1448),
    [sym__list_marker_minus] = ACTIONS(1448),
    [sym__list_marker_plus] = ACTIONS(1448),
    [sym__list_marker_star] = ACTIONS(1448),
    [sym__list_marker_parenthesis] = ACTIONS(1448),
    [sym__list_marker_dot] = ACTIONS(1448),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1448),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1448),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1448),
    [sym__blank_line_start] = ACTIONS(1448),
    [sym__html_block_1_start] = ACTIONS(1448),
    [sym__html_block_2_start] = ACTIONS(1448),
    [sym__html_block_3_start] = ACTIONS(1448),
    [sym__html_block_4_start] = ACTIONS(1448),
    [sym__html_block_5_start] = ACTIONS(1448),
    [sym__html_block_6_start] = ACTIONS(1448),
    [sym__html_block_7_start] = ACTIONS(1448),
    [sym__pipe_table_start] = ACTIONS(1448),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1624),
    [anon_sym_RBRACK] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1622),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_DQUOTE] = ACTIONS(1622),
    [anon_sym_POUND] = ACTIONS(1622),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [anon_sym_PERCENT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_SQUOTE] = ACTIONS(1622),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1622),
    [anon_sym_COLON] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [anon_sym_QMARK] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [anon_sym_BSLASH] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1622),
    [anon_sym_BQUOTE] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_RBRACE] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [anon_sym_RPAREN] = ACTIONS(1622),
    [aux_sym__word_token1] = ACTIONS(1622),
    [aux_sym__word_token2] = ACTIONS(1622),
    [aux_sym__word_token3] = ACTIONS(1622),
    [sym__whitespace] = ACTIONS(1622),
    [sym__soft_line_ending] = ACTIONS(1622),
    [sym__block_quote_start] = ACTIONS(1622),
    [sym__indented_chunk_start] = ACTIONS(1622),
    [sym_atx_h1_marker] = ACTIONS(1622),
    [sym_atx_h2_marker] = ACTIONS(1622),
    [sym_atx_h3_marker] = ACTIONS(1622),
    [sym_atx_h4_marker] = ACTIONS(1622),
    [sym_atx_h5_marker] = ACTIONS(1622),
    [sym_atx_h6_marker] = ACTIONS(1622),
    [sym__thematic_break] = ACTIONS(1622),
    [sym__list_marker_minus] = ACTIONS(1622),
    [sym__list_marker_plus] = ACTIONS(1622),
    [sym__list_marker_star] = ACTIONS(1622),
    [sym__list_marker_parenthesis] = ACTIONS(1622),
    [sym__list_marker_dot] = ACTIONS(1622),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1622),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1622),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1622),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1622),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1622),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1622),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1622),
    [sym__blank_line_start] = ACTIONS(1622),
    [sym__html_block_1_start] = ACTIONS(1622),
    [sym__html_block_2_start] = ACTIONS(1622),
    [sym__html_block_3_start] = ACTIONS(1622),
    [sym__html_block_4_start] = ACTIONS(1622),
    [sym__html_block_5_start] = ACTIONS(1622),
    [sym__html_block_6_start] = ACTIONS(1622),
    [sym__html_block_7_start] = ACTIONS(1622),
    [sym__pipe_table_start] = ACTIONS(1622),
  },
  [213] = {
    [anon_sym_LBRACK] = ACTIONS(1626),
    [anon_sym_RBRACK] = ACTIONS(1628),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [anon_sym_BANG] = ACTIONS(1628),
    [anon_sym_DQUOTE] = ACTIONS(1628),
    [anon_sym_POUND] = ACTIONS(1628),
    [anon_sym_DOLLAR] = ACTIONS(1628),
    [anon_sym_PERCENT] = ACTIONS(1628),
    [anon_sym_AMP] = ACTIONS(1628),
    [anon_sym_SQUOTE] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1628),
    [anon_sym_PLUS] = ACTIONS(1628),
    [anon_sym_COMMA] = ACTIONS(1628),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_DOT] = ACTIONS(1628),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_COLON] = ACTIONS(1628),
    [anon_sym_SEMI] = ACTIONS(1628),
    [anon_sym_EQ] = ACTIONS(1628),
    [anon_sym_QMARK] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(1628),
    [anon_sym_BSLASH] = ACTIONS(1628),
    [anon_sym_CARET] = ACTIONS(1628),
    [anon_sym__] = ACTIONS(1628),
    [anon_sym_BQUOTE] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(1628),
    [anon_sym_PIPE] = ACTIONS(1628),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [anon_sym_TILDE] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1628),
    [anon_sym_RPAREN] = ACTIONS(1628),
    [aux_sym__word_token1] = ACTIONS(1628),
    [aux_sym__word_token2] = ACTIONS(1628),
    [aux_sym__word_token3] = ACTIONS(1628),
    [sym__whitespace] = ACTIONS(1628),
    [sym__soft_line_ending] = ACTIONS(1628),
    [sym__block_close] = ACTIONS(1628),
    [sym__block_quote_start] = ACTIONS(1628),
    [sym__indented_chunk_start] = ACTIONS(1628),
    [sym_atx_h1_marker] = ACTIONS(1628),
    [sym_atx_h2_marker] = ACTIONS(1628),
    [sym_atx_h3_marker] = ACTIONS(1628),
    [sym_atx_h4_marker] = ACTIONS(1628),
    [sym_atx_h5_marker] = ACTIONS(1628),
    [sym_atx_h6_marker] = ACTIONS(1628),
    [sym__thematic_break] = ACTIONS(1628),
    [sym__list_marker_minus] = ACTIONS(1628),
    [sym__list_marker_plus] = ACTIONS(1628),
    [sym__list_marker_star] = ACTIONS(1628),
    [sym__list_marker_parenthesis] = ACTIONS(1628),
    [sym__list_marker_dot] = ACTIONS(1628),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1628),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1628),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1628),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1628),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1628),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1628),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1628),
    [sym__blank_line_start] = ACTIONS(1628),
    [sym__html_block_1_start] = ACTIONS(1628),
    [sym__html_block_2_start] = ACTIONS(1628),
    [sym__html_block_3_start] = ACTIONS(1628),
    [sym__html_block_4_start] = ACTIONS(1628),
    [sym__html_block_5_start] = ACTIONS(1628),
    [sym__html_block_6_start] = ACTIONS(1628),
    [sym__html_block_7_start] = ACTIONS(1628),
    [sym__pipe_table_start] = ACTIONS(1628),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_RBRACK] = ACTIONS(1630),
    [anon_sym_LT] = ACTIONS(1630),
    [anon_sym_GT] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1630),
    [anon_sym_DQUOTE] = ACTIONS(1630),
    [anon_sym_POUND] = ACTIONS(1630),
    [anon_sym_DOLLAR] = ACTIONS(1630),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_AMP] = ACTIONS(1630),
    [anon_sym_SQUOTE] = ACTIONS(1630),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_COMMA] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_DOT] = ACTIONS(1630),
    [anon_sym_SLASH] = ACTIONS(1630),
    [anon_sym_COLON] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym_EQ] = ACTIONS(1630),
    [anon_sym_QMARK] = ACTIONS(1630),
    [anon_sym_AT] = ACTIONS(1630),
    [anon_sym_BSLASH] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1630),
    [anon_sym__] = ACTIONS(1630),
    [anon_sym_BQUOTE] = ACTIONS(1630),
    [anon_sym_LBRACE] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1630),
    [anon_sym_RBRACE] = ACTIONS(1630),
    [anon_sym_TILDE] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1630),
    [anon_sym_RPAREN] = ACTIONS(1630),
    [aux_sym__word_token1] = ACTIONS(1630),
    [aux_sym__word_token2] = ACTIONS(1630),
    [aux_sym__word_token3] = ACTIONS(1630),
    [sym__whitespace] = ACTIONS(1630),
    [sym__soft_line_ending] = ACTIONS(1630),
    [sym__block_quote_start] = ACTIONS(1630),
    [sym__indented_chunk_start] = ACTIONS(1630),
    [sym_atx_h1_marker] = ACTIONS(1630),
    [sym_atx_h2_marker] = ACTIONS(1630),
    [sym_atx_h3_marker] = ACTIONS(1630),
    [sym_atx_h4_marker] = ACTIONS(1630),
    [sym_atx_h5_marker] = ACTIONS(1630),
    [sym_atx_h6_marker] = ACTIONS(1630),
    [sym__thematic_break] = ACTIONS(1630),
    [sym__list_marker_minus] = ACTIONS(1630),
    [sym__list_marker_plus] = ACTIONS(1630),
    [sym__list_marker_star] = ACTIONS(1630),
    [sym__list_marker_parenthesis] = ACTIONS(1630),
    [sym__list_marker_dot] = ACTIONS(1630),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1630),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1630),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1630),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1630),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1630),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1630),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1630),
    [sym__blank_line_start] = ACTIONS(1630),
    [sym__html_block_1_start] = ACTIONS(1630),
    [sym__html_block_2_start] = ACTIONS(1630),
    [sym__html_block_3_start] = ACTIONS(1630),
    [sym__html_block_4_start] = ACTIONS(1630),
    [sym__html_block_5_start] = ACTIONS(1630),
    [sym__html_block_6_start] = ACTIONS(1630),
    [sym__html_block_7_start] = ACTIONS(1630),
    [sym__pipe_table_start] = ACTIONS(1630),
  },
  [215] = {
    [ts_builtin_sym_end] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_RBRACK] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [anon_sym_POUND] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_DOT] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym__] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_PIPE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_RPAREN] = ACTIONS(1440),
    [aux_sym__word_token1] = ACTIONS(1440),
    [aux_sym__word_token2] = ACTIONS(1440),
    [aux_sym__word_token3] = ACTIONS(1440),
    [sym__whitespace] = ACTIONS(1440),
    [sym__soft_line_ending] = ACTIONS(1440),
    [sym__block_quote_start] = ACTIONS(1440),
    [sym__indented_chunk_start] = ACTIONS(1440),
    [sym_atx_h1_marker] = ACTIONS(1440),
    [sym_atx_h2_marker] = ACTIONS(1440),
    [sym_atx_h3_marker] = ACTIONS(1440),
    [sym_atx_h4_marker] = ACTIONS(1440),
    [sym_atx_h5_marker] = ACTIONS(1440),
    [sym_atx_h6_marker] = ACTIONS(1440),
    [sym__thematic_break] = ACTIONS(1440),
    [sym__list_marker_minus] = ACTIONS(1440),
    [sym__list_marker_plus] = ACTIONS(1440),
    [sym__list_marker_star] = ACTIONS(1440),
    [sym__list_marker_parenthesis] = ACTIONS(1440),
    [sym__list_marker_dot] = ACTIONS(1440),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1440),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1440),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1440),
    [sym__blank_line_start] = ACTIONS(1440),
    [sym__html_block_1_start] = ACTIONS(1440),
    [sym__html_block_2_start] = ACTIONS(1440),
    [sym__html_block_3_start] = ACTIONS(1440),
    [sym__html_block_4_start] = ACTIONS(1440),
    [sym__html_block_5_start] = ACTIONS(1440),
    [sym__html_block_6_start] = ACTIONS(1440),
    [sym__html_block_7_start] = ACTIONS(1440),
    [sym__pipe_table_start] = ACTIONS(1440),
  },
  [216] = {
    [anon_sym_LBRACK] = ACTIONS(1634),
    [anon_sym_RBRACK] = ACTIONS(1636),
    [anon_sym_LT] = ACTIONS(1636),
    [anon_sym_GT] = ACTIONS(1636),
    [anon_sym_BANG] = ACTIONS(1636),
    [anon_sym_DQUOTE] = ACTIONS(1636),
    [anon_sym_POUND] = ACTIONS(1636),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_PERCENT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1636),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_COMMA] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1636),
    [anon_sym_DOT] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1636),
    [anon_sym_COLON] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1636),
    [anon_sym_EQ] = ACTIONS(1636),
    [anon_sym_QMARK] = ACTIONS(1636),
    [anon_sym_AT] = ACTIONS(1636),
    [anon_sym_BSLASH] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym__] = ACTIONS(1636),
    [anon_sym_BQUOTE] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_RBRACE] = ACTIONS(1636),
    [anon_sym_TILDE] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [anon_sym_RPAREN] = ACTIONS(1636),
    [aux_sym__word_token1] = ACTIONS(1636),
    [aux_sym__word_token2] = ACTIONS(1636),
    [aux_sym__word_token3] = ACTIONS(1636),
    [sym__whitespace] = ACTIONS(1636),
    [sym__soft_line_ending] = ACTIONS(1636),
    [sym__block_close] = ACTIONS(1636),
    [sym__block_quote_start] = ACTIONS(1636),
    [sym__indented_chunk_start] = ACTIONS(1636),
    [sym_atx_h1_marker] = ACTIONS(1636),
    [sym_atx_h2_marker] = ACTIONS(1636),
    [sym_atx_h3_marker] = ACTIONS(1636),
    [sym_atx_h4_marker] = ACTIONS(1636),
    [sym_atx_h5_marker] = ACTIONS(1636),
    [sym_atx_h6_marker] = ACTIONS(1636),
    [sym__thematic_break] = ACTIONS(1636),
    [sym__list_marker_minus] = ACTIONS(1636),
    [sym__list_marker_plus] = ACTIONS(1636),
    [sym__list_marker_star] = ACTIONS(1636),
    [sym__list_marker_parenthesis] = ACTIONS(1636),
    [sym__list_marker_dot] = ACTIONS(1636),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1636),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1636),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1636),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1636),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1636),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1636),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1636),
    [sym__blank_line_start] = ACTIONS(1636),
    [sym__html_block_1_start] = ACTIONS(1636),
    [sym__html_block_2_start] = ACTIONS(1636),
    [sym__html_block_3_start] = ACTIONS(1636),
    [sym__html_block_4_start] = ACTIONS(1636),
    [sym__html_block_5_start] = ACTIONS(1636),
    [sym__html_block_6_start] = ACTIONS(1636),
    [sym__html_block_7_start] = ACTIONS(1636),
    [sym__pipe_table_start] = ACTIONS(1636),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_RBRACK] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [anon_sym_POUND] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1334),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_COLON] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_EQ] = ACTIONS(1334),
    [anon_sym_QMARK] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_CARET] = ACTIONS(1334),
    [anon_sym__] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_PIPE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_RPAREN] = ACTIONS(1334),
    [aux_sym__word_token1] = ACTIONS(1334),
    [aux_sym__word_token2] = ACTIONS(1334),
    [aux_sym__word_token3] = ACTIONS(1334),
    [sym__whitespace] = ACTIONS(1334),
    [sym__soft_line_ending] = ACTIONS(1334),
    [sym__block_quote_start] = ACTIONS(1334),
    [sym__indented_chunk_start] = ACTIONS(1334),
    [sym_atx_h1_marker] = ACTIONS(1334),
    [sym_atx_h2_marker] = ACTIONS(1334),
    [sym_atx_h3_marker] = ACTIONS(1334),
    [sym_atx_h4_marker] = ACTIONS(1334),
    [sym_atx_h5_marker] = ACTIONS(1334),
    [sym_atx_h6_marker] = ACTIONS(1334),
    [sym__thematic_break] = ACTIONS(1334),
    [sym__list_marker_minus] = ACTIONS(1334),
    [sym__list_marker_plus] = ACTIONS(1334),
    [sym__list_marker_star] = ACTIONS(1334),
    [sym__list_marker_parenthesis] = ACTIONS(1334),
    [sym__list_marker_dot] = ACTIONS(1334),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1334),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1334),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1334),
    [sym__blank_line_start] = ACTIONS(1334),
    [sym__html_block_1_start] = ACTIONS(1334),
    [sym__html_block_2_start] = ACTIONS(1334),
    [sym__html_block_3_start] = ACTIONS(1334),
    [sym__html_block_4_start] = ACTIONS(1334),
    [sym__html_block_5_start] = ACTIONS(1334),
    [sym__html_block_6_start] = ACTIONS(1334),
    [sym__html_block_7_start] = ACTIONS(1334),
    [sym__pipe_table_start] = ACTIONS(1334),
  },
  [218] = {
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_RBRACK] = ACTIONS(1640),
    [anon_sym_LT] = ACTIONS(1640),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_BANG] = ACTIONS(1640),
    [anon_sym_DQUOTE] = ACTIONS(1640),
    [anon_sym_POUND] = ACTIONS(1640),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [anon_sym_PERCENT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_SQUOTE] = ACTIONS(1640),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_COMMA] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1640),
    [anon_sym_DOT] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1640),
    [anon_sym_COLON] = ACTIONS(1640),
    [anon_sym_SEMI] = ACTIONS(1640),
    [anon_sym_EQ] = ACTIONS(1640),
    [anon_sym_QMARK] = ACTIONS(1640),
    [anon_sym_AT] = ACTIONS(1640),
    [anon_sym_BSLASH] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_BQUOTE] = ACTIONS(1640),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1640),
    [anon_sym_RBRACE] = ACTIONS(1640),
    [anon_sym_TILDE] = ACTIONS(1640),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [anon_sym_RPAREN] = ACTIONS(1640),
    [aux_sym__word_token1] = ACTIONS(1640),
    [aux_sym__word_token2] = ACTIONS(1640),
    [aux_sym__word_token3] = ACTIONS(1640),
    [sym__whitespace] = ACTIONS(1640),
    [sym__soft_line_ending] = ACTIONS(1640),
    [sym__block_close] = ACTIONS(1640),
    [sym__block_quote_start] = ACTIONS(1640),
    [sym__indented_chunk_start] = ACTIONS(1640),
    [sym_atx_h1_marker] = ACTIONS(1640),
    [sym_atx_h2_marker] = ACTIONS(1640),
    [sym_atx_h3_marker] = ACTIONS(1640),
    [sym_atx_h4_marker] = ACTIONS(1640),
    [sym_atx_h5_marker] = ACTIONS(1640),
    [sym_atx_h6_marker] = ACTIONS(1640),
    [sym__thematic_break] = ACTIONS(1640),
    [sym__list_marker_minus] = ACTIONS(1640),
    [sym__list_marker_plus] = ACTIONS(1640),
    [sym__list_marker_star] = ACTIONS(1640),
    [sym__list_marker_parenthesis] = ACTIONS(1640),
    [sym__list_marker_dot] = ACTIONS(1640),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1640),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1640),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1640),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1640),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1640),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1640),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1640),
    [sym__blank_line_start] = ACTIONS(1640),
    [sym__html_block_1_start] = ACTIONS(1640),
    [sym__html_block_2_start] = ACTIONS(1640),
    [sym__html_block_3_start] = ACTIONS(1640),
    [sym__html_block_4_start] = ACTIONS(1640),
    [sym__html_block_5_start] = ACTIONS(1640),
    [sym__html_block_6_start] = ACTIONS(1640),
    [sym__html_block_7_start] = ACTIONS(1640),
    [sym__pipe_table_start] = ACTIONS(1640),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [anon_sym_POUND] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [aux_sym__word_token1] = ACTIONS(1434),
    [aux_sym__word_token2] = ACTIONS(1434),
    [aux_sym__word_token3] = ACTIONS(1434),
    [sym__whitespace] = ACTIONS(1434),
    [sym__soft_line_ending] = ACTIONS(1434),
    [sym__block_quote_start] = ACTIONS(1434),
    [sym__indented_chunk_start] = ACTIONS(1434),
    [sym_atx_h1_marker] = ACTIONS(1434),
    [sym_atx_h2_marker] = ACTIONS(1434),
    [sym_atx_h3_marker] = ACTIONS(1434),
    [sym_atx_h4_marker] = ACTIONS(1434),
    [sym_atx_h5_marker] = ACTIONS(1434),
    [sym_atx_h6_marker] = ACTIONS(1434),
    [sym__thematic_break] = ACTIONS(1434),
    [sym__list_marker_minus] = ACTIONS(1434),
    [sym__list_marker_plus] = ACTIONS(1434),
    [sym__list_marker_star] = ACTIONS(1434),
    [sym__list_marker_parenthesis] = ACTIONS(1434),
    [sym__list_marker_dot] = ACTIONS(1434),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1434),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1434),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1434),
    [sym__blank_line_start] = ACTIONS(1434),
    [sym__html_block_1_start] = ACTIONS(1434),
    [sym__html_block_2_start] = ACTIONS(1434),
    [sym__html_block_3_start] = ACTIONS(1434),
    [sym__html_block_4_start] = ACTIONS(1434),
    [sym__html_block_5_start] = ACTIONS(1434),
    [sym__html_block_6_start] = ACTIONS(1434),
    [sym__html_block_7_start] = ACTIONS(1434),
    [sym__pipe_table_start] = ACTIONS(1434),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_RBRACK] = ACTIONS(1642),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_DQUOTE] = ACTIONS(1642),
    [anon_sym_POUND] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1642),
    [anon_sym_PERCENT] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1642),
    [anon_sym_SQUOTE] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_COMMA] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_DOT] = ACTIONS(1642),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_COLON] = ACTIONS(1642),
    [anon_sym_SEMI] = ACTIONS(1642),
    [anon_sym_EQ] = ACTIONS(1642),
    [anon_sym_QMARK] = ACTIONS(1642),
    [anon_sym_AT] = ACTIONS(1642),
    [anon_sym_BSLASH] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_BQUOTE] = ACTIONS(1642),
    [anon_sym_LBRACE] = ACTIONS(1642),
    [anon_sym_PIPE] = ACTIONS(1642),
    [anon_sym_RBRACE] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1642),
    [anon_sym_RPAREN] = ACTIONS(1642),
    [aux_sym__word_token1] = ACTIONS(1642),
    [aux_sym__word_token2] = ACTIONS(1642),
    [aux_sym__word_token3] = ACTIONS(1642),
    [sym__whitespace] = ACTIONS(1642),
    [sym__soft_line_ending] = ACTIONS(1642),
    [sym__block_quote_start] = ACTIONS(1642),
    [sym__indented_chunk_start] = ACTIONS(1642),
    [sym_atx_h1_marker] = ACTIONS(1642),
    [sym_atx_h2_marker] = ACTIONS(1642),
    [sym_atx_h3_marker] = ACTIONS(1642),
    [sym_atx_h4_marker] = ACTIONS(1642),
    [sym_atx_h5_marker] = ACTIONS(1642),
    [sym_atx_h6_marker] = ACTIONS(1642),
    [sym__thematic_break] = ACTIONS(1642),
    [sym__list_marker_minus] = ACTIONS(1642),
    [sym__list_marker_plus] = ACTIONS(1642),
    [sym__list_marker_star] = ACTIONS(1642),
    [sym__list_marker_parenthesis] = ACTIONS(1642),
    [sym__list_marker_dot] = ACTIONS(1642),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1642),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1642),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1642),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1642),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1642),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1642),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1642),
    [sym__blank_line_start] = ACTIONS(1642),
    [sym__html_block_1_start] = ACTIONS(1642),
    [sym__html_block_2_start] = ACTIONS(1642),
    [sym__html_block_3_start] = ACTIONS(1642),
    [sym__html_block_4_start] = ACTIONS(1642),
    [sym__html_block_5_start] = ACTIONS(1642),
    [sym__html_block_6_start] = ACTIONS(1642),
    [sym__html_block_7_start] = ACTIONS(1642),
    [sym__pipe_table_start] = ACTIONS(1642),
  },
  [221] = {
    [anon_sym_LBRACK] = ACTIONS(1646),
    [anon_sym_RBRACK] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1648),
    [anon_sym_GT] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_DQUOTE] = ACTIONS(1648),
    [anon_sym_POUND] = ACTIONS(1648),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PERCENT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_SQUOTE] = ACTIONS(1648),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1648),
    [anon_sym_DOT] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1648),
    [anon_sym_COLON] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(1648),
    [anon_sym_QMARK] = ACTIONS(1648),
    [anon_sym_AT] = ACTIONS(1648),
    [anon_sym_BSLASH] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym__] = ACTIONS(1648),
    [anon_sym_BQUOTE] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_RPAREN] = ACTIONS(1648),
    [aux_sym__word_token1] = ACTIONS(1648),
    [aux_sym__word_token2] = ACTIONS(1648),
    [aux_sym__word_token3] = ACTIONS(1648),
    [sym__whitespace] = ACTIONS(1648),
    [sym__soft_line_ending] = ACTIONS(1648),
    [sym__block_close] = ACTIONS(1648),
    [sym__block_quote_start] = ACTIONS(1648),
    [sym__indented_chunk_start] = ACTIONS(1648),
    [sym_atx_h1_marker] = ACTIONS(1648),
    [sym_atx_h2_marker] = ACTIONS(1648),
    [sym_atx_h3_marker] = ACTIONS(1648),
    [sym_atx_h4_marker] = ACTIONS(1648),
    [sym_atx_h5_marker] = ACTIONS(1648),
    [sym_atx_h6_marker] = ACTIONS(1648),
    [sym__thematic_break] = ACTIONS(1648),
    [sym__list_marker_minus] = ACTIONS(1648),
    [sym__list_marker_plus] = ACTIONS(1648),
    [sym__list_marker_star] = ACTIONS(1648),
    [sym__list_marker_parenthesis] = ACTIONS(1648),
    [sym__list_marker_dot] = ACTIONS(1648),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1648),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1648),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1648),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1648),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1648),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1648),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1648),
    [sym__blank_line_start] = ACTIONS(1648),
    [sym__html_block_1_start] = ACTIONS(1648),
    [sym__html_block_2_start] = ACTIONS(1648),
    [sym__html_block_3_start] = ACTIONS(1648),
    [sym__html_block_4_start] = ACTIONS(1648),
    [sym__html_block_5_start] = ACTIONS(1648),
    [sym__html_block_6_start] = ACTIONS(1648),
    [sym__html_block_7_start] = ACTIONS(1648),
    [sym__pipe_table_start] = ACTIONS(1648),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_RBRACK] = ACTIONS(1650),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_BANG] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(1650),
    [anon_sym_POUND] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1650),
    [anon_sym_PERCENT] = ACTIONS(1650),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_SQUOTE] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_DOT] = ACTIONS(1650),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_COLON] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1650),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_QMARK] = ACTIONS(1650),
    [anon_sym_AT] = ACTIONS(1650),
    [anon_sym_BSLASH] = ACTIONS(1650),
    [anon_sym_CARET] = ACTIONS(1650),
    [anon_sym__] = ACTIONS(1650),
    [anon_sym_BQUOTE] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_RBRACE] = ACTIONS(1650),
    [anon_sym_TILDE] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_RPAREN] = ACTIONS(1650),
    [aux_sym__word_token1] = ACTIONS(1650),
    [aux_sym__word_token2] = ACTIONS(1650),
    [aux_sym__word_token3] = ACTIONS(1650),
    [sym__whitespace] = ACTIONS(1650),
    [sym__soft_line_ending] = ACTIONS(1650),
    [sym__block_quote_start] = ACTIONS(1650),
    [sym__indented_chunk_start] = ACTIONS(1650),
    [sym_atx_h1_marker] = ACTIONS(1650),
    [sym_atx_h2_marker] = ACTIONS(1650),
    [sym_atx_h3_marker] = ACTIONS(1650),
    [sym_atx_h4_marker] = ACTIONS(1650),
    [sym_atx_h5_marker] = ACTIONS(1650),
    [sym_atx_h6_marker] = ACTIONS(1650),
    [sym__thematic_break] = ACTIONS(1650),
    [sym__list_marker_minus] = ACTIONS(1650),
    [sym__list_marker_plus] = ACTIONS(1650),
    [sym__list_marker_star] = ACTIONS(1650),
    [sym__list_marker_parenthesis] = ACTIONS(1650),
    [sym__list_marker_dot] = ACTIONS(1650),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1650),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1650),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1650),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1650),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1650),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1650),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1650),
    [sym__blank_line_start] = ACTIONS(1650),
    [sym__html_block_1_start] = ACTIONS(1650),
    [sym__html_block_2_start] = ACTIONS(1650),
    [sym__html_block_3_start] = ACTIONS(1650),
    [sym__html_block_4_start] = ACTIONS(1650),
    [sym__html_block_5_start] = ACTIONS(1650),
    [sym__html_block_6_start] = ACTIONS(1650),
    [sym__html_block_7_start] = ACTIONS(1650),
    [sym__pipe_table_start] = ACTIONS(1650),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_RBRACK] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [anon_sym_POUND] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_PERCENT] = ACTIONS(1296),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_SEMI] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_QMARK] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1296),
    [anon_sym__] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [anon_sym_RPAREN] = ACTIONS(1296),
    [aux_sym__word_token1] = ACTIONS(1296),
    [aux_sym__word_token2] = ACTIONS(1296),
    [aux_sym__word_token3] = ACTIONS(1296),
    [sym__whitespace] = ACTIONS(1296),
    [sym__soft_line_ending] = ACTIONS(1296),
    [sym__block_quote_start] = ACTIONS(1296),
    [sym__indented_chunk_start] = ACTIONS(1296),
    [sym_atx_h1_marker] = ACTIONS(1296),
    [sym_atx_h2_marker] = ACTIONS(1296),
    [sym_atx_h3_marker] = ACTIONS(1296),
    [sym_atx_h4_marker] = ACTIONS(1296),
    [sym_atx_h5_marker] = ACTIONS(1296),
    [sym_atx_h6_marker] = ACTIONS(1296),
    [sym__thematic_break] = ACTIONS(1296),
    [sym__list_marker_minus] = ACTIONS(1296),
    [sym__list_marker_plus] = ACTIONS(1296),
    [sym__list_marker_star] = ACTIONS(1296),
    [sym__list_marker_parenthesis] = ACTIONS(1296),
    [sym__list_marker_dot] = ACTIONS(1296),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1296),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1296),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1296),
    [sym__blank_line_start] = ACTIONS(1296),
    [sym__html_block_1_start] = ACTIONS(1296),
    [sym__html_block_2_start] = ACTIONS(1296),
    [sym__html_block_3_start] = ACTIONS(1296),
    [sym__html_block_4_start] = ACTIONS(1296),
    [sym__html_block_5_start] = ACTIONS(1296),
    [sym__html_block_6_start] = ACTIONS(1296),
    [sym__html_block_7_start] = ACTIONS(1296),
    [sym__pipe_table_start] = ACTIONS(1296),
  },
  [224] = {
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_RBRACK] = ACTIONS(1656),
    [anon_sym_LT] = ACTIONS(1656),
    [anon_sym_GT] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_DQUOTE] = ACTIONS(1656),
    [anon_sym_POUND] = ACTIONS(1656),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PERCENT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1656),
    [anon_sym_DOT] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1656),
    [anon_sym_COLON] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1656),
    [anon_sym_QMARK] = ACTIONS(1656),
    [anon_sym_AT] = ACTIONS(1656),
    [anon_sym_BSLASH] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1656),
    [anon_sym_BQUOTE] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1656),
    [aux_sym__word_token1] = ACTIONS(1656),
    [aux_sym__word_token2] = ACTIONS(1656),
    [aux_sym__word_token3] = ACTIONS(1656),
    [sym__whitespace] = ACTIONS(1656),
    [sym__soft_line_ending] = ACTIONS(1656),
    [sym__block_close] = ACTIONS(1656),
    [sym__block_quote_start] = ACTIONS(1656),
    [sym__indented_chunk_start] = ACTIONS(1656),
    [sym_atx_h1_marker] = ACTIONS(1656),
    [sym_atx_h2_marker] = ACTIONS(1656),
    [sym_atx_h3_marker] = ACTIONS(1656),
    [sym_atx_h4_marker] = ACTIONS(1656),
    [sym_atx_h5_marker] = ACTIONS(1656),
    [sym_atx_h6_marker] = ACTIONS(1656),
    [sym__thematic_break] = ACTIONS(1656),
    [sym__list_marker_minus] = ACTIONS(1656),
    [sym__list_marker_plus] = ACTIONS(1656),
    [sym__list_marker_star] = ACTIONS(1656),
    [sym__list_marker_parenthesis] = ACTIONS(1656),
    [sym__list_marker_dot] = ACTIONS(1656),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1656),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1656),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1656),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1656),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1656),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1656),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1656),
    [sym__blank_line_start] = ACTIONS(1656),
    [sym__html_block_1_start] = ACTIONS(1656),
    [sym__html_block_2_start] = ACTIONS(1656),
    [sym__html_block_3_start] = ACTIONS(1656),
    [sym__html_block_4_start] = ACTIONS(1656),
    [sym__html_block_5_start] = ACTIONS(1656),
    [sym__html_block_6_start] = ACTIONS(1656),
    [sym__html_block_7_start] = ACTIONS(1656),
    [sym__pipe_table_start] = ACTIONS(1656),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [anon_sym_RBRACK] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [anon_sym_BANG] = ACTIONS(1658),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [anon_sym_POUND] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1658),
    [anon_sym_PERCENT] = ACTIONS(1658),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_SQUOTE] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_COMMA] = ACTIONS(1658),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1658),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_COLON] = ACTIONS(1658),
    [anon_sym_SEMI] = ACTIONS(1658),
    [anon_sym_EQ] = ACTIONS(1658),
    [anon_sym_QMARK] = ACTIONS(1658),
    [anon_sym_AT] = ACTIONS(1658),
    [anon_sym_BSLASH] = ACTIONS(1658),
    [anon_sym_CARET] = ACTIONS(1658),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_BQUOTE] = ACTIONS(1658),
    [anon_sym_LBRACE] = ACTIONS(1658),
    [anon_sym_PIPE] = ACTIONS(1658),
    [anon_sym_RBRACE] = ACTIONS(1658),
    [anon_sym_TILDE] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1658),
    [anon_sym_RPAREN] = ACTIONS(1658),
    [aux_sym__word_token1] = ACTIONS(1658),
    [aux_sym__word_token2] = ACTIONS(1658),
    [aux_sym__word_token3] = ACTIONS(1658),
    [sym__whitespace] = ACTIONS(1658),
    [sym__soft_line_ending] = ACTIONS(1658),
    [sym__block_quote_start] = ACTIONS(1658),
    [sym__indented_chunk_start] = ACTIONS(1658),
    [sym_atx_h1_marker] = ACTIONS(1658),
    [sym_atx_h2_marker] = ACTIONS(1658),
    [sym_atx_h3_marker] = ACTIONS(1658),
    [sym_atx_h4_marker] = ACTIONS(1658),
    [sym_atx_h5_marker] = ACTIONS(1658),
    [sym_atx_h6_marker] = ACTIONS(1658),
    [sym__thematic_break] = ACTIONS(1658),
    [sym__list_marker_minus] = ACTIONS(1658),
    [sym__list_marker_plus] = ACTIONS(1658),
    [sym__list_marker_star] = ACTIONS(1658),
    [sym__list_marker_parenthesis] = ACTIONS(1658),
    [sym__list_marker_dot] = ACTIONS(1658),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1658),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1658),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1658),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1658),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1658),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1658),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1658),
    [sym__blank_line_start] = ACTIONS(1658),
    [sym__html_block_1_start] = ACTIONS(1658),
    [sym__html_block_2_start] = ACTIONS(1658),
    [sym__html_block_3_start] = ACTIONS(1658),
    [sym__html_block_4_start] = ACTIONS(1658),
    [sym__html_block_5_start] = ACTIONS(1658),
    [sym__html_block_6_start] = ACTIONS(1658),
    [sym__html_block_7_start] = ACTIONS(1658),
    [sym__pipe_table_start] = ACTIONS(1658),
  },
  [226] = {
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_RBRACK] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_BANG] = ACTIONS(1187),
    [anon_sym_DQUOTE] = ACTIONS(1187),
    [anon_sym_POUND] = ACTIONS(1187),
    [anon_sym_DOLLAR] = ACTIONS(1187),
    [anon_sym_PERCENT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_SQUOTE] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_DOT] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1187),
    [anon_sym_COLON] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_QMARK] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(1187),
    [anon_sym_BSLASH] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1187),
    [anon_sym_BQUOTE] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_RBRACE] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [aux_sym__word_token1] = ACTIONS(1187),
    [aux_sym__word_token2] = ACTIONS(1187),
    [aux_sym__word_token3] = ACTIONS(1187),
    [sym__whitespace] = ACTIONS(1187),
    [sym__soft_line_ending] = ACTIONS(1187),
    [sym__block_close] = ACTIONS(1187),
    [sym__block_quote_start] = ACTIONS(1187),
    [sym__indented_chunk_start] = ACTIONS(1187),
    [sym_atx_h1_marker] = ACTIONS(1187),
    [sym_atx_h2_marker] = ACTIONS(1187),
    [sym_atx_h3_marker] = ACTIONS(1187),
    [sym_atx_h4_marker] = ACTIONS(1187),
    [sym_atx_h5_marker] = ACTIONS(1187),
    [sym_atx_h6_marker] = ACTIONS(1187),
    [sym__thematic_break] = ACTIONS(1187),
    [sym__list_marker_minus] = ACTIONS(1187),
    [sym__list_marker_plus] = ACTIONS(1187),
    [sym__list_marker_star] = ACTIONS(1187),
    [sym__list_marker_parenthesis] = ACTIONS(1187),
    [sym__list_marker_dot] = ACTIONS(1187),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1187),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1187),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1187),
    [sym__blank_line_start] = ACTIONS(1187),
    [sym__html_block_1_start] = ACTIONS(1187),
    [sym__html_block_2_start] = ACTIONS(1187),
    [sym__html_block_3_start] = ACTIONS(1187),
    [sym__html_block_4_start] = ACTIONS(1187),
    [sym__html_block_5_start] = ACTIONS(1187),
    [sym__html_block_6_start] = ACTIONS(1187),
    [sym__html_block_7_start] = ACTIONS(1187),
    [sym__pipe_table_start] = ACTIONS(1187),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_RBRACK] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [anon_sym_POUND] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [anon_sym_PERCENT] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_COLON] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1362),
    [anon_sym_QMARK] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_CARET] = ACTIONS(1362),
    [anon_sym__] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [anon_sym_RPAREN] = ACTIONS(1362),
    [aux_sym__word_token1] = ACTIONS(1362),
    [aux_sym__word_token2] = ACTIONS(1362),
    [aux_sym__word_token3] = ACTIONS(1362),
    [sym__whitespace] = ACTIONS(1362),
    [sym__soft_line_ending] = ACTIONS(1362),
    [sym__block_quote_start] = ACTIONS(1362),
    [sym__indented_chunk_start] = ACTIONS(1362),
    [sym_atx_h1_marker] = ACTIONS(1362),
    [sym_atx_h2_marker] = ACTIONS(1362),
    [sym_atx_h3_marker] = ACTIONS(1362),
    [sym_atx_h4_marker] = ACTIONS(1362),
    [sym_atx_h5_marker] = ACTIONS(1362),
    [sym_atx_h6_marker] = ACTIONS(1362),
    [sym__thematic_break] = ACTIONS(1362),
    [sym__list_marker_minus] = ACTIONS(1362),
    [sym__list_marker_plus] = ACTIONS(1362),
    [sym__list_marker_star] = ACTIONS(1362),
    [sym__list_marker_parenthesis] = ACTIONS(1362),
    [sym__list_marker_dot] = ACTIONS(1362),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1362),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1362),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1362),
    [sym__blank_line_start] = ACTIONS(1362),
    [sym__html_block_1_start] = ACTIONS(1362),
    [sym__html_block_2_start] = ACTIONS(1362),
    [sym__html_block_3_start] = ACTIONS(1362),
    [sym__html_block_4_start] = ACTIONS(1362),
    [sym__html_block_5_start] = ACTIONS(1362),
    [sym__html_block_6_start] = ACTIONS(1362),
    [sym__html_block_7_start] = ACTIONS(1362),
    [sym__pipe_table_start] = ACTIONS(1362),
  },
  [228] = {
    [anon_sym_LBRACK] = ACTIONS(1662),
    [anon_sym_RBRACK] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1664),
    [anon_sym_GT] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_DQUOTE] = ACTIONS(1664),
    [anon_sym_POUND] = ACTIONS(1664),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SQUOTE] = ACTIONS(1664),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_COMMA] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_COLON] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_EQ] = ACTIONS(1664),
    [anon_sym_QMARK] = ACTIONS(1664),
    [anon_sym_AT] = ACTIONS(1664),
    [anon_sym_BSLASH] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym__] = ACTIONS(1664),
    [anon_sym_BQUOTE] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_RPAREN] = ACTIONS(1664),
    [aux_sym__word_token1] = ACTIONS(1664),
    [aux_sym__word_token2] = ACTIONS(1664),
    [aux_sym__word_token3] = ACTIONS(1664),
    [sym__whitespace] = ACTIONS(1664),
    [sym__soft_line_ending] = ACTIONS(1664),
    [sym__block_close] = ACTIONS(1664),
    [sym__block_quote_start] = ACTIONS(1664),
    [sym__indented_chunk_start] = ACTIONS(1664),
    [sym_atx_h1_marker] = ACTIONS(1664),
    [sym_atx_h2_marker] = ACTIONS(1664),
    [sym_atx_h3_marker] = ACTIONS(1664),
    [sym_atx_h4_marker] = ACTIONS(1664),
    [sym_atx_h5_marker] = ACTIONS(1664),
    [sym_atx_h6_marker] = ACTIONS(1664),
    [sym__thematic_break] = ACTIONS(1664),
    [sym__list_marker_minus] = ACTIONS(1664),
    [sym__list_marker_plus] = ACTIONS(1664),
    [sym__list_marker_star] = ACTIONS(1664),
    [sym__list_marker_parenthesis] = ACTIONS(1664),
    [sym__list_marker_dot] = ACTIONS(1664),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1664),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1664),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1664),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1664),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1664),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1664),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1664),
    [sym__blank_line_start] = ACTIONS(1664),
    [sym__html_block_1_start] = ACTIONS(1664),
    [sym__html_block_2_start] = ACTIONS(1664),
    [sym__html_block_3_start] = ACTIONS(1664),
    [sym__html_block_4_start] = ACTIONS(1664),
    [sym__html_block_5_start] = ACTIONS(1664),
    [sym__html_block_6_start] = ACTIONS(1664),
    [sym__html_block_7_start] = ACTIONS(1664),
    [sym__pipe_table_start] = ACTIONS(1664),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_RBRACK] = ACTIONS(1666),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [anon_sym_BANG] = ACTIONS(1666),
    [anon_sym_DQUOTE] = ACTIONS(1666),
    [anon_sym_POUND] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1666),
    [anon_sym_PERCENT] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(1666),
    [anon_sym_SQUOTE] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_COMMA] = ACTIONS(1666),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_COLON] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1666),
    [anon_sym_EQ] = ACTIONS(1666),
    [anon_sym_QMARK] = ACTIONS(1666),
    [anon_sym_AT] = ACTIONS(1666),
    [anon_sym_BSLASH] = ACTIONS(1666),
    [anon_sym_CARET] = ACTIONS(1666),
    [anon_sym__] = ACTIONS(1666),
    [anon_sym_BQUOTE] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1666),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_RBRACE] = ACTIONS(1666),
    [anon_sym_TILDE] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1666),
    [aux_sym__word_token1] = ACTIONS(1666),
    [aux_sym__word_token2] = ACTIONS(1666),
    [aux_sym__word_token3] = ACTIONS(1666),
    [sym__whitespace] = ACTIONS(1666),
    [sym__soft_line_ending] = ACTIONS(1666),
    [sym__block_quote_start] = ACTIONS(1666),
    [sym__indented_chunk_start] = ACTIONS(1666),
    [sym_atx_h1_marker] = ACTIONS(1666),
    [sym_atx_h2_marker] = ACTIONS(1666),
    [sym_atx_h3_marker] = ACTIONS(1666),
    [sym_atx_h4_marker] = ACTIONS(1666),
    [sym_atx_h5_marker] = ACTIONS(1666),
    [sym_atx_h6_marker] = ACTIONS(1666),
    [sym__thematic_break] = ACTIONS(1666),
    [sym__list_marker_minus] = ACTIONS(1666),
    [sym__list_marker_plus] = ACTIONS(1666),
    [sym__list_marker_star] = ACTIONS(1666),
    [sym__list_marker_parenthesis] = ACTIONS(1666),
    [sym__list_marker_dot] = ACTIONS(1666),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1666),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1666),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1666),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1666),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1666),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1666),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1666),
    [sym__blank_line_start] = ACTIONS(1666),
    [sym__html_block_1_start] = ACTIONS(1666),
    [sym__html_block_2_start] = ACTIONS(1666),
    [sym__html_block_3_start] = ACTIONS(1666),
    [sym__html_block_4_start] = ACTIONS(1666),
    [sym__html_block_5_start] = ACTIONS(1666),
    [sym__html_block_6_start] = ACTIONS(1666),
    [sym__html_block_7_start] = ACTIONS(1666),
    [sym__pipe_table_start] = ACTIONS(1666),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [anon_sym_RBRACK] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1670),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [anon_sym_POUND] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_PERCENT] = ACTIONS(1670),
    [anon_sym_AMP] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_COMMA] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_DOT] = ACTIONS(1670),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_COLON] = ACTIONS(1670),
    [anon_sym_SEMI] = ACTIONS(1670),
    [anon_sym_EQ] = ACTIONS(1670),
    [anon_sym_QMARK] = ACTIONS(1670),
    [anon_sym_AT] = ACTIONS(1670),
    [anon_sym_BSLASH] = ACTIONS(1670),
    [anon_sym_CARET] = ACTIONS(1670),
    [anon_sym__] = ACTIONS(1670),
    [anon_sym_BQUOTE] = ACTIONS(1670),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [anon_sym_PIPE] = ACTIONS(1670),
    [anon_sym_RBRACE] = ACTIONS(1670),
    [anon_sym_TILDE] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [anon_sym_RPAREN] = ACTIONS(1670),
    [aux_sym__word_token1] = ACTIONS(1670),
    [aux_sym__word_token2] = ACTIONS(1670),
    [aux_sym__word_token3] = ACTIONS(1670),
    [sym__whitespace] = ACTIONS(1670),
    [sym__soft_line_ending] = ACTIONS(1670),
    [sym__block_quote_start] = ACTIONS(1670),
    [sym__indented_chunk_start] = ACTIONS(1670),
    [sym_atx_h1_marker] = ACTIONS(1670),
    [sym_atx_h2_marker] = ACTIONS(1670),
    [sym_atx_h3_marker] = ACTIONS(1670),
    [sym_atx_h4_marker] = ACTIONS(1670),
    [sym_atx_h5_marker] = ACTIONS(1670),
    [sym_atx_h6_marker] = ACTIONS(1670),
    [sym__thematic_break] = ACTIONS(1670),
    [sym__list_marker_minus] = ACTIONS(1670),
    [sym__list_marker_plus] = ACTIONS(1670),
    [sym__list_marker_star] = ACTIONS(1670),
    [sym__list_marker_parenthesis] = ACTIONS(1670),
    [sym__list_marker_dot] = ACTIONS(1670),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1670),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1670),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1670),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1670),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1670),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1670),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1670),
    [sym__blank_line_start] = ACTIONS(1670),
    [sym__html_block_1_start] = ACTIONS(1670),
    [sym__html_block_2_start] = ACTIONS(1670),
    [sym__html_block_3_start] = ACTIONS(1670),
    [sym__html_block_4_start] = ACTIONS(1670),
    [sym__html_block_5_start] = ACTIONS(1670),
    [sym__html_block_6_start] = ACTIONS(1670),
    [sym__html_block_7_start] = ACTIONS(1670),
    [sym__pipe_table_start] = ACTIONS(1670),
  },
  [231] = {
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_RBRACK] = ACTIONS(1676),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_BANG] = ACTIONS(1676),
    [anon_sym_DQUOTE] = ACTIONS(1676),
    [anon_sym_POUND] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_SQUOTE] = ACTIONS(1676),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_DOT] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1676),
    [anon_sym_COLON] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1676),
    [anon_sym_EQ] = ACTIONS(1676),
    [anon_sym_QMARK] = ACTIONS(1676),
    [anon_sym_AT] = ACTIONS(1676),
    [anon_sym_BSLASH] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym__] = ACTIONS(1676),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1676),
    [anon_sym_RBRACE] = ACTIONS(1676),
    [anon_sym_TILDE] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [anon_sym_RPAREN] = ACTIONS(1676),
    [aux_sym__word_token1] = ACTIONS(1676),
    [aux_sym__word_token2] = ACTIONS(1676),
    [aux_sym__word_token3] = ACTIONS(1676),
    [sym__whitespace] = ACTIONS(1676),
    [sym__soft_line_ending] = ACTIONS(1676),
    [sym__block_close] = ACTIONS(1676),
    [sym__block_quote_start] = ACTIONS(1676),
    [sym__indented_chunk_start] = ACTIONS(1676),
    [sym_atx_h1_marker] = ACTIONS(1676),
    [sym_atx_h2_marker] = ACTIONS(1676),
    [sym_atx_h3_marker] = ACTIONS(1676),
    [sym_atx_h4_marker] = ACTIONS(1676),
    [sym_atx_h5_marker] = ACTIONS(1676),
    [sym_atx_h6_marker] = ACTIONS(1676),
    [sym__thematic_break] = ACTIONS(1676),
    [sym__list_marker_minus] = ACTIONS(1676),
    [sym__list_marker_plus] = ACTIONS(1676),
    [sym__list_marker_star] = ACTIONS(1676),
    [sym__list_marker_parenthesis] = ACTIONS(1676),
    [sym__list_marker_dot] = ACTIONS(1676),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1676),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1676),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1676),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1676),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1676),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1676),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1676),
    [sym__blank_line_start] = ACTIONS(1676),
    [sym__html_block_1_start] = ACTIONS(1676),
    [sym__html_block_2_start] = ACTIONS(1676),
    [sym__html_block_3_start] = ACTIONS(1676),
    [sym__html_block_4_start] = ACTIONS(1676),
    [sym__html_block_5_start] = ACTIONS(1676),
    [sym__html_block_6_start] = ACTIONS(1676),
    [sym__html_block_7_start] = ACTIONS(1676),
    [sym__pipe_table_start] = ACTIONS(1676),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [anon_sym_RBRACK] = ACTIONS(1678),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_DQUOTE] = ACTIONS(1678),
    [anon_sym_POUND] = ACTIONS(1678),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_AMP] = ACTIONS(1678),
    [anon_sym_SQUOTE] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_DOT] = ACTIONS(1678),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_COLON] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_EQ] = ACTIONS(1678),
    [anon_sym_QMARK] = ACTIONS(1678),
    [anon_sym_AT] = ACTIONS(1678),
    [anon_sym_BSLASH] = ACTIONS(1678),
    [anon_sym_CARET] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1678),
    [anon_sym_BQUOTE] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_RPAREN] = ACTIONS(1678),
    [aux_sym__word_token1] = ACTIONS(1678),
    [aux_sym__word_token2] = ACTIONS(1678),
    [aux_sym__word_token3] = ACTIONS(1678),
    [sym__whitespace] = ACTIONS(1678),
    [sym__soft_line_ending] = ACTIONS(1678),
    [sym__block_quote_start] = ACTIONS(1678),
    [sym__indented_chunk_start] = ACTIONS(1678),
    [sym_atx_h1_marker] = ACTIONS(1678),
    [sym_atx_h2_marker] = ACTIONS(1678),
    [sym_atx_h3_marker] = ACTIONS(1678),
    [sym_atx_h4_marker] = ACTIONS(1678),
    [sym_atx_h5_marker] = ACTIONS(1678),
    [sym_atx_h6_marker] = ACTIONS(1678),
    [sym__thematic_break] = ACTIONS(1678),
    [sym__list_marker_minus] = ACTIONS(1678),
    [sym__list_marker_plus] = ACTIONS(1678),
    [sym__list_marker_star] = ACTIONS(1678),
    [sym__list_marker_parenthesis] = ACTIONS(1678),
    [sym__list_marker_dot] = ACTIONS(1678),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1678),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1678),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1678),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1678),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1678),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1678),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1678),
    [sym__blank_line_start] = ACTIONS(1678),
    [sym__html_block_1_start] = ACTIONS(1678),
    [sym__html_block_2_start] = ACTIONS(1678),
    [sym__html_block_3_start] = ACTIONS(1678),
    [sym__html_block_4_start] = ACTIONS(1678),
    [sym__html_block_5_start] = ACTIONS(1678),
    [sym__html_block_6_start] = ACTIONS(1678),
    [sym__html_block_7_start] = ACTIONS(1678),
    [sym__pipe_table_start] = ACTIONS(1678),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1618),
    [anon_sym_RBRACK] = ACTIONS(1620),
    [anon_sym_LT] = ACTIONS(1620),
    [anon_sym_GT] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(1620),
    [anon_sym_POUND] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1620),
    [anon_sym_PERCENT] = ACTIONS(1620),
    [anon_sym_AMP] = ACTIONS(1620),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [anon_sym_STAR] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(1620),
    [anon_sym_COMMA] = ACTIONS(1620),
    [anon_sym_DASH] = ACTIONS(1620),
    [anon_sym_DOT] = ACTIONS(1620),
    [anon_sym_SLASH] = ACTIONS(1620),
    [anon_sym_COLON] = ACTIONS(1620),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_EQ] = ACTIONS(1620),
    [anon_sym_QMARK] = ACTIONS(1620),
    [anon_sym_AT] = ACTIONS(1620),
    [anon_sym_BSLASH] = ACTIONS(1620),
    [anon_sym_CARET] = ACTIONS(1620),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_BQUOTE] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_PIPE] = ACTIONS(1620),
    [anon_sym_RBRACE] = ACTIONS(1620),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [anon_sym_RPAREN] = ACTIONS(1620),
    [aux_sym__word_token1] = ACTIONS(1620),
    [aux_sym__word_token2] = ACTIONS(1620),
    [aux_sym__word_token3] = ACTIONS(1620),
    [sym__whitespace] = ACTIONS(1620),
    [sym__soft_line_ending] = ACTIONS(1620),
    [sym__block_quote_start] = ACTIONS(1620),
    [sym__indented_chunk_start] = ACTIONS(1620),
    [sym_atx_h1_marker] = ACTIONS(1620),
    [sym_atx_h2_marker] = ACTIONS(1620),
    [sym_atx_h3_marker] = ACTIONS(1620),
    [sym_atx_h4_marker] = ACTIONS(1620),
    [sym_atx_h5_marker] = ACTIONS(1620),
    [sym_atx_h6_marker] = ACTIONS(1620),
    [sym__thematic_break] = ACTIONS(1620),
    [sym__list_marker_minus] = ACTIONS(1620),
    [sym__list_marker_plus] = ACTIONS(1620),
    [sym__list_marker_star] = ACTIONS(1620),
    [sym__list_marker_parenthesis] = ACTIONS(1620),
    [sym__list_marker_dot] = ACTIONS(1620),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1620),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1620),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1620),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1620),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1620),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1620),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1620),
    [sym__blank_line_start] = ACTIONS(1620),
    [sym__html_block_1_start] = ACTIONS(1620),
    [sym__html_block_2_start] = ACTIONS(1620),
    [sym__html_block_3_start] = ACTIONS(1620),
    [sym__html_block_4_start] = ACTIONS(1620),
    [sym__html_block_5_start] = ACTIONS(1620),
    [sym__html_block_6_start] = ACTIONS(1620),
    [sym__html_block_7_start] = ACTIONS(1620),
    [sym__pipe_table_start] = ACTIONS(1620),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_RBRACK] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1612),
    [anon_sym_POUND] = ACTIONS(1612),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [anon_sym_PERCENT] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_COLON] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_QMARK] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [anon_sym_BSLASH] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1612),
    [anon_sym__] = ACTIONS(1612),
    [anon_sym_BQUOTE] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [anon_sym_RPAREN] = ACTIONS(1612),
    [aux_sym__word_token1] = ACTIONS(1612),
    [aux_sym__word_token2] = ACTIONS(1612),
    [aux_sym__word_token3] = ACTIONS(1612),
    [sym__whitespace] = ACTIONS(1612),
    [sym__soft_line_ending] = ACTIONS(1612),
    [sym__block_quote_start] = ACTIONS(1612),
    [sym__indented_chunk_start] = ACTIONS(1612),
    [sym_atx_h1_marker] = ACTIONS(1612),
    [sym_atx_h2_marker] = ACTIONS(1612),
    [sym_atx_h3_marker] = ACTIONS(1612),
    [sym_atx_h4_marker] = ACTIONS(1612),
    [sym_atx_h5_marker] = ACTIONS(1612),
    [sym_atx_h6_marker] = ACTIONS(1612),
    [sym__thematic_break] = ACTIONS(1612),
    [sym__list_marker_minus] = ACTIONS(1612),
    [sym__list_marker_plus] = ACTIONS(1612),
    [sym__list_marker_star] = ACTIONS(1612),
    [sym__list_marker_parenthesis] = ACTIONS(1612),
    [sym__list_marker_dot] = ACTIONS(1612),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1612),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1612),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1612),
    [sym__blank_line_start] = ACTIONS(1612),
    [sym__html_block_1_start] = ACTIONS(1612),
    [sym__html_block_2_start] = ACTIONS(1612),
    [sym__html_block_3_start] = ACTIONS(1612),
    [sym__html_block_4_start] = ACTIONS(1612),
    [sym__html_block_5_start] = ACTIONS(1612),
    [sym__html_block_6_start] = ACTIONS(1612),
    [sym__html_block_7_start] = ACTIONS(1612),
    [sym__pipe_table_start] = ACTIONS(1612),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_RBRACK] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_GT] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1612),
    [anon_sym_POUND] = ACTIONS(1612),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [anon_sym_PERCENT] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_STAR] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_COMMA] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_DOT] = ACTIONS(1612),
    [anon_sym_SLASH] = ACTIONS(1612),
    [anon_sym_COLON] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(1612),
    [anon_sym_QMARK] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [anon_sym_BSLASH] = ACTIONS(1612),
    [anon_sym_CARET] = ACTIONS(1612),
    [anon_sym__] = ACTIONS(1612),
    [anon_sym_BQUOTE] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [anon_sym_RPAREN] = ACTIONS(1612),
    [aux_sym__word_token1] = ACTIONS(1612),
    [aux_sym__word_token2] = ACTIONS(1612),
    [aux_sym__word_token3] = ACTIONS(1612),
    [sym__whitespace] = ACTIONS(1612),
    [sym__soft_line_ending] = ACTIONS(1612),
    [sym__block_quote_start] = ACTIONS(1612),
    [sym__indented_chunk_start] = ACTIONS(1612),
    [sym_atx_h1_marker] = ACTIONS(1612),
    [sym_atx_h2_marker] = ACTIONS(1612),
    [sym_atx_h3_marker] = ACTIONS(1612),
    [sym_atx_h4_marker] = ACTIONS(1612),
    [sym_atx_h5_marker] = ACTIONS(1612),
    [sym_atx_h6_marker] = ACTIONS(1612),
    [sym__thematic_break] = ACTIONS(1612),
    [sym__list_marker_minus] = ACTIONS(1612),
    [sym__list_marker_plus] = ACTIONS(1612),
    [sym__list_marker_star] = ACTIONS(1612),
    [sym__list_marker_parenthesis] = ACTIONS(1612),
    [sym__list_marker_dot] = ACTIONS(1612),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1612),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1612),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1612),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1612),
    [sym__blank_line_start] = ACTIONS(1612),
    [sym__html_block_1_start] = ACTIONS(1612),
    [sym__html_block_2_start] = ACTIONS(1612),
    [sym__html_block_3_start] = ACTIONS(1612),
    [sym__html_block_4_start] = ACTIONS(1612),
    [sym__html_block_5_start] = ACTIONS(1612),
    [sym__html_block_6_start] = ACTIONS(1612),
    [sym__html_block_7_start] = ACTIONS(1612),
    [sym__pipe_table_start] = ACTIONS(1612),
  },
  [236] = {
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_RBRACK] = ACTIONS(1344),
    [anon_sym_LT] = ACTIONS(1344),
    [anon_sym_GT] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [anon_sym_POUND] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PERCENT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_DOT] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1344),
    [anon_sym_COLON] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_EQ] = ACTIONS(1344),
    [anon_sym_QMARK] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_CARET] = ACTIONS(1344),
    [anon_sym__] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [anon_sym_RPAREN] = ACTIONS(1344),
    [aux_sym__word_token1] = ACTIONS(1344),
    [aux_sym__word_token2] = ACTIONS(1344),
    [aux_sym__word_token3] = ACTIONS(1344),
    [sym__whitespace] = ACTIONS(1344),
    [sym__soft_line_ending] = ACTIONS(1344),
    [sym__block_close] = ACTIONS(1344),
    [sym__block_quote_start] = ACTIONS(1344),
    [sym__indented_chunk_start] = ACTIONS(1344),
    [sym_atx_h1_marker] = ACTIONS(1344),
    [sym_atx_h2_marker] = ACTIONS(1344),
    [sym_atx_h3_marker] = ACTIONS(1344),
    [sym_atx_h4_marker] = ACTIONS(1344),
    [sym_atx_h5_marker] = ACTIONS(1344),
    [sym_atx_h6_marker] = ACTIONS(1344),
    [sym__thematic_break] = ACTIONS(1344),
    [sym__list_marker_minus] = ACTIONS(1344),
    [sym__list_marker_plus] = ACTIONS(1344),
    [sym__list_marker_star] = ACTIONS(1344),
    [sym__list_marker_parenthesis] = ACTIONS(1344),
    [sym__list_marker_dot] = ACTIONS(1344),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1344),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1344),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1344),
    [sym__blank_line_start] = ACTIONS(1344),
    [sym__html_block_1_start] = ACTIONS(1344),
    [sym__html_block_2_start] = ACTIONS(1344),
    [sym__html_block_3_start] = ACTIONS(1344),
    [sym__html_block_4_start] = ACTIONS(1344),
    [sym__html_block_5_start] = ACTIONS(1344),
    [sym__html_block_6_start] = ACTIONS(1344),
    [sym__html_block_7_start] = ACTIONS(1344),
    [sym__pipe_table_start] = ACTIONS(1344),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1241),
    [anon_sym_RBRACK] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1239),
    [anon_sym_GT] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1239),
    [anon_sym_POUND] = ACTIONS(1239),
    [anon_sym_DOLLAR] = ACTIONS(1239),
    [anon_sym_PERCENT] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1239),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_DOT] = ACTIONS(1239),
    [anon_sym_SLASH] = ACTIONS(1239),
    [anon_sym_COLON] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [anon_sym_QMARK] = ACTIONS(1239),
    [anon_sym_AT] = ACTIONS(1239),
    [anon_sym_BSLASH] = ACTIONS(1239),
    [anon_sym_CARET] = ACTIONS(1239),
    [anon_sym__] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1239),
    [anon_sym_PIPE] = ACTIONS(1239),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [anon_sym_RPAREN] = ACTIONS(1239),
    [aux_sym__word_token1] = ACTIONS(1239),
    [aux_sym__word_token2] = ACTIONS(1239),
    [aux_sym__word_token3] = ACTIONS(1239),
    [sym__whitespace] = ACTIONS(1239),
    [sym__soft_line_ending] = ACTIONS(1239),
    [sym__block_quote_start] = ACTIONS(1239),
    [sym__indented_chunk_start] = ACTIONS(1239),
    [sym_atx_h1_marker] = ACTIONS(1239),
    [sym_atx_h2_marker] = ACTIONS(1239),
    [sym_atx_h3_marker] = ACTIONS(1239),
    [sym_atx_h4_marker] = ACTIONS(1239),
    [sym_atx_h5_marker] = ACTIONS(1239),
    [sym_atx_h6_marker] = ACTIONS(1239),
    [sym__thematic_break] = ACTIONS(1239),
    [sym__list_marker_minus] = ACTIONS(1239),
    [sym__list_marker_plus] = ACTIONS(1239),
    [sym__list_marker_star] = ACTIONS(1239),
    [sym__list_marker_parenthesis] = ACTIONS(1239),
    [sym__list_marker_dot] = ACTIONS(1239),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1239),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1239),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1239),
    [sym__blank_line_start] = ACTIONS(1239),
    [sym__html_block_1_start] = ACTIONS(1239),
    [sym__html_block_2_start] = ACTIONS(1239),
    [sym__html_block_3_start] = ACTIONS(1239),
    [sym__html_block_4_start] = ACTIONS(1239),
    [sym__html_block_5_start] = ACTIONS(1239),
    [sym__html_block_6_start] = ACTIONS(1239),
    [sym__html_block_7_start] = ACTIONS(1239),
    [sym__pipe_table_start] = ACTIONS(1239),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_RBRACK] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_DQUOTE] = ACTIONS(1682),
    [anon_sym_POUND] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PERCENT] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1682),
    [anon_sym_SQUOTE] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1682),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_COLON] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_QMARK] = ACTIONS(1682),
    [anon_sym_AT] = ACTIONS(1682),
    [anon_sym_BSLASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym__] = ACTIONS(1682),
    [anon_sym_BQUOTE] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_RPAREN] = ACTIONS(1682),
    [aux_sym__word_token1] = ACTIONS(1682),
    [aux_sym__word_token2] = ACTIONS(1682),
    [aux_sym__word_token3] = ACTIONS(1682),
    [sym__whitespace] = ACTIONS(1682),
    [sym__soft_line_ending] = ACTIONS(1682),
    [sym__block_quote_start] = ACTIONS(1682),
    [sym__indented_chunk_start] = ACTIONS(1682),
    [sym_atx_h1_marker] = ACTIONS(1682),
    [sym_atx_h2_marker] = ACTIONS(1682),
    [sym_atx_h3_marker] = ACTIONS(1682),
    [sym_atx_h4_marker] = ACTIONS(1682),
    [sym_atx_h5_marker] = ACTIONS(1682),
    [sym_atx_h6_marker] = ACTIONS(1682),
    [sym__thematic_break] = ACTIONS(1682),
    [sym__list_marker_minus] = ACTIONS(1682),
    [sym__list_marker_plus] = ACTIONS(1682),
    [sym__list_marker_star] = ACTIONS(1682),
    [sym__list_marker_parenthesis] = ACTIONS(1682),
    [sym__list_marker_dot] = ACTIONS(1682),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1682),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1682),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1682),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1682),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1682),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1682),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1682),
    [sym__blank_line_start] = ACTIONS(1682),
    [sym__html_block_1_start] = ACTIONS(1682),
    [sym__html_block_2_start] = ACTIONS(1682),
    [sym__html_block_3_start] = ACTIONS(1682),
    [sym__html_block_4_start] = ACTIONS(1682),
    [sym__html_block_5_start] = ACTIONS(1682),
    [sym__html_block_6_start] = ACTIONS(1682),
    [sym__html_block_7_start] = ACTIONS(1682),
    [sym__pipe_table_start] = ACTIONS(1682),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1608),
    [anon_sym_LBRACK] = ACTIONS(1606),
    [anon_sym_RBRACK] = ACTIONS(1608),
    [anon_sym_LT] = ACTIONS(1608),
    [anon_sym_GT] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_DQUOTE] = ACTIONS(1608),
    [anon_sym_POUND] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [anon_sym_PERCENT] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(1608),
    [anon_sym_SQUOTE] = ACTIONS(1608),
    [anon_sym_STAR] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_COMMA] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_DOT] = ACTIONS(1608),
    [anon_sym_SLASH] = ACTIONS(1608),
    [anon_sym_COLON] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1608),
    [anon_sym_EQ] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [anon_sym_BSLASH] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1608),
    [anon_sym__] = ACTIONS(1608),
    [anon_sym_BQUOTE] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1608),
    [anon_sym_PIPE] = ACTIONS(1608),
    [anon_sym_RBRACE] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_LPAREN] = ACTIONS(1608),
    [anon_sym_RPAREN] = ACTIONS(1608),
    [aux_sym__word_token1] = ACTIONS(1608),
    [aux_sym__word_token2] = ACTIONS(1608),
    [aux_sym__word_token3] = ACTIONS(1608),
    [sym__whitespace] = ACTIONS(1608),
    [sym__soft_line_ending] = ACTIONS(1608),
    [sym__block_quote_start] = ACTIONS(1608),
    [sym__indented_chunk_start] = ACTIONS(1608),
    [sym_atx_h1_marker] = ACTIONS(1608),
    [sym_atx_h2_marker] = ACTIONS(1608),
    [sym_atx_h3_marker] = ACTIONS(1608),
    [sym_atx_h4_marker] = ACTIONS(1608),
    [sym_atx_h5_marker] = ACTIONS(1608),
    [sym_atx_h6_marker] = ACTIONS(1608),
    [sym__thematic_break] = ACTIONS(1608),
    [sym__list_marker_minus] = ACTIONS(1608),
    [sym__list_marker_plus] = ACTIONS(1608),
    [sym__list_marker_star] = ACTIONS(1608),
    [sym__list_marker_parenthesis] = ACTIONS(1608),
    [sym__list_marker_dot] = ACTIONS(1608),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1608),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1608),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1608),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1608),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1608),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1608),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1608),
    [sym__blank_line_start] = ACTIONS(1608),
    [sym__html_block_1_start] = ACTIONS(1608),
    [sym__html_block_2_start] = ACTIONS(1608),
    [sym__html_block_3_start] = ACTIONS(1608),
    [sym__html_block_4_start] = ACTIONS(1608),
    [sym__html_block_5_start] = ACTIONS(1608),
    [sym__html_block_6_start] = ACTIONS(1608),
    [sym__html_block_7_start] = ACTIONS(1608),
    [sym__pipe_table_start] = ACTIONS(1608),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_RBRACK] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_DQUOTE] = ACTIONS(1600),
    [anon_sym_POUND] = ACTIONS(1600),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [anon_sym_PERCENT] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [anon_sym_STAR] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_DOT] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_COLON] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1600),
    [anon_sym_EQ] = ACTIONS(1600),
    [anon_sym_QMARK] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [anon_sym_BSLASH] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(1600),
    [anon_sym__] = ACTIONS(1600),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [anon_sym_RPAREN] = ACTIONS(1600),
    [aux_sym__word_token1] = ACTIONS(1600),
    [aux_sym__word_token2] = ACTIONS(1600),
    [aux_sym__word_token3] = ACTIONS(1600),
    [sym__whitespace] = ACTIONS(1600),
    [sym__soft_line_ending] = ACTIONS(1600),
    [sym__block_quote_start] = ACTIONS(1600),
    [sym__indented_chunk_start] = ACTIONS(1600),
    [sym_atx_h1_marker] = ACTIONS(1600),
    [sym_atx_h2_marker] = ACTIONS(1600),
    [sym_atx_h3_marker] = ACTIONS(1600),
    [sym_atx_h4_marker] = ACTIONS(1600),
    [sym_atx_h5_marker] = ACTIONS(1600),
    [sym_atx_h6_marker] = ACTIONS(1600),
    [sym__thematic_break] = ACTIONS(1600),
    [sym__list_marker_minus] = ACTIONS(1600),
    [sym__list_marker_plus] = ACTIONS(1600),
    [sym__list_marker_star] = ACTIONS(1600),
    [sym__list_marker_parenthesis] = ACTIONS(1600),
    [sym__list_marker_dot] = ACTIONS(1600),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1600),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1600),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1600),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1600),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1600),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1600),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1600),
    [sym__blank_line_start] = ACTIONS(1600),
    [sym__html_block_1_start] = ACTIONS(1600),
    [sym__html_block_2_start] = ACTIONS(1600),
    [sym__html_block_3_start] = ACTIONS(1600),
    [sym__html_block_4_start] = ACTIONS(1600),
    [sym__html_block_5_start] = ACTIONS(1600),
    [sym__html_block_6_start] = ACTIONS(1600),
    [sym__html_block_7_start] = ACTIONS(1600),
    [sym__pipe_table_start] = ACTIONS(1600),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(1686),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_RBRACK] = ACTIONS(1686),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [anon_sym_BANG] = ACTIONS(1686),
    [anon_sym_DQUOTE] = ACTIONS(1686),
    [anon_sym_POUND] = ACTIONS(1686),
    [anon_sym_DOLLAR] = ACTIONS(1686),
    [anon_sym_PERCENT] = ACTIONS(1686),
    [anon_sym_AMP] = ACTIONS(1686),
    [anon_sym_SQUOTE] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1686),
    [anon_sym_PLUS] = ACTIONS(1686),
    [anon_sym_COMMA] = ACTIONS(1686),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_DOT] = ACTIONS(1686),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_COLON] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1686),
    [anon_sym_EQ] = ACTIONS(1686),
    [anon_sym_QMARK] = ACTIONS(1686),
    [anon_sym_AT] = ACTIONS(1686),
    [anon_sym_BSLASH] = ACTIONS(1686),
    [anon_sym_CARET] = ACTIONS(1686),
    [anon_sym__] = ACTIONS(1686),
    [anon_sym_BQUOTE] = ACTIONS(1686),
    [anon_sym_LBRACE] = ACTIONS(1686),
    [anon_sym_PIPE] = ACTIONS(1686),
    [anon_sym_RBRACE] = ACTIONS(1686),
    [anon_sym_TILDE] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1686),
    [anon_sym_RPAREN] = ACTIONS(1686),
    [aux_sym__word_token1] = ACTIONS(1686),
    [aux_sym__word_token2] = ACTIONS(1686),
    [aux_sym__word_token3] = ACTIONS(1686),
    [sym__whitespace] = ACTIONS(1686),
    [sym__soft_line_ending] = ACTIONS(1686),
    [sym__block_quote_start] = ACTIONS(1686),
    [sym__indented_chunk_start] = ACTIONS(1686),
    [sym_atx_h1_marker] = ACTIONS(1686),
    [sym_atx_h2_marker] = ACTIONS(1686),
    [sym_atx_h3_marker] = ACTIONS(1686),
    [sym_atx_h4_marker] = ACTIONS(1686),
    [sym_atx_h5_marker] = ACTIONS(1686),
    [sym_atx_h6_marker] = ACTIONS(1686),
    [sym__thematic_break] = ACTIONS(1686),
    [sym__list_marker_minus] = ACTIONS(1686),
    [sym__list_marker_plus] = ACTIONS(1686),
    [sym__list_marker_star] = ACTIONS(1686),
    [sym__list_marker_parenthesis] = ACTIONS(1686),
    [sym__list_marker_dot] = ACTIONS(1686),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1686),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1686),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1686),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1686),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1686),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1686),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1686),
    [sym__blank_line_start] = ACTIONS(1686),
    [sym__html_block_1_start] = ACTIONS(1686),
    [sym__html_block_2_start] = ACTIONS(1686),
    [sym__html_block_3_start] = ACTIONS(1686),
    [sym__html_block_4_start] = ACTIONS(1686),
    [sym__html_block_5_start] = ACTIONS(1686),
    [sym__html_block_6_start] = ACTIONS(1686),
    [sym__html_block_7_start] = ACTIONS(1686),
    [sym__pipe_table_start] = ACTIONS(1686),
  },
  [242] = {
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_RBRACK] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [anon_sym_POUND] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1334),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_COLON] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_EQ] = ACTIONS(1334),
    [anon_sym_QMARK] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_CARET] = ACTIONS(1334),
    [anon_sym__] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_PIPE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_RPAREN] = ACTIONS(1334),
    [aux_sym__word_token1] = ACTIONS(1334),
    [aux_sym__word_token2] = ACTIONS(1334),
    [aux_sym__word_token3] = ACTIONS(1334),
    [sym__whitespace] = ACTIONS(1334),
    [sym__soft_line_ending] = ACTIONS(1334),
    [sym__block_close] = ACTIONS(1334),
    [sym__block_quote_start] = ACTIONS(1334),
    [sym__indented_chunk_start] = ACTIONS(1334),
    [sym_atx_h1_marker] = ACTIONS(1334),
    [sym_atx_h2_marker] = ACTIONS(1334),
    [sym_atx_h3_marker] = ACTIONS(1334),
    [sym_atx_h4_marker] = ACTIONS(1334),
    [sym_atx_h5_marker] = ACTIONS(1334),
    [sym_atx_h6_marker] = ACTIONS(1334),
    [sym__thematic_break] = ACTIONS(1334),
    [sym__list_marker_minus] = ACTIONS(1334),
    [sym__list_marker_plus] = ACTIONS(1334),
    [sym__list_marker_star] = ACTIONS(1334),
    [sym__list_marker_parenthesis] = ACTIONS(1334),
    [sym__list_marker_dot] = ACTIONS(1334),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1334),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1334),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1334),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1334),
    [sym__blank_line_start] = ACTIONS(1334),
    [sym__html_block_1_start] = ACTIONS(1334),
    [sym__html_block_2_start] = ACTIONS(1334),
    [sym__html_block_3_start] = ACTIONS(1334),
    [sym__html_block_4_start] = ACTIONS(1334),
    [sym__html_block_5_start] = ACTIONS(1334),
    [sym__html_block_6_start] = ACTIONS(1334),
    [sym__html_block_7_start] = ACTIONS(1334),
    [sym__pipe_table_start] = ACTIONS(1334),
  },
  [243] = {
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_RBRACK] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [anon_sym_POUND] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [anon_sym_PERCENT] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_COMMA] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_DOT] = ACTIONS(1302),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_COLON] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_QMARK] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym__] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [anon_sym_RPAREN] = ACTIONS(1302),
    [aux_sym__word_token1] = ACTIONS(1302),
    [aux_sym__word_token2] = ACTIONS(1302),
    [aux_sym__word_token3] = ACTIONS(1302),
    [sym__whitespace] = ACTIONS(1302),
    [sym__soft_line_ending] = ACTIONS(1302),
    [sym__block_close] = ACTIONS(1302),
    [sym__block_quote_start] = ACTIONS(1302),
    [sym__indented_chunk_start] = ACTIONS(1302),
    [sym_atx_h1_marker] = ACTIONS(1302),
    [sym_atx_h2_marker] = ACTIONS(1302),
    [sym_atx_h3_marker] = ACTIONS(1302),
    [sym_atx_h4_marker] = ACTIONS(1302),
    [sym_atx_h5_marker] = ACTIONS(1302),
    [sym_atx_h6_marker] = ACTIONS(1302),
    [sym__thematic_break] = ACTIONS(1302),
    [sym__list_marker_minus] = ACTIONS(1302),
    [sym__list_marker_plus] = ACTIONS(1302),
    [sym__list_marker_star] = ACTIONS(1302),
    [sym__list_marker_parenthesis] = ACTIONS(1302),
    [sym__list_marker_dot] = ACTIONS(1302),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1302),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1302),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1302),
    [sym__blank_line_start] = ACTIONS(1302),
    [sym__html_block_1_start] = ACTIONS(1302),
    [sym__html_block_2_start] = ACTIONS(1302),
    [sym__html_block_3_start] = ACTIONS(1302),
    [sym__html_block_4_start] = ACTIONS(1302),
    [sym__html_block_5_start] = ACTIONS(1302),
    [sym__html_block_6_start] = ACTIONS(1302),
    [sym__html_block_7_start] = ACTIONS(1302),
    [sym__pipe_table_start] = ACTIONS(1302),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_RBRACK] = ACTIONS(1690),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_DQUOTE] = ACTIONS(1690),
    [anon_sym_POUND] = ACTIONS(1690),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(1690),
    [anon_sym_SQUOTE] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_COMMA] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_DOT] = ACTIONS(1690),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_COLON] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_EQ] = ACTIONS(1690),
    [anon_sym_QMARK] = ACTIONS(1690),
    [anon_sym_AT] = ACTIONS(1690),
    [anon_sym_BSLASH] = ACTIONS(1690),
    [anon_sym_CARET] = ACTIONS(1690),
    [anon_sym__] = ACTIONS(1690),
    [anon_sym_BQUOTE] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_RPAREN] = ACTIONS(1690),
    [aux_sym__word_token1] = ACTIONS(1690),
    [aux_sym__word_token2] = ACTIONS(1690),
    [aux_sym__word_token3] = ACTIONS(1690),
    [sym__whitespace] = ACTIONS(1690),
    [sym__soft_line_ending] = ACTIONS(1690),
    [sym__block_quote_start] = ACTIONS(1690),
    [sym__indented_chunk_start] = ACTIONS(1690),
    [sym_atx_h1_marker] = ACTIONS(1690),
    [sym_atx_h2_marker] = ACTIONS(1690),
    [sym_atx_h3_marker] = ACTIONS(1690),
    [sym_atx_h4_marker] = ACTIONS(1690),
    [sym_atx_h5_marker] = ACTIONS(1690),
    [sym_atx_h6_marker] = ACTIONS(1690),
    [sym__thematic_break] = ACTIONS(1690),
    [sym__list_marker_minus] = ACTIONS(1690),
    [sym__list_marker_plus] = ACTIONS(1690),
    [sym__list_marker_star] = ACTIONS(1690),
    [sym__list_marker_parenthesis] = ACTIONS(1690),
    [sym__list_marker_dot] = ACTIONS(1690),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1690),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1690),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1690),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1690),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1690),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1690),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1690),
    [sym__blank_line_start] = ACTIONS(1690),
    [sym__html_block_1_start] = ACTIONS(1690),
    [sym__html_block_2_start] = ACTIONS(1690),
    [sym__html_block_3_start] = ACTIONS(1690),
    [sym__html_block_4_start] = ACTIONS(1690),
    [sym__html_block_5_start] = ACTIONS(1690),
    [sym__html_block_6_start] = ACTIONS(1690),
    [sym__html_block_7_start] = ACTIONS(1690),
    [sym__pipe_table_start] = ACTIONS(1690),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_RBRACK] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_BANG] = ACTIONS(1187),
    [anon_sym_DQUOTE] = ACTIONS(1187),
    [anon_sym_POUND] = ACTIONS(1187),
    [anon_sym_DOLLAR] = ACTIONS(1187),
    [anon_sym_PERCENT] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_SQUOTE] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_DOT] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1187),
    [anon_sym_COLON] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_QMARK] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(1187),
    [anon_sym_BSLASH] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1187),
    [anon_sym_BQUOTE] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_RBRACE] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [aux_sym__word_token1] = ACTIONS(1187),
    [aux_sym__word_token2] = ACTIONS(1187),
    [aux_sym__word_token3] = ACTIONS(1187),
    [sym__whitespace] = ACTIONS(1187),
    [sym__soft_line_ending] = ACTIONS(1187),
    [sym__block_quote_start] = ACTIONS(1187),
    [sym__indented_chunk_start] = ACTIONS(1187),
    [sym_atx_h1_marker] = ACTIONS(1187),
    [sym_atx_h2_marker] = ACTIONS(1187),
    [sym_atx_h3_marker] = ACTIONS(1187),
    [sym_atx_h4_marker] = ACTIONS(1187),
    [sym_atx_h5_marker] = ACTIONS(1187),
    [sym_atx_h6_marker] = ACTIONS(1187),
    [sym__thematic_break] = ACTIONS(1187),
    [sym__list_marker_minus] = ACTIONS(1187),
    [sym__list_marker_plus] = ACTIONS(1187),
    [sym__list_marker_star] = ACTIONS(1187),
    [sym__list_marker_parenthesis] = ACTIONS(1187),
    [sym__list_marker_dot] = ACTIONS(1187),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1187),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1187),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1187),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1187),
    [sym__blank_line_start] = ACTIONS(1187),
    [sym__html_block_1_start] = ACTIONS(1187),
    [sym__html_block_2_start] = ACTIONS(1187),
    [sym__html_block_3_start] = ACTIONS(1187),
    [sym__html_block_4_start] = ACTIONS(1187),
    [sym__html_block_5_start] = ACTIONS(1187),
    [sym__html_block_6_start] = ACTIONS(1187),
    [sym__html_block_7_start] = ACTIONS(1187),
    [sym__pipe_table_start] = ACTIONS(1187),
  },
  [246] = {
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_RBRACK] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [anon_sym_POUND] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [anon_sym_PERCENT] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_DOT] = ACTIONS(1362),
    [anon_sym_SLASH] = ACTIONS(1362),
    [anon_sym_COLON] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1362),
    [anon_sym_QMARK] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_CARET] = ACTIONS(1362),
    [anon_sym__] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_PIPE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [anon_sym_RPAREN] = ACTIONS(1362),
    [aux_sym__word_token1] = ACTIONS(1362),
    [aux_sym__word_token2] = ACTIONS(1362),
    [aux_sym__word_token3] = ACTIONS(1362),
    [sym__whitespace] = ACTIONS(1362),
    [sym__soft_line_ending] = ACTIONS(1362),
    [sym__block_close] = ACTIONS(1362),
    [sym__block_quote_start] = ACTIONS(1362),
    [sym__indented_chunk_start] = ACTIONS(1362),
    [sym_atx_h1_marker] = ACTIONS(1362),
    [sym_atx_h2_marker] = ACTIONS(1362),
    [sym_atx_h3_marker] = ACTIONS(1362),
    [sym_atx_h4_marker] = ACTIONS(1362),
    [sym_atx_h5_marker] = ACTIONS(1362),
    [sym_atx_h6_marker] = ACTIONS(1362),
    [sym__thematic_break] = ACTIONS(1362),
    [sym__list_marker_minus] = ACTIONS(1362),
    [sym__list_marker_plus] = ACTIONS(1362),
    [sym__list_marker_star] = ACTIONS(1362),
    [sym__list_marker_parenthesis] = ACTIONS(1362),
    [sym__list_marker_dot] = ACTIONS(1362),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1362),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1362),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1362),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1362),
    [sym__blank_line_start] = ACTIONS(1362),
    [sym__html_block_1_start] = ACTIONS(1362),
    [sym__html_block_2_start] = ACTIONS(1362),
    [sym__html_block_3_start] = ACTIONS(1362),
    [sym__html_block_4_start] = ACTIONS(1362),
    [sym__html_block_5_start] = ACTIONS(1362),
    [sym__html_block_6_start] = ACTIONS(1362),
    [sym__html_block_7_start] = ACTIONS(1362),
    [sym__pipe_table_start] = ACTIONS(1362),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_RBRACK] = ACTIONS(1344),
    [anon_sym_LT] = ACTIONS(1344),
    [anon_sym_GT] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [anon_sym_POUND] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PERCENT] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_COMMA] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_DOT] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1344),
    [anon_sym_COLON] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_EQ] = ACTIONS(1344),
    [anon_sym_QMARK] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_CARET] = ACTIONS(1344),
    [anon_sym__] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [anon_sym_RPAREN] = ACTIONS(1344),
    [aux_sym__word_token1] = ACTIONS(1344),
    [aux_sym__word_token2] = ACTIONS(1344),
    [aux_sym__word_token3] = ACTIONS(1344),
    [sym__whitespace] = ACTIONS(1344),
    [sym__soft_line_ending] = ACTIONS(1344),
    [sym__block_quote_start] = ACTIONS(1344),
    [sym__indented_chunk_start] = ACTIONS(1344),
    [sym_atx_h1_marker] = ACTIONS(1344),
    [sym_atx_h2_marker] = ACTIONS(1344),
    [sym_atx_h3_marker] = ACTIONS(1344),
    [sym_atx_h4_marker] = ACTIONS(1344),
    [sym_atx_h5_marker] = ACTIONS(1344),
    [sym_atx_h6_marker] = ACTIONS(1344),
    [sym__thematic_break] = ACTIONS(1344),
    [sym__list_marker_minus] = ACTIONS(1344),
    [sym__list_marker_plus] = ACTIONS(1344),
    [sym__list_marker_star] = ACTIONS(1344),
    [sym__list_marker_parenthesis] = ACTIONS(1344),
    [sym__list_marker_dot] = ACTIONS(1344),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1344),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1344),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1344),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1344),
    [sym__blank_line_start] = ACTIONS(1344),
    [sym__html_block_1_start] = ACTIONS(1344),
    [sym__html_block_2_start] = ACTIONS(1344),
    [sym__html_block_3_start] = ACTIONS(1344),
    [sym__html_block_4_start] = ACTIONS(1344),
    [sym__html_block_5_start] = ACTIONS(1344),
    [sym__html_block_6_start] = ACTIONS(1344),
    [sym__html_block_7_start] = ACTIONS(1344),
    [sym__pipe_table_start] = ACTIONS(1344),
  },
  [248] = {
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_RBRACK] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_DQUOTE] = ACTIONS(1682),
    [anon_sym_POUND] = ACTIONS(1682),
    [anon_sym_DOLLAR] = ACTIONS(1682),
    [anon_sym_PERCENT] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1682),
    [anon_sym_SQUOTE] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1682),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_COLON] = ACTIONS(1682),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_QMARK] = ACTIONS(1682),
    [anon_sym_AT] = ACTIONS(1682),
    [anon_sym_BSLASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym__] = ACTIONS(1682),
    [anon_sym_BQUOTE] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_RPAREN] = ACTIONS(1682),
    [aux_sym__word_token1] = ACTIONS(1682),
    [aux_sym__word_token2] = ACTIONS(1682),
    [aux_sym__word_token3] = ACTIONS(1682),
    [sym__whitespace] = ACTIONS(1682),
    [sym__soft_line_ending] = ACTIONS(1682),
    [sym__block_close] = ACTIONS(1682),
    [sym__block_quote_start] = ACTIONS(1682),
    [sym__indented_chunk_start] = ACTIONS(1682),
    [sym_atx_h1_marker] = ACTIONS(1682),
    [sym_atx_h2_marker] = ACTIONS(1682),
    [sym_atx_h3_marker] = ACTIONS(1682),
    [sym_atx_h4_marker] = ACTIONS(1682),
    [sym_atx_h5_marker] = ACTIONS(1682),
    [sym_atx_h6_marker] = ACTIONS(1682),
    [sym__thematic_break] = ACTIONS(1682),
    [sym__list_marker_minus] = ACTIONS(1682),
    [sym__list_marker_plus] = ACTIONS(1682),
    [sym__list_marker_star] = ACTIONS(1682),
    [sym__list_marker_parenthesis] = ACTIONS(1682),
    [sym__list_marker_dot] = ACTIONS(1682),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1682),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1682),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1682),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1682),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1682),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1682),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1682),
    [sym__blank_line_start] = ACTIONS(1682),
    [sym__html_block_1_start] = ACTIONS(1682),
    [sym__html_block_2_start] = ACTIONS(1682),
    [sym__html_block_3_start] = ACTIONS(1682),
    [sym__html_block_4_start] = ACTIONS(1682),
    [sym__html_block_5_start] = ACTIONS(1682),
    [sym__html_block_6_start] = ACTIONS(1682),
    [sym__html_block_7_start] = ACTIONS(1682),
    [sym__pipe_table_start] = ACTIONS(1682),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_RBRACK] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1694),
    [anon_sym_DQUOTE] = ACTIONS(1694),
    [anon_sym_POUND] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1694),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_AMP] = ACTIONS(1694),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_DOT] = ACTIONS(1694),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_COLON] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1694),
    [anon_sym_EQ] = ACTIONS(1694),
    [anon_sym_QMARK] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1694),
    [anon_sym_BSLASH] = ACTIONS(1694),
    [anon_sym_CARET] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_BQUOTE] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_PIPE] = ACTIONS(1694),
    [anon_sym_RBRACE] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1694),
    [anon_sym_RPAREN] = ACTIONS(1694),
    [aux_sym__word_token1] = ACTIONS(1694),
    [aux_sym__word_token2] = ACTIONS(1694),
    [aux_sym__word_token3] = ACTIONS(1694),
    [sym__whitespace] = ACTIONS(1694),
    [sym__soft_line_ending] = ACTIONS(1694),
    [sym__block_quote_start] = ACTIONS(1694),
    [sym__indented_chunk_start] = ACTIONS(1694),
    [sym_atx_h1_marker] = ACTIONS(1694),
    [sym_atx_h2_marker] = ACTIONS(1694),
    [sym_atx_h3_marker] = ACTIONS(1694),
    [sym_atx_h4_marker] = ACTIONS(1694),
    [sym_atx_h5_marker] = ACTIONS(1694),
    [sym_atx_h6_marker] = ACTIONS(1694),
    [sym__thematic_break] = ACTIONS(1694),
    [sym__list_marker_minus] = ACTIONS(1694),
    [sym__list_marker_plus] = ACTIONS(1694),
    [sym__list_marker_star] = ACTIONS(1694),
    [sym__list_marker_parenthesis] = ACTIONS(1694),
    [sym__list_marker_dot] = ACTIONS(1694),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1694),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1694),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1694),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1694),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1694),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1694),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1694),
    [sym__blank_line_start] = ACTIONS(1694),
    [sym__html_block_1_start] = ACTIONS(1694),
    [sym__html_block_2_start] = ACTIONS(1694),
    [sym__html_block_3_start] = ACTIONS(1694),
    [sym__html_block_4_start] = ACTIONS(1694),
    [sym__html_block_5_start] = ACTIONS(1694),
    [sym__html_block_6_start] = ACTIONS(1694),
    [sym__html_block_7_start] = ACTIONS(1694),
    [sym__pipe_table_start] = ACTIONS(1694),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [anon_sym_RBRACK] = ACTIONS(1698),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_DQUOTE] = ACTIONS(1698),
    [anon_sym_POUND] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1698),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SQUOTE] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_COMMA] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_DOT] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_COLON] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(1698),
    [anon_sym_QMARK] = ACTIONS(1698),
    [anon_sym_AT] = ACTIONS(1698),
    [anon_sym_BSLASH] = ACTIONS(1698),
    [anon_sym_CARET] = ACTIONS(1698),
    [anon_sym__] = ACTIONS(1698),
    [anon_sym_BQUOTE] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_RPAREN] = ACTIONS(1698),
    [aux_sym__word_token1] = ACTIONS(1698),
    [aux_sym__word_token2] = ACTIONS(1698),
    [aux_sym__word_token3] = ACTIONS(1698),
    [sym__whitespace] = ACTIONS(1698),
    [sym__soft_line_ending] = ACTIONS(1698),
    [sym__block_quote_start] = ACTIONS(1698),
    [sym__indented_chunk_start] = ACTIONS(1698),
    [sym_atx_h1_marker] = ACTIONS(1698),
    [sym_atx_h2_marker] = ACTIONS(1698),
    [sym_atx_h3_marker] = ACTIONS(1698),
    [sym_atx_h4_marker] = ACTIONS(1698),
    [sym_atx_h5_marker] = ACTIONS(1698),
    [sym_atx_h6_marker] = ACTIONS(1698),
    [sym__thematic_break] = ACTIONS(1698),
    [sym__list_marker_minus] = ACTIONS(1698),
    [sym__list_marker_plus] = ACTIONS(1698),
    [sym__list_marker_star] = ACTIONS(1698),
    [sym__list_marker_parenthesis] = ACTIONS(1698),
    [sym__list_marker_dot] = ACTIONS(1698),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1698),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1698),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1698),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1698),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1698),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1698),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1698),
    [sym__blank_line_start] = ACTIONS(1698),
    [sym__html_block_1_start] = ACTIONS(1698),
    [sym__html_block_2_start] = ACTIONS(1698),
    [sym__html_block_3_start] = ACTIONS(1698),
    [sym__html_block_4_start] = ACTIONS(1698),
    [sym__html_block_5_start] = ACTIONS(1698),
    [sym__html_block_6_start] = ACTIONS(1698),
    [sym__html_block_7_start] = ACTIONS(1698),
    [sym__pipe_table_start] = ACTIONS(1698),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [anon_sym_RBRACK] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_DQUOTE] = ACTIONS(1702),
    [anon_sym_POUND] = ACTIONS(1702),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PERCENT] = ACTIONS(1702),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_DOT] = ACTIONS(1702),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_COLON] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(1702),
    [anon_sym_QMARK] = ACTIONS(1702),
    [anon_sym_AT] = ACTIONS(1702),
    [anon_sym_BSLASH] = ACTIONS(1702),
    [anon_sym_CARET] = ACTIONS(1702),
    [anon_sym__] = ACTIONS(1702),
    [anon_sym_BQUOTE] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_RPAREN] = ACTIONS(1702),
    [aux_sym__word_token1] = ACTIONS(1702),
    [aux_sym__word_token2] = ACTIONS(1702),
    [aux_sym__word_token3] = ACTIONS(1702),
    [sym__whitespace] = ACTIONS(1702),
    [sym__soft_line_ending] = ACTIONS(1702),
    [sym__block_quote_start] = ACTIONS(1702),
    [sym__indented_chunk_start] = ACTIONS(1702),
    [sym_atx_h1_marker] = ACTIONS(1702),
    [sym_atx_h2_marker] = ACTIONS(1702),
    [sym_atx_h3_marker] = ACTIONS(1702),
    [sym_atx_h4_marker] = ACTIONS(1702),
    [sym_atx_h5_marker] = ACTIONS(1702),
    [sym_atx_h6_marker] = ACTIONS(1702),
    [sym__thematic_break] = ACTIONS(1702),
    [sym__list_marker_minus] = ACTIONS(1702),
    [sym__list_marker_plus] = ACTIONS(1702),
    [sym__list_marker_star] = ACTIONS(1702),
    [sym__list_marker_parenthesis] = ACTIONS(1702),
    [sym__list_marker_dot] = ACTIONS(1702),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1702),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1702),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1702),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1702),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1702),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1702),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1702),
    [sym__blank_line_start] = ACTIONS(1702),
    [sym__html_block_1_start] = ACTIONS(1702),
    [sym__html_block_2_start] = ACTIONS(1702),
    [sym__html_block_3_start] = ACTIONS(1702),
    [sym__html_block_4_start] = ACTIONS(1702),
    [sym__html_block_5_start] = ACTIONS(1702),
    [sym__html_block_6_start] = ACTIONS(1702),
    [sym__html_block_7_start] = ACTIONS(1702),
    [sym__pipe_table_start] = ACTIONS(1702),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [anon_sym_RBRACK] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_DQUOTE] = ACTIONS(1706),
    [anon_sym_POUND] = ACTIONS(1706),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PERCENT] = ACTIONS(1706),
    [anon_sym_AMP] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1706),
    [anon_sym_PLUS] = ACTIONS(1706),
    [anon_sym_COMMA] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_DOT] = ACTIONS(1706),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_COLON] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_EQ] = ACTIONS(1706),
    [anon_sym_QMARK] = ACTIONS(1706),
    [anon_sym_AT] = ACTIONS(1706),
    [anon_sym_BSLASH] = ACTIONS(1706),
    [anon_sym_CARET] = ACTIONS(1706),
    [anon_sym__] = ACTIONS(1706),
    [anon_sym_BQUOTE] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_RPAREN] = ACTIONS(1706),
    [aux_sym__word_token1] = ACTIONS(1706),
    [aux_sym__word_token2] = ACTIONS(1706),
    [aux_sym__word_token3] = ACTIONS(1706),
    [sym__whitespace] = ACTIONS(1706),
    [sym__soft_line_ending] = ACTIONS(1706),
    [sym__block_quote_start] = ACTIONS(1706),
    [sym__indented_chunk_start] = ACTIONS(1706),
    [sym_atx_h1_marker] = ACTIONS(1706),
    [sym_atx_h2_marker] = ACTIONS(1706),
    [sym_atx_h3_marker] = ACTIONS(1706),
    [sym_atx_h4_marker] = ACTIONS(1706),
    [sym_atx_h5_marker] = ACTIONS(1706),
    [sym_atx_h6_marker] = ACTIONS(1706),
    [sym__thematic_break] = ACTIONS(1706),
    [sym__list_marker_minus] = ACTIONS(1706),
    [sym__list_marker_plus] = ACTIONS(1706),
    [sym__list_marker_star] = ACTIONS(1706),
    [sym__list_marker_parenthesis] = ACTIONS(1706),
    [sym__list_marker_dot] = ACTIONS(1706),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1706),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1706),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1706),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1706),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1706),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1706),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1706),
    [sym__blank_line_start] = ACTIONS(1706),
    [sym__html_block_1_start] = ACTIONS(1706),
    [sym__html_block_2_start] = ACTIONS(1706),
    [sym__html_block_3_start] = ACTIONS(1706),
    [sym__html_block_4_start] = ACTIONS(1706),
    [sym__html_block_5_start] = ACTIONS(1706),
    [sym__html_block_6_start] = ACTIONS(1706),
    [sym__html_block_7_start] = ACTIONS(1706),
    [sym__pipe_table_start] = ACTIONS(1706),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [anon_sym_RBRACK] = ACTIONS(1710),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_DQUOTE] = ACTIONS(1710),
    [anon_sym_POUND] = ACTIONS(1710),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PERCENT] = ACTIONS(1710),
    [anon_sym_AMP] = ACTIONS(1710),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1710),
    [anon_sym_PLUS] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_DOT] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_COLON] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_EQ] = ACTIONS(1710),
    [anon_sym_QMARK] = ACTIONS(1710),
    [anon_sym_AT] = ACTIONS(1710),
    [anon_sym_BSLASH] = ACTIONS(1710),
    [anon_sym_CARET] = ACTIONS(1710),
    [anon_sym__] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_RPAREN] = ACTIONS(1710),
    [aux_sym__word_token1] = ACTIONS(1710),
    [aux_sym__word_token2] = ACTIONS(1710),
    [aux_sym__word_token3] = ACTIONS(1710),
    [sym__whitespace] = ACTIONS(1710),
    [sym__soft_line_ending] = ACTIONS(1710),
    [sym__block_quote_start] = ACTIONS(1710),
    [sym__indented_chunk_start] = ACTIONS(1710),
    [sym_atx_h1_marker] = ACTIONS(1710),
    [sym_atx_h2_marker] = ACTIONS(1710),
    [sym_atx_h3_marker] = ACTIONS(1710),
    [sym_atx_h4_marker] = ACTIONS(1710),
    [sym_atx_h5_marker] = ACTIONS(1710),
    [sym_atx_h6_marker] = ACTIONS(1710),
    [sym__thematic_break] = ACTIONS(1710),
    [sym__list_marker_minus] = ACTIONS(1710),
    [sym__list_marker_plus] = ACTIONS(1710),
    [sym__list_marker_star] = ACTIONS(1710),
    [sym__list_marker_parenthesis] = ACTIONS(1710),
    [sym__list_marker_dot] = ACTIONS(1710),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1710),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1710),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1710),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1710),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1710),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1710),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1710),
    [sym__blank_line_start] = ACTIONS(1710),
    [sym__html_block_1_start] = ACTIONS(1710),
    [sym__html_block_2_start] = ACTIONS(1710),
    [sym__html_block_3_start] = ACTIONS(1710),
    [sym__html_block_4_start] = ACTIONS(1710),
    [sym__html_block_5_start] = ACTIONS(1710),
    [sym__html_block_6_start] = ACTIONS(1710),
    [sym__html_block_7_start] = ACTIONS(1710),
    [sym__pipe_table_start] = ACTIONS(1710),
  },
  [254] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [anon_sym_LBRACK] = ACTIONS(1638),
    [anon_sym_RBRACK] = ACTIONS(1640),
    [anon_sym_LT] = ACTIONS(1640),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_BANG] = ACTIONS(1640),
    [anon_sym_DQUOTE] = ACTIONS(1640),
    [anon_sym_POUND] = ACTIONS(1640),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [anon_sym_PERCENT] = ACTIONS(1640),
    [anon_sym_AMP] = ACTIONS(1640),
    [anon_sym_SQUOTE] = ACTIONS(1640),
    [anon_sym_STAR] = ACTIONS(1640),
    [anon_sym_PLUS] = ACTIONS(1640),
    [anon_sym_COMMA] = ACTIONS(1640),
    [anon_sym_DASH] = ACTIONS(1640),
    [anon_sym_DOT] = ACTIONS(1640),
    [anon_sym_SLASH] = ACTIONS(1640),
    [anon_sym_COLON] = ACTIONS(1640),
    [anon_sym_SEMI] = ACTIONS(1640),
    [anon_sym_EQ] = ACTIONS(1640),
    [anon_sym_QMARK] = ACTIONS(1640),
    [anon_sym_AT] = ACTIONS(1640),
    [anon_sym_BSLASH] = ACTIONS(1640),
    [anon_sym_CARET] = ACTIONS(1640),
    [anon_sym__] = ACTIONS(1640),
    [anon_sym_BQUOTE] = ACTIONS(1640),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_PIPE] = ACTIONS(1640),
    [anon_sym_RBRACE] = ACTIONS(1640),
    [anon_sym_TILDE] = ACTIONS(1640),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [anon_sym_RPAREN] = ACTIONS(1640),
    [aux_sym__word_token1] = ACTIONS(1640),
    [aux_sym__word_token2] = ACTIONS(1640),
    [aux_sym__word_token3] = ACTIONS(1640),
    [sym__whitespace] = ACTIONS(1640),
    [sym__soft_line_ending] = ACTIONS(1640),
    [sym__block_quote_start] = ACTIONS(1640),
    [sym__indented_chunk_start] = ACTIONS(1640),
    [sym_atx_h1_marker] = ACTIONS(1640),
    [sym_atx_h2_marker] = ACTIONS(1640),
    [sym_atx_h3_marker] = ACTIONS(1640),
    [sym_atx_h4_marker] = ACTIONS(1640),
    [sym_atx_h5_marker] = ACTIONS(1640),
    [sym_atx_h6_marker] = ACTIONS(1640),
    [sym__thematic_break] = ACTIONS(1640),
    [sym__list_marker_minus] = ACTIONS(1640),
    [sym__list_marker_plus] = ACTIONS(1640),
    [sym__list_marker_star] = ACTIONS(1640),
    [sym__list_marker_parenthesis] = ACTIONS(1640),
    [sym__list_marker_dot] = ACTIONS(1640),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1640),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1640),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1640),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1640),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1640),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1640),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1640),
    [sym__blank_line_start] = ACTIONS(1640),
    [sym__html_block_1_start] = ACTIONS(1640),
    [sym__html_block_2_start] = ACTIONS(1640),
    [sym__html_block_3_start] = ACTIONS(1640),
    [sym__html_block_4_start] = ACTIONS(1640),
    [sym__html_block_5_start] = ACTIONS(1640),
    [sym__html_block_6_start] = ACTIONS(1640),
    [sym__html_block_7_start] = ACTIONS(1640),
    [sym__pipe_table_start] = ACTIONS(1640),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [anon_sym_RBRACK] = ACTIONS(1714),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_DQUOTE] = ACTIONS(1714),
    [anon_sym_POUND] = ACTIONS(1714),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PERCENT] = ACTIONS(1714),
    [anon_sym_AMP] = ACTIONS(1714),
    [anon_sym_SQUOTE] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1714),
    [anon_sym_COMMA] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1714),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_COLON] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_QMARK] = ACTIONS(1714),
    [anon_sym_AT] = ACTIONS(1714),
    [anon_sym_BSLASH] = ACTIONS(1714),
    [anon_sym_CARET] = ACTIONS(1714),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_BQUOTE] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_RPAREN] = ACTIONS(1714),
    [aux_sym__word_token1] = ACTIONS(1714),
    [aux_sym__word_token2] = ACTIONS(1714),
    [aux_sym__word_token3] = ACTIONS(1714),
    [sym__whitespace] = ACTIONS(1714),
    [sym__soft_line_ending] = ACTIONS(1714),
    [sym__block_quote_start] = ACTIONS(1714),
    [sym__indented_chunk_start] = ACTIONS(1714),
    [sym_atx_h1_marker] = ACTIONS(1714),
    [sym_atx_h2_marker] = ACTIONS(1714),
    [sym_atx_h3_marker] = ACTIONS(1714),
    [sym_atx_h4_marker] = ACTIONS(1714),
    [sym_atx_h5_marker] = ACTIONS(1714),
    [sym_atx_h6_marker] = ACTIONS(1714),
    [sym__thematic_break] = ACTIONS(1714),
    [sym__list_marker_minus] = ACTIONS(1714),
    [sym__list_marker_plus] = ACTIONS(1714),
    [sym__list_marker_star] = ACTIONS(1714),
    [sym__list_marker_parenthesis] = ACTIONS(1714),
    [sym__list_marker_dot] = ACTIONS(1714),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1714),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1714),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1714),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1714),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1714),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1714),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1714),
    [sym__blank_line_start] = ACTIONS(1714),
    [sym__html_block_1_start] = ACTIONS(1714),
    [sym__html_block_2_start] = ACTIONS(1714),
    [sym__html_block_3_start] = ACTIONS(1714),
    [sym__html_block_4_start] = ACTIONS(1714),
    [sym__html_block_5_start] = ACTIONS(1714),
    [sym__html_block_6_start] = ACTIONS(1714),
    [sym__html_block_7_start] = ACTIONS(1714),
    [sym__pipe_table_start] = ACTIONS(1714),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [anon_sym_RBRACK] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_DQUOTE] = ACTIONS(1718),
    [anon_sym_POUND] = ACTIONS(1718),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PERCENT] = ACTIONS(1718),
    [anon_sym_AMP] = ACTIONS(1718),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1718),
    [anon_sym_PLUS] = ACTIONS(1718),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_COLON] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_EQ] = ACTIONS(1718),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_AT] = ACTIONS(1718),
    [anon_sym_BSLASH] = ACTIONS(1718),
    [anon_sym_CARET] = ACTIONS(1718),
    [anon_sym__] = ACTIONS(1718),
    [anon_sym_BQUOTE] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_RPAREN] = ACTIONS(1718),
    [aux_sym__word_token1] = ACTIONS(1718),
    [aux_sym__word_token2] = ACTIONS(1718),
    [aux_sym__word_token3] = ACTIONS(1718),
    [sym__whitespace] = ACTIONS(1718),
    [sym__soft_line_ending] = ACTIONS(1718),
    [sym__block_quote_start] = ACTIONS(1718),
    [sym__indented_chunk_start] = ACTIONS(1718),
    [sym_atx_h1_marker] = ACTIONS(1718),
    [sym_atx_h2_marker] = ACTIONS(1718),
    [sym_atx_h3_marker] = ACTIONS(1718),
    [sym_atx_h4_marker] = ACTIONS(1718),
    [sym_atx_h5_marker] = ACTIONS(1718),
    [sym_atx_h6_marker] = ACTIONS(1718),
    [sym__thematic_break] = ACTIONS(1718),
    [sym__list_marker_minus] = ACTIONS(1718),
    [sym__list_marker_plus] = ACTIONS(1718),
    [sym__list_marker_star] = ACTIONS(1718),
    [sym__list_marker_parenthesis] = ACTIONS(1718),
    [sym__list_marker_dot] = ACTIONS(1718),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1718),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1718),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1718),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1718),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1718),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1718),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1718),
    [sym__blank_line_start] = ACTIONS(1718),
    [sym__html_block_1_start] = ACTIONS(1718),
    [sym__html_block_2_start] = ACTIONS(1718),
    [sym__html_block_3_start] = ACTIONS(1718),
    [sym__html_block_4_start] = ACTIONS(1718),
    [sym__html_block_5_start] = ACTIONS(1718),
    [sym__html_block_6_start] = ACTIONS(1718),
    [sym__html_block_7_start] = ACTIONS(1718),
    [sym__pipe_table_start] = ACTIONS(1718),
  },
  [257] = {
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_RBRACK] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1694),
    [anon_sym_DQUOTE] = ACTIONS(1694),
    [anon_sym_POUND] = ACTIONS(1694),
    [anon_sym_DOLLAR] = ACTIONS(1694),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_AMP] = ACTIONS(1694),
    [anon_sym_SQUOTE] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_DOT] = ACTIONS(1694),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_COLON] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1694),
    [anon_sym_EQ] = ACTIONS(1694),
    [anon_sym_QMARK] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1694),
    [anon_sym_BSLASH] = ACTIONS(1694),
    [anon_sym_CARET] = ACTIONS(1694),
    [anon_sym__] = ACTIONS(1694),
    [anon_sym_BQUOTE] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_PIPE] = ACTIONS(1694),
    [anon_sym_RBRACE] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1694),
    [anon_sym_RPAREN] = ACTIONS(1694),
    [aux_sym__word_token1] = ACTIONS(1694),
    [aux_sym__word_token2] = ACTIONS(1694),
    [aux_sym__word_token3] = ACTIONS(1694),
    [sym__whitespace] = ACTIONS(1694),
    [sym__soft_line_ending] = ACTIONS(1694),
    [sym__block_close] = ACTIONS(1694),
    [sym__block_quote_start] = ACTIONS(1694),
    [sym__indented_chunk_start] = ACTIONS(1694),
    [sym_atx_h1_marker] = ACTIONS(1694),
    [sym_atx_h2_marker] = ACTIONS(1694),
    [sym_atx_h3_marker] = ACTIONS(1694),
    [sym_atx_h4_marker] = ACTIONS(1694),
    [sym_atx_h5_marker] = ACTIONS(1694),
    [sym_atx_h6_marker] = ACTIONS(1694),
    [sym__thematic_break] = ACTIONS(1694),
    [sym__list_marker_minus] = ACTIONS(1694),
    [sym__list_marker_plus] = ACTIONS(1694),
    [sym__list_marker_star] = ACTIONS(1694),
    [sym__list_marker_parenthesis] = ACTIONS(1694),
    [sym__list_marker_dot] = ACTIONS(1694),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1694),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1694),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1694),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1694),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1694),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1694),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1694),
    [sym__blank_line_start] = ACTIONS(1694),
    [sym__html_block_1_start] = ACTIONS(1694),
    [sym__html_block_2_start] = ACTIONS(1694),
    [sym__html_block_3_start] = ACTIONS(1694),
    [sym__html_block_4_start] = ACTIONS(1694),
    [sym__html_block_5_start] = ACTIONS(1694),
    [sym__html_block_6_start] = ACTIONS(1694),
    [sym__html_block_7_start] = ACTIONS(1694),
    [sym__pipe_table_start] = ACTIONS(1694),
  },
  [258] = {
    [anon_sym_LBRACK] = ACTIONS(1700),
    [anon_sym_RBRACK] = ACTIONS(1698),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_GT] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_DQUOTE] = ACTIONS(1698),
    [anon_sym_POUND] = ACTIONS(1698),
    [anon_sym_DOLLAR] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1698),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SQUOTE] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_COMMA] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_DOT] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_COLON] = ACTIONS(1698),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(1698),
    [anon_sym_QMARK] = ACTIONS(1698),
    [anon_sym_AT] = ACTIONS(1698),
    [anon_sym_BSLASH] = ACTIONS(1698),
    [anon_sym_CARET] = ACTIONS(1698),
    [anon_sym__] = ACTIONS(1698),
    [anon_sym_BQUOTE] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_RPAREN] = ACTIONS(1698),
    [aux_sym__word_token1] = ACTIONS(1698),
    [aux_sym__word_token2] = ACTIONS(1698),
    [aux_sym__word_token3] = ACTIONS(1698),
    [sym__whitespace] = ACTIONS(1698),
    [sym__soft_line_ending] = ACTIONS(1698),
    [sym__block_close] = ACTIONS(1698),
    [sym__block_quote_start] = ACTIONS(1698),
    [sym__indented_chunk_start] = ACTIONS(1698),
    [sym_atx_h1_marker] = ACTIONS(1698),
    [sym_atx_h2_marker] = ACTIONS(1698),
    [sym_atx_h3_marker] = ACTIONS(1698),
    [sym_atx_h4_marker] = ACTIONS(1698),
    [sym_atx_h5_marker] = ACTIONS(1698),
    [sym_atx_h6_marker] = ACTIONS(1698),
    [sym__thematic_break] = ACTIONS(1698),
    [sym__list_marker_minus] = ACTIONS(1698),
    [sym__list_marker_plus] = ACTIONS(1698),
    [sym__list_marker_star] = ACTIONS(1698),
    [sym__list_marker_parenthesis] = ACTIONS(1698),
    [sym__list_marker_dot] = ACTIONS(1698),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1698),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1698),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1698),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1698),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1698),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1698),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1698),
    [sym__blank_line_start] = ACTIONS(1698),
    [sym__html_block_1_start] = ACTIONS(1698),
    [sym__html_block_2_start] = ACTIONS(1698),
    [sym__html_block_3_start] = ACTIONS(1698),
    [sym__html_block_4_start] = ACTIONS(1698),
    [sym__html_block_5_start] = ACTIONS(1698),
    [sym__html_block_6_start] = ACTIONS(1698),
    [sym__html_block_7_start] = ACTIONS(1698),
    [sym__pipe_table_start] = ACTIONS(1698),
  },
  [259] = {
    [anon_sym_LBRACK] = ACTIONS(1704),
    [anon_sym_RBRACK] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_DQUOTE] = ACTIONS(1702),
    [anon_sym_POUND] = ACTIONS(1702),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [anon_sym_PERCENT] = ACTIONS(1702),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_DOT] = ACTIONS(1702),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_COLON] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(1702),
    [anon_sym_QMARK] = ACTIONS(1702),
    [anon_sym_AT] = ACTIONS(1702),
    [anon_sym_BSLASH] = ACTIONS(1702),
    [anon_sym_CARET] = ACTIONS(1702),
    [anon_sym__] = ACTIONS(1702),
    [anon_sym_BQUOTE] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_RPAREN] = ACTIONS(1702),
    [aux_sym__word_token1] = ACTIONS(1702),
    [aux_sym__word_token2] = ACTIONS(1702),
    [aux_sym__word_token3] = ACTIONS(1702),
    [sym__whitespace] = ACTIONS(1702),
    [sym__soft_line_ending] = ACTIONS(1702),
    [sym__block_close] = ACTIONS(1702),
    [sym__block_quote_start] = ACTIONS(1702),
    [sym__indented_chunk_start] = ACTIONS(1702),
    [sym_atx_h1_marker] = ACTIONS(1702),
    [sym_atx_h2_marker] = ACTIONS(1702),
    [sym_atx_h3_marker] = ACTIONS(1702),
    [sym_atx_h4_marker] = ACTIONS(1702),
    [sym_atx_h5_marker] = ACTIONS(1702),
    [sym_atx_h6_marker] = ACTIONS(1702),
    [sym__thematic_break] = ACTIONS(1702),
    [sym__list_marker_minus] = ACTIONS(1702),
    [sym__list_marker_plus] = ACTIONS(1702),
    [sym__list_marker_star] = ACTIONS(1702),
    [sym__list_marker_parenthesis] = ACTIONS(1702),
    [sym__list_marker_dot] = ACTIONS(1702),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1702),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1702),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1702),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1702),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1702),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1702),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1702),
    [sym__blank_line_start] = ACTIONS(1702),
    [sym__html_block_1_start] = ACTIONS(1702),
    [sym__html_block_2_start] = ACTIONS(1702),
    [sym__html_block_3_start] = ACTIONS(1702),
    [sym__html_block_4_start] = ACTIONS(1702),
    [sym__html_block_5_start] = ACTIONS(1702),
    [sym__html_block_6_start] = ACTIONS(1702),
    [sym__html_block_7_start] = ACTIONS(1702),
    [sym__pipe_table_start] = ACTIONS(1702),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_RBRACK] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_DQUOTE] = ACTIONS(1722),
    [anon_sym_POUND] = ACTIONS(1722),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PERCENT] = ACTIONS(1722),
    [anon_sym_AMP] = ACTIONS(1722),
    [anon_sym_SQUOTE] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1722),
    [anon_sym_PLUS] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_DOT] = ACTIONS(1722),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_COLON] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_EQ] = ACTIONS(1722),
    [anon_sym_QMARK] = ACTIONS(1722),
    [anon_sym_AT] = ACTIONS(1722),
    [anon_sym_BSLASH] = ACTIONS(1722),
    [anon_sym_CARET] = ACTIONS(1722),
    [anon_sym__] = ACTIONS(1722),
    [anon_sym_BQUOTE] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_RPAREN] = ACTIONS(1722),
    [aux_sym__word_token1] = ACTIONS(1722),
    [aux_sym__word_token2] = ACTIONS(1722),
    [aux_sym__word_token3] = ACTIONS(1722),
    [sym__whitespace] = ACTIONS(1722),
    [sym__soft_line_ending] = ACTIONS(1722),
    [sym__block_quote_start] = ACTIONS(1722),
    [sym__indented_chunk_start] = ACTIONS(1722),
    [sym_atx_h1_marker] = ACTIONS(1722),
    [sym_atx_h2_marker] = ACTIONS(1722),
    [sym_atx_h3_marker] = ACTIONS(1722),
    [sym_atx_h4_marker] = ACTIONS(1722),
    [sym_atx_h5_marker] = ACTIONS(1722),
    [sym_atx_h6_marker] = ACTIONS(1722),
    [sym__thematic_break] = ACTIONS(1722),
    [sym__list_marker_minus] = ACTIONS(1722),
    [sym__list_marker_plus] = ACTIONS(1722),
    [sym__list_marker_star] = ACTIONS(1722),
    [sym__list_marker_parenthesis] = ACTIONS(1722),
    [sym__list_marker_dot] = ACTIONS(1722),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1722),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1722),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1722),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1722),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1722),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1722),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1722),
    [sym__blank_line_start] = ACTIONS(1722),
    [sym__html_block_1_start] = ACTIONS(1722),
    [sym__html_block_2_start] = ACTIONS(1722),
    [sym__html_block_3_start] = ACTIONS(1722),
    [sym__html_block_4_start] = ACTIONS(1722),
    [sym__html_block_5_start] = ACTIONS(1722),
    [sym__html_block_6_start] = ACTIONS(1722),
    [sym__html_block_7_start] = ACTIONS(1722),
    [sym__pipe_table_start] = ACTIONS(1722),
  },
  [261] = {
    [anon_sym_LBRACK] = ACTIONS(1708),
    [anon_sym_RBRACK] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_GT] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_DQUOTE] = ACTIONS(1706),
    [anon_sym_POUND] = ACTIONS(1706),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [anon_sym_PERCENT] = ACTIONS(1706),
    [anon_sym_AMP] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1706),
    [anon_sym_PLUS] = ACTIONS(1706),
    [anon_sym_COMMA] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_DOT] = ACTIONS(1706),
    [anon_sym_SLASH] = ACTIONS(1706),
    [anon_sym_COLON] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_EQ] = ACTIONS(1706),
    [anon_sym_QMARK] = ACTIONS(1706),
    [anon_sym_AT] = ACTIONS(1706),
    [anon_sym_BSLASH] = ACTIONS(1706),
    [anon_sym_CARET] = ACTIONS(1706),
    [anon_sym__] = ACTIONS(1706),
    [anon_sym_BQUOTE] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_RPAREN] = ACTIONS(1706),
    [aux_sym__word_token1] = ACTIONS(1706),
    [aux_sym__word_token2] = ACTIONS(1706),
    [aux_sym__word_token3] = ACTIONS(1706),
    [sym__whitespace] = ACTIONS(1706),
    [sym__soft_line_ending] = ACTIONS(1706),
    [sym__block_close] = ACTIONS(1706),
    [sym__block_quote_start] = ACTIONS(1706),
    [sym__indented_chunk_start] = ACTIONS(1706),
    [sym_atx_h1_marker] = ACTIONS(1706),
    [sym_atx_h2_marker] = ACTIONS(1706),
    [sym_atx_h3_marker] = ACTIONS(1706),
    [sym_atx_h4_marker] = ACTIONS(1706),
    [sym_atx_h5_marker] = ACTIONS(1706),
    [sym_atx_h6_marker] = ACTIONS(1706),
    [sym__thematic_break] = ACTIONS(1706),
    [sym__list_marker_minus] = ACTIONS(1706),
    [sym__list_marker_plus] = ACTIONS(1706),
    [sym__list_marker_star] = ACTIONS(1706),
    [sym__list_marker_parenthesis] = ACTIONS(1706),
    [sym__list_marker_dot] = ACTIONS(1706),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1706),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1706),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1706),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1706),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1706),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1706),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1706),
    [sym__blank_line_start] = ACTIONS(1706),
    [sym__html_block_1_start] = ACTIONS(1706),
    [sym__html_block_2_start] = ACTIONS(1706),
    [sym__html_block_3_start] = ACTIONS(1706),
    [sym__html_block_4_start] = ACTIONS(1706),
    [sym__html_block_5_start] = ACTIONS(1706),
    [sym__html_block_6_start] = ACTIONS(1706),
    [sym__html_block_7_start] = ACTIONS(1706),
    [sym__pipe_table_start] = ACTIONS(1706),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_RBRACK] = ACTIONS(1169),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_POUND] = ACTIONS(1169),
    [anon_sym_DOLLAR] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_EQ] = ACTIONS(1169),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_AT] = ACTIONS(1169),
    [anon_sym_BSLASH] = ACTIONS(1169),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym__] = ACTIONS(1169),
    [anon_sym_BQUOTE] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1169),
    [anon_sym_RPAREN] = ACTIONS(1169),
    [aux_sym__word_token1] = ACTIONS(1169),
    [aux_sym__word_token2] = ACTIONS(1169),
    [aux_sym__word_token3] = ACTIONS(1169),
    [sym__whitespace] = ACTIONS(1169),
    [sym__soft_line_ending] = ACTIONS(1169),
    [sym__block_quote_start] = ACTIONS(1169),
    [sym__indented_chunk_start] = ACTIONS(1169),
    [sym_atx_h1_marker] = ACTIONS(1169),
    [sym_atx_h2_marker] = ACTIONS(1169),
    [sym_atx_h3_marker] = ACTIONS(1169),
    [sym_atx_h4_marker] = ACTIONS(1169),
    [sym_atx_h5_marker] = ACTIONS(1169),
    [sym_atx_h6_marker] = ACTIONS(1169),
    [sym__thematic_break] = ACTIONS(1169),
    [sym__list_marker_minus] = ACTIONS(1169),
    [sym__list_marker_plus] = ACTIONS(1169),
    [sym__list_marker_star] = ACTIONS(1169),
    [sym__list_marker_parenthesis] = ACTIONS(1169),
    [sym__list_marker_dot] = ACTIONS(1169),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1169),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1169),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1169),
    [sym__blank_line_start] = ACTIONS(1169),
    [sym__html_block_1_start] = ACTIONS(1169),
    [sym__html_block_2_start] = ACTIONS(1169),
    [sym__html_block_3_start] = ACTIONS(1169),
    [sym__html_block_4_start] = ACTIONS(1169),
    [sym__html_block_5_start] = ACTIONS(1169),
    [sym__html_block_6_start] = ACTIONS(1169),
    [sym__html_block_7_start] = ACTIONS(1169),
    [sym__pipe_table_start] = ACTIONS(1169),
  },
  [263] = {
    [anon_sym_LBRACK] = ACTIONS(1712),
    [anon_sym_RBRACK] = ACTIONS(1710),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_GT] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_DQUOTE] = ACTIONS(1710),
    [anon_sym_POUND] = ACTIONS(1710),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [anon_sym_PERCENT] = ACTIONS(1710),
    [anon_sym_AMP] = ACTIONS(1710),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1710),
    [anon_sym_PLUS] = ACTIONS(1710),
    [anon_sym_COMMA] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_DOT] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1710),
    [anon_sym_COLON] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_EQ] = ACTIONS(1710),
    [anon_sym_QMARK] = ACTIONS(1710),
    [anon_sym_AT] = ACTIONS(1710),
    [anon_sym_BSLASH] = ACTIONS(1710),
    [anon_sym_CARET] = ACTIONS(1710),
    [anon_sym__] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_RPAREN] = ACTIONS(1710),
    [aux_sym__word_token1] = ACTIONS(1710),
    [aux_sym__word_token2] = ACTIONS(1710),
    [aux_sym__word_token3] = ACTIONS(1710),
    [sym__whitespace] = ACTIONS(1710),
    [sym__soft_line_ending] = ACTIONS(1710),
    [sym__block_close] = ACTIONS(1710),
    [sym__block_quote_start] = ACTIONS(1710),
    [sym__indented_chunk_start] = ACTIONS(1710),
    [sym_atx_h1_marker] = ACTIONS(1710),
    [sym_atx_h2_marker] = ACTIONS(1710),
    [sym_atx_h3_marker] = ACTIONS(1710),
    [sym_atx_h4_marker] = ACTIONS(1710),
    [sym_atx_h5_marker] = ACTIONS(1710),
    [sym_atx_h6_marker] = ACTIONS(1710),
    [sym__thematic_break] = ACTIONS(1710),
    [sym__list_marker_minus] = ACTIONS(1710),
    [sym__list_marker_plus] = ACTIONS(1710),
    [sym__list_marker_star] = ACTIONS(1710),
    [sym__list_marker_parenthesis] = ACTIONS(1710),
    [sym__list_marker_dot] = ACTIONS(1710),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1710),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1710),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1710),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1710),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1710),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1710),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1710),
    [sym__blank_line_start] = ACTIONS(1710),
    [sym__html_block_1_start] = ACTIONS(1710),
    [sym__html_block_2_start] = ACTIONS(1710),
    [sym__html_block_3_start] = ACTIONS(1710),
    [sym__html_block_4_start] = ACTIONS(1710),
    [sym__html_block_5_start] = ACTIONS(1710),
    [sym__html_block_6_start] = ACTIONS(1710),
    [sym__html_block_7_start] = ACTIONS(1710),
    [sym__pipe_table_start] = ACTIONS(1710),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_RBRACK] = ACTIONS(1676),
    [anon_sym_LT] = ACTIONS(1676),
    [anon_sym_GT] = ACTIONS(1676),
    [anon_sym_BANG] = ACTIONS(1676),
    [anon_sym_DQUOTE] = ACTIONS(1676),
    [anon_sym_POUND] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym_SQUOTE] = ACTIONS(1676),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1676),
    [anon_sym_DOT] = ACTIONS(1676),
    [anon_sym_SLASH] = ACTIONS(1676),
    [anon_sym_COLON] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1676),
    [anon_sym_EQ] = ACTIONS(1676),
    [anon_sym_QMARK] = ACTIONS(1676),
    [anon_sym_AT] = ACTIONS(1676),
    [anon_sym_BSLASH] = ACTIONS(1676),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym__] = ACTIONS(1676),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_PIPE] = ACTIONS(1676),
    [anon_sym_RBRACE] = ACTIONS(1676),
    [anon_sym_TILDE] = ACTIONS(1676),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [anon_sym_RPAREN] = ACTIONS(1676),
    [aux_sym__word_token1] = ACTIONS(1676),
    [aux_sym__word_token2] = ACTIONS(1676),
    [aux_sym__word_token3] = ACTIONS(1676),
    [sym__whitespace] = ACTIONS(1676),
    [sym__soft_line_ending] = ACTIONS(1676),
    [sym__block_quote_start] = ACTIONS(1676),
    [sym__indented_chunk_start] = ACTIONS(1676),
    [sym_atx_h1_marker] = ACTIONS(1676),
    [sym_atx_h2_marker] = ACTIONS(1676),
    [sym_atx_h3_marker] = ACTIONS(1676),
    [sym_atx_h4_marker] = ACTIONS(1676),
    [sym_atx_h5_marker] = ACTIONS(1676),
    [sym_atx_h6_marker] = ACTIONS(1676),
    [sym__thematic_break] = ACTIONS(1676),
    [sym__list_marker_minus] = ACTIONS(1676),
    [sym__list_marker_plus] = ACTIONS(1676),
    [sym__list_marker_star] = ACTIONS(1676),
    [sym__list_marker_parenthesis] = ACTIONS(1676),
    [sym__list_marker_dot] = ACTIONS(1676),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1676),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1676),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1676),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1676),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1676),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1676),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1676),
    [sym__blank_line_start] = ACTIONS(1676),
    [sym__html_block_1_start] = ACTIONS(1676),
    [sym__html_block_2_start] = ACTIONS(1676),
    [sym__html_block_3_start] = ACTIONS(1676),
    [sym__html_block_4_start] = ACTIONS(1676),
    [sym__html_block_5_start] = ACTIONS(1676),
    [sym__html_block_6_start] = ACTIONS(1676),
    [sym__html_block_7_start] = ACTIONS(1676),
    [sym__pipe_table_start] = ACTIONS(1676),
  },
  [265] = {
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_RBRACK] = ACTIONS(1554),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1554),
    [anon_sym_DQUOTE] = ACTIONS(1554),
    [anon_sym_POUND] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1554),
    [anon_sym_PERCENT] = ACTIONS(1554),
    [anon_sym_AMP] = ACTIONS(1554),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_STAR] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_COMMA] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_DOT] = ACTIONS(1554),
    [anon_sym_SLASH] = ACTIONS(1554),
    [anon_sym_COLON] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1554),
    [anon_sym_EQ] = ACTIONS(1554),
    [anon_sym_QMARK] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(1554),
    [anon_sym_BSLASH] = ACTIONS(1554),
    [anon_sym_CARET] = ACTIONS(1554),
    [anon_sym__] = ACTIONS(1554),
    [anon_sym_BQUOTE] = ACTIONS(1554),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_PIPE] = ACTIONS(1554),
    [anon_sym_RBRACE] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [anon_sym_RPAREN] = ACTIONS(1554),
    [aux_sym__word_token1] = ACTIONS(1554),
    [aux_sym__word_token2] = ACTIONS(1554),
    [aux_sym__word_token3] = ACTIONS(1554),
    [sym__whitespace] = ACTIONS(1554),
    [sym__soft_line_ending] = ACTIONS(1554),
    [sym__block_close] = ACTIONS(1554),
    [sym__block_quote_start] = ACTIONS(1554),
    [sym__indented_chunk_start] = ACTIONS(1554),
    [sym_atx_h1_marker] = ACTIONS(1554),
    [sym_atx_h2_marker] = ACTIONS(1554),
    [sym_atx_h3_marker] = ACTIONS(1554),
    [sym_atx_h4_marker] = ACTIONS(1554),
    [sym_atx_h5_marker] = ACTIONS(1554),
    [sym_atx_h6_marker] = ACTIONS(1554),
    [sym__thematic_break] = ACTIONS(1554),
    [sym__list_marker_minus] = ACTIONS(1554),
    [sym__list_marker_plus] = ACTIONS(1554),
    [sym__list_marker_star] = ACTIONS(1554),
    [sym__list_marker_parenthesis] = ACTIONS(1554),
    [sym__list_marker_dot] = ACTIONS(1554),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1554),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1554),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1554),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1554),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1554),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1554),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1554),
    [sym__blank_line_start] = ACTIONS(1554),
    [sym__html_block_1_start] = ACTIONS(1554),
    [sym__html_block_2_start] = ACTIONS(1554),
    [sym__html_block_3_start] = ACTIONS(1554),
    [sym__html_block_4_start] = ACTIONS(1554),
    [sym__html_block_5_start] = ACTIONS(1554),
    [sym__html_block_6_start] = ACTIONS(1554),
    [sym__html_block_7_start] = ACTIONS(1554),
    [sym__pipe_table_start] = ACTIONS(1554),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1662),
    [anon_sym_RBRACK] = ACTIONS(1664),
    [anon_sym_LT] = ACTIONS(1664),
    [anon_sym_GT] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_DQUOTE] = ACTIONS(1664),
    [anon_sym_POUND] = ACTIONS(1664),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1664),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SQUOTE] = ACTIONS(1664),
    [anon_sym_STAR] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(1664),
    [anon_sym_COMMA] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1664),
    [anon_sym_DOT] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_COLON] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [anon_sym_EQ] = ACTIONS(1664),
    [anon_sym_QMARK] = ACTIONS(1664),
    [anon_sym_AT] = ACTIONS(1664),
    [anon_sym_BSLASH] = ACTIONS(1664),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym__] = ACTIONS(1664),
    [anon_sym_BQUOTE] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_PIPE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_RPAREN] = ACTIONS(1664),
    [aux_sym__word_token1] = ACTIONS(1664),
    [aux_sym__word_token2] = ACTIONS(1664),
    [aux_sym__word_token3] = ACTIONS(1664),
    [sym__whitespace] = ACTIONS(1664),
    [sym__soft_line_ending] = ACTIONS(1664),
    [sym__block_quote_start] = ACTIONS(1664),
    [sym__indented_chunk_start] = ACTIONS(1664),
    [sym_atx_h1_marker] = ACTIONS(1664),
    [sym_atx_h2_marker] = ACTIONS(1664),
    [sym_atx_h3_marker] = ACTIONS(1664),
    [sym_atx_h4_marker] = ACTIONS(1664),
    [sym_atx_h5_marker] = ACTIONS(1664),
    [sym_atx_h6_marker] = ACTIONS(1664),
    [sym__thematic_break] = ACTIONS(1664),
    [sym__list_marker_minus] = ACTIONS(1664),
    [sym__list_marker_plus] = ACTIONS(1664),
    [sym__list_marker_star] = ACTIONS(1664),
    [sym__list_marker_parenthesis] = ACTIONS(1664),
    [sym__list_marker_dot] = ACTIONS(1664),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1664),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1664),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1664),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1664),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1664),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1664),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1664),
    [sym__blank_line_start] = ACTIONS(1664),
    [sym__html_block_1_start] = ACTIONS(1664),
    [sym__html_block_2_start] = ACTIONS(1664),
    [sym__html_block_3_start] = ACTIONS(1664),
    [sym__html_block_4_start] = ACTIONS(1664),
    [sym__html_block_5_start] = ACTIONS(1664),
    [sym__html_block_6_start] = ACTIONS(1664),
    [sym__html_block_7_start] = ACTIONS(1664),
    [sym__pipe_table_start] = ACTIONS(1664),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_RBRACK] = ACTIONS(1656),
    [anon_sym_LT] = ACTIONS(1656),
    [anon_sym_GT] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_DQUOTE] = ACTIONS(1656),
    [anon_sym_POUND] = ACTIONS(1656),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_PERCENT] = ACTIONS(1656),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [anon_sym_STAR] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1656),
    [anon_sym_DOT] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1656),
    [anon_sym_COLON] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [anon_sym_EQ] = ACTIONS(1656),
    [anon_sym_QMARK] = ACTIONS(1656),
    [anon_sym_AT] = ACTIONS(1656),
    [anon_sym_BSLASH] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1656),
    [anon_sym_BQUOTE] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [anon_sym_RPAREN] = ACTIONS(1656),
    [aux_sym__word_token1] = ACTIONS(1656),
    [aux_sym__word_token2] = ACTIONS(1656),
    [aux_sym__word_token3] = ACTIONS(1656),
    [sym__whitespace] = ACTIONS(1656),
    [sym__soft_line_ending] = ACTIONS(1656),
    [sym__block_quote_start] = ACTIONS(1656),
    [sym__indented_chunk_start] = ACTIONS(1656),
    [sym_atx_h1_marker] = ACTIONS(1656),
    [sym_atx_h2_marker] = ACTIONS(1656),
    [sym_atx_h3_marker] = ACTIONS(1656),
    [sym_atx_h4_marker] = ACTIONS(1656),
    [sym_atx_h5_marker] = ACTIONS(1656),
    [sym_atx_h6_marker] = ACTIONS(1656),
    [sym__thematic_break] = ACTIONS(1656),
    [sym__list_marker_minus] = ACTIONS(1656),
    [sym__list_marker_plus] = ACTIONS(1656),
    [sym__list_marker_star] = ACTIONS(1656),
    [sym__list_marker_parenthesis] = ACTIONS(1656),
    [sym__list_marker_dot] = ACTIONS(1656),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1656),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1656),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1656),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1656),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1656),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1656),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1656),
    [sym__blank_line_start] = ACTIONS(1656),
    [sym__html_block_1_start] = ACTIONS(1656),
    [sym__html_block_2_start] = ACTIONS(1656),
    [sym__html_block_3_start] = ACTIONS(1656),
    [sym__html_block_4_start] = ACTIONS(1656),
    [sym__html_block_5_start] = ACTIONS(1656),
    [sym__html_block_6_start] = ACTIONS(1656),
    [sym__html_block_7_start] = ACTIONS(1656),
    [sym__pipe_table_start] = ACTIONS(1656),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1646),
    [anon_sym_RBRACK] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1648),
    [anon_sym_GT] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_DQUOTE] = ACTIONS(1648),
    [anon_sym_POUND] = ACTIONS(1648),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [anon_sym_PERCENT] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_SQUOTE] = ACTIONS(1648),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1648),
    [anon_sym_DOT] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1648),
    [anon_sym_COLON] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(1648),
    [anon_sym_QMARK] = ACTIONS(1648),
    [anon_sym_AT] = ACTIONS(1648),
    [anon_sym_BSLASH] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym__] = ACTIONS(1648),
    [anon_sym_BQUOTE] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_RPAREN] = ACTIONS(1648),
    [aux_sym__word_token1] = ACTIONS(1648),
    [aux_sym__word_token2] = ACTIONS(1648),
    [aux_sym__word_token3] = ACTIONS(1648),
    [sym__whitespace] = ACTIONS(1648),
    [sym__soft_line_ending] = ACTIONS(1648),
    [sym__block_quote_start] = ACTIONS(1648),
    [sym__indented_chunk_start] = ACTIONS(1648),
    [sym_atx_h1_marker] = ACTIONS(1648),
    [sym_atx_h2_marker] = ACTIONS(1648),
    [sym_atx_h3_marker] = ACTIONS(1648),
    [sym_atx_h4_marker] = ACTIONS(1648),
    [sym_atx_h5_marker] = ACTIONS(1648),
    [sym_atx_h6_marker] = ACTIONS(1648),
    [sym__thematic_break] = ACTIONS(1648),
    [sym__list_marker_minus] = ACTIONS(1648),
    [sym__list_marker_plus] = ACTIONS(1648),
    [sym__list_marker_star] = ACTIONS(1648),
    [sym__list_marker_parenthesis] = ACTIONS(1648),
    [sym__list_marker_dot] = ACTIONS(1648),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1648),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1648),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1648),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1648),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1648),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1648),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1648),
    [sym__blank_line_start] = ACTIONS(1648),
    [sym__html_block_1_start] = ACTIONS(1648),
    [sym__html_block_2_start] = ACTIONS(1648),
    [sym__html_block_3_start] = ACTIONS(1648),
    [sym__html_block_4_start] = ACTIONS(1648),
    [sym__html_block_5_start] = ACTIONS(1648),
    [sym__html_block_6_start] = ACTIONS(1648),
    [sym__html_block_7_start] = ACTIONS(1648),
    [sym__pipe_table_start] = ACTIONS(1648),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_RBRACK] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [anon_sym_POUND] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_COLON] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_QMARK] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym__] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_RPAREN] = ACTIONS(1348),
    [aux_sym__word_token1] = ACTIONS(1348),
    [aux_sym__word_token2] = ACTIONS(1348),
    [aux_sym__word_token3] = ACTIONS(1348),
    [sym__whitespace] = ACTIONS(1348),
    [sym__soft_line_ending] = ACTIONS(1348),
    [sym__block_quote_start] = ACTIONS(1348),
    [sym__indented_chunk_start] = ACTIONS(1348),
    [sym_atx_h1_marker] = ACTIONS(1348),
    [sym_atx_h2_marker] = ACTIONS(1348),
    [sym_atx_h3_marker] = ACTIONS(1348),
    [sym_atx_h4_marker] = ACTIONS(1348),
    [sym_atx_h5_marker] = ACTIONS(1348),
    [sym_atx_h6_marker] = ACTIONS(1348),
    [sym__thematic_break] = ACTIONS(1348),
    [sym__list_marker_minus] = ACTIONS(1348),
    [sym__list_marker_plus] = ACTIONS(1348),
    [sym__list_marker_star] = ACTIONS(1348),
    [sym__list_marker_parenthesis] = ACTIONS(1348),
    [sym__list_marker_dot] = ACTIONS(1348),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1348),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1348),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1348),
    [sym__blank_line_start] = ACTIONS(1348),
    [sym__html_block_1_start] = ACTIONS(1348),
    [sym__html_block_2_start] = ACTIONS(1348),
    [sym__html_block_3_start] = ACTIONS(1348),
    [sym__html_block_4_start] = ACTIONS(1348),
    [sym__html_block_5_start] = ACTIONS(1348),
    [sym__html_block_6_start] = ACTIONS(1348),
    [sym__html_block_7_start] = ACTIONS(1348),
    [sym__pipe_table_start] = ACTIONS(1348),
  },
  [270] = {
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_RBRACK] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [anon_sym_POUND] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [anon_sym_PERCENT] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_DOT] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [anon_sym__] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_RPAREN] = ACTIONS(1472),
    [aux_sym__word_token1] = ACTIONS(1472),
    [aux_sym__word_token2] = ACTIONS(1472),
    [aux_sym__word_token3] = ACTIONS(1472),
    [sym__whitespace] = ACTIONS(1472),
    [sym__soft_line_ending] = ACTIONS(1472),
    [sym__block_close] = ACTIONS(1472),
    [sym__block_quote_start] = ACTIONS(1472),
    [sym__indented_chunk_start] = ACTIONS(1472),
    [sym_atx_h1_marker] = ACTIONS(1472),
    [sym_atx_h2_marker] = ACTIONS(1472),
    [sym_atx_h3_marker] = ACTIONS(1472),
    [sym_atx_h4_marker] = ACTIONS(1472),
    [sym_atx_h5_marker] = ACTIONS(1472),
    [sym_atx_h6_marker] = ACTIONS(1472),
    [sym__thematic_break] = ACTIONS(1472),
    [sym__list_marker_minus] = ACTIONS(1472),
    [sym__list_marker_plus] = ACTIONS(1472),
    [sym__list_marker_star] = ACTIONS(1472),
    [sym__list_marker_parenthesis] = ACTIONS(1472),
    [sym__list_marker_dot] = ACTIONS(1472),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1472),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1472),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1472),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1472),
    [sym__blank_line_start] = ACTIONS(1472),
    [sym__html_block_1_start] = ACTIONS(1472),
    [sym__html_block_2_start] = ACTIONS(1472),
    [sym__html_block_3_start] = ACTIONS(1472),
    [sym__html_block_4_start] = ACTIONS(1472),
    [sym__html_block_5_start] = ACTIONS(1472),
    [sym__html_block_6_start] = ACTIONS(1472),
    [sym__html_block_7_start] = ACTIONS(1472),
    [sym__pipe_table_start] = ACTIONS(1472),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(1726),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_RBRACK] = ACTIONS(1726),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_DQUOTE] = ACTIONS(1726),
    [anon_sym_POUND] = ACTIONS(1726),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PERCENT] = ACTIONS(1726),
    [anon_sym_AMP] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_PLUS] = ACTIONS(1726),
    [anon_sym_COMMA] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_DOT] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_COLON] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_EQ] = ACTIONS(1726),
    [anon_sym_QMARK] = ACTIONS(1726),
    [anon_sym_AT] = ACTIONS(1726),
    [anon_sym_BSLASH] = ACTIONS(1726),
    [anon_sym_CARET] = ACTIONS(1726),
    [anon_sym__] = ACTIONS(1726),
    [anon_sym_BQUOTE] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_RPAREN] = ACTIONS(1726),
    [aux_sym__word_token1] = ACTIONS(1726),
    [aux_sym__word_token2] = ACTIONS(1726),
    [aux_sym__word_token3] = ACTIONS(1726),
    [sym__whitespace] = ACTIONS(1726),
    [sym__soft_line_ending] = ACTIONS(1726),
    [sym__block_quote_start] = ACTIONS(1726),
    [sym__indented_chunk_start] = ACTIONS(1726),
    [sym_atx_h1_marker] = ACTIONS(1726),
    [sym_atx_h2_marker] = ACTIONS(1726),
    [sym_atx_h3_marker] = ACTIONS(1726),
    [sym_atx_h4_marker] = ACTIONS(1726),
    [sym_atx_h5_marker] = ACTIONS(1726),
    [sym_atx_h6_marker] = ACTIONS(1726),
    [sym__thematic_break] = ACTIONS(1726),
    [sym__list_marker_minus] = ACTIONS(1726),
    [sym__list_marker_plus] = ACTIONS(1726),
    [sym__list_marker_star] = ACTIONS(1726),
    [sym__list_marker_parenthesis] = ACTIONS(1726),
    [sym__list_marker_dot] = ACTIONS(1726),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1726),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1726),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1726),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1726),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1726),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1726),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1726),
    [sym__blank_line_start] = ACTIONS(1726),
    [sym__html_block_1_start] = ACTIONS(1726),
    [sym__html_block_2_start] = ACTIONS(1726),
    [sym__html_block_3_start] = ACTIONS(1726),
    [sym__html_block_4_start] = ACTIONS(1726),
    [sym__html_block_5_start] = ACTIONS(1726),
    [sym__html_block_6_start] = ACTIONS(1726),
    [sym__html_block_7_start] = ACTIONS(1726),
    [sym__pipe_table_start] = ACTIONS(1726),
  },
  [272] = {
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_RBRACK] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [anon_sym_GT] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [anon_sym_POUND] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_DOT] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1460),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1460),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_CARET] = ACTIONS(1460),
    [anon_sym__] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_PIPE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_RPAREN] = ACTIONS(1460),
    [aux_sym__word_token1] = ACTIONS(1460),
    [aux_sym__word_token2] = ACTIONS(1460),
    [aux_sym__word_token3] = ACTIONS(1460),
    [sym__whitespace] = ACTIONS(1460),
    [sym__soft_line_ending] = ACTIONS(1460),
    [sym__block_close] = ACTIONS(1460),
    [sym__block_quote_start] = ACTIONS(1460),
    [sym__indented_chunk_start] = ACTIONS(1460),
    [sym_atx_h1_marker] = ACTIONS(1460),
    [sym_atx_h2_marker] = ACTIONS(1460),
    [sym_atx_h3_marker] = ACTIONS(1460),
    [sym_atx_h4_marker] = ACTIONS(1460),
    [sym_atx_h5_marker] = ACTIONS(1460),
    [sym_atx_h6_marker] = ACTIONS(1460),
    [sym__thematic_break] = ACTIONS(1460),
    [sym__list_marker_minus] = ACTIONS(1460),
    [sym__list_marker_plus] = ACTIONS(1460),
    [sym__list_marker_star] = ACTIONS(1460),
    [sym__list_marker_parenthesis] = ACTIONS(1460),
    [sym__list_marker_dot] = ACTIONS(1460),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1460),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1460),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1460),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1460),
    [sym__blank_line_start] = ACTIONS(1460),
    [sym__html_block_1_start] = ACTIONS(1460),
    [sym__html_block_2_start] = ACTIONS(1460),
    [sym__html_block_3_start] = ACTIONS(1460),
    [sym__html_block_4_start] = ACTIONS(1460),
    [sym__html_block_5_start] = ACTIONS(1460),
    [sym__html_block_6_start] = ACTIONS(1460),
    [sym__html_block_7_start] = ACTIONS(1460),
    [sym__pipe_table_start] = ACTIONS(1460),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_RBRACK] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1536),
    [anon_sym_GT] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [anon_sym_POUND] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_PERCENT] = ACTIONS(1536),
    [anon_sym_AMP] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_STAR] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_DOT] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1536),
    [anon_sym_COLON] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_EQ] = ACTIONS(1536),
    [anon_sym_QMARK] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1536),
    [anon_sym__] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_PIPE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1536),
    [aux_sym__word_token1] = ACTIONS(1536),
    [aux_sym__word_token2] = ACTIONS(1536),
    [aux_sym__word_token3] = ACTIONS(1536),
    [sym__whitespace] = ACTIONS(1536),
    [sym__soft_line_ending] = ACTIONS(1536),
    [sym__block_quote_start] = ACTIONS(1536),
    [sym__indented_chunk_start] = ACTIONS(1536),
    [sym_atx_h1_marker] = ACTIONS(1536),
    [sym_atx_h2_marker] = ACTIONS(1536),
    [sym_atx_h3_marker] = ACTIONS(1536),
    [sym_atx_h4_marker] = ACTIONS(1536),
    [sym_atx_h5_marker] = ACTIONS(1536),
    [sym_atx_h6_marker] = ACTIONS(1536),
    [sym__thematic_break] = ACTIONS(1536),
    [sym__list_marker_minus] = ACTIONS(1536),
    [sym__list_marker_plus] = ACTIONS(1536),
    [sym__list_marker_star] = ACTIONS(1536),
    [sym__list_marker_parenthesis] = ACTIONS(1536),
    [sym__list_marker_dot] = ACTIONS(1536),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1536),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1536),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1536),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1536),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1536),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1536),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1536),
    [sym__blank_line_start] = ACTIONS(1536),
    [sym__html_block_1_start] = ACTIONS(1536),
    [sym__html_block_2_start] = ACTIONS(1536),
    [sym__html_block_3_start] = ACTIONS(1536),
    [sym__html_block_4_start] = ACTIONS(1536),
    [sym__html_block_5_start] = ACTIONS(1536),
    [sym__html_block_6_start] = ACTIONS(1536),
    [sym__html_block_7_start] = ACTIONS(1536),
    [sym__pipe_table_start] = ACTIONS(1536),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_RBRACK] = ACTIONS(1576),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_GT] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1576),
    [anon_sym_POUND] = ACTIONS(1576),
    [anon_sym_DOLLAR] = ACTIONS(1576),
    [anon_sym_PERCENT] = ACTIONS(1576),
    [anon_sym_AMP] = ACTIONS(1576),
    [anon_sym_SQUOTE] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_COMMA] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_DOT] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_COLON] = ACTIONS(1576),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_EQ] = ACTIONS(1576),
    [anon_sym_QMARK] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1576),
    [anon_sym_BSLASH] = ACTIONS(1576),
    [anon_sym_CARET] = ACTIONS(1576),
    [anon_sym__] = ACTIONS(1576),
    [anon_sym_BQUOTE] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_RPAREN] = ACTIONS(1576),
    [aux_sym__word_token1] = ACTIONS(1576),
    [aux_sym__word_token2] = ACTIONS(1576),
    [aux_sym__word_token3] = ACTIONS(1576),
    [sym__whitespace] = ACTIONS(1576),
    [sym__soft_line_ending] = ACTIONS(1576),
    [sym__block_quote_start] = ACTIONS(1576),
    [sym__indented_chunk_start] = ACTIONS(1576),
    [sym_atx_h1_marker] = ACTIONS(1576),
    [sym_atx_h2_marker] = ACTIONS(1576),
    [sym_atx_h3_marker] = ACTIONS(1576),
    [sym_atx_h4_marker] = ACTIONS(1576),
    [sym_atx_h5_marker] = ACTIONS(1576),
    [sym_atx_h6_marker] = ACTIONS(1576),
    [sym__thematic_break] = ACTIONS(1576),
    [sym__list_marker_minus] = ACTIONS(1576),
    [sym__list_marker_plus] = ACTIONS(1576),
    [sym__list_marker_star] = ACTIONS(1576),
    [sym__list_marker_parenthesis] = ACTIONS(1576),
    [sym__list_marker_dot] = ACTIONS(1576),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1576),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1576),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1576),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1576),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1576),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1576),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1576),
    [sym__blank_line_start] = ACTIONS(1576),
    [sym__html_block_1_start] = ACTIONS(1576),
    [sym__html_block_2_start] = ACTIONS(1576),
    [sym__html_block_3_start] = ACTIONS(1576),
    [sym__html_block_4_start] = ACTIONS(1576),
    [sym__html_block_5_start] = ACTIONS(1576),
    [sym__html_block_6_start] = ACTIONS(1576),
    [sym__html_block_7_start] = ACTIONS(1576),
    [sym__pipe_table_start] = ACTIONS(1576),
  },
  [275] = {
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACK] = ACTIONS(1454),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_POUND] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [anon_sym_PERCENT] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_DOT] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym_EQ] = ACTIONS(1454),
    [anon_sym_QMARK] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym__] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_RPAREN] = ACTIONS(1454),
    [aux_sym__word_token1] = ACTIONS(1454),
    [aux_sym__word_token2] = ACTIONS(1454),
    [aux_sym__word_token3] = ACTIONS(1454),
    [sym__whitespace] = ACTIONS(1454),
    [sym__soft_line_ending] = ACTIONS(1454),
    [sym__block_close] = ACTIONS(1454),
    [sym__block_quote_start] = ACTIONS(1454),
    [sym__indented_chunk_start] = ACTIONS(1454),
    [sym_atx_h1_marker] = ACTIONS(1454),
    [sym_atx_h2_marker] = ACTIONS(1454),
    [sym_atx_h3_marker] = ACTIONS(1454),
    [sym_atx_h4_marker] = ACTIONS(1454),
    [sym_atx_h5_marker] = ACTIONS(1454),
    [sym_atx_h6_marker] = ACTIONS(1454),
    [sym__thematic_break] = ACTIONS(1454),
    [sym__list_marker_minus] = ACTIONS(1454),
    [sym__list_marker_plus] = ACTIONS(1454),
    [sym__list_marker_star] = ACTIONS(1454),
    [sym__list_marker_parenthesis] = ACTIONS(1454),
    [sym__list_marker_dot] = ACTIONS(1454),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1454),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1454),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1454),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1454),
    [sym__blank_line_start] = ACTIONS(1454),
    [sym__html_block_1_start] = ACTIONS(1454),
    [sym__html_block_2_start] = ACTIONS(1454),
    [sym__html_block_3_start] = ACTIONS(1454),
    [sym__html_block_4_start] = ACTIONS(1454),
    [sym__html_block_5_start] = ACTIONS(1454),
    [sym__html_block_6_start] = ACTIONS(1454),
    [sym__html_block_7_start] = ACTIONS(1454),
    [sym__pipe_table_start] = ACTIONS(1454),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_RBRACK] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1572),
    [anon_sym_GT] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(1572),
    [anon_sym_DOLLAR] = ACTIONS(1572),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_DOT] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1572),
    [anon_sym_COLON] = ACTIONS(1572),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_EQ] = ACTIONS(1572),
    [anon_sym_QMARK] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(1572),
    [anon_sym_BSLASH] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym__] = ACTIONS(1572),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_RPAREN] = ACTIONS(1572),
    [aux_sym__word_token1] = ACTIONS(1572),
    [aux_sym__word_token2] = ACTIONS(1572),
    [aux_sym__word_token3] = ACTIONS(1572),
    [sym__whitespace] = ACTIONS(1572),
    [sym__soft_line_ending] = ACTIONS(1572),
    [sym__block_quote_start] = ACTIONS(1572),
    [sym__indented_chunk_start] = ACTIONS(1572),
    [sym_atx_h1_marker] = ACTIONS(1572),
    [sym_atx_h2_marker] = ACTIONS(1572),
    [sym_atx_h3_marker] = ACTIONS(1572),
    [sym_atx_h4_marker] = ACTIONS(1572),
    [sym_atx_h5_marker] = ACTIONS(1572),
    [sym_atx_h6_marker] = ACTIONS(1572),
    [sym__thematic_break] = ACTIONS(1572),
    [sym__list_marker_minus] = ACTIONS(1572),
    [sym__list_marker_plus] = ACTIONS(1572),
    [sym__list_marker_star] = ACTIONS(1572),
    [sym__list_marker_parenthesis] = ACTIONS(1572),
    [sym__list_marker_dot] = ACTIONS(1572),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1572),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1572),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1572),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1572),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1572),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1572),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1572),
    [sym__blank_line_start] = ACTIONS(1572),
    [sym__html_block_1_start] = ACTIONS(1572),
    [sym__html_block_2_start] = ACTIONS(1572),
    [sym__html_block_3_start] = ACTIONS(1572),
    [sym__html_block_4_start] = ACTIONS(1572),
    [sym__html_block_5_start] = ACTIONS(1572),
    [sym__html_block_6_start] = ACTIONS(1572),
    [sym__html_block_7_start] = ACTIONS(1572),
    [sym__pipe_table_start] = ACTIONS(1572),
  },
  [277] = {
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_RBRACK] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [anon_sym_POUND] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [anon_sym_PERCENT] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1448),
    [anon_sym_SLASH] = ACTIONS(1448),
    [anon_sym_COLON] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1448),
    [anon_sym_QMARK] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_CARET] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_PIPE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_RPAREN] = ACTIONS(1448),
    [aux_sym__word_token1] = ACTIONS(1448),
    [aux_sym__word_token2] = ACTIONS(1448),
    [aux_sym__word_token3] = ACTIONS(1448),
    [sym__whitespace] = ACTIONS(1448),
    [sym__soft_line_ending] = ACTIONS(1448),
    [sym__block_close] = ACTIONS(1448),
    [sym__block_quote_start] = ACTIONS(1448),
    [sym__indented_chunk_start] = ACTIONS(1448),
    [sym_atx_h1_marker] = ACTIONS(1448),
    [sym_atx_h2_marker] = ACTIONS(1448),
    [sym_atx_h3_marker] = ACTIONS(1448),
    [sym_atx_h4_marker] = ACTIONS(1448),
    [sym_atx_h5_marker] = ACTIONS(1448),
    [sym_atx_h6_marker] = ACTIONS(1448),
    [sym__thematic_break] = ACTIONS(1448),
    [sym__list_marker_minus] = ACTIONS(1448),
    [sym__list_marker_plus] = ACTIONS(1448),
    [sym__list_marker_star] = ACTIONS(1448),
    [sym__list_marker_parenthesis] = ACTIONS(1448),
    [sym__list_marker_dot] = ACTIONS(1448),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1448),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1448),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1448),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1448),
    [sym__blank_line_start] = ACTIONS(1448),
    [sym__html_block_1_start] = ACTIONS(1448),
    [sym__html_block_2_start] = ACTIONS(1448),
    [sym__html_block_3_start] = ACTIONS(1448),
    [sym__html_block_4_start] = ACTIONS(1448),
    [sym__html_block_5_start] = ACTIONS(1448),
    [sym__html_block_6_start] = ACTIONS(1448),
    [sym__html_block_7_start] = ACTIONS(1448),
    [sym__pipe_table_start] = ACTIONS(1448),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_RBRACK] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [anon_sym_POUND] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [anon_sym_PERCENT] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_STAR] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_DOT] = ACTIONS(1568),
    [anon_sym_SLASH] = ACTIONS(1568),
    [anon_sym_COLON] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_EQ] = ACTIONS(1568),
    [anon_sym_QMARK] = ACTIONS(1568),
    [anon_sym_AT] = ACTIONS(1568),
    [anon_sym_BSLASH] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1568),
    [anon_sym__] = ACTIONS(1568),
    [anon_sym_BQUOTE] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_PIPE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_RPAREN] = ACTIONS(1568),
    [aux_sym__word_token1] = ACTIONS(1568),
    [aux_sym__word_token2] = ACTIONS(1568),
    [aux_sym__word_token3] = ACTIONS(1568),
    [sym__whitespace] = ACTIONS(1568),
    [sym__soft_line_ending] = ACTIONS(1568),
    [sym__block_quote_start] = ACTIONS(1568),
    [sym__indented_chunk_start] = ACTIONS(1568),
    [sym_atx_h1_marker] = ACTIONS(1568),
    [sym_atx_h2_marker] = ACTIONS(1568),
    [sym_atx_h3_marker] = ACTIONS(1568),
    [sym_atx_h4_marker] = ACTIONS(1568),
    [sym_atx_h5_marker] = ACTIONS(1568),
    [sym_atx_h6_marker] = ACTIONS(1568),
    [sym__thematic_break] = ACTIONS(1568),
    [sym__list_marker_minus] = ACTIONS(1568),
    [sym__list_marker_plus] = ACTIONS(1568),
    [sym__list_marker_star] = ACTIONS(1568),
    [sym__list_marker_parenthesis] = ACTIONS(1568),
    [sym__list_marker_dot] = ACTIONS(1568),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1568),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1568),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1568),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1568),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1568),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1568),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1568),
    [sym__blank_line_start] = ACTIONS(1568),
    [sym__html_block_1_start] = ACTIONS(1568),
    [sym__html_block_2_start] = ACTIONS(1568),
    [sym__html_block_3_start] = ACTIONS(1568),
    [sym__html_block_4_start] = ACTIONS(1568),
    [sym__html_block_5_start] = ACTIONS(1568),
    [sym__html_block_6_start] = ACTIONS(1568),
    [sym__html_block_7_start] = ACTIONS(1568),
    [sym__pipe_table_start] = ACTIONS(1568),
  },
  [279] = {
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_RBRACK] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [anon_sym_GT] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [anon_sym_POUND] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_DOT] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym__] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_PIPE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_RPAREN] = ACTIONS(1440),
    [aux_sym__word_token1] = ACTIONS(1440),
    [aux_sym__word_token2] = ACTIONS(1440),
    [aux_sym__word_token3] = ACTIONS(1440),
    [sym__whitespace] = ACTIONS(1440),
    [sym__soft_line_ending] = ACTIONS(1440),
    [sym__block_close] = ACTIONS(1440),
    [sym__block_quote_start] = ACTIONS(1440),
    [sym__indented_chunk_start] = ACTIONS(1440),
    [sym_atx_h1_marker] = ACTIONS(1440),
    [sym_atx_h2_marker] = ACTIONS(1440),
    [sym_atx_h3_marker] = ACTIONS(1440),
    [sym_atx_h4_marker] = ACTIONS(1440),
    [sym_atx_h5_marker] = ACTIONS(1440),
    [sym_atx_h6_marker] = ACTIONS(1440),
    [sym__thematic_break] = ACTIONS(1440),
    [sym__list_marker_minus] = ACTIONS(1440),
    [sym__list_marker_plus] = ACTIONS(1440),
    [sym__list_marker_star] = ACTIONS(1440),
    [sym__list_marker_parenthesis] = ACTIONS(1440),
    [sym__list_marker_dot] = ACTIONS(1440),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1440),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1440),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1440),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1440),
    [sym__blank_line_start] = ACTIONS(1440),
    [sym__html_block_1_start] = ACTIONS(1440),
    [sym__html_block_2_start] = ACTIONS(1440),
    [sym__html_block_3_start] = ACTIONS(1440),
    [sym__html_block_4_start] = ACTIONS(1440),
    [sym__html_block_5_start] = ACTIONS(1440),
    [sym__html_block_6_start] = ACTIONS(1440),
    [sym__html_block_7_start] = ACTIONS(1440),
    [sym__pipe_table_start] = ACTIONS(1440),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1732),
    [anon_sym_RBRACK] = ACTIONS(1730),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_DQUOTE] = ACTIONS(1730),
    [anon_sym_POUND] = ACTIONS(1730),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PERCENT] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1730),
    [anon_sym_SQUOTE] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1730),
    [anon_sym_PLUS] = ACTIONS(1730),
    [anon_sym_COMMA] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_COLON] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_EQ] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1730),
    [anon_sym_AT] = ACTIONS(1730),
    [anon_sym_BSLASH] = ACTIONS(1730),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym__] = ACTIONS(1730),
    [anon_sym_BQUOTE] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_RPAREN] = ACTIONS(1730),
    [aux_sym__word_token1] = ACTIONS(1730),
    [aux_sym__word_token2] = ACTIONS(1730),
    [aux_sym__word_token3] = ACTIONS(1730),
    [sym__whitespace] = ACTIONS(1730),
    [sym__soft_line_ending] = ACTIONS(1730),
    [sym__block_quote_start] = ACTIONS(1730),
    [sym__indented_chunk_start] = ACTIONS(1730),
    [sym_atx_h1_marker] = ACTIONS(1730),
    [sym_atx_h2_marker] = ACTIONS(1730),
    [sym_atx_h3_marker] = ACTIONS(1730),
    [sym_atx_h4_marker] = ACTIONS(1730),
    [sym_atx_h5_marker] = ACTIONS(1730),
    [sym_atx_h6_marker] = ACTIONS(1730),
    [sym__thematic_break] = ACTIONS(1730),
    [sym__list_marker_minus] = ACTIONS(1730),
    [sym__list_marker_plus] = ACTIONS(1730),
    [sym__list_marker_star] = ACTIONS(1730),
    [sym__list_marker_parenthesis] = ACTIONS(1730),
    [sym__list_marker_dot] = ACTIONS(1730),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1730),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1730),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1730),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1730),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1730),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1730),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1730),
    [sym__blank_line_start] = ACTIONS(1730),
    [sym__html_block_1_start] = ACTIONS(1730),
    [sym__html_block_2_start] = ACTIONS(1730),
    [sym__html_block_3_start] = ACTIONS(1730),
    [sym__html_block_4_start] = ACTIONS(1730),
    [sym__html_block_5_start] = ACTIONS(1730),
    [sym__html_block_6_start] = ACTIONS(1730),
    [sym__html_block_7_start] = ACTIONS(1730),
    [sym__pipe_table_start] = ACTIONS(1730),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [anon_sym_RBRACK] = ACTIONS(1636),
    [anon_sym_LT] = ACTIONS(1636),
    [anon_sym_GT] = ACTIONS(1636),
    [anon_sym_BANG] = ACTIONS(1636),
    [anon_sym_DQUOTE] = ACTIONS(1636),
    [anon_sym_POUND] = ACTIONS(1636),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [anon_sym_PERCENT] = ACTIONS(1636),
    [anon_sym_AMP] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1636),
    [anon_sym_STAR] = ACTIONS(1636),
    [anon_sym_PLUS] = ACTIONS(1636),
    [anon_sym_COMMA] = ACTIONS(1636),
    [anon_sym_DASH] = ACTIONS(1636),
    [anon_sym_DOT] = ACTIONS(1636),
    [anon_sym_SLASH] = ACTIONS(1636),
    [anon_sym_COLON] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1636),
    [anon_sym_EQ] = ACTIONS(1636),
    [anon_sym_QMARK] = ACTIONS(1636),
    [anon_sym_AT] = ACTIONS(1636),
    [anon_sym_BSLASH] = ACTIONS(1636),
    [anon_sym_CARET] = ACTIONS(1636),
    [anon_sym__] = ACTIONS(1636),
    [anon_sym_BQUOTE] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_RBRACE] = ACTIONS(1636),
    [anon_sym_TILDE] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [anon_sym_RPAREN] = ACTIONS(1636),
    [aux_sym__word_token1] = ACTIONS(1636),
    [aux_sym__word_token2] = ACTIONS(1636),
    [aux_sym__word_token3] = ACTIONS(1636),
    [sym__whitespace] = ACTIONS(1636),
    [sym__soft_line_ending] = ACTIONS(1636),
    [sym__block_quote_start] = ACTIONS(1636),
    [sym__indented_chunk_start] = ACTIONS(1636),
    [sym_atx_h1_marker] = ACTIONS(1636),
    [sym_atx_h2_marker] = ACTIONS(1636),
    [sym_atx_h3_marker] = ACTIONS(1636),
    [sym_atx_h4_marker] = ACTIONS(1636),
    [sym_atx_h5_marker] = ACTIONS(1636),
    [sym_atx_h6_marker] = ACTIONS(1636),
    [sym__thematic_break] = ACTIONS(1636),
    [sym__list_marker_minus] = ACTIONS(1636),
    [sym__list_marker_plus] = ACTIONS(1636),
    [sym__list_marker_star] = ACTIONS(1636),
    [sym__list_marker_parenthesis] = ACTIONS(1636),
    [sym__list_marker_dot] = ACTIONS(1636),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1636),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1636),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1636),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1636),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1636),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1636),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1636),
    [sym__blank_line_start] = ACTIONS(1636),
    [sym__html_block_1_start] = ACTIONS(1636),
    [sym__html_block_2_start] = ACTIONS(1636),
    [sym__html_block_3_start] = ACTIONS(1636),
    [sym__html_block_4_start] = ACTIONS(1636),
    [sym__html_block_5_start] = ACTIONS(1636),
    [sym__html_block_6_start] = ACTIONS(1636),
    [sym__html_block_7_start] = ACTIONS(1636),
    [sym__pipe_table_start] = ACTIONS(1636),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(1734),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [anon_sym_RBRACK] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1734),
    [anon_sym_DQUOTE] = ACTIONS(1734),
    [anon_sym_POUND] = ACTIONS(1734),
    [anon_sym_DOLLAR] = ACTIONS(1734),
    [anon_sym_PERCENT] = ACTIONS(1734),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1734),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_DOT] = ACTIONS(1734),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_COLON] = ACTIONS(1734),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_EQ] = ACTIONS(1734),
    [anon_sym_QMARK] = ACTIONS(1734),
    [anon_sym_AT] = ACTIONS(1734),
    [anon_sym_BSLASH] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1734),
    [anon_sym__] = ACTIONS(1734),
    [anon_sym_BQUOTE] = ACTIONS(1734),
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_TILDE] = ACTIONS(1734),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [aux_sym__word_token1] = ACTIONS(1734),
    [aux_sym__word_token2] = ACTIONS(1734),
    [aux_sym__word_token3] = ACTIONS(1734),
    [sym__whitespace] = ACTIONS(1734),
    [sym__soft_line_ending] = ACTIONS(1734),
    [sym__block_quote_start] = ACTIONS(1734),
    [sym__indented_chunk_start] = ACTIONS(1734),
    [sym_atx_h1_marker] = ACTIONS(1734),
    [sym_atx_h2_marker] = ACTIONS(1734),
    [sym_atx_h3_marker] = ACTIONS(1734),
    [sym_atx_h4_marker] = ACTIONS(1734),
    [sym_atx_h5_marker] = ACTIONS(1734),
    [sym_atx_h6_marker] = ACTIONS(1734),
    [sym__thematic_break] = ACTIONS(1734),
    [sym__list_marker_minus] = ACTIONS(1734),
    [sym__list_marker_plus] = ACTIONS(1734),
    [sym__list_marker_star] = ACTIONS(1734),
    [sym__list_marker_parenthesis] = ACTIONS(1734),
    [sym__list_marker_dot] = ACTIONS(1734),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1734),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1734),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1734),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1734),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1734),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1734),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1734),
    [sym__blank_line_start] = ACTIONS(1734),
    [sym__html_block_1_start] = ACTIONS(1734),
    [sym__html_block_2_start] = ACTIONS(1734),
    [sym__html_block_3_start] = ACTIONS(1734),
    [sym__html_block_4_start] = ACTIONS(1734),
    [sym__html_block_5_start] = ACTIONS(1734),
    [sym__html_block_6_start] = ACTIONS(1734),
    [sym__html_block_7_start] = ACTIONS(1734),
    [sym__pipe_table_start] = ACTIONS(1734),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_RBRACK] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_DQUOTE] = ACTIONS(1738),
    [anon_sym_POUND] = ACTIONS(1738),
    [anon_sym_DOLLAR] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_AMP] = ACTIONS(1738),
    [anon_sym_SQUOTE] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_PLUS] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_DOT] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_COLON] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(1738),
    [anon_sym_AT] = ACTIONS(1738),
    [anon_sym_BSLASH] = ACTIONS(1738),
    [anon_sym_CARET] = ACTIONS(1738),
    [anon_sym__] = ACTIONS(1738),
    [anon_sym_BQUOTE] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_PIPE] = ACTIONS(1738),
    [anon_sym_RBRACE] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [anon_sym_RPAREN] = ACTIONS(1738),
    [aux_sym__word_token1] = ACTIONS(1738),
    [aux_sym__word_token2] = ACTIONS(1738),
    [aux_sym__word_token3] = ACTIONS(1738),
    [sym__whitespace] = ACTIONS(1738),
    [sym__soft_line_ending] = ACTIONS(1738),
    [sym__block_quote_start] = ACTIONS(1738),
    [sym__indented_chunk_start] = ACTIONS(1738),
    [sym_atx_h1_marker] = ACTIONS(1738),
    [sym_atx_h2_marker] = ACTIONS(1738),
    [sym_atx_h3_marker] = ACTIONS(1738),
    [sym_atx_h4_marker] = ACTIONS(1738),
    [sym_atx_h5_marker] = ACTIONS(1738),
    [sym_atx_h6_marker] = ACTIONS(1738),
    [sym__thematic_break] = ACTIONS(1738),
    [sym__list_marker_minus] = ACTIONS(1738),
    [sym__list_marker_plus] = ACTIONS(1738),
    [sym__list_marker_star] = ACTIONS(1738),
    [sym__list_marker_parenthesis] = ACTIONS(1738),
    [sym__list_marker_dot] = ACTIONS(1738),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1738),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1738),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1738),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1738),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1738),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1738),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1738),
    [sym__blank_line_start] = ACTIONS(1738),
    [sym__html_block_1_start] = ACTIONS(1738),
    [sym__html_block_2_start] = ACTIONS(1738),
    [sym__html_block_3_start] = ACTIONS(1738),
    [sym__html_block_4_start] = ACTIONS(1738),
    [sym__html_block_5_start] = ACTIONS(1738),
    [sym__html_block_6_start] = ACTIONS(1738),
    [sym__html_block_7_start] = ACTIONS(1738),
    [sym__pipe_table_start] = ACTIONS(1738),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [anon_sym_RBRACK] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym_BANG] = ACTIONS(1742),
    [anon_sym_DQUOTE] = ACTIONS(1742),
    [anon_sym_POUND] = ACTIONS(1742),
    [anon_sym_DOLLAR] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_SQUOTE] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1742),
    [anon_sym_BSLASH] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1742),
    [anon_sym__] = ACTIONS(1742),
    [anon_sym_BQUOTE] = ACTIONS(1742),
    [anon_sym_LBRACE] = ACTIONS(1742),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_RBRACE] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1742),
    [anon_sym_RPAREN] = ACTIONS(1742),
    [aux_sym__word_token1] = ACTIONS(1742),
    [aux_sym__word_token2] = ACTIONS(1742),
    [aux_sym__word_token3] = ACTIONS(1742),
    [sym__whitespace] = ACTIONS(1742),
    [sym__soft_line_ending] = ACTIONS(1742),
    [sym__block_quote_start] = ACTIONS(1742),
    [sym__indented_chunk_start] = ACTIONS(1742),
    [sym_atx_h1_marker] = ACTIONS(1742),
    [sym_atx_h2_marker] = ACTIONS(1742),
    [sym_atx_h3_marker] = ACTIONS(1742),
    [sym_atx_h4_marker] = ACTIONS(1742),
    [sym_atx_h5_marker] = ACTIONS(1742),
    [sym_atx_h6_marker] = ACTIONS(1742),
    [sym__thematic_break] = ACTIONS(1742),
    [sym__list_marker_minus] = ACTIONS(1742),
    [sym__list_marker_plus] = ACTIONS(1742),
    [sym__list_marker_star] = ACTIONS(1742),
    [sym__list_marker_parenthesis] = ACTIONS(1742),
    [sym__list_marker_dot] = ACTIONS(1742),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1742),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1742),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1742),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1742),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1742),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1742),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1742),
    [sym__blank_line_start] = ACTIONS(1742),
    [sym__html_block_1_start] = ACTIONS(1742),
    [sym__html_block_2_start] = ACTIONS(1742),
    [sym__html_block_3_start] = ACTIONS(1742),
    [sym__html_block_4_start] = ACTIONS(1742),
    [sym__html_block_5_start] = ACTIONS(1742),
    [sym__html_block_6_start] = ACTIONS(1742),
    [sym__html_block_7_start] = ACTIONS(1742),
    [sym__pipe_table_start] = ACTIONS(1742),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(1746),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [anon_sym_RBRACK] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [anon_sym_BANG] = ACTIONS(1746),
    [anon_sym_DQUOTE] = ACTIONS(1746),
    [anon_sym_POUND] = ACTIONS(1746),
    [anon_sym_DOLLAR] = ACTIONS(1746),
    [anon_sym_PERCENT] = ACTIONS(1746),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym_SQUOTE] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_COLON] = ACTIONS(1746),
    [anon_sym_SEMI] = ACTIONS(1746),
    [anon_sym_EQ] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1746),
    [anon_sym_AT] = ACTIONS(1746),
    [anon_sym_BSLASH] = ACTIONS(1746),
    [anon_sym_CARET] = ACTIONS(1746),
    [anon_sym__] = ACTIONS(1746),
    [anon_sym_BQUOTE] = ACTIONS(1746),
    [anon_sym_LBRACE] = ACTIONS(1746),
    [anon_sym_PIPE] = ACTIONS(1746),
    [anon_sym_RBRACE] = ACTIONS(1746),
    [anon_sym_TILDE] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(1746),
    [anon_sym_RPAREN] = ACTIONS(1746),
    [aux_sym__word_token1] = ACTIONS(1746),
    [aux_sym__word_token2] = ACTIONS(1746),
    [aux_sym__word_token3] = ACTIONS(1746),
    [sym__whitespace] = ACTIONS(1746),
    [sym__soft_line_ending] = ACTIONS(1746),
    [sym__block_quote_start] = ACTIONS(1746),
    [sym__indented_chunk_start] = ACTIONS(1746),
    [sym_atx_h1_marker] = ACTIONS(1746),
    [sym_atx_h2_marker] = ACTIONS(1746),
    [sym_atx_h3_marker] = ACTIONS(1746),
    [sym_atx_h4_marker] = ACTIONS(1746),
    [sym_atx_h5_marker] = ACTIONS(1746),
    [sym_atx_h6_marker] = ACTIONS(1746),
    [sym__thematic_break] = ACTIONS(1746),
    [sym__list_marker_minus] = ACTIONS(1746),
    [sym__list_marker_plus] = ACTIONS(1746),
    [sym__list_marker_star] = ACTIONS(1746),
    [sym__list_marker_parenthesis] = ACTIONS(1746),
    [sym__list_marker_dot] = ACTIONS(1746),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1746),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1746),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1746),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1746),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1746),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1746),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1746),
    [sym__blank_line_start] = ACTIONS(1746),
    [sym__html_block_1_start] = ACTIONS(1746),
    [sym__html_block_2_start] = ACTIONS(1746),
    [sym__html_block_3_start] = ACTIONS(1746),
    [sym__html_block_4_start] = ACTIONS(1746),
    [sym__html_block_5_start] = ACTIONS(1746),
    [sym__html_block_6_start] = ACTIONS(1746),
    [sym__html_block_7_start] = ACTIONS(1746),
    [sym__pipe_table_start] = ACTIONS(1746),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(1750),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [anon_sym_BANG] = ACTIONS(1750),
    [anon_sym_DQUOTE] = ACTIONS(1750),
    [anon_sym_POUND] = ACTIONS(1750),
    [anon_sym_DOLLAR] = ACTIONS(1750),
    [anon_sym_PERCENT] = ACTIONS(1750),
    [anon_sym_AMP] = ACTIONS(1750),
    [anon_sym_SQUOTE] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1750),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_DOT] = ACTIONS(1750),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_COLON] = ACTIONS(1750),
    [anon_sym_SEMI] = ACTIONS(1750),
    [anon_sym_EQ] = ACTIONS(1750),
    [anon_sym_QMARK] = ACTIONS(1750),
    [anon_sym_AT] = ACTIONS(1750),
    [anon_sym_BSLASH] = ACTIONS(1750),
    [anon_sym_CARET] = ACTIONS(1750),
    [anon_sym__] = ACTIONS(1750),
    [anon_sym_BQUOTE] = ACTIONS(1750),
    [anon_sym_LBRACE] = ACTIONS(1750),
    [anon_sym_PIPE] = ACTIONS(1750),
    [anon_sym_RBRACE] = ACTIONS(1750),
    [anon_sym_TILDE] = ACTIONS(1750),
    [anon_sym_LPAREN] = ACTIONS(1750),
    [anon_sym_RPAREN] = ACTIONS(1750),
    [aux_sym__word_token1] = ACTIONS(1750),
    [aux_sym__word_token2] = ACTIONS(1750),
    [aux_sym__word_token3] = ACTIONS(1750),
    [sym__whitespace] = ACTIONS(1750),
    [sym__soft_line_ending] = ACTIONS(1750),
    [sym__block_quote_start] = ACTIONS(1750),
    [sym__indented_chunk_start] = ACTIONS(1750),
    [sym_atx_h1_marker] = ACTIONS(1750),
    [sym_atx_h2_marker] = ACTIONS(1750),
    [sym_atx_h3_marker] = ACTIONS(1750),
    [sym_atx_h4_marker] = ACTIONS(1750),
    [sym_atx_h5_marker] = ACTIONS(1750),
    [sym_atx_h6_marker] = ACTIONS(1750),
    [sym__thematic_break] = ACTIONS(1750),
    [sym__list_marker_minus] = ACTIONS(1750),
    [sym__list_marker_plus] = ACTIONS(1750),
    [sym__list_marker_star] = ACTIONS(1750),
    [sym__list_marker_parenthesis] = ACTIONS(1750),
    [sym__list_marker_dot] = ACTIONS(1750),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1750),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1750),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1750),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1750),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1750),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1750),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1750),
    [sym__blank_line_start] = ACTIONS(1750),
    [sym__html_block_1_start] = ACTIONS(1750),
    [sym__html_block_2_start] = ACTIONS(1750),
    [sym__html_block_3_start] = ACTIONS(1750),
    [sym__html_block_4_start] = ACTIONS(1750),
    [sym__html_block_5_start] = ACTIONS(1750),
    [sym__html_block_6_start] = ACTIONS(1750),
    [sym__html_block_7_start] = ACTIONS(1750),
    [sym__pipe_table_start] = ACTIONS(1750),
  },
  [287] = {
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [anon_sym_POUND] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1434),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [aux_sym__word_token1] = ACTIONS(1434),
    [aux_sym__word_token2] = ACTIONS(1434),
    [aux_sym__word_token3] = ACTIONS(1434),
    [sym__whitespace] = ACTIONS(1434),
    [sym__soft_line_ending] = ACTIONS(1434),
    [sym__block_close] = ACTIONS(1434),
    [sym__block_quote_start] = ACTIONS(1434),
    [sym__indented_chunk_start] = ACTIONS(1434),
    [sym_atx_h1_marker] = ACTIONS(1434),
    [sym_atx_h2_marker] = ACTIONS(1434),
    [sym_atx_h3_marker] = ACTIONS(1434),
    [sym_atx_h4_marker] = ACTIONS(1434),
    [sym_atx_h5_marker] = ACTIONS(1434),
    [sym_atx_h6_marker] = ACTIONS(1434),
    [sym__thematic_break] = ACTIONS(1434),
    [sym__list_marker_minus] = ACTIONS(1434),
    [sym__list_marker_plus] = ACTIONS(1434),
    [sym__list_marker_star] = ACTIONS(1434),
    [sym__list_marker_parenthesis] = ACTIONS(1434),
    [sym__list_marker_dot] = ACTIONS(1434),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1434),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1434),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1434),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1434),
    [sym__blank_line_start] = ACTIONS(1434),
    [sym__html_block_1_start] = ACTIONS(1434),
    [sym__html_block_2_start] = ACTIONS(1434),
    [sym__html_block_3_start] = ACTIONS(1434),
    [sym__html_block_4_start] = ACTIONS(1434),
    [sym__html_block_5_start] = ACTIONS(1434),
    [sym__html_block_6_start] = ACTIONS(1434),
    [sym__html_block_7_start] = ACTIONS(1434),
    [sym__pipe_table_start] = ACTIONS(1434),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(1754),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [anon_sym_RBRACK] = ACTIONS(1754),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1754),
    [anon_sym_DQUOTE] = ACTIONS(1754),
    [anon_sym_POUND] = ACTIONS(1754),
    [anon_sym_DOLLAR] = ACTIONS(1754),
    [anon_sym_PERCENT] = ACTIONS(1754),
    [anon_sym_AMP] = ACTIONS(1754),
    [anon_sym_SQUOTE] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_PLUS] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1754),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_DOT] = ACTIONS(1754),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_COLON] = ACTIONS(1754),
    [anon_sym_SEMI] = ACTIONS(1754),
    [anon_sym_EQ] = ACTIONS(1754),
    [anon_sym_QMARK] = ACTIONS(1754),
    [anon_sym_AT] = ACTIONS(1754),
    [anon_sym_BSLASH] = ACTIONS(1754),
    [anon_sym_CARET] = ACTIONS(1754),
    [anon_sym__] = ACTIONS(1754),
    [anon_sym_BQUOTE] = ACTIONS(1754),
    [anon_sym_LBRACE] = ACTIONS(1754),
    [anon_sym_PIPE] = ACTIONS(1754),
    [anon_sym_RBRACE] = ACTIONS(1754),
    [anon_sym_TILDE] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1754),
    [anon_sym_RPAREN] = ACTIONS(1754),
    [aux_sym__word_token1] = ACTIONS(1754),
    [aux_sym__word_token2] = ACTIONS(1754),
    [aux_sym__word_token3] = ACTIONS(1754),
    [sym__whitespace] = ACTIONS(1754),
    [sym__soft_line_ending] = ACTIONS(1754),
    [sym__block_quote_start] = ACTIONS(1754),
    [sym__indented_chunk_start] = ACTIONS(1754),
    [sym_atx_h1_marker] = ACTIONS(1754),
    [sym_atx_h2_marker] = ACTIONS(1754),
    [sym_atx_h3_marker] = ACTIONS(1754),
    [sym_atx_h4_marker] = ACTIONS(1754),
    [sym_atx_h5_marker] = ACTIONS(1754),
    [sym_atx_h6_marker] = ACTIONS(1754),
    [sym__thematic_break] = ACTIONS(1754),
    [sym__list_marker_minus] = ACTIONS(1754),
    [sym__list_marker_plus] = ACTIONS(1754),
    [sym__list_marker_star] = ACTIONS(1754),
    [sym__list_marker_parenthesis] = ACTIONS(1754),
    [sym__list_marker_dot] = ACTIONS(1754),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1754),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1754),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1754),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1754),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1754),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1754),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1754),
    [sym__blank_line_start] = ACTIONS(1754),
    [sym__html_block_1_start] = ACTIONS(1754),
    [sym__html_block_2_start] = ACTIONS(1754),
    [sym__html_block_3_start] = ACTIONS(1754),
    [sym__html_block_4_start] = ACTIONS(1754),
    [sym__html_block_5_start] = ACTIONS(1754),
    [sym__html_block_6_start] = ACTIONS(1754),
    [sym__html_block_7_start] = ACTIONS(1754),
    [sym__pipe_table_start] = ACTIONS(1754),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(1628),
    [anon_sym_LBRACK] = ACTIONS(1626),
    [anon_sym_RBRACK] = ACTIONS(1628),
    [anon_sym_LT] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1628),
    [anon_sym_BANG] = ACTIONS(1628),
    [anon_sym_DQUOTE] = ACTIONS(1628),
    [anon_sym_POUND] = ACTIONS(1628),
    [anon_sym_DOLLAR] = ACTIONS(1628),
    [anon_sym_PERCENT] = ACTIONS(1628),
    [anon_sym_AMP] = ACTIONS(1628),
    [anon_sym_SQUOTE] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1628),
    [anon_sym_PLUS] = ACTIONS(1628),
    [anon_sym_COMMA] = ACTIONS(1628),
    [anon_sym_DASH] = ACTIONS(1628),
    [anon_sym_DOT] = ACTIONS(1628),
    [anon_sym_SLASH] = ACTIONS(1628),
    [anon_sym_COLON] = ACTIONS(1628),
    [anon_sym_SEMI] = ACTIONS(1628),
    [anon_sym_EQ] = ACTIONS(1628),
    [anon_sym_QMARK] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(1628),
    [anon_sym_BSLASH] = ACTIONS(1628),
    [anon_sym_CARET] = ACTIONS(1628),
    [anon_sym__] = ACTIONS(1628),
    [anon_sym_BQUOTE] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(1628),
    [anon_sym_PIPE] = ACTIONS(1628),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [anon_sym_TILDE] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1628),
    [anon_sym_RPAREN] = ACTIONS(1628),
    [aux_sym__word_token1] = ACTIONS(1628),
    [aux_sym__word_token2] = ACTIONS(1628),
    [aux_sym__word_token3] = ACTIONS(1628),
    [sym__whitespace] = ACTIONS(1628),
    [sym__soft_line_ending] = ACTIONS(1628),
    [sym__block_quote_start] = ACTIONS(1628),
    [sym__indented_chunk_start] = ACTIONS(1628),
    [sym_atx_h1_marker] = ACTIONS(1628),
    [sym_atx_h2_marker] = ACTIONS(1628),
    [sym_atx_h3_marker] = ACTIONS(1628),
    [sym_atx_h4_marker] = ACTIONS(1628),
    [sym_atx_h5_marker] = ACTIONS(1628),
    [sym_atx_h6_marker] = ACTIONS(1628),
    [sym__thematic_break] = ACTIONS(1628),
    [sym__list_marker_minus] = ACTIONS(1628),
    [sym__list_marker_plus] = ACTIONS(1628),
    [sym__list_marker_star] = ACTIONS(1628),
    [sym__list_marker_parenthesis] = ACTIONS(1628),
    [sym__list_marker_dot] = ACTIONS(1628),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1628),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1628),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1628),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1628),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1628),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1628),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1628),
    [sym__blank_line_start] = ACTIONS(1628),
    [sym__html_block_1_start] = ACTIONS(1628),
    [sym__html_block_2_start] = ACTIONS(1628),
    [sym__html_block_3_start] = ACTIONS(1628),
    [sym__html_block_4_start] = ACTIONS(1628),
    [sym__html_block_5_start] = ACTIONS(1628),
    [sym__html_block_6_start] = ACTIONS(1628),
    [sym__html_block_7_start] = ACTIONS(1628),
    [sym__pipe_table_start] = ACTIONS(1628),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(1758),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [anon_sym_RBRACK] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [anon_sym_BANG] = ACTIONS(1758),
    [anon_sym_DQUOTE] = ACTIONS(1758),
    [anon_sym_POUND] = ACTIONS(1758),
    [anon_sym_DOLLAR] = ACTIONS(1758),
    [anon_sym_PERCENT] = ACTIONS(1758),
    [anon_sym_AMP] = ACTIONS(1758),
    [anon_sym_SQUOTE] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1758),
    [anon_sym_PLUS] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(1758),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_DOT] = ACTIONS(1758),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_COLON] = ACTIONS(1758),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym_EQ] = ACTIONS(1758),
    [anon_sym_QMARK] = ACTIONS(1758),
    [anon_sym_AT] = ACTIONS(1758),
    [anon_sym_BSLASH] = ACTIONS(1758),
    [anon_sym_CARET] = ACTIONS(1758),
    [anon_sym__] = ACTIONS(1758),
    [anon_sym_BQUOTE] = ACTIONS(1758),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_PIPE] = ACTIONS(1758),
    [anon_sym_RBRACE] = ACTIONS(1758),
    [anon_sym_TILDE] = ACTIONS(1758),
    [anon_sym_LPAREN] = ACTIONS(1758),
    [anon_sym_RPAREN] = ACTIONS(1758),
    [aux_sym__word_token1] = ACTIONS(1758),
    [aux_sym__word_token2] = ACTIONS(1758),
    [aux_sym__word_token3] = ACTIONS(1758),
    [sym__whitespace] = ACTIONS(1758),
    [sym__soft_line_ending] = ACTIONS(1758),
    [sym__block_quote_start] = ACTIONS(1758),
    [sym__indented_chunk_start] = ACTIONS(1758),
    [sym_atx_h1_marker] = ACTIONS(1758),
    [sym_atx_h2_marker] = ACTIONS(1758),
    [sym_atx_h3_marker] = ACTIONS(1758),
    [sym_atx_h4_marker] = ACTIONS(1758),
    [sym_atx_h5_marker] = ACTIONS(1758),
    [sym_atx_h6_marker] = ACTIONS(1758),
    [sym__thematic_break] = ACTIONS(1758),
    [sym__list_marker_minus] = ACTIONS(1758),
    [sym__list_marker_plus] = ACTIONS(1758),
    [sym__list_marker_star] = ACTIONS(1758),
    [sym__list_marker_parenthesis] = ACTIONS(1758),
    [sym__list_marker_dot] = ACTIONS(1758),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1758),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1758),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1758),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1758),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1758),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1758),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1758),
    [sym__blank_line_start] = ACTIONS(1758),
    [sym__html_block_1_start] = ACTIONS(1758),
    [sym__html_block_2_start] = ACTIONS(1758),
    [sym__html_block_3_start] = ACTIONS(1758),
    [sym__html_block_4_start] = ACTIONS(1758),
    [sym__html_block_5_start] = ACTIONS(1758),
    [sym__html_block_6_start] = ACTIONS(1758),
    [sym__html_block_7_start] = ACTIONS(1758),
    [sym__pipe_table_start] = ACTIONS(1758),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_RBRACK] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1564),
    [anon_sym_GT] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [anon_sym_POUND] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1564),
    [anon_sym_PERCENT] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_COMMA] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_DOT] = ACTIONS(1564),
    [anon_sym_SLASH] = ACTIONS(1564),
    [anon_sym_COLON] = ACTIONS(1564),
    [anon_sym_SEMI] = ACTIONS(1564),
    [anon_sym_EQ] = ACTIONS(1564),
    [anon_sym_QMARK] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1564),
    [anon_sym__] = ACTIONS(1564),
    [anon_sym_BQUOTE] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_PIPE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_RPAREN] = ACTIONS(1564),
    [aux_sym__word_token1] = ACTIONS(1564),
    [aux_sym__word_token2] = ACTIONS(1564),
    [aux_sym__word_token3] = ACTIONS(1564),
    [sym__whitespace] = ACTIONS(1564),
    [sym__soft_line_ending] = ACTIONS(1564),
    [sym__block_quote_start] = ACTIONS(1564),
    [sym__indented_chunk_start] = ACTIONS(1564),
    [sym_atx_h1_marker] = ACTIONS(1564),
    [sym_atx_h2_marker] = ACTIONS(1564),
    [sym_atx_h3_marker] = ACTIONS(1564),
    [sym_atx_h4_marker] = ACTIONS(1564),
    [sym_atx_h5_marker] = ACTIONS(1564),
    [sym_atx_h6_marker] = ACTIONS(1564),
    [sym__thematic_break] = ACTIONS(1564),
    [sym__list_marker_minus] = ACTIONS(1564),
    [sym__list_marker_plus] = ACTIONS(1564),
    [sym__list_marker_star] = ACTIONS(1564),
    [sym__list_marker_parenthesis] = ACTIONS(1564),
    [sym__list_marker_dot] = ACTIONS(1564),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1564),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1564),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1564),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1564),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1564),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1564),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1564),
    [sym__blank_line_start] = ACTIONS(1564),
    [sym__html_block_1_start] = ACTIONS(1564),
    [sym__html_block_2_start] = ACTIONS(1564),
    [sym__html_block_3_start] = ACTIONS(1564),
    [sym__html_block_4_start] = ACTIONS(1564),
    [sym__html_block_5_start] = ACTIONS(1564),
    [sym__html_block_6_start] = ACTIONS(1564),
    [sym__html_block_7_start] = ACTIONS(1564),
    [sym__pipe_table_start] = ACTIONS(1564),
  },
  [292] = {
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_RBRACK] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [anon_sym_POUND] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [anon_sym_PERCENT] = ACTIONS(1296),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_SEMI] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1296),
    [anon_sym_QMARK] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1296),
    [anon_sym__] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [anon_sym_RPAREN] = ACTIONS(1296),
    [aux_sym__word_token1] = ACTIONS(1296),
    [aux_sym__word_token2] = ACTIONS(1296),
    [aux_sym__word_token3] = ACTIONS(1296),
    [sym__whitespace] = ACTIONS(1296),
    [sym__soft_line_ending] = ACTIONS(1296),
    [sym__block_close] = ACTIONS(1296),
    [sym__block_quote_start] = ACTIONS(1296),
    [sym__indented_chunk_start] = ACTIONS(1296),
    [sym_atx_h1_marker] = ACTIONS(1296),
    [sym_atx_h2_marker] = ACTIONS(1296),
    [sym_atx_h3_marker] = ACTIONS(1296),
    [sym_atx_h4_marker] = ACTIONS(1296),
    [sym_atx_h5_marker] = ACTIONS(1296),
    [sym_atx_h6_marker] = ACTIONS(1296),
    [sym__thematic_break] = ACTIONS(1296),
    [sym__list_marker_minus] = ACTIONS(1296),
    [sym__list_marker_plus] = ACTIONS(1296),
    [sym__list_marker_star] = ACTIONS(1296),
    [sym__list_marker_parenthesis] = ACTIONS(1296),
    [sym__list_marker_dot] = ACTIONS(1296),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1296),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1296),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1296),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1296),
    [sym__blank_line_start] = ACTIONS(1296),
    [sym__html_block_1_start] = ACTIONS(1296),
    [sym__html_block_2_start] = ACTIONS(1296),
    [sym__html_block_3_start] = ACTIONS(1296),
    [sym__html_block_4_start] = ACTIONS(1296),
    [sym__html_block_5_start] = ACTIONS(1296),
    [sym__html_block_6_start] = ACTIONS(1296),
    [sym__html_block_7_start] = ACTIONS(1296),
    [sym__pipe_table_start] = ACTIONS(1296),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1558),
    [anon_sym_RBRACK] = ACTIONS(1560),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_GT] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [anon_sym_POUND] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1560),
    [anon_sym_PERCENT] = ACTIONS(1560),
    [anon_sym_AMP] = ACTIONS(1560),
    [anon_sym_SQUOTE] = ACTIONS(1560),
    [anon_sym_STAR] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_COMMA] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_DOT] = ACTIONS(1560),
    [anon_sym_SLASH] = ACTIONS(1560),
    [anon_sym_COLON] = ACTIONS(1560),
    [anon_sym_SEMI] = ACTIONS(1560),
    [anon_sym_EQ] = ACTIONS(1560),
    [anon_sym_QMARK] = ACTIONS(1560),
    [anon_sym_AT] = ACTIONS(1560),
    [anon_sym_BSLASH] = ACTIONS(1560),
    [anon_sym_CARET] = ACTIONS(1560),
    [anon_sym__] = ACTIONS(1560),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_PIPE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(1560),
    [aux_sym__word_token1] = ACTIONS(1560),
    [aux_sym__word_token2] = ACTIONS(1560),
    [aux_sym__word_token3] = ACTIONS(1560),
    [sym__whitespace] = ACTIONS(1560),
    [sym__soft_line_ending] = ACTIONS(1560),
    [sym__block_quote_start] = ACTIONS(1560),
    [sym__indented_chunk_start] = ACTIONS(1560),
    [sym_atx_h1_marker] = ACTIONS(1560),
    [sym_atx_h2_marker] = ACTIONS(1560),
    [sym_atx_h3_marker] = ACTIONS(1560),
    [sym_atx_h4_marker] = ACTIONS(1560),
    [sym_atx_h5_marker] = ACTIONS(1560),
    [sym_atx_h6_marker] = ACTIONS(1560),
    [sym__thematic_break] = ACTIONS(1560),
    [sym__list_marker_minus] = ACTIONS(1560),
    [sym__list_marker_plus] = ACTIONS(1560),
    [sym__list_marker_star] = ACTIONS(1560),
    [sym__list_marker_parenthesis] = ACTIONS(1560),
    [sym__list_marker_dot] = ACTIONS(1560),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1560),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1560),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1560),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1560),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1560),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1560),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1560),
    [sym__blank_line_start] = ACTIONS(1560),
    [sym__html_block_1_start] = ACTIONS(1560),
    [sym__html_block_2_start] = ACTIONS(1560),
    [sym__html_block_3_start] = ACTIONS(1560),
    [sym__html_block_4_start] = ACTIONS(1560),
    [sym__html_block_5_start] = ACTIONS(1560),
    [sym__html_block_6_start] = ACTIONS(1560),
    [sym__html_block_7_start] = ACTIONS(1560),
    [sym__pipe_table_start] = ACTIONS(1560),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_RBRACK] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [anon_sym_POUND] = ACTIONS(1213),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1213),
    [anon_sym_QMARK] = ACTIONS(1213),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_BSLASH] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym__] = ACTIONS(1213),
    [anon_sym_BQUOTE] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_RPAREN] = ACTIONS(1213),
    [aux_sym__word_token1] = ACTIONS(1213),
    [aux_sym__word_token2] = ACTIONS(1213),
    [aux_sym__word_token3] = ACTIONS(1213),
    [sym__whitespace] = ACTIONS(1213),
    [sym__soft_line_ending] = ACTIONS(1213),
    [sym__block_quote_start] = ACTIONS(1213),
    [sym__indented_chunk_start] = ACTIONS(1213),
    [sym_atx_h1_marker] = ACTIONS(1213),
    [sym_atx_h2_marker] = ACTIONS(1213),
    [sym_atx_h3_marker] = ACTIONS(1213),
    [sym_atx_h4_marker] = ACTIONS(1213),
    [sym_atx_h5_marker] = ACTIONS(1213),
    [sym_atx_h6_marker] = ACTIONS(1213),
    [sym__thematic_break] = ACTIONS(1213),
    [sym__list_marker_minus] = ACTIONS(1213),
    [sym__list_marker_plus] = ACTIONS(1213),
    [sym__list_marker_star] = ACTIONS(1213),
    [sym__list_marker_parenthesis] = ACTIONS(1213),
    [sym__list_marker_dot] = ACTIONS(1213),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1213),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1213),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1213),
    [sym__blank_line_start] = ACTIONS(1213),
    [sym__html_block_1_start] = ACTIONS(1213),
    [sym__html_block_2_start] = ACTIONS(1213),
    [sym__html_block_3_start] = ACTIONS(1213),
    [sym__html_block_4_start] = ACTIONS(1213),
    [sym__html_block_5_start] = ACTIONS(1213),
    [sym__html_block_6_start] = ACTIONS(1213),
    [sym__html_block_7_start] = ACTIONS(1213),
    [sym__pipe_table_start] = ACTIONS(1213),
  },
  [295] = {
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [anon_sym_POUND] = ACTIONS(1209),
    [anon_sym_DOLLAR] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_DOT] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1209),
    [anon_sym_COLON] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_EQ] = ACTIONS(1209),
    [anon_sym_QMARK] = ACTIONS(1209),
    [anon_sym_AT] = ACTIONS(1209),
    [anon_sym_BSLASH] = ACTIONS(1209),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym__] = ACTIONS(1209),
    [anon_sym_BQUOTE] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_RPAREN] = ACTIONS(1209),
    [aux_sym__word_token1] = ACTIONS(1209),
    [aux_sym__word_token2] = ACTIONS(1209),
    [aux_sym__word_token3] = ACTIONS(1209),
    [sym__whitespace] = ACTIONS(1209),
    [sym__soft_line_ending] = ACTIONS(1209),
    [sym__block_close] = ACTIONS(1209),
    [sym__block_quote_start] = ACTIONS(1209),
    [sym__indented_chunk_start] = ACTIONS(1209),
    [sym_atx_h1_marker] = ACTIONS(1209),
    [sym_atx_h2_marker] = ACTIONS(1209),
    [sym_atx_h3_marker] = ACTIONS(1209),
    [sym_atx_h4_marker] = ACTIONS(1209),
    [sym_atx_h5_marker] = ACTIONS(1209),
    [sym_atx_h6_marker] = ACTIONS(1209),
    [sym__thematic_break] = ACTIONS(1209),
    [sym__list_marker_minus] = ACTIONS(1209),
    [sym__list_marker_plus] = ACTIONS(1209),
    [sym__list_marker_star] = ACTIONS(1209),
    [sym__list_marker_parenthesis] = ACTIONS(1209),
    [sym__list_marker_dot] = ACTIONS(1209),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1209),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1209),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1209),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1209),
    [sym__blank_line_start] = ACTIONS(1209),
    [sym__html_block_1_start] = ACTIONS(1209),
    [sym__html_block_2_start] = ACTIONS(1209),
    [sym__html_block_3_start] = ACTIONS(1209),
    [sym__html_block_4_start] = ACTIONS(1209),
    [sym__html_block_5_start] = ACTIONS(1209),
    [sym__html_block_6_start] = ACTIONS(1209),
    [sym__html_block_7_start] = ACTIONS(1209),
    [sym__pipe_table_start] = ACTIONS(1209),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_POUND] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [anon_sym_PERCENT] = ACTIONS(1552),
    [anon_sym_AMP] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [anon_sym_STAR] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_COMMA] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_DOT] = ACTIONS(1552),
    [anon_sym_SLASH] = ACTIONS(1552),
    [anon_sym_COLON] = ACTIONS(1552),
    [anon_sym_SEMI] = ACTIONS(1552),
    [anon_sym_EQ] = ACTIONS(1552),
    [anon_sym_QMARK] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1552),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_CARET] = ACTIONS(1552),
    [anon_sym__] = ACTIONS(1552),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [anon_sym_RPAREN] = ACTIONS(1552),
    [aux_sym__word_token1] = ACTIONS(1552),
    [aux_sym__word_token2] = ACTIONS(1552),
    [aux_sym__word_token3] = ACTIONS(1552),
    [sym__whitespace] = ACTIONS(1552),
    [sym__soft_line_ending] = ACTIONS(1552),
    [sym__block_quote_start] = ACTIONS(1552),
    [sym__indented_chunk_start] = ACTIONS(1552),
    [sym_atx_h1_marker] = ACTIONS(1552),
    [sym_atx_h2_marker] = ACTIONS(1552),
    [sym_atx_h3_marker] = ACTIONS(1552),
    [sym_atx_h4_marker] = ACTIONS(1552),
    [sym_atx_h5_marker] = ACTIONS(1552),
    [sym_atx_h6_marker] = ACTIONS(1552),
    [sym__thematic_break] = ACTIONS(1552),
    [sym__list_marker_minus] = ACTIONS(1552),
    [sym__list_marker_plus] = ACTIONS(1552),
    [sym__list_marker_star] = ACTIONS(1552),
    [sym__list_marker_parenthesis] = ACTIONS(1552),
    [sym__list_marker_dot] = ACTIONS(1552),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1552),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1552),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1552),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1552),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1552),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1552),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1552),
    [sym__blank_line_start] = ACTIONS(1552),
    [sym__html_block_1_start] = ACTIONS(1552),
    [sym__html_block_2_start] = ACTIONS(1552),
    [sym__html_block_3_start] = ACTIONS(1552),
    [sym__html_block_4_start] = ACTIONS(1552),
    [sym__html_block_5_start] = ACTIONS(1552),
    [sym__html_block_6_start] = ACTIONS(1552),
    [sym__html_block_7_start] = ACTIONS(1552),
    [sym__pipe_table_start] = ACTIONS(1552),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_RBRACK] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [anon_sym_POUND] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_COLON] = ACTIONS(1548),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_EQ] = ACTIONS(1548),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(1548),
    [anon_sym_BSLASH] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym__] = ACTIONS(1548),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [aux_sym__word_token1] = ACTIONS(1548),
    [aux_sym__word_token2] = ACTIONS(1548),
    [aux_sym__word_token3] = ACTIONS(1548),
    [sym__whitespace] = ACTIONS(1548),
    [sym__soft_line_ending] = ACTIONS(1548),
    [sym__block_quote_start] = ACTIONS(1548),
    [sym__indented_chunk_start] = ACTIONS(1548),
    [sym_atx_h1_marker] = ACTIONS(1548),
    [sym_atx_h2_marker] = ACTIONS(1548),
    [sym_atx_h3_marker] = ACTIONS(1548),
    [sym_atx_h4_marker] = ACTIONS(1548),
    [sym_atx_h5_marker] = ACTIONS(1548),
    [sym_atx_h6_marker] = ACTIONS(1548),
    [sym__thematic_break] = ACTIONS(1548),
    [sym__list_marker_minus] = ACTIONS(1548),
    [sym__list_marker_plus] = ACTIONS(1548),
    [sym__list_marker_star] = ACTIONS(1548),
    [sym__list_marker_parenthesis] = ACTIONS(1548),
    [sym__list_marker_dot] = ACTIONS(1548),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1548),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1548),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1548),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1548),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1548),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1548),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1548),
    [sym__blank_line_start] = ACTIONS(1548),
    [sym__html_block_1_start] = ACTIONS(1548),
    [sym__html_block_2_start] = ACTIONS(1548),
    [sym__html_block_3_start] = ACTIONS(1548),
    [sym__html_block_4_start] = ACTIONS(1548),
    [sym__html_block_5_start] = ACTIONS(1548),
    [sym__html_block_6_start] = ACTIONS(1548),
    [sym__html_block_7_start] = ACTIONS(1548),
    [sym__pipe_table_start] = ACTIONS(1548),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [anon_sym_RBRACK] = ACTIONS(1762),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [anon_sym_BANG] = ACTIONS(1762),
    [anon_sym_DQUOTE] = ACTIONS(1762),
    [anon_sym_POUND] = ACTIONS(1762),
    [anon_sym_DOLLAR] = ACTIONS(1762),
    [anon_sym_PERCENT] = ACTIONS(1762),
    [anon_sym_AMP] = ACTIONS(1762),
    [anon_sym_SQUOTE] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1762),
    [anon_sym_PLUS] = ACTIONS(1762),
    [anon_sym_COMMA] = ACTIONS(1762),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_DOT] = ACTIONS(1762),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_COLON] = ACTIONS(1762),
    [anon_sym_SEMI] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1762),
    [anon_sym_QMARK] = ACTIONS(1762),
    [anon_sym_AT] = ACTIONS(1762),
    [anon_sym_BSLASH] = ACTIONS(1762),
    [anon_sym_CARET] = ACTIONS(1762),
    [anon_sym__] = ACTIONS(1762),
    [anon_sym_BQUOTE] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_PIPE] = ACTIONS(1762),
    [anon_sym_RBRACE] = ACTIONS(1762),
    [anon_sym_TILDE] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(1762),
    [anon_sym_RPAREN] = ACTIONS(1762),
    [aux_sym__word_token1] = ACTIONS(1762),
    [aux_sym__word_token2] = ACTIONS(1762),
    [aux_sym__word_token3] = ACTIONS(1762),
    [sym__whitespace] = ACTIONS(1762),
    [sym__soft_line_ending] = ACTIONS(1762),
    [sym__block_quote_start] = ACTIONS(1762),
    [sym__indented_chunk_start] = ACTIONS(1762),
    [sym_atx_h1_marker] = ACTIONS(1762),
    [sym_atx_h2_marker] = ACTIONS(1762),
    [sym_atx_h3_marker] = ACTIONS(1762),
    [sym_atx_h4_marker] = ACTIONS(1762),
    [sym_atx_h5_marker] = ACTIONS(1762),
    [sym_atx_h6_marker] = ACTIONS(1762),
    [sym__thematic_break] = ACTIONS(1762),
    [sym__list_marker_minus] = ACTIONS(1762),
    [sym__list_marker_plus] = ACTIONS(1762),
    [sym__list_marker_star] = ACTIONS(1762),
    [sym__list_marker_parenthesis] = ACTIONS(1762),
    [sym__list_marker_dot] = ACTIONS(1762),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1762),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1762),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1762),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1762),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1762),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1762),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1762),
    [sym__blank_line_start] = ACTIONS(1762),
    [sym__html_block_1_start] = ACTIONS(1762),
    [sym__html_block_2_start] = ACTIONS(1762),
    [sym__html_block_3_start] = ACTIONS(1762),
    [sym__html_block_4_start] = ACTIONS(1762),
    [sym__html_block_5_start] = ACTIONS(1762),
    [sym__html_block_6_start] = ACTIONS(1762),
    [sym__html_block_7_start] = ACTIONS(1762),
    [sym__pipe_table_start] = ACTIONS(1762),
  },
  [299] = {
    [anon_sym_LBRACK] = ACTIONS(1624),
    [anon_sym_RBRACK] = ACTIONS(1622),
    [anon_sym_LT] = ACTIONS(1622),
    [anon_sym_GT] = ACTIONS(1622),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_DQUOTE] = ACTIONS(1622),
    [anon_sym_POUND] = ACTIONS(1622),
    [anon_sym_DOLLAR] = ACTIONS(1622),
    [anon_sym_PERCENT] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1622),
    [anon_sym_SQUOTE] = ACTIONS(1622),
    [anon_sym_STAR] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_COMMA] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_DOT] = ACTIONS(1622),
    [anon_sym_SLASH] = ACTIONS(1622),
    [anon_sym_COLON] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
    [anon_sym_QMARK] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [anon_sym_BSLASH] = ACTIONS(1622),
    [anon_sym_CARET] = ACTIONS(1622),
    [anon_sym__] = ACTIONS(1622),
    [anon_sym_BQUOTE] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_PIPE] = ACTIONS(1622),
    [anon_sym_RBRACE] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [anon_sym_RPAREN] = ACTIONS(1622),
    [aux_sym__word_token1] = ACTIONS(1622),
    [aux_sym__word_token2] = ACTIONS(1622),
    [aux_sym__word_token3] = ACTIONS(1622),
    [sym__whitespace] = ACTIONS(1622),
    [sym__soft_line_ending] = ACTIONS(1622),
    [sym__block_close] = ACTIONS(1622),
    [sym__block_quote_start] = ACTIONS(1622),
    [sym__indented_chunk_start] = ACTIONS(1622),
    [sym_atx_h1_marker] = ACTIONS(1622),
    [sym_atx_h2_marker] = ACTIONS(1622),
    [sym_atx_h3_marker] = ACTIONS(1622),
    [sym_atx_h4_marker] = ACTIONS(1622),
    [sym_atx_h5_marker] = ACTIONS(1622),
    [sym_atx_h6_marker] = ACTIONS(1622),
    [sym__thematic_break] = ACTIONS(1622),
    [sym__list_marker_minus] = ACTIONS(1622),
    [sym__list_marker_plus] = ACTIONS(1622),
    [sym__list_marker_star] = ACTIONS(1622),
    [sym__list_marker_parenthesis] = ACTIONS(1622),
    [sym__list_marker_dot] = ACTIONS(1622),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1622),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1622),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1622),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1622),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1622),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1622),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1622),
    [sym__blank_line_start] = ACTIONS(1622),
    [sym__html_block_1_start] = ACTIONS(1622),
    [sym__html_block_2_start] = ACTIONS(1622),
    [sym__html_block_3_start] = ACTIONS(1622),
    [sym__html_block_4_start] = ACTIONS(1622),
    [sym__html_block_5_start] = ACTIONS(1622),
    [sym__html_block_6_start] = ACTIONS(1622),
    [sym__html_block_7_start] = ACTIONS(1622),
    [sym__pipe_table_start] = ACTIONS(1622),
  },
  [300] = {
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_RBRACK] = ACTIONS(1630),
    [anon_sym_LT] = ACTIONS(1630),
    [anon_sym_GT] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1630),
    [anon_sym_DQUOTE] = ACTIONS(1630),
    [anon_sym_POUND] = ACTIONS(1630),
    [anon_sym_DOLLAR] = ACTIONS(1630),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_AMP] = ACTIONS(1630),
    [anon_sym_SQUOTE] = ACTIONS(1630),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_COMMA] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_DOT] = ACTIONS(1630),
    [anon_sym_SLASH] = ACTIONS(1630),
    [anon_sym_COLON] = ACTIONS(1630),
    [anon_sym_SEMI] = ACTIONS(1630),
    [anon_sym_EQ] = ACTIONS(1630),
    [anon_sym_QMARK] = ACTIONS(1630),
    [anon_sym_AT] = ACTIONS(1630),
    [anon_sym_BSLASH] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1630),
    [anon_sym__] = ACTIONS(1630),
    [anon_sym_BQUOTE] = ACTIONS(1630),
    [anon_sym_LBRACE] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1630),
    [anon_sym_RBRACE] = ACTIONS(1630),
    [anon_sym_TILDE] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1630),
    [anon_sym_RPAREN] = ACTIONS(1630),
    [aux_sym__word_token1] = ACTIONS(1630),
    [aux_sym__word_token2] = ACTIONS(1630),
    [aux_sym__word_token3] = ACTIONS(1630),
    [sym__whitespace] = ACTIONS(1630),
    [sym__soft_line_ending] = ACTIONS(1630),
    [sym__block_close] = ACTIONS(1630),
    [sym__block_quote_start] = ACTIONS(1630),
    [sym__indented_chunk_start] = ACTIONS(1630),
    [sym_atx_h1_marker] = ACTIONS(1630),
    [sym_atx_h2_marker] = ACTIONS(1630),
    [sym_atx_h3_marker] = ACTIONS(1630),
    [sym_atx_h4_marker] = ACTIONS(1630),
    [sym_atx_h5_marker] = ACTIONS(1630),
    [sym_atx_h6_marker] = ACTIONS(1630),
    [sym__thematic_break] = ACTIONS(1630),
    [sym__list_marker_minus] = ACTIONS(1630),
    [sym__list_marker_plus] = ACTIONS(1630),
    [sym__list_marker_star] = ACTIONS(1630),
    [sym__list_marker_parenthesis] = ACTIONS(1630),
    [sym__list_marker_dot] = ACTIONS(1630),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1630),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1630),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1630),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1630),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1630),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1630),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1630),
    [sym__blank_line_start] = ACTIONS(1630),
    [sym__html_block_1_start] = ACTIONS(1630),
    [sym__html_block_2_start] = ACTIONS(1630),
    [sym__html_block_3_start] = ACTIONS(1630),
    [sym__html_block_4_start] = ACTIONS(1630),
    [sym__html_block_5_start] = ACTIONS(1630),
    [sym__html_block_6_start] = ACTIONS(1630),
    [sym__html_block_7_start] = ACTIONS(1630),
    [sym__pipe_table_start] = ACTIONS(1630),
  },
  [301] = {
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_RBRACK] = ACTIONS(1642),
    [anon_sym_LT] = ACTIONS(1642),
    [anon_sym_GT] = ACTIONS(1642),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_DQUOTE] = ACTIONS(1642),
    [anon_sym_POUND] = ACTIONS(1642),
    [anon_sym_DOLLAR] = ACTIONS(1642),
    [anon_sym_PERCENT] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(1642),
    [anon_sym_SQUOTE] = ACTIONS(1642),
    [anon_sym_STAR] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_COMMA] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_DOT] = ACTIONS(1642),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_COLON] = ACTIONS(1642),
    [anon_sym_SEMI] = ACTIONS(1642),
    [anon_sym_EQ] = ACTIONS(1642),
    [anon_sym_QMARK] = ACTIONS(1642),
    [anon_sym_AT] = ACTIONS(1642),
    [anon_sym_BSLASH] = ACTIONS(1642),
    [anon_sym_CARET] = ACTIONS(1642),
    [anon_sym__] = ACTIONS(1642),
    [anon_sym_BQUOTE] = ACTIONS(1642),
    [anon_sym_LBRACE] = ACTIONS(1642),
    [anon_sym_PIPE] = ACTIONS(1642),
    [anon_sym_RBRACE] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1642),
    [anon_sym_RPAREN] = ACTIONS(1642),
    [aux_sym__word_token1] = ACTIONS(1642),
    [aux_sym__word_token2] = ACTIONS(1642),
    [aux_sym__word_token3] = ACTIONS(1642),
    [sym__whitespace] = ACTIONS(1642),
    [sym__soft_line_ending] = ACTIONS(1642),
    [sym__block_close] = ACTIONS(1642),
    [sym__block_quote_start] = ACTIONS(1642),
    [sym__indented_chunk_start] = ACTIONS(1642),
    [sym_atx_h1_marker] = ACTIONS(1642),
    [sym_atx_h2_marker] = ACTIONS(1642),
    [sym_atx_h3_marker] = ACTIONS(1642),
    [sym_atx_h4_marker] = ACTIONS(1642),
    [sym_atx_h5_marker] = ACTIONS(1642),
    [sym_atx_h6_marker] = ACTIONS(1642),
    [sym__thematic_break] = ACTIONS(1642),
    [sym__list_marker_minus] = ACTIONS(1642),
    [sym__list_marker_plus] = ACTIONS(1642),
    [sym__list_marker_star] = ACTIONS(1642),
    [sym__list_marker_parenthesis] = ACTIONS(1642),
    [sym__list_marker_dot] = ACTIONS(1642),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1642),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1642),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1642),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1642),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1642),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1642),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1642),
    [sym__blank_line_start] = ACTIONS(1642),
    [sym__html_block_1_start] = ACTIONS(1642),
    [sym__html_block_2_start] = ACTIONS(1642),
    [sym__html_block_3_start] = ACTIONS(1642),
    [sym__html_block_4_start] = ACTIONS(1642),
    [sym__html_block_5_start] = ACTIONS(1642),
    [sym__html_block_6_start] = ACTIONS(1642),
    [sym__html_block_7_start] = ACTIONS(1642),
    [sym__pipe_table_start] = ACTIONS(1642),
  },
  [302] = {
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_RBRACK] = ACTIONS(1650),
    [anon_sym_LT] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_BANG] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(1650),
    [anon_sym_POUND] = ACTIONS(1650),
    [anon_sym_DOLLAR] = ACTIONS(1650),
    [anon_sym_PERCENT] = ACTIONS(1650),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_SQUOTE] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_DOT] = ACTIONS(1650),
    [anon_sym_SLASH] = ACTIONS(1650),
    [anon_sym_COLON] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1650),
    [anon_sym_EQ] = ACTIONS(1650),
    [anon_sym_QMARK] = ACTIONS(1650),
    [anon_sym_AT] = ACTIONS(1650),
    [anon_sym_BSLASH] = ACTIONS(1650),
    [anon_sym_CARET] = ACTIONS(1650),
    [anon_sym__] = ACTIONS(1650),
    [anon_sym_BQUOTE] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_RBRACE] = ACTIONS(1650),
    [anon_sym_TILDE] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_RPAREN] = ACTIONS(1650),
    [aux_sym__word_token1] = ACTIONS(1650),
    [aux_sym__word_token2] = ACTIONS(1650),
    [aux_sym__word_token3] = ACTIONS(1650),
    [sym__whitespace] = ACTIONS(1650),
    [sym__soft_line_ending] = ACTIONS(1650),
    [sym__block_close] = ACTIONS(1650),
    [sym__block_quote_start] = ACTIONS(1650),
    [sym__indented_chunk_start] = ACTIONS(1650),
    [sym_atx_h1_marker] = ACTIONS(1650),
    [sym_atx_h2_marker] = ACTIONS(1650),
    [sym_atx_h3_marker] = ACTIONS(1650),
    [sym_atx_h4_marker] = ACTIONS(1650),
    [sym_atx_h5_marker] = ACTIONS(1650),
    [sym_atx_h6_marker] = ACTIONS(1650),
    [sym__thematic_break] = ACTIONS(1650),
    [sym__list_marker_minus] = ACTIONS(1650),
    [sym__list_marker_plus] = ACTIONS(1650),
    [sym__list_marker_star] = ACTIONS(1650),
    [sym__list_marker_parenthesis] = ACTIONS(1650),
    [sym__list_marker_dot] = ACTIONS(1650),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1650),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1650),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1650),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1650),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1650),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1650),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1650),
    [sym__blank_line_start] = ACTIONS(1650),
    [sym__html_block_1_start] = ACTIONS(1650),
    [sym__html_block_2_start] = ACTIONS(1650),
    [sym__html_block_3_start] = ACTIONS(1650),
    [sym__html_block_4_start] = ACTIONS(1650),
    [sym__html_block_5_start] = ACTIONS(1650),
    [sym__html_block_6_start] = ACTIONS(1650),
    [sym__html_block_7_start] = ACTIONS(1650),
    [sym__pipe_table_start] = ACTIONS(1650),
  },
  [303] = {
    [anon_sym_LBRACK] = ACTIONS(1672),
    [anon_sym_RBRACK] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_GT] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1670),
    [anon_sym_DQUOTE] = ACTIONS(1670),
    [anon_sym_POUND] = ACTIONS(1670),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_PERCENT] = ACTIONS(1670),
    [anon_sym_AMP] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_COMMA] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_DOT] = ACTIONS(1670),
    [anon_sym_SLASH] = ACTIONS(1670),
    [anon_sym_COLON] = ACTIONS(1670),
    [anon_sym_SEMI] = ACTIONS(1670),
    [anon_sym_EQ] = ACTIONS(1670),
    [anon_sym_QMARK] = ACTIONS(1670),
    [anon_sym_AT] = ACTIONS(1670),
    [anon_sym_BSLASH] = ACTIONS(1670),
    [anon_sym_CARET] = ACTIONS(1670),
    [anon_sym__] = ACTIONS(1670),
    [anon_sym_BQUOTE] = ACTIONS(1670),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [anon_sym_PIPE] = ACTIONS(1670),
    [anon_sym_RBRACE] = ACTIONS(1670),
    [anon_sym_TILDE] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [anon_sym_RPAREN] = ACTIONS(1670),
    [aux_sym__word_token1] = ACTIONS(1670),
    [aux_sym__word_token2] = ACTIONS(1670),
    [aux_sym__word_token3] = ACTIONS(1670),
    [sym__whitespace] = ACTIONS(1670),
    [sym__soft_line_ending] = ACTIONS(1670),
    [sym__block_close] = ACTIONS(1670),
    [sym__block_quote_start] = ACTIONS(1670),
    [sym__indented_chunk_start] = ACTIONS(1670),
    [sym_atx_h1_marker] = ACTIONS(1670),
    [sym_atx_h2_marker] = ACTIONS(1670),
    [sym_atx_h3_marker] = ACTIONS(1670),
    [sym_atx_h4_marker] = ACTIONS(1670),
    [sym_atx_h5_marker] = ACTIONS(1670),
    [sym_atx_h6_marker] = ACTIONS(1670),
    [sym__thematic_break] = ACTIONS(1670),
    [sym__list_marker_minus] = ACTIONS(1670),
    [sym__list_marker_plus] = ACTIONS(1670),
    [sym__list_marker_star] = ACTIONS(1670),
    [sym__list_marker_parenthesis] = ACTIONS(1670),
    [sym__list_marker_dot] = ACTIONS(1670),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1670),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1670),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1670),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1670),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1670),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1670),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1670),
    [sym__blank_line_start] = ACTIONS(1670),
    [sym__html_block_1_start] = ACTIONS(1670),
    [sym__html_block_2_start] = ACTIONS(1670),
    [sym__html_block_3_start] = ACTIONS(1670),
    [sym__html_block_4_start] = ACTIONS(1670),
    [sym__html_block_5_start] = ACTIONS(1670),
    [sym__html_block_6_start] = ACTIONS(1670),
    [sym__html_block_7_start] = ACTIONS(1670),
    [sym__pipe_table_start] = ACTIONS(1670),
  },
  [304] = {
    [anon_sym_LBRACK] = ACTIONS(1680),
    [anon_sym_RBRACK] = ACTIONS(1678),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_GT] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_DQUOTE] = ACTIONS(1678),
    [anon_sym_POUND] = ACTIONS(1678),
    [anon_sym_DOLLAR] = ACTIONS(1678),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_AMP] = ACTIONS(1678),
    [anon_sym_SQUOTE] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_DOT] = ACTIONS(1678),
    [anon_sym_SLASH] = ACTIONS(1678),
    [anon_sym_COLON] = ACTIONS(1678),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_EQ] = ACTIONS(1678),
    [anon_sym_QMARK] = ACTIONS(1678),
    [anon_sym_AT] = ACTIONS(1678),
    [anon_sym_BSLASH] = ACTIONS(1678),
    [anon_sym_CARET] = ACTIONS(1678),
    [anon_sym__] = ACTIONS(1678),
    [anon_sym_BQUOTE] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_RPAREN] = ACTIONS(1678),
    [aux_sym__word_token1] = ACTIONS(1678),
    [aux_sym__word_token2] = ACTIONS(1678),
    [aux_sym__word_token3] = ACTIONS(1678),
    [sym__whitespace] = ACTIONS(1678),
    [sym__soft_line_ending] = ACTIONS(1678),
    [sym__block_close] = ACTIONS(1678),
    [sym__block_quote_start] = ACTIONS(1678),
    [sym__indented_chunk_start] = ACTIONS(1678),
    [sym_atx_h1_marker] = ACTIONS(1678),
    [sym_atx_h2_marker] = ACTIONS(1678),
    [sym_atx_h3_marker] = ACTIONS(1678),
    [sym_atx_h4_marker] = ACTIONS(1678),
    [sym_atx_h5_marker] = ACTIONS(1678),
    [sym_atx_h6_marker] = ACTIONS(1678),
    [sym__thematic_break] = ACTIONS(1678),
    [sym__list_marker_minus] = ACTIONS(1678),
    [sym__list_marker_plus] = ACTIONS(1678),
    [sym__list_marker_star] = ACTIONS(1678),
    [sym__list_marker_parenthesis] = ACTIONS(1678),
    [sym__list_marker_dot] = ACTIONS(1678),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1678),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1678),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1678),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1678),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1678),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1678),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1678),
    [sym__blank_line_start] = ACTIONS(1678),
    [sym__html_block_1_start] = ACTIONS(1678),
    [sym__html_block_2_start] = ACTIONS(1678),
    [sym__html_block_3_start] = ACTIONS(1678),
    [sym__html_block_4_start] = ACTIONS(1678),
    [sym__html_block_5_start] = ACTIONS(1678),
    [sym__html_block_6_start] = ACTIONS(1678),
    [sym__html_block_7_start] = ACTIONS(1678),
    [sym__pipe_table_start] = ACTIONS(1678),
  },
  [305] = {
    [anon_sym_LBRACK] = ACTIONS(1716),
    [anon_sym_RBRACK] = ACTIONS(1714),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_DQUOTE] = ACTIONS(1714),
    [anon_sym_POUND] = ACTIONS(1714),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [anon_sym_PERCENT] = ACTIONS(1714),
    [anon_sym_AMP] = ACTIONS(1714),
    [anon_sym_SQUOTE] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1714),
    [anon_sym_COMMA] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_DOT] = ACTIONS(1714),
    [anon_sym_SLASH] = ACTIONS(1714),
    [anon_sym_COLON] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_EQ] = ACTIONS(1714),
    [anon_sym_QMARK] = ACTIONS(1714),
    [anon_sym_AT] = ACTIONS(1714),
    [anon_sym_BSLASH] = ACTIONS(1714),
    [anon_sym_CARET] = ACTIONS(1714),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_BQUOTE] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_RPAREN] = ACTIONS(1714),
    [aux_sym__word_token1] = ACTIONS(1714),
    [aux_sym__word_token2] = ACTIONS(1714),
    [aux_sym__word_token3] = ACTIONS(1714),
    [sym__whitespace] = ACTIONS(1714),
    [sym__soft_line_ending] = ACTIONS(1714),
    [sym__block_close] = ACTIONS(1714),
    [sym__block_quote_start] = ACTIONS(1714),
    [sym__indented_chunk_start] = ACTIONS(1714),
    [sym_atx_h1_marker] = ACTIONS(1714),
    [sym_atx_h2_marker] = ACTIONS(1714),
    [sym_atx_h3_marker] = ACTIONS(1714),
    [sym_atx_h4_marker] = ACTIONS(1714),
    [sym_atx_h5_marker] = ACTIONS(1714),
    [sym_atx_h6_marker] = ACTIONS(1714),
    [sym__thematic_break] = ACTIONS(1714),
    [sym__list_marker_minus] = ACTIONS(1714),
    [sym__list_marker_plus] = ACTIONS(1714),
    [sym__list_marker_star] = ACTIONS(1714),
    [sym__list_marker_parenthesis] = ACTIONS(1714),
    [sym__list_marker_dot] = ACTIONS(1714),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1714),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1714),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1714),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1714),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1714),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1714),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1714),
    [sym__blank_line_start] = ACTIONS(1714),
    [sym__html_block_1_start] = ACTIONS(1714),
    [sym__html_block_2_start] = ACTIONS(1714),
    [sym__html_block_3_start] = ACTIONS(1714),
    [sym__html_block_4_start] = ACTIONS(1714),
    [sym__html_block_5_start] = ACTIONS(1714),
    [sym__html_block_6_start] = ACTIONS(1714),
    [sym__html_block_7_start] = ACTIONS(1714),
    [sym__pipe_table_start] = ACTIONS(1714),
  },
  [306] = {
    [anon_sym_LBRACK] = ACTIONS(1241),
    [anon_sym_RBRACK] = ACTIONS(1239),
    [anon_sym_LT] = ACTIONS(1239),
    [anon_sym_GT] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1239),
    [anon_sym_POUND] = ACTIONS(1239),
    [anon_sym_DOLLAR] = ACTIONS(1239),
    [anon_sym_PERCENT] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1239),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_DOT] = ACTIONS(1239),
    [anon_sym_SLASH] = ACTIONS(1239),
    [anon_sym_COLON] = ACTIONS(1239),
    [anon_sym_SEMI] = ACTIONS(1239),
    [anon_sym_EQ] = ACTIONS(1239),
    [anon_sym_QMARK] = ACTIONS(1239),
    [anon_sym_AT] = ACTIONS(1239),
    [anon_sym_BSLASH] = ACTIONS(1239),
    [anon_sym_CARET] = ACTIONS(1239),
    [anon_sym__] = ACTIONS(1239),
    [anon_sym_BQUOTE] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1239),
    [anon_sym_PIPE] = ACTIONS(1239),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [anon_sym_RPAREN] = ACTIONS(1239),
    [aux_sym__word_token1] = ACTIONS(1239),
    [aux_sym__word_token2] = ACTIONS(1239),
    [aux_sym__word_token3] = ACTIONS(1239),
    [sym__whitespace] = ACTIONS(1239),
    [sym__soft_line_ending] = ACTIONS(1239),
    [sym__block_close] = ACTIONS(1239),
    [sym__block_quote_start] = ACTIONS(1239),
    [sym__indented_chunk_start] = ACTIONS(1239),
    [sym_atx_h1_marker] = ACTIONS(1239),
    [sym_atx_h2_marker] = ACTIONS(1239),
    [sym_atx_h3_marker] = ACTIONS(1239),
    [sym_atx_h4_marker] = ACTIONS(1239),
    [sym_atx_h5_marker] = ACTIONS(1239),
    [sym_atx_h6_marker] = ACTIONS(1239),
    [sym__thematic_break] = ACTIONS(1239),
    [sym__list_marker_minus] = ACTIONS(1239),
    [sym__list_marker_plus] = ACTIONS(1239),
    [sym__list_marker_star] = ACTIONS(1239),
    [sym__list_marker_parenthesis] = ACTIONS(1239),
    [sym__list_marker_dot] = ACTIONS(1239),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1239),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1239),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1239),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1239),
    [sym__blank_line_start] = ACTIONS(1239),
    [sym__html_block_1_start] = ACTIONS(1239),
    [sym__html_block_2_start] = ACTIONS(1239),
    [sym__html_block_3_start] = ACTIONS(1239),
    [sym__html_block_4_start] = ACTIONS(1239),
    [sym__html_block_5_start] = ACTIONS(1239),
    [sym__html_block_6_start] = ACTIONS(1239),
    [sym__html_block_7_start] = ACTIONS(1239),
    [sym__pipe_table_start] = ACTIONS(1239),
  },
  [307] = {
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_RBRACK] = ACTIONS(1686),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_GT] = ACTIONS(1686),
    [anon_sym_BANG] = ACTIONS(1686),
    [anon_sym_DQUOTE] = ACTIONS(1686),
    [anon_sym_POUND] = ACTIONS(1686),
    [anon_sym_DOLLAR] = ACTIONS(1686),
    [anon_sym_PERCENT] = ACTIONS(1686),
    [anon_sym_AMP] = ACTIONS(1686),
    [anon_sym_SQUOTE] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1686),
    [anon_sym_PLUS] = ACTIONS(1686),
    [anon_sym_COMMA] = ACTIONS(1686),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_DOT] = ACTIONS(1686),
    [anon_sym_SLASH] = ACTIONS(1686),
    [anon_sym_COLON] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1686),
    [anon_sym_EQ] = ACTIONS(1686),
    [anon_sym_QMARK] = ACTIONS(1686),
    [anon_sym_AT] = ACTIONS(1686),
    [anon_sym_BSLASH] = ACTIONS(1686),
    [anon_sym_CARET] = ACTIONS(1686),
    [anon_sym__] = ACTIONS(1686),
    [anon_sym_BQUOTE] = ACTIONS(1686),
    [anon_sym_LBRACE] = ACTIONS(1686),
    [anon_sym_PIPE] = ACTIONS(1686),
    [anon_sym_RBRACE] = ACTIONS(1686),
    [anon_sym_TILDE] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1686),
    [anon_sym_RPAREN] = ACTIONS(1686),
    [aux_sym__word_token1] = ACTIONS(1686),
    [aux_sym__word_token2] = ACTIONS(1686),
    [aux_sym__word_token3] = ACTIONS(1686),
    [sym__whitespace] = ACTIONS(1686),
    [sym__soft_line_ending] = ACTIONS(1686),
    [sym__block_close] = ACTIONS(1686),
    [sym__block_quote_start] = ACTIONS(1686),
    [sym__indented_chunk_start] = ACTIONS(1686),
    [sym_atx_h1_marker] = ACTIONS(1686),
    [sym_atx_h2_marker] = ACTIONS(1686),
    [sym_atx_h3_marker] = ACTIONS(1686),
    [sym_atx_h4_marker] = ACTIONS(1686),
    [sym_atx_h5_marker] = ACTIONS(1686),
    [sym_atx_h6_marker] = ACTIONS(1686),
    [sym__thematic_break] = ACTIONS(1686),
    [sym__list_marker_minus] = ACTIONS(1686),
    [sym__list_marker_plus] = ACTIONS(1686),
    [sym__list_marker_star] = ACTIONS(1686),
    [sym__list_marker_parenthesis] = ACTIONS(1686),
    [sym__list_marker_dot] = ACTIONS(1686),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1686),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1686),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1686),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1686),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1686),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1686),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1686),
    [sym__blank_line_start] = ACTIONS(1686),
    [sym__html_block_1_start] = ACTIONS(1686),
    [sym__html_block_2_start] = ACTIONS(1686),
    [sym__html_block_3_start] = ACTIONS(1686),
    [sym__html_block_4_start] = ACTIONS(1686),
    [sym__html_block_5_start] = ACTIONS(1686),
    [sym__html_block_6_start] = ACTIONS(1686),
    [sym__html_block_7_start] = ACTIONS(1686),
    [sym__pipe_table_start] = ACTIONS(1686),
  },
  [308] = {
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_RBRACK] = ACTIONS(1690),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_GT] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_DQUOTE] = ACTIONS(1690),
    [anon_sym_POUND] = ACTIONS(1690),
    [anon_sym_DOLLAR] = ACTIONS(1690),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(1690),
    [anon_sym_SQUOTE] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_COMMA] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_DOT] = ACTIONS(1690),
    [anon_sym_SLASH] = ACTIONS(1690),
    [anon_sym_COLON] = ACTIONS(1690),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_EQ] = ACTIONS(1690),
    [anon_sym_QMARK] = ACTIONS(1690),
    [anon_sym_AT] = ACTIONS(1690),
    [anon_sym_BSLASH] = ACTIONS(1690),
    [anon_sym_CARET] = ACTIONS(1690),
    [anon_sym__] = ACTIONS(1690),
    [anon_sym_BQUOTE] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_RPAREN] = ACTIONS(1690),
    [aux_sym__word_token1] = ACTIONS(1690),
    [aux_sym__word_token2] = ACTIONS(1690),
    [aux_sym__word_token3] = ACTIONS(1690),
    [sym__whitespace] = ACTIONS(1690),
    [sym__soft_line_ending] = ACTIONS(1690),
    [sym__block_close] = ACTIONS(1690),
    [sym__block_quote_start] = ACTIONS(1690),
    [sym__indented_chunk_start] = ACTIONS(1690),
    [sym_atx_h1_marker] = ACTIONS(1690),
    [sym_atx_h2_marker] = ACTIONS(1690),
    [sym_atx_h3_marker] = ACTIONS(1690),
    [sym_atx_h4_marker] = ACTIONS(1690),
    [sym_atx_h5_marker] = ACTIONS(1690),
    [sym_atx_h6_marker] = ACTIONS(1690),
    [sym__thematic_break] = ACTIONS(1690),
    [sym__list_marker_minus] = ACTIONS(1690),
    [sym__list_marker_plus] = ACTIONS(1690),
    [sym__list_marker_star] = ACTIONS(1690),
    [sym__list_marker_parenthesis] = ACTIONS(1690),
    [sym__list_marker_dot] = ACTIONS(1690),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1690),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1690),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1690),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1690),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1690),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1690),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1690),
    [sym__blank_line_start] = ACTIONS(1690),
    [sym__html_block_1_start] = ACTIONS(1690),
    [sym__html_block_2_start] = ACTIONS(1690),
    [sym__html_block_3_start] = ACTIONS(1690),
    [sym__html_block_4_start] = ACTIONS(1690),
    [sym__html_block_5_start] = ACTIONS(1690),
    [sym__html_block_6_start] = ACTIONS(1690),
    [sym__html_block_7_start] = ACTIONS(1690),
    [sym__pipe_table_start] = ACTIONS(1690),
  },
  [309] = {
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_RBRACK] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_DQUOTE] = ACTIONS(1722),
    [anon_sym_POUND] = ACTIONS(1722),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [anon_sym_PERCENT] = ACTIONS(1722),
    [anon_sym_AMP] = ACTIONS(1722),
    [anon_sym_SQUOTE] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1722),
    [anon_sym_PLUS] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_DOT] = ACTIONS(1722),
    [anon_sym_SLASH] = ACTIONS(1722),
    [anon_sym_COLON] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_EQ] = ACTIONS(1722),
    [anon_sym_QMARK] = ACTIONS(1722),
    [anon_sym_AT] = ACTIONS(1722),
    [anon_sym_BSLASH] = ACTIONS(1722),
    [anon_sym_CARET] = ACTIONS(1722),
    [anon_sym__] = ACTIONS(1722),
    [anon_sym_BQUOTE] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_RPAREN] = ACTIONS(1722),
    [aux_sym__word_token1] = ACTIONS(1722),
    [aux_sym__word_token2] = ACTIONS(1722),
    [aux_sym__word_token3] = ACTIONS(1722),
    [sym__whitespace] = ACTIONS(1722),
    [sym__soft_line_ending] = ACTIONS(1722),
    [sym__block_close] = ACTIONS(1722),
    [sym__block_quote_start] = ACTIONS(1722),
    [sym__indented_chunk_start] = ACTIONS(1722),
    [sym_atx_h1_marker] = ACTIONS(1722),
    [sym_atx_h2_marker] = ACTIONS(1722),
    [sym_atx_h3_marker] = ACTIONS(1722),
    [sym_atx_h4_marker] = ACTIONS(1722),
    [sym_atx_h5_marker] = ACTIONS(1722),
    [sym_atx_h6_marker] = ACTIONS(1722),
    [sym__thematic_break] = ACTIONS(1722),
    [sym__list_marker_minus] = ACTIONS(1722),
    [sym__list_marker_plus] = ACTIONS(1722),
    [sym__list_marker_star] = ACTIONS(1722),
    [sym__list_marker_parenthesis] = ACTIONS(1722),
    [sym__list_marker_dot] = ACTIONS(1722),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1722),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1722),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1722),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1722),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1722),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1722),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1722),
    [sym__blank_line_start] = ACTIONS(1722),
    [sym__html_block_1_start] = ACTIONS(1722),
    [sym__html_block_2_start] = ACTIONS(1722),
    [sym__html_block_3_start] = ACTIONS(1722),
    [sym__html_block_4_start] = ACTIONS(1722),
    [sym__html_block_5_start] = ACTIONS(1722),
    [sym__html_block_6_start] = ACTIONS(1722),
    [sym__html_block_7_start] = ACTIONS(1722),
    [sym__pipe_table_start] = ACTIONS(1722),
  },
  [310] = {
    [anon_sym_LBRACK] = ACTIONS(1720),
    [anon_sym_RBRACK] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_DQUOTE] = ACTIONS(1718),
    [anon_sym_POUND] = ACTIONS(1718),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [anon_sym_PERCENT] = ACTIONS(1718),
    [anon_sym_AMP] = ACTIONS(1718),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1718),
    [anon_sym_PLUS] = ACTIONS(1718),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_SLASH] = ACTIONS(1718),
    [anon_sym_COLON] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_EQ] = ACTIONS(1718),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_AT] = ACTIONS(1718),
    [anon_sym_BSLASH] = ACTIONS(1718),
    [anon_sym_CARET] = ACTIONS(1718),
    [anon_sym__] = ACTIONS(1718),
    [anon_sym_BQUOTE] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_RPAREN] = ACTIONS(1718),
    [aux_sym__word_token1] = ACTIONS(1718),
    [aux_sym__word_token2] = ACTIONS(1718),
    [aux_sym__word_token3] = ACTIONS(1718),
    [sym__whitespace] = ACTIONS(1718),
    [sym__soft_line_ending] = ACTIONS(1718),
    [sym__block_close] = ACTIONS(1718),
    [sym__block_quote_start] = ACTIONS(1718),
    [sym__indented_chunk_start] = ACTIONS(1718),
    [sym_atx_h1_marker] = ACTIONS(1718),
    [sym_atx_h2_marker] = ACTIONS(1718),
    [sym_atx_h3_marker] = ACTIONS(1718),
    [sym_atx_h4_marker] = ACTIONS(1718),
    [sym_atx_h5_marker] = ACTIONS(1718),
    [sym_atx_h6_marker] = ACTIONS(1718),
    [sym__thematic_break] = ACTIONS(1718),
    [sym__list_marker_minus] = ACTIONS(1718),
    [sym__list_marker_plus] = ACTIONS(1718),
    [sym__list_marker_star] = ACTIONS(1718),
    [sym__list_marker_parenthesis] = ACTIONS(1718),
    [sym__list_marker_dot] = ACTIONS(1718),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1718),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1718),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1718),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1718),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1718),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1718),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1718),
    [sym__blank_line_start] = ACTIONS(1718),
    [sym__html_block_1_start] = ACTIONS(1718),
    [sym__html_block_2_start] = ACTIONS(1718),
    [sym__html_block_3_start] = ACTIONS(1718),
    [sym__html_block_4_start] = ACTIONS(1718),
    [sym__html_block_5_start] = ACTIONS(1718),
    [sym__html_block_6_start] = ACTIONS(1718),
    [sym__html_block_7_start] = ACTIONS(1718),
    [sym__pipe_table_start] = ACTIONS(1718),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_RBRACK] = ACTIONS(1544),
    [anon_sym_LT] = ACTIONS(1544),
    [anon_sym_GT] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [anon_sym_POUND] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [anon_sym_PERCENT] = ACTIONS(1544),
    [anon_sym_AMP] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_STAR] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_DOT] = ACTIONS(1544),
    [anon_sym_SLASH] = ACTIONS(1544),
    [anon_sym_COLON] = ACTIONS(1544),
    [anon_sym_SEMI] = ACTIONS(1544),
    [anon_sym_EQ] = ACTIONS(1544),
    [anon_sym_QMARK] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_CARET] = ACTIONS(1544),
    [anon_sym__] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_PIPE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [anon_sym_RPAREN] = ACTIONS(1544),
    [aux_sym__word_token1] = ACTIONS(1544),
    [aux_sym__word_token2] = ACTIONS(1544),
    [aux_sym__word_token3] = ACTIONS(1544),
    [sym__whitespace] = ACTIONS(1544),
    [sym__soft_line_ending] = ACTIONS(1544),
    [sym__block_quote_start] = ACTIONS(1544),
    [sym__indented_chunk_start] = ACTIONS(1544),
    [sym_atx_h1_marker] = ACTIONS(1544),
    [sym_atx_h2_marker] = ACTIONS(1544),
    [sym_atx_h3_marker] = ACTIONS(1544),
    [sym_atx_h4_marker] = ACTIONS(1544),
    [sym_atx_h5_marker] = ACTIONS(1544),
    [sym_atx_h6_marker] = ACTIONS(1544),
    [sym__thematic_break] = ACTIONS(1544),
    [sym__list_marker_minus] = ACTIONS(1544),
    [sym__list_marker_plus] = ACTIONS(1544),
    [sym__list_marker_star] = ACTIONS(1544),
    [sym__list_marker_parenthesis] = ACTIONS(1544),
    [sym__list_marker_dot] = ACTIONS(1544),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1544),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1544),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1544),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1544),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1544),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1544),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1544),
    [sym__blank_line_start] = ACTIONS(1544),
    [sym__html_block_1_start] = ACTIONS(1544),
    [sym__html_block_2_start] = ACTIONS(1544),
    [sym__html_block_3_start] = ACTIONS(1544),
    [sym__html_block_4_start] = ACTIONS(1544),
    [sym__html_block_5_start] = ACTIONS(1544),
    [sym__html_block_6_start] = ACTIONS(1544),
    [sym__html_block_7_start] = ACTIONS(1544),
    [sym__pipe_table_start] = ACTIONS(1544),
  },
  [312] = {
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_RBRACK] = ACTIONS(1169),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_POUND] = ACTIONS(1169),
    [anon_sym_DOLLAR] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_EQ] = ACTIONS(1169),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_AT] = ACTIONS(1169),
    [anon_sym_BSLASH] = ACTIONS(1169),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym__] = ACTIONS(1169),
    [anon_sym_BQUOTE] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1169),
    [anon_sym_RPAREN] = ACTIONS(1169),
    [aux_sym__word_token1] = ACTIONS(1169),
    [aux_sym__word_token2] = ACTIONS(1169),
    [aux_sym__word_token3] = ACTIONS(1169),
    [sym__whitespace] = ACTIONS(1169),
    [sym__soft_line_ending] = ACTIONS(1169),
    [sym__block_close] = ACTIONS(1169),
    [sym__block_quote_start] = ACTIONS(1169),
    [sym__indented_chunk_start] = ACTIONS(1169),
    [sym_atx_h1_marker] = ACTIONS(1169),
    [sym_atx_h2_marker] = ACTIONS(1169),
    [sym_atx_h3_marker] = ACTIONS(1169),
    [sym_atx_h4_marker] = ACTIONS(1169),
    [sym_atx_h5_marker] = ACTIONS(1169),
    [sym_atx_h6_marker] = ACTIONS(1169),
    [sym__thematic_break] = ACTIONS(1169),
    [sym__list_marker_minus] = ACTIONS(1169),
    [sym__list_marker_plus] = ACTIONS(1169),
    [sym__list_marker_star] = ACTIONS(1169),
    [sym__list_marker_parenthesis] = ACTIONS(1169),
    [sym__list_marker_dot] = ACTIONS(1169),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1169),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1169),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1169),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1169),
    [sym__blank_line_start] = ACTIONS(1169),
    [sym__html_block_1_start] = ACTIONS(1169),
    [sym__html_block_2_start] = ACTIONS(1169),
    [sym__html_block_3_start] = ACTIONS(1169),
    [sym__html_block_4_start] = ACTIONS(1169),
    [sym__html_block_5_start] = ACTIONS(1169),
    [sym__html_block_6_start] = ACTIONS(1169),
    [sym__html_block_7_start] = ACTIONS(1169),
    [sym__pipe_table_start] = ACTIONS(1169),
  },
  [313] = {
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_RBRACK] = ACTIONS(1348),
    [anon_sym_LT] = ACTIONS(1348),
    [anon_sym_GT] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [anon_sym_POUND] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [anon_sym_PERCENT] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_COMMA] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_DOT] = ACTIONS(1348),
    [anon_sym_SLASH] = ACTIONS(1348),
    [anon_sym_COLON] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym_EQ] = ACTIONS(1348),
    [anon_sym_QMARK] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_CARET] = ACTIONS(1348),
    [anon_sym__] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [anon_sym_RPAREN] = ACTIONS(1348),
    [aux_sym__word_token1] = ACTIONS(1348),
    [aux_sym__word_token2] = ACTIONS(1348),
    [aux_sym__word_token3] = ACTIONS(1348),
    [sym__whitespace] = ACTIONS(1348),
    [sym__soft_line_ending] = ACTIONS(1348),
    [sym__block_close] = ACTIONS(1348),
    [sym__block_quote_start] = ACTIONS(1348),
    [sym__indented_chunk_start] = ACTIONS(1348),
    [sym_atx_h1_marker] = ACTIONS(1348),
    [sym_atx_h2_marker] = ACTIONS(1348),
    [sym_atx_h3_marker] = ACTIONS(1348),
    [sym_atx_h4_marker] = ACTIONS(1348),
    [sym_atx_h5_marker] = ACTIONS(1348),
    [sym_atx_h6_marker] = ACTIONS(1348),
    [sym__thematic_break] = ACTIONS(1348),
    [sym__list_marker_minus] = ACTIONS(1348),
    [sym__list_marker_plus] = ACTIONS(1348),
    [sym__list_marker_star] = ACTIONS(1348),
    [sym__list_marker_parenthesis] = ACTIONS(1348),
    [sym__list_marker_dot] = ACTIONS(1348),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1348),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1348),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1348),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1348),
    [sym__blank_line_start] = ACTIONS(1348),
    [sym__html_block_1_start] = ACTIONS(1348),
    [sym__html_block_2_start] = ACTIONS(1348),
    [sym__html_block_3_start] = ACTIONS(1348),
    [sym__html_block_4_start] = ACTIONS(1348),
    [sym__html_block_5_start] = ACTIONS(1348),
    [sym__html_block_6_start] = ACTIONS(1348),
    [sym__html_block_7_start] = ACTIONS(1348),
    [sym__pipe_table_start] = ACTIONS(1348),
  },
  [314] = {
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_RBRACK] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [anon_sym_POUND] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_SLASH] = ACTIONS(1538),
    [anon_sym_COLON] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1538),
    [anon_sym_EQ] = ACTIONS(1538),
    [anon_sym_QMARK] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1538),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym__] = ACTIONS(1538),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1538),
    [anon_sym_RPAREN] = ACTIONS(1538),
    [aux_sym__word_token1] = ACTIONS(1538),
    [aux_sym__word_token2] = ACTIONS(1538),
    [aux_sym__word_token3] = ACTIONS(1538),
    [sym__whitespace] = ACTIONS(1538),
    [sym__soft_line_ending] = ACTIONS(1538),
    [sym__block_close] = ACTIONS(1538),
    [sym__block_quote_start] = ACTIONS(1538),
    [sym__indented_chunk_start] = ACTIONS(1538),
    [sym_atx_h1_marker] = ACTIONS(1538),
    [sym_atx_h2_marker] = ACTIONS(1538),
    [sym_atx_h3_marker] = ACTIONS(1538),
    [sym_atx_h4_marker] = ACTIONS(1538),
    [sym_atx_h5_marker] = ACTIONS(1538),
    [sym_atx_h6_marker] = ACTIONS(1538),
    [sym__thematic_break] = ACTIONS(1538),
    [sym__list_marker_minus] = ACTIONS(1538),
    [sym__list_marker_plus] = ACTIONS(1538),
    [sym__list_marker_star] = ACTIONS(1538),
    [sym__list_marker_parenthesis] = ACTIONS(1538),
    [sym__list_marker_dot] = ACTIONS(1538),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1538),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1538),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1538),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1538),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1538),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1538),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1538),
    [sym__blank_line_start] = ACTIONS(1538),
    [sym__html_block_1_start] = ACTIONS(1538),
    [sym__html_block_2_start] = ACTIONS(1538),
    [sym__html_block_3_start] = ACTIONS(1538),
    [sym__html_block_4_start] = ACTIONS(1538),
    [sym__html_block_5_start] = ACTIONS(1538),
    [sym__html_block_6_start] = ACTIONS(1538),
    [sym__html_block_7_start] = ACTIONS(1538),
    [sym__pipe_table_start] = ACTIONS(1538),
  },
  [315] = {
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_RBRACK] = ACTIONS(1320),
    [anon_sym_LT] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [anon_sym_POUND] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [anon_sym_PERCENT] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_DOT] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(1320),
    [anon_sym_COLON] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1320),
    [anon_sym_QMARK] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_CARET] = ACTIONS(1320),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_RPAREN] = ACTIONS(1320),
    [aux_sym__word_token1] = ACTIONS(1320),
    [aux_sym__word_token2] = ACTIONS(1320),
    [aux_sym__word_token3] = ACTIONS(1320),
    [sym__whitespace] = ACTIONS(1320),
    [sym__soft_line_ending] = ACTIONS(1320),
    [sym__block_close] = ACTIONS(1320),
    [sym__block_quote_start] = ACTIONS(1320),
    [sym__indented_chunk_start] = ACTIONS(1320),
    [sym_atx_h1_marker] = ACTIONS(1320),
    [sym_atx_h2_marker] = ACTIONS(1320),
    [sym_atx_h3_marker] = ACTIONS(1320),
    [sym_atx_h4_marker] = ACTIONS(1320),
    [sym_atx_h5_marker] = ACTIONS(1320),
    [sym_atx_h6_marker] = ACTIONS(1320),
    [sym__thematic_break] = ACTIONS(1320),
    [sym__list_marker_minus] = ACTIONS(1320),
    [sym__list_marker_plus] = ACTIONS(1320),
    [sym__list_marker_star] = ACTIONS(1320),
    [sym__list_marker_parenthesis] = ACTIONS(1320),
    [sym__list_marker_dot] = ACTIONS(1320),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1320),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1320),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1320),
    [sym__blank_line_start] = ACTIONS(1320),
    [sym__html_block_1_start] = ACTIONS(1320),
    [sym__html_block_2_start] = ACTIONS(1320),
    [sym__html_block_3_start] = ACTIONS(1320),
    [sym__html_block_4_start] = ACTIONS(1320),
    [sym__html_block_5_start] = ACTIONS(1320),
    [sym__html_block_6_start] = ACTIONS(1320),
    [sym__html_block_7_start] = ACTIONS(1320),
    [sym__pipe_table_start] = ACTIONS(1320),
  },
  [316] = {
    [anon_sym_LBRACK] = ACTIONS(1732),
    [anon_sym_RBRACK] = ACTIONS(1730),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_GT] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_DQUOTE] = ACTIONS(1730),
    [anon_sym_POUND] = ACTIONS(1730),
    [anon_sym_DOLLAR] = ACTIONS(1730),
    [anon_sym_PERCENT] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1730),
    [anon_sym_SQUOTE] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1730),
    [anon_sym_PLUS] = ACTIONS(1730),
    [anon_sym_COMMA] = ACTIONS(1730),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_DOT] = ACTIONS(1730),
    [anon_sym_SLASH] = ACTIONS(1730),
    [anon_sym_COLON] = ACTIONS(1730),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_EQ] = ACTIONS(1730),
    [anon_sym_QMARK] = ACTIONS(1730),
    [anon_sym_AT] = ACTIONS(1730),
    [anon_sym_BSLASH] = ACTIONS(1730),
    [anon_sym_CARET] = ACTIONS(1730),
    [anon_sym__] = ACTIONS(1730),
    [anon_sym_BQUOTE] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_TILDE] = ACTIONS(1730),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_RPAREN] = ACTIONS(1730),
    [aux_sym__word_token1] = ACTIONS(1730),
    [aux_sym__word_token2] = ACTIONS(1730),
    [aux_sym__word_token3] = ACTIONS(1730),
    [sym__whitespace] = ACTIONS(1730),
    [sym__soft_line_ending] = ACTIONS(1730),
    [sym__block_close] = ACTIONS(1730),
    [sym__block_quote_start] = ACTIONS(1730),
    [sym__indented_chunk_start] = ACTIONS(1730),
    [sym_atx_h1_marker] = ACTIONS(1730),
    [sym_atx_h2_marker] = ACTIONS(1730),
    [sym_atx_h3_marker] = ACTIONS(1730),
    [sym_atx_h4_marker] = ACTIONS(1730),
    [sym_atx_h5_marker] = ACTIONS(1730),
    [sym_atx_h6_marker] = ACTIONS(1730),
    [sym__thematic_break] = ACTIONS(1730),
    [sym__list_marker_minus] = ACTIONS(1730),
    [sym__list_marker_plus] = ACTIONS(1730),
    [sym__list_marker_star] = ACTIONS(1730),
    [sym__list_marker_parenthesis] = ACTIONS(1730),
    [sym__list_marker_dot] = ACTIONS(1730),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1730),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1730),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1730),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1730),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1730),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1730),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1730),
    [sym__blank_line_start] = ACTIONS(1730),
    [sym__html_block_1_start] = ACTIONS(1730),
    [sym__html_block_2_start] = ACTIONS(1730),
    [sym__html_block_3_start] = ACTIONS(1730),
    [sym__html_block_4_start] = ACTIONS(1730),
    [sym__html_block_5_start] = ACTIONS(1730),
    [sym__html_block_6_start] = ACTIONS(1730),
    [sym__html_block_7_start] = ACTIONS(1730),
    [sym__pipe_table_start] = ACTIONS(1730),
  },
  [317] = {
    [anon_sym_LBRACK] = ACTIONS(1756),
    [anon_sym_RBRACK] = ACTIONS(1754),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1754),
    [anon_sym_DQUOTE] = ACTIONS(1754),
    [anon_sym_POUND] = ACTIONS(1754),
    [anon_sym_DOLLAR] = ACTIONS(1754),
    [anon_sym_PERCENT] = ACTIONS(1754),
    [anon_sym_AMP] = ACTIONS(1754),
    [anon_sym_SQUOTE] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_PLUS] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1754),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_DOT] = ACTIONS(1754),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym_COLON] = ACTIONS(1754),
    [anon_sym_SEMI] = ACTIONS(1754),
    [anon_sym_EQ] = ACTIONS(1754),
    [anon_sym_QMARK] = ACTIONS(1754),
    [anon_sym_AT] = ACTIONS(1754),
    [anon_sym_BSLASH] = ACTIONS(1754),
    [anon_sym_CARET] = ACTIONS(1754),
    [anon_sym__] = ACTIONS(1754),
    [anon_sym_BQUOTE] = ACTIONS(1754),
    [anon_sym_LBRACE] = ACTIONS(1754),
    [anon_sym_PIPE] = ACTIONS(1754),
    [anon_sym_RBRACE] = ACTIONS(1754),
    [anon_sym_TILDE] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1754),
    [anon_sym_RPAREN] = ACTIONS(1754),
    [aux_sym__word_token1] = ACTIONS(1754),
    [aux_sym__word_token2] = ACTIONS(1754),
    [aux_sym__word_token3] = ACTIONS(1754),
    [sym__whitespace] = ACTIONS(1754),
    [sym__soft_line_ending] = ACTIONS(1754),
    [sym__block_close] = ACTIONS(1754),
    [sym__block_quote_start] = ACTIONS(1754),
    [sym__indented_chunk_start] = ACTIONS(1754),
    [sym_atx_h1_marker] = ACTIONS(1754),
    [sym_atx_h2_marker] = ACTIONS(1754),
    [sym_atx_h3_marker] = ACTIONS(1754),
    [sym_atx_h4_marker] = ACTIONS(1754),
    [sym_atx_h5_marker] = ACTIONS(1754),
    [sym_atx_h6_marker] = ACTIONS(1754),
    [sym__thematic_break] = ACTIONS(1754),
    [sym__list_marker_minus] = ACTIONS(1754),
    [sym__list_marker_plus] = ACTIONS(1754),
    [sym__list_marker_star] = ACTIONS(1754),
    [sym__list_marker_parenthesis] = ACTIONS(1754),
    [sym__list_marker_dot] = ACTIONS(1754),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1754),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1754),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1754),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1754),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1754),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1754),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1754),
    [sym__blank_line_start] = ACTIONS(1754),
    [sym__html_block_1_start] = ACTIONS(1754),
    [sym__html_block_2_start] = ACTIONS(1754),
    [sym__html_block_3_start] = ACTIONS(1754),
    [sym__html_block_4_start] = ACTIONS(1754),
    [sym__html_block_5_start] = ACTIONS(1754),
    [sym__html_block_6_start] = ACTIONS(1754),
    [sym__html_block_7_start] = ACTIONS(1754),
    [sym__pipe_table_start] = ACTIONS(1754),
  },
  [318] = {
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_RBRACK] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(1326),
    [anon_sym_GT] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [anon_sym_POUND] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [anon_sym_PERCENT] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1326),
    [anon_sym_SLASH] = ACTIONS(1326),
    [anon_sym_COLON] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(1326),
    [anon_sym_QMARK] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_CARET] = ACTIONS(1326),
    [anon_sym__] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_PIPE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1326),
    [aux_sym__word_token1] = ACTIONS(1326),
    [aux_sym__word_token2] = ACTIONS(1326),
    [aux_sym__word_token3] = ACTIONS(1326),
    [sym__whitespace] = ACTIONS(1326),
    [sym__soft_line_ending] = ACTIONS(1326),
    [sym__block_close] = ACTIONS(1326),
    [sym__block_quote_start] = ACTIONS(1326),
    [sym__indented_chunk_start] = ACTIONS(1326),
    [sym_atx_h1_marker] = ACTIONS(1326),
    [sym_atx_h2_marker] = ACTIONS(1326),
    [sym_atx_h3_marker] = ACTIONS(1326),
    [sym_atx_h4_marker] = ACTIONS(1326),
    [sym_atx_h5_marker] = ACTIONS(1326),
    [sym_atx_h6_marker] = ACTIONS(1326),
    [sym__thematic_break] = ACTIONS(1326),
    [sym__list_marker_minus] = ACTIONS(1326),
    [sym__list_marker_plus] = ACTIONS(1326),
    [sym__list_marker_star] = ACTIONS(1326),
    [sym__list_marker_parenthesis] = ACTIONS(1326),
    [sym__list_marker_dot] = ACTIONS(1326),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1326),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1326),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1326),
    [sym__blank_line_start] = ACTIONS(1326),
    [sym__html_block_1_start] = ACTIONS(1326),
    [sym__html_block_2_start] = ACTIONS(1326),
    [sym__html_block_3_start] = ACTIONS(1326),
    [sym__html_block_4_start] = ACTIONS(1326),
    [sym__html_block_5_start] = ACTIONS(1326),
    [sym__html_block_6_start] = ACTIONS(1326),
    [sym__html_block_7_start] = ACTIONS(1326),
    [sym__pipe_table_start] = ACTIONS(1326),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [anon_sym_RBRACK] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [anon_sym_BANG] = ACTIONS(1766),
    [anon_sym_DQUOTE] = ACTIONS(1766),
    [anon_sym_POUND] = ACTIONS(1766),
    [anon_sym_DOLLAR] = ACTIONS(1766),
    [anon_sym_PERCENT] = ACTIONS(1766),
    [anon_sym_AMP] = ACTIONS(1766),
    [anon_sym_SQUOTE] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_PLUS] = ACTIONS(1766),
    [anon_sym_COMMA] = ACTIONS(1766),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_DOT] = ACTIONS(1766),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_COLON] = ACTIONS(1766),
    [anon_sym_SEMI] = ACTIONS(1766),
    [anon_sym_EQ] = ACTIONS(1766),
    [anon_sym_QMARK] = ACTIONS(1766),
    [anon_sym_AT] = ACTIONS(1766),
    [anon_sym_BSLASH] = ACTIONS(1766),
    [anon_sym_CARET] = ACTIONS(1766),
    [anon_sym__] = ACTIONS(1766),
    [anon_sym_BQUOTE] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1766),
    [anon_sym_PIPE] = ACTIONS(1766),
    [anon_sym_RBRACE] = ACTIONS(1766),
    [anon_sym_TILDE] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1766),
    [anon_sym_RPAREN] = ACTIONS(1766),
    [aux_sym__word_token1] = ACTIONS(1766),
    [aux_sym__word_token2] = ACTIONS(1766),
    [aux_sym__word_token3] = ACTIONS(1766),
    [sym__whitespace] = ACTIONS(1766),
    [sym__soft_line_ending] = ACTIONS(1766),
    [sym__block_quote_start] = ACTIONS(1766),
    [sym__indented_chunk_start] = ACTIONS(1766),
    [sym_atx_h1_marker] = ACTIONS(1766),
    [sym_atx_h2_marker] = ACTIONS(1766),
    [sym_atx_h3_marker] = ACTIONS(1766),
    [sym_atx_h4_marker] = ACTIONS(1766),
    [sym_atx_h5_marker] = ACTIONS(1766),
    [sym_atx_h6_marker] = ACTIONS(1766),
    [sym__thematic_break] = ACTIONS(1766),
    [sym__list_marker_minus] = ACTIONS(1766),
    [sym__list_marker_plus] = ACTIONS(1766),
    [sym__list_marker_star] = ACTIONS(1766),
    [sym__list_marker_parenthesis] = ACTIONS(1766),
    [sym__list_marker_dot] = ACTIONS(1766),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1766),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1766),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1766),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1766),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1766),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1766),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1766),
    [sym__blank_line_start] = ACTIONS(1766),
    [sym__html_block_1_start] = ACTIONS(1766),
    [sym__html_block_2_start] = ACTIONS(1766),
    [sym__html_block_3_start] = ACTIONS(1766),
    [sym__html_block_4_start] = ACTIONS(1766),
    [sym__html_block_5_start] = ACTIONS(1766),
    [sym__html_block_6_start] = ACTIONS(1766),
    [sym__html_block_7_start] = ACTIONS(1766),
    [sym__pipe_table_start] = ACTIONS(1766),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [anon_sym_RBRACK] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [anon_sym_POUND] = ACTIONS(1193),
    [anon_sym_DOLLAR] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_DOT] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_COLON] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1193),
    [anon_sym_QMARK] = ACTIONS(1193),
    [anon_sym_AT] = ACTIONS(1193),
    [anon_sym_BSLASH] = ACTIONS(1193),
    [anon_sym_CARET] = ACTIONS(1193),
    [anon_sym__] = ACTIONS(1193),
    [anon_sym_BQUOTE] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_RPAREN] = ACTIONS(1193),
    [aux_sym__word_token1] = ACTIONS(1193),
    [aux_sym__word_token2] = ACTIONS(1193),
    [aux_sym__word_token3] = ACTIONS(1193),
    [sym__whitespace] = ACTIONS(1193),
    [sym__soft_line_ending] = ACTIONS(1193),
    [sym__block_quote_start] = ACTIONS(1193),
    [sym__indented_chunk_start] = ACTIONS(1193),
    [sym_atx_h1_marker] = ACTIONS(1193),
    [sym_atx_h2_marker] = ACTIONS(1193),
    [sym_atx_h3_marker] = ACTIONS(1193),
    [sym_atx_h4_marker] = ACTIONS(1193),
    [sym_atx_h5_marker] = ACTIONS(1193),
    [sym_atx_h6_marker] = ACTIONS(1193),
    [sym__thematic_break] = ACTIONS(1193),
    [sym__list_marker_minus] = ACTIONS(1193),
    [sym__list_marker_plus] = ACTIONS(1193),
    [sym__list_marker_star] = ACTIONS(1193),
    [sym__list_marker_parenthesis] = ACTIONS(1193),
    [sym__list_marker_dot] = ACTIONS(1193),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1193),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1193),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1193),
    [sym__blank_line_start] = ACTIONS(1193),
    [sym__html_block_1_start] = ACTIONS(1193),
    [sym__html_block_2_start] = ACTIONS(1193),
    [sym__html_block_3_start] = ACTIONS(1193),
    [sym__html_block_4_start] = ACTIONS(1193),
    [sym__html_block_5_start] = ACTIONS(1193),
    [sym__html_block_6_start] = ACTIONS(1193),
    [sym__html_block_7_start] = ACTIONS(1193),
    [sym__pipe_table_start] = ACTIONS(1193),
  },
  [321] = {
    [anon_sym_LBRACK] = ACTIONS(1760),
    [anon_sym_RBRACK] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [anon_sym_BANG] = ACTIONS(1758),
    [anon_sym_DQUOTE] = ACTIONS(1758),
    [anon_sym_POUND] = ACTIONS(1758),
    [anon_sym_DOLLAR] = ACTIONS(1758),
    [anon_sym_PERCENT] = ACTIONS(1758),
    [anon_sym_AMP] = ACTIONS(1758),
    [anon_sym_SQUOTE] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1758),
    [anon_sym_PLUS] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(1758),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_DOT] = ACTIONS(1758),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym_COLON] = ACTIONS(1758),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym_EQ] = ACTIONS(1758),
    [anon_sym_QMARK] = ACTIONS(1758),
    [anon_sym_AT] = ACTIONS(1758),
    [anon_sym_BSLASH] = ACTIONS(1758),
    [anon_sym_CARET] = ACTIONS(1758),
    [anon_sym__] = ACTIONS(1758),
    [anon_sym_BQUOTE] = ACTIONS(1758),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_PIPE] = ACTIONS(1758),
    [anon_sym_RBRACE] = ACTIONS(1758),
    [anon_sym_TILDE] = ACTIONS(1758),
    [anon_sym_LPAREN] = ACTIONS(1758),
    [anon_sym_RPAREN] = ACTIONS(1758),
    [aux_sym__word_token1] = ACTIONS(1758),
    [aux_sym__word_token2] = ACTIONS(1758),
    [aux_sym__word_token3] = ACTIONS(1758),
    [sym__whitespace] = ACTIONS(1758),
    [sym__soft_line_ending] = ACTIONS(1758),
    [sym__block_close] = ACTIONS(1758),
    [sym__block_quote_start] = ACTIONS(1758),
    [sym__indented_chunk_start] = ACTIONS(1758),
    [sym_atx_h1_marker] = ACTIONS(1758),
    [sym_atx_h2_marker] = ACTIONS(1758),
    [sym_atx_h3_marker] = ACTIONS(1758),
    [sym_atx_h4_marker] = ACTIONS(1758),
    [sym_atx_h5_marker] = ACTIONS(1758),
    [sym_atx_h6_marker] = ACTIONS(1758),
    [sym__thematic_break] = ACTIONS(1758),
    [sym__list_marker_minus] = ACTIONS(1758),
    [sym__list_marker_plus] = ACTIONS(1758),
    [sym__list_marker_star] = ACTIONS(1758),
    [sym__list_marker_parenthesis] = ACTIONS(1758),
    [sym__list_marker_dot] = ACTIONS(1758),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1758),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1758),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1758),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1758),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1758),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1758),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1758),
    [sym__blank_line_start] = ACTIONS(1758),
    [sym__html_block_1_start] = ACTIONS(1758),
    [sym__html_block_2_start] = ACTIONS(1758),
    [sym__html_block_3_start] = ACTIONS(1758),
    [sym__html_block_4_start] = ACTIONS(1758),
    [sym__html_block_5_start] = ACTIONS(1758),
    [sym__html_block_6_start] = ACTIONS(1758),
    [sym__html_block_7_start] = ACTIONS(1758),
    [sym__pipe_table_start] = ACTIONS(1758),
  },
  [322] = {
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_RBRACK] = ACTIONS(1338),
    [anon_sym_LT] = ACTIONS(1338),
    [anon_sym_GT] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [anon_sym_PERCENT] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_COMMA] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_DOT] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1338),
    [anon_sym_COLON] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_EQ] = ACTIONS(1338),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_CARET] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_PIPE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [anon_sym_RPAREN] = ACTIONS(1338),
    [aux_sym__word_token1] = ACTIONS(1338),
    [aux_sym__word_token2] = ACTIONS(1338),
    [aux_sym__word_token3] = ACTIONS(1338),
    [sym__whitespace] = ACTIONS(1338),
    [sym__soft_line_ending] = ACTIONS(1338),
    [sym__block_close] = ACTIONS(1338),
    [sym__block_quote_start] = ACTIONS(1338),
    [sym__indented_chunk_start] = ACTIONS(1338),
    [sym_atx_h1_marker] = ACTIONS(1338),
    [sym_atx_h2_marker] = ACTIONS(1338),
    [sym_atx_h3_marker] = ACTIONS(1338),
    [sym_atx_h4_marker] = ACTIONS(1338),
    [sym_atx_h5_marker] = ACTIONS(1338),
    [sym_atx_h6_marker] = ACTIONS(1338),
    [sym__thematic_break] = ACTIONS(1338),
    [sym__list_marker_minus] = ACTIONS(1338),
    [sym__list_marker_plus] = ACTIONS(1338),
    [sym__list_marker_star] = ACTIONS(1338),
    [sym__list_marker_parenthesis] = ACTIONS(1338),
    [sym__list_marker_dot] = ACTIONS(1338),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1338),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1338),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1338),
    [sym__blank_line_start] = ACTIONS(1338),
    [sym__html_block_1_start] = ACTIONS(1338),
    [sym__html_block_2_start] = ACTIONS(1338),
    [sym__html_block_3_start] = ACTIONS(1338),
    [sym__html_block_4_start] = ACTIONS(1338),
    [sym__html_block_5_start] = ACTIONS(1338),
    [sym__html_block_6_start] = ACTIONS(1338),
    [sym__html_block_7_start] = ACTIONS(1338),
    [sym__pipe_table_start] = ACTIONS(1338),
  },
  [323] = {
    [anon_sym_LBRACK] = ACTIONS(1736),
    [anon_sym_RBRACK] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1734),
    [anon_sym_DQUOTE] = ACTIONS(1734),
    [anon_sym_POUND] = ACTIONS(1734),
    [anon_sym_DOLLAR] = ACTIONS(1734),
    [anon_sym_PERCENT] = ACTIONS(1734),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1734),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1734),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_DOT] = ACTIONS(1734),
    [anon_sym_SLASH] = ACTIONS(1734),
    [anon_sym_COLON] = ACTIONS(1734),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_EQ] = ACTIONS(1734),
    [anon_sym_QMARK] = ACTIONS(1734),
    [anon_sym_AT] = ACTIONS(1734),
    [anon_sym_BSLASH] = ACTIONS(1734),
    [anon_sym_CARET] = ACTIONS(1734),
    [anon_sym__] = ACTIONS(1734),
    [anon_sym_BQUOTE] = ACTIONS(1734),
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_TILDE] = ACTIONS(1734),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1734),
    [aux_sym__word_token1] = ACTIONS(1734),
    [aux_sym__word_token2] = ACTIONS(1734),
    [aux_sym__word_token3] = ACTIONS(1734),
    [sym__whitespace] = ACTIONS(1734),
    [sym__soft_line_ending] = ACTIONS(1734),
    [sym__block_close] = ACTIONS(1734),
    [sym__block_quote_start] = ACTIONS(1734),
    [sym__indented_chunk_start] = ACTIONS(1734),
    [sym_atx_h1_marker] = ACTIONS(1734),
    [sym_atx_h2_marker] = ACTIONS(1734),
    [sym_atx_h3_marker] = ACTIONS(1734),
    [sym_atx_h4_marker] = ACTIONS(1734),
    [sym_atx_h5_marker] = ACTIONS(1734),
    [sym_atx_h6_marker] = ACTIONS(1734),
    [sym__thematic_break] = ACTIONS(1734),
    [sym__list_marker_minus] = ACTIONS(1734),
    [sym__list_marker_plus] = ACTIONS(1734),
    [sym__list_marker_star] = ACTIONS(1734),
    [sym__list_marker_parenthesis] = ACTIONS(1734),
    [sym__list_marker_dot] = ACTIONS(1734),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1734),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1734),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1734),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1734),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1734),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1734),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1734),
    [sym__blank_line_start] = ACTIONS(1734),
    [sym__html_block_1_start] = ACTIONS(1734),
    [sym__html_block_2_start] = ACTIONS(1734),
    [sym__html_block_3_start] = ACTIONS(1734),
    [sym__html_block_4_start] = ACTIONS(1734),
    [sym__html_block_5_start] = ACTIONS(1734),
    [sym__html_block_6_start] = ACTIONS(1734),
    [sym__html_block_7_start] = ACTIONS(1734),
    [sym__pipe_table_start] = ACTIONS(1734),
  },
  [324] = {
    [anon_sym_LBRACK] = ACTIONS(1770),
    [anon_sym_RBRACK] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [anon_sym_POUND] = ACTIONS(1772),
    [anon_sym_DOLLAR] = ACTIONS(1772),
    [anon_sym_PERCENT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_SQUOTE] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1772),
    [anon_sym_COLON] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1772),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(1772),
    [anon_sym_BSLASH] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_BQUOTE] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1772),
    [anon_sym_TILDE] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1772),
    [aux_sym__word_token1] = ACTIONS(1772),
    [aux_sym__word_token2] = ACTIONS(1772),
    [aux_sym__word_token3] = ACTIONS(1772),
    [sym__whitespace] = ACTIONS(1772),
    [sym__soft_line_ending] = ACTIONS(1772),
    [sym__block_close] = ACTIONS(1772),
    [sym__block_quote_start] = ACTIONS(1772),
    [sym__indented_chunk_start] = ACTIONS(1772),
    [sym_atx_h1_marker] = ACTIONS(1772),
    [sym_atx_h2_marker] = ACTIONS(1772),
    [sym_atx_h3_marker] = ACTIONS(1772),
    [sym_atx_h4_marker] = ACTIONS(1772),
    [sym_atx_h5_marker] = ACTIONS(1772),
    [sym_atx_h6_marker] = ACTIONS(1772),
    [sym__thematic_break] = ACTIONS(1772),
    [sym__list_marker_minus] = ACTIONS(1772),
    [sym__list_marker_plus] = ACTIONS(1772),
    [sym__list_marker_star] = ACTIONS(1772),
    [sym__list_marker_parenthesis] = ACTIONS(1772),
    [sym__list_marker_dot] = ACTIONS(1772),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1772),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1772),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1772),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1772),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1772),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1772),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1772),
    [sym__blank_line_start] = ACTIONS(1772),
    [sym__html_block_1_start] = ACTIONS(1772),
    [sym__html_block_2_start] = ACTIONS(1772),
    [sym__html_block_3_start] = ACTIONS(1772),
    [sym__html_block_4_start] = ACTIONS(1772),
    [sym__html_block_5_start] = ACTIONS(1772),
    [sym__html_block_6_start] = ACTIONS(1772),
    [sym__html_block_7_start] = ACTIONS(1772),
    [sym__pipe_table_start] = ACTIONS(1772),
  },
  [325] = {
    [anon_sym_LBRACK] = ACTIONS(1191),
    [anon_sym_RBRACK] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [anon_sym_POUND] = ACTIONS(1193),
    [anon_sym_DOLLAR] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_DOT] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_COLON] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1193),
    [anon_sym_QMARK] = ACTIONS(1193),
    [anon_sym_AT] = ACTIONS(1193),
    [anon_sym_BSLASH] = ACTIONS(1193),
    [anon_sym_CARET] = ACTIONS(1193),
    [anon_sym__] = ACTIONS(1193),
    [anon_sym_BQUOTE] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_RPAREN] = ACTIONS(1193),
    [aux_sym__word_token1] = ACTIONS(1193),
    [aux_sym__word_token2] = ACTIONS(1193),
    [aux_sym__word_token3] = ACTIONS(1193),
    [sym__whitespace] = ACTIONS(1193),
    [sym__soft_line_ending] = ACTIONS(1193),
    [sym__block_close] = ACTIONS(1193),
    [sym__block_quote_start] = ACTIONS(1193),
    [sym__indented_chunk_start] = ACTIONS(1193),
    [sym_atx_h1_marker] = ACTIONS(1193),
    [sym_atx_h2_marker] = ACTIONS(1193),
    [sym_atx_h3_marker] = ACTIONS(1193),
    [sym_atx_h4_marker] = ACTIONS(1193),
    [sym_atx_h5_marker] = ACTIONS(1193),
    [sym_atx_h6_marker] = ACTIONS(1193),
    [sym__thematic_break] = ACTIONS(1193),
    [sym__list_marker_minus] = ACTIONS(1193),
    [sym__list_marker_plus] = ACTIONS(1193),
    [sym__list_marker_star] = ACTIONS(1193),
    [sym__list_marker_parenthesis] = ACTIONS(1193),
    [sym__list_marker_dot] = ACTIONS(1193),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1193),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1193),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1193),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1193),
    [sym__blank_line_start] = ACTIONS(1193),
    [sym__html_block_1_start] = ACTIONS(1193),
    [sym__html_block_2_start] = ACTIONS(1193),
    [sym__html_block_3_start] = ACTIONS(1193),
    [sym__html_block_4_start] = ACTIONS(1193),
    [sym__html_block_5_start] = ACTIONS(1193),
    [sym__html_block_6_start] = ACTIONS(1193),
    [sym__html_block_7_start] = ACTIONS(1193),
    [sym__pipe_table_start] = ACTIONS(1193),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_RBRACK] = ACTIONS(1338),
    [anon_sym_LT] = ACTIONS(1338),
    [anon_sym_GT] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [anon_sym_PERCENT] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_COMMA] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_DOT] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1338),
    [anon_sym_COLON] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_EQ] = ACTIONS(1338),
    [anon_sym_QMARK] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_CARET] = ACTIONS(1338),
    [anon_sym__] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_PIPE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [anon_sym_RPAREN] = ACTIONS(1338),
    [aux_sym__word_token1] = ACTIONS(1338),
    [aux_sym__word_token2] = ACTIONS(1338),
    [aux_sym__word_token3] = ACTIONS(1338),
    [sym__whitespace] = ACTIONS(1338),
    [sym__soft_line_ending] = ACTIONS(1338),
    [sym__block_quote_start] = ACTIONS(1338),
    [sym__indented_chunk_start] = ACTIONS(1338),
    [sym_atx_h1_marker] = ACTIONS(1338),
    [sym_atx_h2_marker] = ACTIONS(1338),
    [sym_atx_h3_marker] = ACTIONS(1338),
    [sym_atx_h4_marker] = ACTIONS(1338),
    [sym_atx_h5_marker] = ACTIONS(1338),
    [sym_atx_h6_marker] = ACTIONS(1338),
    [sym__thematic_break] = ACTIONS(1338),
    [sym__list_marker_minus] = ACTIONS(1338),
    [sym__list_marker_plus] = ACTIONS(1338),
    [sym__list_marker_star] = ACTIONS(1338),
    [sym__list_marker_parenthesis] = ACTIONS(1338),
    [sym__list_marker_dot] = ACTIONS(1338),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1338),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1338),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1338),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1338),
    [sym__blank_line_start] = ACTIONS(1338),
    [sym__html_block_1_start] = ACTIONS(1338),
    [sym__html_block_2_start] = ACTIONS(1338),
    [sym__html_block_3_start] = ACTIONS(1338),
    [sym__html_block_4_start] = ACTIONS(1338),
    [sym__html_block_5_start] = ACTIONS(1338),
    [sym__html_block_6_start] = ACTIONS(1338),
    [sym__html_block_7_start] = ACTIONS(1338),
    [sym__pipe_table_start] = ACTIONS(1338),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(1774),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [anon_sym_RBRACK] = ACTIONS(1774),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_DQUOTE] = ACTIONS(1774),
    [anon_sym_POUND] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1774),
    [anon_sym_PERCENT] = ACTIONS(1774),
    [anon_sym_AMP] = ACTIONS(1774),
    [anon_sym_SQUOTE] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1774),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_COMMA] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_DOT] = ACTIONS(1774),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_COLON] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1774),
    [anon_sym_EQ] = ACTIONS(1774),
    [anon_sym_QMARK] = ACTIONS(1774),
    [anon_sym_AT] = ACTIONS(1774),
    [anon_sym_BSLASH] = ACTIONS(1774),
    [anon_sym_CARET] = ACTIONS(1774),
    [anon_sym__] = ACTIONS(1774),
    [anon_sym_BQUOTE] = ACTIONS(1774),
    [anon_sym_LBRACE] = ACTIONS(1774),
    [anon_sym_PIPE] = ACTIONS(1774),
    [anon_sym_RBRACE] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1774),
    [anon_sym_RPAREN] = ACTIONS(1774),
    [aux_sym__word_token1] = ACTIONS(1774),
    [aux_sym__word_token2] = ACTIONS(1774),
    [aux_sym__word_token3] = ACTIONS(1774),
    [sym__whitespace] = ACTIONS(1774),
    [sym__soft_line_ending] = ACTIONS(1774),
    [sym__block_quote_start] = ACTIONS(1774),
    [sym__indented_chunk_start] = ACTIONS(1774),
    [sym_atx_h1_marker] = ACTIONS(1774),
    [sym_atx_h2_marker] = ACTIONS(1774),
    [sym_atx_h3_marker] = ACTIONS(1774),
    [sym_atx_h4_marker] = ACTIONS(1774),
    [sym_atx_h5_marker] = ACTIONS(1774),
    [sym_atx_h6_marker] = ACTIONS(1774),
    [sym__thematic_break] = ACTIONS(1774),
    [sym__list_marker_minus] = ACTIONS(1774),
    [sym__list_marker_plus] = ACTIONS(1774),
    [sym__list_marker_star] = ACTIONS(1774),
    [sym__list_marker_parenthesis] = ACTIONS(1774),
    [sym__list_marker_dot] = ACTIONS(1774),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1774),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1774),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1774),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1774),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1774),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1774),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1774),
    [sym__blank_line_start] = ACTIONS(1774),
    [sym__html_block_1_start] = ACTIONS(1774),
    [sym__html_block_2_start] = ACTIONS(1774),
    [sym__html_block_3_start] = ACTIONS(1774),
    [sym__html_block_4_start] = ACTIONS(1774),
    [sym__html_block_5_start] = ACTIONS(1774),
    [sym__html_block_6_start] = ACTIONS(1774),
    [sym__html_block_7_start] = ACTIONS(1774),
    [sym__pipe_table_start] = ACTIONS(1774),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(1145),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_RBRACK] = ACTIONS(1145),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [anon_sym_POUND] = ACTIONS(1145),
    [anon_sym_DOLLAR] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_COMMA] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_DOT] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_COLON] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_EQ] = ACTIONS(1145),
    [anon_sym_QMARK] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_BSLASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1145),
    [anon_sym__] = ACTIONS(1145),
    [anon_sym_BQUOTE] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1145),
    [anon_sym_RPAREN] = ACTIONS(1145),
    [aux_sym__word_token1] = ACTIONS(1145),
    [aux_sym__word_token2] = ACTIONS(1145),
    [aux_sym__word_token3] = ACTIONS(1145),
    [sym__whitespace] = ACTIONS(1145),
    [sym__soft_line_ending] = ACTIONS(1145),
    [sym__block_quote_start] = ACTIONS(1145),
    [sym__indented_chunk_start] = ACTIONS(1145),
    [sym_atx_h1_marker] = ACTIONS(1145),
    [sym_atx_h2_marker] = ACTIONS(1145),
    [sym_atx_h3_marker] = ACTIONS(1145),
    [sym_atx_h4_marker] = ACTIONS(1145),
    [sym_atx_h5_marker] = ACTIONS(1145),
    [sym_atx_h6_marker] = ACTIONS(1145),
    [sym__thematic_break] = ACTIONS(1145),
    [sym__list_marker_minus] = ACTIONS(1145),
    [sym__list_marker_plus] = ACTIONS(1145),
    [sym__list_marker_star] = ACTIONS(1145),
    [sym__list_marker_parenthesis] = ACTIONS(1145),
    [sym__list_marker_dot] = ACTIONS(1145),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1145),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1145),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1145),
    [sym__blank_line_start] = ACTIONS(1145),
    [sym__html_block_1_start] = ACTIONS(1145),
    [sym__html_block_2_start] = ACTIONS(1145),
    [sym__html_block_3_start] = ACTIONS(1145),
    [sym__html_block_4_start] = ACTIONS(1145),
    [sym__html_block_5_start] = ACTIONS(1145),
    [sym__html_block_6_start] = ACTIONS(1145),
    [sym__html_block_7_start] = ACTIONS(1145),
    [sym__pipe_table_start] = ACTIONS(1145),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_RBRACK] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(1326),
    [anon_sym_GT] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [anon_sym_POUND] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [anon_sym_PERCENT] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1326),
    [anon_sym_SLASH] = ACTIONS(1326),
    [anon_sym_COLON] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_EQ] = ACTIONS(1326),
    [anon_sym_QMARK] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_CARET] = ACTIONS(1326),
    [anon_sym__] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_PIPE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1326),
    [aux_sym__word_token1] = ACTIONS(1326),
    [aux_sym__word_token2] = ACTIONS(1326),
    [aux_sym__word_token3] = ACTIONS(1326),
    [sym__whitespace] = ACTIONS(1326),
    [sym__soft_line_ending] = ACTIONS(1326),
    [sym__block_quote_start] = ACTIONS(1326),
    [sym__indented_chunk_start] = ACTIONS(1326),
    [sym_atx_h1_marker] = ACTIONS(1326),
    [sym_atx_h2_marker] = ACTIONS(1326),
    [sym_atx_h3_marker] = ACTIONS(1326),
    [sym_atx_h4_marker] = ACTIONS(1326),
    [sym_atx_h5_marker] = ACTIONS(1326),
    [sym_atx_h6_marker] = ACTIONS(1326),
    [sym__thematic_break] = ACTIONS(1326),
    [sym__list_marker_minus] = ACTIONS(1326),
    [sym__list_marker_plus] = ACTIONS(1326),
    [sym__list_marker_star] = ACTIONS(1326),
    [sym__list_marker_parenthesis] = ACTIONS(1326),
    [sym__list_marker_dot] = ACTIONS(1326),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1326),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1326),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1326),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1326),
    [sym__blank_line_start] = ACTIONS(1326),
    [sym__html_block_1_start] = ACTIONS(1326),
    [sym__html_block_2_start] = ACTIONS(1326),
    [sym__html_block_3_start] = ACTIONS(1326),
    [sym__html_block_4_start] = ACTIONS(1326),
    [sym__html_block_5_start] = ACTIONS(1326),
    [sym__html_block_6_start] = ACTIONS(1326),
    [sym__html_block_7_start] = ACTIONS(1326),
    [sym__pipe_table_start] = ACTIONS(1326),
  },
  [330] = {
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym_RBRACK] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [anon_sym_BANG] = ACTIONS(1750),
    [anon_sym_DQUOTE] = ACTIONS(1750),
    [anon_sym_POUND] = ACTIONS(1750),
    [anon_sym_DOLLAR] = ACTIONS(1750),
    [anon_sym_PERCENT] = ACTIONS(1750),
    [anon_sym_AMP] = ACTIONS(1750),
    [anon_sym_SQUOTE] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1750),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_DOT] = ACTIONS(1750),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym_COLON] = ACTIONS(1750),
    [anon_sym_SEMI] = ACTIONS(1750),
    [anon_sym_EQ] = ACTIONS(1750),
    [anon_sym_QMARK] = ACTIONS(1750),
    [anon_sym_AT] = ACTIONS(1750),
    [anon_sym_BSLASH] = ACTIONS(1750),
    [anon_sym_CARET] = ACTIONS(1750),
    [anon_sym__] = ACTIONS(1750),
    [anon_sym_BQUOTE] = ACTIONS(1750),
    [anon_sym_LBRACE] = ACTIONS(1750),
    [anon_sym_PIPE] = ACTIONS(1750),
    [anon_sym_RBRACE] = ACTIONS(1750),
    [anon_sym_TILDE] = ACTIONS(1750),
    [anon_sym_LPAREN] = ACTIONS(1750),
    [anon_sym_RPAREN] = ACTIONS(1750),
    [aux_sym__word_token1] = ACTIONS(1750),
    [aux_sym__word_token2] = ACTIONS(1750),
    [aux_sym__word_token3] = ACTIONS(1750),
    [sym__whitespace] = ACTIONS(1750),
    [sym__soft_line_ending] = ACTIONS(1750),
    [sym__block_close] = ACTIONS(1750),
    [sym__block_quote_start] = ACTIONS(1750),
    [sym__indented_chunk_start] = ACTIONS(1750),
    [sym_atx_h1_marker] = ACTIONS(1750),
    [sym_atx_h2_marker] = ACTIONS(1750),
    [sym_atx_h3_marker] = ACTIONS(1750),
    [sym_atx_h4_marker] = ACTIONS(1750),
    [sym_atx_h5_marker] = ACTIONS(1750),
    [sym_atx_h6_marker] = ACTIONS(1750),
    [sym__thematic_break] = ACTIONS(1750),
    [sym__list_marker_minus] = ACTIONS(1750),
    [sym__list_marker_plus] = ACTIONS(1750),
    [sym__list_marker_star] = ACTIONS(1750),
    [sym__list_marker_parenthesis] = ACTIONS(1750),
    [sym__list_marker_dot] = ACTIONS(1750),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1750),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1750),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1750),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1750),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1750),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1750),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1750),
    [sym__blank_line_start] = ACTIONS(1750),
    [sym__html_block_1_start] = ACTIONS(1750),
    [sym__html_block_2_start] = ACTIONS(1750),
    [sym__html_block_3_start] = ACTIONS(1750),
    [sym__html_block_4_start] = ACTIONS(1750),
    [sym__html_block_5_start] = ACTIONS(1750),
    [sym__html_block_6_start] = ACTIONS(1750),
    [sym__html_block_7_start] = ACTIONS(1750),
    [sym__pipe_table_start] = ACTIONS(1750),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_RBRACK] = ACTIONS(1320),
    [anon_sym_LT] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [anon_sym_POUND] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [anon_sym_PERCENT] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_DOT] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(1320),
    [anon_sym_COLON] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1320),
    [anon_sym_QMARK] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_CARET] = ACTIONS(1320),
    [anon_sym__] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_PIPE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_RPAREN] = ACTIONS(1320),
    [aux_sym__word_token1] = ACTIONS(1320),
    [aux_sym__word_token2] = ACTIONS(1320),
    [aux_sym__word_token3] = ACTIONS(1320),
    [sym__whitespace] = ACTIONS(1320),
    [sym__soft_line_ending] = ACTIONS(1320),
    [sym__block_quote_start] = ACTIONS(1320),
    [sym__indented_chunk_start] = ACTIONS(1320),
    [sym_atx_h1_marker] = ACTIONS(1320),
    [sym_atx_h2_marker] = ACTIONS(1320),
    [sym_atx_h3_marker] = ACTIONS(1320),
    [sym_atx_h4_marker] = ACTIONS(1320),
    [sym_atx_h5_marker] = ACTIONS(1320),
    [sym_atx_h6_marker] = ACTIONS(1320),
    [sym__thematic_break] = ACTIONS(1320),
    [sym__list_marker_minus] = ACTIONS(1320),
    [sym__list_marker_plus] = ACTIONS(1320),
    [sym__list_marker_star] = ACTIONS(1320),
    [sym__list_marker_parenthesis] = ACTIONS(1320),
    [sym__list_marker_dot] = ACTIONS(1320),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1320),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1320),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1320),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1320),
    [sym__blank_line_start] = ACTIONS(1320),
    [sym__html_block_1_start] = ACTIONS(1320),
    [sym__html_block_2_start] = ACTIONS(1320),
    [sym__html_block_3_start] = ACTIONS(1320),
    [sym__html_block_4_start] = ACTIONS(1320),
    [sym__html_block_5_start] = ACTIONS(1320),
    [sym__html_block_6_start] = ACTIONS(1320),
    [sym__html_block_7_start] = ACTIONS(1320),
    [sym__pipe_table_start] = ACTIONS(1320),
  },
  [332] = {
    [anon_sym_LBRACK] = ACTIONS(1748),
    [anon_sym_RBRACK] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [anon_sym_BANG] = ACTIONS(1746),
    [anon_sym_DQUOTE] = ACTIONS(1746),
    [anon_sym_POUND] = ACTIONS(1746),
    [anon_sym_DOLLAR] = ACTIONS(1746),
    [anon_sym_PERCENT] = ACTIONS(1746),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym_SQUOTE] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym_COLON] = ACTIONS(1746),
    [anon_sym_SEMI] = ACTIONS(1746),
    [anon_sym_EQ] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1746),
    [anon_sym_AT] = ACTIONS(1746),
    [anon_sym_BSLASH] = ACTIONS(1746),
    [anon_sym_CARET] = ACTIONS(1746),
    [anon_sym__] = ACTIONS(1746),
    [anon_sym_BQUOTE] = ACTIONS(1746),
    [anon_sym_LBRACE] = ACTIONS(1746),
    [anon_sym_PIPE] = ACTIONS(1746),
    [anon_sym_RBRACE] = ACTIONS(1746),
    [anon_sym_TILDE] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(1746),
    [anon_sym_RPAREN] = ACTIONS(1746),
    [aux_sym__word_token1] = ACTIONS(1746),
    [aux_sym__word_token2] = ACTIONS(1746),
    [aux_sym__word_token3] = ACTIONS(1746),
    [sym__whitespace] = ACTIONS(1746),
    [sym__soft_line_ending] = ACTIONS(1746),
    [sym__block_close] = ACTIONS(1746),
    [sym__block_quote_start] = ACTIONS(1746),
    [sym__indented_chunk_start] = ACTIONS(1746),
    [sym_atx_h1_marker] = ACTIONS(1746),
    [sym_atx_h2_marker] = ACTIONS(1746),
    [sym_atx_h3_marker] = ACTIONS(1746),
    [sym_atx_h4_marker] = ACTIONS(1746),
    [sym_atx_h5_marker] = ACTIONS(1746),
    [sym_atx_h6_marker] = ACTIONS(1746),
    [sym__thematic_break] = ACTIONS(1746),
    [sym__list_marker_minus] = ACTIONS(1746),
    [sym__list_marker_plus] = ACTIONS(1746),
    [sym__list_marker_star] = ACTIONS(1746),
    [sym__list_marker_parenthesis] = ACTIONS(1746),
    [sym__list_marker_dot] = ACTIONS(1746),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1746),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1746),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1746),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1746),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1746),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1746),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1746),
    [sym__blank_line_start] = ACTIONS(1746),
    [sym__html_block_1_start] = ACTIONS(1746),
    [sym__html_block_2_start] = ACTIONS(1746),
    [sym__html_block_3_start] = ACTIONS(1746),
    [sym__html_block_4_start] = ACTIONS(1746),
    [sym__html_block_5_start] = ACTIONS(1746),
    [sym__html_block_6_start] = ACTIONS(1746),
    [sym__html_block_7_start] = ACTIONS(1746),
    [sym__pipe_table_start] = ACTIONS(1746),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_RBRACK] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [anon_sym_POUND] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [anon_sym_PERCENT] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_COMMA] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_DOT] = ACTIONS(1314),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_EQ] = ACTIONS(1314),
    [anon_sym_QMARK] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1314),
    [anon_sym__] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [anon_sym_RPAREN] = ACTIONS(1314),
    [aux_sym__word_token1] = ACTIONS(1314),
    [aux_sym__word_token2] = ACTIONS(1314),
    [aux_sym__word_token3] = ACTIONS(1314),
    [sym__whitespace] = ACTIONS(1314),
    [sym__soft_line_ending] = ACTIONS(1314),
    [sym__block_quote_start] = ACTIONS(1314),
    [sym__indented_chunk_start] = ACTIONS(1314),
    [sym_atx_h1_marker] = ACTIONS(1314),
    [sym_atx_h2_marker] = ACTIONS(1314),
    [sym_atx_h3_marker] = ACTIONS(1314),
    [sym_atx_h4_marker] = ACTIONS(1314),
    [sym_atx_h5_marker] = ACTIONS(1314),
    [sym_atx_h6_marker] = ACTIONS(1314),
    [sym__thematic_break] = ACTIONS(1314),
    [sym__list_marker_minus] = ACTIONS(1314),
    [sym__list_marker_plus] = ACTIONS(1314),
    [sym__list_marker_star] = ACTIONS(1314),
    [sym__list_marker_parenthesis] = ACTIONS(1314),
    [sym__list_marker_dot] = ACTIONS(1314),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1314),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1314),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1314),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1314),
    [sym__blank_line_start] = ACTIONS(1314),
    [sym__html_block_1_start] = ACTIONS(1314),
    [sym__html_block_2_start] = ACTIONS(1314),
    [sym__html_block_3_start] = ACTIONS(1314),
    [sym__html_block_4_start] = ACTIONS(1314),
    [sym__html_block_5_start] = ACTIONS(1314),
    [sym__html_block_6_start] = ACTIONS(1314),
    [sym__html_block_7_start] = ACTIONS(1314),
    [sym__pipe_table_start] = ACTIONS(1314),
  },
  [334] = {
    [anon_sym_LBRACK] = ACTIONS(1744),
    [anon_sym_RBRACK] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym_BANG] = ACTIONS(1742),
    [anon_sym_DQUOTE] = ACTIONS(1742),
    [anon_sym_POUND] = ACTIONS(1742),
    [anon_sym_DOLLAR] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_SQUOTE] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1742),
    [anon_sym_BSLASH] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1742),
    [anon_sym__] = ACTIONS(1742),
    [anon_sym_BQUOTE] = ACTIONS(1742),
    [anon_sym_LBRACE] = ACTIONS(1742),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_RBRACE] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1742),
    [anon_sym_RPAREN] = ACTIONS(1742),
    [aux_sym__word_token1] = ACTIONS(1742),
    [aux_sym__word_token2] = ACTIONS(1742),
    [aux_sym__word_token3] = ACTIONS(1742),
    [sym__whitespace] = ACTIONS(1742),
    [sym__soft_line_ending] = ACTIONS(1742),
    [sym__block_close] = ACTIONS(1742),
    [sym__block_quote_start] = ACTIONS(1742),
    [sym__indented_chunk_start] = ACTIONS(1742),
    [sym_atx_h1_marker] = ACTIONS(1742),
    [sym_atx_h2_marker] = ACTIONS(1742),
    [sym_atx_h3_marker] = ACTIONS(1742),
    [sym_atx_h4_marker] = ACTIONS(1742),
    [sym_atx_h5_marker] = ACTIONS(1742),
    [sym_atx_h6_marker] = ACTIONS(1742),
    [sym__thematic_break] = ACTIONS(1742),
    [sym__list_marker_minus] = ACTIONS(1742),
    [sym__list_marker_plus] = ACTIONS(1742),
    [sym__list_marker_star] = ACTIONS(1742),
    [sym__list_marker_parenthesis] = ACTIONS(1742),
    [sym__list_marker_dot] = ACTIONS(1742),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1742),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1742),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1742),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1742),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1742),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1742),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1742),
    [sym__blank_line_start] = ACTIONS(1742),
    [sym__html_block_1_start] = ACTIONS(1742),
    [sym__html_block_2_start] = ACTIONS(1742),
    [sym__html_block_3_start] = ACTIONS(1742),
    [sym__html_block_4_start] = ACTIONS(1742),
    [sym__html_block_5_start] = ACTIONS(1742),
    [sym__html_block_6_start] = ACTIONS(1742),
    [sym__html_block_7_start] = ACTIONS(1742),
    [sym__pipe_table_start] = ACTIONS(1742),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_RBRACK] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [anon_sym_POUND] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [anon_sym_PERCENT] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_COMMA] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_DOT] = ACTIONS(1302),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_COLON] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_QMARK] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym__] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [anon_sym_RPAREN] = ACTIONS(1302),
    [aux_sym__word_token1] = ACTIONS(1302),
    [aux_sym__word_token2] = ACTIONS(1302),
    [aux_sym__word_token3] = ACTIONS(1302),
    [sym__whitespace] = ACTIONS(1302),
    [sym__soft_line_ending] = ACTIONS(1302),
    [sym__block_quote_start] = ACTIONS(1302),
    [sym__indented_chunk_start] = ACTIONS(1302),
    [sym_atx_h1_marker] = ACTIONS(1302),
    [sym_atx_h2_marker] = ACTIONS(1302),
    [sym_atx_h3_marker] = ACTIONS(1302),
    [sym_atx_h4_marker] = ACTIONS(1302),
    [sym_atx_h5_marker] = ACTIONS(1302),
    [sym_atx_h6_marker] = ACTIONS(1302),
    [sym__thematic_break] = ACTIONS(1302),
    [sym__list_marker_minus] = ACTIONS(1302),
    [sym__list_marker_plus] = ACTIONS(1302),
    [sym__list_marker_star] = ACTIONS(1302),
    [sym__list_marker_parenthesis] = ACTIONS(1302),
    [sym__list_marker_dot] = ACTIONS(1302),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1302),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1302),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1302),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1302),
    [sym__blank_line_start] = ACTIONS(1302),
    [sym__html_block_1_start] = ACTIONS(1302),
    [sym__html_block_2_start] = ACTIONS(1302),
    [sym__html_block_3_start] = ACTIONS(1302),
    [sym__html_block_4_start] = ACTIONS(1302),
    [sym__html_block_5_start] = ACTIONS(1302),
    [sym__html_block_6_start] = ACTIONS(1302),
    [sym__html_block_7_start] = ACTIONS(1302),
    [sym__pipe_table_start] = ACTIONS(1302),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1770),
    [anon_sym_RBRACK] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(1772),
    [anon_sym_DQUOTE] = ACTIONS(1772),
    [anon_sym_POUND] = ACTIONS(1772),
    [anon_sym_DOLLAR] = ACTIONS(1772),
    [anon_sym_PERCENT] = ACTIONS(1772),
    [anon_sym_AMP] = ACTIONS(1772),
    [anon_sym_SQUOTE] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1772),
    [anon_sym_COLON] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1772),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_AT] = ACTIONS(1772),
    [anon_sym_BSLASH] = ACTIONS(1772),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym__] = ACTIONS(1772),
    [anon_sym_BQUOTE] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1772),
    [anon_sym_TILDE] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [anon_sym_RPAREN] = ACTIONS(1772),
    [aux_sym__word_token1] = ACTIONS(1772),
    [aux_sym__word_token2] = ACTIONS(1772),
    [aux_sym__word_token3] = ACTIONS(1772),
    [sym__whitespace] = ACTIONS(1772),
    [sym__soft_line_ending] = ACTIONS(1772),
    [sym__block_quote_start] = ACTIONS(1772),
    [sym__indented_chunk_start] = ACTIONS(1772),
    [sym_atx_h1_marker] = ACTIONS(1772),
    [sym_atx_h2_marker] = ACTIONS(1772),
    [sym_atx_h3_marker] = ACTIONS(1772),
    [sym_atx_h4_marker] = ACTIONS(1772),
    [sym_atx_h5_marker] = ACTIONS(1772),
    [sym_atx_h6_marker] = ACTIONS(1772),
    [sym__thematic_break] = ACTIONS(1772),
    [sym__list_marker_minus] = ACTIONS(1772),
    [sym__list_marker_plus] = ACTIONS(1772),
    [sym__list_marker_star] = ACTIONS(1772),
    [sym__list_marker_parenthesis] = ACTIONS(1772),
    [sym__list_marker_dot] = ACTIONS(1772),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1772),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1772),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1772),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1772),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1772),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1772),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1772),
    [sym__blank_line_start] = ACTIONS(1772),
    [sym__html_block_1_start] = ACTIONS(1772),
    [sym__html_block_2_start] = ACTIONS(1772),
    [sym__html_block_3_start] = ACTIONS(1772),
    [sym__html_block_4_start] = ACTIONS(1772),
    [sym__html_block_5_start] = ACTIONS(1772),
    [sym__html_block_6_start] = ACTIONS(1772),
    [sym__html_block_7_start] = ACTIONS(1772),
    [sym__pipe_table_start] = ACTIONS(1772),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [anon_sym_RBRACK] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_BANG] = ACTIONS(1778),
    [anon_sym_DQUOTE] = ACTIONS(1778),
    [anon_sym_POUND] = ACTIONS(1778),
    [anon_sym_DOLLAR] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_SQUOTE] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_DOT] = ACTIONS(1778),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_COLON] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1778),
    [anon_sym_QMARK] = ACTIONS(1778),
    [anon_sym_AT] = ACTIONS(1778),
    [anon_sym_BSLASH] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym__] = ACTIONS(1778),
    [anon_sym_BQUOTE] = ACTIONS(1778),
    [anon_sym_LBRACE] = ACTIONS(1778),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_RBRACE] = ACTIONS(1778),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1778),
    [anon_sym_RPAREN] = ACTIONS(1778),
    [aux_sym__word_token1] = ACTIONS(1778),
    [aux_sym__word_token2] = ACTIONS(1778),
    [aux_sym__word_token3] = ACTIONS(1778),
    [sym__whitespace] = ACTIONS(1778),
    [sym__soft_line_ending] = ACTIONS(1778),
    [sym__block_quote_start] = ACTIONS(1778),
    [sym__indented_chunk_start] = ACTIONS(1778),
    [sym_atx_h1_marker] = ACTIONS(1778),
    [sym_atx_h2_marker] = ACTIONS(1778),
    [sym_atx_h3_marker] = ACTIONS(1778),
    [sym_atx_h4_marker] = ACTIONS(1778),
    [sym_atx_h5_marker] = ACTIONS(1778),
    [sym_atx_h6_marker] = ACTIONS(1778),
    [sym__thematic_break] = ACTIONS(1778),
    [sym__list_marker_minus] = ACTIONS(1778),
    [sym__list_marker_plus] = ACTIONS(1778),
    [sym__list_marker_star] = ACTIONS(1778),
    [sym__list_marker_parenthesis] = ACTIONS(1778),
    [sym__list_marker_dot] = ACTIONS(1778),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1778),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1778),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1778),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1778),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1778),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1778),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1778),
    [sym__blank_line_start] = ACTIONS(1778),
    [sym__html_block_1_start] = ACTIONS(1778),
    [sym__html_block_2_start] = ACTIONS(1778),
    [sym__html_block_3_start] = ACTIONS(1778),
    [sym__html_block_4_start] = ACTIONS(1778),
    [sym__html_block_5_start] = ACTIONS(1778),
    [sym__html_block_6_start] = ACTIONS(1778),
    [sym__html_block_7_start] = ACTIONS(1778),
    [sym__pipe_table_start] = ACTIONS(1778),
  },
  [338] = {
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_RBRACK] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [anon_sym_POUND] = ACTIONS(1213),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1213),
    [anon_sym_QMARK] = ACTIONS(1213),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_BSLASH] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym__] = ACTIONS(1213),
    [anon_sym_BQUOTE] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_RPAREN] = ACTIONS(1213),
    [aux_sym__word_token1] = ACTIONS(1213),
    [aux_sym__word_token2] = ACTIONS(1213),
    [aux_sym__word_token3] = ACTIONS(1213),
    [sym__whitespace] = ACTIONS(1213),
    [sym__soft_line_ending] = ACTIONS(1213),
    [sym__block_close] = ACTIONS(1213),
    [sym__block_quote_start] = ACTIONS(1213),
    [sym__indented_chunk_start] = ACTIONS(1213),
    [sym_atx_h1_marker] = ACTIONS(1213),
    [sym_atx_h2_marker] = ACTIONS(1213),
    [sym_atx_h3_marker] = ACTIONS(1213),
    [sym_atx_h4_marker] = ACTIONS(1213),
    [sym_atx_h5_marker] = ACTIONS(1213),
    [sym_atx_h6_marker] = ACTIONS(1213),
    [sym__thematic_break] = ACTIONS(1213),
    [sym__list_marker_minus] = ACTIONS(1213),
    [sym__list_marker_plus] = ACTIONS(1213),
    [sym__list_marker_star] = ACTIONS(1213),
    [sym__list_marker_parenthesis] = ACTIONS(1213),
    [sym__list_marker_dot] = ACTIONS(1213),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1213),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1213),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1213),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1213),
    [sym__blank_line_start] = ACTIONS(1213),
    [sym__html_block_1_start] = ACTIONS(1213),
    [sym__html_block_2_start] = ACTIONS(1213),
    [sym__html_block_3_start] = ACTIONS(1213),
    [sym__html_block_4_start] = ACTIONS(1213),
    [sym__html_block_5_start] = ACTIONS(1213),
    [sym__html_block_6_start] = ACTIONS(1213),
    [sym__html_block_7_start] = ACTIONS(1213),
    [sym__pipe_table_start] = ACTIONS(1213),
  },
  [339] = {
    [anon_sym_LBRACK] = ACTIONS(1764),
    [anon_sym_RBRACK] = ACTIONS(1762),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [anon_sym_BANG] = ACTIONS(1762),
    [anon_sym_DQUOTE] = ACTIONS(1762),
    [anon_sym_POUND] = ACTIONS(1762),
    [anon_sym_DOLLAR] = ACTIONS(1762),
    [anon_sym_PERCENT] = ACTIONS(1762),
    [anon_sym_AMP] = ACTIONS(1762),
    [anon_sym_SQUOTE] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1762),
    [anon_sym_PLUS] = ACTIONS(1762),
    [anon_sym_COMMA] = ACTIONS(1762),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_DOT] = ACTIONS(1762),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym_COLON] = ACTIONS(1762),
    [anon_sym_SEMI] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1762),
    [anon_sym_QMARK] = ACTIONS(1762),
    [anon_sym_AT] = ACTIONS(1762),
    [anon_sym_BSLASH] = ACTIONS(1762),
    [anon_sym_CARET] = ACTIONS(1762),
    [anon_sym__] = ACTIONS(1762),
    [anon_sym_BQUOTE] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_PIPE] = ACTIONS(1762),
    [anon_sym_RBRACE] = ACTIONS(1762),
    [anon_sym_TILDE] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(1762),
    [anon_sym_RPAREN] = ACTIONS(1762),
    [aux_sym__word_token1] = ACTIONS(1762),
    [aux_sym__word_token2] = ACTIONS(1762),
    [aux_sym__word_token3] = ACTIONS(1762),
    [sym__whitespace] = ACTIONS(1762),
    [sym__soft_line_ending] = ACTIONS(1762),
    [sym__block_close] = ACTIONS(1762),
    [sym__block_quote_start] = ACTIONS(1762),
    [sym__indented_chunk_start] = ACTIONS(1762),
    [sym_atx_h1_marker] = ACTIONS(1762),
    [sym_atx_h2_marker] = ACTIONS(1762),
    [sym_atx_h3_marker] = ACTIONS(1762),
    [sym_atx_h4_marker] = ACTIONS(1762),
    [sym_atx_h5_marker] = ACTIONS(1762),
    [sym_atx_h6_marker] = ACTIONS(1762),
    [sym__thematic_break] = ACTIONS(1762),
    [sym__list_marker_minus] = ACTIONS(1762),
    [sym__list_marker_plus] = ACTIONS(1762),
    [sym__list_marker_star] = ACTIONS(1762),
    [sym__list_marker_parenthesis] = ACTIONS(1762),
    [sym__list_marker_dot] = ACTIONS(1762),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1762),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1762),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1762),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1762),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1762),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1762),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1762),
    [sym__blank_line_start] = ACTIONS(1762),
    [sym__html_block_1_start] = ACTIONS(1762),
    [sym__html_block_2_start] = ACTIONS(1762),
    [sym__html_block_3_start] = ACTIONS(1762),
    [sym__html_block_4_start] = ACTIONS(1762),
    [sym__html_block_5_start] = ACTIONS(1762),
    [sym__html_block_6_start] = ACTIONS(1762),
    [sym__html_block_7_start] = ACTIONS(1762),
    [sym__pipe_table_start] = ACTIONS(1762),
  },
  [340] = {
    [anon_sym_LBRACK] = ACTIONS(1776),
    [anon_sym_RBRACK] = ACTIONS(1774),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_DQUOTE] = ACTIONS(1774),
    [anon_sym_POUND] = ACTIONS(1774),
    [anon_sym_DOLLAR] = ACTIONS(1774),
    [anon_sym_PERCENT] = ACTIONS(1774),
    [anon_sym_AMP] = ACTIONS(1774),
    [anon_sym_SQUOTE] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1774),
    [anon_sym_PLUS] = ACTIONS(1774),
    [anon_sym_COMMA] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_DOT] = ACTIONS(1774),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym_COLON] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1774),
    [anon_sym_EQ] = ACTIONS(1774),
    [anon_sym_QMARK] = ACTIONS(1774),
    [anon_sym_AT] = ACTIONS(1774),
    [anon_sym_BSLASH] = ACTIONS(1774),
    [anon_sym_CARET] = ACTIONS(1774),
    [anon_sym__] = ACTIONS(1774),
    [anon_sym_BQUOTE] = ACTIONS(1774),
    [anon_sym_LBRACE] = ACTIONS(1774),
    [anon_sym_PIPE] = ACTIONS(1774),
    [anon_sym_RBRACE] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1774),
    [anon_sym_RPAREN] = ACTIONS(1774),
    [aux_sym__word_token1] = ACTIONS(1774),
    [aux_sym__word_token2] = ACTIONS(1774),
    [aux_sym__word_token3] = ACTIONS(1774),
    [sym__whitespace] = ACTIONS(1774),
    [sym__soft_line_ending] = ACTIONS(1774),
    [sym__block_close] = ACTIONS(1774),
    [sym__block_quote_start] = ACTIONS(1774),
    [sym__indented_chunk_start] = ACTIONS(1774),
    [sym_atx_h1_marker] = ACTIONS(1774),
    [sym_atx_h2_marker] = ACTIONS(1774),
    [sym_atx_h3_marker] = ACTIONS(1774),
    [sym_atx_h4_marker] = ACTIONS(1774),
    [sym_atx_h5_marker] = ACTIONS(1774),
    [sym_atx_h6_marker] = ACTIONS(1774),
    [sym__thematic_break] = ACTIONS(1774),
    [sym__list_marker_minus] = ACTIONS(1774),
    [sym__list_marker_plus] = ACTIONS(1774),
    [sym__list_marker_star] = ACTIONS(1774),
    [sym__list_marker_parenthesis] = ACTIONS(1774),
    [sym__list_marker_dot] = ACTIONS(1774),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1774),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1774),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1774),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1774),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1774),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1774),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1774),
    [sym__blank_line_start] = ACTIONS(1774),
    [sym__html_block_1_start] = ACTIONS(1774),
    [sym__html_block_2_start] = ACTIONS(1774),
    [sym__html_block_3_start] = ACTIONS(1774),
    [sym__html_block_4_start] = ACTIONS(1774),
    [sym__html_block_5_start] = ACTIONS(1774),
    [sym__html_block_6_start] = ACTIONS(1774),
    [sym__html_block_7_start] = ACTIONS(1774),
    [sym__pipe_table_start] = ACTIONS(1774),
  },
  [341] = {
    [anon_sym_LBRACK] = ACTIONS(1768),
    [anon_sym_RBRACK] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [anon_sym_BANG] = ACTIONS(1766),
    [anon_sym_DQUOTE] = ACTIONS(1766),
    [anon_sym_POUND] = ACTIONS(1766),
    [anon_sym_DOLLAR] = ACTIONS(1766),
    [anon_sym_PERCENT] = ACTIONS(1766),
    [anon_sym_AMP] = ACTIONS(1766),
    [anon_sym_SQUOTE] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_PLUS] = ACTIONS(1766),
    [anon_sym_COMMA] = ACTIONS(1766),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_DOT] = ACTIONS(1766),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_COLON] = ACTIONS(1766),
    [anon_sym_SEMI] = ACTIONS(1766),
    [anon_sym_EQ] = ACTIONS(1766),
    [anon_sym_QMARK] = ACTIONS(1766),
    [anon_sym_AT] = ACTIONS(1766),
    [anon_sym_BSLASH] = ACTIONS(1766),
    [anon_sym_CARET] = ACTIONS(1766),
    [anon_sym__] = ACTIONS(1766),
    [anon_sym_BQUOTE] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1766),
    [anon_sym_PIPE] = ACTIONS(1766),
    [anon_sym_RBRACE] = ACTIONS(1766),
    [anon_sym_TILDE] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1766),
    [anon_sym_RPAREN] = ACTIONS(1766),
    [aux_sym__word_token1] = ACTIONS(1766),
    [aux_sym__word_token2] = ACTIONS(1766),
    [aux_sym__word_token3] = ACTIONS(1766),
    [sym__whitespace] = ACTIONS(1766),
    [sym__soft_line_ending] = ACTIONS(1766),
    [sym__block_close] = ACTIONS(1766),
    [sym__block_quote_start] = ACTIONS(1766),
    [sym__indented_chunk_start] = ACTIONS(1766),
    [sym_atx_h1_marker] = ACTIONS(1766),
    [sym_atx_h2_marker] = ACTIONS(1766),
    [sym_atx_h3_marker] = ACTIONS(1766),
    [sym_atx_h4_marker] = ACTIONS(1766),
    [sym_atx_h5_marker] = ACTIONS(1766),
    [sym_atx_h6_marker] = ACTIONS(1766),
    [sym__thematic_break] = ACTIONS(1766),
    [sym__list_marker_minus] = ACTIONS(1766),
    [sym__list_marker_plus] = ACTIONS(1766),
    [sym__list_marker_star] = ACTIONS(1766),
    [sym__list_marker_parenthesis] = ACTIONS(1766),
    [sym__list_marker_dot] = ACTIONS(1766),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1766),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1766),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1766),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1766),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1766),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1766),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1766),
    [sym__blank_line_start] = ACTIONS(1766),
    [sym__html_block_1_start] = ACTIONS(1766),
    [sym__html_block_2_start] = ACTIONS(1766),
    [sym__html_block_3_start] = ACTIONS(1766),
    [sym__html_block_4_start] = ACTIONS(1766),
    [sym__html_block_5_start] = ACTIONS(1766),
    [sym__html_block_6_start] = ACTIONS(1766),
    [sym__html_block_7_start] = ACTIONS(1766),
    [sym__pipe_table_start] = ACTIONS(1766),
  },
  [342] = {
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_RBRACK] = ACTIONS(1726),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_GT] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_DQUOTE] = ACTIONS(1726),
    [anon_sym_POUND] = ACTIONS(1726),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_PERCENT] = ACTIONS(1726),
    [anon_sym_AMP] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_PLUS] = ACTIONS(1726),
    [anon_sym_COMMA] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_DOT] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1726),
    [anon_sym_COLON] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_EQ] = ACTIONS(1726),
    [anon_sym_QMARK] = ACTIONS(1726),
    [anon_sym_AT] = ACTIONS(1726),
    [anon_sym_BSLASH] = ACTIONS(1726),
    [anon_sym_CARET] = ACTIONS(1726),
    [anon_sym__] = ACTIONS(1726),
    [anon_sym_BQUOTE] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_RPAREN] = ACTIONS(1726),
    [aux_sym__word_token1] = ACTIONS(1726),
    [aux_sym__word_token2] = ACTIONS(1726),
    [aux_sym__word_token3] = ACTIONS(1726),
    [sym__whitespace] = ACTIONS(1726),
    [sym__soft_line_ending] = ACTIONS(1726),
    [sym__block_close] = ACTIONS(1726),
    [sym__block_quote_start] = ACTIONS(1726),
    [sym__indented_chunk_start] = ACTIONS(1726),
    [sym_atx_h1_marker] = ACTIONS(1726),
    [sym_atx_h2_marker] = ACTIONS(1726),
    [sym_atx_h3_marker] = ACTIONS(1726),
    [sym_atx_h4_marker] = ACTIONS(1726),
    [sym_atx_h5_marker] = ACTIONS(1726),
    [sym_atx_h6_marker] = ACTIONS(1726),
    [sym__thematic_break] = ACTIONS(1726),
    [sym__list_marker_minus] = ACTIONS(1726),
    [sym__list_marker_plus] = ACTIONS(1726),
    [sym__list_marker_star] = ACTIONS(1726),
    [sym__list_marker_parenthesis] = ACTIONS(1726),
    [sym__list_marker_dot] = ACTIONS(1726),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1726),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1726),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1726),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1726),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1726),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1726),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1726),
    [sym__blank_line_start] = ACTIONS(1726),
    [sym__html_block_1_start] = ACTIONS(1726),
    [sym__html_block_2_start] = ACTIONS(1726),
    [sym__html_block_3_start] = ACTIONS(1726),
    [sym__html_block_4_start] = ACTIONS(1726),
    [sym__html_block_5_start] = ACTIONS(1726),
    [sym__html_block_6_start] = ACTIONS(1726),
    [sym__html_block_7_start] = ACTIONS(1726),
    [sym__pipe_table_start] = ACTIONS(1726),
  },
  [343] = {
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_RBRACK] = ACTIONS(1602),
    [anon_sym_LT] = ACTIONS(1602),
    [anon_sym_GT] = ACTIONS(1602),
    [anon_sym_BANG] = ACTIONS(1602),
    [anon_sym_DQUOTE] = ACTIONS(1602),
    [anon_sym_POUND] = ACTIONS(1602),
    [anon_sym_DOLLAR] = ACTIONS(1602),
    [anon_sym_PERCENT] = ACTIONS(1602),
    [anon_sym_AMP] = ACTIONS(1602),
    [anon_sym_SQUOTE] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_DOT] = ACTIONS(1602),
    [anon_sym_SLASH] = ACTIONS(1602),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1602),
    [anon_sym_EQ] = ACTIONS(1602),
    [anon_sym_QMARK] = ACTIONS(1602),
    [anon_sym_AT] = ACTIONS(1602),
    [anon_sym_BSLASH] = ACTIONS(1602),
    [anon_sym_CARET] = ACTIONS(1602),
    [anon_sym__] = ACTIONS(1602),
    [anon_sym_BQUOTE] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_PIPE] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_TILDE] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1602),
    [anon_sym_RPAREN] = ACTIONS(1602),
    [aux_sym__word_token1] = ACTIONS(1602),
    [aux_sym__word_token2] = ACTIONS(1602),
    [aux_sym__word_token3] = ACTIONS(1602),
    [sym__whitespace] = ACTIONS(1602),
    [sym__soft_line_ending] = ACTIONS(1602),
    [sym__block_close] = ACTIONS(1602),
    [sym__block_quote_start] = ACTIONS(1602),
    [sym__indented_chunk_start] = ACTIONS(1602),
    [sym_atx_h1_marker] = ACTIONS(1602),
    [sym_atx_h2_marker] = ACTIONS(1602),
    [sym_atx_h3_marker] = ACTIONS(1602),
    [sym_atx_h4_marker] = ACTIONS(1602),
    [sym_atx_h5_marker] = ACTIONS(1602),
    [sym_atx_h6_marker] = ACTIONS(1602),
    [sym__thematic_break] = ACTIONS(1602),
    [sym__list_marker_minus] = ACTIONS(1602),
    [sym__list_marker_plus] = ACTIONS(1602),
    [sym__list_marker_star] = ACTIONS(1602),
    [sym__list_marker_parenthesis] = ACTIONS(1602),
    [sym__list_marker_dot] = ACTIONS(1602),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1602),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1602),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1602),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1602),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1602),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1602),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1602),
    [sym__blank_line_start] = ACTIONS(1602),
    [sym__html_block_1_start] = ACTIONS(1602),
    [sym__html_block_2_start] = ACTIONS(1602),
    [sym__html_block_3_start] = ACTIONS(1602),
    [sym__html_block_4_start] = ACTIONS(1602),
    [sym__html_block_5_start] = ACTIONS(1602),
    [sym__html_block_6_start] = ACTIONS(1602),
    [sym__html_block_7_start] = ACTIONS(1602),
    [sym__pipe_table_start] = ACTIONS(1602),
  },
  [344] = {
    [anon_sym_LBRACK] = ACTIONS(1660),
    [anon_sym_RBRACK] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1658),
    [anon_sym_BANG] = ACTIONS(1658),
    [anon_sym_DQUOTE] = ACTIONS(1658),
    [anon_sym_POUND] = ACTIONS(1658),
    [anon_sym_DOLLAR] = ACTIONS(1658),
    [anon_sym_PERCENT] = ACTIONS(1658),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_SQUOTE] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_COMMA] = ACTIONS(1658),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_DOT] = ACTIONS(1658),
    [anon_sym_SLASH] = ACTIONS(1658),
    [anon_sym_COLON] = ACTIONS(1658),
    [anon_sym_SEMI] = ACTIONS(1658),
    [anon_sym_EQ] = ACTIONS(1658),
    [anon_sym_QMARK] = ACTIONS(1658),
    [anon_sym_AT] = ACTIONS(1658),
    [anon_sym_BSLASH] = ACTIONS(1658),
    [anon_sym_CARET] = ACTIONS(1658),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_BQUOTE] = ACTIONS(1658),
    [anon_sym_LBRACE] = ACTIONS(1658),
    [anon_sym_PIPE] = ACTIONS(1658),
    [anon_sym_RBRACE] = ACTIONS(1658),
    [anon_sym_TILDE] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1658),
    [anon_sym_RPAREN] = ACTIONS(1658),
    [aux_sym__word_token1] = ACTIONS(1658),
    [aux_sym__word_token2] = ACTIONS(1658),
    [aux_sym__word_token3] = ACTIONS(1658),
    [sym__whitespace] = ACTIONS(1658),
    [sym__soft_line_ending] = ACTIONS(1658),
    [sym__block_close] = ACTIONS(1658),
    [sym__block_quote_start] = ACTIONS(1658),
    [sym__indented_chunk_start] = ACTIONS(1658),
    [sym_atx_h1_marker] = ACTIONS(1658),
    [sym_atx_h2_marker] = ACTIONS(1658),
    [sym_atx_h3_marker] = ACTIONS(1658),
    [sym_atx_h4_marker] = ACTIONS(1658),
    [sym_atx_h5_marker] = ACTIONS(1658),
    [sym_atx_h6_marker] = ACTIONS(1658),
    [sym__thematic_break] = ACTIONS(1658),
    [sym__list_marker_minus] = ACTIONS(1658),
    [sym__list_marker_plus] = ACTIONS(1658),
    [sym__list_marker_star] = ACTIONS(1658),
    [sym__list_marker_parenthesis] = ACTIONS(1658),
    [sym__list_marker_dot] = ACTIONS(1658),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1658),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1658),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1658),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1658),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1658),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1658),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1658),
    [sym__blank_line_start] = ACTIONS(1658),
    [sym__html_block_1_start] = ACTIONS(1658),
    [sym__html_block_2_start] = ACTIONS(1658),
    [sym__html_block_3_start] = ACTIONS(1658),
    [sym__html_block_4_start] = ACTIONS(1658),
    [sym__html_block_5_start] = ACTIONS(1658),
    [sym__html_block_6_start] = ACTIONS(1658),
    [sym__html_block_7_start] = ACTIONS(1658),
    [sym__pipe_table_start] = ACTIONS(1658),
  },
  [345] = {
    [anon_sym_LBRACK] = ACTIONS(1782),
    [anon_sym_RBRACK] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1784),
    [anon_sym_GT] = ACTIONS(1784),
    [anon_sym_BANG] = ACTIONS(1784),
    [anon_sym_DQUOTE] = ACTIONS(1784),
    [anon_sym_POUND] = ACTIONS(1784),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_PERCENT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1784),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DOT] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1784),
    [anon_sym_COLON] = ACTIONS(1784),
    [anon_sym_SEMI] = ACTIONS(1784),
    [anon_sym_EQ] = ACTIONS(1784),
    [anon_sym_QMARK] = ACTIONS(1784),
    [anon_sym_AT] = ACTIONS(1784),
    [anon_sym_BSLASH] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym__] = ACTIONS(1784),
    [anon_sym_BQUOTE] = ACTIONS(1784),
    [anon_sym_LBRACE] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1784),
    [anon_sym_RBRACE] = ACTIONS(1784),
    [anon_sym_TILDE] = ACTIONS(1784),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [anon_sym_RPAREN] = ACTIONS(1784),
    [aux_sym__word_token1] = ACTIONS(1784),
    [aux_sym__word_token2] = ACTIONS(1784),
    [aux_sym__word_token3] = ACTIONS(1784),
    [sym__whitespace] = ACTIONS(1784),
    [sym__soft_line_ending] = ACTIONS(1784),
    [sym__block_close] = ACTIONS(1784),
    [sym__block_quote_start] = ACTIONS(1784),
    [sym__indented_chunk_start] = ACTIONS(1784),
    [sym_atx_h1_marker] = ACTIONS(1784),
    [sym_atx_h2_marker] = ACTIONS(1784),
    [sym_atx_h3_marker] = ACTIONS(1784),
    [sym_atx_h4_marker] = ACTIONS(1784),
    [sym_atx_h5_marker] = ACTIONS(1784),
    [sym_atx_h6_marker] = ACTIONS(1784),
    [sym__thematic_break] = ACTIONS(1784),
    [sym__list_marker_minus] = ACTIONS(1784),
    [sym__list_marker_plus] = ACTIONS(1784),
    [sym__list_marker_star] = ACTIONS(1784),
    [sym__list_marker_parenthesis] = ACTIONS(1784),
    [sym__list_marker_dot] = ACTIONS(1784),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1784),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1784),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1784),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1784),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1784),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1784),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1784),
    [sym__blank_line_start] = ACTIONS(1784),
    [sym__html_block_1_start] = ACTIONS(1784),
    [sym__html_block_2_start] = ACTIONS(1784),
    [sym__html_block_3_start] = ACTIONS(1784),
    [sym__html_block_4_start] = ACTIONS(1784),
    [sym__html_block_5_start] = ACTIONS(1784),
    [sym__html_block_6_start] = ACTIONS(1784),
    [sym__html_block_7_start] = ACTIONS(1784),
    [sym__pipe_table_start] = ACTIONS(1784),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1782),
    [anon_sym_RBRACK] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1784),
    [anon_sym_GT] = ACTIONS(1784),
    [anon_sym_BANG] = ACTIONS(1784),
    [anon_sym_DQUOTE] = ACTIONS(1784),
    [anon_sym_POUND] = ACTIONS(1784),
    [anon_sym_DOLLAR] = ACTIONS(1784),
    [anon_sym_PERCENT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1784),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DOT] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1784),
    [anon_sym_COLON] = ACTIONS(1784),
    [anon_sym_SEMI] = ACTIONS(1784),
    [anon_sym_EQ] = ACTIONS(1784),
    [anon_sym_QMARK] = ACTIONS(1784),
    [anon_sym_AT] = ACTIONS(1784),
    [anon_sym_BSLASH] = ACTIONS(1784),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym__] = ACTIONS(1784),
    [anon_sym_BQUOTE] = ACTIONS(1784),
    [anon_sym_LBRACE] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1784),
    [anon_sym_RBRACE] = ACTIONS(1784),
    [anon_sym_TILDE] = ACTIONS(1784),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [anon_sym_RPAREN] = ACTIONS(1784),
    [aux_sym__word_token1] = ACTIONS(1784),
    [aux_sym__word_token2] = ACTIONS(1784),
    [aux_sym__word_token3] = ACTIONS(1784),
    [sym__whitespace] = ACTIONS(1784),
    [sym__soft_line_ending] = ACTIONS(1784),
    [sym__block_quote_start] = ACTIONS(1784),
    [sym__indented_chunk_start] = ACTIONS(1784),
    [sym_atx_h1_marker] = ACTIONS(1784),
    [sym_atx_h2_marker] = ACTIONS(1784),
    [sym_atx_h3_marker] = ACTIONS(1784),
    [sym_atx_h4_marker] = ACTIONS(1784),
    [sym_atx_h5_marker] = ACTIONS(1784),
    [sym_atx_h6_marker] = ACTIONS(1784),
    [sym__thematic_break] = ACTIONS(1784),
    [sym__list_marker_minus] = ACTIONS(1784),
    [sym__list_marker_plus] = ACTIONS(1784),
    [sym__list_marker_star] = ACTIONS(1784),
    [sym__list_marker_parenthesis] = ACTIONS(1784),
    [sym__list_marker_dot] = ACTIONS(1784),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1784),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1784),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1784),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1784),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1784),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1784),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1784),
    [sym__blank_line_start] = ACTIONS(1784),
    [sym__html_block_1_start] = ACTIONS(1784),
    [sym__html_block_2_start] = ACTIONS(1784),
    [sym__html_block_3_start] = ACTIONS(1784),
    [sym__html_block_4_start] = ACTIONS(1784),
    [sym__html_block_5_start] = ACTIONS(1784),
    [sym__html_block_6_start] = ACTIONS(1784),
    [sym__html_block_7_start] = ACTIONS(1784),
    [sym__pipe_table_start] = ACTIONS(1784),
  },
  [347] = {
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_RBRACK] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_DQUOTE] = ACTIONS(1738),
    [anon_sym_POUND] = ACTIONS(1738),
    [anon_sym_DOLLAR] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [anon_sym_AMP] = ACTIONS(1738),
    [anon_sym_SQUOTE] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_PLUS] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_DOT] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_COLON] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(1738),
    [anon_sym_AT] = ACTIONS(1738),
    [anon_sym_BSLASH] = ACTIONS(1738),
    [anon_sym_CARET] = ACTIONS(1738),
    [anon_sym__] = ACTIONS(1738),
    [anon_sym_BQUOTE] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_PIPE] = ACTIONS(1738),
    [anon_sym_RBRACE] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [anon_sym_RPAREN] = ACTIONS(1738),
    [aux_sym__word_token1] = ACTIONS(1738),
    [aux_sym__word_token2] = ACTIONS(1738),
    [aux_sym__word_token3] = ACTIONS(1738),
    [sym__whitespace] = ACTIONS(1738),
    [sym__soft_line_ending] = ACTIONS(1738),
    [sym__block_close] = ACTIONS(1738),
    [sym__block_quote_start] = ACTIONS(1738),
    [sym__indented_chunk_start] = ACTIONS(1738),
    [sym_atx_h1_marker] = ACTIONS(1738),
    [sym_atx_h2_marker] = ACTIONS(1738),
    [sym_atx_h3_marker] = ACTIONS(1738),
    [sym_atx_h4_marker] = ACTIONS(1738),
    [sym_atx_h5_marker] = ACTIONS(1738),
    [sym_atx_h6_marker] = ACTIONS(1738),
    [sym__thematic_break] = ACTIONS(1738),
    [sym__list_marker_minus] = ACTIONS(1738),
    [sym__list_marker_plus] = ACTIONS(1738),
    [sym__list_marker_star] = ACTIONS(1738),
    [sym__list_marker_parenthesis] = ACTIONS(1738),
    [sym__list_marker_dot] = ACTIONS(1738),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1738),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1738),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1738),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1738),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1738),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1738),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1738),
    [sym__blank_line_start] = ACTIONS(1738),
    [sym__html_block_1_start] = ACTIONS(1738),
    [sym__html_block_2_start] = ACTIONS(1738),
    [sym__html_block_3_start] = ACTIONS(1738),
    [sym__html_block_4_start] = ACTIONS(1738),
    [sym__html_block_5_start] = ACTIONS(1738),
    [sym__html_block_6_start] = ACTIONS(1738),
    [sym__html_block_7_start] = ACTIONS(1738),
    [sym__pipe_table_start] = ACTIONS(1738),
  },
  [348] = {
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_RBRACK] = ACTIONS(1145),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [anon_sym_POUND] = ACTIONS(1145),
    [anon_sym_DOLLAR] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_COMMA] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_DOT] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_COLON] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_EQ] = ACTIONS(1145),
    [anon_sym_QMARK] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_BSLASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1145),
    [anon_sym__] = ACTIONS(1145),
    [anon_sym_BQUOTE] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1145),
    [anon_sym_RPAREN] = ACTIONS(1145),
    [aux_sym__word_token1] = ACTIONS(1145),
    [aux_sym__word_token2] = ACTIONS(1145),
    [aux_sym__word_token3] = ACTIONS(1145),
    [sym__whitespace] = ACTIONS(1145),
    [sym__soft_line_ending] = ACTIONS(1145),
    [sym__block_close] = ACTIONS(1145),
    [sym__block_quote_start] = ACTIONS(1145),
    [sym__indented_chunk_start] = ACTIONS(1145),
    [sym_atx_h1_marker] = ACTIONS(1145),
    [sym_atx_h2_marker] = ACTIONS(1145),
    [sym_atx_h3_marker] = ACTIONS(1145),
    [sym_atx_h4_marker] = ACTIONS(1145),
    [sym_atx_h5_marker] = ACTIONS(1145),
    [sym_atx_h6_marker] = ACTIONS(1145),
    [sym__thematic_break] = ACTIONS(1145),
    [sym__list_marker_minus] = ACTIONS(1145),
    [sym__list_marker_plus] = ACTIONS(1145),
    [sym__list_marker_star] = ACTIONS(1145),
    [sym__list_marker_parenthesis] = ACTIONS(1145),
    [sym__list_marker_dot] = ACTIONS(1145),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1145),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1145),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1145),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1145),
    [sym__blank_line_start] = ACTIONS(1145),
    [sym__html_block_1_start] = ACTIONS(1145),
    [sym__html_block_2_start] = ACTIONS(1145),
    [sym__html_block_3_start] = ACTIONS(1145),
    [sym__html_block_4_start] = ACTIONS(1145),
    [sym__html_block_5_start] = ACTIONS(1145),
    [sym__html_block_6_start] = ACTIONS(1145),
    [sym__html_block_7_start] = ACTIONS(1145),
    [sym__pipe_table_start] = ACTIONS(1145),
  },
  [349] = {
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_RBRACK] = ACTIONS(1666),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1666),
    [anon_sym_BANG] = ACTIONS(1666),
    [anon_sym_DQUOTE] = ACTIONS(1666),
    [anon_sym_POUND] = ACTIONS(1666),
    [anon_sym_DOLLAR] = ACTIONS(1666),
    [anon_sym_PERCENT] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(1666),
    [anon_sym_SQUOTE] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_COMMA] = ACTIONS(1666),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_DOT] = ACTIONS(1666),
    [anon_sym_SLASH] = ACTIONS(1666),
    [anon_sym_COLON] = ACTIONS(1666),
    [anon_sym_SEMI] = ACTIONS(1666),
    [anon_sym_EQ] = ACTIONS(1666),
    [anon_sym_QMARK] = ACTIONS(1666),
    [anon_sym_AT] = ACTIONS(1666),
    [anon_sym_BSLASH] = ACTIONS(1666),
    [anon_sym_CARET] = ACTIONS(1666),
    [anon_sym__] = ACTIONS(1666),
    [anon_sym_BQUOTE] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1666),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_RBRACE] = ACTIONS(1666),
    [anon_sym_TILDE] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1666),
    [aux_sym__word_token1] = ACTIONS(1666),
    [aux_sym__word_token2] = ACTIONS(1666),
    [aux_sym__word_token3] = ACTIONS(1666),
    [sym__whitespace] = ACTIONS(1666),
    [sym__soft_line_ending] = ACTIONS(1666),
    [sym__block_close] = ACTIONS(1666),
    [sym__block_quote_start] = ACTIONS(1666),
    [sym__indented_chunk_start] = ACTIONS(1666),
    [sym_atx_h1_marker] = ACTIONS(1666),
    [sym_atx_h2_marker] = ACTIONS(1666),
    [sym_atx_h3_marker] = ACTIONS(1666),
    [sym_atx_h4_marker] = ACTIONS(1666),
    [sym_atx_h5_marker] = ACTIONS(1666),
    [sym_atx_h6_marker] = ACTIONS(1666),
    [sym__thematic_break] = ACTIONS(1666),
    [sym__list_marker_minus] = ACTIONS(1666),
    [sym__list_marker_plus] = ACTIONS(1666),
    [sym__list_marker_star] = ACTIONS(1666),
    [sym__list_marker_parenthesis] = ACTIONS(1666),
    [sym__list_marker_dot] = ACTIONS(1666),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1666),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1666),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1666),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1666),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1666),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1666),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1666),
    [sym__blank_line_start] = ACTIONS(1666),
    [sym__html_block_1_start] = ACTIONS(1666),
    [sym__html_block_2_start] = ACTIONS(1666),
    [sym__html_block_3_start] = ACTIONS(1666),
    [sym__html_block_4_start] = ACTIONS(1666),
    [sym__html_block_5_start] = ACTIONS(1666),
    [sym__html_block_6_start] = ACTIONS(1666),
    [sym__html_block_7_start] = ACTIONS(1666),
    [sym__pipe_table_start] = ACTIONS(1666),
  },
  [350] = {
    [anon_sym_LBRACK] = ACTIONS(1780),
    [anon_sym_RBRACK] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_BANG] = ACTIONS(1778),
    [anon_sym_DQUOTE] = ACTIONS(1778),
    [anon_sym_POUND] = ACTIONS(1778),
    [anon_sym_DOLLAR] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_SQUOTE] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_DOT] = ACTIONS(1778),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_COLON] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1778),
    [anon_sym_QMARK] = ACTIONS(1778),
    [anon_sym_AT] = ACTIONS(1778),
    [anon_sym_BSLASH] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym__] = ACTIONS(1778),
    [anon_sym_BQUOTE] = ACTIONS(1778),
    [anon_sym_LBRACE] = ACTIONS(1778),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_RBRACE] = ACTIONS(1778),
    [anon_sym_TILDE] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1778),
    [anon_sym_RPAREN] = ACTIONS(1778),
    [aux_sym__word_token1] = ACTIONS(1778),
    [aux_sym__word_token2] = ACTIONS(1778),
    [aux_sym__word_token3] = ACTIONS(1778),
    [sym__whitespace] = ACTIONS(1778),
    [sym__soft_line_ending] = ACTIONS(1778),
    [sym__block_close] = ACTIONS(1778),
    [sym__block_quote_start] = ACTIONS(1778),
    [sym__indented_chunk_start] = ACTIONS(1778),
    [sym_atx_h1_marker] = ACTIONS(1778),
    [sym_atx_h2_marker] = ACTIONS(1778),
    [sym_atx_h3_marker] = ACTIONS(1778),
    [sym_atx_h4_marker] = ACTIONS(1778),
    [sym_atx_h5_marker] = ACTIONS(1778),
    [sym_atx_h6_marker] = ACTIONS(1778),
    [sym__thematic_break] = ACTIONS(1778),
    [sym__list_marker_minus] = ACTIONS(1778),
    [sym__list_marker_plus] = ACTIONS(1778),
    [sym__list_marker_star] = ACTIONS(1778),
    [sym__list_marker_parenthesis] = ACTIONS(1778),
    [sym__list_marker_dot] = ACTIONS(1778),
    [sym__list_marker_minus_dont_interrupt] = ACTIONS(1778),
    [sym__list_marker_plus_dont_interrupt] = ACTIONS(1778),
    [sym__list_marker_star_dont_interrupt] = ACTIONS(1778),
    [sym__list_marker_parenthesis_dont_interrupt] = ACTIONS(1778),
    [sym__list_marker_dot_dont_interrupt] = ACTIONS(1778),
    [sym__fenced_code_block_start_backtick] = ACTIONS(1778),
    [sym__fenced_code_block_start_tilde] = ACTIONS(1778),
    [sym__blank_line_start] = ACTIONS(1778),
    [sym__html_block_1_start] = ACTIONS(1778),
    [sym__html_block_2_start] = ACTIONS(1778),
    [sym__html_block_3_start] = ACTIONS(1778),
    [sym__html_block_4_start] = ACTIONS(1778),
    [sym__html_block_5_start] = ACTIONS(1778),
    [sym__html_block_6_start] = ACTIONS(1778),
    [sym__html_block_7_start] = ACTIONS(1778),
    [sym__pipe_table_start] = ACTIONS(1778),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 11,
    ACTIONS(47), 1,
      sym__html_block_1_start,
    ACTIONS(49), 1,
      sym__html_block_2_start,
    ACTIONS(51), 1,
      sym__html_block_3_start,
    ACTIONS(53), 1,
      sym__html_block_4_start,
    ACTIONS(55), 1,
      sym__html_block_5_start,
    ACTIONS(57), 1,
      sym__html_block_6_start,
    ACTIONS(59), 1,
      sym__html_block_7_start,
    ACTIONS(1786), 1,
      anon_sym_LBRACK,
    STATE(904), 1,
      sym_link_label,
    STATE(281), 7,
      sym__html_block_1,
      sym__html_block_2,
      sym__html_block_3,
      sym__html_block_4,
      sym__html_block_5,
      sym__html_block_6,
      sym__html_block_7,
    ACTIONS(1789), 38,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [77] = 11,
    ACTIONS(97), 1,
      sym__html_block_1_start,
    ACTIONS(99), 1,
      sym__html_block_2_start,
    ACTIONS(101), 1,
      sym__html_block_3_start,
    ACTIONS(103), 1,
      sym__html_block_4_start,
    ACTIONS(105), 1,
      sym__html_block_5_start,
    ACTIONS(107), 1,
      sym__html_block_6_start,
    ACTIONS(109), 1,
      sym__html_block_7_start,
    ACTIONS(1786), 1,
      anon_sym_LBRACK,
    STATE(919), 1,
      sym_link_label,
    STATE(216), 7,
      sym__html_block_1,
      sym__html_block_2,
      sym__html_block_3,
      sym__html_block_4,
      sym__html_block_5,
      sym__html_block_6,
      sym__html_block_7,
    ACTIONS(1789), 38,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [154] = 9,
    ACTIONS(1791), 1,
      sym__backslash_escape,
    ACTIONS(1795), 1,
      anon_sym_LBRACK,
    ACTIONS(1803), 1,
      sym__soft_line_ending,
    STATE(603), 1,
      sym__last_token_punctuation,
    ACTIONS(1793), 2,
      sym_entity_reference,
      sym_numeric_character_reference,
    ACTIONS(1800), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1789), 3,
      sym__line_ending,
      sym__eof,
      anon_sym_RBRACK,
    STATE(389), 5,
      sym_backslash_escape,
      sym__text_inline_no_link,
      sym__soft_line_break,
      sym__word,
      aux_sym_link_label_repeat1,
    ACTIONS(1797), 32,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [221] = 11,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1814), 1,
      sym__whitespace,
    ACTIONS(1816), 1,
      sym__line_ending,
    STATE(378), 1,
      sym_language,
    STATE(387), 1,
      sym__newline,
    STATE(405), 1,
      aux_sym_info_string_repeat2,
    STATE(849), 1,
      sym_info_string,
    ACTIONS(1812), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1810), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(454), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(1808), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [290] = 11,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1818), 1,
      sym__whitespace,
    ACTIONS(1820), 1,
      sym__line_ending,
    STATE(370), 1,
      sym__newline,
    STATE(378), 1,
      sym_language,
    STATE(405), 1,
      aux_sym_info_string_repeat2,
    STATE(851), 1,
      sym_info_string,
    ACTIONS(1812), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1810), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(454), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(1808), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [359] = 7,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    STATE(386), 1,
      sym__last_token_punctuation,
    ACTIONS(1826), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1830), 4,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__whitespace,
    STATE(384), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(1824), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [420] = 11,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1816), 1,
      sym__line_ending,
    ACTIONS(1832), 1,
      sym__whitespace,
    STATE(373), 1,
      sym__newline,
    STATE(378), 1,
      sym_language,
    STATE(405), 1,
      aux_sym_info_string_repeat2,
    STATE(856), 1,
      sym_info_string,
    ACTIONS(1812), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1810), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(454), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(1808), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [489] = 11,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1820), 1,
      sym__line_ending,
    ACTIONS(1834), 1,
      sym__whitespace,
    STATE(378), 1,
      sym_language,
    STATE(379), 1,
      sym__newline,
    STATE(405), 1,
      aux_sym_info_string_repeat2,
    STATE(853), 1,
      sym_info_string,
    ACTIONS(1812), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1810), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(454), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(1808), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [558] = 8,
    ACTIONS(1820), 1,
      sym__line_ending,
    ACTIONS(1836), 1,
      anon_sym_LBRACK,
    ACTIONS(1840), 1,
      sym__block_close,
    ACTIONS(1842), 1,
      sym__fenced_code_block_end_backtick,
    STATE(839), 1,
      sym_code_fence_content,
    STATE(525), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(424), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1838), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [620] = 6,
    ACTIONS(1844), 1,
      sym__backslash_escape,
    ACTIONS(1853), 1,
      anon_sym_LPAREN,
    ACTIONS(1850), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1856), 4,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__whitespace,
    STATE(360), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(1847), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [678] = 8,
    ACTIONS(1820), 1,
      sym__line_ending,
    ACTIONS(1836), 1,
      anon_sym_LBRACK,
    ACTIONS(1858), 1,
      sym__block_close,
    ACTIONS(1860), 1,
      sym__fenced_code_block_end_backtick,
    STATE(852), 1,
      sym_code_fence_content,
    STATE(525), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(424), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1838), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [740] = 7,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1868), 1,
      sym__line_ending,
    ACTIONS(1862), 2,
      sym_entity_reference,
      sym_numeric_character_reference,
    STATE(471), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(1864), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(364), 3,
      sym_backslash_escape,
      sym__line,
      aux_sym_info_string_repeat1,
    ACTIONS(1866), 33,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [800] = 8,
    ACTIONS(1816), 1,
      sym__line_ending,
    ACTIONS(1840), 1,
      sym__block_close,
    ACTIONS(1842), 1,
      sym__fenced_code_block_end_tilde,
    ACTIONS(1870), 1,
      anon_sym_LBRACK,
    STATE(832), 1,
      sym_code_fence_content,
    STATE(520), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(417), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1872), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [862] = 7,
    ACTIONS(1874), 1,
      sym__backslash_escape,
    ACTIONS(1886), 1,
      sym__line_ending,
    ACTIONS(1877), 2,
      sym_entity_reference,
      sym_numeric_character_reference,
    STATE(471), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(1880), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(364), 3,
      sym_backslash_escape,
      sym__line,
      aux_sym_info_string_repeat1,
    ACTIONS(1883), 33,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [922] = 10,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1816), 1,
      sym__line_ending,
    STATE(368), 1,
      sym__newline,
    STATE(378), 1,
      sym_language,
    STATE(405), 1,
      aux_sym_info_string_repeat2,
    STATE(840), 1,
      sym_info_string,
    ACTIONS(1812), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1810), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(454), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(1808), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [988] = 7,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1868), 1,
      sym__line_ending,
    ACTIONS(1888), 2,
      sym_entity_reference,
      sym_numeric_character_reference,
    STATE(471), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(1864), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(375), 3,
      sym_backslash_escape,
      sym__line,
      aux_sym_info_string_repeat1,
    ACTIONS(1866), 33,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1048] = 8,
    ACTIONS(1820), 1,
      sym__line_ending,
    ACTIONS(1836), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      sym__block_close,
    ACTIONS(1892), 1,
      sym__fenced_code_block_end_backtick,
    STATE(835), 1,
      sym_code_fence_content,
    STATE(525), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(424), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1838), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1110] = 8,
    ACTIONS(1816), 1,
      sym__line_ending,
    ACTIONS(1870), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      sym__block_close,
    ACTIONS(1892), 1,
      sym__fenced_code_block_end_tilde,
    STATE(837), 1,
      sym_code_fence_content,
    STATE(520), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(417), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1872), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1172] = 8,
    ACTIONS(1816), 1,
      sym__line_ending,
    ACTIONS(1858), 1,
      sym__block_close,
    ACTIONS(1860), 1,
      sym__fenced_code_block_end_tilde,
    ACTIONS(1870), 1,
      anon_sym_LBRACK,
    STATE(796), 1,
      sym_code_fence_content,
    STATE(520), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(417), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1872), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1234] = 8,
    ACTIONS(1820), 1,
      sym__line_ending,
    ACTIONS(1836), 1,
      anon_sym_LBRACK,
    ACTIONS(1894), 1,
      sym__block_close,
    ACTIONS(1896), 1,
      sym__fenced_code_block_end_backtick,
    STATE(824), 1,
      sym_code_fence_content,
    STATE(525), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(424), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1838), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1296] = 8,
    ACTIONS(1820), 1,
      sym__line_ending,
    ACTIONS(1836), 1,
      anon_sym_LBRACK,
    ACTIONS(1898), 1,
      sym__block_close,
    ACTIONS(1900), 1,
      sym__fenced_code_block_end_backtick,
    STATE(841), 1,
      sym_code_fence_content,
    STATE(525), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(424), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1838), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1358] = 8,
    ACTIONS(1816), 1,
      sym__line_ending,
    ACTIONS(1870), 1,
      anon_sym_LBRACK,
    ACTIONS(1898), 1,
      sym__block_close,
    ACTIONS(1900), 1,
      sym__fenced_code_block_end_tilde,
    STATE(843), 1,
      sym_code_fence_content,
    STATE(520), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(417), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1872), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1420] = 8,
    ACTIONS(1816), 1,
      sym__line_ending,
    ACTIONS(1870), 1,
      anon_sym_LBRACK,
    ACTIONS(1902), 1,
      sym__block_close,
    ACTIONS(1904), 1,
      sym__fenced_code_block_end_tilde,
    STATE(815), 1,
      sym_code_fence_content,
    STATE(520), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(417), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1872), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1482] = 9,
    ACTIONS(11), 1,
      sym__soft_line_ending,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1908), 1,
      sym__line_ending,
    ACTIONS(1910), 1,
      sym__eof,
    STATE(111), 1,
      sym__newline,
    STATE(391), 1,
      aux_sym_paragraph_repeat1,
    STATE(528), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(600), 2,
      sym__soft_line_break,
      sym__line,
    ACTIONS(7), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1546] = 7,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1912), 1,
      sym__line_ending,
    ACTIONS(1862), 2,
      sym_entity_reference,
      sym_numeric_character_reference,
    STATE(471), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(1864), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(364), 3,
      sym_backslash_escape,
      sym__line,
      aux_sym_info_string_repeat1,
    ACTIONS(1866), 33,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1606] = 10,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1820), 1,
      sym__line_ending,
    STATE(367), 1,
      sym__newline,
    STATE(378), 1,
      sym_language,
    STATE(405), 1,
      aux_sym_info_string_repeat2,
    STATE(842), 1,
      sym_info_string,
    ACTIONS(1812), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1810), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(454), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(1808), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [1672] = 10,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1820), 1,
      sym__line_ending,
    STATE(361), 1,
      sym__newline,
    STATE(378), 1,
      sym_language,
    STATE(405), 1,
      aux_sym_info_string_repeat2,
    STATE(810), 1,
      sym_info_string,
    ACTIONS(1812), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1810), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(454), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(1808), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [1738] = 7,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1916), 1,
      sym__line_ending,
    ACTIONS(1914), 2,
      sym_entity_reference,
      sym_numeric_character_reference,
    STATE(471), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(1864), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(362), 3,
      sym_backslash_escape,
      sym__line,
      aux_sym_info_string_repeat1,
    ACTIONS(1866), 33,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1798] = 8,
    ACTIONS(1820), 1,
      sym__line_ending,
    ACTIONS(1836), 1,
      anon_sym_LBRACK,
    ACTIONS(1902), 1,
      sym__block_close,
    ACTIONS(1904), 1,
      sym__fenced_code_block_end_backtick,
    STATE(812), 1,
      sym_code_fence_content,
    STATE(525), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(424), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1838), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1860] = 9,
    ACTIONS(11), 1,
      sym__soft_line_ending,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      sym__line_ending,
    ACTIONS(1920), 1,
      sym__eof,
    STATE(107), 1,
      sym__newline,
    STATE(391), 1,
      aux_sym_paragraph_repeat1,
    STATE(528), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(600), 2,
      sym__soft_line_break,
      sym__line,
    ACTIONS(7), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1924] = 9,
    ACTIONS(11), 1,
      sym__soft_line_ending,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(1924), 1,
      sym__eof,
    STATE(295), 1,
      sym__newline,
    STATE(391), 1,
      aux_sym_paragraph_repeat1,
    STATE(528), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(600), 2,
      sym__soft_line_break,
      sym__line,
    ACTIONS(7), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [1988] = 10,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1816), 1,
      sym__line_ending,
    STATE(369), 1,
      sym__newline,
    STATE(378), 1,
      sym_language,
    STATE(405), 1,
      aux_sym_info_string_repeat2,
    STATE(814), 1,
      sym_info_string,
    ACTIONS(1812), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1810), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(454), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(1808), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [2054] = 6,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(1826), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1830), 4,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__whitespace,
    STATE(384), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(1824), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [2112] = 6,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(1928), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1930), 4,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__whitespace,
    STATE(360), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(1926), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [2170] = 6,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(1928), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1932), 4,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__whitespace,
    STATE(360), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(1926), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [2228] = 6,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(1936), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1930), 4,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__whitespace,
    STATE(385), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(1934), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [2286] = 8,
    ACTIONS(1816), 1,
      sym__line_ending,
    ACTIONS(1870), 1,
      anon_sym_LBRACK,
    ACTIONS(1894), 1,
      sym__block_close,
    ACTIONS(1896), 1,
      sym__fenced_code_block_end_tilde,
    STATE(826), 1,
      sym_code_fence_content,
    STATE(520), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(417), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1872), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2348] = 7,
    ACTIONS(1942), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(1944), 1,
      sym__line_ending,
    ACTIONS(1946), 1,
      sym__block_close,
    ACTIONS(1938), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    STATE(529), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(421), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_5_repeat1,
    ACTIONS(1940), 34,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2407] = 6,
    ACTIONS(1791), 1,
      sym__backslash_escape,
    ACTIONS(1950), 1,
      anon_sym_RBRACK,
    ACTIONS(1954), 1,
      sym__soft_line_ending,
    ACTIONS(1952), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(395), 5,
      sym_backslash_escape,
      sym__text_inline_no_link,
      sym__soft_line_break,
      sym__word,
      aux_sym_link_label_repeat1,
    ACTIONS(1948), 34,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2464] = 7,
    ACTIONS(1962), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(1965), 1,
      sym__line_ending,
    ACTIONS(1968), 1,
      sym__block_close,
    ACTIONS(1956), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    STATE(529), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(390), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_5_repeat1,
    ACTIONS(1959), 34,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2523] = 7,
    ACTIONS(1970), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      sym__soft_line_ending,
    STATE(391), 1,
      aux_sym_paragraph_repeat1,
    ACTIONS(1976), 2,
      sym__line_ending,
      sym__eof,
    STATE(528), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(600), 2,
      sym__soft_line_break,
      sym__line,
    ACTIONS(1973), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2582] = 7,
    ACTIONS(1791), 1,
      sym__backslash_escape,
    ACTIONS(1954), 1,
      sym__soft_line_ending,
    ACTIONS(1985), 1,
      anon_sym_SQUOTE,
    STATE(508), 1,
      sym__soft_line_break,
    ACTIONS(1983), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(406), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(1981), 34,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2641] = 7,
    ACTIONS(1791), 1,
      sym__backslash_escape,
    ACTIONS(1954), 1,
      sym__soft_line_ending,
    ACTIONS(1991), 1,
      anon_sym_DQUOTE,
    STATE(517), 1,
      sym__soft_line_break,
    ACTIONS(1989), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(425), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(1987), 34,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2700] = 7,
    ACTIONS(1791), 1,
      sym__backslash_escape,
    ACTIONS(1954), 1,
      sym__soft_line_ending,
    ACTIONS(1991), 1,
      anon_sym_SQUOTE,
    STATE(508), 1,
      sym__soft_line_break,
    ACTIONS(1995), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(392), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(1993), 34,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2759] = 6,
    ACTIONS(1997), 1,
      sym__backslash_escape,
    ACTIONS(2003), 1,
      anon_sym_RBRACK,
    ACTIONS(2008), 1,
      sym__soft_line_ending,
    ACTIONS(2005), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(395), 5,
      sym_backslash_escape,
      sym__text_inline_no_link,
      sym__soft_line_break,
      sym__word,
      aux_sym_link_label_repeat1,
    ACTIONS(2000), 34,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2816] = 6,
    ACTIONS(2011), 1,
      anon_sym_LBRACK,
    ACTIONS(2017), 1,
      sym__line_ending,
    ACTIONS(2020), 2,
      sym__block_close,
      sym__fenced_code_block_end_tilde,
    STATE(520), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(396), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(2014), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2873] = 7,
    ACTIONS(2026), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2028), 1,
      sym__line_ending,
    ACTIONS(2030), 1,
      sym__block_close,
    ACTIONS(2022), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(501), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(420), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_2_repeat1,
    ACTIONS(2024), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2932] = 7,
    ACTIONS(2026), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2028), 1,
      sym__line_ending,
    ACTIONS(2032), 1,
      sym__block_close,
    ACTIONS(2022), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(501), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(412), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_2_repeat1,
    ACTIONS(2024), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [2991] = 7,
    ACTIONS(2034), 1,
      anon_sym_LBRACK,
    ACTIONS(2038), 1,
      sym__line_ending,
    ACTIONS(2040), 1,
      sym__block_close,
    ACTIONS(2042), 1,
      sym__html_block_1_end,
    STATE(498), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(422), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_1_repeat1,
    ACTIONS(2036), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3050] = 7,
    ACTIONS(2048), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2050), 1,
      sym__line_ending,
    ACTIONS(2052), 1,
      sym__block_close,
    ACTIONS(2044), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    STATE(516), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(413), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_3_repeat1,
    ACTIONS(2046), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3109] = 11,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2062), 1,
      sym__whitespace,
    ACTIONS(2064), 1,
      sym__soft_line_ending,
    STATE(469), 1,
      sym__soft_line_break,
    STATE(682), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [3176] = 7,
    ACTIONS(2072), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2075), 1,
      sym__line_ending,
    ACTIONS(2078), 1,
      sym__block_close,
    ACTIONS(2066), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    STATE(516), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(402), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_3_repeat1,
    ACTIONS(2069), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3235] = 7,
    ACTIONS(1942), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(1944), 1,
      sym__line_ending,
    ACTIONS(2080), 1,
      sym__block_close,
    ACTIONS(1938), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    STATE(529), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(408), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_5_repeat1,
    ACTIONS(1940), 34,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3294] = 7,
    ACTIONS(2048), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2050), 1,
      sym__line_ending,
    ACTIONS(2082), 1,
      sym__block_close,
    ACTIONS(2044), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    STATE(516), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(407), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_3_repeat1,
    ACTIONS(2046), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3353] = 9,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(1916), 1,
      sym__line_ending,
    ACTIONS(2086), 1,
      sym__whitespace,
    STATE(366), 1,
      sym_language,
    STATE(544), 1,
      aux_sym_info_string_repeat2,
    ACTIONS(2084), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1810), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(454), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(1808), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [3416] = 7,
    ACTIONS(2088), 1,
      sym__backslash_escape,
    ACTIONS(2097), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      sym__soft_line_ending,
    STATE(508), 1,
      sym__soft_line_break,
    ACTIONS(2094), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(406), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(2091), 34,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3475] = 7,
    ACTIONS(2048), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2050), 1,
      sym__line_ending,
    ACTIONS(2102), 1,
      sym__block_close,
    ACTIONS(2044), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    STATE(516), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(402), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_3_repeat1,
    ACTIONS(2046), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3534] = 7,
    ACTIONS(1942), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(1944), 1,
      sym__line_ending,
    ACTIONS(2104), 1,
      sym__block_close,
    ACTIONS(1938), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    STATE(529), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(390), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_5_repeat1,
    ACTIONS(1940), 34,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3593] = 7,
    ACTIONS(2106), 1,
      sym__backslash_escape,
    ACTIONS(2115), 1,
      anon_sym_DQUOTE,
    ACTIONS(2117), 1,
      sym__soft_line_ending,
    STATE(517), 1,
      sym__soft_line_break,
    ACTIONS(2112), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(409), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(2109), 34,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3652] = 7,
    ACTIONS(2026), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2028), 1,
      sym__line_ending,
    ACTIONS(2120), 1,
      sym__block_close,
    ACTIONS(2022), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(501), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(397), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_2_repeat1,
    ACTIONS(2024), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3711] = 7,
    ACTIONS(2034), 1,
      anon_sym_LBRACK,
    ACTIONS(2038), 1,
      sym__line_ending,
    ACTIONS(2042), 1,
      sym__html_block_1_end,
    ACTIONS(2122), 1,
      sym__block_close,
    STATE(498), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(399), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_1_repeat1,
    ACTIONS(2036), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3770] = 7,
    ACTIONS(2026), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2028), 1,
      sym__line_ending,
    ACTIONS(2124), 1,
      sym__block_close,
    ACTIONS(2022), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(501), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(420), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_2_repeat1,
    ACTIONS(2024), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3829] = 7,
    ACTIONS(2048), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2050), 1,
      sym__line_ending,
    ACTIONS(2126), 1,
      sym__block_close,
    ACTIONS(2044), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    STATE(516), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(402), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_3_repeat1,
    ACTIONS(2046), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [3888] = 11,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2064), 1,
      sym__soft_line_ending,
    ACTIONS(2128), 1,
      sym__whitespace,
    STATE(473), 1,
      sym__soft_line_break,
    STATE(663), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [3955] = 10,
    ACTIONS(2136), 1,
      anon_sym_PIPE,
    ACTIONS(2138), 1,
      sym__whitespace,
    STATE(460), 1,
      sym__word,
    STATE(491), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(697), 1,
      sym_pipe_table_cell,
    STATE(780), 1,
      sym_pipe_table_row,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2140), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4020] = 11,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2064), 1,
      sym__soft_line_ending,
    ACTIONS(2142), 1,
      sym__whitespace,
    STATE(463), 1,
      sym__soft_line_break,
    STATE(674), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [4087] = 6,
    ACTIONS(1816), 1,
      sym__line_ending,
    ACTIONS(1870), 1,
      anon_sym_LBRACK,
    ACTIONS(2144), 2,
      sym__block_close,
      sym__fenced_code_block_end_tilde,
    STATE(520), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(396), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1872), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4144] = 7,
    ACTIONS(2034), 1,
      anon_sym_LBRACK,
    ACTIONS(2038), 1,
      sym__line_ending,
    ACTIONS(2042), 1,
      sym__html_block_1_end,
    ACTIONS(2146), 1,
      sym__block_close,
    STATE(498), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(422), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_1_repeat1,
    ACTIONS(2036), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4203] = 6,
    ACTIONS(2148), 1,
      anon_sym_LBRACK,
    ACTIONS(2154), 1,
      sym__line_ending,
    ACTIONS(2020), 2,
      sym__block_close,
      sym__fenced_code_block_end_backtick,
    STATE(525), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(419), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(2151), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4260] = 7,
    ACTIONS(2163), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2166), 1,
      sym__line_ending,
    ACTIONS(2169), 1,
      sym__block_close,
    ACTIONS(2157), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(501), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(420), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_2_repeat1,
    ACTIONS(2160), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4319] = 7,
    ACTIONS(1942), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(1944), 1,
      sym__line_ending,
    ACTIONS(2171), 1,
      sym__block_close,
    ACTIONS(1938), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    STATE(529), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(390), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_5_repeat1,
    ACTIONS(1940), 34,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4378] = 7,
    ACTIONS(2173), 1,
      anon_sym_LBRACK,
    ACTIONS(2179), 1,
      sym__line_ending,
    ACTIONS(2182), 1,
      sym__block_close,
    ACTIONS(2184), 1,
      sym__html_block_1_end,
    STATE(498), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(422), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_1_repeat1,
    ACTIONS(2176), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4437] = 11,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2064), 1,
      sym__soft_line_ending,
    ACTIONS(2187), 1,
      sym__whitespace,
    STATE(467), 1,
      sym__soft_line_break,
    STATE(683), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [4504] = 6,
    ACTIONS(1820), 1,
      sym__line_ending,
    ACTIONS(1836), 1,
      anon_sym_LBRACK,
    ACTIONS(2144), 2,
      sym__block_close,
      sym__fenced_code_block_end_backtick,
    STATE(525), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(419), 3,
      sym__newline,
      sym__line,
      aux_sym_code_fence_content_repeat1,
    ACTIONS(1838), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4561] = 7,
    ACTIONS(1791), 1,
      sym__backslash_escape,
    ACTIONS(1954), 1,
      sym__soft_line_ending,
    ACTIONS(1985), 1,
      anon_sym_DQUOTE,
    STATE(517), 1,
      sym__soft_line_break,
    ACTIONS(2191), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(409), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(2189), 34,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4620] = 7,
    ACTIONS(2034), 1,
      anon_sym_LBRACK,
    ACTIONS(2038), 1,
      sym__line_ending,
    ACTIONS(2042), 1,
      sym__html_block_1_end,
    ACTIONS(2193), 1,
      sym__block_close,
    STATE(498), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(418), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_1_repeat1,
    ACTIONS(2036), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4679] = 7,
    ACTIONS(2195), 1,
      anon_sym_LBRACK,
    ACTIONS(2201), 1,
      sym__line_ending,
    ACTIONS(2204), 1,
      sym__block_close,
    STATE(560), 1,
      sym__newline,
    STATE(427), 2,
      sym__line,
      aux_sym__html_block_6_repeat1,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2198), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4737] = 10,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2064), 1,
      sym__soft_line_ending,
    STATE(469), 1,
      sym__soft_line_break,
    STATE(682), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [4801] = 6,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 1,
      sym__line_ending,
    ACTIONS(2212), 1,
      sym__block_close,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(441), 3,
      sym__newline,
      sym__line,
      aux_sym__indented_chunk_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4857] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2214), 1,
      sym__line_ending,
    ACTIONS(2216), 1,
      sym__block_close,
    STATE(560), 1,
      sym__newline,
    STATE(427), 2,
      sym__line,
      aux_sym__html_block_6_repeat1,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4915] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2214), 1,
      sym__line_ending,
    ACTIONS(2218), 1,
      sym__block_close,
    STATE(560), 1,
      sym__newline,
    STATE(427), 2,
      sym__line,
      aux_sym__html_block_6_repeat1,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [4973] = 5,
    ACTIONS(2220), 1,
      sym__backslash_escape,
    ACTIONS(2226), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(432), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(2229), 5,
      sym__line_ending,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym__whitespace,
    ACTIONS(2223), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [5027] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2214), 1,
      sym__line_ending,
    ACTIONS(2231), 1,
      sym__block_close,
    STATE(560), 1,
      sym__newline,
    STATE(427), 2,
      sym__line,
      aux_sym__html_block_6_repeat1,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5085] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2214), 1,
      sym__line_ending,
    ACTIONS(2233), 1,
      sym__block_close,
    STATE(560), 1,
      sym__newline,
    STATE(427), 2,
      sym__line,
      aux_sym__html_block_6_repeat1,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5143] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 1,
      sym__line_ending,
    ACTIONS(2235), 1,
      anon_sym_GT,
    ACTIONS(2237), 1,
      sym__block_close,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(440), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_4_repeat1,
    ACTIONS(2208), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5201] = 7,
    ACTIONS(1791), 1,
      sym__backslash_escape,
    ACTIONS(1954), 1,
      sym__soft_line_ending,
    ACTIONS(1985), 1,
      anon_sym_RPAREN,
    STATE(549), 1,
      sym__soft_line_break,
    ACTIONS(2241), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(449), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(2239), 33,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5259] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 1,
      sym__line_ending,
    ACTIONS(2235), 1,
      anon_sym_GT,
    ACTIONS(2243), 1,
      sym__block_close,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(435), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_4_repeat1,
    ACTIONS(2208), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5317] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2214), 1,
      sym__line_ending,
    ACTIONS(2245), 1,
      sym__block_close,
    STATE(560), 1,
      sym__newline,
    STATE(434), 2,
      sym__line,
      aux_sym__html_block_6_repeat1,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5375] = 6,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 1,
      sym__line_ending,
    ACTIONS(2247), 1,
      sym__block_close,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(446), 3,
      sym__newline,
      sym__line,
      aux_sym__indented_chunk_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5431] = 7,
    ACTIONS(2249), 1,
      anon_sym_LBRACK,
    ACTIONS(2255), 1,
      anon_sym_GT,
    ACTIONS(2258), 1,
      sym__line_ending,
    ACTIONS(2261), 1,
      sym__block_close,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(440), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_4_repeat1,
    ACTIONS(2252), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5489] = 6,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 1,
      sym__line_ending,
    ACTIONS(2263), 1,
      sym__block_close,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(448), 3,
      sym__newline,
      sym__line,
      aux_sym__indented_chunk_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5545] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 1,
      sym__line_ending,
    ACTIONS(2235), 1,
      anon_sym_GT,
    ACTIONS(2265), 1,
      sym__block_close,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(447), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_4_repeat1,
    ACTIONS(2208), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5603] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2214), 1,
      sym__line_ending,
    ACTIONS(2267), 1,
      sym__block_close,
    STATE(560), 1,
      sym__newline,
    STATE(431), 2,
      sym__line,
      aux_sym__html_block_6_repeat1,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5661] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2214), 1,
      sym__line_ending,
    ACTIONS(2269), 1,
      sym__block_close,
    STATE(560), 1,
      sym__newline,
    STATE(433), 2,
      sym__line,
      aux_sym__html_block_6_repeat1,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5719] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2214), 1,
      sym__line_ending,
    ACTIONS(2271), 1,
      sym__block_close,
    STATE(560), 1,
      sym__newline,
    STATE(430), 2,
      sym__line,
      aux_sym__html_block_6_repeat1,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5777] = 6,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 1,
      sym__line_ending,
    ACTIONS(2273), 1,
      sym__block_close,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(448), 3,
      sym__newline,
      sym__line,
      aux_sym__indented_chunk_repeat1,
    ACTIONS(2208), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5833] = 7,
    ACTIONS(2206), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 1,
      sym__line_ending,
    ACTIONS(2235), 1,
      anon_sym_GT,
    ACTIONS(2275), 1,
      sym__block_close,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(440), 3,
      sym__newline,
      sym__line,
      aux_sym__html_block_4_repeat1,
    ACTIONS(2208), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5891] = 6,
    ACTIONS(2277), 1,
      anon_sym_LBRACK,
    ACTIONS(2283), 1,
      sym__line_ending,
    ACTIONS(2286), 1,
      sym__block_close,
    STATE(539), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(448), 3,
      sym__newline,
      sym__line,
      aux_sym__indented_chunk_repeat1,
    ACTIONS(2280), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [5947] = 7,
    ACTIONS(2288), 1,
      sym__backslash_escape,
    ACTIONS(2297), 1,
      anon_sym_RPAREN,
    ACTIONS(2299), 1,
      sym__soft_line_ending,
    STATE(549), 1,
      sym__soft_line_break,
    ACTIONS(2294), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(449), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(2291), 33,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [6005] = 7,
    ACTIONS(11), 1,
      sym__soft_line_ending,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    STATE(24), 1,
      sym_paragraph,
    STATE(381), 1,
      aux_sym_paragraph_repeat1,
    STATE(528), 2,
      sym__word,
      aux_sym__line_repeat1,
    STATE(600), 2,
      sym__soft_line_break,
      sym__line,
    ACTIONS(7), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [6063] = 5,
    STATE(459), 1,
      sym__last_token_punctuation,
    ACTIONS(2304), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(481), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2306), 4,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_PIPE,
    ACTIONS(2302), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [6117] = 7,
    ACTIONS(1791), 1,
      sym__backslash_escape,
    ACTIONS(1954), 1,
      sym__soft_line_ending,
    ACTIONS(1991), 1,
      anon_sym_RPAREN,
    STATE(549), 1,
      sym__soft_line_break,
    ACTIONS(2310), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(436), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(2308), 33,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [6175] = 10,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2064), 1,
      sym__soft_line_ending,
    STATE(476), 1,
      sym__soft_line_break,
    STATE(668), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [6239] = 5,
    ACTIONS(1806), 1,
      sym__backslash_escape,
    ACTIONS(2314), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(432), 3,
      sym_backslash_escape,
      sym__word,
      aux_sym_language_repeat1,
    ACTIONS(2316), 5,
      sym__line_ending,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym__whitespace,
    ACTIONS(2312), 31,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [6293] = 10,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2064), 1,
      sym__soft_line_ending,
    STATE(473), 1,
      sym__soft_line_break,
    STATE(663), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [6357] = 5,
    ACTIONS(1791), 1,
      sym__backslash_escape,
    ACTIONS(1954), 1,
      sym__soft_line_ending,
    ACTIONS(2318), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(389), 5,
      sym_backslash_escape,
      sym__text_inline_no_link,
      sym__soft_line_break,
      sym__word,
      aux_sym_link_label_repeat1,
    ACTIONS(1793), 34,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [6411] = 10,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2064), 1,
      sym__soft_line_ending,
    STATE(477), 1,
      sym__soft_line_break,
    STATE(690), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [6475] = 8,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    STATE(194), 1,
      sym__newline,
    STATE(800), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [6534] = 4,
    ACTIONS(2328), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(494), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2330), 4,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_PIPE,
    ACTIONS(2326), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [6585] = 4,
    ACTIONS(2304), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(481), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2306), 4,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_PIPE,
    ACTIONS(2302), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [6636] = 8,
    ACTIONS(2332), 1,
      sym__whitespace,
    STATE(460), 1,
      sym__word,
    STATE(495), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(726), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2334), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [6695] = 8,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(274), 1,
      sym__newline,
    STATE(844), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [6754] = 9,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2338), 1,
      sym__whitespace,
    STATE(682), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [6815] = 6,
    ACTIONS(2340), 1,
      sym__backslash_escape,
    ACTIONS(2346), 1,
      anon_sym_LPAREN,
    ACTIONS(2348), 1,
      anon_sym_RPAREN,
    ACTIONS(2344), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(474), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(2342), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [6870] = 8,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(276), 1,
      sym__newline,
    STATE(845), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [6929] = 5,
    ACTIONS(2340), 1,
      sym__backslash_escape,
    ACTIONS(2354), 1,
      anon_sym_GT,
    ACTIONS(2352), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(492), 4,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(2350), 33,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [6982] = 9,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2356), 1,
      sym__whitespace,
    STATE(663), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [7043] = 8,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(278), 1,
      sym__newline,
    STATE(846), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [7102] = 9,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2358), 1,
      sym__whitespace,
    STATE(690), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [7163] = 8,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(291), 1,
      sym__newline,
    STATE(847), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [7222] = 4,
    STATE(472), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2362), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2360), 4,
      sym__line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
    ACTIONS(2364), 33,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [7273] = 4,
    STATE(472), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2368), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2366), 4,
      sym__line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
    ACTIONS(2371), 33,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [7324] = 9,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2374), 1,
      sym__whitespace,
    STATE(668), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [7385] = 6,
    ACTIONS(2340), 1,
      sym__backslash_escape,
    ACTIONS(2346), 1,
      anon_sym_LPAREN,
    ACTIONS(2380), 1,
      anon_sym_RPAREN,
    ACTIONS(2378), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(487), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(2376), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [7440] = 8,
    ACTIONS(2382), 1,
      sym__whitespace,
    STATE(460), 1,
      sym__word,
    STATE(489), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(726), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2384), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [7499] = 9,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2386), 1,
      sym__whitespace,
    STATE(681), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [7560] = 9,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    ACTIONS(2388), 1,
      sym__whitespace,
    STATE(673), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [7621] = 6,
    ACTIONS(2340), 1,
      sym__backslash_escape,
    ACTIONS(2346), 1,
      anon_sym_LPAREN,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    ACTIONS(2392), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(493), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(2390), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [7676] = 8,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    STATE(188), 1,
      sym__newline,
    STATE(805), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [7735] = 8,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(293), 1,
      sym__newline,
    STATE(848), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [7794] = 4,
    ACTIONS(2398), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(490), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2330), 4,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_PIPE,
    ACTIONS(2396), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [7845] = 8,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(296), 1,
      sym__newline,
    STATE(850), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [7904] = 8,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    STATE(190), 1,
      sym__newline,
    STATE(804), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [7963] = 8,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    STATE(191), 1,
      sym__newline,
    STATE(803), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [8022] = 5,
    ACTIONS(2400), 1,
      sym__backslash_escape,
    ACTIONS(2409), 1,
      anon_sym_GT,
    ACTIONS(2406), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(485), 4,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(2403), 33,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [8075] = 8,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    STATE(192), 1,
      sym__newline,
    STATE(802), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [8134] = 6,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    ACTIONS(2411), 1,
      sym__backslash_escape,
    ACTIONS(2420), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(487), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(2414), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [8189] = 8,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    ACTIONS(2324), 1,
      sym__whitespace,
    STATE(193), 1,
      sym__newline,
    STATE(801), 1,
      sym__atx_heading_content,
    STATE(876), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [8248] = 8,
    ACTIONS(2432), 1,
      sym__whitespace,
    STATE(489), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(570), 1,
      sym__word,
    STATE(817), 1,
      sym_pipe_table_cell,
    ACTIONS(2426), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2435), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
    ACTIONS(2423), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2429), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [8307] = 4,
    ACTIONS(2440), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(490), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2443), 4,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_PIPE,
    ACTIONS(2437), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [8358] = 8,
    ACTIONS(2445), 1,
      sym__whitespace,
    STATE(460), 1,
      sym__word,
    STATE(489), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(732), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2447), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [8417] = 5,
    ACTIONS(2340), 1,
      sym__backslash_escape,
    ACTIONS(2453), 1,
      anon_sym_GT,
    ACTIONS(2451), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(485), 4,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(2449), 33,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [8470] = 6,
    ACTIONS(2340), 1,
      sym__backslash_escape,
    ACTIONS(2346), 1,
      anon_sym_LPAREN,
    ACTIONS(2455), 1,
      anon_sym_RPAREN,
    ACTIONS(2378), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(487), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(2376), 32,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [8525] = 4,
    ACTIONS(2398), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(490), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2457), 4,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_PIPE,
    ACTIONS(2396), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [8576] = 8,
    ACTIONS(2459), 1,
      sym__whitespace,
    STATE(460), 1,
      sym__word,
    STATE(489), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(713), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2461), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [8635] = 8,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    STATE(668), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [8693] = 8,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    STATE(673), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [8751] = 4,
    ACTIONS(2463), 1,
      anon_sym_LBRACK,
    STATE(499), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2360), 3,
      sym__line_ending,
      sym__block_close,
      sym__html_block_1_end,
    ACTIONS(2465), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [8801] = 4,
    ACTIONS(2467), 1,
      anon_sym_LBRACK,
    STATE(499), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2366), 3,
      sym__line_ending,
      sym__block_close,
      sym__html_block_1_end,
    ACTIONS(2470), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [8851] = 2,
    ACTIONS(2475), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2473), 38,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [8897] = 4,
    ACTIONS(2477), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(511), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2360), 3,
      sym__line_ending,
      sym__block_close,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2479), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [8947] = 3,
    ACTIONS(2481), 1,
      sym_block_continuation,
    ACTIONS(1165), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1163), 37,
      sym__soft_line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [8995] = 4,
    ACTIONS(2483), 1,
      anon_sym_LBRACK,
    STATE(503), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2366), 3,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
    ACTIONS(2486), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9045] = 8,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    STATE(681), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [9103] = 3,
    ACTIONS(2493), 1,
      sym_block_continuation,
    ACTIONS(2491), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2489), 38,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9151] = 7,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    STATE(460), 1,
      sym__word,
    STATE(702), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2497), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [9207] = 2,
    ACTIONS(2499), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1856), 38,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9253] = 4,
    ACTIONS(2505), 1,
      sym__soft_line_ending,
    STATE(916), 1,
      sym__soft_line_break,
    ACTIONS(2503), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2501), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9303] = 8,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    STATE(688), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [9361] = 7,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    STATE(460), 1,
      sym__word,
    STATE(717), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2461), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [9417] = 4,
    ACTIONS(2508), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(511), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2366), 3,
      sym__line_ending,
      sym__block_close,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2511), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9467] = 5,
    STATE(563), 1,
      sym__last_token_punctuation,
    ACTIONS(2306), 2,
      sym__line_ending,
      anon_sym_PIPE,
    ACTIONS(2516), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(562), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2514), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9519] = 9,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2526), 1,
      sym__whitespace,
    STATE(552), 1,
      sym__word,
    STATE(558), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(776), 1,
      sym_pipe_table_cell,
    STATE(825), 1,
      sym_pipe_table_row,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [9579] = 8,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    STATE(691), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [9637] = 2,
    ACTIONS(2530), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2528), 38,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9683] = 4,
    ACTIONS(2532), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    STATE(523), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2360), 3,
      sym__line_ending,
      sym__block_close,
      anon_sym_QMARK_GT,
    ACTIONS(2534), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9733] = 4,
    ACTIONS(2540), 1,
      sym__soft_line_ending,
    STATE(915), 1,
      sym__soft_line_break,
    ACTIONS(2538), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2536), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9783] = 4,
    ACTIONS(2543), 1,
      anon_sym_LBRACK,
    STATE(518), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2366), 3,
      sym__line_ending,
      sym__block_close,
      sym__fenced_code_block_end_tilde,
    ACTIONS(2546), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9833] = 7,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    STATE(460), 1,
      sym__word,
    STATE(731), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2384), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [9889] = 4,
    ACTIONS(2549), 1,
      anon_sym_LBRACK,
    STATE(518), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2360), 3,
      sym__line_ending,
      sym__block_close,
      sym__fenced_code_block_end_tilde,
    ACTIONS(2551), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [9939] = 8,
    ACTIONS(1822), 1,
      sym__backslash_escape,
    ACTIONS(1828), 1,
      anon_sym_LPAREN,
    ACTIONS(2060), 1,
      anon_sym_LT,
    STATE(690), 1,
      sym_link_destination,
    ACTIONS(2056), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(383), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(2054), 5,
      sym_entity_reference,
      sym_numeric_character_reference,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2058), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [9997] = 4,
    ACTIONS(2553), 1,
      anon_sym_LBRACK,
    STATE(522), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2366), 3,
      sym__line_ending,
      sym__block_close,
      sym__fenced_code_block_end_backtick,
    ACTIONS(2556), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10047] = 4,
    ACTIONS(2559), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    STATE(523), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2366), 3,
      sym__line_ending,
      sym__block_close,
      anon_sym_QMARK_GT,
    ACTIONS(2562), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10097] = 2,
    ACTIONS(2567), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2565), 38,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10143] = 4,
    ACTIONS(2569), 1,
      anon_sym_LBRACK,
    STATE(522), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2360), 3,
      sym__line_ending,
      sym__block_close,
      sym__fenced_code_block_end_backtick,
    ACTIONS(2571), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10193] = 4,
    ACTIONS(2573), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    STATE(526), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2366), 3,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2576), 34,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10243] = 9,
    ACTIONS(2524), 1,
      anon_sym_PIPE,
    ACTIONS(2526), 1,
      sym__whitespace,
    STATE(552), 1,
      sym__word,
    STATE(558), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(776), 1,
      sym_pipe_table_cell,
    STATE(798), 1,
      sym_pipe_table_row,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [10303] = 4,
    ACTIONS(2579), 1,
      anon_sym_LBRACK,
    STATE(503), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2360), 3,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
    ACTIONS(2581), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10353] = 4,
    ACTIONS(2583), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    STATE(526), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2360), 3,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2585), 34,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10403] = 8,
    ACTIONS(2334), 1,
      sym__line_ending,
    ACTIONS(2587), 1,
      sym__whitespace,
    STATE(548), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(552), 1,
      sym__word,
    STATE(782), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [10460] = 2,
    ACTIONS(2475), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2473), 37,
      sym__line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10505] = 2,
    ACTIONS(1346), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1344), 37,
      sym__soft_line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10550] = 4,
    ACTIONS(2443), 2,
      sym__line_ending,
      anon_sym_PIPE,
    ACTIONS(2592), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(533), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2589), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10599] = 3,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(2595), 1,
      sym_block_continuation,
    ACTIONS(1076), 38,
      sym__line_ending,
      sym__block_close,
      sym__fenced_code_block_end_tilde,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10646] = 5,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    STATE(590), 1,
      sym__last_token_punctuation,
    ACTIONS(2599), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(589), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2597), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10697] = 2,
    ACTIONS(2475), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2473), 37,
      sym__soft_line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10742] = 3,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(2601), 1,
      sym_block_continuation,
    ACTIONS(1076), 38,
      sym__line_ending,
      sym__block_close,
      sym__html_block_1_end,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10789] = 2,
    ACTIONS(2603), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2443), 38,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10834] = 4,
    ACTIONS(2605), 1,
      anon_sym_LBRACK,
    ACTIONS(2360), 2,
      sym__line_ending,
      sym__block_close,
    STATE(561), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2607), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10883] = 3,
    ACTIONS(2609), 1,
      sym_block_continuation,
    ACTIONS(1078), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1076), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10930] = 2,
    ACTIONS(2611), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2229), 37,
      sym__line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [10975] = 2,
    ACTIONS(2615), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2613), 38,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11020] = 3,
    ACTIONS(2617), 1,
      sym_block_continuation,
    ACTIONS(1078), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(1076), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11067] = 4,
    STATE(544), 1,
      aux_sym_info_string_repeat2,
    ACTIONS(2623), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(2621), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2619), 34,
      sym__line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11116] = 3,
    ACTIONS(1165), 1,
      anon_sym_LBRACK,
    ACTIONS(2626), 1,
      sym_block_continuation,
    ACTIONS(1163), 38,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11163] = 8,
    ACTIONS(2435), 1,
      sym__line_ending,
    ACTIONS(2628), 1,
      sym__whitespace,
    STATE(546), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(570), 1,
      sym__word,
    STATE(829), 1,
      sym_pipe_table_cell,
    ACTIONS(2426), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2423), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2429), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [11220] = 3,
    ACTIONS(2631), 1,
      sym_block_continuation,
    ACTIONS(1078), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(1076), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK_RBRACK_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11267] = 8,
    ACTIONS(2461), 1,
      sym__line_ending,
    ACTIONS(2633), 1,
      sym__whitespace,
    STATE(546), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(552), 1,
      sym__word,
    STATE(784), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [11324] = 4,
    ACTIONS(2639), 1,
      sym__soft_line_ending,
    STATE(924), 1,
      sym__soft_line_break,
    ACTIONS(2637), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2635), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11373] = 2,
    ACTIONS(2642), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2366), 37,
      sym__line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11418] = 2,
    ACTIONS(2644), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2097), 37,
      sym__soft_line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11463] = 4,
    ACTIONS(2306), 2,
      sym__line_ending,
      anon_sym_PIPE,
    ACTIONS(2516), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(562), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2514), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11512] = 2,
    ACTIONS(2648), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2646), 37,
      sym__soft_line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11557] = 2,
    ACTIONS(2652), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2650), 37,
      sym__soft_line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11602] = 3,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(2654), 1,
      sym_block_continuation,
    ACTIONS(1076), 38,
      sym__line_ending,
      sym__block_close,
      sym__fenced_code_block_end_backtick,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11649] = 3,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(2656), 1,
      sym_block_continuation,
    ACTIONS(1076), 38,
      sym__line_ending,
      sym__block_close,
      sym__blank_line_start,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11696] = 4,
    ACTIONS(2457), 2,
      sym__line_ending,
      anon_sym_PIPE,
    ACTIONS(2660), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(533), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2658), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11745] = 8,
    ACTIONS(2447), 1,
      sym__line_ending,
    ACTIONS(2662), 1,
      sym__whitespace,
    STATE(546), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(552), 1,
      sym__word,
    STATE(783), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [11802] = 2,
    ACTIONS(2664), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2115), 37,
      sym__soft_line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11847] = 4,
    ACTIONS(1418), 1,
      sym__blank_line_start,
    ACTIONS(2666), 1,
      anon_sym_LBRACK,
    STATE(902), 1,
      sym__blank_line,
    ACTIONS(2668), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11896] = 4,
    ACTIONS(2670), 1,
      anon_sym_LBRACK,
    ACTIONS(2366), 2,
      sym__line_ending,
      sym__block_close,
    STATE(561), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2673), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11945] = 4,
    ACTIONS(2330), 2,
      sym__line_ending,
      anon_sym_PIPE,
    ACTIONS(2660), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(533), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2658), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [11994] = 4,
    ACTIONS(2330), 2,
      sym__line_ending,
      anon_sym_PIPE,
    ACTIONS(2678), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(557), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2676), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12043] = 4,
    ACTIONS(1795), 1,
      anon_sym_LBRACK,
    ACTIONS(2680), 1,
      sym__close_block,
    STATE(617), 1,
      sym__last_token_punctuation,
    ACTIONS(1789), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12092] = 8,
    ACTIONS(2384), 1,
      sym__line_ending,
    ACTIONS(2682), 1,
      sym__whitespace,
    STATE(546), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(552), 1,
      sym__word,
    STATE(782), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [12149] = 5,
    ACTIONS(1789), 1,
      sym__line_ending,
    ACTIONS(2320), 1,
      anon_sym_LBRACK,
    STATE(908), 1,
      sym__line,
    STATE(576), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2322), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12200] = 2,
    ACTIONS(2684), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(1968), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK_RBRACK_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12244] = 2,
    ACTIONS(2686), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(2169), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12288] = 2,
    ACTIONS(2690), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2688), 36,
      sym__soft_line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12332] = 4,
    ACTIONS(2306), 1,
      anon_sym_PIPE,
    ACTIONS(2599), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(589), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2597), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12380] = 7,
    ACTIONS(2692), 1,
      sym__whitespace,
    STATE(460), 1,
      sym__word,
    STATE(475), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(732), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [12434] = 2,
    ACTIONS(2475), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2473), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12478] = 2,
    ACTIONS(2696), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2694), 37,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12522] = 2,
    ACTIONS(2698), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2297), 36,
      sym__soft_line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12566] = 2,
    ACTIONS(2642), 1,
      anon_sym_LBRACK,
    ACTIONS(2366), 38,
      sym__line_ending,
      sym__block_close,
      sym__fenced_code_block_end_tilde,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12610] = 4,
    ACTIONS(2360), 1,
      sym__line_ending,
    ACTIONS(2700), 1,
      anon_sym_LBRACK,
    STATE(609), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2702), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12658] = 2,
    ACTIONS(1189), 1,
      anon_sym_LBRACK,
    ACTIONS(1187), 38,
      sym__line_ending,
      sym__block_close,
      sym__blank_line_start,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12702] = 3,
    ACTIONS(2704), 1,
      sym_block_continuation,
    ACTIONS(1165), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1163), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12748] = 2,
    ACTIONS(2642), 1,
      anon_sym_LBRACK,
    ACTIONS(2366), 38,
      sym__line_ending,
      sym__block_close,
      sym__html_block_1_end,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12792] = 2,
    ACTIONS(1189), 1,
      anon_sym_LBRACK,
    ACTIONS(1187), 38,
      sym__line_ending,
      sym__block_close,
      sym__fenced_code_block_end_tilde,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12836] = 2,
    ACTIONS(2706), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2334), 37,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12880] = 2,
    ACTIONS(2642), 1,
      anon_sym_LBRACK,
    ACTIONS(2366), 38,
      sym__line_ending,
      sym__block_close,
      sym__fenced_code_block_end_backtick,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [12924] = 7,
    ACTIONS(2708), 1,
      sym__whitespace,
    STATE(552), 1,
      sym__word,
    STATE(565), 1,
      aux_sym_pipe_table_row_repeat1,
    STATE(783), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [12978] = 2,
    ACTIONS(1189), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(1187), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK_RBRACK_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13022] = 7,
    ACTIONS(2384), 1,
      sym__line_ending,
    ACTIONS(2710), 1,
      anon_sym_PIPE,
    STATE(552), 1,
      sym__word,
    STATE(779), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [13076] = 4,
    ACTIONS(2457), 1,
      anon_sym_PIPE,
    ACTIONS(2714), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(591), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2712), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13124] = 2,
    ACTIONS(2716), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(2078), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13168] = 3,
    ACTIONS(2718), 1,
      anon_sym_LBRACK,
    ACTIONS(2722), 1,
      sym__whitespace,
    ACTIONS(2720), 37,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [13214] = 4,
    ACTIONS(2330), 1,
      anon_sym_PIPE,
    ACTIONS(2714), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(591), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2712), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13262] = 4,
    ACTIONS(2330), 1,
      anon_sym_PIPE,
    ACTIONS(2726), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(586), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2724), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13310] = 4,
    ACTIONS(2443), 1,
      anon_sym_PIPE,
    ACTIONS(2731), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    STATE(591), 2,
      sym__word,
      aux_sym_pipe_table_cell_repeat1,
    ACTIONS(2728), 34,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13358] = 2,
    ACTIONS(2734), 1,
      anon_sym_LBRACK,
    ACTIONS(2182), 38,
      sym__line_ending,
      sym__block_close,
      sym__html_block_1_end,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13402] = 2,
    ACTIONS(2738), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2736), 37,
      sym__soft_line_ending,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13446] = 3,
    ACTIONS(1078), 1,
      anon_sym_LBRACK,
    ACTIONS(2740), 1,
      sym_block_continuation,
    ACTIONS(1076), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13492] = 2,
    ACTIONS(1346), 1,
      anon_sym_LBRACK,
    ACTIONS(1344), 38,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13536] = 2,
    ACTIONS(2742), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2435), 37,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13580] = 2,
    ACTIONS(1189), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(1187), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13624] = 2,
    ACTIONS(2642), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(2366), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13668] = 2,
    ACTIONS(2642), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2366), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK_RBRACK_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13712] = 2,
    ACTIONS(2744), 1,
      anon_sym_LBRACK,
    ACTIONS(2746), 38,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13756] = 7,
    ACTIONS(2497), 1,
      sym__line_ending,
    ACTIONS(2710), 1,
      anon_sym_PIPE,
    STATE(552), 1,
      sym__word,
    STATE(794), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [13810] = 2,
    ACTIONS(1189), 1,
      anon_sym_LBRACK,
    ACTIONS(1187), 38,
      sym__line_ending,
      sym__block_close,
      sym__html_block_1_end,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13854] = 2,
    ACTIONS(2642), 1,
      anon_sym_LBRACK,
    ACTIONS(2366), 38,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13898] = 2,
    ACTIONS(1189), 1,
      anon_sym_LBRACK,
    ACTIONS(1187), 38,
      sym__line_ending,
      sym__block_close,
      sym__fenced_code_block_end_backtick,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [13942] = 3,
    ACTIONS(2718), 1,
      anon_sym_LBRACK,
    ACTIONS(2748), 1,
      sym__whitespace,
    ACTIONS(2720), 37,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [13988] = 2,
    ACTIONS(2752), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2750), 37,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14032] = 2,
    ACTIONS(1189), 2,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1187), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14076] = 7,
    ACTIONS(2461), 1,
      sym__line_ending,
    ACTIONS(2710), 1,
      anon_sym_PIPE,
    STATE(552), 1,
      sym__word,
    STATE(795), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [14130] = 4,
    ACTIONS(2366), 1,
      sym__line_ending,
    ACTIONS(2754), 1,
      anon_sym_LBRACK,
    STATE(609), 2,
      sym__word,
      aux_sym__line_repeat1,
    ACTIONS(2757), 35,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14178] = 2,
    ACTIONS(2642), 2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(2366), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_GT,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14222] = 2,
    ACTIONS(2499), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1856), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [14265] = 6,
    ACTIONS(2710), 1,
      anon_sym_PIPE,
    STATE(552), 1,
      sym__word,
    STATE(779), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [14316] = 6,
    ACTIONS(2760), 1,
      anon_sym_PIPE,
    STATE(552), 1,
      sym__word,
    STATE(791), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [14367] = 6,
    ACTIONS(2710), 1,
      anon_sym_PIPE,
    STATE(552), 1,
      sym__word,
    STATE(795), 1,
      sym_pipe_table_cell,
    ACTIONS(2520), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2518), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2522), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [14418] = 2,
    ACTIONS(2603), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2443), 36,
      sym__line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14461] = 2,
    ACTIONS(1346), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(1344), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14504] = 2,
    ACTIONS(2642), 1,
      anon_sym_LBRACK,
    ACTIONS(2366), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14547] = 2,
    ACTIONS(2762), 1,
      anon_sym_LBRACK,
    ACTIONS(2764), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14590] = 2,
    ACTIONS(2766), 1,
      anon_sym_LBRACK,
    ACTIONS(2261), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14633] = 2,
    ACTIONS(2567), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2565), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [14676] = 2,
    ACTIONS(2530), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2528), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
  [14719] = 2,
    ACTIONS(1189), 1,
      anon_sym_LBRACK,
    ACTIONS(1187), 37,
      sym__line_ending,
      sym__block_close,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14762] = 6,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    STATE(570), 1,
      sym__word,
    STATE(822), 1,
      sym_pipe_table_cell,
    ACTIONS(2770), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2768), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2772), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [14813] = 2,
    ACTIONS(2776), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2774), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [14856] = 6,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    STATE(460), 1,
      sym__word,
    STATE(731), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [14907] = 6,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    STATE(460), 1,
      sym__word,
    STATE(717), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [14958] = 6,
    ACTIONS(2710), 1,
      anon_sym_PIPE,
    STATE(570), 1,
      sym__word,
    STATE(818), 1,
      sym_pipe_table_cell,
    ACTIONS(2770), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2768), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2772), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [15009] = 6,
    ACTIONS(2778), 1,
      anon_sym_PIPE,
    STATE(460), 1,
      sym__word,
    STATE(739), 1,
      sym_pipe_table_cell,
    ACTIONS(2132), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2130), 4,
      sym__backslash_escape,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
    ACTIONS(2134), 29,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [15060] = 2,
    ACTIONS(2742), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2435), 35,
      sym__line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [15102] = 2,
    ACTIONS(2696), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2694), 35,
      sym__line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [15144] = 2,
    ACTIONS(2642), 1,
      anon_sym_LBRACK,
    ACTIONS(2366), 36,
      sym__line_ending,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [15186] = 2,
    ACTIONS(2603), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2443), 35,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [15228] = 2,
    ACTIONS(2752), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2750), 35,
      sym__line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [15270] = 2,
    ACTIONS(2706), 2,
      anon_sym_LBRACK,
      anon_sym_BSLASH,
    ACTIONS(2334), 35,
      sym__line_ending,
      sym__backslash_escape,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym__word_token1,
      aux_sym__word_token2,
      aux_sym__word_token3,
      sym__whitespace,
  [15312] = 15,
    ACTIONS(2780), 1,
      ts_builtin_sym_end,
    ACTIONS(2782), 1,
      sym_atx_h1_marker,
    ACTIONS(2785), 1,
      sym_atx_h2_marker,
    ACTIONS(2788), 1,
      sym_atx_h3_marker,
    ACTIONS(2791), 1,
      sym_atx_h4_marker,
    ACTIONS(2794), 1,
      sym_atx_h5_marker,
    ACTIONS(2797), 1,
      sym_atx_h6_marker,
    STATE(37), 1,
      sym__atx_heading1,
    STATE(43), 1,
      sym__atx_heading2,
    STATE(54), 1,
      sym__atx_heading3,
    STATE(55), 1,
      sym__atx_heading4,
    STATE(63), 1,
      sym__atx_heading5,
    STATE(71), 1,
      sym__atx_heading6,
    STATE(635), 2,
      sym_section,
      aux_sym_document_repeat2,
    STATE(660), 6,
      sym__section1,
      sym__section2,
      sym__section3,
      sym__section4,
      sym__section5,
      sym__section6,
  [15364] = 15,
    ACTIONS(17), 1,
      sym_atx_h1_marker,
    ACTIONS(19), 1,
      sym_atx_h2_marker,
    ACTIONS(21), 1,
      sym_atx_h3_marker,
    ACTIONS(23), 1,
      sym_atx_h4_marker,
    ACTIONS(25), 1,
      sym_atx_h5_marker,
    ACTIONS(27), 1,
      sym_atx_h6_marker,
    ACTIONS(147), 1,
      ts_builtin_sym_end,
    STATE(37), 1,
      sym__atx_heading1,
    STATE(43), 1,
      sym__atx_heading2,
    STATE(54), 1,
      sym__atx_heading3,
    STATE(55), 1,
      sym__atx_heading4,
    STATE(63), 1,
      sym__atx_heading5,
    STATE(71), 1,
      sym__atx_heading6,
    STATE(635), 2,
      sym_section,
      aux_sym_document_repeat2,
    STATE(660), 6,
      sym__section1,
      sym__section2,
      sym__section3,
      sym__section4,
      sym__section5,
      sym__section6,
  [15416] = 15,
    ACTIONS(17), 1,
      sym_atx_h1_marker,
    ACTIONS(19), 1,
      sym_atx_h2_marker,
    ACTIONS(21), 1,
      sym_atx_h3_marker,
    ACTIONS(23), 1,
      sym_atx_h4_marker,
    ACTIONS(25), 1,
      sym_atx_h5_marker,
    ACTIONS(27), 1,
      sym_atx_h6_marker,
    ACTIONS(2800), 1,
      ts_builtin_sym_end,
    STATE(37), 1,
      sym__atx_heading1,
    STATE(43), 1,
      sym__atx_heading2,
    STATE(54), 1,
      sym__atx_heading3,
    STATE(55), 1,
      sym__atx_heading4,
    STATE(63), 1,
      sym__atx_heading5,
    STATE(71), 1,
      sym__atx_heading6,
    STATE(635), 2,
      sym_section,
      aux_sym_document_repeat2,
    STATE(660), 6,
      sym__section1,
      sym__section2,
      sym__section3,
      sym__section4,
      sym__section5,
      sym__section6,
  [15468] = 15,
    ACTIONS(17), 1,
      sym_atx_h1_marker,
    ACTIONS(19), 1,
      sym_atx_h2_marker,
    ACTIONS(21), 1,
      sym_atx_h3_marker,
    ACTIONS(23), 1,
      sym_atx_h4_marker,
    ACTIONS(25), 1,
      sym_atx_h5_marker,
    ACTIONS(27), 1,
      sym_atx_h6_marker,
    ACTIONS(2802), 1,
      ts_builtin_sym_end,
    STATE(37), 1,
      sym__atx_heading1,
    STATE(43), 1,
      sym__atx_heading2,
    STATE(54), 1,
      sym__atx_heading3,
    STATE(55), 1,
      sym__atx_heading4,
    STATE(63), 1,
      sym__atx_heading5,
    STATE(71), 1,
      sym__atx_heading6,
    STATE(635), 2,
      sym_section,
      aux_sym_document_repeat2,
    STATE(660), 6,
      sym__section1,
      sym__section2,
      sym__section3,
      sym__section4,
      sym__section5,
      sym__section6,
  [15520] = 15,
    ACTIONS(17), 1,
      sym_atx_h1_marker,
    ACTIONS(19), 1,
      sym_atx_h2_marker,
    ACTIONS(21), 1,
      sym_atx_h3_marker,
    ACTIONS(23), 1,
      sym_atx_h4_marker,
    ACTIONS(25), 1,
      sym_atx_h5_marker,
    ACTIONS(27), 1,
      sym_atx_h6_marker,
    ACTIONS(2804), 1,
      ts_builtin_sym_end,
    STATE(37), 1,
      sym__atx_heading1,
    STATE(43), 1,
      sym__atx_heading2,
    STATE(54), 1,
      sym__atx_heading3,
    STATE(55), 1,
      sym__atx_heading4,
    STATE(63), 1,
      sym__atx_heading5,
    STATE(71), 1,
      sym__atx_heading6,
    STATE(635), 2,
      sym_section,
      aux_sym_document_repeat2,
    STATE(660), 6,
      sym__section1,
      sym__section2,
      sym__section3,
      sym__section4,
      sym__section5,
      sym__section6,
  [15572] = 7,
    ACTIONS(2806), 1,
      anon_sym_DASH,
    ACTIONS(2808), 1,
      anon_sym_COLON,
    ACTIONS(2810), 1,
      sym__whitespace,
    STATE(643), 1,
      aux_sym_pipe_table_delimiter_row_repeat1,
    STATE(647), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(725), 1,
      sym_pipe_table_delimiter_cell,
    ACTIONS(2812), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [15596] = 7,
    ACTIONS(2806), 1,
      anon_sym_DASH,
    ACTIONS(2808), 1,
      anon_sym_COLON,
    ACTIONS(2814), 1,
      sym__whitespace,
    STATE(643), 1,
      aux_sym_pipe_table_delimiter_row_repeat1,
    STATE(647), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(720), 1,
      sym_pipe_table_delimiter_cell,
    ACTIONS(2816), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [15620] = 7,
    ACTIONS(2806), 1,
      anon_sym_DASH,
    ACTIONS(2808), 1,
      anon_sym_COLON,
    ACTIONS(2818), 1,
      sym__whitespace,
    STATE(643), 1,
      aux_sym_pipe_table_delimiter_row_repeat1,
    STATE(647), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(742), 1,
      sym_pipe_table_delimiter_cell,
    ACTIONS(2820), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [15644] = 7,
    ACTIONS(2822), 1,
      anon_sym_DASH,
    ACTIONS(2825), 1,
      anon_sym_COLON,
    ACTIONS(2828), 1,
      sym__whitespace,
    STATE(643), 1,
      aux_sym_pipe_table_delimiter_row_repeat1,
    STATE(718), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(859), 1,
      sym_pipe_table_delimiter_cell,
    ACTIONS(2831), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [15668] = 3,
    ACTIONS(2833), 1,
      anon_sym_DASH,
    STATE(644), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    ACTIONS(2836), 6,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym__whitespace,
  [15683] = 8,
    ACTIONS(2838), 1,
      anon_sym_DASH,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    ACTIONS(2842), 1,
      anon_sym_PIPE,
    ACTIONS(2844), 1,
      sym__whitespace,
    STATE(641), 1,
      aux_sym_pipe_table_delimiter_row_repeat1,
    STATE(685), 1,
      sym_pipe_table_delimiter_row,
    STATE(718), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(859), 1,
      sym_pipe_table_delimiter_cell,
  [15708] = 8,
    ACTIONS(2838), 1,
      anon_sym_DASH,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    ACTIONS(2842), 1,
      anon_sym_PIPE,
    ACTIONS(2844), 1,
      sym__whitespace,
    STATE(641), 1,
      aux_sym_pipe_table_delimiter_row_repeat1,
    STATE(675), 1,
      sym_pipe_table_delimiter_row,
    STATE(718), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(859), 1,
      sym_pipe_table_delimiter_cell,
  [15733] = 4,
    ACTIONS(2846), 1,
      anon_sym_DASH,
    ACTIONS(2848), 1,
      anon_sym_COLON,
    STATE(644), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    ACTIONS(2850), 5,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_PIPE,
      sym__whitespace,
  [15750] = 4,
    ACTIONS(2846), 1,
      anon_sym_DASH,
    ACTIONS(2852), 1,
      anon_sym_COLON,
    STATE(644), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    ACTIONS(2854), 5,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_PIPE,
      sym__whitespace,
  [15767] = 7,
    ACTIONS(1276), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2862), 1,
      sym__soft_line_ending,
    STATE(672), 1,
      sym__soft_line_break,
    STATE(733), 1,
      sym_link_title,
  [15789] = 5,
    ACTIONS(2806), 1,
      anon_sym_DASH,
    ACTIONS(2808), 1,
      anon_sym_COLON,
    STATE(647), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(727), 1,
      sym_pipe_table_delimiter_cell,
    ACTIONS(2812), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [15807] = 7,
    ACTIONS(1255), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2862), 1,
      sym__soft_line_ending,
    STATE(678), 1,
      sym__soft_line_break,
    STATE(709), 1,
      sym_link_title,
  [15829] = 7,
    ACTIONS(1185), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2862), 1,
      sym__soft_line_ending,
    STATE(692), 1,
      sym__soft_line_break,
    STATE(711), 1,
      sym_link_title,
  [15851] = 5,
    ACTIONS(2806), 1,
      anon_sym_DASH,
    ACTIONS(2808), 1,
      anon_sym_COLON,
    STATE(647), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(743), 1,
      sym_pipe_table_delimiter_cell,
    ACTIONS(2820), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [15869] = 5,
    ACTIONS(2806), 1,
      anon_sym_DASH,
    ACTIONS(2808), 1,
      anon_sym_COLON,
    STATE(647), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(716), 1,
      sym_pipe_table_delimiter_cell,
    ACTIONS(2864), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [15887] = 7,
    ACTIONS(1161), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2862), 1,
      sym__soft_line_ending,
    STATE(676), 1,
      sym__soft_line_break,
    STATE(740), 1,
      sym_link_title,
  [15909] = 7,
    ACTIONS(1229), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2862), 1,
      sym__soft_line_ending,
    STATE(687), 1,
      sym__soft_line_break,
    STATE(724), 1,
      sym_link_title,
  [15931] = 7,
    ACTIONS(1264), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2862), 1,
      sym__soft_line_ending,
    STATE(666), 1,
      sym__soft_line_break,
    STATE(729), 1,
      sym_link_title,
  [15953] = 7,
    ACTIONS(1286), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2862), 1,
      sym__soft_line_ending,
    STATE(664), 1,
      sym__soft_line_break,
    STATE(708), 1,
      sym_link_title,
  [15975] = 7,
    ACTIONS(1269), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2862), 1,
      sym__soft_line_ending,
    STATE(684), 1,
      sym__soft_line_break,
    STATE(730), 1,
      sym_link_title,
  [15997] = 1,
    ACTIONS(1616), 7,
      sym_atx_h1_marker,
      sym_atx_h2_marker,
      sym_atx_h3_marker,
      sym_atx_h4_marker,
      sym_atx_h5_marker,
      sym_atx_h6_marker,
      ts_builtin_sym_end,
  [16007] = 7,
    ACTIONS(1281), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2862), 1,
      sym__soft_line_ending,
    STATE(671), 1,
      sym__soft_line_break,
    STATE(715), 1,
      sym_link_title,
  [16029] = 7,
    ACTIONS(1207), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2862), 1,
      sym__soft_line_ending,
    STATE(689), 1,
      sym__soft_line_break,
    STATE(736), 1,
      sym_link_title,
  [16051] = 6,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2866), 1,
      sym__whitespace,
    ACTIONS(2868), 1,
      sym__soft_line_ending,
    ACTIONS(2870), 1,
      sym__eof,
    STATE(114), 1,
      sym__soft_line_break,
    STATE(348), 1,
      sym__newline,
  [16070] = 6,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2872), 1,
      sym__whitespace,
    ACTIONS(2874), 1,
      sym__no_indented_chunk,
    STATE(701), 1,
      sym_link_title,
  [16089] = 6,
    ACTIONS(2838), 1,
      anon_sym_DASH,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    ACTIONS(2876), 1,
      sym__whitespace,
    STATE(640), 1,
      aux_sym_pipe_table_delimiter_row_repeat1,
    STATE(718), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(859), 1,
      sym_pipe_table_delimiter_cell,
  [16108] = 6,
    ACTIONS(1281), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2878), 1,
      sym__whitespace,
    STATE(715), 1,
      sym_link_title,
  [16127] = 2,
    ACTIONS(2880), 1,
      sym_block_continuation,
    ACTIONS(1163), 5,
      sym__no_indented_chunk,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LPAREN,
      sym__whitespace,
  [16138] = 6,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2868), 1,
      sym__soft_line_ending,
    ACTIONS(2882), 1,
      sym__whitespace,
    ACTIONS(2884), 1,
      sym__eof,
    STATE(113), 1,
      sym__soft_line_break,
    STATE(338), 1,
      sym__newline,
  [16157] = 1,
    ACTIONS(2886), 6,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_DASH,
      anon_sym_COLON,
      sym__whitespace,
  [16166] = 6,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2888), 1,
      sym__eof,
    ACTIONS(2890), 1,
      sym__pipe_table_line_ending,
    STATE(339), 1,
      sym__newline,
    STATE(415), 1,
      sym__pipe_table_newline,
    STATE(694), 1,
      aux_sym_pipe_table_repeat1,
  [16185] = 6,
    ACTIONS(1286), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      sym__whitespace,
    STATE(708), 1,
      sym_link_title,
  [16204] = 6,
    ACTIONS(1161), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2894), 1,
      sym__whitespace,
    STATE(740), 1,
      sym_link_title,
  [16223] = 6,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2896), 1,
      sym__whitespace,
    ACTIONS(2898), 1,
      sym__soft_line_ending,
    ACTIONS(2900), 1,
      sym__eof,
    STATE(103), 1,
      sym__soft_line_break,
    STATE(262), 1,
      sym__newline,
  [16242] = 6,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2898), 1,
      sym__soft_line_ending,
    ACTIONS(2902), 1,
      sym__whitespace,
    ACTIONS(2904), 1,
      sym__eof,
    STATE(116), 1,
      sym__soft_line_break,
    STATE(320), 1,
      sym__newline,
  [16261] = 6,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2890), 1,
      sym__pipe_table_line_ending,
    ACTIONS(2906), 1,
      sym__eof,
    STATE(349), 1,
      sym__newline,
    STATE(415), 1,
      sym__pipe_table_newline,
    STATE(670), 1,
      aux_sym_pipe_table_repeat1,
  [16280] = 6,
    ACTIONS(1229), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      sym__whitespace,
    STATE(724), 1,
      sym_link_title,
  [16299] = 6,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2890), 1,
      sym__pipe_table_line_ending,
    ACTIONS(2910), 1,
      sym__eof,
    STATE(298), 1,
      sym__newline,
    STATE(415), 1,
      sym__pipe_table_newline,
    STATE(694), 1,
      aux_sym_pipe_table_repeat1,
  [16318] = 6,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      sym__whitespace,
    ACTIONS(2914), 1,
      sym__no_indented_chunk,
    STATE(705), 1,
      sym_link_title,
  [16337] = 1,
    ACTIONS(2831), 6,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_DASH,
      anon_sym_COLON,
      sym__whitespace,
  [16346] = 1,
    ACTIONS(2916), 6,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_DASH,
      anon_sym_COLON,
      sym__whitespace,
  [16355] = 6,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2868), 1,
      sym__soft_line_ending,
    ACTIONS(2918), 1,
      sym__whitespace,
    ACTIONS(2920), 1,
      sym__eof,
    STATE(117), 1,
      sym__soft_line_break,
    STATE(312), 1,
      sym__newline,
  [16374] = 6,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2898), 1,
      sym__soft_line_ending,
    ACTIONS(2922), 1,
      sym__whitespace,
    ACTIONS(2924), 1,
      sym__eof,
    STATE(101), 1,
      sym__soft_line_break,
    STATE(328), 1,
      sym__newline,
  [16393] = 6,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2868), 1,
      sym__soft_line_ending,
    ACTIONS(2926), 1,
      sym__whitespace,
    ACTIONS(2928), 1,
      sym__eof,
    STATE(105), 1,
      sym__soft_line_break,
    STATE(325), 1,
      sym__newline,
  [16412] = 6,
    ACTIONS(1264), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2930), 1,
      sym__whitespace,
    STATE(729), 1,
      sym_link_title,
  [16431] = 6,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2890), 1,
      sym__pipe_table_line_ending,
    ACTIONS(2932), 1,
      sym__eof,
    STATE(229), 1,
      sym__newline,
    STATE(415), 1,
      sym__pipe_table_newline,
    STATE(677), 1,
      aux_sym_pipe_table_repeat1,
  [16450] = 6,
    ACTIONS(2838), 1,
      anon_sym_DASH,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    ACTIONS(2876), 1,
      sym__whitespace,
    STATE(642), 1,
      aux_sym_pipe_table_delimiter_row_repeat1,
    STATE(718), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(859), 1,
      sym_pipe_table_delimiter_cell,
  [16469] = 6,
    ACTIONS(1185), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2934), 1,
      sym__whitespace,
    STATE(711), 1,
      sym_link_title,
  [16488] = 6,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2898), 1,
      sym__soft_line_ending,
    ACTIONS(2936), 1,
      sym__whitespace,
    ACTIONS(2938), 1,
      sym__eof,
    STATE(110), 1,
      sym__soft_line_break,
    STATE(237), 1,
      sym__newline,
  [16507] = 6,
    ACTIONS(1269), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2940), 1,
      sym__whitespace,
    STATE(730), 1,
      sym_link_title,
  [16526] = 6,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2898), 1,
      sym__soft_line_ending,
    ACTIONS(2942), 1,
      sym__whitespace,
    ACTIONS(2944), 1,
      sym__eof,
    STATE(108), 1,
      sym__soft_line_break,
    STATE(294), 1,
      sym__newline,
  [16545] = 6,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2868), 1,
      sym__soft_line_ending,
    ACTIONS(2946), 1,
      sym__whitespace,
    ACTIONS(2948), 1,
      sym__eof,
    STATE(118), 1,
      sym__soft_line_break,
    STATE(306), 1,
      sym__newline,
  [16564] = 6,
    ACTIONS(1255), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2950), 1,
      sym__whitespace,
    STATE(709), 1,
      sym_link_title,
  [16583] = 1,
    ACTIONS(2952), 5,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_PIPE,
      sym__whitespace,
  [16591] = 4,
    ACTIONS(2956), 1,
      sym__pipe_table_line_ending,
    STATE(415), 1,
      sym__pipe_table_newline,
    STATE(694), 1,
      aux_sym_pipe_table_repeat1,
    ACTIONS(2954), 2,
      sym__line_ending,
      sym__eof,
  [16605] = 4,
    ACTIONS(2959), 1,
      anon_sym_DASH,
    ACTIONS(2961), 1,
      anon_sym_COLON,
    STATE(722), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    ACTIONS(2854), 2,
      anon_sym_PIPE,
      sym__whitespace,
  [16619] = 4,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2963), 1,
      sym__soft_line_ending,
    ACTIONS(2965), 1,
      sym__eof,
    STATE(299), 2,
      sym__newline,
      sym__soft_line_break,
  [16633] = 3,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(2969), 1,
      sym__whitespace,
    ACTIONS(2447), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [16645] = 5,
    ACTIONS(2838), 1,
      anon_sym_DASH,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    ACTIONS(2971), 1,
      anon_sym_PIPE,
    STATE(718), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(821), 1,
      sym_pipe_table_delimiter_cell,
  [16661] = 5,
    ACTIONS(1161), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(740), 1,
      sym_link_title,
  [16677] = 4,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2963), 1,
      sym__soft_line_ending,
    ACTIONS(2973), 1,
      sym__eof,
    STATE(300), 2,
      sym__newline,
      sym__soft_line_break,
  [16691] = 4,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2963), 1,
      sym__soft_line_ending,
    ACTIONS(2975), 1,
      sym__eof,
    STATE(301), 2,
      sym__newline,
      sym__soft_line_break,
  [16705] = 3,
    ACTIONS(2977), 1,
      anon_sym_PIPE,
    ACTIONS(2979), 1,
      sym__whitespace,
    ACTIONS(2981), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [16717] = 4,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2983), 1,
      sym__soft_line_ending,
    ACTIONS(2985), 1,
      sym__eof,
    STATE(214), 2,
      sym__newline,
      sym__soft_line_break,
  [16731] = 5,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2987), 1,
      sym__no_indented_chunk,
    STATE(703), 1,
      sym_link_title,
  [16747] = 4,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2983), 1,
      sym__soft_line_ending,
    ACTIONS(2989), 1,
      sym__eof,
    STATE(220), 2,
      sym__newline,
      sym__soft_line_break,
  [16761] = 1,
    ACTIONS(2991), 5,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
      anon_sym_PIPE,
      sym__whitespace,
  [16769] = 5,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2914), 1,
      sym__no_indented_chunk,
    STATE(705), 1,
      sym_link_title,
  [16785] = 4,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2963), 1,
      sym__soft_line_ending,
    ACTIONS(2993), 1,
      sym__eof,
    STATE(302), 2,
      sym__newline,
      sym__soft_line_break,
  [16799] = 4,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2983), 1,
      sym__soft_line_ending,
    ACTIONS(2995), 1,
      sym__eof,
    STATE(222), 2,
      sym__newline,
      sym__soft_line_break,
  [16813] = 5,
    ACTIONS(1255), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(709), 1,
      sym_link_title,
  [16829] = 4,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2983), 1,
      sym__soft_line_ending,
    ACTIONS(2997), 1,
      sym__eof,
    STATE(230), 2,
      sym__newline,
      sym__soft_line_break,
  [16843] = 4,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2983), 1,
      sym__soft_line_ending,
    ACTIONS(2999), 1,
      sym__eof,
    STATE(212), 2,
      sym__newline,
      sym__soft_line_break,
  [16857] = 3,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      sym__whitespace,
    ACTIONS(2497), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [16869] = 2,
    ACTIONS(3003), 1,
      sym_block_continuation,
    ACTIONS(1076), 4,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym__whitespace,
  [16879] = 4,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2963), 1,
      sym__soft_line_ending,
    ACTIONS(3005), 1,
      sym__eof,
    STATE(303), 2,
      sym__newline,
      sym__soft_line_break,
  [16893] = 3,
    ACTIONS(3007), 1,
      anon_sym_PIPE,
    ACTIONS(3009), 1,
      sym__whitespace,
    ACTIONS(3011), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [16905] = 3,
    ACTIONS(2977), 1,
      anon_sym_PIPE,
    ACTIONS(3013), 1,
      sym__whitespace,
    ACTIONS(2497), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [16917] = 4,
    ACTIONS(2959), 1,
      anon_sym_DASH,
    ACTIONS(3015), 1,
      anon_sym_COLON,
    STATE(722), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    ACTIONS(2850), 2,
      anon_sym_PIPE,
      sym__whitespace,
  [16931] = 5,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      sym__no_indented_chunk,
    STATE(700), 1,
      sym_link_title,
  [16947] = 3,
    ACTIONS(3019), 1,
      anon_sym_PIPE,
    ACTIONS(3021), 1,
      sym__whitespace,
    ACTIONS(2820), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [16959] = 5,
    ACTIONS(1269), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(730), 1,
      sym_link_title,
  [16975] = 3,
    ACTIONS(3023), 1,
      anon_sym_DASH,
    STATE(722), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    ACTIONS(2836), 3,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym__whitespace,
  [16987] = 5,
    ACTIONS(1185), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(711), 1,
      sym_link_title,
  [17003] = 4,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2983), 1,
      sym__soft_line_ending,
    ACTIONS(3026), 1,
      sym__eof,
    STATE(241), 2,
      sym__newline,
      sym__soft_line_break,
  [17017] = 3,
    ACTIONS(3019), 1,
      anon_sym_PIPE,
    ACTIONS(3028), 1,
      sym__whitespace,
    ACTIONS(2864), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17029] = 3,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(3030), 1,
      sym__whitespace,
    ACTIONS(2461), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17041] = 3,
    ACTIONS(3007), 1,
      anon_sym_PIPE,
    ACTIONS(3032), 1,
      sym__whitespace,
    ACTIONS(2864), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17053] = 5,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      sym__no_indented_chunk,
    STATE(701), 1,
      sym_link_title,
  [17069] = 4,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2963), 1,
      sym__soft_line_ending,
    ACTIONS(3034), 1,
      sym__eof,
    STATE(307), 2,
      sym__newline,
      sym__soft_line_break,
  [17083] = 4,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2963), 1,
      sym__soft_line_ending,
    ACTIONS(3036), 1,
      sym__eof,
    STATE(309), 2,
      sym__newline,
      sym__soft_line_break,
  [17097] = 3,
    ACTIONS(2977), 1,
      anon_sym_PIPE,
    ACTIONS(3038), 1,
      sym__whitespace,
    ACTIONS(2461), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17109] = 3,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(3040), 1,
      sym__whitespace,
    ACTIONS(2384), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17121] = 4,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2983), 1,
      sym__soft_line_ending,
    ACTIONS(3042), 1,
      sym__eof,
    STATE(290), 2,
      sym__newline,
      sym__soft_line_break,
  [17135] = 5,
    ACTIONS(1264), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(729), 1,
      sym_link_title,
  [17151] = 5,
    ACTIONS(1229), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_link_title,
  [17167] = 4,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(2963), 1,
      sym__soft_line_ending,
    ACTIONS(3044), 1,
      sym__eof,
    STATE(321), 2,
      sym__newline,
      sym__soft_line_break,
  [17181] = 1,
    ACTIONS(1344), 5,
      sym__no_indented_chunk,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LPAREN,
      sym__whitespace,
  [17189] = 5,
    ACTIONS(1281), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(715), 1,
      sym_link_title,
  [17205] = 3,
    ACTIONS(2977), 1,
      anon_sym_PIPE,
    ACTIONS(3046), 1,
      sym__whitespace,
    ACTIONS(2384), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17217] = 4,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(2983), 1,
      sym__soft_line_ending,
    ACTIONS(3048), 1,
      sym__eof,
    STATE(260), 2,
      sym__newline,
      sym__soft_line_break,
  [17231] = 5,
    ACTIONS(1286), 1,
      sym__no_indented_chunk,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(708), 1,
      sym_link_title,
  [17247] = 3,
    ACTIONS(3019), 1,
      anon_sym_PIPE,
    ACTIONS(3050), 1,
      sym__whitespace,
    ACTIONS(2812), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17259] = 3,
    ACTIONS(3007), 1,
      anon_sym_PIPE,
    ACTIONS(3052), 1,
      sym__whitespace,
    ACTIONS(2812), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17271] = 2,
    ACTIONS(3054), 1,
      anon_sym_PIPE,
    ACTIONS(2497), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17280] = 2,
    ACTIONS(3056), 1,
      anon_sym_PIPE,
    ACTIONS(3011), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17289] = 2,
    ACTIONS(3007), 1,
      anon_sym_PIPE,
    ACTIONS(2812), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17298] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_link_title,
  [17311] = 2,
    ACTIONS(3054), 1,
      anon_sym_PIPE,
    ACTIONS(2981), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17320] = 2,
    ACTIONS(2977), 1,
      anon_sym_PIPE,
    ACTIONS(2384), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17329] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(708), 1,
      sym_link_title,
  [17342] = 2,
    ACTIONS(2977), 1,
      anon_sym_PIPE,
    ACTIONS(2981), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17351] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(715), 1,
      sym_link_title,
  [17364] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(712), 1,
      sym_link_title,
  [17377] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(701), 1,
      sym_link_title,
  [17390] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(740), 1,
      sym_link_title,
  [17403] = 2,
    ACTIONS(2977), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17412] = 2,
    ACTIONS(3007), 1,
      anon_sym_PIPE,
    ACTIONS(2864), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17421] = 1,
    ACTIONS(1932), 4,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__whitespace,
  [17428] = 2,
    ACTIONS(3056), 1,
      anon_sym_PIPE,
    ACTIONS(2864), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17437] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(711), 1,
      sym_link_title,
  [17450] = 2,
    ACTIONS(3054), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17459] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(729), 1,
      sym_link_title,
  [17472] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(700), 1,
      sym_link_title,
  [17485] = 2,
    ACTIONS(3054), 1,
      anon_sym_PIPE,
    ACTIONS(3058), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17494] = 1,
    ACTIONS(1930), 4,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
      sym__whitespace,
  [17501] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(703), 1,
      sym_link_title,
  [17514] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(705), 1,
      sym_link_title,
  [17527] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(696), 1,
      sym_link_title,
  [17540] = 2,
    ACTIONS(3056), 1,
      anon_sym_PIPE,
    ACTIONS(3060), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17549] = 4,
    ACTIONS(2838), 1,
      anon_sym_DASH,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    STATE(718), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
    STATE(821), 1,
      sym_pipe_table_delimiter_cell,
  [17562] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(730), 1,
      sym_link_title,
  [17575] = 4,
    ACTIONS(2856), 1,
      anon_sym_DQUOTE,
    ACTIONS(2858), 1,
      anon_sym_SQUOTE,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(709), 1,
      sym_link_title,
  [17588] = 1,
    ACTIONS(1187), 4,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_PIPE,
      sym__whitespace,
  [17595] = 2,
    ACTIONS(3007), 1,
      anon_sym_PIPE,
    ACTIONS(3011), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17604] = 2,
    ACTIONS(2977), 1,
      anon_sym_PIPE,
    ACTIONS(2497), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17613] = 3,
    ACTIONS(2447), 1,
      sym__line_ending,
    ACTIONS(3062), 1,
      anon_sym_PIPE,
    ACTIONS(3064), 1,
      sym__whitespace,
  [17623] = 3,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(3066), 1,
      sym__eof,
    STATE(310), 1,
      sym__newline,
  [17633] = 3,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(3068), 1,
      sym__eof,
    STATE(305), 1,
      sym__newline,
  [17643] = 3,
    ACTIONS(2461), 1,
      sym__line_ending,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
    ACTIONS(3072), 1,
      sym__whitespace,
  [17653] = 1,
    ACTIONS(2954), 3,
      sym__line_ending,
      sym__eof,
      sym__pipe_table_line_ending,
  [17659] = 3,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(3074), 1,
      sym__eof,
    STATE(297), 1,
      sym__newline,
  [17669] = 3,
    ACTIONS(2461), 1,
      sym__line_ending,
    ACTIONS(3062), 1,
      anon_sym_PIPE,
    ACTIONS(3076), 1,
      sym__whitespace,
  [17679] = 3,
    ACTIONS(2384), 1,
      sym__line_ending,
    ACTIONS(3062), 1,
      anon_sym_PIPE,
    ACTIONS(3078), 1,
      sym__whitespace,
  [17689] = 3,
    ACTIONS(2497), 1,
      sym__line_ending,
    ACTIONS(3062), 1,
      anon_sym_PIPE,
    ACTIONS(3080), 1,
      sym__whitespace,
  [17699] = 3,
    ACTIONS(3082), 1,
      sym__line_ending,
    ACTIONS(3084), 1,
      sym__eof,
    STATE(867), 1,
      sym__newline,
  [17709] = 3,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(3086), 1,
      sym__eof,
    STATE(187), 1,
      sym__newline,
  [17719] = 3,
    ACTIONS(1922), 1,
      sym__line_ending,
    ACTIONS(3088), 1,
      sym__eof,
    STATE(186), 1,
      sym__newline,
  [17729] = 3,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(3090), 1,
      sym__eof,
    STATE(311), 1,
      sym__newline,
  [17739] = 3,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(3092), 1,
      sym__eof,
    STATE(256), 1,
      sym__newline,
  [17749] = 1,
    ACTIONS(3094), 3,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
  [17755] = 3,
    ACTIONS(2384), 1,
      sym__line_ending,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
    ACTIONS(3096), 1,
      sym__whitespace,
  [17765] = 1,
    ACTIONS(3098), 3,
      sym__line_ending,
      sym__soft_line_ending,
      sym__eof,
  [17771] = 3,
    ACTIONS(2336), 1,
      sym__line_ending,
    ACTIONS(3100), 1,
      sym__eof,
    STATE(255), 1,
      sym__newline,
  [17781] = 3,
    ACTIONS(2981), 1,
      sym__line_ending,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
    ACTIONS(3102), 1,
      sym__whitespace,
  [17791] = 3,
    ACTIONS(2497), 1,
      sym__line_ending,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
    ACTIONS(3104), 1,
      sym__whitespace,
  [17801] = 2,
    ACTIONS(1840), 1,
      sym__block_close,
    ACTIONS(1842), 1,
      sym__fenced_code_block_end_tilde,
  [17808] = 2,
    ACTIONS(139), 1,
      sym__block_close,
    ACTIONS(3106), 1,
      sym_block_continuation,
  [17815] = 2,
    ACTIONS(3108), 1,
      sym__line_ending,
    STATE(646), 1,
      sym__newline,
  [17822] = 2,
    ACTIONS(3058), 1,
      sym__line_ending,
    ACTIONS(3110), 1,
      anon_sym_PIPE,
  [17829] = 2,
    ACTIONS(1922), 1,
      sym__line_ending,
    STATE(248), 1,
      sym__newline,
  [17836] = 2,
    ACTIONS(1922), 1,
      sym__line_ending,
    STATE(257), 1,
      sym__newline,
  [17843] = 2,
    ACTIONS(1922), 1,
      sym__line_ending,
    STATE(258), 1,
      sym__newline,
  [17850] = 2,
    ACTIONS(1922), 1,
      sym__line_ending,
    STATE(259), 1,
      sym__newline,
  [17857] = 2,
    ACTIONS(1922), 1,
      sym__line_ending,
    STATE(261), 1,
      sym__newline,
  [17864] = 2,
    ACTIONS(1922), 1,
      sym__line_ending,
    STATE(263), 1,
      sym__newline,
  [17871] = 2,
    ACTIONS(3112), 1,
      sym__line_ending,
    STATE(862), 1,
      sym__newline,
  [17878] = 1,
    ACTIONS(2991), 2,
      anon_sym_PIPE,
      sym__whitespace,
  [17883] = 2,
    ACTIONS(2981), 1,
      sym__line_ending,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
  [17890] = 2,
    ACTIONS(2981), 1,
      sym__line_ending,
    ACTIONS(3110), 1,
      anon_sym_PIPE,
  [17897] = 2,
    ACTIONS(1820), 1,
      sym__line_ending,
    STATE(359), 1,
      sym__newline,
  [17904] = 2,
    ACTIONS(3112), 1,
      sym__line_ending,
    STATE(912), 1,
      sym__newline,
  [17911] = 2,
    ACTIONS(1858), 1,
      sym__block_close,
    ACTIONS(1860), 1,
      sym__fenced_code_block_end_backtick,
  [17918] = 2,
    ACTIONS(3112), 1,
      sym__line_ending,
    STATE(869), 1,
      sym__newline,
  [17925] = 2,
    ACTIONS(1816), 1,
      sym__line_ending,
    STATE(363), 1,
      sym__newline,
  [17932] = 2,
    ACTIONS(1858), 1,
      sym__block_close,
    ACTIONS(1860), 1,
      sym__fenced_code_block_end_tilde,
  [17939] = 2,
    ACTIONS(3114), 1,
      anon_sym_DASH,
    STATE(648), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
  [17946] = 2,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(3116), 1,
      sym__whitespace,
  [17953] = 2,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
    ACTIONS(3118), 1,
      sym__whitespace,
  [17960] = 1,
    ACTIONS(2952), 2,
      anon_sym_PIPE,
      sym__whitespace,
  [17965] = 2,
    ACTIONS(3112), 1,
      sym__line_ending,
    STATE(871), 1,
      sym__newline,
  [17972] = 2,
    ACTIONS(3007), 1,
      anon_sym_PIPE,
    ACTIONS(3120), 1,
      sym__whitespace,
  [17979] = 2,
    ACTIONS(2977), 1,
      anon_sym_PIPE,
    ACTIONS(3122), 1,
      sym__whitespace,
  [17986] = 2,
    ACTIONS(1076), 1,
      sym__block_close,
    ACTIONS(3124), 1,
      sym_block_continuation,
  [17993] = 2,
    ACTIONS(1890), 1,
      sym__block_close,
    ACTIONS(1892), 1,
      sym__fenced_code_block_end_backtick,
  [18000] = 2,
    ACTIONS(3108), 1,
      sym__line_ending,
    STATE(645), 1,
      sym__newline,
  [18007] = 2,
    ACTIONS(1890), 1,
      sym__block_close,
    ACTIONS(1892), 1,
      sym__fenced_code_block_end_tilde,
  [18014] = 2,
    ACTIONS(3112), 1,
      sym__line_ending,
    STATE(874), 1,
      sym__newline,
  [18021] = 2,
    ACTIONS(1076), 1,
      sym__close_block,
    ACTIONS(3126), 1,
      sym_block_continuation,
  [18028] = 2,
    ACTIONS(3062), 1,
      anon_sym_PIPE,
    ACTIONS(3128), 1,
      sym__whitespace,
  [18035] = 2,
    ACTIONS(2497), 1,
      sym__line_ending,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
  [18042] = 2,
    ACTIONS(2497), 1,
      sym__line_ending,
    ACTIONS(3110), 1,
      anon_sym_PIPE,
  [18049] = 2,
    ACTIONS(3130), 1,
      sym__block_close,
    ACTIONS(3132), 1,
      sym__fenced_code_block_end_tilde,
  [18056] = 2,
    ACTIONS(3112), 1,
      sym__line_ending,
    STATE(879), 1,
      sym__newline,
  [18063] = 2,
    ACTIONS(3112), 1,
      sym__line_ending,
    STATE(906), 1,
      sym__newline,
  [18070] = 2,
    ACTIONS(1898), 1,
      sym__block_close,
    ACTIONS(1900), 1,
      sym__fenced_code_block_end_backtick,
  [18077] = 2,
    ACTIONS(2384), 1,
      sym__line_ending,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
  [18084] = 2,
    ACTIONS(1898), 1,
      sym__block_close,
    ACTIONS(1900), 1,
      sym__fenced_code_block_end_tilde,
  [18091] = 2,
    ACTIONS(1163), 1,
      sym__trigger_error,
    ACTIONS(3134), 1,
      sym_block_continuation,
  [18098] = 2,
    ACTIONS(3130), 1,
      sym__block_close,
    ACTIONS(3132), 1,
      sym__fenced_code_block_end_backtick,
  [18105] = 2,
    ACTIONS(1816), 1,
      sym__line_ending,
    STATE(372), 1,
      sym__newline,
  [18112] = 2,
    ACTIONS(3136), 1,
      sym__block_close,
    ACTIONS(3138), 1,
      sym__fenced_code_block_end_backtick,
  [18119] = 2,
    ACTIONS(1820), 1,
      sym__line_ending,
    STATE(371), 1,
      sym__newline,
  [18126] = 2,
    ACTIONS(3136), 1,
      sym__block_close,
    ACTIONS(3138), 1,
      sym__fenced_code_block_end_tilde,
  [18133] = 2,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(238), 1,
      sym__newline,
  [18140] = 2,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(249), 1,
      sym__newline,
  [18147] = 2,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(250), 1,
      sym__newline,
  [18154] = 2,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(251), 1,
      sym__newline,
  [18161] = 2,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(252), 1,
      sym__newline,
  [18168] = 2,
    ACTIONS(1816), 1,
      sym__line_ending,
    STATE(368), 1,
      sym__newline,
  [18175] = 2,
    ACTIONS(2336), 1,
      sym__line_ending,
    STATE(253), 1,
      sym__newline,
  [18182] = 2,
    ACTIONS(1820), 1,
      sym__line_ending,
    STATE(367), 1,
      sym__newline,
  [18189] = 2,
    ACTIONS(1840), 1,
      sym__block_close,
    ACTIONS(1842), 1,
      sym__fenced_code_block_end_backtick,
  [18196] = 2,
    ACTIONS(1820), 1,
      sym__line_ending,
    STATE(361), 1,
      sym__newline,
  [18203] = 2,
    ACTIONS(3112), 1,
      sym__line_ending,
    STATE(883), 1,
      sym__newline,
  [18210] = 2,
    ACTIONS(2461), 1,
      sym__line_ending,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
  [18217] = 2,
    ACTIONS(1816), 1,
      sym__line_ending,
    STATE(369), 1,
      sym__newline,
  [18224] = 2,
    ACTIONS(2461), 1,
      sym__line_ending,
    ACTIONS(3110), 1,
      anon_sym_PIPE,
  [18231] = 2,
    ACTIONS(3140), 1,
      anon_sym_DASH,
    STATE(695), 1,
      aux_sym_pipe_table_delimiter_cell_repeat1,
  [18238] = 2,
    ACTIONS(3019), 1,
      anon_sym_PIPE,
    ACTIONS(3142), 1,
      sym__whitespace,
  [18245] = 1,
    ACTIONS(3144), 1,
      sym__block_close,
  [18249] = 1,
    ACTIONS(1187), 1,
      sym__close_block,
  [18253] = 1,
    ACTIONS(3146), 1,
      sym__block_close,
  [18257] = 1,
    ACTIONS(3148), 1,
      sym__close_block,
  [18261] = 1,
    ACTIONS(3150), 1,
      sym__close_block,
  [18265] = 1,
    ACTIONS(3152), 1,
      sym__close_block,
  [18269] = 1,
    ACTIONS(3154), 1,
      sym__block_close,
  [18273] = 1,
    ACTIONS(1544), 1,
      sym__close_block,
  [18277] = 1,
    ACTIONS(3156), 1,
      sym__close_block,
  [18281] = 1,
    ACTIONS(3158), 1,
      sym__block_close,
  [18285] = 1,
    ACTIONS(3160), 1,
      sym__close_block,
  [18289] = 1,
    ACTIONS(3162), 1,
      sym__block_close,
  [18293] = 1,
    ACTIONS(3164), 1,
      sym__block_close,
  [18297] = 1,
    ACTIONS(3166), 1,
      sym__block_close,
  [18301] = 1,
    ACTIONS(3168), 1,
      sym__block_close,
  [18305] = 1,
    ACTIONS(3170), 1,
      sym__block_close,
  [18309] = 1,
    ACTIONS(3172), 1,
      sym__line_ending,
  [18313] = 1,
    ACTIONS(3174), 1,
      sym__block_close,
  [18317] = 1,
    ACTIONS(3176), 1,
      sym__block_close,
  [18321] = 1,
    ACTIONS(3136), 1,
      sym__block_close,
  [18325] = 1,
    ACTIONS(3178), 1,
      sym__block_close,
  [18329] = 1,
    ACTIONS(3054), 1,
      anon_sym_PIPE,
  [18333] = 1,
    ACTIONS(3180), 1,
      anon_sym_COLON,
  [18337] = 1,
    ACTIONS(3130), 1,
      sym__block_close,
  [18341] = 1,
    ACTIONS(1344), 1,
      sym__trigger_error,
  [18345] = 1,
    ACTIONS(3182), 1,
      sym__block_close,
  [18349] = 1,
    ACTIONS(3184), 1,
      sym__block_close,
  [18353] = 1,
    ACTIONS(3186), 1,
      sym__block_close,
  [18357] = 1,
    ACTIONS(3188), 1,
      sym__close_block,
  [18361] = 1,
    ACTIONS(3190), 1,
      sym__block_close,
  [18365] = 1,
    ACTIONS(3192), 1,
      anon_sym_COLON,
  [18369] = 1,
    ACTIONS(2977), 1,
      anon_sym_PIPE,
  [18373] = 1,
    ACTIONS(3194), 1,
      ts_builtin_sym_end,
  [18377] = 1,
    ACTIONS(3196), 1,
      sym__close_block,
  [18381] = 1,
    ACTIONS(1187), 1,
      sym__block_close,
  [18385] = 1,
    ACTIONS(3007), 1,
      anon_sym_PIPE,
  [18389] = 1,
    ACTIONS(3198), 1,
      sym__block_close,
  [18393] = 1,
    ACTIONS(3200), 1,
      sym__block_close,
  [18397] = 1,
    ACTIONS(3202), 1,
      sym__block_close,
  [18401] = 1,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
  [18405] = 1,
    ACTIONS(3204), 1,
      sym__block_close,
  [18409] = 1,
    ACTIONS(3206), 1,
      sym__block_close,
  [18413] = 1,
    ACTIONS(3208), 1,
      sym__close_block,
  [18417] = 1,
    ACTIONS(149), 1,
      sym__block_close,
  [18421] = 1,
    ACTIONS(3210), 1,
      anon_sym_COLON,
  [18425] = 1,
    ACTIONS(3212), 1,
      sym__close_block,
  [18429] = 1,
    ACTIONS(3214), 1,
      sym__block_close,
  [18433] = 1,
    ACTIONS(3216), 1,
      sym__close_block,
  [18437] = 1,
    ACTIONS(3218), 1,
      sym__line_ending,
  [18441] = 1,
    ACTIONS(3220), 1,
      sym__block_close,
  [18445] = 1,
    ACTIONS(3056), 1,
      anon_sym_PIPE,
  [18449] = 1,
    ACTIONS(3110), 1,
      anon_sym_PIPE,
  [18453] = 1,
    ACTIONS(3222), 1,
      sym__block_close,
  [18457] = 1,
    ACTIONS(3224), 1,
      sym__whitespace,
  [18461] = 1,
    ACTIONS(3226), 1,
      sym__block_close,
  [18465] = 1,
    ACTIONS(3228), 1,
      sym__trigger_error,
  [18469] = 1,
    ACTIONS(3230), 1,
      sym__trigger_error,
  [18473] = 1,
    ACTIONS(3232), 1,
      anon_sym_COLON,
  [18477] = 1,
    ACTIONS(3234), 1,
      sym__block_close,
  [18481] = 1,
    ACTIONS(3236), 1,
      anon_sym_COLON,
  [18485] = 1,
    ACTIONS(3238), 1,
      sym__close_block,
  [18489] = 1,
    ACTIONS(3240), 1,
      sym__close_block,
  [18493] = 1,
    ACTIONS(3242), 1,
      sym__close_block,
  [18497] = 1,
    ACTIONS(3244), 1,
      sym__close_block,
  [18501] = 1,
    ACTIONS(3246), 1,
      sym__trigger_error,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(351)] = 0,
  [SMALL_STATE(352)] = 77,
  [SMALL_STATE(353)] = 154,
  [SMALL_STATE(354)] = 221,
  [SMALL_STATE(355)] = 290,
  [SMALL_STATE(356)] = 359,
  [SMALL_STATE(357)] = 420,
  [SMALL_STATE(358)] = 489,
  [SMALL_STATE(359)] = 558,
  [SMALL_STATE(360)] = 620,
  [SMALL_STATE(361)] = 678,
  [SMALL_STATE(362)] = 740,
  [SMALL_STATE(363)] = 800,
  [SMALL_STATE(364)] = 862,
  [SMALL_STATE(365)] = 922,
  [SMALL_STATE(366)] = 988,
  [SMALL_STATE(367)] = 1048,
  [SMALL_STATE(368)] = 1110,
  [SMALL_STATE(369)] = 1172,
  [SMALL_STATE(370)] = 1234,
  [SMALL_STATE(371)] = 1296,
  [SMALL_STATE(372)] = 1358,
  [SMALL_STATE(373)] = 1420,
  [SMALL_STATE(374)] = 1482,
  [SMALL_STATE(375)] = 1546,
  [SMALL_STATE(376)] = 1606,
  [SMALL_STATE(377)] = 1672,
  [SMALL_STATE(378)] = 1738,
  [SMALL_STATE(379)] = 1798,
  [SMALL_STATE(380)] = 1860,
  [SMALL_STATE(381)] = 1924,
  [SMALL_STATE(382)] = 1988,
  [SMALL_STATE(383)] = 2054,
  [SMALL_STATE(384)] = 2112,
  [SMALL_STATE(385)] = 2170,
  [SMALL_STATE(386)] = 2228,
  [SMALL_STATE(387)] = 2286,
  [SMALL_STATE(388)] = 2348,
  [SMALL_STATE(389)] = 2407,
  [SMALL_STATE(390)] = 2464,
  [SMALL_STATE(391)] = 2523,
  [SMALL_STATE(392)] = 2582,
  [SMALL_STATE(393)] = 2641,
  [SMALL_STATE(394)] = 2700,
  [SMALL_STATE(395)] = 2759,
  [SMALL_STATE(396)] = 2816,
  [SMALL_STATE(397)] = 2873,
  [SMALL_STATE(398)] = 2932,
  [SMALL_STATE(399)] = 2991,
  [SMALL_STATE(400)] = 3050,
  [SMALL_STATE(401)] = 3109,
  [SMALL_STATE(402)] = 3176,
  [SMALL_STATE(403)] = 3235,
  [SMALL_STATE(404)] = 3294,
  [SMALL_STATE(405)] = 3353,
  [SMALL_STATE(406)] = 3416,
  [SMALL_STATE(407)] = 3475,
  [SMALL_STATE(408)] = 3534,
  [SMALL_STATE(409)] = 3593,
  [SMALL_STATE(410)] = 3652,
  [SMALL_STATE(411)] = 3711,
  [SMALL_STATE(412)] = 3770,
  [SMALL_STATE(413)] = 3829,
  [SMALL_STATE(414)] = 3888,
  [SMALL_STATE(415)] = 3955,
  [SMALL_STATE(416)] = 4020,
  [SMALL_STATE(417)] = 4087,
  [SMALL_STATE(418)] = 4144,
  [SMALL_STATE(419)] = 4203,
  [SMALL_STATE(420)] = 4260,
  [SMALL_STATE(421)] = 4319,
  [SMALL_STATE(422)] = 4378,
  [SMALL_STATE(423)] = 4437,
  [SMALL_STATE(424)] = 4504,
  [SMALL_STATE(425)] = 4561,
  [SMALL_STATE(426)] = 4620,
  [SMALL_STATE(427)] = 4679,
  [SMALL_STATE(428)] = 4737,
  [SMALL_STATE(429)] = 4801,
  [SMALL_STATE(430)] = 4857,
  [SMALL_STATE(431)] = 4915,
  [SMALL_STATE(432)] = 4973,
  [SMALL_STATE(433)] = 5027,
  [SMALL_STATE(434)] = 5085,
  [SMALL_STATE(435)] = 5143,
  [SMALL_STATE(436)] = 5201,
  [SMALL_STATE(437)] = 5259,
  [SMALL_STATE(438)] = 5317,
  [SMALL_STATE(439)] = 5375,
  [SMALL_STATE(440)] = 5431,
  [SMALL_STATE(441)] = 5489,
  [SMALL_STATE(442)] = 5545,
  [SMALL_STATE(443)] = 5603,
  [SMALL_STATE(444)] = 5661,
  [SMALL_STATE(445)] = 5719,
  [SMALL_STATE(446)] = 5777,
  [SMALL_STATE(447)] = 5833,
  [SMALL_STATE(448)] = 5891,
  [SMALL_STATE(449)] = 5947,
  [SMALL_STATE(450)] = 6005,
  [SMALL_STATE(451)] = 6063,
  [SMALL_STATE(452)] = 6117,
  [SMALL_STATE(453)] = 6175,
  [SMALL_STATE(454)] = 6239,
  [SMALL_STATE(455)] = 6293,
  [SMALL_STATE(456)] = 6357,
  [SMALL_STATE(457)] = 6411,
  [SMALL_STATE(458)] = 6475,
  [SMALL_STATE(459)] = 6534,
  [SMALL_STATE(460)] = 6585,
  [SMALL_STATE(461)] = 6636,
  [SMALL_STATE(462)] = 6695,
  [SMALL_STATE(463)] = 6754,
  [SMALL_STATE(464)] = 6815,
  [SMALL_STATE(465)] = 6870,
  [SMALL_STATE(466)] = 6929,
  [SMALL_STATE(467)] = 6982,
  [SMALL_STATE(468)] = 7043,
  [SMALL_STATE(469)] = 7102,
  [SMALL_STATE(470)] = 7163,
  [SMALL_STATE(471)] = 7222,
  [SMALL_STATE(472)] = 7273,
  [SMALL_STATE(473)] = 7324,
  [SMALL_STATE(474)] = 7385,
  [SMALL_STATE(475)] = 7440,
  [SMALL_STATE(476)] = 7499,
  [SMALL_STATE(477)] = 7560,
  [SMALL_STATE(478)] = 7621,
  [SMALL_STATE(479)] = 7676,
  [SMALL_STATE(480)] = 7735,
  [SMALL_STATE(481)] = 7794,
  [SMALL_STATE(482)] = 7845,
  [SMALL_STATE(483)] = 7904,
  [SMALL_STATE(484)] = 7963,
  [SMALL_STATE(485)] = 8022,
  [SMALL_STATE(486)] = 8075,
  [SMALL_STATE(487)] = 8134,
  [SMALL_STATE(488)] = 8189,
  [SMALL_STATE(489)] = 8248,
  [SMALL_STATE(490)] = 8307,
  [SMALL_STATE(491)] = 8358,
  [SMALL_STATE(492)] = 8417,
  [SMALL_STATE(493)] = 8470,
  [SMALL_STATE(494)] = 8525,
  [SMALL_STATE(495)] = 8576,
  [SMALL_STATE(496)] = 8635,
  [SMALL_STATE(497)] = 8693,
  [SMALL_STATE(498)] = 8751,
  [SMALL_STATE(499)] = 8801,
  [SMALL_STATE(500)] = 8851,
  [SMALL_STATE(501)] = 8897,
  [SMALL_STATE(502)] = 8947,
  [SMALL_STATE(503)] = 8995,
  [SMALL_STATE(504)] = 9045,
  [SMALL_STATE(505)] = 9103,
  [SMALL_STATE(506)] = 9151,
  [SMALL_STATE(507)] = 9207,
  [SMALL_STATE(508)] = 9253,
  [SMALL_STATE(509)] = 9303,
  [SMALL_STATE(510)] = 9361,
  [SMALL_STATE(511)] = 9417,
  [SMALL_STATE(512)] = 9467,
  [SMALL_STATE(513)] = 9519,
  [SMALL_STATE(514)] = 9579,
  [SMALL_STATE(515)] = 9637,
  [SMALL_STATE(516)] = 9683,
  [SMALL_STATE(517)] = 9733,
  [SMALL_STATE(518)] = 9783,
  [SMALL_STATE(519)] = 9833,
  [SMALL_STATE(520)] = 9889,
  [SMALL_STATE(521)] = 9939,
  [SMALL_STATE(522)] = 9997,
  [SMALL_STATE(523)] = 10047,
  [SMALL_STATE(524)] = 10097,
  [SMALL_STATE(525)] = 10143,
  [SMALL_STATE(526)] = 10193,
  [SMALL_STATE(527)] = 10243,
  [SMALL_STATE(528)] = 10303,
  [SMALL_STATE(529)] = 10353,
  [SMALL_STATE(530)] = 10403,
  [SMALL_STATE(531)] = 10460,
  [SMALL_STATE(532)] = 10505,
  [SMALL_STATE(533)] = 10550,
  [SMALL_STATE(534)] = 10599,
  [SMALL_STATE(535)] = 10646,
  [SMALL_STATE(536)] = 10697,
  [SMALL_STATE(537)] = 10742,
  [SMALL_STATE(538)] = 10789,
  [SMALL_STATE(539)] = 10834,
  [SMALL_STATE(540)] = 10883,
  [SMALL_STATE(541)] = 10930,
  [SMALL_STATE(542)] = 10975,
  [SMALL_STATE(543)] = 11020,
  [SMALL_STATE(544)] = 11067,
  [SMALL_STATE(545)] = 11116,
  [SMALL_STATE(546)] = 11163,
  [SMALL_STATE(547)] = 11220,
  [SMALL_STATE(548)] = 11267,
  [SMALL_STATE(549)] = 11324,
  [SMALL_STATE(550)] = 11373,
  [SMALL_STATE(551)] = 11418,
  [SMALL_STATE(552)] = 11463,
  [SMALL_STATE(553)] = 11512,
  [SMALL_STATE(554)] = 11557,
  [SMALL_STATE(555)] = 11602,
  [SMALL_STATE(556)] = 11649,
  [SMALL_STATE(557)] = 11696,
  [SMALL_STATE(558)] = 11745,
  [SMALL_STATE(559)] = 11802,
  [SMALL_STATE(560)] = 11847,
  [SMALL_STATE(561)] = 11896,
  [SMALL_STATE(562)] = 11945,
  [SMALL_STATE(563)] = 11994,
  [SMALL_STATE(564)] = 12043,
  [SMALL_STATE(565)] = 12092,
  [SMALL_STATE(566)] = 12149,
  [SMALL_STATE(567)] = 12200,
  [SMALL_STATE(568)] = 12244,
  [SMALL_STATE(569)] = 12288,
  [SMALL_STATE(570)] = 12332,
  [SMALL_STATE(571)] = 12380,
  [SMALL_STATE(572)] = 12434,
  [SMALL_STATE(573)] = 12478,
  [SMALL_STATE(574)] = 12522,
  [SMALL_STATE(575)] = 12566,
  [SMALL_STATE(576)] = 12610,
  [SMALL_STATE(577)] = 12658,
  [SMALL_STATE(578)] = 12702,
  [SMALL_STATE(579)] = 12748,
  [SMALL_STATE(580)] = 12792,
  [SMALL_STATE(581)] = 12836,
  [SMALL_STATE(582)] = 12880,
  [SMALL_STATE(583)] = 12924,
  [SMALL_STATE(584)] = 12978,
  [SMALL_STATE(585)] = 13022,
  [SMALL_STATE(586)] = 13076,
  [SMALL_STATE(587)] = 13124,
  [SMALL_STATE(588)] = 13168,
  [SMALL_STATE(589)] = 13214,
  [SMALL_STATE(590)] = 13262,
  [SMALL_STATE(591)] = 13310,
  [SMALL_STATE(592)] = 13358,
  [SMALL_STATE(593)] = 13402,
  [SMALL_STATE(594)] = 13446,
  [SMALL_STATE(595)] = 13492,
  [SMALL_STATE(596)] = 13536,
  [SMALL_STATE(597)] = 13580,
  [SMALL_STATE(598)] = 13624,
  [SMALL_STATE(599)] = 13668,
  [SMALL_STATE(600)] = 13712,
  [SMALL_STATE(601)] = 13756,
  [SMALL_STATE(602)] = 13810,
  [SMALL_STATE(603)] = 13854,
  [SMALL_STATE(604)] = 13898,
  [SMALL_STATE(605)] = 13942,
  [SMALL_STATE(606)] = 13988,
  [SMALL_STATE(607)] = 14032,
  [SMALL_STATE(608)] = 14076,
  [SMALL_STATE(609)] = 14130,
  [SMALL_STATE(610)] = 14178,
  [SMALL_STATE(611)] = 14222,
  [SMALL_STATE(612)] = 14265,
  [SMALL_STATE(613)] = 14316,
  [SMALL_STATE(614)] = 14367,
  [SMALL_STATE(615)] = 14418,
  [SMALL_STATE(616)] = 14461,
  [SMALL_STATE(617)] = 14504,
  [SMALL_STATE(618)] = 14547,
  [SMALL_STATE(619)] = 14590,
  [SMALL_STATE(620)] = 14633,
  [SMALL_STATE(621)] = 14676,
  [SMALL_STATE(622)] = 14719,
  [SMALL_STATE(623)] = 14762,
  [SMALL_STATE(624)] = 14813,
  [SMALL_STATE(625)] = 14856,
  [SMALL_STATE(626)] = 14907,
  [SMALL_STATE(627)] = 14958,
  [SMALL_STATE(628)] = 15009,
  [SMALL_STATE(629)] = 15060,
  [SMALL_STATE(630)] = 15102,
  [SMALL_STATE(631)] = 15144,
  [SMALL_STATE(632)] = 15186,
  [SMALL_STATE(633)] = 15228,
  [SMALL_STATE(634)] = 15270,
  [SMALL_STATE(635)] = 15312,
  [SMALL_STATE(636)] = 15364,
  [SMALL_STATE(637)] = 15416,
  [SMALL_STATE(638)] = 15468,
  [SMALL_STATE(639)] = 15520,
  [SMALL_STATE(640)] = 15572,
  [SMALL_STATE(641)] = 15596,
  [SMALL_STATE(642)] = 15620,
  [SMALL_STATE(643)] = 15644,
  [SMALL_STATE(644)] = 15668,
  [SMALL_STATE(645)] = 15683,
  [SMALL_STATE(646)] = 15708,
  [SMALL_STATE(647)] = 15733,
  [SMALL_STATE(648)] = 15750,
  [SMALL_STATE(649)] = 15767,
  [SMALL_STATE(650)] = 15789,
  [SMALL_STATE(651)] = 15807,
  [SMALL_STATE(652)] = 15829,
  [SMALL_STATE(653)] = 15851,
  [SMALL_STATE(654)] = 15869,
  [SMALL_STATE(655)] = 15887,
  [SMALL_STATE(656)] = 15909,
  [SMALL_STATE(657)] = 15931,
  [SMALL_STATE(658)] = 15953,
  [SMALL_STATE(659)] = 15975,
  [SMALL_STATE(660)] = 15997,
  [SMALL_STATE(661)] = 16007,
  [SMALL_STATE(662)] = 16029,
  [SMALL_STATE(663)] = 16051,
  [SMALL_STATE(664)] = 16070,
  [SMALL_STATE(665)] = 16089,
  [SMALL_STATE(666)] = 16108,
  [SMALL_STATE(667)] = 16127,
  [SMALL_STATE(668)] = 16138,
  [SMALL_STATE(669)] = 16157,
  [SMALL_STATE(670)] = 16166,
  [SMALL_STATE(671)] = 16185,
  [SMALL_STATE(672)] = 16204,
  [SMALL_STATE(673)] = 16223,
  [SMALL_STATE(674)] = 16242,
  [SMALL_STATE(675)] = 16261,
  [SMALL_STATE(676)] = 16280,
  [SMALL_STATE(677)] = 16299,
  [SMALL_STATE(678)] = 16318,
  [SMALL_STATE(679)] = 16337,
  [SMALL_STATE(680)] = 16346,
  [SMALL_STATE(681)] = 16355,
  [SMALL_STATE(682)] = 16374,
  [SMALL_STATE(683)] = 16393,
  [SMALL_STATE(684)] = 16412,
  [SMALL_STATE(685)] = 16431,
  [SMALL_STATE(686)] = 16450,
  [SMALL_STATE(687)] = 16469,
  [SMALL_STATE(688)] = 16488,
  [SMALL_STATE(689)] = 16507,
  [SMALL_STATE(690)] = 16526,
  [SMALL_STATE(691)] = 16545,
  [SMALL_STATE(692)] = 16564,
  [SMALL_STATE(693)] = 16583,
  [SMALL_STATE(694)] = 16591,
  [SMALL_STATE(695)] = 16605,
  [SMALL_STATE(696)] = 16619,
  [SMALL_STATE(697)] = 16633,
  [SMALL_STATE(698)] = 16645,
  [SMALL_STATE(699)] = 16661,
  [SMALL_STATE(700)] = 16677,
  [SMALL_STATE(701)] = 16691,
  [SMALL_STATE(702)] = 16705,
  [SMALL_STATE(703)] = 16717,
  [SMALL_STATE(704)] = 16731,
  [SMALL_STATE(705)] = 16747,
  [SMALL_STATE(706)] = 16761,
  [SMALL_STATE(707)] = 16769,
  [SMALL_STATE(708)] = 16785,
  [SMALL_STATE(709)] = 16799,
  [SMALL_STATE(710)] = 16813,
  [SMALL_STATE(711)] = 16829,
  [SMALL_STATE(712)] = 16843,
  [SMALL_STATE(713)] = 16857,
  [SMALL_STATE(714)] = 16869,
  [SMALL_STATE(715)] = 16879,
  [SMALL_STATE(716)] = 16893,
  [SMALL_STATE(717)] = 16905,
  [SMALL_STATE(718)] = 16917,
  [SMALL_STATE(719)] = 16931,
  [SMALL_STATE(720)] = 16947,
  [SMALL_STATE(721)] = 16959,
  [SMALL_STATE(722)] = 16975,
  [SMALL_STATE(723)] = 16987,
  [SMALL_STATE(724)] = 17003,
  [SMALL_STATE(725)] = 17017,
  [SMALL_STATE(726)] = 17029,
  [SMALL_STATE(727)] = 17041,
  [SMALL_STATE(728)] = 17053,
  [SMALL_STATE(729)] = 17069,
  [SMALL_STATE(730)] = 17083,
  [SMALL_STATE(731)] = 17097,
  [SMALL_STATE(732)] = 17109,
  [SMALL_STATE(733)] = 17121,
  [SMALL_STATE(734)] = 17135,
  [SMALL_STATE(735)] = 17151,
  [SMALL_STATE(736)] = 17167,
  [SMALL_STATE(737)] = 17181,
  [SMALL_STATE(738)] = 17189,
  [SMALL_STATE(739)] = 17205,
  [SMALL_STATE(740)] = 17217,
  [SMALL_STATE(741)] = 17231,
  [SMALL_STATE(742)] = 17247,
  [SMALL_STATE(743)] = 17259,
  [SMALL_STATE(744)] = 17271,
  [SMALL_STATE(745)] = 17280,
  [SMALL_STATE(746)] = 17289,
  [SMALL_STATE(747)] = 17298,
  [SMALL_STATE(748)] = 17311,
  [SMALL_STATE(749)] = 17320,
  [SMALL_STATE(750)] = 17329,
  [SMALL_STATE(751)] = 17342,
  [SMALL_STATE(752)] = 17351,
  [SMALL_STATE(753)] = 17364,
  [SMALL_STATE(754)] = 17377,
  [SMALL_STATE(755)] = 17390,
  [SMALL_STATE(756)] = 17403,
  [SMALL_STATE(757)] = 17412,
  [SMALL_STATE(758)] = 17421,
  [SMALL_STATE(759)] = 17428,
  [SMALL_STATE(760)] = 17437,
  [SMALL_STATE(761)] = 17450,
  [SMALL_STATE(762)] = 17459,
  [SMALL_STATE(763)] = 17472,
  [SMALL_STATE(764)] = 17485,
  [SMALL_STATE(765)] = 17494,
  [SMALL_STATE(766)] = 17501,
  [SMALL_STATE(767)] = 17514,
  [SMALL_STATE(768)] = 17527,
  [SMALL_STATE(769)] = 17540,
  [SMALL_STATE(770)] = 17549,
  [SMALL_STATE(771)] = 17562,
  [SMALL_STATE(772)] = 17575,
  [SMALL_STATE(773)] = 17588,
  [SMALL_STATE(774)] = 17595,
  [SMALL_STATE(775)] = 17604,
  [SMALL_STATE(776)] = 17613,
  [SMALL_STATE(777)] = 17623,
  [SMALL_STATE(778)] = 17633,
  [SMALL_STATE(779)] = 17643,
  [SMALL_STATE(780)] = 17653,
  [SMALL_STATE(781)] = 17659,
  [SMALL_STATE(782)] = 17669,
  [SMALL_STATE(783)] = 17679,
  [SMALL_STATE(784)] = 17689,
  [SMALL_STATE(785)] = 17699,
  [SMALL_STATE(786)] = 17709,
  [SMALL_STATE(787)] = 17719,
  [SMALL_STATE(788)] = 17729,
  [SMALL_STATE(789)] = 17739,
  [SMALL_STATE(790)] = 17749,
  [SMALL_STATE(791)] = 17755,
  [SMALL_STATE(792)] = 17765,
  [SMALL_STATE(793)] = 17771,
  [SMALL_STATE(794)] = 17781,
  [SMALL_STATE(795)] = 17791,
  [SMALL_STATE(796)] = 17801,
  [SMALL_STATE(797)] = 17808,
  [SMALL_STATE(798)] = 17815,
  [SMALL_STATE(799)] = 17822,
  [SMALL_STATE(800)] = 17829,
  [SMALL_STATE(801)] = 17836,
  [SMALL_STATE(802)] = 17843,
  [SMALL_STATE(803)] = 17850,
  [SMALL_STATE(804)] = 17857,
  [SMALL_STATE(805)] = 17864,
  [SMALL_STATE(806)] = 17871,
  [SMALL_STATE(807)] = 17878,
  [SMALL_STATE(808)] = 17883,
  [SMALL_STATE(809)] = 17890,
  [SMALL_STATE(810)] = 17897,
  [SMALL_STATE(811)] = 17904,
  [SMALL_STATE(812)] = 17911,
  [SMALL_STATE(813)] = 17918,
  [SMALL_STATE(814)] = 17925,
  [SMALL_STATE(815)] = 17932,
  [SMALL_STATE(816)] = 17939,
  [SMALL_STATE(817)] = 17946,
  [SMALL_STATE(818)] = 17953,
  [SMALL_STATE(819)] = 17960,
  [SMALL_STATE(820)] = 17965,
  [SMALL_STATE(821)] = 17972,
  [SMALL_STATE(822)] = 17979,
  [SMALL_STATE(823)] = 17986,
  [SMALL_STATE(824)] = 17993,
  [SMALL_STATE(825)] = 18000,
  [SMALL_STATE(826)] = 18007,
  [SMALL_STATE(827)] = 18014,
  [SMALL_STATE(828)] = 18021,
  [SMALL_STATE(829)] = 18028,
  [SMALL_STATE(830)] = 18035,
  [SMALL_STATE(831)] = 18042,
  [SMALL_STATE(832)] = 18049,
  [SMALL_STATE(833)] = 18056,
  [SMALL_STATE(834)] = 18063,
  [SMALL_STATE(835)] = 18070,
  [SMALL_STATE(836)] = 18077,
  [SMALL_STATE(837)] = 18084,
  [SMALL_STATE(838)] = 18091,
  [SMALL_STATE(839)] = 18098,
  [SMALL_STATE(840)] = 18105,
  [SMALL_STATE(841)] = 18112,
  [SMALL_STATE(842)] = 18119,
  [SMALL_STATE(843)] = 18126,
  [SMALL_STATE(844)] = 18133,
  [SMALL_STATE(845)] = 18140,
  [SMALL_STATE(846)] = 18147,
  [SMALL_STATE(847)] = 18154,
  [SMALL_STATE(848)] = 18161,
  [SMALL_STATE(849)] = 18168,
  [SMALL_STATE(850)] = 18175,
  [SMALL_STATE(851)] = 18182,
  [SMALL_STATE(852)] = 18189,
  [SMALL_STATE(853)] = 18196,
  [SMALL_STATE(854)] = 18203,
  [SMALL_STATE(855)] = 18210,
  [SMALL_STATE(856)] = 18217,
  [SMALL_STATE(857)] = 18224,
  [SMALL_STATE(858)] = 18231,
  [SMALL_STATE(859)] = 18238,
  [SMALL_STATE(860)] = 18245,
  [SMALL_STATE(861)] = 18249,
  [SMALL_STATE(862)] = 18253,
  [SMALL_STATE(863)] = 18257,
  [SMALL_STATE(864)] = 18261,
  [SMALL_STATE(865)] = 18265,
  [SMALL_STATE(866)] = 18269,
  [SMALL_STATE(867)] = 18273,
  [SMALL_STATE(868)] = 18277,
  [SMALL_STATE(869)] = 18281,
  [SMALL_STATE(870)] = 18285,
  [SMALL_STATE(871)] = 18289,
  [SMALL_STATE(872)] = 18293,
  [SMALL_STATE(873)] = 18297,
  [SMALL_STATE(874)] = 18301,
  [SMALL_STATE(875)] = 18305,
  [SMALL_STATE(876)] = 18309,
  [SMALL_STATE(877)] = 18313,
  [SMALL_STATE(878)] = 18317,
  [SMALL_STATE(879)] = 18321,
  [SMALL_STATE(880)] = 18325,
  [SMALL_STATE(881)] = 18329,
  [SMALL_STATE(882)] = 18333,
  [SMALL_STATE(883)] = 18337,
  [SMALL_STATE(884)] = 18341,
  [SMALL_STATE(885)] = 18345,
  [SMALL_STATE(886)] = 18349,
  [SMALL_STATE(887)] = 18353,
  [SMALL_STATE(888)] = 18357,
  [SMALL_STATE(889)] = 18361,
  [SMALL_STATE(890)] = 18365,
  [SMALL_STATE(891)] = 18369,
  [SMALL_STATE(892)] = 18373,
  [SMALL_STATE(893)] = 18377,
  [SMALL_STATE(894)] = 18381,
  [SMALL_STATE(895)] = 18385,
  [SMALL_STATE(896)] = 18389,
  [SMALL_STATE(897)] = 18393,
  [SMALL_STATE(898)] = 18397,
  [SMALL_STATE(899)] = 18401,
  [SMALL_STATE(900)] = 18405,
  [SMALL_STATE(901)] = 18409,
  [SMALL_STATE(902)] = 18413,
  [SMALL_STATE(903)] = 18417,
  [SMALL_STATE(904)] = 18421,
  [SMALL_STATE(905)] = 18425,
  [SMALL_STATE(906)] = 18429,
  [SMALL_STATE(907)] = 18433,
  [SMALL_STATE(908)] = 18437,
  [SMALL_STATE(909)] = 18441,
  [SMALL_STATE(910)] = 18445,
  [SMALL_STATE(911)] = 18449,
  [SMALL_STATE(912)] = 18453,
  [SMALL_STATE(913)] = 18457,
  [SMALL_STATE(914)] = 18461,
  [SMALL_STATE(915)] = 18465,
  [SMALL_STATE(916)] = 18469,
  [SMALL_STATE(917)] = 18473,
  [SMALL_STATE(918)] = 18477,
  [SMALL_STATE(919)] = 18481,
  [SMALL_STATE(920)] = 18485,
  [SMALL_STATE(921)] = 18489,
  [SMALL_STATE(922)] = 18493,
  [SMALL_STATE(923)] = 18497,
  [SMALL_STATE(924)] = 18501,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 0, 0, 0),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_content, 3, 0, 0),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 2, 0, 4),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 2),
  [147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_content, 4, 0, 0),
  [151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_content, 1, 0, 0),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(458),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(488),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(486),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(484),
  [187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(443),
  [241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_quote_repeat1, 2, 0, 0), SHIFT_REPEAT(527),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section1, 1, 0, 1),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(488),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(486),
  [276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(484),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(443),
  [333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(527),
  [336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(465),
  [348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(468),
  [351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(470),
  [354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(781),
  [363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section1, 2, 0, 1),
  [398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section2, 1, 0, 1),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0),
  [414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(486),
  [423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(484),
  [426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(443),
  [480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(527),
  [483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(468),
  [495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(470),
  [498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(781),
  [507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section2, 2, 0, 1),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section3, 1, 0, 1),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(470),
  [567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(781),
  [576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section3, 2, 0, 1),
  [626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(484),
  [638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(443),
  [677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 2, 0, 0), SHIFT_REPEAT(527),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section4, 1, 0, 1),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(781),
  [711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section4, 2, 0, 1),
  [761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(443),
  [809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 2, 0, 0), SHIFT_REPEAT(527),
  [812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(781),
  [838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(443),
  [931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 2, 0, 0), SHIFT_REPEAT(527),
  [934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section5, 1, 0, 1),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section5, 2, 0, 1),
  [938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(781),
  [961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [1000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [1003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [1006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section6, 2, 0, 1),
  [1011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [1014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [1017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [1020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [1023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [1026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [1029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [1032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [1035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [1038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [1041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [1044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [1047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(443),
  [1053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(527),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section6, 1, 0, 1),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__list_star_repeat1, 2, 0, 0),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_star_repeat1, 2, 0, 0),
  [1062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_star_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__list_parenthesis_repeat1, 2, 0, 0),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_parenthesis_repeat1, 2, 0, 0),
  [1069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_parenthesis_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_parenthesis, 1, 0, 0),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_parenthesis, 1, 0, 0),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__newline, 1, 0, 0),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__newline, 1, 0, 0),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_dot_repeat1, 2, 0, 0),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__list_dot_repeat1, 2, 0, 0),
  [1088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_dot_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_minus_repeat1, 2, 0, 0),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__list_minus_repeat1, 2, 0, 0),
  [1095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_minus_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_plus_repeat1, 2, 0, 0),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__list_plus_repeat1, 2, 0, 0),
  [1102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_plus_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_dot, 1, 0, 0),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_dot, 1, 0, 0),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_star, 1, 0, 0),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_star, 1, 0, 0),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_minus, 1, 0, 0),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_minus, 1, 0, 0),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_plus, 1, 0, 0),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_plus, 1, 0, 0),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_indented_code_block_repeat1, 2, 0, 0),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_code_block_repeat1, 2, 0, 0),
  [1125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_code_block_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [1128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_code_block_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_code_block, 1, 0, 0),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_code_block, 1, 0, 0),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_code_block, 2, 0, 0),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_code_block, 2, 0, 0),
  [1139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_code_block_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [1142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_code_block_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 5, 10, 0),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 5, 10, 0),
  [1149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 5, 10, 0), SHIFT(393),
  [1152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 5, 10, 0), SHIFT(394),
  [1155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 5, 10, 0), SHIFT(452),
  [1158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 5, 10, 0), SHIFT(735),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_line_break, 1, 0, 0),
  [1165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_line_break, 1, 0, 0),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 7, 10, 0),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 7, 10, 0),
  [1173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 7, 10, 0), SHIFT(393),
  [1176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 7, 10, 0), SHIFT(394),
  [1179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 7, 10, 0), SHIFT(452),
  [1182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 7, 10, 0), SHIFT(710),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__newline, 2, 0, 0),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__newline, 2, 0, 0),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 4, 10, 0),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 4, 10, 0),
  [1195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 4, 10, 0), SHIFT(393),
  [1198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 4, 10, 0), SHIFT(394),
  [1201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 4, 10, 0), SHIFT(452),
  [1204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 4, 10, 0), SHIFT(721),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paragraph, 2, 0, 5),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paragraph, 2, 0, 5),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 6, 10, 0),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 6, 10, 0),
  [1217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 6, 10, 0), SHIFT(393),
  [1220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 6, 10, 0), SHIFT(394),
  [1223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 6, 10, 0), SHIFT(452),
  [1226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 6, 10, 0), SHIFT(723),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block_not_section, 1, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_not_section, 1, 0, 0),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 8, 10, 0),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 8, 10, 0),
  [1243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 8, 10, 0), SHIFT(393),
  [1246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 8, 10, 0), SHIFT(394),
  [1249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 8, 10, 0), SHIFT(452),
  [1252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 8, 10, 0), SHIFT(707),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [1261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 6, 10, 0), SHIFT(738),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 5, 10, 0), SHIFT(734),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 4, 10, 0), SHIFT(699),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 7, 10, 0), SHIFT(741),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [1283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_reference_definition, 8, 10, 0), SHIFT(728),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_plus, 3, 0, 0),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_plus, 3, 0, 0),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_7, 3, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_7, 3, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_parenthesis, 4, 0, 0),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_parenthesis, 4, 0, 0),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_7, 2, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_7, 2, 0, 0),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_dot, 4, 0, 0),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_dot, 4, 0, 0),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_star, 4, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_star, 4, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_minus, 4, 0, 0),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_minus, 4, 0, 0),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_quote, 3, 0, 0),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_quote, 3, 0, 0),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_plus, 4, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_plus, 4, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_line_break, 2, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_line_break, 2, 0, 0),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_quote, 4, 0, 0),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_quote, 4, 0, 0),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_parenthesis, 3, 0, 0),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_parenthesis, 3, 0, 0),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_chunk, 3, 0, 0),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_chunk, 3, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_dot, 3, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_dot, 3, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_5, 2, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_5, 2, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_star, 3, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_star, 3, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_1, 2, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_1, 2, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_minus, 3, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_minus, 3, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_2, 2, 0, 0),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_2, 2, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_6, 2, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_6, 2, 0, 0),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_6, 3, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_6, 3, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_5, 3, 0, 0),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_5, 3, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_4, 3, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_4, 3, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_3, 3, 0, 0),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_3, 3, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_2, 3, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_2, 3, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_chunk, 2, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_chunk, 2, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_1, 3, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_1, 3, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_quote, 2, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_quote, 2, 0, 0),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_4, 2, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_4, 2, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_3, 2, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_3, 2, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fenced_code_block, 4, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fenced_code_block, 4, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_chunk, 4, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_chunk, 4, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__blank_line, 2, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__blank_line, 2, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_thematic_break, 2, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_thematic_break, 2, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading6, 2, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading6, 2, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fenced_code_block, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fenced_code_block, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading5, 2, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading5, 2, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading4, 2, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading4, 2, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading3, 2, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading3, 2, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading2, 2, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading2, 2, 0, 0),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading1, 2, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading1, 2, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_marker_minus, 1, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_marker_minus, 1, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_marker_plus, 1, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_marker_plus, 1, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_marker_star, 1, 0, 0),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_marker_star, 1, 0, 0),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_marker_parenthesis, 1, 0, 0),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_marker_parenthesis, 1, 0, 0),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_marker_dot, 1, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_marker_dot, 1, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 1, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 1, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_star, 5, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_star, 5, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_html_block, 1, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_html_block, 1, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block_not_section, 1, 0, 1),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_not_section, 1, 0, 1),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 1, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 1, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 1, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 1, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 13, 20, 0),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 13, 20, 0),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_7, 4, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_7, 4, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 12, 20, 0),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 12, 20, 0),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_html_block, 2, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_html_block, 2, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__section1_repeat1, 1, 0, 2),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section1_repeat1, 1, 0, 2),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 11, 20, 0),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 11, 20, 0),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__section2_repeat1, 1, 0, 2),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section2_repeat1, 1, 0, 2),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 10, 20, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 10, 20, 0),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__section3_repeat1, 1, 0, 2),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section3_repeat1, 1, 0, 2),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_minus, 5, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_minus, 5, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__section4_repeat1, 1, 0, 2),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section4_repeat1, 1, 0, 2),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table, 5, 0, 11),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_table, 5, 0, 11),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 9, 20, 0),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 9, 20, 0),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__section5_repeat1, 1, 0, 2),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section5_repeat1, 1, 0, 2),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fenced_code_block, 9, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fenced_code_block, 9, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading1, 3, 0, 7),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading1, 3, 0, 7),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 8, 20, 0),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 8, 20, 0),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fenced_code_block, 8, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fenced_code_block, 8, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading2, 3, 0, 7),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading2, 3, 0, 7),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading3, 3, 0, 7),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading3, 3, 0, 7),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading4, 3, 0, 7),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading4, 3, 0, 7),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading5, 3, 0, 7),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading5, 3, 0, 7),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading6, 3, 0, 7),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__atx_heading6, 3, 0, 7),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setext_heading1, 3, 0, 9),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__setext_heading1, 3, 0, 9),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setext_heading2, 3, 0, 9),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__setext_heading2, 3, 0, 9),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 7, 20, 0),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 7, 20, 0),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_dot, 5, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_dot, 5, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fenced_code_block, 7, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fenced_code_block, 7, 0, 0),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_1, 4, 0, 0),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_1, 4, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_2, 4, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_2, 4, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_3, 4, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_3, 4, 0, 0),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_4, 4, 0, 0),
  [1748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_4, 4, 0, 0),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_5, 4, 0, 0),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_5, 4, 0, 0),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_block_6, 4, 0, 0),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_block_6, 4, 0, 0),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_reference_definition, 6, 20, 0),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_reference_definition, 6, 20, 0),
  [1762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table, 6, 0, 11),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_table, 6, 0, 11),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_parenthesis, 5, 0, 0),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_parenthesis, 5, 0, 0),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_quote, 5, 0, 0),
  [1772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_quote, 5, 0, 0),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fenced_code_block, 6, 0, 0),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fenced_code_block, 6, 0, 0),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fenced_code_block, 5, 0, 0),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fenced_code_block, 5, 0, 0),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__list_item_plus, 5, 0, 0),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_item_plus, 5, 0, 0),
  [1786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 1, 0, 0), SHIFT(456),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 1, 0, 0),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 1, 0, 0),
  [1797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 1, 0, 0), SHIFT(389),
  [1800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 1, 0, 0), SHIFT(389),
  [1803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 1, 0, 0), SHIFT(502),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(500),
  [1847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(360),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(360),
  [1853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(464),
  [1856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_info_string, 2, 0, 0),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_info_string_repeat1, 2, 0, 0), SHIFT_REPEAT(531),
  [1877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_info_string_repeat1, 2, 0, 0), SHIFT_REPEAT(364),
  [1880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_info_string_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [1883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_info_string_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_info_string_repeat1, 2, 0, 0),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_info_string, 3, 0, 0),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_info_string, 1, 0, 0),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 2, 10, 0),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 3, 10, 0),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_block_5_repeat1, 2, 0, 0), SHIFT_REPEAT(529),
  [1959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_5_repeat1, 2, 0, 0), SHIFT_REPEAT(529),
  [1962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_5_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_5_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_block_5_repeat1, 2, 0, 0),
  [1970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [1973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_paragraph_repeat1, 2, 0, 0),
  [1978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(536),
  [2000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0),
  [2005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [2008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(502),
  [2011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_fence_content_repeat1, 2, 0, 0), SHIFT_REPEAT(520),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_fence_content_repeat1, 2, 0, 0), SHIFT_REPEAT(520),
  [2017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_fence_content_repeat1, 2, 0, 0), SHIFT_REPEAT(534),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_code_fence_content_repeat1, 2, 0, 0),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_block_3_repeat1, 2, 0, 0), SHIFT_REPEAT(516),
  [2069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_3_repeat1, 2, 0, 0), SHIFT_REPEAT(516),
  [2072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_3_repeat1, 2, 0, 0), SHIFT_REPEAT(863),
  [2075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_3_repeat1, 2, 0, 0), SHIFT_REPEAT(543),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_block_3_repeat1, 2, 0, 0),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(536),
  [2091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(406),
  [2094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(406),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0),
  [2099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(502),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(536),
  [2109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [2112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0),
  [2117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(502),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_repeat1, 1, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code_fence_content, 1, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_fence_content_repeat1, 2, 0, 0), SHIFT_REPEAT(525),
  [2151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_fence_content_repeat1, 2, 0, 0), SHIFT_REPEAT(525),
  [2154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_fence_content_repeat1, 2, 0, 0), SHIFT_REPEAT(555),
  [2157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_block_2_repeat1, 2, 0, 0), SHIFT_REPEAT(501),
  [2160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_2_repeat1, 2, 0, 0), SHIFT_REPEAT(501),
  [2163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_2_repeat1, 2, 0, 0), SHIFT_REPEAT(864),
  [2166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_2_repeat1, 2, 0, 0), SHIFT_REPEAT(540),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_block_2_repeat1, 2, 0, 0),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_block_1_repeat1, 2, 0, 0), SHIFT_REPEAT(498),
  [2176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_1_repeat1, 2, 0, 0), SHIFT_REPEAT(498),
  [2179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_1_repeat1, 2, 0, 0), SHIFT_REPEAT(537),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_block_1_repeat1, 2, 0, 0),
  [2184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_1_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_block_6_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [2198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_6_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [2201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_6_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_block_6_repeat1, 2, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_language_repeat1, 2, 0, 0), SHIFT_REPEAT(531),
  [2223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_language_repeat1, 2, 0, 0), SHIFT_REPEAT(432),
  [2226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_language_repeat1, 2, 0, 0), SHIFT_REPEAT(432),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_language_repeat1, 2, 0, 0),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_block_4_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [2252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_4_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [2255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_4_repeat1, 2, 0, 0), SHIFT_REPEAT(564),
  [2258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_block_4_repeat1, 2, 0, 0), SHIFT_REPEAT(594),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_block_4_repeat1, 2, 0, 0),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__indented_chunk_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [2280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__indented_chunk_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [2283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__indented_chunk_repeat1, 2, 0, 0), SHIFT_REPEAT(594),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_chunk_repeat1, 2, 0, 0),
  [2288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(536),
  [2291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(449),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(449),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0),
  [2299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(502),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_cell, 1, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language, 1, 0, 0),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_cell, 2, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_row_repeat1, 2, 0, 8),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__line, 1, 0, 0),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0),
  [2368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(472),
  [2371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(472),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_row, 2, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [2400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(572),
  [2403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(485),
  [2406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(485),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0),
  [2411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(572),
  [2414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(487),
  [2417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(487),
  [2420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(478),
  [2423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_row_repeat1, 2, 0, 0), SHIFT_REPEAT(570),
  [2426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_table_row_repeat1, 2, 0, 0), SHIFT_REPEAT(535),
  [2429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_row_repeat1, 2, 0, 0), SHIFT_REPEAT(535),
  [2432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_row_repeat1, 2, 0, 0), SHIFT_REPEAT(623),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_row_repeat1, 2, 0, 0),
  [2437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_cell_repeat1, 2, 0, 0), SHIFT_REPEAT(490),
  [2440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_table_cell_repeat1, 2, 0, 0), SHIFT_REPEAT(490),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_cell_repeat1, 2, 0, 0),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_row, 1, 0, 0),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_cell, 3, 0, 0),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_row, 3, 0, 0),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(499),
  [2470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(499),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_backslash_escape, 1, 0, 0),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_backslash_escape, 1, 0, 0),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(503),
  [2486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(503),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pipe_table_newline, 1, 0, 0),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pipe_table_newline, 1, 0, 0),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_row, 4, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0),
  [2505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT_REPEAT(838),
  [2508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(511),
  [2511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(511),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 3, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 3, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0),
  [2538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0),
  [2540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT_REPEAT(838),
  [2543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(518),
  [2546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(518),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [2556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [2559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(523),
  [2562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(523),
  [2565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 2, 0, 0),
  [2567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 2, 0, 0),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [2576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_cell_repeat1, 2, 0, 0), SHIFT_REPEAT(533),
  [2592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_table_cell_repeat1, 2, 0, 0), SHIFT_REPEAT(533),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_table_cell_repeat1, 2, 0, 0),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_language_repeat1, 2, 0, 0),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pipe_table_newline, 2, 0, 0),
  [2615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pipe_table_newline, 2, 0, 0),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_info_string_repeat2, 2, 0, 0),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_info_string_repeat2, 2, 0, 0),
  [2623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_info_string_repeat2, 2, 0, 0), SHIFT_REPEAT(544),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_row_repeat1, 2, 0, 0), SHIFT_REPEAT(627),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 1, 0, 0),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 1, 0, 0),
  [2639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 1, 0, 0), SHIFT_REPEAT(838),
  [2642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0),
  [2646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 3, 0, 0),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 3, 0, 0),
  [2650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 3, 0, 0),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 3, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0),
  [2666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_block_6_repeat1, 1, 0, 0),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_block_6_repeat1, 1, 0, 0),
  [2670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_block_5_repeat1, 2, 0, 0),
  [2686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_block_2_repeat1, 2, 0, 0),
  [2688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 3, 0, 0),
  [2690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 3, 0, 0),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_row_repeat1, 3, 0, 0),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_table_row_repeat1, 3, 0, 0),
  [2698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_table_row_repeat1, 2, 0, 8),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_block_3_repeat1, 2, 0, 0),
  [2718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__word, 1, 0, 0),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__word, 1, 0, 0),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_task_list_marker_unchecked, 1, 0, 0),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [2728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_cell_repeat1, 2, 0, 0), SHIFT_REPEAT(591),
  [2731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_table_cell_repeat1, 2, 0, 0), SHIFT_REPEAT(591),
  [2734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_block_1_repeat1, 2, 0, 0),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_inline_no_link, 2, 0, 0),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_inline_no_link, 2, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_table_row_repeat1, 2, 0, 0),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_paragraph_repeat1, 1, 0, 0),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_paragraph_repeat1, 1, 0, 0),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_task_list_marker_checked, 1, 0, 0),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_row_repeat1, 4, 0, 0),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_table_row_repeat1, 4, 0, 0),
  [2754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [2757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_block_6_repeat1, 3, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_block_6_repeat1, 3, 0, 0),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_block_4_repeat1, 2, 0, 0),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_no_angle, 2, 0, 0),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_no_angle, 2, 0, 0),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0),
  [2782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(462),
  [2785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(465),
  [2788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(468),
  [2791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(470),
  [2794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(480),
  [2797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat2, 2, 0, 0), SHIFT_REPEAT(482),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 3, 0, 4),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 2, 0, 0),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 2, 0, 2),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_delimiter_row, 3, 0, 0),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_delimiter_row, 1, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_delimiter_row, 2, 0, 0),
  [2822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_delimiter_row_repeat1, 2, 0, 0), SHIFT_REPEAT(718),
  [2825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_delimiter_row_repeat1, 2, 0, 0), SHIFT_REPEAT(858),
  [2828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_delimiter_row_repeat1, 2, 0, 0), SHIFT_REPEAT(770),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_delimiter_row_repeat1, 2, 0, 0),
  [2833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_delimiter_cell_repeat1, 2, 0, 0), SHIFT_REPEAT(644),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_delimiter_cell_repeat1, 2, 0, 0),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_delimiter_cell, 1, 0, 0),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_delimiter_cell, 2, 0, 10),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_delimiter_row, 4, 0, 0),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_delimiter_row_repeat1, 3, 0, 0),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_delimiter_row_repeat1, 4, 0, 0),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_delimiter_cell, 2, 0, 12),
  [2954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_table_repeat1, 2, 0, 0),
  [2956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_row, 5, 0, 0),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_delimiter_cell, 3, 0, 13),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_delimiter_row, 5, 0, 0),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_table_delimiter_cell_repeat1, 2, 0, 0), SHIFT_REPEAT(722),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_row, 6, 0, 0),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_table_delimiter_row, 6, 0, 0),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_title, 3, 0, 0),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_title, 2, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading_content, 1, 0, 3),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_label, 3, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3194] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__atx_heading_content, 2, 0, 6),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__line_ending = 0,
  ts_external_token__soft_line_ending = 1,
  ts_external_token__block_close = 2,
  ts_external_token_block_continuation = 3,
  ts_external_token__block_quote_start = 4,
  ts_external_token__indented_chunk_start = 5,
  ts_external_token_atx_h1_marker = 6,
  ts_external_token_atx_h2_marker = 7,
  ts_external_token_atx_h3_marker = 8,
  ts_external_token_atx_h4_marker = 9,
  ts_external_token_atx_h5_marker = 10,
  ts_external_token_atx_h6_marker = 11,
  ts_external_token_setext_h1_underline = 12,
  ts_external_token_setext_h2_underline = 13,
  ts_external_token__thematic_break = 14,
  ts_external_token__list_marker_minus = 15,
  ts_external_token__list_marker_plus = 16,
  ts_external_token__list_marker_star = 17,
  ts_external_token__list_marker_parenthesis = 18,
  ts_external_token__list_marker_dot = 19,
  ts_external_token__list_marker_minus_dont_interrupt = 20,
  ts_external_token__list_marker_plus_dont_interrupt = 21,
  ts_external_token__list_marker_star_dont_interrupt = 22,
  ts_external_token__list_marker_parenthesis_dont_interrupt = 23,
  ts_external_token__list_marker_dot_dont_interrupt = 24,
  ts_external_token__fenced_code_block_start_backtick = 25,
  ts_external_token__fenced_code_block_start_tilde = 26,
  ts_external_token__blank_line_start = 27,
  ts_external_token__fenced_code_block_end_backtick = 28,
  ts_external_token__fenced_code_block_end_tilde = 29,
  ts_external_token__html_block_1_start = 30,
  ts_external_token__html_block_1_end = 31,
  ts_external_token__html_block_2_start = 32,
  ts_external_token__html_block_3_start = 33,
  ts_external_token__html_block_4_start = 34,
  ts_external_token__html_block_5_start = 35,
  ts_external_token__html_block_6_start = 36,
  ts_external_token__html_block_7_start = 37,
  ts_external_token__close_block = 38,
  ts_external_token__no_indented_chunk = 39,
  ts_external_token__error = 40,
  ts_external_token__trigger_error = 41,
  ts_external_token__eof = 42,
  ts_external_token_minus_metadata = 43,
  ts_external_token_plus_metadata = 44,
  ts_external_token__pipe_table_start = 45,
  ts_external_token__pipe_table_line_ending = 46,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__line_ending] = sym__line_ending,
  [ts_external_token__soft_line_ending] = sym__soft_line_ending,
  [ts_external_token__block_close] = sym__block_close,
  [ts_external_token_block_continuation] = sym_block_continuation,
  [ts_external_token__block_quote_start] = sym__block_quote_start,
  [ts_external_token__indented_chunk_start] = sym__indented_chunk_start,
  [ts_external_token_atx_h1_marker] = sym_atx_h1_marker,
  [ts_external_token_atx_h2_marker] = sym_atx_h2_marker,
  [ts_external_token_atx_h3_marker] = sym_atx_h3_marker,
  [ts_external_token_atx_h4_marker] = sym_atx_h4_marker,
  [ts_external_token_atx_h5_marker] = sym_atx_h5_marker,
  [ts_external_token_atx_h6_marker] = sym_atx_h6_marker,
  [ts_external_token_setext_h1_underline] = sym_setext_h1_underline,
  [ts_external_token_setext_h2_underline] = sym_setext_h2_underline,
  [ts_external_token__thematic_break] = sym__thematic_break,
  [ts_external_token__list_marker_minus] = sym__list_marker_minus,
  [ts_external_token__list_marker_plus] = sym__list_marker_plus,
  [ts_external_token__list_marker_star] = sym__list_marker_star,
  [ts_external_token__list_marker_parenthesis] = sym__list_marker_parenthesis,
  [ts_external_token__list_marker_dot] = sym__list_marker_dot,
  [ts_external_token__list_marker_minus_dont_interrupt] = sym__list_marker_minus_dont_interrupt,
  [ts_external_token__list_marker_plus_dont_interrupt] = sym__list_marker_plus_dont_interrupt,
  [ts_external_token__list_marker_star_dont_interrupt] = sym__list_marker_star_dont_interrupt,
  [ts_external_token__list_marker_parenthesis_dont_interrupt] = sym__list_marker_parenthesis_dont_interrupt,
  [ts_external_token__list_marker_dot_dont_interrupt] = sym__list_marker_dot_dont_interrupt,
  [ts_external_token__fenced_code_block_start_backtick] = sym__fenced_code_block_start_backtick,
  [ts_external_token__fenced_code_block_start_tilde] = sym__fenced_code_block_start_tilde,
  [ts_external_token__blank_line_start] = sym__blank_line_start,
  [ts_external_token__fenced_code_block_end_backtick] = sym__fenced_code_block_end_backtick,
  [ts_external_token__fenced_code_block_end_tilde] = sym__fenced_code_block_end_tilde,
  [ts_external_token__html_block_1_start] = sym__html_block_1_start,
  [ts_external_token__html_block_1_end] = sym__html_block_1_end,
  [ts_external_token__html_block_2_start] = sym__html_block_2_start,
  [ts_external_token__html_block_3_start] = sym__html_block_3_start,
  [ts_external_token__html_block_4_start] = sym__html_block_4_start,
  [ts_external_token__html_block_5_start] = sym__html_block_5_start,
  [ts_external_token__html_block_6_start] = sym__html_block_6_start,
  [ts_external_token__html_block_7_start] = sym__html_block_7_start,
  [ts_external_token__close_block] = sym__close_block,
  [ts_external_token__no_indented_chunk] = sym__no_indented_chunk,
  [ts_external_token__error] = sym__error,
  [ts_external_token__trigger_error] = sym__trigger_error,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_minus_metadata] = sym_minus_metadata,
  [ts_external_token_plus_metadata] = sym_plus_metadata,
  [ts_external_token__pipe_table_start] = sym__pipe_table_start,
  [ts_external_token__pipe_table_line_ending] = sym__pipe_table_line_ending,
};

static const bool ts_external_scanner_states[48][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token_setext_h1_underline] = true,
    [ts_external_token_setext_h2_underline] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__fenced_code_block_end_backtick] = true,
    [ts_external_token__fenced_code_block_end_tilde] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_1_end] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__close_block] = true,
    [ts_external_token__no_indented_chunk] = true,
    [ts_external_token__error] = true,
    [ts_external_token__trigger_error] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_minus_metadata] = true,
    [ts_external_token_plus_metadata] = true,
    [ts_external_token__pipe_table_start] = true,
    [ts_external_token__pipe_table_line_ending] = true,
  },
  [2] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token_minus_metadata] = true,
    [ts_external_token_plus_metadata] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [3] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [4] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [5] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [6] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [7] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token_setext_h1_underline] = true,
    [ts_external_token_setext_h2_underline] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [8] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token_setext_h1_underline] = true,
    [ts_external_token_setext_h2_underline] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [9] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__no_indented_chunk] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [10] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__no_indented_chunk] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [11] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token_setext_h1_underline] = true,
    [ts_external_token_setext_h2_underline] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [12] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__no_indented_chunk] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [13] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token_setext_h1_underline] = true,
    [ts_external_token_setext_h2_underline] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [14] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__block_quote_start] = true,
    [ts_external_token__indented_chunk_start] = true,
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
    [ts_external_token__thematic_break] = true,
    [ts_external_token__list_marker_minus] = true,
    [ts_external_token__list_marker_plus] = true,
    [ts_external_token__list_marker_star] = true,
    [ts_external_token__list_marker_parenthesis] = true,
    [ts_external_token__list_marker_dot] = true,
    [ts_external_token__list_marker_minus_dont_interrupt] = true,
    [ts_external_token__list_marker_plus_dont_interrupt] = true,
    [ts_external_token__list_marker_star_dont_interrupt] = true,
    [ts_external_token__list_marker_parenthesis_dont_interrupt] = true,
    [ts_external_token__list_marker_dot_dont_interrupt] = true,
    [ts_external_token__fenced_code_block_start_backtick] = true,
    [ts_external_token__fenced_code_block_start_tilde] = true,
    [ts_external_token__blank_line_start] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__no_indented_chunk] = true,
    [ts_external_token__pipe_table_start] = true,
  },
  [15] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__html_block_1_start] = true,
    [ts_external_token__html_block_2_start] = true,
    [ts_external_token__html_block_3_start] = true,
    [ts_external_token__html_block_4_start] = true,
    [ts_external_token__html_block_5_start] = true,
    [ts_external_token__html_block_6_start] = true,
    [ts_external_token__html_block_7_start] = true,
    [ts_external_token__eof] = true,
  },
  [16] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__eof] = true,
  },
  [17] = {
    [ts_external_token__line_ending] = true,
  },
  [18] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token__fenced_code_block_end_backtick] = true,
  },
  [19] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token__fenced_code_block_end_tilde] = true,
  },
  [20] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
  },
  [21] = {
    [ts_external_token__soft_line_ending] = true,
  },
  [22] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token__html_block_1_end] = true,
  },
  [23] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__eof] = true,
    [ts_external_token__pipe_table_line_ending] = true,
  },
  [24] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token_block_continuation] = true,
  },
  [25] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__eof] = true,
    [ts_external_token__pipe_table_line_ending] = true,
  },
  [26] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__fenced_code_block_end_tilde] = true,
  },
  [27] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__html_block_1_end] = true,
  },
  [28] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token_block_continuation] = true,
  },
  [29] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__eof] = true,
  },
  [30] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__fenced_code_block_end_backtick] = true,
  },
  [31] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token_block_continuation] = true,
    [ts_external_token__blank_line_start] = true,
  },
  [32] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token__blank_line_start] = true,
  },
  [33] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__block_close] = true,
    [ts_external_token__close_block] = true,
  },
  [34] = {
    [ts_external_token_block_continuation] = true,
  },
  [35] = {
    [ts_external_token_atx_h1_marker] = true,
    [ts_external_token_atx_h2_marker] = true,
    [ts_external_token_atx_h3_marker] = true,
    [ts_external_token_atx_h4_marker] = true,
    [ts_external_token_atx_h5_marker] = true,
    [ts_external_token_atx_h6_marker] = true,
  },
  [36] = {
    [ts_external_token__soft_line_ending] = true,
    [ts_external_token__no_indented_chunk] = true,
  },
  [37] = {
    [ts_external_token__no_indented_chunk] = true,
  },
  [38] = {
    [ts_external_token_block_continuation] = true,
    [ts_external_token__no_indented_chunk] = true,
  },
  [39] = {
    [ts_external_token__line_ending] = true,
    [ts_external_token__eof] = true,
  },
  [40] = {
    [ts_external_token__block_close] = true,
    [ts_external_token__fenced_code_block_end_tilde] = true,
  },
  [41] = {
    [ts_external_token__block_close] = true,
    [ts_external_token_block_continuation] = true,
  },
  [42] = {
    [ts_external_token__block_close] = true,
    [ts_external_token__fenced_code_block_end_backtick] = true,
  },
  [43] = {
    [ts_external_token_block_continuation] = true,
    [ts_external_token__close_block] = true,
  },
  [44] = {
    [ts_external_token_block_continuation] = true,
    [ts_external_token__trigger_error] = true,
  },
  [45] = {
    [ts_external_token__block_close] = true,
  },
  [46] = {
    [ts_external_token__close_block] = true,
  },
  [47] = {
    [ts_external_token__trigger_error] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_markdown_external_scanner_create(void);
void tree_sitter_markdown_external_scanner_destroy(void *);
bool tree_sitter_markdown_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_markdown_external_scanner_serialize(void *, char *);
void tree_sitter_markdown_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_markdown(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_markdown_external_scanner_create,
      tree_sitter_markdown_external_scanner_destroy,
      tree_sitter_markdown_external_scanner_scan,
      tree_sitter_markdown_external_scanner_serialize,
      tree_sitter_markdown_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
